/* Standard headers std.header */
/* Standard headers std.header */
/*
 * This program is free software.
 * This code is a part of Octave-GTK
 * Code may be used or distributed under GPL.
 * (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 */

/*
 *    Octave-Gtk
 *       The GUI bridge from octave.
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<atk/atk.h>
#include<string.h>

/* for FORK */
#include<sys/types.h>
#include<unistd.h>

/* #include "../config.h" */
}
/* void: zero arguments taken */
DEFUN_DLD( atk_action_get_type , args , , " GType atk_action_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_action_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_action_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_action_do_action , args , , " gboolean atk_action_do_action (AtkAction * action,gint i); " )
{
AtkAction *   action ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_action_do_action (AtkAction * action,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_action_do_action "<<std::endl;
#endif /* DEBUG */
action =( AtkAction * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_action_do_action ( action,i);
return octave_value(ret_type);
}
DEFUN_DLD( atk_action_get_n_actions , args , , " gint atk_action_get_n_actions (AtkAction * action); " )
{
AtkAction *   action ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_action_get_n_actions (AtkAction * action); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_action_get_n_actions "<<std::endl;
#endif /* DEBUG */
action =( AtkAction * )args( 0 ).long_value();
long int ret_type=(long int) atk_action_get_n_actions ( action);
return octave_value(ret_type);
}
DEFUN_DLD( atk_action_get_description , args , , " gchar* atk_action_get_description (AtkAction * action,gint i); " )
{
AtkAction *   action ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* atk_action_get_description (AtkAction * action,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_action_get_description "<<std::endl;
#endif /* DEBUG */
action =( AtkAction * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
string  ret_type( atk_action_get_description ( action,i));
return octave_value(ret_type);
}
DEFUN_DLD( atk_action_get_name , args , , " gchar* atk_action_get_name (AtkAction * action,gint i); " )
{
AtkAction *   action ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* atk_action_get_name (AtkAction * action,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_action_get_name "<<std::endl;
#endif /* DEBUG */
action =( AtkAction * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
string  ret_type( atk_action_get_name ( action,i));
return octave_value(ret_type);
}
DEFUN_DLD( atk_action_get_keybinding , args , , " gchar* atk_action_get_keybinding (AtkAction * action,gint i); " )
{
AtkAction *   action ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* atk_action_get_keybinding (AtkAction * action,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_action_get_keybinding "<<std::endl;
#endif /* DEBUG */
action =( AtkAction * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
string  ret_type( atk_action_get_keybinding ( action,i));
return octave_value(ret_type);
}
DEFUN_DLD( atk_action_set_description , args , , " gboolean atk_action_set_description (AtkAction * action,gint i,gchar * desc); " )
{
AtkAction *   action ;
gint   i ;
gchar *   desc ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean atk_action_set_description (AtkAction * action,gint i,gchar * desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_action_set_description "<<std::endl;
#endif /* DEBUG */
action =( AtkAction * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
desc = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) desc ,args( 2 ).string_value().c_str());
long int ret_type=(long int) atk_action_set_description ( action,i,desc);
return octave_value(ret_type);
}
DEFUN_DLD( atk_action_get_localized_name , args , , " gchar* atk_action_get_localized_name (AtkAction * action,gint i); " )
{
AtkAction *   action ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* atk_action_get_localized_name (AtkAction * action,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_action_get_localized_name "<<std::endl;
#endif /* DEBUG */
action =( AtkAction * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
string  ret_type( atk_action_get_localized_name ( action,i));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_component_get_type , args , , " GType atk_component_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_component_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_component_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_add_focus_handler , args , , " guint atk_component_add_focus_handler (AtkComponent * component,AtkFocusHandler handler); " )
{
AtkComponent *   component ;
AtkFocusHandler   handler ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint atk_component_add_focus_handler (AtkComponent * component,AtkFocusHandler handler); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_add_focus_handler "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
handler = (  AtkFocusHandler  ) args( 1 ).long_value();
long int ret_type=(long int) atk_component_add_focus_handler ( component,handler);
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_contains , args , , " gboolean atk_component_contains (AtkComponent * component,gint x,gint y,AtkCoordType coord_type); " )
{
AtkComponent *   component ;
gint   x ;
gint   y ;
AtkCoordType   coord_type ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean atk_component_contains (AtkComponent * component,gint x,gint y,AtkCoordType coord_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_contains "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
coord_type = (  AtkCoordType  ) args( 3 ).long_value();
long int ret_type=(long int) atk_component_contains ( component,x,y,coord_type);
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_ref_accessible_at_point , args , , " AtkObject* atk_component_ref_accessible_at_point (AtkComponent * component,gint x,gint y,AtkCoordType coord_type); " )
{
AtkComponent *   component ;
gint   x ;
gint   y ;
AtkCoordType   coord_type ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  AtkObject* atk_component_ref_accessible_at_point (AtkComponent * component,gint x,gint y,AtkCoordType coord_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_ref_accessible_at_point "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
coord_type = (  AtkCoordType  ) args( 3 ).long_value();
long int ret_type= (long int) atk_component_ref_accessible_at_point ( component,x,y,coord_type);
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_get_extents , args , , " void atk_component_get_extents (AtkComponent * component,gint * x,gint * y,gint * width,gint * height,AtkCoordType coord_type); " )
{
AtkComponent *   component ;
gint *   x ;
gint *   y ;
gint *   width ;
gint *   height ;
AtkCoordType   coord_type ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void atk_component_get_extents (AtkComponent * component,gint * x,gint * y,gint * width,gint * height,AtkCoordType coord_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_get_extents "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
width =( gint * )args( 3 ).long_value();
height =( gint * )args( 4 ).long_value();
coord_type = (  AtkCoordType  ) args( 5 ).long_value();
atk_component_get_extents ( component,x,y,width,height,coord_type);
return octave_value();
}
DEFUN_DLD( atk_component_get_position , args , , " void atk_component_get_position (AtkComponent * component,gint * x,gint * y,AtkCoordType coord_type); " )
{
AtkComponent *   component ;
gint *   x ;
gint *   y ;
AtkCoordType   coord_type ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void atk_component_get_position (AtkComponent * component,gint * x,gint * y,AtkCoordType coord_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_get_position "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
coord_type = (  AtkCoordType  ) args( 3 ).long_value();
atk_component_get_position ( component,x,y,coord_type);
return octave_value();
}
DEFUN_DLD( atk_component_get_size , args , , " void atk_component_get_size (AtkComponent * component,gint * width,gint * height); " )
{
AtkComponent *   component ;
gint *   width ;
gint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_component_get_size (AtkComponent * component,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_get_size "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
width =( gint * )args( 1 ).long_value();
height =( gint * )args( 2 ).long_value();
atk_component_get_size ( component,width,height);
return octave_value();
}
DEFUN_DLD( atk_component_get_layer , args , , " AtkLayer atk_component_get_layer (AtkComponent * component); " )
{
AtkComponent *   component ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkLayer atk_component_get_layer (AtkComponent * component); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_get_layer "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
long int ret_type=(long int) atk_component_get_layer ( component);
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_get_mdi_zorder , args , , " gint atk_component_get_mdi_zorder (AtkComponent * component); " )
{
AtkComponent *   component ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_component_get_mdi_zorder (AtkComponent * component); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_get_mdi_zorder "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
long int ret_type=(long int) atk_component_get_mdi_zorder ( component);
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_grab_focus , args , , " gboolean atk_component_grab_focus (AtkComponent * component); " )
{
AtkComponent *   component ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean atk_component_grab_focus (AtkComponent * component); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_grab_focus "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
long int ret_type=(long int) atk_component_grab_focus ( component);
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_remove_focus_handler , args , , " void atk_component_remove_focus_handler (AtkComponent * component,guint handler_id); " )
{
AtkComponent *   component ;
guint   handler_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_component_remove_focus_handler (AtkComponent * component,guint handler_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_remove_focus_handler "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
handler_id = (  guint  ) args( 1 ).int_value();
atk_component_remove_focus_handler ( component,handler_id);
return octave_value();
}
DEFUN_DLD( atk_component_set_extents , args , , " gboolean atk_component_set_extents (AtkComponent * component,gint x,gint y,gint width,gint height,AtkCoordType coord_type); " )
{
AtkComponent *   component ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
AtkCoordType   coord_type ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gboolean atk_component_set_extents (AtkComponent * component,gint x,gint y,gint width,gint height,AtkCoordType coord_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_set_extents "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
width = (  gint  ) args( 3 ).int_value();
height = (  gint  ) args( 4 ).int_value();
coord_type = (  AtkCoordType  ) args( 5 ).long_value();
long int ret_type=(long int) atk_component_set_extents ( component,x,y,width,height,coord_type);
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_set_position , args , , " gboolean atk_component_set_position (AtkComponent * component,gint x,gint y,AtkCoordType coord_type); " )
{
AtkComponent *   component ;
gint   x ;
gint   y ;
AtkCoordType   coord_type ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean atk_component_set_position (AtkComponent * component,gint x,gint y,AtkCoordType coord_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_set_position "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
coord_type = (  AtkCoordType  ) args( 3 ).long_value();
long int ret_type=(long int) atk_component_set_position ( component,x,y,coord_type);
return octave_value(ret_type);
}
DEFUN_DLD( atk_component_set_size , args , , " gboolean atk_component_set_size (AtkComponent * component,gint width,gint height); " )
{
AtkComponent *   component ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean atk_component_set_size (AtkComponent * component,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_component_set_size "<<std::endl;
#endif /* DEBUG */
component =( AtkComponent * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) atk_component_set_size ( component,width,height);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_document_get_type , args , , " GType atk_document_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_document_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_document_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_document_get_document_type , args , , " gchar* atk_document_get_document_type (AtkDocument * document); " )
{
AtkDocument *   document ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* atk_document_get_document_type (AtkDocument * document); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_document_get_document_type "<<std::endl;
#endif /* DEBUG */
document =( AtkDocument * )args( 0 ).long_value();
string  ret_type( atk_document_get_document_type ( document));
return octave_value(ret_type);
}
DEFUN_DLD( atk_document_get_document , args , , " gpointer atk_document_get_document (AtkDocument * document); " )
{
AtkDocument *   document ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer atk_document_get_document (AtkDocument * document); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_document_get_document "<<std::endl;
#endif /* DEBUG */
document =( AtkDocument * )args( 0 ).long_value();
long int ret_type= (long int) atk_document_get_document ( document);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_editable_text_get_type , args , , " GType atk_editable_text_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_editable_text_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_editable_text_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_editable_text_set_run_attributes , args , , " gboolean atk_editable_text_set_run_attributes (AtkEditableText * text,AtkAttributeSet * attrib_set,gint start_offset,gint end_offset); " )
{
AtkEditableText *   text ;
AtkAttributeSet *   attrib_set ;
gint   start_offset ;
gint   end_offset ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean atk_editable_text_set_run_attributes (AtkEditableText * text,AtkAttributeSet * attrib_set,gint start_offset,gint end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_editable_text_set_run_attributes "<<std::endl;
#endif /* DEBUG */
text =( AtkEditableText * )args( 0 ).long_value();
attrib_set =( AtkAttributeSet * )args( 1 ).long_value();
start_offset = (  gint  ) args( 2 ).int_value();
end_offset = (  gint  ) args( 3 ).int_value();
long int ret_type=(long int) atk_editable_text_set_run_attributes ( text,attrib_set,start_offset,end_offset);
return octave_value(ret_type);
}
DEFUN_DLD( atk_editable_text_set_text_contents , args , , " void atk_editable_text_set_text_contents (AtkEditableText * text,gchar * string); " )
{
AtkEditableText *   text ;
gchar *   string ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_editable_text_set_text_contents (AtkEditableText * text,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_editable_text_set_text_contents "<<std::endl;
#endif /* DEBUG */
text =( AtkEditableText * )args( 0 ).long_value();
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
atk_editable_text_set_text_contents ( text,string);
return octave_value();
}
DEFUN_DLD( atk_editable_text_insert_text , args , , " void atk_editable_text_insert_text (AtkEditableText * text,gchar * string,gint length,gint * position); " )
{
AtkEditableText *   text ;
gchar *   string ;
gint   length ;
gint *   position ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void atk_editable_text_insert_text (AtkEditableText * text,gchar * string,gint length,gint * position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_editable_text_insert_text "<<std::endl;
#endif /* DEBUG */
text =( AtkEditableText * )args( 0 ).long_value();
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
length = (  gint  ) args( 2 ).int_value();
position =( gint * )args( 3 ).long_value();
atk_editable_text_insert_text ( text,string,length,position);
return octave_value();
}
DEFUN_DLD( atk_editable_text_copy_text , args , , " void atk_editable_text_copy_text (AtkEditableText * text,gint start_pos,gint end_pos); " )
{
AtkEditableText *   text ;
gint   start_pos ;
gint   end_pos ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_editable_text_copy_text (AtkEditableText * text,gint start_pos,gint end_pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_editable_text_copy_text "<<std::endl;
#endif /* DEBUG */
text =( AtkEditableText * )args( 0 ).long_value();
start_pos = (  gint  ) args( 1 ).int_value();
end_pos = (  gint  ) args( 2 ).int_value();
atk_editable_text_copy_text ( text,start_pos,end_pos);
return octave_value();
}
DEFUN_DLD( atk_editable_text_cut_text , args , , " void atk_editable_text_cut_text (AtkEditableText * text,gint start_pos,gint end_pos); " )
{
AtkEditableText *   text ;
gint   start_pos ;
gint   end_pos ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_editable_text_cut_text (AtkEditableText * text,gint start_pos,gint end_pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_editable_text_cut_text "<<std::endl;
#endif /* DEBUG */
text =( AtkEditableText * )args( 0 ).long_value();
start_pos = (  gint  ) args( 1 ).int_value();
end_pos = (  gint  ) args( 2 ).int_value();
atk_editable_text_cut_text ( text,start_pos,end_pos);
return octave_value();
}
DEFUN_DLD( atk_editable_text_delete_text , args , , " void atk_editable_text_delete_text (AtkEditableText * text,gint start_pos,gint end_pos); " )
{
AtkEditableText *   text ;
gint   start_pos ;
gint   end_pos ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_editable_text_delete_text (AtkEditableText * text,gint start_pos,gint end_pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_editable_text_delete_text "<<std::endl;
#endif /* DEBUG */
text =( AtkEditableText * )args( 0 ).long_value();
start_pos = (  gint  ) args( 1 ).int_value();
end_pos = (  gint  ) args( 2 ).int_value();
atk_editable_text_delete_text ( text,start_pos,end_pos);
return octave_value();
}
DEFUN_DLD( atk_editable_text_paste_text , args , , " void atk_editable_text_paste_text (AtkEditableText * text,gint position); " )
{
AtkEditableText *   text ;
gint   position ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_editable_text_paste_text (AtkEditableText * text,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_editable_text_paste_text "<<std::endl;
#endif /* DEBUG */
text =( AtkEditableText * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
atk_editable_text_paste_text ( text,position);
return octave_value();
}
/* overriden: atk_hyperlink_state_flags_get_type  */
/* overriden: atk_role_get_type  */
/* overriden: atk_layer_get_type  */
/* overriden: atk_relation_type_get_type  */
/* overriden: atk_state_type_get_type  */
/* overriden: atk_text_attribute_get_type  */
/* overriden: atk_text_boundary_get_type  */
/* overriden: atk_key_event_type_get_type  */
/* overriden: atk_coord_type_get_type  */
/* void: zero arguments taken */
DEFUN_DLD( atk_gobject_accessible_get_type , args , , " GType atk_gobject_accessible_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_gobject_accessible_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_gobject_accessible_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_gobject_accessible_for_object , args , , " AtkObject * atk_gobject_accessible_for_object (GObject * obj); " )
{
GObject *   obj ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkObject * atk_gobject_accessible_for_object (GObject * obj); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_gobject_accessible_for_object "<<std::endl;
#endif /* DEBUG */
obj =( GObject * )args( 0 ).long_value();
long int ret_type= (long int) atk_gobject_accessible_for_object ( obj);
return octave_value(ret_type);
}
DEFUN_DLD( atk_gobject_accessible_get_object , args , , " GObject * atk_gobject_accessible_get_object (AtkGObjectAccessible * obj); " )
{
AtkGObjectAccessible *   obj ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GObject * atk_gobject_accessible_get_object (AtkGObjectAccessible * obj); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_gobject_accessible_get_object "<<std::endl;
#endif /* DEBUG */
obj =( AtkGObjectAccessible * )args( 0 ).long_value();
long int ret_type= (long int) atk_gobject_accessible_get_object ( obj);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_hyperlink_get_type , args , , " GType atk_hyperlink_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_hyperlink_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_hyperlink_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_hyperlink_get_uri , args , , " gchar* atk_hyperlink_get_uri (AtkHyperlink * link_,gint i); " )
{
AtkHyperlink *   link_ ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* atk_hyperlink_get_uri (AtkHyperlink * link_,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hyperlink_get_uri "<<std::endl;
#endif /* DEBUG */
link_ =( AtkHyperlink * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
string  ret_type( atk_hyperlink_get_uri ( link_,i));
return octave_value(ret_type);
}
DEFUN_DLD( atk_hyperlink_get_object , args , , " AtkObject* atk_hyperlink_get_object (AtkHyperlink * link_,gint i); " )
{
AtkHyperlink *   link_ ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkObject* atk_hyperlink_get_object (AtkHyperlink * link_,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hyperlink_get_object "<<std::endl;
#endif /* DEBUG */
link_ =( AtkHyperlink * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) atk_hyperlink_get_object ( link_,i);
return octave_value(ret_type);
}
DEFUN_DLD( atk_hyperlink_get_end_index , args , , " gint atk_hyperlink_get_end_index (AtkHyperlink * link_); " )
{
AtkHyperlink *   link_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_hyperlink_get_end_index (AtkHyperlink * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hyperlink_get_end_index "<<std::endl;
#endif /* DEBUG */
link_ =( AtkHyperlink * )args( 0 ).long_value();
long int ret_type=(long int) atk_hyperlink_get_end_index ( link_);
return octave_value(ret_type);
}
DEFUN_DLD( atk_hyperlink_get_start_index , args , , " gint atk_hyperlink_get_start_index (AtkHyperlink * link_); " )
{
AtkHyperlink *   link_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_hyperlink_get_start_index (AtkHyperlink * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hyperlink_get_start_index "<<std::endl;
#endif /* DEBUG */
link_ =( AtkHyperlink * )args( 0 ).long_value();
long int ret_type=(long int) atk_hyperlink_get_start_index ( link_);
return octave_value(ret_type);
}
DEFUN_DLD( atk_hyperlink_is_valid , args , , " gboolean atk_hyperlink_is_valid (AtkHyperlink * link_); " )
{
AtkHyperlink *   link_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean atk_hyperlink_is_valid (AtkHyperlink * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hyperlink_is_valid "<<std::endl;
#endif /* DEBUG */
link_ =( AtkHyperlink * )args( 0 ).long_value();
long int ret_type=(long int) atk_hyperlink_is_valid ( link_);
return octave_value(ret_type);
}
DEFUN_DLD( atk_hyperlink_is_inline , args , , " gboolean atk_hyperlink_is_inline (AtkHyperlink * link_); " )
{
AtkHyperlink *   link_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean atk_hyperlink_is_inline (AtkHyperlink * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hyperlink_is_inline "<<std::endl;
#endif /* DEBUG */
link_ =( AtkHyperlink * )args( 0 ).long_value();
long int ret_type=(long int) atk_hyperlink_is_inline ( link_);
return octave_value(ret_type);
}
DEFUN_DLD( atk_hyperlink_get_n_anchors , args , , " gint atk_hyperlink_get_n_anchors (AtkHyperlink * link_); " )
{
AtkHyperlink *   link_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_hyperlink_get_n_anchors (AtkHyperlink * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hyperlink_get_n_anchors "<<std::endl;
#endif /* DEBUG */
link_ =( AtkHyperlink * )args( 0 ).long_value();
long int ret_type=(long int) atk_hyperlink_get_n_anchors ( link_);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_hypertext_get_type , args , , " GType atk_hypertext_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_hypertext_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_hypertext_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_hypertext_get_link , args , , " AtkHyperlink* atk_hypertext_get_link (AtkHypertext * hypertext,gint link_index); " )
{
AtkHypertext *   hypertext ;
gint   link_index ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkHyperlink* atk_hypertext_get_link (AtkHypertext * hypertext,gint link_index); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hypertext_get_link "<<std::endl;
#endif /* DEBUG */
hypertext =( AtkHypertext * )args( 0 ).long_value();
link_index = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) atk_hypertext_get_link ( hypertext,link_index);
return octave_value(ret_type);
}
DEFUN_DLD( atk_hypertext_get_n_links , args , , " gint atk_hypertext_get_n_links (AtkHypertext * hypertext); " )
{
AtkHypertext *   hypertext ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_hypertext_get_n_links (AtkHypertext * hypertext); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hypertext_get_n_links "<<std::endl;
#endif /* DEBUG */
hypertext =( AtkHypertext * )args( 0 ).long_value();
long int ret_type=(long int) atk_hypertext_get_n_links ( hypertext);
return octave_value(ret_type);
}
DEFUN_DLD( atk_hypertext_get_link_index , args , , " gint atk_hypertext_get_link_index (AtkHypertext * hypertext,gint char_index); " )
{
AtkHypertext *   hypertext ;
gint   char_index ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint atk_hypertext_get_link_index (AtkHypertext * hypertext,gint char_index); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_hypertext_get_link_index "<<std::endl;
#endif /* DEBUG */
hypertext =( AtkHypertext * )args( 0 ).long_value();
char_index = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_hypertext_get_link_index ( hypertext,char_index);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_image_get_type , args , , " GType atk_image_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_image_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_image_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_image_get_image_description , args , , " gchar* atk_image_get_image_description (AtkImage * image); " )
{
AtkImage *   image ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* atk_image_get_image_description (AtkImage * image); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_image_get_image_description "<<std::endl;
#endif /* DEBUG */
image =( AtkImage * )args( 0 ).long_value();
string  ret_type( atk_image_get_image_description ( image));
return octave_value(ret_type);
}
DEFUN_DLD( atk_image_get_image_size , args , , " void atk_image_get_image_size (AtkImage * image,gint * width,gint * height); " )
{
AtkImage *   image ;
gint *   width ;
gint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_image_get_image_size (AtkImage * image,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_image_get_image_size "<<std::endl;
#endif /* DEBUG */
image =( AtkImage * )args( 0 ).long_value();
width =( gint * )args( 1 ).long_value();
height =( gint * )args( 2 ).long_value();
atk_image_get_image_size ( image,width,height);
return octave_value();
}
DEFUN_DLD( atk_image_set_image_description , args , , " gboolean atk_image_set_image_description (AtkImage * image,gchar * description); " )
{
AtkImage *   image ;
gchar *   description ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_image_set_image_description (AtkImage * image,gchar * description); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_image_set_image_description "<<std::endl;
#endif /* DEBUG */
image =( AtkImage * )args( 0 ).long_value();
description = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) description ,args( 1 ).string_value().c_str());
long int ret_type=(long int) atk_image_set_image_description ( image,description);
return octave_value(ret_type);
}
DEFUN_DLD( atk_image_get_image_position , args , , " void atk_image_get_image_position (AtkImage * image,gint * x,gint * y,AtkCoordType coord_type); " )
{
AtkImage *   image ;
gint *   x ;
gint *   y ;
AtkCoordType   coord_type ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void atk_image_get_image_position (AtkImage * image,gint * x,gint * y,AtkCoordType coord_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_image_get_image_position "<<std::endl;
#endif /* DEBUG */
image =( AtkImage * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
coord_type = (  AtkCoordType  ) args( 3 ).long_value();
atk_image_get_image_position ( image,x,y,coord_type);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( atk_no_op_object_factory_get_type , args , , " GType atk_no_op_object_factory_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_no_op_object_factory_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_no_op_object_factory_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_no_op_object_factory_new , args , , " AtkObjectFactory * atk_no_op_object_factory_new (void); " )
{
#ifdef DEBUG
std::cout<<" atk_no_op_object_factory_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) atk_no_op_object_factory_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_no_op_object_get_type , args , , " GType atk_no_op_object_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_no_op_object_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_no_op_object_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_no_op_object_new , args , , " AtkObject * atk_no_op_object_new (GObject * obj); " )
{
GObject *   obj ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkObject * atk_no_op_object_new (GObject * obj); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_no_op_object_new "<<std::endl;
#endif /* DEBUG */
obj =( GObject * )args( 0 ).long_value();
long int ret_type= (long int) atk_no_op_object_new ( obj);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_object_factory_get_type , args , , " GType atk_object_factory_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_object_factory_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_object_factory_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_factory_create_accessible , args , , " AtkObject* atk_object_factory_create_accessible (AtkObjectFactory * factory,GObject * obj); " )
{
AtkObjectFactory *   factory ;
GObject *   obj ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkObject* atk_object_factory_create_accessible (AtkObjectFactory * factory,GObject * obj); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_factory_create_accessible "<<std::endl;
#endif /* DEBUG */
factory =( AtkObjectFactory * )args( 0 ).long_value();
obj =( GObject * )args( 1 ).long_value();
long int ret_type= (long int) atk_object_factory_create_accessible ( factory,obj);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_factory_invalidate , args , , " void atk_object_factory_invalidate (AtkObjectFactory * factory); " )
{
AtkObjectFactory *   factory ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void atk_object_factory_invalidate (AtkObjectFactory * factory); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_factory_invalidate "<<std::endl;
#endif /* DEBUG */
factory =( AtkObjectFactory * )args( 0 ).long_value();
atk_object_factory_invalidate ( factory);
return octave_value();
}
DEFUN_DLD( atk_object_factory_get_accessible_type , args , , " GType atk_object_factory_get_accessible_type (AtkObjectFactory * factory); " )
{
AtkObjectFactory *   factory ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GType atk_object_factory_get_accessible_type (AtkObjectFactory * factory); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_factory_get_accessible_type "<<std::endl;
#endif /* DEBUG */
factory =( AtkObjectFactory * )args( 0 ).long_value();
long int ret_type=(long int) atk_object_factory_get_accessible_type ( factory);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_object_get_type , args , , " GType atk_object_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_object_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_object_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_implementor_get_type , args , , " GType atk_implementor_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_implementor_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_implementor_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_implementor_ref_accessible , args , , " AtkObject* atk_implementor_ref_accessible (AtkImplementor * implementor); " )
{
AtkImplementor *   implementor ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkObject* atk_implementor_ref_accessible (AtkImplementor * implementor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_implementor_ref_accessible "<<std::endl;
#endif /* DEBUG */
implementor =( AtkImplementor * )args( 0 ).long_value();
long int ret_type= (long int) atk_implementor_ref_accessible ( implementor);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_get_name , args , , " gchar* atk_object_get_name (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* atk_object_get_name (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_get_name "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
string  ret_type( atk_object_get_name ( accessible));
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_get_description , args , , " gchar* atk_object_get_description (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* atk_object_get_description (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_get_description "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
string  ret_type( atk_object_get_description ( accessible));
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_get_parent , args , , " AtkObject* atk_object_get_parent (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkObject* atk_object_get_parent (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_get_parent "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
long int ret_type= (long int) atk_object_get_parent ( accessible);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_get_n_accessible_children , args , , " gint atk_object_get_n_accessible_children (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_object_get_n_accessible_children (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_get_n_accessible_children "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
long int ret_type=(long int) atk_object_get_n_accessible_children ( accessible);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_ref_accessible_child , args , , " AtkObject* atk_object_ref_accessible_child (AtkObject * accessible,gint i); " )
{
AtkObject *   accessible ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkObject* atk_object_ref_accessible_child (AtkObject * accessible,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_ref_accessible_child "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) atk_object_ref_accessible_child ( accessible,i);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_ref_relation_set , args , , " AtkRelationSet* atk_object_ref_relation_set (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkRelationSet* atk_object_ref_relation_set (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_ref_relation_set "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
long int ret_type= (long int) atk_object_ref_relation_set ( accessible);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_get_role , args , , " AtkRole atk_object_get_role (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkRole atk_object_get_role (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_get_role "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
long int ret_type=(long int) atk_object_get_role ( accessible);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_get_layer , args , , " AtkLayer atk_object_get_layer (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkLayer atk_object_get_layer (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_get_layer "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
long int ret_type=(long int) atk_object_get_layer ( accessible);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_get_mdi_zorder , args , , " gint atk_object_get_mdi_zorder (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_object_get_mdi_zorder (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_get_mdi_zorder "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
long int ret_type=(long int) atk_object_get_mdi_zorder ( accessible);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_ref_state_set , args , , " AtkStateSet* atk_object_ref_state_set (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkStateSet* atk_object_ref_state_set (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_ref_state_set "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
long int ret_type= (long int) atk_object_ref_state_set ( accessible);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_get_index_in_parent , args , , " gint atk_object_get_index_in_parent (AtkObject * accessible); " )
{
AtkObject *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_object_get_index_in_parent (AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_get_index_in_parent "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
long int ret_type=(long int) atk_object_get_index_in_parent ( accessible);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_set_name , args , , " void atk_object_set_name (AtkObject * accessible,gchar * name); " )
{
AtkObject *   accessible ;
gchar *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_object_set_name (AtkObject * accessible,gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_set_name "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
atk_object_set_name ( accessible,name);
return octave_value();
}
DEFUN_DLD( atk_object_set_description , args , , " void atk_object_set_description (AtkObject * accessible,gchar * description); " )
{
AtkObject *   accessible ;
gchar *   description ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_object_set_description (AtkObject * accessible,gchar * description); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_set_description "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
description = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) description ,args( 1 ).string_value().c_str());
atk_object_set_description ( accessible,description);
return octave_value();
}
DEFUN_DLD( atk_object_set_parent , args , , " void atk_object_set_parent (AtkObject * accessible,AtkObject * parent); " )
{
AtkObject *   accessible ;
AtkObject *   parent ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_object_set_parent (AtkObject * accessible,AtkObject * parent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_set_parent "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
parent =( AtkObject * )args( 1 ).long_value();
atk_object_set_parent ( accessible,parent);
return octave_value();
}
DEFUN_DLD( atk_object_set_role , args , , " void atk_object_set_role (AtkObject * accessible,AtkRole role); " )
{
AtkObject *   accessible ;
AtkRole   role ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_object_set_role (AtkObject * accessible,AtkRole role); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_set_role "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
role = (  AtkRole  ) args( 1 ).long_value();
atk_object_set_role ( accessible,role);
return octave_value();
}
DEFUN_DLD( atk_object_connect_property_change_handler , args , , " guint atk_object_connect_property_change_handler (AtkObject * accessible,AtkPropertyChangeHandler * handler); " )
{
AtkObject *   accessible ;
AtkPropertyChangeHandler *   handler ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint atk_object_connect_property_change_handler (AtkObject * accessible,AtkPropertyChangeHandler * handler); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_connect_property_change_handler "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
handler =( AtkPropertyChangeHandler * )args( 1 ).long_value();
long int ret_type=(long int) atk_object_connect_property_change_handler ( accessible,handler);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_remove_property_change_handler , args , , " void atk_object_remove_property_change_handler (AtkObject * accessible,guint handler_id); " )
{
AtkObject *   accessible ;
guint   handler_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_object_remove_property_change_handler (AtkObject * accessible,guint handler_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_remove_property_change_handler "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
handler_id = (  guint  ) args( 1 ).int_value();
atk_object_remove_property_change_handler ( accessible,handler_id);
return octave_value();
}
DEFUN_DLD( atk_object_notify_state_change , args , , " void atk_object_notify_state_change (AtkObject * accessible,AtkState state,gboolean value); " )
{
AtkObject *   accessible ;
AtkState   state ;
gboolean   value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_object_notify_state_change (AtkObject * accessible,AtkState state,gboolean value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_notify_state_change "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
state = (  AtkState  ) args( 1 ).long_value();
value = (  gboolean  ) args( 2 ).long_value();
atk_object_notify_state_change ( accessible,state,value);
return octave_value();
}
DEFUN_DLD( atk_object_initialize , args , , " void atk_object_initialize (AtkObject * accessible,gpointer data); " )
{
AtkObject *   accessible ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_object_initialize (AtkObject * accessible,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_initialize "<<std::endl;
#endif /* DEBUG */
accessible =( AtkObject * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
atk_object_initialize ( accessible,data);
return octave_value();
}
DEFUN_DLD( atk_role_get_name , args , , " gchar* atk_role_get_name (AtkRole role); " )
{
AtkRole   role ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* atk_role_get_name (AtkRole role); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_role_get_name "<<std::endl;
#endif /* DEBUG */
role = (  AtkRole  ) args( 0 ).long_value();
string  ret_type( atk_role_get_name ( role));
return octave_value(ret_type);
}
DEFUN_DLD( atk_role_for_name , args , , " AtkRole atk_role_for_name (gchar * name); " )
{
gchar *   name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkRole atk_role_for_name (gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_role_for_name "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
long int ret_type=(long int) atk_role_for_name ( name);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_add_relationship , args , , " gboolean atk_object_add_relationship (AtkObject * object,AtkRelationType relationship,AtkObject * target); " )
{
AtkObject *   object ;
AtkRelationType   relationship ;
AtkObject *   target ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean atk_object_add_relationship (AtkObject * object,AtkRelationType relationship,AtkObject * target); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_add_relationship "<<std::endl;
#endif /* DEBUG */
object =( AtkObject * )args( 0 ).long_value();
relationship = (  AtkRelationType  ) args( 1 ).long_value();
target =( AtkObject * )args( 2 ).long_value();
long int ret_type=(long int) atk_object_add_relationship ( object,relationship,target);
return octave_value(ret_type);
}
DEFUN_DLD( atk_object_remove_relationship , args , , " gboolean atk_object_remove_relationship (AtkObject * object,AtkRelationType relationship,AtkObject * target); " )
{
AtkObject *   object ;
AtkRelationType   relationship ;
AtkObject *   target ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean atk_object_remove_relationship (AtkObject * object,AtkRelationType relationship,AtkObject * target); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_object_remove_relationship "<<std::endl;
#endif /* DEBUG */
object =( AtkObject * )args( 0 ).long_value();
relationship = (  AtkRelationType  ) args( 1 ).long_value();
target =( AtkObject * )args( 2 ).long_value();
long int ret_type=(long int) atk_object_remove_relationship ( object,relationship,target);
return octave_value(ret_type);
}
DEFUN_DLD( atk_role_get_localized_name , args , , " gchar* atk_role_get_localized_name (AtkRole role); " )
{
AtkRole   role ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* atk_role_get_localized_name (AtkRole role); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_role_get_localized_name "<<std::endl;
#endif /* DEBUG */
role = (  AtkRole  ) args( 0 ).long_value();
string  ret_type( atk_role_get_localized_name ( role));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_registry_get_type , args , , " GType atk_registry_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_registry_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_registry_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_registry_set_factory_type , args , , " void atk_registry_set_factory_type (AtkRegistry * registry,GType type,GType factory_type); " )
{
AtkRegistry *   registry ;
GType   type ;
GType   factory_type ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_registry_set_factory_type (AtkRegistry * registry,GType type,GType factory_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_registry_set_factory_type "<<std::endl;
#endif /* DEBUG */
registry =( AtkRegistry * )args( 0 ).long_value();
type = (  GType  ) args( 1 ).long_value();
factory_type = (  GType  ) args( 2 ).long_value();
atk_registry_set_factory_type ( registry,type,factory_type);
return octave_value();
}
DEFUN_DLD( atk_registry_get_factory_type , args , , " GType atk_registry_get_factory_type (AtkRegistry * registry,GType type); " )
{
AtkRegistry *   registry ;
GType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GType atk_registry_get_factory_type (AtkRegistry * registry,GType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_registry_get_factory_type "<<std::endl;
#endif /* DEBUG */
registry =( AtkRegistry * )args( 0 ).long_value();
type = (  GType  ) args( 1 ).long_value();
long int ret_type=(long int) atk_registry_get_factory_type ( registry,type);
return octave_value(ret_type);
}
DEFUN_DLD( atk_registry_get_factory , args , , " AtkObjectFactory* atk_registry_get_factory (AtkRegistry * registry,GType type); " )
{
AtkRegistry *   registry ;
GType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkObjectFactory* atk_registry_get_factory (AtkRegistry * registry,GType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_registry_get_factory "<<std::endl;
#endif /* DEBUG */
registry =( AtkRegistry * )args( 0 ).long_value();
type = (  GType  ) args( 1 ).long_value();
long int ret_type= (long int) atk_registry_get_factory ( registry,type);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_get_default_registry , args , , " AtkRegistry* atk_get_default_registry (void); " )
{
#ifdef DEBUG
std::cout<<" atk_get_default_registry "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) atk_get_default_registry ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_relation_get_type , args , , " GType atk_relation_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_relation_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_relation_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_relation_type_register , args , , " AtkRelationType atk_relation_type_register (gchar * name); " )
{
gchar *   name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkRelationType atk_relation_type_register (gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_type_register "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
long int ret_type=(long int) atk_relation_type_register ( name);
return octave_value(ret_type);
}
DEFUN_DLD( atk_relation_type_get_name , args , , " gchar* atk_relation_type_get_name (AtkRelationType type); " )
{
AtkRelationType   type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* atk_relation_type_get_name (AtkRelationType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_type_get_name "<<std::endl;
#endif /* DEBUG */
type = (  AtkRelationType  ) args( 0 ).long_value();
string  ret_type( atk_relation_type_get_name ( type));
return octave_value(ret_type);
}
DEFUN_DLD( atk_relation_type_for_name , args , , " AtkRelationType atk_relation_type_for_name (gchar * name); " )
{
gchar *   name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkRelationType atk_relation_type_for_name (gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_type_for_name "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
long int ret_type=(long int) atk_relation_type_for_name ( name);
return octave_value(ret_type);
}
/* overriden: atk_relation_new  */
DEFUN_DLD( atk_relation_get_relation_type , args , , " AtkRelationType atk_relation_get_relation_type (AtkRelation * relation); " )
{
AtkRelation *   relation ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkRelationType atk_relation_get_relation_type (AtkRelation * relation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_get_relation_type "<<std::endl;
#endif /* DEBUG */
relation =( AtkRelation * )args( 0 ).long_value();
long int ret_type=(long int) atk_relation_get_relation_type ( relation);
return octave_value(ret_type);
}
DEFUN_DLD( atk_relation_get_target , args , , " GPtrArray* atk_relation_get_target (AtkRelation * relation); " )
{
AtkRelation *   relation ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GPtrArray* atk_relation_get_target (AtkRelation * relation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_get_target "<<std::endl;
#endif /* DEBUG */
relation =( AtkRelation * )args( 0 ).long_value();
long int ret_type= (long int) atk_relation_get_target ( relation);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_relation_set_get_type , args , , " GType atk_relation_set_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_relation_set_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_relation_set_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_relation_set_new , args , , " AtkRelationSet* atk_relation_set_new (void); " )
{
#ifdef DEBUG
std::cout<<" atk_relation_set_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) atk_relation_set_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_relation_set_contains , args , , " gboolean atk_relation_set_contains (AtkRelationSet * set,AtkRelationType relationship); " )
{
AtkRelationSet *   set ;
AtkRelationType   relationship ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_relation_set_contains (AtkRelationSet * set,AtkRelationType relationship); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_set_contains "<<std::endl;
#endif /* DEBUG */
set =( AtkRelationSet * )args( 0 ).long_value();
relationship = (  AtkRelationType  ) args( 1 ).long_value();
long int ret_type=(long int) atk_relation_set_contains ( set,relationship);
return octave_value(ret_type);
}
DEFUN_DLD( atk_relation_set_remove , args , , " void atk_relation_set_remove (AtkRelationSet * set,AtkRelation * relation); " )
{
AtkRelationSet *   set ;
AtkRelation *   relation ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_relation_set_remove (AtkRelationSet * set,AtkRelation * relation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_set_remove "<<std::endl;
#endif /* DEBUG */
set =( AtkRelationSet * )args( 0 ).long_value();
relation =( AtkRelation * )args( 1 ).long_value();
atk_relation_set_remove ( set,relation);
return octave_value();
}
DEFUN_DLD( atk_relation_set_add , args , , " void atk_relation_set_add (AtkRelationSet * set,AtkRelation * relation); " )
{
AtkRelationSet *   set ;
AtkRelation *   relation ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_relation_set_add (AtkRelationSet * set,AtkRelation * relation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_set_add "<<std::endl;
#endif /* DEBUG */
set =( AtkRelationSet * )args( 0 ).long_value();
relation =( AtkRelation * )args( 1 ).long_value();
atk_relation_set_add ( set,relation);
return octave_value();
}
DEFUN_DLD( atk_relation_set_get_n_relations , args , , " gint atk_relation_set_get_n_relations (AtkRelationSet * set); " )
{
AtkRelationSet *   set ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_relation_set_get_n_relations (AtkRelationSet * set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_set_get_n_relations "<<std::endl;
#endif /* DEBUG */
set =( AtkRelationSet * )args( 0 ).long_value();
long int ret_type=(long int) atk_relation_set_get_n_relations ( set);
return octave_value(ret_type);
}
DEFUN_DLD( atk_relation_set_get_relation , args , , " AtkRelation* atk_relation_set_get_relation (AtkRelationSet * set,gint i); " )
{
AtkRelationSet *   set ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkRelation* atk_relation_set_get_relation (AtkRelationSet * set,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_set_get_relation "<<std::endl;
#endif /* DEBUG */
set =( AtkRelationSet * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) atk_relation_set_get_relation ( set,i);
return octave_value(ret_type);
}
DEFUN_DLD( atk_relation_set_get_relation_by_type , args , , " AtkRelation* atk_relation_set_get_relation_by_type (AtkRelationSet * set,AtkRelationType relationship); " )
{
AtkRelationSet *   set ;
AtkRelationType   relationship ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkRelation* atk_relation_set_get_relation_by_type (AtkRelationSet * set,AtkRelationType relationship); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_relation_set_get_relation_by_type "<<std::endl;
#endif /* DEBUG */
set =( AtkRelationSet * )args( 0 ).long_value();
relationship = (  AtkRelationType  ) args( 1 ).long_value();
long int ret_type= (long int) atk_relation_set_get_relation_by_type ( set,relationship);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_selection_get_type , args , , " GType atk_selection_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_selection_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_selection_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_selection_add_selection , args , , " gboolean atk_selection_add_selection (AtkSelection * selection,gint i); " )
{
AtkSelection *   selection ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_selection_add_selection (AtkSelection * selection,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_selection_add_selection "<<std::endl;
#endif /* DEBUG */
selection =( AtkSelection * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_selection_add_selection ( selection,i);
return octave_value(ret_type);
}
DEFUN_DLD( atk_selection_clear_selection , args , , " gboolean atk_selection_clear_selection (AtkSelection * selection); " )
{
AtkSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean atk_selection_clear_selection (AtkSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_selection_clear_selection "<<std::endl;
#endif /* DEBUG */
selection =( AtkSelection * )args( 0 ).long_value();
long int ret_type=(long int) atk_selection_clear_selection ( selection);
return octave_value(ret_type);
}
DEFUN_DLD( atk_selection_ref_selection , args , , " AtkObject* atk_selection_ref_selection (AtkSelection * selection,gint i); " )
{
AtkSelection *   selection ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkObject* atk_selection_ref_selection (AtkSelection * selection,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_selection_ref_selection "<<std::endl;
#endif /* DEBUG */
selection =( AtkSelection * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) atk_selection_ref_selection ( selection,i);
return octave_value(ret_type);
}
DEFUN_DLD( atk_selection_get_selection_count , args , , " gint atk_selection_get_selection_count (AtkSelection * selection); " )
{
AtkSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_selection_get_selection_count (AtkSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_selection_get_selection_count "<<std::endl;
#endif /* DEBUG */
selection =( AtkSelection * )args( 0 ).long_value();
long int ret_type=(long int) atk_selection_get_selection_count ( selection);
return octave_value(ret_type);
}
DEFUN_DLD( atk_selection_is_child_selected , args , , " gboolean atk_selection_is_child_selected (AtkSelection * selection,gint i); " )
{
AtkSelection *   selection ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_selection_is_child_selected (AtkSelection * selection,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_selection_is_child_selected "<<std::endl;
#endif /* DEBUG */
selection =( AtkSelection * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_selection_is_child_selected ( selection,i);
return octave_value(ret_type);
}
DEFUN_DLD( atk_selection_remove_selection , args , , " gboolean atk_selection_remove_selection (AtkSelection * selection,gint i); " )
{
AtkSelection *   selection ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_selection_remove_selection (AtkSelection * selection,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_selection_remove_selection "<<std::endl;
#endif /* DEBUG */
selection =( AtkSelection * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_selection_remove_selection ( selection,i);
return octave_value(ret_type);
}
DEFUN_DLD( atk_selection_select_all_selection , args , , " gboolean atk_selection_select_all_selection (AtkSelection * selection); " )
{
AtkSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean atk_selection_select_all_selection (AtkSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_selection_select_all_selection "<<std::endl;
#endif /* DEBUG */
selection =( AtkSelection * )args( 0 ).long_value();
long int ret_type=(long int) atk_selection_select_all_selection ( selection);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_state_set_get_type , args , , " GType atk_state_set_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_state_set_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_state_set_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_state_set_new , args , , " AtkStateSet* atk_state_set_new (void); " )
{
#ifdef DEBUG
std::cout<<" atk_state_set_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) atk_state_set_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_state_set_is_empty , args , , " gboolean atk_state_set_is_empty (AtkStateSet * set); " )
{
AtkStateSet *   set ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean atk_state_set_is_empty (AtkStateSet * set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_is_empty "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
long int ret_type=(long int) atk_state_set_is_empty ( set);
return octave_value(ret_type);
}
DEFUN_DLD( atk_state_set_add_state , args , , " gboolean atk_state_set_add_state (AtkStateSet * set,AtkStateType type); " )
{
AtkStateSet *   set ;
AtkStateType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_state_set_add_state (AtkStateSet * set,AtkStateType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_add_state "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
type = (  AtkStateType  ) args( 1 ).long_value();
long int ret_type=(long int) atk_state_set_add_state ( set,type);
return octave_value(ret_type);
}
DEFUN_DLD( atk_state_set_add_states , args , , " void atk_state_set_add_states (AtkStateSet * set,AtkStateType * types,gint n_types); " )
{
AtkStateSet *   set ;
AtkStateType *   types ;
gint   n_types ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_state_set_add_states (AtkStateSet * set,AtkStateType * types,gint n_types); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_add_states "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
types =( AtkStateType * )args( 1 ).long_value();
n_types = (  gint  ) args( 2 ).int_value();
atk_state_set_add_states ( set,types,n_types);
return octave_value();
}
DEFUN_DLD( atk_state_set_clear_states , args , , " void atk_state_set_clear_states (AtkStateSet * set); " )
{
AtkStateSet *   set ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void atk_state_set_clear_states (AtkStateSet * set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_clear_states "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
atk_state_set_clear_states ( set);
return octave_value();
}
DEFUN_DLD( atk_state_set_contains_state , args , , " gboolean atk_state_set_contains_state (AtkStateSet * set,AtkStateType type); " )
{
AtkStateSet *   set ;
AtkStateType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_state_set_contains_state (AtkStateSet * set,AtkStateType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_contains_state "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
type = (  AtkStateType  ) args( 1 ).long_value();
long int ret_type=(long int) atk_state_set_contains_state ( set,type);
return octave_value(ret_type);
}
DEFUN_DLD( atk_state_set_contains_states , args , , " gboolean atk_state_set_contains_states (AtkStateSet * set,AtkStateType * types,gint n_types); " )
{
AtkStateSet *   set ;
AtkStateType *   types ;
gint   n_types ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean atk_state_set_contains_states (AtkStateSet * set,AtkStateType * types,gint n_types); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_contains_states "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
types =( AtkStateType * )args( 1 ).long_value();
n_types = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) atk_state_set_contains_states ( set,types,n_types);
return octave_value(ret_type);
}
DEFUN_DLD( atk_state_set_remove_state , args , , " gboolean atk_state_set_remove_state (AtkStateSet * set,AtkStateType type); " )
{
AtkStateSet *   set ;
AtkStateType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_state_set_remove_state (AtkStateSet * set,AtkStateType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_remove_state "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
type = (  AtkStateType  ) args( 1 ).long_value();
long int ret_type=(long int) atk_state_set_remove_state ( set,type);
return octave_value(ret_type);
}
DEFUN_DLD( atk_state_set_and_sets , args , , " AtkStateSet* atk_state_set_and_sets (AtkStateSet * set,AtkStateSet * compare_set); " )
{
AtkStateSet *   set ;
AtkStateSet *   compare_set ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkStateSet* atk_state_set_and_sets (AtkStateSet * set,AtkStateSet * compare_set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_and_sets "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
compare_set =( AtkStateSet * )args( 1 ).long_value();
long int ret_type= (long int) atk_state_set_and_sets ( set,compare_set);
return octave_value(ret_type);
}
DEFUN_DLD( atk_state_set_or_sets , args , , " AtkStateSet* atk_state_set_or_sets (AtkStateSet * set,AtkStateSet * compare_set); " )
{
AtkStateSet *   set ;
AtkStateSet *   compare_set ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkStateSet* atk_state_set_or_sets (AtkStateSet * set,AtkStateSet * compare_set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_or_sets "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
compare_set =( AtkStateSet * )args( 1 ).long_value();
long int ret_type= (long int) atk_state_set_or_sets ( set,compare_set);
return octave_value(ret_type);
}
DEFUN_DLD( atk_state_set_xor_sets , args , , " AtkStateSet* atk_state_set_xor_sets (AtkStateSet * set,AtkStateSet * compare_set); " )
{
AtkStateSet *   set ;
AtkStateSet *   compare_set ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkStateSet* atk_state_set_xor_sets (AtkStateSet * set,AtkStateSet * compare_set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_state_set_xor_sets "<<std::endl;
#endif /* DEBUG */
set =( AtkStateSet * )args( 0 ).long_value();
compare_set =( AtkStateSet * )args( 1 ).long_value();
long int ret_type= (long int) atk_state_set_xor_sets ( set,compare_set);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_streamable_content_get_type , args , , " GType atk_streamable_content_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_streamable_content_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_streamable_content_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_streamable_content_get_n_mime_types , args , , " gint atk_streamable_content_get_n_mime_types (AtkStreamableContent * streamable); " )
{
AtkStreamableContent *   streamable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_streamable_content_get_n_mime_types (AtkStreamableContent * streamable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_streamable_content_get_n_mime_types "<<std::endl;
#endif /* DEBUG */
streamable =( AtkStreamableContent * )args( 0 ).long_value();
long int ret_type=(long int) atk_streamable_content_get_n_mime_types ( streamable);
return octave_value(ret_type);
}
DEFUN_DLD( atk_streamable_content_get_mime_type , args , , " gchar* atk_streamable_content_get_mime_type (AtkStreamableContent * streamable,gint i); " )
{
AtkStreamableContent *   streamable ;
gint   i ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* atk_streamable_content_get_mime_type (AtkStreamableContent * streamable,gint i); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_streamable_content_get_mime_type "<<std::endl;
#endif /* DEBUG */
streamable =( AtkStreamableContent * )args( 0 ).long_value();
i = (  gint  ) args( 1 ).int_value();
string  ret_type( atk_streamable_content_get_mime_type ( streamable,i));
return octave_value(ret_type);
}
DEFUN_DLD( atk_streamable_content_get_stream , args , , " GIOChannel* atk_streamable_content_get_stream (AtkStreamableContent * streamable,gchar * mime_type); " )
{
AtkStreamableContent *   streamable ;
gchar *   mime_type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GIOChannel* atk_streamable_content_get_stream (AtkStreamableContent * streamable,gchar * mime_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_streamable_content_get_stream "<<std::endl;
#endif /* DEBUG */
streamable =( AtkStreamableContent * )args( 0 ).long_value();
mime_type = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) mime_type ,args( 1 ).string_value().c_str());
long int ret_type= (long int) atk_streamable_content_get_stream ( streamable,mime_type);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_table_get_type , args , , " GType atk_table_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_table_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_table_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_ref_at , args , , " AtkObject* atk_table_ref_at (AtkTable * table,gint row,gint column); " )
{
AtkTable *   table ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  AtkObject* atk_table_ref_at (AtkTable * table,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_ref_at "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) atk_table_ref_at ( table,row,column);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_index_at , args , , " gint atk_table_get_index_at (AtkTable * table,gint row,gint column); " )
{
AtkTable *   table ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint atk_table_get_index_at (AtkTable * table,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_index_at "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) atk_table_get_index_at ( table,row,column);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_column_at_index , args , , " gint atk_table_get_column_at_index (AtkTable * table,gint index_); " )
{
AtkTable *   table ;
gint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint atk_table_get_column_at_index (AtkTable * table,gint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_column_at_index "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
index_ = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_get_column_at_index ( table,index_);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_row_at_index , args , , " gint atk_table_get_row_at_index (AtkTable * table,gint index_); " )
{
AtkTable *   table ;
gint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint atk_table_get_row_at_index (AtkTable * table,gint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_row_at_index "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
index_ = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_get_row_at_index ( table,index_);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_n_columns , args , , " gint atk_table_get_n_columns (AtkTable * table); " )
{
AtkTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_table_get_n_columns (AtkTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_n_columns "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
long int ret_type=(long int) atk_table_get_n_columns ( table);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_n_rows , args , , " gint atk_table_get_n_rows (AtkTable * table); " )
{
AtkTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_table_get_n_rows (AtkTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_n_rows "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
long int ret_type=(long int) atk_table_get_n_rows ( table);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_column_extent_at , args , , " gint atk_table_get_column_extent_at (AtkTable * table,gint row,gint column); " )
{
AtkTable *   table ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint atk_table_get_column_extent_at (AtkTable * table,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_column_extent_at "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) atk_table_get_column_extent_at ( table,row,column);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_row_extent_at , args , , " gint atk_table_get_row_extent_at (AtkTable * table,gint row,gint column); " )
{
AtkTable *   table ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint atk_table_get_row_extent_at (AtkTable * table,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_row_extent_at "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) atk_table_get_row_extent_at ( table,row,column);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_caption , args , , " int atk_table_get_caption (AtkTable * table); " )
{
AtkTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  int atk_table_get_caption (AtkTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_caption "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
long int ret_type=(long int) atk_table_get_caption ( table);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_column_description , args , , " int atk_table_get_column_description (AtkTable * table,gint column); " )
{
AtkTable *   table ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  int atk_table_get_column_description (AtkTable * table,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_column_description "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_get_column_description ( table,column);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_column_header , args , , " AtkObject* atk_table_get_column_header (AtkTable * table,gint column); " )
{
AtkTable *   table ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkObject* atk_table_get_column_header (AtkTable * table,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_column_header "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) atk_table_get_column_header ( table,column);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_row_description , args , , " int atk_table_get_row_description (AtkTable * table,gint row); " )
{
AtkTable *   table ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  int atk_table_get_row_description (AtkTable * table,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_row_description "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_get_row_description ( table,row);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_row_header , args , , " AtkObject* atk_table_get_row_header (AtkTable * table,gint row); " )
{
AtkTable *   table ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  AtkObject* atk_table_get_row_header (AtkTable * table,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_row_header "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) atk_table_get_row_header ( table,row);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_get_summary , args , , " AtkObject* atk_table_get_summary (AtkTable * table); " )
{
AtkTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkObject* atk_table_get_summary (AtkTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_get_summary "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
long int ret_type= (long int) atk_table_get_summary ( table);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_set_caption , args , , " void atk_table_set_caption (AtkTable * table,AtkObject * caption); " )
{
AtkTable *   table ;
AtkObject *   caption ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_table_set_caption (AtkTable * table,AtkObject * caption); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_set_caption "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
caption =( AtkObject * )args( 1 ).long_value();
atk_table_set_caption ( table,caption);
return octave_value();
}
DEFUN_DLD( atk_table_set_column_header , args , , " void atk_table_set_column_header (AtkTable * table,gint column,AtkObject * header); " )
{
AtkTable *   table ;
gint   column ;
AtkObject *   header ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_table_set_column_header (AtkTable * table,gint column,AtkObject * header); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_set_column_header "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
header =( AtkObject * )args( 2 ).long_value();
atk_table_set_column_header ( table,column,header);
return octave_value();
}
DEFUN_DLD( atk_table_set_row_description , args , , " void atk_table_set_row_description (AtkTable * table,gint row,gchar * description); " )
{
AtkTable *   table ;
gint   row ;
gchar *   description ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_table_set_row_description (AtkTable * table,gint row,gchar * description); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_set_row_description "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
description = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) description ,args( 2 ).string_value().c_str());
atk_table_set_row_description ( table,row,description);
return octave_value();
}
DEFUN_DLD( atk_table_set_row_header , args , , " void atk_table_set_row_header (AtkTable * table,gint row,AtkObject * header); " )
{
AtkTable *   table ;
gint   row ;
AtkObject *   header ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void atk_table_set_row_header (AtkTable * table,gint row,AtkObject * header); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_set_row_header "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
header =( AtkObject * )args( 2 ).long_value();
atk_table_set_row_header ( table,row,header);
return octave_value();
}
DEFUN_DLD( atk_table_set_summary , args , , " void atk_table_set_summary (AtkTable * table,AtkObject * accessible); " )
{
AtkTable *   table ;
AtkObject *   accessible ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_table_set_summary (AtkTable * table,AtkObject * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_set_summary "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
accessible =( AtkObject * )args( 1 ).long_value();
atk_table_set_summary ( table,accessible);
return octave_value();
}
/* overriden: atk_table_get_selected_columns  */
/* overriden: atk_table_get_selected_rows  */
DEFUN_DLD( atk_table_is_column_selected , args , , " gboolean atk_table_is_column_selected (AtkTable * table,gint column); " )
{
AtkTable *   table ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_table_is_column_selected (AtkTable * table,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_is_column_selected "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_is_column_selected ( table,column);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_is_row_selected , args , , " gboolean atk_table_is_row_selected (AtkTable * table,gint row); " )
{
AtkTable *   table ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_table_is_row_selected (AtkTable * table,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_is_row_selected "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_is_row_selected ( table,row);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_is_selected , args , , " gboolean atk_table_is_selected (AtkTable * table,gint row,gint column); " )
{
AtkTable *   table ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean atk_table_is_selected (AtkTable * table,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_is_selected "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) atk_table_is_selected ( table,row,column);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_add_row_selection , args , , " gboolean atk_table_add_row_selection (AtkTable * table,gint row); " )
{
AtkTable *   table ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_table_add_row_selection (AtkTable * table,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_add_row_selection "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_add_row_selection ( table,row);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_remove_row_selection , args , , " gboolean atk_table_remove_row_selection (AtkTable * table,gint row); " )
{
AtkTable *   table ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_table_remove_row_selection (AtkTable * table,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_remove_row_selection "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_remove_row_selection ( table,row);
return octave_value(ret_type);
}
DEFUN_DLD( atk_table_add_column_selection , args , , " gboolean atk_table_add_column_selection (AtkTable * table,gint column); " )
{
AtkTable *   table ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_table_add_column_selection (AtkTable * table,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_table_add_column_selection "<<std::endl;
#endif /* DEBUG */
table =( AtkTable * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_table_add_column_selection ( table,column);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_text_get_type , args , , " GType atk_text_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_text_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_text_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_text , args , , " gchar* atk_text_get_text (AtkText * text,gint start_offset,gint end_offset); " )
{
AtkText *   text ;
gint   start_offset ;
gint   end_offset ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gchar* atk_text_get_text (AtkText * text,gint start_offset,gint end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_text "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
start_offset = (  gint  ) args( 1 ).int_value();
end_offset = (  gint  ) args( 2 ).int_value();
string  ret_type( atk_text_get_text ( text,start_offset,end_offset));
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_character_at_offset , args , , " gunichar atk_text_get_character_at_offset (AtkText * text,gint offset); " )
{
AtkText *   text ;
gint   offset ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gunichar atk_text_get_character_at_offset (AtkText * text,gint offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_character_at_offset "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
offset = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_text_get_character_at_offset ( text,offset);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_text_after_offset , args , , " gchar* atk_text_get_text_after_offset (AtkText * text,gint offset,AtkTextBoundary boundary_type,gint * start_offset,gint * end_offset); " )
{
AtkText *   text ;
gint   offset ;
AtkTextBoundary   boundary_type ;
gint *   start_offset ;
gint *   end_offset ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gchar* atk_text_get_text_after_offset (AtkText * text,gint offset,AtkTextBoundary boundary_type,gint * start_offset,gint * end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_text_after_offset "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
offset = (  gint  ) args( 1 ).int_value();
boundary_type = (  AtkTextBoundary  ) args( 2 ).long_value();
start_offset =( gint * )args( 3 ).long_value();
end_offset =( gint * )args( 4 ).long_value();
string  ret_type( atk_text_get_text_after_offset ( text,offset,boundary_type,start_offset,end_offset));
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_text_at_offset , args , , " gchar* atk_text_get_text_at_offset (AtkText * text,gint offset,AtkTextBoundary boundary_type,gint * start_offset,gint * end_offset); " )
{
AtkText *   text ;
gint   offset ;
AtkTextBoundary   boundary_type ;
gint *   start_offset ;
gint *   end_offset ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gchar* atk_text_get_text_at_offset (AtkText * text,gint offset,AtkTextBoundary boundary_type,gint * start_offset,gint * end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_text_at_offset "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
offset = (  gint  ) args( 1 ).int_value();
boundary_type = (  AtkTextBoundary  ) args( 2 ).long_value();
start_offset =( gint * )args( 3 ).long_value();
end_offset =( gint * )args( 4 ).long_value();
string  ret_type( atk_text_get_text_at_offset ( text,offset,boundary_type,start_offset,end_offset));
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_text_before_offset , args , , " gchar* atk_text_get_text_before_offset (AtkText * text,gint offset,AtkTextBoundary boundary_type,gint * start_offset,gint * end_offset); " )
{
AtkText *   text ;
gint   offset ;
AtkTextBoundary   boundary_type ;
gint *   start_offset ;
gint *   end_offset ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gchar* atk_text_get_text_before_offset (AtkText * text,gint offset,AtkTextBoundary boundary_type,gint * start_offset,gint * end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_text_before_offset "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
offset = (  gint  ) args( 1 ).int_value();
boundary_type = (  AtkTextBoundary  ) args( 2 ).long_value();
start_offset =( gint * )args( 3 ).long_value();
end_offset =( gint * )args( 4 ).long_value();
string  ret_type( atk_text_get_text_before_offset ( text,offset,boundary_type,start_offset,end_offset));
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_caret_offset , args , , " gint atk_text_get_caret_offset (AtkText * text); " )
{
AtkText *   text ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_text_get_caret_offset (AtkText * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_caret_offset "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
long int ret_type=(long int) atk_text_get_caret_offset ( text);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_character_extents , args , , " void atk_text_get_character_extents (AtkText * text,gint offset,gint * x,gint * y,gint * width,gint * height,AtkCoordType coords); " )
{
AtkText *   text ;
gint   offset ;
gint *   x ;
gint *   y ;
gint *   width ;
gint *   height ;
AtkCoordType   coords ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void atk_text_get_character_extents (AtkText * text,gint offset,gint * x,gint * y,gint * width,gint * height,AtkCoordType coords); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_character_extents "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
offset = (  gint  ) args( 1 ).int_value();
x =( gint * )args( 2 ).long_value();
y =( gint * )args( 3 ).long_value();
width =( gint * )args( 4 ).long_value();
height =( gint * )args( 5 ).long_value();
coords = (  AtkCoordType  ) args( 6 ).long_value();
atk_text_get_character_extents ( text,offset,x,y,width,height,coords);
return octave_value();
}
DEFUN_DLD( atk_text_get_run_attributes , args , , " AtkAttributeSet* atk_text_get_run_attributes (AtkText * text,gint offset,gint * start_offset,gint * end_offset); " )
{
AtkText *   text ;
gint   offset ;
gint *   start_offset ;
gint *   end_offset ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  AtkAttributeSet* atk_text_get_run_attributes (AtkText * text,gint offset,gint * start_offset,gint * end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_run_attributes "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
offset = (  gint  ) args( 1 ).int_value();
start_offset =( gint * )args( 2 ).long_value();
end_offset =( gint * )args( 3 ).long_value();
long int ret_type= (long int) atk_text_get_run_attributes ( text,offset,start_offset,end_offset);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_default_attributes , args , , " AtkAttributeSet* atk_text_get_default_attributes (AtkText * text); " )
{
AtkText *   text ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkAttributeSet* atk_text_get_default_attributes (AtkText * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_default_attributes "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
long int ret_type= (long int) atk_text_get_default_attributes ( text);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_character_count , args , , " gint atk_text_get_character_count (AtkText * text); " )
{
AtkText *   text ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_text_get_character_count (AtkText * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_character_count "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
long int ret_type=(long int) atk_text_get_character_count ( text);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_offset_at_point , args , , " gint atk_text_get_offset_at_point (AtkText * text,gint x,gint y,AtkCoordType coords); " )
{
AtkText *   text ;
gint   x ;
gint   y ;
AtkCoordType   coords ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gint atk_text_get_offset_at_point (AtkText * text,gint x,gint y,AtkCoordType coords); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_offset_at_point "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
coords = (  AtkCoordType  ) args( 3 ).long_value();
long int ret_type=(long int) atk_text_get_offset_at_point ( text,x,y,coords);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_n_selections , args , , " gint atk_text_get_n_selections (AtkText * text); " )
{
AtkText *   text ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint atk_text_get_n_selections (AtkText * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_n_selections "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
long int ret_type=(long int) atk_text_get_n_selections ( text);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_get_selection , args , , " gchar* atk_text_get_selection (AtkText * text,gint selection_num,gint * start_offset,gint * end_offset); " )
{
AtkText *   text ;
gint   selection_num ;
gint *   start_offset ;
gint *   end_offset ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gchar* atk_text_get_selection (AtkText * text,gint selection_num,gint * start_offset,gint * end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_get_selection "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
selection_num = (  gint  ) args( 1 ).int_value();
start_offset =( gint * )args( 2 ).long_value();
end_offset =( gint * )args( 3 ).long_value();
string  ret_type( atk_text_get_selection ( text,selection_num,start_offset,end_offset));
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_add_selection , args , , " gboolean atk_text_add_selection (AtkText * text,gint start_offset,gint end_offset); " )
{
AtkText *   text ;
gint   start_offset ;
gint   end_offset ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean atk_text_add_selection (AtkText * text,gint start_offset,gint end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_add_selection "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
start_offset = (  gint  ) args( 1 ).int_value();
end_offset = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) atk_text_add_selection ( text,start_offset,end_offset);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_remove_selection , args , , " gboolean atk_text_remove_selection (AtkText * text,gint selection_num); " )
{
AtkText *   text ;
gint   selection_num ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_text_remove_selection (AtkText * text,gint selection_num); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_remove_selection "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
selection_num = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_text_remove_selection ( text,selection_num);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_set_selection , args , , " gboolean atk_text_set_selection (AtkText * text,gint selection_num,gint start_offset,gint end_offset); " )
{
AtkText *   text ;
gint   selection_num ;
gint   start_offset ;
gint   end_offset ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean atk_text_set_selection (AtkText * text,gint selection_num,gint start_offset,gint end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_set_selection "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
selection_num = (  gint  ) args( 1 ).int_value();
start_offset = (  gint  ) args( 2 ).int_value();
end_offset = (  gint  ) args( 3 ).int_value();
long int ret_type=(long int) atk_text_set_selection ( text,selection_num,start_offset,end_offset);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_set_caret_offset , args , , " gboolean atk_text_set_caret_offset (AtkText * text,gint offset); " )
{
AtkText *   text ;
gint   offset ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_text_set_caret_offset (AtkText * text,gint offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_set_caret_offset "<<std::endl;
#endif /* DEBUG */
text =( AtkText * )args( 0 ).long_value();
offset = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) atk_text_set_caret_offset ( text,offset);
return octave_value(ret_type);
}
DEFUN_DLD( atk_attribute_set_free , args , , " void atk_attribute_set_free (AtkAttributeSet * attrib_set); " )
{
AtkAttributeSet *   attrib_set ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void atk_attribute_set_free (AtkAttributeSet * attrib_set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_attribute_set_free "<<std::endl;
#endif /* DEBUG */
attrib_set =( AtkAttributeSet * )args( 0 ).long_value();
atk_attribute_set_free ( attrib_set);
return octave_value();
}
DEFUN_DLD( atk_text_attribute_get_name , args , , " gchar* atk_text_attribute_get_name (AtkTextAttribute attr); " )
{
AtkTextAttribute   attr ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* atk_text_attribute_get_name (AtkTextAttribute attr); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_attribute_get_name "<<std::endl;
#endif /* DEBUG */
attr = (  AtkTextAttribute  ) args( 0 ).long_value();
string  ret_type( atk_text_attribute_get_name ( attr));
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_attribute_for_name , args , , " AtkTextAttribute atk_text_attribute_for_name (gchar * name); " )
{
gchar *   name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkTextAttribute atk_text_attribute_for_name (gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_attribute_for_name "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
long int ret_type=(long int) atk_text_attribute_for_name ( name);
return octave_value(ret_type);
}
DEFUN_DLD( atk_text_attribute_get_value , args , , " gchar* atk_text_attribute_get_value (AtkTextAttribute attr,gint index_); " )
{
AtkTextAttribute   attr ;
gint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* atk_text_attribute_get_value (AtkTextAttribute attr,gint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_text_attribute_get_value "<<std::endl;
#endif /* DEBUG */
attr = (  AtkTextAttribute  ) args( 0 ).long_value();
index_ = (  gint  ) args( 1 ).int_value();
string  ret_type( atk_text_attribute_get_value ( attr,index_));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_util_get_type , args , , " GType atk_util_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_util_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_util_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( atk_value_get_type , args , , " GType atk_value_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" atk_value_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) atk_value_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( atk_value_get_current_value , args , , " void atk_value_get_current_value (AtkValue * obj,GValue * value); " )
{
AtkValue *   obj ;
GValue *   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_value_get_current_value (AtkValue * obj,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_value_get_current_value "<<std::endl;
#endif /* DEBUG */
obj =( AtkValue * )args( 0 ).long_value();
value =( GValue * )args( 1 ).long_value();
atk_value_get_current_value ( obj,value);
return octave_value();
}
DEFUN_DLD( atk_value_get_maximum_value , args , , " void atk_value_get_maximum_value (AtkValue * obj,GValue * value); " )
{
AtkValue *   obj ;
GValue *   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_value_get_maximum_value (AtkValue * obj,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_value_get_maximum_value "<<std::endl;
#endif /* DEBUG */
obj =( AtkValue * )args( 0 ).long_value();
value =( GValue * )args( 1 ).long_value();
atk_value_get_maximum_value ( obj,value);
return octave_value();
}
DEFUN_DLD( atk_value_get_minimum_value , args , , " void atk_value_get_minimum_value (AtkValue * obj,GValue * value); " )
{
AtkValue *   obj ;
GValue *   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void atk_value_get_minimum_value (AtkValue * obj,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_value_get_minimum_value "<<std::endl;
#endif /* DEBUG */
obj =( AtkValue * )args( 0 ).long_value();
value =( GValue * )args( 1 ).long_value();
atk_value_get_minimum_value ( obj,value);
return octave_value();
}
DEFUN_DLD( atk_value_set_current_value , args , , " gboolean atk_value_set_current_value (AtkValue * obj,GValue * value); " )
{
AtkValue *   obj ;
GValue *   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean atk_value_set_current_value (AtkValue * obj,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" atk_value_set_current_value "<<std::endl;
#endif /* DEBUG */
obj =( AtkValue * )args( 0 ).long_value();
value =( GValue * )args( 1 ).long_value();
long int ret_type=(long int) atk_value_set_current_value ( obj,value);
return octave_value(ret_type);
}
/* Overridden functions */
/* Linked Separately */
DEFUN_DLD( atk , args , , " void atk(void); " )
{
octave_dynamic_loader::load("atk_action_get_type" ,"");
octave_dynamic_loader::load("atk_action_do_action" ,"");
octave_dynamic_loader::load("atk_action_get_n_actions" ,"");
octave_dynamic_loader::load("atk_action_get_description" ,"");
octave_dynamic_loader::load("atk_action_get_name" ,"");
octave_dynamic_loader::load("atk_action_get_keybinding" ,"");
octave_dynamic_loader::load("atk_action_set_description" ,"");
octave_dynamic_loader::load("atk_action_get_localized_name" ,"");
octave_dynamic_loader::load("atk_component_get_type" ,"");
octave_dynamic_loader::load("atk_component_add_focus_handler" ,"");
octave_dynamic_loader::load("atk_component_contains" ,"");
octave_dynamic_loader::load("atk_component_ref_accessible_at_point" ,"");
octave_dynamic_loader::load("atk_component_get_extents" ,"");
octave_dynamic_loader::load("atk_component_get_position" ,"");
octave_dynamic_loader::load("atk_component_get_size" ,"");
octave_dynamic_loader::load("atk_component_get_layer" ,"");
octave_dynamic_loader::load("atk_component_get_mdi_zorder" ,"");
octave_dynamic_loader::load("atk_component_grab_focus" ,"");
octave_dynamic_loader::load("atk_component_remove_focus_handler" ,"");
octave_dynamic_loader::load("atk_component_set_extents" ,"");
octave_dynamic_loader::load("atk_component_set_position" ,"");
octave_dynamic_loader::load("atk_component_set_size" ,"");
octave_dynamic_loader::load("atk_document_get_type" ,"");
octave_dynamic_loader::load("atk_document_get_document_type" ,"");
octave_dynamic_loader::load("atk_document_get_document" ,"");
octave_dynamic_loader::load("atk_editable_text_get_type" ,"");
octave_dynamic_loader::load("atk_editable_text_set_run_attributes" ,"");
octave_dynamic_loader::load("atk_editable_text_set_text_contents" ,"");
octave_dynamic_loader::load("atk_editable_text_insert_text" ,"");
octave_dynamic_loader::load("atk_editable_text_copy_text" ,"");
octave_dynamic_loader::load("atk_editable_text_cut_text" ,"");
octave_dynamic_loader::load("atk_editable_text_delete_text" ,"");
octave_dynamic_loader::load("atk_editable_text_paste_text" ,"");
octave_dynamic_loader::load("atk_hyperlink_state_flags_get_type" ,"");
octave_dynamic_loader::load("atk_role_get_type" ,"");
octave_dynamic_loader::load("atk_layer_get_type" ,"");
octave_dynamic_loader::load("atk_relation_type_get_type" ,"");
octave_dynamic_loader::load("atk_state_type_get_type" ,"");
octave_dynamic_loader::load("atk_text_attribute_get_type" ,"");
octave_dynamic_loader::load("atk_text_boundary_get_type" ,"");
octave_dynamic_loader::load("atk_key_event_type_get_type" ,"");
octave_dynamic_loader::load("atk_coord_type_get_type" ,"");
octave_dynamic_loader::load("atk_gobject_accessible_get_type" ,"");
octave_dynamic_loader::load("atk_gobject_accessible_for_object" ,"");
octave_dynamic_loader::load("atk_gobject_accessible_get_object" ,"");
octave_dynamic_loader::load("atk_hyperlink_get_type" ,"");
octave_dynamic_loader::load("atk_hyperlink_get_uri" ,"");
octave_dynamic_loader::load("atk_hyperlink_get_object" ,"");
octave_dynamic_loader::load("atk_hyperlink_get_end_index" ,"");
octave_dynamic_loader::load("atk_hyperlink_get_start_index" ,"");
octave_dynamic_loader::load("atk_hyperlink_is_valid" ,"");
octave_dynamic_loader::load("atk_hyperlink_is_inline" ,"");
octave_dynamic_loader::load("atk_hyperlink_get_n_anchors" ,"");
octave_dynamic_loader::load("atk_hypertext_get_type" ,"");
octave_dynamic_loader::load("atk_hypertext_get_link" ,"");
octave_dynamic_loader::load("atk_hypertext_get_n_links" ,"");
octave_dynamic_loader::load("atk_hypertext_get_link_index" ,"");
octave_dynamic_loader::load("atk_image_get_type" ,"");
octave_dynamic_loader::load("atk_image_get_image_description" ,"");
octave_dynamic_loader::load("atk_image_get_image_size" ,"");
octave_dynamic_loader::load("atk_image_set_image_description" ,"");
octave_dynamic_loader::load("atk_image_get_image_position" ,"");
octave_dynamic_loader::load("atk_no_op_object_factory_get_type" ,"");
octave_dynamic_loader::load("atk_no_op_object_factory_new" ,"");
octave_dynamic_loader::load("atk_no_op_object_get_type" ,"");
octave_dynamic_loader::load("atk_no_op_object_new" ,"");
octave_dynamic_loader::load("atk_object_factory_get_type" ,"");
octave_dynamic_loader::load("atk_object_factory_create_accessible" ,"");
octave_dynamic_loader::load("atk_object_factory_invalidate" ,"");
octave_dynamic_loader::load("atk_object_factory_get_accessible_type" ,"");
octave_dynamic_loader::load("atk_object_get_type" ,"");
octave_dynamic_loader::load("atk_implementor_get_type" ,"");
octave_dynamic_loader::load("atk_implementor_ref_accessible" ,"");
octave_dynamic_loader::load("atk_object_get_name" ,"");
octave_dynamic_loader::load("atk_object_get_description" ,"");
octave_dynamic_loader::load("atk_object_get_parent" ,"");
octave_dynamic_loader::load("atk_object_get_n_accessible_children" ,"");
octave_dynamic_loader::load("atk_object_ref_accessible_child" ,"");
octave_dynamic_loader::load("atk_object_ref_relation_set" ,"");
octave_dynamic_loader::load("atk_object_get_role" ,"");
octave_dynamic_loader::load("atk_object_get_layer" ,"");
octave_dynamic_loader::load("atk_object_get_mdi_zorder" ,"");
octave_dynamic_loader::load("atk_object_ref_state_set" ,"");
octave_dynamic_loader::load("atk_object_get_index_in_parent" ,"");
octave_dynamic_loader::load("atk_object_set_name" ,"");
octave_dynamic_loader::load("atk_object_set_description" ,"");
octave_dynamic_loader::load("atk_object_set_parent" ,"");
octave_dynamic_loader::load("atk_object_set_role" ,"");
octave_dynamic_loader::load("atk_object_connect_property_change_handler" ,"");
octave_dynamic_loader::load("atk_object_remove_property_change_handler" ,"");
octave_dynamic_loader::load("atk_object_notify_state_change" ,"");
octave_dynamic_loader::load("atk_object_initialize" ,"");
octave_dynamic_loader::load("atk_role_get_name" ,"");
octave_dynamic_loader::load("atk_role_for_name" ,"");
octave_dynamic_loader::load("atk_object_add_relationship" ,"");
octave_dynamic_loader::load("atk_object_remove_relationship" ,"");
octave_dynamic_loader::load("atk_role_get_localized_name" ,"");
octave_dynamic_loader::load("atk_registry_get_type" ,"");
octave_dynamic_loader::load("atk_registry_set_factory_type" ,"");
octave_dynamic_loader::load("atk_registry_get_factory_type" ,"");
octave_dynamic_loader::load("atk_registry_get_factory" ,"");
octave_dynamic_loader::load("atk_get_default_registry" ,"");
octave_dynamic_loader::load("atk_relation_get_type" ,"");
octave_dynamic_loader::load("atk_relation_type_register" ,"");
octave_dynamic_loader::load("atk_relation_type_get_name" ,"");
octave_dynamic_loader::load("atk_relation_type_for_name" ,"");
octave_dynamic_loader::load("atk_relation_new" ,"");
octave_dynamic_loader::load("atk_relation_get_relation_type" ,"");
octave_dynamic_loader::load("atk_relation_get_target" ,"");
octave_dynamic_loader::load("atk_relation_set_get_type" ,"");
octave_dynamic_loader::load("atk_relation_set_new" ,"");
octave_dynamic_loader::load("atk_relation_set_contains" ,"");
octave_dynamic_loader::load("atk_relation_set_remove" ,"");
octave_dynamic_loader::load("atk_relation_set_add" ,"");
octave_dynamic_loader::load("atk_relation_set_get_n_relations" ,"");
octave_dynamic_loader::load("atk_relation_set_get_relation" ,"");
octave_dynamic_loader::load("atk_relation_set_get_relation_by_type" ,"");
octave_dynamic_loader::load("atk_selection_get_type" ,"");
octave_dynamic_loader::load("atk_selection_add_selection" ,"");
octave_dynamic_loader::load("atk_selection_clear_selection" ,"");
octave_dynamic_loader::load("atk_selection_ref_selection" ,"");
octave_dynamic_loader::load("atk_selection_get_selection_count" ,"");
octave_dynamic_loader::load("atk_selection_is_child_selected" ,"");
octave_dynamic_loader::load("atk_selection_remove_selection" ,"");
octave_dynamic_loader::load("atk_selection_select_all_selection" ,"");
octave_dynamic_loader::load("atk_state_set_get_type" ,"");
octave_dynamic_loader::load("atk_state_set_new" ,"");
octave_dynamic_loader::load("atk_state_set_is_empty" ,"");
octave_dynamic_loader::load("atk_state_set_add_state" ,"");
octave_dynamic_loader::load("atk_state_set_add_states" ,"");
octave_dynamic_loader::load("atk_state_set_clear_states" ,"");
octave_dynamic_loader::load("atk_state_set_contains_state" ,"");
octave_dynamic_loader::load("atk_state_set_contains_states" ,"");
octave_dynamic_loader::load("atk_state_set_remove_state" ,"");
octave_dynamic_loader::load("atk_state_set_and_sets" ,"");
octave_dynamic_loader::load("atk_state_set_or_sets" ,"");
octave_dynamic_loader::load("atk_state_set_xor_sets" ,"");
octave_dynamic_loader::load("atk_streamable_content_get_type" ,"");
octave_dynamic_loader::load("atk_streamable_content_get_n_mime_types" ,"");
octave_dynamic_loader::load("atk_streamable_content_get_mime_type" ,"");
octave_dynamic_loader::load("atk_streamable_content_get_stream" ,"");
octave_dynamic_loader::load("atk_table_get_type" ,"");
octave_dynamic_loader::load("atk_table_ref_at" ,"");
octave_dynamic_loader::load("atk_table_get_index_at" ,"");
octave_dynamic_loader::load("atk_table_get_column_at_index" ,"");
octave_dynamic_loader::load("atk_table_get_row_at_index" ,"");
octave_dynamic_loader::load("atk_table_get_n_columns" ,"");
octave_dynamic_loader::load("atk_table_get_n_rows" ,"");
octave_dynamic_loader::load("atk_table_get_column_extent_at" ,"");
octave_dynamic_loader::load("atk_table_get_row_extent_at" ,"");
octave_dynamic_loader::load("atk_table_get_caption" ,"");
octave_dynamic_loader::load("atk_table_get_column_description" ,"");
octave_dynamic_loader::load("atk_table_get_column_header" ,"");
octave_dynamic_loader::load("atk_table_get_row_description" ,"");
octave_dynamic_loader::load("atk_table_get_row_header" ,"");
octave_dynamic_loader::load("atk_table_get_summary" ,"");
octave_dynamic_loader::load("atk_table_set_caption" ,"");
octave_dynamic_loader::load("atk_table_set_column_header" ,"");
octave_dynamic_loader::load("atk_table_set_row_description" ,"");
octave_dynamic_loader::load("atk_table_set_row_header" ,"");
octave_dynamic_loader::load("atk_table_set_summary" ,"");
octave_dynamic_loader::load("atk_table_get_selected_columns" ,"");
octave_dynamic_loader::load("atk_table_get_selected_rows" ,"");
octave_dynamic_loader::load("atk_table_is_column_selected" ,"");
octave_dynamic_loader::load("atk_table_is_row_selected" ,"");
octave_dynamic_loader::load("atk_table_is_selected" ,"");
octave_dynamic_loader::load("atk_table_add_row_selection" ,"");
octave_dynamic_loader::load("atk_table_remove_row_selection" ,"");
octave_dynamic_loader::load("atk_table_add_column_selection" ,"");
octave_dynamic_loader::load("atk_text_get_type" ,"");
octave_dynamic_loader::load("atk_text_get_text" ,"");
octave_dynamic_loader::load("atk_text_get_character_at_offset" ,"");
octave_dynamic_loader::load("atk_text_get_text_after_offset" ,"");
octave_dynamic_loader::load("atk_text_get_text_at_offset" ,"");
octave_dynamic_loader::load("atk_text_get_text_before_offset" ,"");
octave_dynamic_loader::load("atk_text_get_caret_offset" ,"");
octave_dynamic_loader::load("atk_text_get_character_extents" ,"");
octave_dynamic_loader::load("atk_text_get_run_attributes" ,"");
octave_dynamic_loader::load("atk_text_get_default_attributes" ,"");
octave_dynamic_loader::load("atk_text_get_character_count" ,"");
octave_dynamic_loader::load("atk_text_get_offset_at_point" ,"");
octave_dynamic_loader::load("atk_text_get_n_selections" ,"");
octave_dynamic_loader::load("atk_text_get_selection" ,"");
octave_dynamic_loader::load("atk_text_add_selection" ,"");
octave_dynamic_loader::load("atk_text_remove_selection" ,"");
octave_dynamic_loader::load("atk_text_set_selection" ,"");
octave_dynamic_loader::load("atk_text_set_caret_offset" ,"");
octave_dynamic_loader::load("atk_attribute_set_free" ,"");
octave_dynamic_loader::load("atk_text_attribute_get_name" ,"");
octave_dynamic_loader::load("atk_text_attribute_for_name" ,"");
octave_dynamic_loader::load("atk_text_attribute_get_value" ,"");
octave_dynamic_loader::load("atk_util_get_type" ,"");
octave_dynamic_loader::load("atk_value_get_type" ,"");
octave_dynamic_loader::load("atk_value_get_current_value" ,"");
octave_dynamic_loader::load("atk_value_get_maximum_value" ,"");
octave_dynamic_loader::load("atk_value_get_minimum_value" ,"");
octave_dynamic_loader::load("atk_value_set_current_value" ,"");
octave_dynamic_loader::load("atk_text_clip_type_get_type" ,"");
octave_dynamic_loader::load("atk_text_free_ranges" ,"");
return octave_value("Code generated onWed Mar 16 17:56:25 2005\n Compiled on " __DATE__  __TIME__ "\n loadedatkLibrary!");
}

