#! /usr/bin/python

#Documentation Generator for Octave-LibGlade.
#(C) 2005 Feb, Muthiah Annamalai.

import gladedefs

def format_latex(funcdef):

    rtype=funcdef[0]
    name=funcdef[1]
    args=[]
    for i in funcdef[2]:
        args+=i.keys()[0] + " "+i.values()[0]+","
    args[-1]=args[-1][:-1]
    args="".join(args)
    cname=rtype+" "+name+"( "+args+" )"
    print "\\subsubsection{"+cname+"}"
    print "\\begin{itemize}"
    print "\\item{"+rtype+"}"
    print "\\item{  }"
    
    print "\\item{"+name+"}"
    print "\\item{      }"

    
    for i in funcdef[2]:
        arg=i.keys()[0] + " "+i.values()[0]+","
        print "\\item{"+arg+"}"
        print "\\item{ }"

    print "\\end{enumerate}"


def format_function(funcdef):
    rtype=funcdef[0]
    name=funcdef[1]
    args=[]
    for i in funcdef[2]:
        args+=i.keys()[0] + " "+i.values()[0]+","
    args[-1]=args[-1][:-1]
    args="".join(args)
    cname=rtype+" "+name+"( "+args+" )"
    print "<H2>"+cname+"</H2>"
    print "<TABLE>"
    print "<TR>"
    print "<TD>"+rtype+"</TD>"
    print "<TD> </TD>"
    print "</TR>"
    
    print "<TR>"
    print "<TD>"+name+"</TD>"
    print "<TD> </TD>"
    print "</TR>"
    
    for i in funcdef[2]:
        arg=i.keys()[0] + " "+i.values()[0]+","
        print "<TR>"
        print "<TD>"+arg+"</TD>"
        print "<TD> </TD>"
        print "</TR>"

    print "</TABLE>"
    print "<HR />"
    

if __name__ == "__main__":
    for funcdef in gladedefs.function_list:  format_latex(funcdef)
