#! /usr/bin/octave -q


%/* Make a new hbox filled with button-labels. Arguments for the 
% * variables we're interested are passed in to this function. 
% * We do not show the box, but do show everything inside. */
function nbox=make_box( homogeneous,
			spacing,
			expand,
			fill,
			padding ) 
     box=0;
     button=0;
     padstr=""

     TRUE=1
     FALSE=0

    
    %/* Create a new hbox with the appropriate homogeneous
    % * and spacing settings */
    box = gtk_hbox_new (homogeneous, spacing);
    
    %/* Create a series of buttons with the appropriate settings */
    button = gtk_button_new_with_label ("gtk_box_pack!");
    gtk_box_pack_start ((box), button, expand, fill, padding);
    gtk_widget_show (button);
    
    button = gtk_button_new_with_label ("(box,");
    gtk_box_pack_start ((box), button, expand, fill, padding);
    gtk_widget_show (button);
    
    button = gtk_button_new_with_label ("button,!");
    gtk_box_pack_start ((box), button, expand, fill, padding);
    gtk_widget_show (button);
    
    %/* Create a button with the label depending on the value of
    % * expand. */

    if (expand == TRUE)
	    button = gtk_button_new_with_label ("TRUE,");
    else
	    button = gtk_button_new_with_label ("FALSE,");
    end
    
    gtk_box_pack_start ((box), button, expand, fill, padding);
    gtk_widget_show (button);
    
    %/* This is the same as the button creation for "expand"
    % * above, but uses the shorthand form. */
    button = gtk_button_new_with_label ("TRUE,");
    gtk_box_pack_start ((box), button, expand, fill, padding);
    gtk_widget_show (button);
    
    padstr=sprintf ("%d;", padding);
    
    button = gtk_button_new_with_label (padstr);
    gtk_box_pack_start ((box), button, expand, fill, padding);
    gtk_widget_show (button);
    
    nbox=box;
    return
end


function main()
  window = 0;
  hbox=0;
  vbox=0;
  frame=0;
  label=0;

  %/* Initialise GTK */
  gtk()
  gtk_init ();

  GTK_WINDOW_TOPLEVEL=0
  GTK_JUSTIFY_LEFT=1
  GTK_JUSTIFY_RIGHT=2
  GTK_JUSTIFY_FILL=3

  FALSE=0
  TRUE=1


  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  g_signal_connect ((window), "destroy",
		    ("gtk_main_quit"))
     
  gtk_window_set_title ((window), "Label");
  box1 = gtk_vbox_new (FALSE, 5);
    
    %/* which example to show. These correspond to the pictures above. */
  which=1
  %/* create a new label. */
  label = gtk_label_new ("gtk_hbox_new (FALSE, 0);");

%/* Align the label to the left side.  We'll discuss this function and 
    % * others in the section on Widget Attributes. */
  gtk_misc_set_alignment ((label), 0, 0);

%/* Pack the label into the vertical box (vbox box1).  Remember that 
    % * widgets added to a vbox will be packed one on top of the other in
    % * order. */
  gtk_box_pack_start ((box1), label, FALSE, FALSE, 0);

%/* Show the label */
  gtk_widget_show (label);

%/* Call our make box function - homogeneous = FALSE, spacing = 0,
    % * expand = FALSE, fill = FALSE, padding = 0 */
  box2 = make_box (FALSE, 0, FALSE, FALSE, 0);
gtk_box_pack_start ( (box1), box2, FALSE, FALSE, 0);
gtk_widget_show (box2);

%/* Call our make box function - homogeneous = FALSE, spacing = 0,
    % * expand = TRUE, fill = FALSE, padding = 0 */
	box2 = make_box (FALSE, 0, TRUE, FALSE, 0);
	gtk_box_pack_start ( (box1), box2, FALSE, FALSE, 0);
	gtk_widget_show (box2);
	
	%/* Args are: homogeneous, spacing, expand, fill, padding */
	box2 = make_box (FALSE, 0, TRUE, TRUE, 0);
	gtk_box_pack_start ( (box1), box2, FALSE, FALSE, 0);
	gtk_widget_show (box2);
	
	%/* Creates a separator, we'll learn more about these later, 
	% * but they are quite simple. */
	separator = gtk_hseparator_new ();
	
        %/* Pack the separator into the vbox. Remember each of these
        % * widgets is being packed into a vbox, so they'll be stacked
	% * vertically. */
	gtk_box_pack_start ( (box1), separator, FALSE, TRUE, 5);
	gtk_widget_show (separator);
	
	%/* Create another new label, and show it. */
	label = gtk_label_new ("gtk_hbox_new (TRUE, 0);");
	gtk_misc_set_alignment ( (label), 0, 0);
	gtk_box_pack_start ( (box1), label, FALSE, FALSE, 0);
	gtk_widget_show (label);
	
	%/* Args are: homogeneous, spacing, expand, fill, padding */
	box2 = make_box (TRUE, 0, TRUE, FALSE, 0);
	gtk_box_pack_start ( (box1), box2, FALSE, FALSE, 0);
	gtk_widget_show (box2);
	
	%/* Args are: homogeneous, spacing, expand, fill, padding */
	box2 = make_box (TRUE, 0, TRUE, TRUE, 0);
	gtk_box_pack_start ( (box1), box2, FALSE, FALSE, 0);
	gtk_widget_show (box2);
	
	%/* Another new separator. */
	separator = gtk_hseparator_new ();
	%/* The last 3 arguments to gtk_box_pack_start are:
	% * expand, fill, padding. */
	gtk_box_pack_start ( (box1), separator, FALSE, TRUE, 5);
	gtk_widget_show (separator);
	
    
    %/* Create another new hbox.. remember we can use as many as we need! */
    quitbox = gtk_hbox_new (FALSE, 0);
    
    %/* Our quit button. */
    button = gtk_button_new_with_label ("Quit");
    
    %/* Setup the signal to terminate the program when the button is clicked */
    g_signal_connect ((button), "clicked",
			      ("gtk_main_quit"))
    %/* Pack the button into the quitbox.
    % * The last 3 arguments to gtk_box_pack_start are:
    % * expand, fill, padding. */
    gtk_box_pack_start ((quitbox), button, TRUE, FALSE, 0);
    %/* pack the quitbox into the vbox (box1) */
    gtk_box_pack_start ((box1), quitbox, FALSE, FALSE, 0);
    
    %/* Pack the vbox (box1) which now contains all our widgets, into the
    %* main window. */
    gtk_container_add ((window), box1);
    
    %/* And show everything left */
    gtk_widget_show (button);
    gtk_widget_show (quitbox);
    
    gtk_widget_show (box1);
    %/* Showing the window last so everything pops up at once. */
    gtk_widget_show (window);

    disp('Hello WOrld')
    %/* And of course, our main function. */
    gtk_main ();
    return;
end

main()
