#include<stdio.h>
#include<string.h>
#include<time.h>
#include<libxml/parser.h>
#include<glib/glist.h>

typedef struct _Signal Signal;
struct _Signal
{
  char *name;
  char *handler;
};

GList *head;
char *toplevel;//name of main widget.

/* Recursive Descent */
void rP(xmlNodePtr node)
{  
  static int nesting=1;
  
  if(node!=NULL)
    {
      xmlNodePtr tmp;
      tmp=node->children;

      if(xmlGetProp(node,"class"))
	{
	  if(strcmp(xmlGetProp(node,"class"),"GtkWindow")==0)
	    {
	      toplevel=xmlGetProp(node,"id");
	      //printf("toplevel=%s\n",toplevel);
	      //printf("class=%s id=%s\n",xmlGetProp(node,"class"), xmlGetProp(node,"id"));
	    }
	}

      if(tmp==NULL)
	{	
	  char *name=NULL;
	  char *handler=NULL;
	  char *object=NULL;
	  xmlAttrPtr prop;
	  int spc=0;	  	
	  Signal *sig=NULL;

	 
	  if(!strcmp(node->name,"signal"))
	    {
	      // do something..
	    }
	  else
	    return;

	  for(prop=node->properties;prop!=NULL;prop=prop->next)	    
	    {
	      if(!strcmp(prop->name,"name"))
		{
		  name=xmlGetProp(node,"name");
		}
	      else if(!strcmp(prop->name,"handler"))
		{
		  handler=xmlGetProp(node,"handler");
		  if(!strncmp(handler,"gtk_",4))
		    {
		      name=NULL;
		      return;
		    }
		}
	      else if(!strcmp(prop->name,"object"))
		{ 
		  object=xmlGetProp(node,"object");
		}
	    }

	  sig=(Signal *)g_malloc(sizeof(Signal));
	  sig->name=name;
	  sig->handler=handler;
	  g_list_append(head,sig);
 	  return;
	}      

      /* Have some Children ?? */
      for(;tmp!=NULL;tmp=tmp->next)
	{
	  /* One Level Deeper */
	  nesting++;	  	  
	  rP(tmp);
	  nesting--;
	}
    }
}



int main(int argc,char *argv[])
{ 
  xmlDocPtr doc;
  xmlNodePtr node;
  GList *ptr;
  FILE *fp=NULL;
  char *filename=NULL;

  if(argc!=3)
    return -1;

  filename=argv[2];
  fp=fopen(filename,"w");
  doc = xmlParseFile(argv[1]);
  node=doc->children;

  head=g_list_alloc();
  
  while(node!=NULL)
    {
      rP(node);
      node=node->next;
    }
  //  printf("Hello World!");

  fprintf(fp,"#! /usr/bin/octave -q\n");
  fprintf(fp,"%% Code AUtoGEnerated by Octave-Glade\n\n");
  fprintf(fp,"xml=0;\n\n");
  fprintf(fp,"%% Beginning of Callbacks %%\n");


  for(ptr=head;ptr!=NULL;ptr=ptr->next)
    {
      Signal *s=(Signal *)ptr->data;
      if(s!=NULL && s->name!=NULL && s->handler!=NULL)
	{
	  // printf("name=%s handler=%s\n",s->name,s->handler);
	  fprintf(fp,"%%/* %s event handler*/\n",s->name);
	  fprintf(fp,"function %s(widget)\n\nend\n",s->handler);
	  g_free(s);
	}
    }
  
  fprintf(fp,"\nfunction main()\n");
  fprintf(fp,"global xml;\n");
  fprintf(fp,"gtk();\n");
  fprintf(fp,"glade();\n");
  fprintf(fp,"gtk_init();\n");
  fprintf(fp,"xml=glade_xml_new(\n");
  fprintf(fp,"\t\t\"%s\",\"%s\",\"%s\");\n",argv[1],toplevel,"");
  fprintf(fp,"window = glade_xml_get_widget(xml,\"%s\")\n",toplevel);
  fprintf(fp,"glade_xml_signal_autoconnect(xml);\n");
  fprintf(fp,"gtk_widget_show_all(window);\n");
  fprintf(fp,"gtk_main();\n");
  fprintf(fp,"return;\n");
  fprintf(fp,"end\n");
  fprintf(fp,"%%starts the whole script\n");
  fprintf(fp,"main( );");
  fprintf(fp,"%%free tolerance\n");
  fclose(fp);
  return 0;
}

/*gcc -Wall txml.c `pkg-config libxml-2.0  --cflags --libs` `pkg-config gtk+-2.0 --cflags --libs`*/
