#!/usr/bin/python2.2

import os.path
import gtk
import gtk.glade

def get_a_filename(title):
    filesel = gtk.FileSelection(title)
    result = filesel.run()
    if result == gtk.RESPONSE_OK:        
        fname = filesel.get_filename()
    else:
        fname = None
    filesel.destroy()
    set_filename(fname)

def set_filename(fname):
    global filename
    
    filename = fname
    str = "%s" % filename
    str = os.path.basename(str)
    xml.get_widget("gnotepad").set_title("%s - GnotePad" % str)

def save_file():
    if filename != None:
        # FIXME: Fix the pygtk documentation for getting iters
        start_iter = buffer.get_start_iter()
        end_iter = buffer.get_end_iter()
        save_file = file(filename, "w")
        save_file.write(buffer.get_text(start_iter, end_iter, True))

def on_gnotepad_destroy(*arg):
    gtk.main_quit()

def on_new_activate(*arg):
    set_filename(None)
    buffer.set_text("")    

def on_open_activate(*arg):
    get_a_filename("Open")
    if filename != None:
        open_file = file(filename)
        buffer.set_text("".join(open_file.readlines()))

def on_save_activate(*arg):
    if filename == None:
        get_a_filename("Save")            
    save_file()
    
def on_save_as_activate(*arg):
    get_a_filename("Save As...")
    save_file()

def on_quit_activate(*arg):
    xml.get_widget("gnotepad").destroy()
    pass

def on_copy_activate(*arg):
    print "Not Implemented Yet!"

def on_cut_activate(*arg):
    print "Not Implemented Yet!"

def on_paste_activate(*arg):
    print "Not Implemented Yet!"

def on_delete_activate(*arg):
    print "Not Implemented Yet!"

def on_about_activate(*arg):
    about = gtk.Dialog("About", xml.get_widget("gnotepade"),
                       gtk.DIALOG_MODAL, ("Ok", gtk.RESPONSE_OK))
    label = gtk.Label("\nGnotePad - The scaled down version of Emacs!\n\nBy Vijay Kumar<ec10052@nitt.edu>")
    about.vbox.pack_start(label)
    label.show()
    ret = about.run()
    about.destroy()

xml = gtk.glade.XML("gnotepad.glade")
xml.signal_autoconnect(locals())

buffer = gtk.TextBuffer()
text = xml.get_widget("text")
text.set_buffer(buffer)
set_filename(None)

gtk.main()


