/* Standard headers std.header */
/* Standard headers std.header */
/*
 * This program is free software.
 * This code is a part of Octave-GTK
 * Code may be used or distributed under GPL.
 * (C) Feb 2005 Muthiah Annamalai, Octave-GTK & Octave-libGlade
 */

/*
 *    Octave-LibGlade
 *    Octave-Gtk
 *               The GUI bridge from octave.
 *
 *    Copyright (C) 2004,2005 octave-gtk+ team. http://octave-gtk.sourceforge.net
 *
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<gtk/gtk.h>
#include <glade/glade.h>
#include <glade/glade-xml.h>
#include <glade/glade-parser.h>
#include<string.h>
}
/* overriden: glade_register_widget  */
/* overriden: glade_register_custom_prop  */
/* overriden: glade_xml_set_toplevel  */
/* overriden: glade_xml_ensure_accel  */
/* overriden: glade_xml_handle_widget_prop  */
/* overriden: glade_xml_set_packing_property  */
/* overriden: glade_xml_build_widget  */
/* overriden: glade_xml_handle_internal_child  */
/* overriden: glade_xml_set_common_params  */
/* overriden: glade_xml_set_value_from_string  */
/* overriden: glade_standard_build_widget  */
/* overriden: glade_standard_build_children  */
/* overriden: glade_enum_from_string  */
/* overriden: glade_flags_from_string  */
/* overriden: glade_module_check_version  */
/* overriden: glade_module_register_widgets  */
/* void: zero arguments taken */
DEFUN_DLD( glade_init , args , , " void glade_init (void); " )
{
#ifdef DEBUG
std::cout<<" glade_init "<<std::endl;
#endif /* DEBUG */
glade_init ( );
return octave_value();
}
DEFUN_DLD( glade_require , args , , " void glade_require (gchar * library); " )
{
gchar *   library ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void glade_require (gchar * library); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_require "<<std::endl;
#endif /* DEBUG */
library = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) library ,args( 0 ).string_value().c_str());
glade_require ( library);
return octave_value();
}
DEFUN_DLD( glade_provide , args , , " void glade_provide (gchar * library); " )
{
gchar *   library ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void glade_provide (gchar * library); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_provide "<<std::endl;
#endif /* DEBUG */
library = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) library ,args( 0 ).string_value().c_str());
glade_provide ( library);
return octave_value();
}
DEFUN_DLD( glade_parser_parse_file , args , , " GladeInterface * glade_parser_parse_file (gchar * file,gchar * domain); " )
{
gchar *   file ;
gchar *   domain ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GladeInterface * glade_parser_parse_file (gchar * file,gchar * domain); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_parser_parse_file "<<std::endl;
#endif /* DEBUG */
file = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) file ,args( 0 ).string_value().c_str());
domain = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) domain ,args( 1 ).string_value().c_str());
long int ret_type= (long int) glade_parser_parse_file ( file,domain);
return octave_value(ret_type);
}
DEFUN_DLD( glade_parser_parse_buffer , args , , " GladeInterface * glade_parser_parse_buffer (gchar * buffer,gint len,gchar * domain); " )
{
gchar *   buffer ;
gint   len ;
gchar *   domain ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GladeInterface * glade_parser_parse_buffer (gchar * buffer,gint len,gchar * domain); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_parser_parse_buffer "<<std::endl;
#endif /* DEBUG */
buffer = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) buffer ,args( 0 ).string_value().c_str());
len = (  gint  ) args( 1 ).int_value();
domain = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) domain ,args( 2 ).string_value().c_str());
long int ret_type= (long int) glade_parser_parse_buffer ( buffer,len,domain);
return octave_value(ret_type);
}
DEFUN_DLD( glade_interface_destroy , args , , " void glade_interface_destroy (GladeInterface * interface); " )
{
GladeInterface *   interface ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void glade_interface_destroy (GladeInterface * interface); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_interface_destroy "<<std::endl;
#endif /* DEBUG */
interface =( GladeInterface * )args( 0 ).long_value();
glade_interface_destroy ( interface);
return octave_value();
}
DEFUN_DLD( glade_interface_dump , args , , " void glade_interface_dump (GladeInterface * interface,gchar * filename); " )
{
GladeInterface *   interface ;
gchar *   filename ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void glade_interface_dump (GladeInterface * interface,gchar * filename); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_interface_dump "<<std::endl;
#endif /* DEBUG */
interface =( GladeInterface * )args( 0 ).long_value();
filename = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) filename ,args( 1 ).string_value().c_str());
glade_interface_dump ( interface,filename);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( glade_xml_get_type , args , , " GType glade_xml_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" glade_xml_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) glade_xml_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( glade_xml_new , args , , " GladeXML * glade_xml_new (char * fname,char * root,char * domain); " )
{
char *   fname ;
char *   root ;
char *   domain ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GladeXML * glade_xml_new (char * fname,char * root,char * domain); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_xml_new "<<std::endl;
#endif /* DEBUG */
fname = new  char   [args( 0 ).string_value ().length()];
strcpy( (char *) fname ,args( 0 ).string_value().c_str());
root = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) root ,args( 1 ).string_value().c_str());
domain = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) domain ,args( 2 ).string_value().c_str());
long int ret_type= (long int) glade_xml_new ( fname,root,domain);
return octave_value(ret_type);
}
DEFUN_DLD( glade_xml_new_from_buffer , args , , " GladeXML * glade_xml_new_from_buffer (char * buffer,int size,char * root,char * domain); " )
{
char *   buffer ;
int   size ;
char *   root ;
char *   domain ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GladeXML * glade_xml_new_from_buffer (char * buffer,int size,char * root,char * domain); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_xml_new_from_buffer "<<std::endl;
#endif /* DEBUG */
buffer = new  char   [args( 0 ).string_value ().length()];
strcpy( (char *) buffer ,args( 0 ).string_value().c_str());
size = (  int  ) args( 1 ).int_value();
root = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) root ,args( 2 ).string_value().c_str());
domain = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) domain ,args( 3 ).string_value().c_str());
long int ret_type= (long int) glade_xml_new_from_buffer ( buffer,size,root,domain);
return octave_value(ret_type);
}
DEFUN_DLD( glade_xml_construct , args , , " gboolean glade_xml_construct (GladeXML * self,char * fname,char * root,char * domain); " )
{
GladeXML *   self ;
char *   fname ;
char *   root ;
char *   domain ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean glade_xml_construct (GladeXML * self,char * fname,char * root,char * domain); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_xml_construct "<<std::endl;
#endif /* DEBUG */
self =( GladeXML * )args( 0 ).long_value();
fname = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) fname ,args( 1 ).string_value().c_str());
root = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) root ,args( 2 ).string_value().c_str());
domain = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) domain ,args( 3 ).string_value().c_str());
long int ret_type=(long int) glade_xml_construct ( self,fname,root,domain);
return octave_value(ret_type);
}
/* overriden: glade_xml_signal_connect  */
/* overriden: glade_xml_signal_connect_data  */
/* overriden: glade_xml_signal_autoconnect  */
/* overriden: glade_xml_signal_connect_full  */
/* overriden: glade_xml_signal_autoconnect_full  */
DEFUN_DLD( glade_xml_get_widget , args , , " GtkWidget * glade_xml_get_widget (GladeXML * self,char * name); " )
{
GladeXML *   self ;
char *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget * glade_xml_get_widget (GladeXML * self,char * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_xml_get_widget "<<std::endl;
#endif /* DEBUG */
self =( GladeXML * )args( 0 ).long_value();
name = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) glade_xml_get_widget ( self,name);
return octave_value(ret_type);
}
/* overriden: glade_xml_get_widget_prefix  */
DEFUN_DLD( glade_xml_relative_file , args , , " gchar * glade_xml_relative_file (GladeXML * self,gchar * filename); " )
{
GladeXML *   self ;
gchar *   filename ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * glade_xml_relative_file (GladeXML * self,gchar * filename); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_xml_relative_file "<<std::endl;
#endif /* DEBUG */
self =( GladeXML * )args( 0 ).long_value();
filename = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) filename ,args( 1 ).string_value().c_str());
string  ret_type( glade_xml_relative_file ( self,filename));
return octave_value(ret_type);
}
DEFUN_DLD( glade_get_widget_name , args , , " char * glade_get_widget_name (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  char * glade_get_widget_name (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_get_widget_name "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
string  ret_type( glade_get_widget_name ( widget));
return octave_value(ret_type);
}
DEFUN_DLD( glade_get_widget_tree , args , , " GladeXML * glade_get_widget_tree (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GladeXML * glade_get_widget_tree (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_get_widget_tree "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) glade_get_widget_tree ( widget);
return octave_value(ret_type);
}
/* overriden: glade_set_custom_handler  */
/* Overridden functions */
/* Linked Separately */
DEFUN_DLD( glade , args , , " void glade(void); " )
{
octave_dynamic_loader::load("glade_register_widget" ,"");
octave_dynamic_loader::load("glade_register_custom_prop" ,"");
octave_dynamic_loader::load("glade_xml_set_toplevel" ,"");
octave_dynamic_loader::load("glade_xml_ensure_accel" ,"");
octave_dynamic_loader::load("glade_xml_handle_widget_prop" ,"");
octave_dynamic_loader::load("glade_xml_set_packing_property" ,"");
octave_dynamic_loader::load("glade_xml_build_widget" ,"");
octave_dynamic_loader::load("glade_xml_handle_internal_child" ,"");
octave_dynamic_loader::load("glade_xml_set_common_params" ,"");
octave_dynamic_loader::load("glade_xml_set_value_from_string" ,"");
octave_dynamic_loader::load("glade_standard_build_widget" ,"");
octave_dynamic_loader::load("glade_standard_build_children" ,"");
octave_dynamic_loader::load("glade_enum_from_string" ,"");
octave_dynamic_loader::load("glade_flags_from_string" ,"");
octave_dynamic_loader::load("glade_module_check_version" ,"");
octave_dynamic_loader::load("glade_module_register_widgets" ,"");
octave_dynamic_loader::load("glade_init" ,"");
octave_dynamic_loader::load("glade_require" ,"");
octave_dynamic_loader::load("glade_provide" ,"");
octave_dynamic_loader::load("glade_parser_parse_file" ,"");
octave_dynamic_loader::load("glade_parser_parse_buffer" ,"");
octave_dynamic_loader::load("glade_interface_destroy" ,"");
octave_dynamic_loader::load("glade_interface_dump" ,"");
octave_dynamic_loader::load("glade_xml_get_type" ,"");
octave_dynamic_loader::load("glade_xml_new" ,"");
octave_dynamic_loader::load("glade_xml_new_from_buffer" ,"");
octave_dynamic_loader::load("glade_xml_construct" ,"");
octave_dynamic_loader::load("glade_xml_signal_connect" ,"");
octave_dynamic_loader::load("glade_xml_signal_connect_data" ,"");
octave_dynamic_loader::load("glade_xml_signal_autoconnect" ,"");
octave_dynamic_loader::load("glade_xml_signal_connect_full" ,"");
octave_dynamic_loader::load("glade_xml_signal_autoconnect_full" ,"");
octave_dynamic_loader::load("glade_xml_get_widget" ,"");
octave_dynamic_loader::load("glade_xml_get_widget_prefix" ,"");
octave_dynamic_loader::load("glade_xml_relative_file" ,"");
octave_dynamic_loader::load("glade_get_widget_name" ,"");
octave_dynamic_loader::load("glade_get_widget_tree" ,"");
octave_dynamic_loader::load("glade_set_custom_handler" ,"");
octave_dynamic_loader::load("" ,"");
return octave_value("Code generated onWed Mar 16 17:55:46 2005\n Compiled on " __DATE__  __TIME__ "\n loadedgladeLibrary!");
}

