/* Standard headers std.header */
/*
 * This program is free software.
 * This code is a part of Octave-GTK
 * Code may be used or distributed under GPL.
 * (C) Feb 2005 Muthiah Annamalai, Octave-GTK & Octave-libGlade
 */

/*
 *    Octave-LibGlade
 *    Octave-Gtk
 *               The GUI bridge from octave.
 *
 *    Copyright (C) 2004,2005 octave-gtk+ team. http://octave-gtk.sourceforge.net
 *
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */



#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<gtk/gtk.h>
#include <glade/glade.h>
#include <glade/glade-xml.h>
#include <glade/glade-parser.h>
#include<string.h>
}

/* Copied from /octave-gtk/src/overrides.php#generic_cb
 */
static void generic_cb(GtkWidget *w,gpointer data)
{
  char *cb;
  string *cbs;
  long int x;
  

  cb=(char *)g_object_get_data(G_OBJECT(w),"cb");
  if(cb==NULL)
    {
      cout<<"er Please set the callback"<<endl;
      return;
    }

#ifdef DEBUG
std::cout<<" generic callback"<<std::endl;
#endif /* DEBUG */


  x=(long int)w;
  cbs=new string(cb);
  octave_value_list ovl(octave_value((unsigned long int)x));
  feval(*cbs,ovl);
  delete cbs;
  return;
}


void libglade_marshaller (const gchar *handler_name,
			  GObject *object,
			  const gchar *signal_name,
			  const gchar *signal_data,
			  GObject *connect_object,
			  gboolean after,
			  gpointer user_data)
{

#ifdef DEBUG
std::cout<<" libglade_marshaller"<<std::endl;
#endif /* DEBUG */

  g_assert(object!=NULL);
  g_object_set_data(G_OBJECT(object),
		    "cb",g_strdup(handler_name));
  g_signal_connect(G_OBJECT(object),signal_name,
		   G_CALLBACK(generic_cb), NULL);
  return;
}

DEFUN_DLD(glade_xml_signal_autoconnect,args,,"glade_xml_signal_autoconnect")
{
  GladeXML *self=NULL;
  GladeInterface *iface=NULL;
  GSList *signal_list=NULL;
  int i=0;

#ifdef DEBUG
std::cout<<" glade_xml_signal_autoconnect"<<std::endl;
#endif /* DEBUG */

  if(args.length()!=1)
    {
      std::cout<< "eg:  void glade_xml_signal_autoconnect(GladeXML *self); " <<std::endl;
      return octave_value(-1); 
    }
  self=(GladeXML *)args(0).long_value();
  glade_xml_signal_autoconnect_full(self,
				    libglade_marshaller,
				    NULL);
  return octave_value();
}

DEFUN_DLD(glade_xml_signal_connect,args,,"glade_xml_signal_connect(GladeXML *self,char *handlername,GCallback func)")
{
#ifdef DEBUG
std::cout<<" glade_xml_signal_connect"<<std::endl;
#endif /* DEBUG */

	cout<<"Use glade_xml_signal_autoconnect(...) instead"<<std::endl;
	return octave_value();
}

DEFUN_DLD(glade_xml_signal_connect_data,args,,"glade_xml_signal_connect_data(GladeXML *self,char *handlername,GCallback func,gpointer data)")
{
#ifdef DEBUG
std::cout<<" glade_xml_signal_connect_data "<<std::endl;
#endif /* DEBUG */

	cout<<"Use glade_xml_signal_autoconnect(...) instead"<<std::endl;
	return octave_value();
}


DEFUN_DLD(glade_xml_signal_connect_full,args,,"glade_xml_signal_connect_full(GladeXML *self,gchar *handler,GladeXMLConnectFunc func,gpointer data)")
{
#ifdef DEBUG
std::cout<<" glade_xml_signal_connect_full "<<std::endl;
#endif /* DEBUG */

	cout<<"Use glade_xml_signal_autoconnect(...) instead"<<std::endl;
	return octave_value();
}

DEFUN_DLD(glade_xml_signal_autoconnect_full,args,,"glade_xml_signal_autoconnect_full(GladeXML *self,GladeXMLConnectFunc func,gpointer data)")
{
#ifdef DEBUG
std::cout<<" glade_xml_signal_autoconnect_full "<<std::endl;
#endif /* DEBUG */
	cout<<"Use glade_xml_signal_autoconnect(...) instead"<<std::endl;
	return octave_value();
}

DEFUN_DLD( glade_xml_get_widget_prefix , args , , " GList * glade_xml_get_widget_prefix (GladeXML * self,char * name); " )
{
GladeXML *   self ;
char *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList * glade_xml_get_widget_prefix (GladeXML * self,char * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" glade_xml_get_widget_prefix "<<std::endl;
#endif /* DEBUG */
self =( GladeXML * )args( 0 ).long_value();
name = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
GList *list =  glade_xml_get_widget_prefix ( self,name);
 delete name;
 octave_value_list ovl; 
 int i=0;
 while(list!=NULL){	 
	 ovl(i++)= (char *)list->data;
	 cout<<(char *)list->data<<std::endl;
	 cout<<"Data";
	 list=list->next;
 }

return octave_value(ovl);
}


#if 0
/* Ugly Kludge of 0.1 version */
typedef struct NewSignalInfo
{
  GladeSignalInfo *siginfo;
  char *name;
} NewSignalInfo;



static void connect_siginfo(NewSignalInfo *siginfo,GladeXML *xml)
{
  GladeSignalInfo *signals=siginfo->siginfo;
  g_assert(signals!=NULL && xml!=NULL);

#if 0
  g_message("Widget=%s Name=%s  Handler=%s Object=%s After=%d",
	    siginfo->name,signals->name, signals->handler,
	    signals->object,signals->after==TRUE
	    );
#endif
  
  /* Copied from /octave-gtk/src/overrides.php#g_signal_connect
   */
  GtkWidget *w=glade_xml_get_widget(xml,siginfo->name);
  g_assert(w!=NULL);
  g_object_set_data(G_OBJECT(w),
		    "cb",
		    g_strdup(signals->handler));

  g_signal_connect(G_OBJECT(w),signals->name,
	     G_CALLBACK(generic_cb), NULL);
  return;
}



static void process_toplevel(GladeWidgetInfo *widget,GSList* signal_list)
{
  static int depth=0;
  int i=0;
  
#if 0
  g_printf("\n");
  for(i=depth;i--;g_printf(" "));  
#endif 

  for(i=0;i<widget->n_signals;i++){
      GladeSignalInfo *signals=widget->signals+i;      

      NewSignalInfo *ns= (NewSignalInfo *)g_malloc(sizeof(NewSignalInfo));
      g_assert(ns!=NULL);
      ns->siginfo=signals;
      ns->name=widget->name;

#if 0
      g_message("Widget=%s",widget->name);
      g_message("Name=%s  Handler=%s Object=%s After=%d",
		signals->name, signals->handler,signals->object,signals->after==TRUE
		);      
#endif

      g_slist_append(signal_list,
		     (void *)ns);
  }
  
  for(i=0;i<widget->n_children;i++)
    {
      GladeChildInfo *child=widget->children + i;

#if 0
      depth++;
#endif

      process_toplevel(child->child,signal_list);

#if 0
      depth--;
#endif

    }
  return;
}

DEFUN_DLD(glade_xml_signal_autoconnect,args,,"glade_xml_signal_autoconnect(GladeXML *self)")
{
  GladeXML *self=NULL;
  GladeInterface *iface=NULL;
  GSList *signal_list=NULL;
  int i=0;

  if(args.length()!=1)
    {
      std::cout<< "eg:  void glade_xml_signal_autoconnect(GladeXML *self); " <<std::endl;
      return octave_value(-1); 
    }
  self=(GladeXML *)args(0).long_value();

  /*
    We cannot Call GladeXML AutoConnect as the symbols of Octave are not present
    in the binary. So we must manually connect this stuff.
    Walk the widget list of GladeXML tree, and then manually lookinto their respective
    callbacks.
  */  


  signal_list=NULL;
  signal_list=g_slist_alloc();
  
  if(!(iface=glade_parser_parse_file(self->filename,NULL))){
    cout<<"File couldn't be opened"<<std::endl;
    return octave_value(-1);
  }
  
  for(i=0;i<iface->n_toplevels;i++){
    process_toplevel(*(iface->toplevels+i),signal_list);
  }
  g_slist_foreach(signal_list->next,(GFunc)connect_siginfo,self);
  g_slist_free(signal_list);

  return octave_value(0);
}
#endif

