/* Standard headers std.header */
/* Standard headers std.header */
/*
 * This program is free software.
 * This code is a part of Octave-GTK
 * Code may be used or distributed under GPL.
 * (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 */

/*
 *    Octave-Gtk
 *       The GUI bridge from octave.
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<gtk/gtk.h>
#include<string.h>

/* for FORK */
#include<sys/types.h>
#include<unistd.h>

/* #include "../config.h" */
}

gboolean octave_gtk_function(void* data);
void octave_gtk_signal_function(void);
/* void: zero arguments taken */
DEFUN_DLD( gdk_colormap_get_type , args , , " GType gdk_colormap_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_colormap_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_colormap_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colormap_new , args , , " GdkColormap* gdk_colormap_new (GdkVisual * visual,gboolean allocate); " )
{
GdkVisual *   visual ;
gboolean   allocate ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkColormap* gdk_colormap_new (GdkVisual * visual,gboolean allocate); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_new "<<std::endl;
#endif /* DEBUG */
visual =( GdkVisual * )args( 0 ).long_value();
allocate = (  gboolean  ) args( 1 ).long_value();
long int ret_type= (long int) gdk_colormap_new ( visual,allocate);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colormap_ref , args , , " GdkColormap* gdk_colormap_ref (GdkColormap * cmap); " )
{
GdkColormap *   cmap ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColormap* gdk_colormap_ref (GdkColormap * cmap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_ref "<<std::endl;
#endif /* DEBUG */
cmap =( GdkColormap * )args( 0 ).long_value();
long int ret_type= (long int) gdk_colormap_ref ( cmap);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colormap_unref , args , , " void gdk_colormap_unref (GdkColormap * cmap); " )
{
GdkColormap *   cmap ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_colormap_unref (GdkColormap * cmap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_unref "<<std::endl;
#endif /* DEBUG */
cmap =( GdkColormap * )args( 0 ).long_value();
gdk_colormap_unref ( cmap);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_colormap_get_system , args , , " GdkColormap* gdk_colormap_get_system (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_colormap_get_system "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_colormap_get_system ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colormap_get_screen , args , , " GdkScreen * gdk_colormap_get_screen (GdkColormap * cmap); " )
{
GdkColormap *   cmap ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen * gdk_colormap_get_screen (GdkColormap * cmap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_get_screen "<<std::endl;
#endif /* DEBUG */
cmap =( GdkColormap * )args( 0 ).long_value();
long int ret_type= (long int) gdk_colormap_get_screen ( cmap);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_colormap_get_system_size , args , , " gint gdk_colormap_get_system_size (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_colormap_get_system_size "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_colormap_get_system_size ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colormap_change , args , , " void gdk_colormap_change (GdkColormap * colormap,gint ncolors); " )
{
GdkColormap *   colormap ;
gint   ncolors ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_colormap_change (GdkColormap * colormap,gint ncolors); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_change "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
ncolors = (  gint  ) args( 1 ).int_value();
gdk_colormap_change ( colormap,ncolors);
return octave_value();
}
DEFUN_DLD( gdk_colormap_alloc_colors , args , , " gint gdk_colormap_alloc_colors (GdkColormap * colormap,GdkColor * colors,gint ncolors,gboolean writeable,gboolean best_match,gboolean * success); " )
{
GdkColormap *   colormap ;
GdkColor *   colors ;
gint   ncolors ;
gboolean   writeable ;
gboolean   best_match ;
gboolean *   success ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gint gdk_colormap_alloc_colors (GdkColormap * colormap,GdkColor * colors,gint ncolors,gboolean writeable,gboolean best_match,gboolean * success); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_alloc_colors "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
colors =( GdkColor * )args( 1 ).long_value();
ncolors = (  gint  ) args( 2 ).int_value();
writeable = (  gboolean  ) args( 3 ).long_value();
best_match = (  gboolean  ) args( 4 ).long_value();
success =( gboolean * )args( 5 ).long_value();
long int ret_type=(long int) gdk_colormap_alloc_colors ( colormap,colors,ncolors,writeable,best_match,success);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colormap_alloc_color , args , , " gboolean gdk_colormap_alloc_color (GdkColormap * colormap,GdkColor * color,gboolean writeable,gboolean best_match); " )
{
GdkColormap *   colormap ;
GdkColor *   color ;
gboolean   writeable ;
gboolean   best_match ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gdk_colormap_alloc_color (GdkColormap * colormap,GdkColor * color,gboolean writeable,gboolean best_match); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_alloc_color "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
writeable = (  gboolean  ) args( 2 ).long_value();
best_match = (  gboolean  ) args( 3 ).long_value();
long int ret_type=(long int) gdk_colormap_alloc_color ( colormap,color,writeable,best_match);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colormap_free_colors , args , , " void gdk_colormap_free_colors (GdkColormap * colormap,GdkColor * colors,gint ncolors); " )
{
GdkColormap *   colormap ;
GdkColor *   colors ;
gint   ncolors ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_colormap_free_colors (GdkColormap * colormap,GdkColor * colors,gint ncolors); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_free_colors "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
colors =( GdkColor * )args( 1 ).long_value();
ncolors = (  gint  ) args( 2 ).int_value();
gdk_colormap_free_colors ( colormap,colors,ncolors);
return octave_value();
}
DEFUN_DLD( gdk_colormap_query_color , args , , " void gdk_colormap_query_color (GdkColormap * colormap,gulong pixel,GdkColor * result); " )
{
GdkColormap *   colormap ;
gulong   pixel ;
GdkColor *   result ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_colormap_query_color (GdkColormap * colormap,gulong pixel,GdkColor * result); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_query_color "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
pixel = (  gulong  ) args( 1 ).long_value();
result =( GdkColor * )args( 2 ).long_value();
gdk_colormap_query_color ( colormap,pixel,result);
return octave_value();
}
DEFUN_DLD( gdk_colormap_get_visual , args , , " GdkVisual * gdk_colormap_get_visual (GdkColormap * colormap); " )
{
GdkColormap *   colormap ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkVisual * gdk_colormap_get_visual (GdkColormap * colormap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colormap_get_visual "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
long int ret_type= (long int) gdk_colormap_get_visual ( colormap);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_color_copy , args , , " GdkColor * gdk_color_copy (GdkColor * color); " )
{
GdkColor *   color ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColor * gdk_color_copy (GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_copy "<<std::endl;
#endif /* DEBUG */
color =( GdkColor * )args( 0 ).long_value();
long int ret_type= (long int) gdk_color_copy ( color);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_color_free , args , , " void gdk_color_free (GdkColor * color); " )
{
GdkColor *   color ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_color_free (GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_free "<<std::endl;
#endif /* DEBUG */
color =( GdkColor * )args( 0 ).long_value();
gdk_color_free ( color);
return octave_value();
}
/* overriden: gdk_color_parse  */
DEFUN_DLD( gdk_color_hash , args , , " guint gdk_color_hash (GdkColor * colora); " )
{
GdkColor *   colora ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gdk_color_hash (GdkColor * colora); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_hash "<<std::endl;
#endif /* DEBUG */
colora =( GdkColor * )args( 0 ).long_value();
long int ret_type=(long int) gdk_color_hash ( colora);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_color_equal , args , , " gboolean gdk_color_equal (GdkColor * colora,GdkColor * colorb); " )
{
GdkColor *   colora ;
GdkColor *   colorb ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gdk_color_equal (GdkColor * colora,GdkColor * colorb); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_equal "<<std::endl;
#endif /* DEBUG */
colora =( GdkColor * )args( 0 ).long_value();
colorb =( GdkColor * )args( 1 ).long_value();
long int ret_type=(long int) gdk_color_equal ( colora,colorb);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_color_get_type , args , , " GType gdk_color_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_color_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_color_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colors_store , args , , " void gdk_colors_store (GdkColormap * colormap,GdkColor * colors,gint ncolors); " )
{
GdkColormap *   colormap ;
GdkColor *   colors ;
gint   ncolors ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_colors_store (GdkColormap * colormap,GdkColor * colors,gint ncolors); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colors_store "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
colors =( GdkColor * )args( 1 ).long_value();
ncolors = (  gint  ) args( 2 ).int_value();
gdk_colors_store ( colormap,colors,ncolors);
return octave_value();
}
DEFUN_DLD( gdk_color_white , args , , " gint gdk_color_white (GdkColormap * colormap,GdkColor * color); " )
{
GdkColormap *   colormap ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_color_white (GdkColormap * colormap,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_white "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
long int ret_type=(long int) gdk_color_white ( colormap,color);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_color_black , args , , " gint gdk_color_black (GdkColormap * colormap,GdkColor * color); " )
{
GdkColormap *   colormap ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_color_black (GdkColormap * colormap,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_black "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
long int ret_type=(long int) gdk_color_black ( colormap,color);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_color_alloc , args , , " gint gdk_color_alloc (GdkColormap * colormap,GdkColor * color); " )
{
GdkColormap *   colormap ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_color_alloc (GdkColormap * colormap,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_alloc "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
long int ret_type=(long int) gdk_color_alloc ( colormap,color);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_color_change , args , , " gint gdk_color_change (GdkColormap * colormap,GdkColor * color); " )
{
GdkColormap *   colormap ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_color_change (GdkColormap * colormap,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_color_change "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
long int ret_type=(long int) gdk_color_change ( colormap,color);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colors_alloc , args , , " gint gdk_colors_alloc (GdkColormap * colormap,gboolean contiguous,gulong * planes,gint nplanes,gulong * pixels,gint npixels); " )
{
GdkColormap *   colormap ;
gboolean   contiguous ;
gulong *   planes ;
gint   nplanes ;
gulong *   pixels ;
gint   npixels ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gint gdk_colors_alloc (GdkColormap * colormap,gboolean contiguous,gulong * planes,gint nplanes,gulong * pixels,gint npixels); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colors_alloc "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
contiguous = (  gboolean  ) args( 1 ).long_value();
planes =( gulong * )args( 2 ).long_value();
nplanes = (  gint  ) args( 3 ).int_value();
pixels =( gulong * )args( 4 ).long_value();
npixels = (  gint  ) args( 5 ).int_value();
long int ret_type=(long int) gdk_colors_alloc ( colormap,contiguous,planes,nplanes,pixels,npixels);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_colors_free , args , , " void gdk_colors_free (GdkColormap * colormap,gulong * pixels,gint npixels,gulong planes); " )
{
GdkColormap *   colormap ;
gulong *   pixels ;
gint   npixels ;
gulong   planes ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_colors_free (GdkColormap * colormap,gulong * pixels,gint npixels,gulong planes); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_colors_free "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
pixels =( gulong * )args( 1 ).long_value();
npixels = (  gint  ) args( 2 ).int_value();
planes = (  gulong  ) args( 3 ).long_value();
gdk_colors_free ( colormap,pixels,npixels,planes);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_cursor_get_type , args , , " GType gdk_cursor_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_cursor_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_cursor_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_cursor_new_for_display , args , , " GdkCursor* gdk_cursor_new_for_display (GdkDisplay * display,GdkCursorType cursor_type); " )
{
GdkDisplay *   display ;
GdkCursorType   cursor_type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkCursor* gdk_cursor_new_for_display (GdkDisplay * display,GdkCursorType cursor_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_cursor_new_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
cursor_type = (  GdkCursorType  ) args( 1 ).long_value();
long int ret_type= (long int) gdk_cursor_new_for_display ( display,cursor_type);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_cursor_new , args , , " GdkCursor* gdk_cursor_new (GdkCursorType cursor_type); " )
{
GdkCursorType   cursor_type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkCursor* gdk_cursor_new (GdkCursorType cursor_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_cursor_new "<<std::endl;
#endif /* DEBUG */
cursor_type = (  GdkCursorType  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_cursor_new ( cursor_type);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_cursor_new_from_pixmap , args , , " GdkCursor* gdk_cursor_new_from_pixmap (GdkPixmap * source,GdkPixmap * mask,GdkColor * fg,GdkColor * bg,gint x,gint y); " )
{
GdkPixmap *   source ;
GdkPixmap *   mask ;
GdkColor *   fg ;
GdkColor *   bg ;
gint   x ;
gint   y ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  GdkCursor* gdk_cursor_new_from_pixmap (GdkPixmap * source,GdkPixmap * mask,GdkColor * fg,GdkColor * bg,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_cursor_new_from_pixmap "<<std::endl;
#endif /* DEBUG */
source =( GdkPixmap * )args( 0 ).long_value();
mask =( GdkPixmap * )args( 1 ).long_value();
fg =( GdkColor * )args( 2 ).long_value();
bg =( GdkColor * )args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
long int ret_type= (long int) gdk_cursor_new_from_pixmap ( source,mask,fg,bg,x,y);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_cursor_get_display , args , , " GdkDisplay* gdk_cursor_get_display (GdkCursor * cursor); " )
{
GdkCursor *   cursor ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDisplay* gdk_cursor_get_display (GdkCursor * cursor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_cursor_get_display "<<std::endl;
#endif /* DEBUG */
cursor =( GdkCursor * )args( 0 ).long_value();
long int ret_type= (long int) gdk_cursor_get_display ( cursor);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_cursor_ref , args , , " GdkCursor* gdk_cursor_ref (GdkCursor * cursor); " )
{
GdkCursor *   cursor ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkCursor* gdk_cursor_ref (GdkCursor * cursor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_cursor_ref "<<std::endl;
#endif /* DEBUG */
cursor =( GdkCursor * )args( 0 ).long_value();
long int ret_type= (long int) gdk_cursor_ref ( cursor);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_cursor_unref , args , , " void gdk_cursor_unref (GdkCursor * cursor); " )
{
GdkCursor *   cursor ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_cursor_unref (GdkCursor * cursor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_cursor_unref "<<std::endl;
#endif /* DEBUG */
cursor =( GdkCursor * )args( 0 ).long_value();
gdk_cursor_unref ( cursor);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_display_get_type , args , , " GType gdk_display_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_display_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_display_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_open , args , , " GdkDisplay * gdk_display_open (gchar * display_name); " )
{
gchar *   display_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDisplay * gdk_display_open (gchar * display_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_open "<<std::endl;
#endif /* DEBUG */
display_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) display_name ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gdk_display_open ( display_name);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_get_name , args , , " gchar * gdk_display_get_name (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gdk_display_get_name (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_get_name "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
string  ret_type( gdk_display_get_name ( display));
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_get_n_screens , args , , " gint gdk_display_get_n_screens (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_display_get_n_screens (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_get_n_screens "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
long int ret_type=(long int) gdk_display_get_n_screens ( display);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_get_screen , args , , " GdkScreen * gdk_display_get_screen (GdkDisplay * display,gint screen_num); " )
{
GdkDisplay *   display ;
gint   screen_num ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkScreen * gdk_display_get_screen (GdkDisplay * display,gint screen_num); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_get_screen "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
screen_num = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gdk_display_get_screen ( display,screen_num);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_get_default_screen , args , , " GdkScreen * gdk_display_get_default_screen (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen * gdk_display_get_default_screen (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_get_default_screen "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
long int ret_type= (long int) gdk_display_get_default_screen ( display);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_pointer_ungrab , args , , " void gdk_display_pointer_ungrab (GdkDisplay * display,guint32 time_); " )
{
GdkDisplay *   display ;
guint32   time_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_display_pointer_ungrab (GdkDisplay * display,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_pointer_ungrab "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
time_ = (  guint32  ) args( 1 ).int_value();
gdk_display_pointer_ungrab ( display,time_);
return octave_value();
}
DEFUN_DLD( gdk_display_keyboard_ungrab , args , , " void gdk_display_keyboard_ungrab (GdkDisplay * display,guint32 time_); " )
{
GdkDisplay *   display ;
guint32   time_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_display_keyboard_ungrab (GdkDisplay * display,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_keyboard_ungrab "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
time_ = (  guint32  ) args( 1 ).int_value();
gdk_display_keyboard_ungrab ( display,time_);
return octave_value();
}
DEFUN_DLD( gdk_display_pointer_is_grabbed , args , , " gboolean gdk_display_pointer_is_grabbed (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gdk_display_pointer_is_grabbed (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_pointer_is_grabbed "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
long int ret_type=(long int) gdk_display_pointer_is_grabbed ( display);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_beep , args , , " void gdk_display_beep (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_display_beep (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_beep "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
gdk_display_beep ( display);
return octave_value();
}
DEFUN_DLD( gdk_display_sync , args , , " void gdk_display_sync (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_display_sync (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_sync "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
gdk_display_sync ( display);
return octave_value();
}
DEFUN_DLD( gdk_display_close , args , , " void gdk_display_close (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_display_close (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_close "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
gdk_display_close ( display);
return octave_value();
}
DEFUN_DLD( gdk_display_list_devices , args , , " GList * gdk_display_list_devices (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList * gdk_display_list_devices (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_list_devices "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
long int ret_type= (long int) gdk_display_list_devices ( display);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_get_event , args , , " GdkEvent* gdk_display_get_event (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkEvent* gdk_display_get_event (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_get_event "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
long int ret_type= (long int) gdk_display_get_event ( display);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_peek_event , args , , " GdkEvent* gdk_display_peek_event (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkEvent* gdk_display_peek_event (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_peek_event "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
long int ret_type= (long int) gdk_display_peek_event ( display);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_put_event , args , , " void gdk_display_put_event (GdkDisplay * display,GdkEvent * event); " )
{
GdkDisplay *   display ;
GdkEvent *   event ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_display_put_event (GdkDisplay * display,GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_put_event "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
gdk_display_put_event ( display,event);
return octave_value();
}
DEFUN_DLD( gdk_display_add_client_message_filter , args , , " void gdk_display_add_client_message_filter (GdkDisplay * display,GdkAtom message_type,GdkFilterFunc func,gpointer data); " )
{
GdkDisplay *   display ;
GdkAtom   message_type ;
GdkFilterFunc   func ;
gpointer   data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_display_add_client_message_filter (GdkDisplay * display,GdkAtom message_type,GdkFilterFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_add_client_message_filter "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
message_type = (  GdkAtom  ) args( 1 ).long_value();
func = (  GdkFilterFunc  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
gdk_display_add_client_message_filter ( display,message_type,func,data);
return octave_value();
}
DEFUN_DLD( gdk_display_set_double_click_time , args , , " void gdk_display_set_double_click_time (GdkDisplay * display,guint msec); " )
{
GdkDisplay *   display ;
guint   msec ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_display_set_double_click_time (GdkDisplay * display,guint msec); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_set_double_click_time "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
msec = (  guint  ) args( 1 ).int_value();
gdk_display_set_double_click_time ( display,msec);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_display_get_default , args , , " GdkDisplay * gdk_display_get_default (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_display_get_default "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_display_get_default ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_get_core_pointer , args , , " GdkDevice * gdk_display_get_core_pointer (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDevice * gdk_display_get_core_pointer (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_get_core_pointer "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
long int ret_type= (long int) gdk_display_get_core_pointer ( display);
return octave_value(ret_type);
}
/* overriden: gdk_display_get_pointer  */
DEFUN_DLD( gdk_display_get_window_at_pointer , args , , " GdkWindow * gdk_display_get_window_at_pointer (GdkDisplay * display,gint * win_x,gint * win_y); " )
{
GdkDisplay *   display ;
gint *   win_x ;
gint *   win_y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GdkWindow * gdk_display_get_window_at_pointer (GdkDisplay * display,gint * win_x,gint * win_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_get_window_at_pointer "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
win_x =( gint * )args( 1 ).long_value();
win_y =( gint * )args( 2 ).long_value();
long int ret_type= (long int) gdk_display_get_window_at_pointer ( display,win_x,win_y);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_set_pointer_hooks , args , , " GdkDisplayPointerHooks * gdk_display_set_pointer_hooks (GdkDisplay * display,GdkDisplayPointerHooks * new_hooks); " )
{
GdkDisplay *   display ;
GdkDisplayPointerHooks *   new_hooks ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkDisplayPointerHooks * gdk_display_set_pointer_hooks (GdkDisplay * display,GdkDisplayPointerHooks * new_hooks); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_set_pointer_hooks "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
new_hooks =( GdkDisplayPointerHooks * )args( 1 ).long_value();
long int ret_type= (long int) gdk_display_set_pointer_hooks ( display,new_hooks);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_display_open_default_libgtk_only , args , , " GdkDisplay * gdk_display_open_default_libgtk_only (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_display_open_default_libgtk_only "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_display_open_default_libgtk_only ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_display_manager_get_type , args , , " GType gdk_display_manager_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_display_manager_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_display_manager_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_display_manager_get , args , , " GdkDisplayManager * gdk_display_manager_get (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_display_manager_get "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_display_manager_get ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_manager_get_default_display , args , , " GdkDisplay * gdk_display_manager_get_default_display (GdkDisplayManager * display_manager); " )
{
GdkDisplayManager *   display_manager ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDisplay * gdk_display_manager_get_default_display (GdkDisplayManager * display_manager); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_manager_get_default_display "<<std::endl;
#endif /* DEBUG */
display_manager =( GdkDisplayManager * )args( 0 ).long_value();
long int ret_type= (long int) gdk_display_manager_get_default_display ( display_manager);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_display_manager_set_default_display , args , , " void gdk_display_manager_set_default_display (GdkDisplayManager * display_manager,GdkDisplay * display); " )
{
GdkDisplayManager *   display_manager ;
GdkDisplay *   display ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_display_manager_set_default_display (GdkDisplayManager * display_manager,GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_manager_set_default_display "<<std::endl;
#endif /* DEBUG */
display_manager =( GdkDisplayManager * )args( 0 ).long_value();
display =( GdkDisplay * )args( 1 ).long_value();
gdk_display_manager_set_default_display ( display_manager,display);
return octave_value();
}
DEFUN_DLD( gdk_display_manager_list_displays , args , , " GSList * gdk_display_manager_list_displays (GdkDisplayManager * display_manager); " )
{
GdkDisplayManager *   display_manager ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList * gdk_display_manager_list_displays (GdkDisplayManager * display_manager); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_display_manager_list_displays "<<std::endl;
#endif /* DEBUG */
display_manager =( GdkDisplayManager * )args( 0 ).long_value();
long int ret_type= (long int) gdk_display_manager_list_displays ( display_manager);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_drag_context_get_type , args , , " GType gdk_drag_context_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_drag_context_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_drag_context_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_drag_context_new , args , , " GdkDragContext * gdk_drag_context_new (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_drag_context_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_drag_context_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drag_context_ref , args , , " void gdk_drag_context_ref (GdkDragContext * context); " )
{
GdkDragContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_drag_context_ref (GdkDragContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_context_ref "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
gdk_drag_context_ref ( context);
return octave_value();
}
DEFUN_DLD( gdk_drag_context_unref , args , , " void gdk_drag_context_unref (GdkDragContext * context); " )
{
GdkDragContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_drag_context_unref (GdkDragContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_context_unref "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
gdk_drag_context_unref ( context);
return octave_value();
}
DEFUN_DLD( gdk_drag_status , args , , " void gdk_drag_status (GdkDragContext * context,GdkDragAction action,guint32 time_); " )
{
GdkDragContext *   context ;
GdkDragAction   action ;
guint32   time_ ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_drag_status (GdkDragContext * context,GdkDragAction action,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_status "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
action = (  GdkDragAction  ) args( 1 ).long_value();
time_ = (  guint32  ) args( 2 ).int_value();
gdk_drag_status ( context,action,time_);
return octave_value();
}
DEFUN_DLD( gdk_drop_reply , args , , " void gdk_drop_reply (GdkDragContext * context,gboolean ok,guint32 time_); " )
{
GdkDragContext *   context ;
gboolean   ok ;
guint32   time_ ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_drop_reply (GdkDragContext * context,gboolean ok,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drop_reply "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
ok = (  gboolean  ) args( 1 ).long_value();
time_ = (  guint32  ) args( 2 ).int_value();
gdk_drop_reply ( context,ok,time_);
return octave_value();
}
DEFUN_DLD( gdk_drop_finish , args , , " void gdk_drop_finish (GdkDragContext * context,gboolean success,guint32 time_); " )
{
GdkDragContext *   context ;
gboolean   success ;
guint32   time_ ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_drop_finish (GdkDragContext * context,gboolean success,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drop_finish "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
success = (  gboolean  ) args( 1 ).long_value();
time_ = (  guint32  ) args( 2 ).int_value();
gdk_drop_finish ( context,success,time_);
return octave_value();
}
DEFUN_DLD( gdk_drag_get_selection , args , , " GdkAtom gdk_drag_get_selection (GdkDragContext * context); " )
{
GdkDragContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkAtom gdk_drag_get_selection (GdkDragContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_get_selection "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
long int ret_type=(long int) gdk_drag_get_selection ( context);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drag_begin , args , , " GdkDragContext * gdk_drag_begin (GdkWindow * window,GList * targets); " )
{
GdkWindow *   window ;
GList *   targets ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkDragContext * gdk_drag_begin (GdkWindow * window,GList * targets); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_begin "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
targets =( GList * )args( 1 ).long_value();
long int ret_type= (long int) gdk_drag_begin ( window,targets);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drag_get_protocol_for_display , args , , " guint32 gdk_drag_get_protocol_for_display (GdkDisplay * display,guint32 xid,GdkDragProtocol * protocol); " )
{
GdkDisplay *   display ;
guint32   xid ;
GdkDragProtocol *   protocol ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint32 gdk_drag_get_protocol_for_display (GdkDisplay * display,guint32 xid,GdkDragProtocol * protocol); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_get_protocol_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
xid = (  guint32  ) args( 1 ).int_value();
protocol =( GdkDragProtocol * )args( 2 ).long_value();
long int ret_type=(long int) gdk_drag_get_protocol_for_display ( display,xid,protocol);
return octave_value(ret_type);
}
/* overriden: gdk_drag_find_window_for_screen  */
DEFUN_DLD( gdk_drag_get_protocol , args , , " guint32 gdk_drag_get_protocol (guint32 xid,GdkDragProtocol * protocol); " )
{
guint32   xid ;
GdkDragProtocol *   protocol ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint32 gdk_drag_get_protocol (guint32 xid,GdkDragProtocol * protocol); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_get_protocol "<<std::endl;
#endif /* DEBUG */
xid = (  guint32  ) args( 0 ).int_value();
protocol =( GdkDragProtocol * )args( 1 ).long_value();
long int ret_type=(long int) gdk_drag_get_protocol ( xid,protocol);
return octave_value(ret_type);
}
/* overriden: gdk_drag_find_window  */
DEFUN_DLD( gdk_drag_motion , args , , " gboolean gdk_drag_motion (GdkDragContext * context,GdkWindow * dest_window,GdkDragProtocol protocol,gint x_root,gint y_root,GdkDragAction suggested_action,GdkDragAction possible_actions,guint32 time_); " )
{
GdkDragContext *   context ;
GdkWindow *   dest_window ;
GdkDragProtocol   protocol ;
gint   x_root ;
gint   y_root ;
GdkDragAction   suggested_action ;
GdkDragAction   possible_actions ;
guint32   time_ ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  gboolean gdk_drag_motion (GdkDragContext * context,GdkWindow * dest_window,GdkDragProtocol protocol,gint x_root,gint y_root,GdkDragAction suggested_action,GdkDragAction possible_actions,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_motion "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
dest_window =( GdkWindow * )args( 1 ).long_value();
protocol = (  GdkDragProtocol  ) args( 2 ).long_value();
x_root = (  gint  ) args( 3 ).int_value();
y_root = (  gint  ) args( 4 ).int_value();
suggested_action = (  GdkDragAction  ) args( 5 ).long_value();
possible_actions = (  GdkDragAction  ) args( 6 ).long_value();
time_ = (  guint32  ) args( 7 ).int_value();
long int ret_type=(long int) gdk_drag_motion ( context,dest_window,protocol,x_root,y_root,suggested_action,possible_actions,time_);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drag_drop , args , , " void gdk_drag_drop (GdkDragContext * context,guint32 time_); " )
{
GdkDragContext *   context ;
guint32   time_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_drag_drop (GdkDragContext * context,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_drop "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
time_ = (  guint32  ) args( 1 ).int_value();
gdk_drag_drop ( context,time_);
return octave_value();
}
DEFUN_DLD( gdk_drag_abort , args , , " void gdk_drag_abort (GdkDragContext * context,guint32 time_); " )
{
GdkDragContext *   context ;
guint32   time_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_drag_abort (GdkDragContext * context,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drag_abort "<<std::endl;
#endif /* DEBUG */
context =( GdkDragContext * )args( 0 ).long_value();
time_ = (  guint32  ) args( 1 ).int_value();
gdk_drag_abort ( context,time_);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_drawable_get_type , args , , " GType gdk_drawable_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_drawable_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_drawable_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_set_data , args , , " void gdk_drawable_set_data (GdkDrawable * drawable,gchar * key,gpointer data,GDestroyNotify destroy_func); " )
{
GdkDrawable *   drawable ;
gchar *   key ;
gpointer   data ;
GDestroyNotify   destroy_func ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_drawable_set_data (GdkDrawable * drawable,gchar * key,gpointer data,GDestroyNotify destroy_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_set_data "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
key = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) key ,args( 1 ).string_value().c_str());
data =( gpointer )args( 2 ).long_value();
destroy_func = (  GDestroyNotify  ) args( 3 ).long_value();
gdk_drawable_set_data ( drawable,key,data,destroy_func);
return octave_value();
}
DEFUN_DLD( gdk_drawable_get_data , args , , " gpointer gdk_drawable_get_data (GdkDrawable * drawable,gchar * key); " )
{
GdkDrawable *   drawable ;
gchar *   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer gdk_drawable_get_data (GdkDrawable * drawable,gchar * key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_data "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
key = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) key ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gdk_drawable_get_data ( drawable,key);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_get_size , args , , " void gdk_drawable_get_size (GdkDrawable * drawable,gint * width,gint * height); " )
{
GdkDrawable *   drawable ;
gint *   width ;
gint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_drawable_get_size (GdkDrawable * drawable,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_size "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
width =( gint * )args( 1 ).long_value();
height =( gint * )args( 2 ).long_value();
gdk_drawable_get_size ( drawable,width,height);
return octave_value();
}
DEFUN_DLD( gdk_drawable_set_colormap , args , , " void gdk_drawable_set_colormap (GdkDrawable * drawable,GdkColormap * colormap); " )
{
GdkDrawable *   drawable ;
GdkColormap *   colormap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_drawable_set_colormap (GdkDrawable * drawable,GdkColormap * colormap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_set_colormap "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
colormap =( GdkColormap * )args( 1 ).long_value();
gdk_drawable_set_colormap ( drawable,colormap);
return octave_value();
}
DEFUN_DLD( gdk_drawable_get_colormap , args , , " GdkColormap* gdk_drawable_get_colormap (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColormap* gdk_drawable_get_colormap (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_colormap "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type= (long int) gdk_drawable_get_colormap ( drawable);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_get_visual , args , , " GdkVisual* gdk_drawable_get_visual (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkVisual* gdk_drawable_get_visual (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_visual "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type= (long int) gdk_drawable_get_visual ( drawable);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_get_depth , args , , " gint gdk_drawable_get_depth (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_drawable_get_depth (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_depth "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type=(long int) gdk_drawable_get_depth ( drawable);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_get_screen , args , , " GdkScreen* gdk_drawable_get_screen (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen* gdk_drawable_get_screen (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_screen "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type= (long int) gdk_drawable_get_screen ( drawable);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_get_display , args , , " GdkDisplay* gdk_drawable_get_display (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDisplay* gdk_drawable_get_display (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_display "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type= (long int) gdk_drawable_get_display ( drawable);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_ref , args , , " GdkDrawable* gdk_drawable_ref (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDrawable* gdk_drawable_ref (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_ref "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type= (long int) gdk_drawable_ref ( drawable);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_unref , args , , " void gdk_drawable_unref (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_drawable_unref (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_unref "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gdk_drawable_unref ( drawable);
return octave_value();
}
DEFUN_DLD( gdk_draw_point , args , , " void gdk_draw_point (GdkDrawable * drawable,GdkGC * gc,gint x,gint y); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gint   x ;
gint   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_draw_point (GdkDrawable * drawable,GdkGC * gc,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_point "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
gdk_draw_point ( drawable,gc,x,y);
return octave_value();
}
DEFUN_DLD( gdk_draw_line , args , , " void gdk_draw_line (GdkDrawable * drawable,GdkGC * gc,gint x1_,gint y1_,gint x2_,gint y2_); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gint   x1_ ;
gint   y1_ ;
gint   x2_ ;
gint   y2_ ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gdk_draw_line (GdkDrawable * drawable,GdkGC * gc,gint x1_,gint y1_,gint x2_,gint y2_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_line "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
x1_ = (  gint  ) args( 2 ).int_value();
y1_ = (  gint  ) args( 3 ).int_value();
x2_ = (  gint  ) args( 4 ).int_value();
y2_ = (  gint  ) args( 5 ).int_value();
gdk_draw_line ( drawable,gc,x1_,y1_,x2_,y2_);
return octave_value();
}
DEFUN_DLD( gdk_draw_rectangle , args , , " void gdk_draw_rectangle (GdkDrawable * drawable,GdkGC * gc,gboolean filled,gint x,gint y,gint width,gint height); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gboolean   filled ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gdk_draw_rectangle (GdkDrawable * drawable,GdkGC * gc,gboolean filled,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_rectangle "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
filled = (  gboolean  ) args( 2 ).long_value();
x = (  gint  ) args( 3 ).int_value();
y = (  gint  ) args( 4 ).int_value();
width = (  gint  ) args( 5 ).int_value();
height = (  gint  ) args( 6 ).int_value();
gdk_draw_rectangle ( drawable,gc,filled,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gdk_draw_arc , args , , " void gdk_draw_arc (GdkDrawable * drawable,GdkGC * gc,gboolean filled,gint x,gint y,gint width,gint height,gint angle1,gint angle2); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gboolean   filled ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
gint   angle1 ;
gint   angle2 ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gdk_draw_arc (GdkDrawable * drawable,GdkGC * gc,gboolean filled,gint x,gint y,gint width,gint height,gint angle1,gint angle2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_arc "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
filled = (  gboolean  ) args( 2 ).long_value();
x = (  gint  ) args( 3 ).int_value();
y = (  gint  ) args( 4 ).int_value();
width = (  gint  ) args( 5 ).int_value();
height = (  gint  ) args( 6 ).int_value();
angle1 = (  gint  ) args( 7 ).int_value();
angle2 = (  gint  ) args( 8 ).int_value();
gdk_draw_arc ( drawable,gc,filled,x,y,width,height,angle1,angle2);
return octave_value();
}
DEFUN_DLD( gdk_draw_polygon , args , , " void gdk_draw_polygon (GdkDrawable * drawable,GdkGC * gc,gboolean filled,GdkPoint * points,gint npoints); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gboolean   filled ;
GdkPoint *   points ;
gint   npoints ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_draw_polygon (GdkDrawable * drawable,GdkGC * gc,gboolean filled,GdkPoint * points,gint npoints); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_polygon "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
filled = (  gboolean  ) args( 2 ).long_value();
points =( GdkPoint * )args( 3 ).long_value();
npoints = (  gint  ) args( 4 ).int_value();
gdk_draw_polygon ( drawable,gc,filled,points,npoints);
return octave_value();
}
DEFUN_DLD( gdk_draw_string , args , , " void gdk_draw_string (GdkDrawable * drawable,GdkFont * font,GdkGC * gc,gint x,gint y,gchar * string); " )
{
GdkDrawable *   drawable ;
GdkFont *   font ;
GdkGC *   gc ;
gint   x ;
gint   y ;
gchar *   string ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gdk_draw_string (GdkDrawable * drawable,GdkFont * font,GdkGC * gc,gint x,gint y,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_string "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
font =( GdkFont * )args( 1 ).long_value();
gc =( GdkGC * )args( 2 ).long_value();
x = (  gint  ) args( 3 ).int_value();
y = (  gint  ) args( 4 ).int_value();
string = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) string ,args( 5 ).string_value().c_str());
gdk_draw_string ( drawable,font,gc,x,y,string);
return octave_value();
}
DEFUN_DLD( gdk_draw_text , args , , " void gdk_draw_text (GdkDrawable * drawable,GdkFont * font,GdkGC * gc,gint x,gint y,gchar * text,gint text_length); " )
{
GdkDrawable *   drawable ;
GdkFont *   font ;
GdkGC *   gc ;
gint   x ;
gint   y ;
gchar *   text ;
gint   text_length ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gdk_draw_text (GdkDrawable * drawable,GdkFont * font,GdkGC * gc,gint x,gint y,gchar * text,gint text_length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_text "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
font =( GdkFont * )args( 1 ).long_value();
gc =( GdkGC * )args( 2 ).long_value();
x = (  gint  ) args( 3 ).int_value();
y = (  gint  ) args( 4 ).int_value();
text = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) text ,args( 5 ).string_value().c_str());
text_length = (  gint  ) args( 6 ).int_value();
gdk_draw_text ( drawable,font,gc,x,y,text,text_length);
return octave_value();
}
DEFUN_DLD( gdk_draw_text_wc , args , , " void gdk_draw_text_wc (GdkDrawable * drawable,GdkFont * font,GdkGC * gc,gint x,gint y,GdkWChar * text,gint text_length); " )
{
GdkDrawable *   drawable ;
GdkFont *   font ;
GdkGC *   gc ;
gint   x ;
gint   y ;
GdkWChar *   text ;
gint   text_length ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gdk_draw_text_wc (GdkDrawable * drawable,GdkFont * font,GdkGC * gc,gint x,gint y,GdkWChar * text,gint text_length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_text_wc "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
font =( GdkFont * )args( 1 ).long_value();
gc =( GdkGC * )args( 2 ).long_value();
x = (  gint  ) args( 3 ).int_value();
y = (  gint  ) args( 4 ).int_value();
text =( GdkWChar * )args( 5 ).long_value();
text_length = (  gint  ) args( 6 ).int_value();
gdk_draw_text_wc ( drawable,font,gc,x,y,text,text_length);
return octave_value();
}
DEFUN_DLD( gdk_draw_drawable , args , , " void gdk_draw_drawable (GdkDrawable * drawable,GdkGC * gc,GdkDrawable * src,gint xsrc,gint ysrc,gint xdest,gint ydest,gint width,gint height); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
GdkDrawable *   src ;
gint   xsrc ;
gint   ysrc ;
gint   xdest ;
gint   ydest ;
gint   width ;
gint   height ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gdk_draw_drawable (GdkDrawable * drawable,GdkGC * gc,GdkDrawable * src,gint xsrc,gint ysrc,gint xdest,gint ydest,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_drawable "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
src =( GdkDrawable * )args( 2 ).long_value();
xsrc = (  gint  ) args( 3 ).int_value();
ysrc = (  gint  ) args( 4 ).int_value();
xdest = (  gint  ) args( 5 ).int_value();
ydest = (  gint  ) args( 6 ).int_value();
width = (  gint  ) args( 7 ).int_value();
height = (  gint  ) args( 8 ).int_value();
gdk_draw_drawable ( drawable,gc,src,xsrc,ysrc,xdest,ydest,width,height);
return octave_value();
}
DEFUN_DLD( gdk_draw_image , args , , " void gdk_draw_image (GdkDrawable * drawable,GdkGC * gc,GdkImage * image,gint xsrc,gint ysrc,gint xdest,gint ydest,gint width,gint height); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
GdkImage *   image ;
gint   xsrc ;
gint   ysrc ;
gint   xdest ;
gint   ydest ;
gint   width ;
gint   height ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gdk_draw_image (GdkDrawable * drawable,GdkGC * gc,GdkImage * image,gint xsrc,gint ysrc,gint xdest,gint ydest,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_image "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
image =( GdkImage * )args( 2 ).long_value();
xsrc = (  gint  ) args( 3 ).int_value();
ysrc = (  gint  ) args( 4 ).int_value();
xdest = (  gint  ) args( 5 ).int_value();
ydest = (  gint  ) args( 6 ).int_value();
width = (  gint  ) args( 7 ).int_value();
height = (  gint  ) args( 8 ).int_value();
gdk_draw_image ( drawable,gc,image,xsrc,ysrc,xdest,ydest,width,height);
return octave_value();
}
DEFUN_DLD( gdk_draw_points , args , , " void gdk_draw_points (GdkDrawable * drawable,GdkGC * gc,GdkPoint * points,gint npoints); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
GdkPoint *   points ;
gint   npoints ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_draw_points (GdkDrawable * drawable,GdkGC * gc,GdkPoint * points,gint npoints); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_points "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
points =( GdkPoint * )args( 2 ).long_value();
npoints = (  gint  ) args( 3 ).int_value();
gdk_draw_points ( drawable,gc,points,npoints);
return octave_value();
}
DEFUN_DLD( gdk_draw_segments , args , , " void gdk_draw_segments (GdkDrawable * drawable,GdkGC * gc,GdkSegment * segs,gint nsegs); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
GdkSegment *   segs ;
gint   nsegs ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_draw_segments (GdkDrawable * drawable,GdkGC * gc,GdkSegment * segs,gint nsegs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_segments "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
segs =( GdkSegment * )args( 2 ).long_value();
nsegs = (  gint  ) args( 3 ).int_value();
gdk_draw_segments ( drawable,gc,segs,nsegs);
return octave_value();
}
DEFUN_DLD( gdk_draw_lines , args , , " void gdk_draw_lines (GdkDrawable * drawable,GdkGC * gc,GdkPoint * points,gint npoints); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
GdkPoint *   points ;
gint   npoints ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_draw_lines (GdkDrawable * drawable,GdkGC * gc,GdkPoint * points,gint npoints); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_lines "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
points =( GdkPoint * )args( 2 ).long_value();
npoints = (  gint  ) args( 3 ).int_value();
gdk_draw_lines ( drawable,gc,points,npoints);
return octave_value();
}
DEFUN_DLD( gdk_draw_pixbuf , args , , " void gdk_draw_pixbuf (GdkDrawable * drawable,GdkGC * gc,GdkPixbuf * pixbuf,gint src_x,gint src_y,gint dest_x,gint dest_y,gint width,gint height,GdkRgbDither dither,gint x_dither,gint y_dither); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
GdkPixbuf *   pixbuf ;
gint   src_x ;
gint   src_y ;
gint   dest_x ;
gint   dest_y ;
gint   width ;
gint   height ;
GdkRgbDither   dither ;
gint   x_dither ;
gint   y_dither ;
 if(args.length()!= 12 )
  {
   std::cout<< "eg:  void gdk_draw_pixbuf (GdkDrawable * drawable,GdkGC * gc,GdkPixbuf * pixbuf,gint src_x,gint src_y,gint dest_x,gint dest_y,gint width,gint height,GdkRgbDither dither,gint x_dither,gint y_dither); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_pixbuf "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
pixbuf =( GdkPixbuf * )args( 2 ).long_value();
src_x = (  gint  ) args( 3 ).int_value();
src_y = (  gint  ) args( 4 ).int_value();
dest_x = (  gint  ) args( 5 ).int_value();
dest_y = (  gint  ) args( 6 ).int_value();
width = (  gint  ) args( 7 ).int_value();
height = (  gint  ) args( 8 ).int_value();
dither = (  GdkRgbDither  ) args( 9 ).long_value();
x_dither = (  gint  ) args( 10 ).int_value();
y_dither = (  gint  ) args( 11 ).int_value();
gdk_draw_pixbuf ( drawable,gc,pixbuf,src_x,src_y,dest_x,dest_y,width,height,dither,x_dither,y_dither);
return octave_value();
}
DEFUN_DLD( gdk_draw_glyphs , args , , " void gdk_draw_glyphs (GdkDrawable * drawable,GdkGC * gc,PangoFont * font,gint x,gint y,PangoGlyphString * glyphs); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
PangoFont *   font ;
gint   x ;
gint   y ;
PangoGlyphString *   glyphs ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gdk_draw_glyphs (GdkDrawable * drawable,GdkGC * gc,PangoFont * font,gint x,gint y,PangoGlyphString * glyphs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_glyphs "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
font =( PangoFont * )args( 2 ).long_value();
x = (  gint  ) args( 3 ).int_value();
y = (  gint  ) args( 4 ).int_value();
glyphs =( PangoGlyphString * )args( 5 ).long_value();
gdk_draw_glyphs ( drawable,gc,font,x,y,glyphs);
return octave_value();
}
DEFUN_DLD( gdk_draw_layout_line , args , , " void gdk_draw_layout_line (GdkDrawable * drawable,GdkGC * gc,gint x,gint y,PangoLayoutLine * line); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gint   x ;
gint   y ;
PangoLayoutLine *   line ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_draw_layout_line (GdkDrawable * drawable,GdkGC * gc,gint x,gint y,PangoLayoutLine * line); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_layout_line "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
line =( PangoLayoutLine * )args( 4 ).long_value();
gdk_draw_layout_line ( drawable,gc,x,y,line);
return octave_value();
}
DEFUN_DLD( gdk_draw_layout , args , , " void gdk_draw_layout (GdkDrawable * drawable,GdkGC * gc,gint x,gint y,PangoLayout * layout); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gint   x ;
gint   y ;
PangoLayout *   layout ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_draw_layout (GdkDrawable * drawable,GdkGC * gc,gint x,gint y,PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_layout "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
layout =( PangoLayout * )args( 4 ).long_value();
gdk_draw_layout ( drawable,gc,x,y,layout);
return octave_value();
}
DEFUN_DLD( gdk_draw_layout_line_with_colors , args , , " void gdk_draw_layout_line_with_colors (GdkDrawable * drawable,GdkGC * gc,gint x,gint y,PangoLayoutLine * line,GdkColor * foreground,GdkColor * background); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gint   x ;
gint   y ;
PangoLayoutLine *   line ;
GdkColor *   foreground ;
GdkColor *   background ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gdk_draw_layout_line_with_colors (GdkDrawable * drawable,GdkGC * gc,gint x,gint y,PangoLayoutLine * line,GdkColor * foreground,GdkColor * background); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_layout_line_with_colors "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
line =( PangoLayoutLine * )args( 4 ).long_value();
foreground =( GdkColor * )args( 5 ).long_value();
background =( GdkColor * )args( 6 ).long_value();
gdk_draw_layout_line_with_colors ( drawable,gc,x,y,line,foreground,background);
return octave_value();
}
DEFUN_DLD( gdk_draw_layout_with_colors , args , , " void gdk_draw_layout_with_colors (GdkDrawable * drawable,GdkGC * gc,gint x,gint y,PangoLayout * layout,GdkColor * foreground,GdkColor * background); " )
{
GdkDrawable *   drawable ;
GdkGC *   gc ;
gint   x ;
gint   y ;
PangoLayout *   layout ;
GdkColor *   foreground ;
GdkColor *   background ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gdk_draw_layout_with_colors (GdkDrawable * drawable,GdkGC * gc,gint x,gint y,PangoLayout * layout,GdkColor * foreground,GdkColor * background); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_draw_layout_with_colors "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
gc =( GdkGC * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
layout =( PangoLayout * )args( 4 ).long_value();
foreground =( GdkColor * )args( 5 ).long_value();
background =( GdkColor * )args( 6 ).long_value();
gdk_draw_layout_with_colors ( drawable,gc,x,y,layout,foreground,background);
return octave_value();
}
DEFUN_DLD( gdk_drawable_get_image , args , , " GdkImage* gdk_drawable_get_image (GdkDrawable * drawable,gint x,gint y,gint width,gint height); " )
{
GdkDrawable *   drawable ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  GdkImage* gdk_drawable_get_image (GdkDrawable * drawable,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_image "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
width = (  gint  ) args( 3 ).int_value();
height = (  gint  ) args( 4 ).int_value();
long int ret_type= (long int) gdk_drawable_get_image ( drawable,x,y,width,height);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_get_clip_region , args , , " GdkRegion * gdk_drawable_get_clip_region (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkRegion * gdk_drawable_get_clip_region (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_clip_region "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type= (long int) gdk_drawable_get_clip_region ( drawable);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_drawable_get_visible_region , args , , " GdkRegion * gdk_drawable_get_visible_region (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkRegion * gdk_drawable_get_visible_region (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_drawable_get_visible_region "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type= (long int) gdk_drawable_get_visible_region ( drawable);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_cursor_type_get_type , args , , " GType gdk_cursor_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_cursor_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_cursor_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_drag_action_get_type , args , , " GType gdk_drag_action_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_drag_action_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_drag_action_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_drag_protocol_get_type , args , , " GType gdk_drag_protocol_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_drag_protocol_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_drag_protocol_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_filter_return_get_type , args , , " GType gdk_filter_return_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_filter_return_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_filter_return_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_event_type_get_type , args , , " GType gdk_event_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_event_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_event_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_event_mask_get_type , args , , " GType gdk_event_mask_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_event_mask_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_event_mask_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_visibility_state_get_type , args , , " GType gdk_visibility_state_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_visibility_state_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_visibility_state_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_scroll_direction_get_type , args , , " GType gdk_scroll_direction_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_scroll_direction_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_scroll_direction_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_notify_type_get_type , args , , " GType gdk_notify_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_notify_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_notify_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_crossing_mode_get_type , args , , " GType gdk_crossing_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_crossing_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_crossing_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_property_state_get_type , args , , " GType gdk_property_state_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_property_state_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_property_state_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_state_get_type , args , , " GType gdk_window_state_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_state_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_window_state_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_setting_action_get_type , args , , " GType gdk_setting_action_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_setting_action_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_setting_action_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_font_type_get_type , args , , " GType gdk_font_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_font_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_font_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_cap_style_get_type , args , , " GType gdk_cap_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_cap_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_cap_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_fill_get_type , args , , " GType gdk_fill_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_fill_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_fill_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_function_get_type , args , , " GType gdk_function_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_function_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_function_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_join_style_get_type , args , , " GType gdk_join_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_join_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_join_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_line_style_get_type , args , , " GType gdk_line_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_line_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_line_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_subwindow_mode_get_type , args , , " GType gdk_subwindow_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_subwindow_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_subwindow_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_gc_values_mask_get_type , args , , " GType gdk_gc_values_mask_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_gc_values_mask_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_gc_values_mask_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_image_type_get_type , args , , " GType gdk_image_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_image_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_image_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_extension_mode_get_type , args , , " GType gdk_extension_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_extension_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_extension_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_input_source_get_type , args , , " GType gdk_input_source_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_input_source_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_input_source_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_input_mode_get_type , args , , " GType gdk_input_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_input_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_input_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_axis_use_get_type , args , , " GType gdk_axis_use_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_axis_use_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_axis_use_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_prop_mode_get_type , args , , " GType gdk_prop_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_prop_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_prop_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_fill_rule_get_type , args , , " GType gdk_fill_rule_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_fill_rule_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_fill_rule_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_overlap_type_get_type , args , , " GType gdk_overlap_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_overlap_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_overlap_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_rgb_dither_get_type , args , , " GType gdk_rgb_dither_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_rgb_dither_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_rgb_dither_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_byte_order_get_type , args , , " GType gdk_byte_order_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_byte_order_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_byte_order_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_modifier_type_get_type , args , , " GType gdk_modifier_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_modifier_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_modifier_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_input_condition_get_type , args , , " GType gdk_input_condition_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_input_condition_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_input_condition_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_status_get_type , args , , " GType gdk_status_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_status_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_status_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_grab_status_get_type , args , , " GType gdk_grab_status_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_grab_status_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_grab_status_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_visual_type_get_type , args , , " GType gdk_visual_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_visual_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_visual_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_class_get_type , args , , " GType gdk_window_class_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_class_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_window_class_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_type_get_type , args , , " GType gdk_window_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_window_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_attributes_type_get_type , args , , " GType gdk_window_attributes_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_attributes_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_window_attributes_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_hints_get_type , args , , " GType gdk_window_hints_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_hints_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_window_hints_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_type_hint_get_type , args , , " GType gdk_window_type_hint_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_type_hint_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_window_type_hint_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_wm_decoration_get_type , args , , " GType gdk_wm_decoration_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_wm_decoration_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_wm_decoration_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_wm_function_get_type , args , , " GType gdk_wm_function_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_wm_function_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_wm_function_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_gravity_get_type , args , , " GType gdk_gravity_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_gravity_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_gravity_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_edge_get_type , args , , " GType gdk_window_edge_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_edge_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_window_edge_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_event_get_type , args , , " GType gdk_event_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_event_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_event_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_events_pending , args , , " gboolean gdk_events_pending (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_events_pending "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_events_pending ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_event_get , args , , " GdkEvent* gdk_event_get (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_event_get "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_event_get ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_event_peek , args , , " GdkEvent* gdk_event_peek (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_event_peek "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_event_peek ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_get_graphics_expose , args , , " GdkEvent* gdk_event_get_graphics_expose (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkEvent* gdk_event_get_graphics_expose (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_get_graphics_expose "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gdk_event_get_graphics_expose ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_put , args , , " void gdk_event_put (GdkEvent * event); " )
{
GdkEvent *   event ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_event_put (GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_put "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
gdk_event_put ( event);
return octave_value();
}
DEFUN_DLD( gdk_event_new , args , , " GdkEvent* gdk_event_new (GdkEventType type); " )
{
GdkEventType   type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkEvent* gdk_event_new (GdkEventType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_new "<<std::endl;
#endif /* DEBUG */
type = (  GdkEventType  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_event_new ( type);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_copy , args , , " GdkEvent* gdk_event_copy (GdkEvent * event); " )
{
GdkEvent *   event ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkEvent* gdk_event_copy (GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_copy "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
long int ret_type= (long int) gdk_event_copy ( event);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_free , args , , " void gdk_event_free (GdkEvent * event); " )
{
GdkEvent *   event ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_event_free (GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_free "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
gdk_event_free ( event);
return octave_value();
}
DEFUN_DLD( gdk_event_get_time , args , , " guint32 gdk_event_get_time (GdkEvent * event); " )
{
GdkEvent *   event ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint32 gdk_event_get_time (GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_get_time "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
long int ret_type=(long int) gdk_event_get_time ( event);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_get_state , args , , " gboolean gdk_event_get_state (GdkEvent * event,GdkModifierType * state); " )
{
GdkEvent *   event ;
GdkModifierType *   state ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gdk_event_get_state (GdkEvent * event,GdkModifierType * state); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_get_state "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
state =( GdkModifierType * )args( 1 ).long_value();
long int ret_type=(long int) gdk_event_get_state ( event,state);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_get_coords , args , , " gboolean gdk_event_get_coords (GdkEvent * event,gdouble * x_win,gdouble * y_win); " )
{
GdkEvent *   event ;
gdouble *   x_win ;
gdouble *   y_win ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gdk_event_get_coords (GdkEvent * event,gdouble * x_win,gdouble * y_win); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_get_coords "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
x_win =( gdouble * )args( 1 ).long_value();
y_win =( gdouble * )args( 2 ).long_value();
long int ret_type=(long int) gdk_event_get_coords ( event,x_win,y_win);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_get_root_coords , args , , " gboolean gdk_event_get_root_coords (GdkEvent * event,gdouble * x_root,gdouble * y_root); " )
{
GdkEvent *   event ;
gdouble *   x_root ;
gdouble *   y_root ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gdk_event_get_root_coords (GdkEvent * event,gdouble * x_root,gdouble * y_root); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_get_root_coords "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
x_root =( gdouble * )args( 1 ).long_value();
y_root =( gdouble * )args( 2 ).long_value();
long int ret_type=(long int) gdk_event_get_root_coords ( event,x_root,y_root);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_get_axis , args , , " gboolean gdk_event_get_axis (GdkEvent * event,GdkAxisUse axis_use,gdouble * value); " )
{
GdkEvent *   event ;
GdkAxisUse   axis_use ;
gdouble *   value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gdk_event_get_axis (GdkEvent * event,GdkAxisUse axis_use,gdouble * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_get_axis "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
axis_use = (  GdkAxisUse  ) args( 1 ).long_value();
value =( gdouble * )args( 2 ).long_value();
long int ret_type=(long int) gdk_event_get_axis ( event,axis_use,value);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_handler_set , args , , " void gdk_event_handler_set (GdkEventFunc func,gpointer data,GDestroyNotify notify); " )
{
GdkEventFunc   func ;
gpointer   data ;
GDestroyNotify   notify ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_event_handler_set (GdkEventFunc func,gpointer data,GDestroyNotify notify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_handler_set "<<std::endl;
#endif /* DEBUG */
func = (  GdkEventFunc  ) args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
notify = (  GDestroyNotify  ) args( 2 ).long_value();
gdk_event_handler_set ( func,data,notify);
return octave_value();
}
DEFUN_DLD( gdk_event_set_screen , args , , " void gdk_event_set_screen (GdkEvent * event,GdkScreen * screen); " )
{
GdkEvent *   event ;
GdkScreen *   screen ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_event_set_screen (GdkEvent * event,GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_set_screen "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
screen =( GdkScreen * )args( 1 ).long_value();
gdk_event_set_screen ( event,screen);
return octave_value();
}
DEFUN_DLD( gdk_event_get_screen , args , , " GdkScreen * gdk_event_get_screen (GdkEvent * event); " )
{
GdkEvent *   event ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen * gdk_event_get_screen (GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_get_screen "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
long int ret_type= (long int) gdk_event_get_screen ( event);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_set_show_events , args , , " void gdk_set_show_events (gboolean show_events); " )
{
gboolean   show_events ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_set_show_events (gboolean show_events); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_set_show_events "<<std::endl;
#endif /* DEBUG */
show_events = (  gboolean  ) args( 0 ).long_value();
gdk_set_show_events ( show_events);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_get_show_events , args , , " gboolean gdk_get_show_events (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_get_show_events "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_get_show_events ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_add_client_message_filter , args , , " void gdk_add_client_message_filter (GdkAtom message_type,GdkFilterFunc func,gpointer data); " )
{
GdkAtom   message_type ;
GdkFilterFunc   func ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_add_client_message_filter (GdkAtom message_type,GdkFilterFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_add_client_message_filter "<<std::endl;
#endif /* DEBUG */
message_type = (  GdkAtom  ) args( 0 ).long_value();
func = (  GdkFilterFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gdk_add_client_message_filter ( message_type,func,data);
return octave_value();
}
DEFUN_DLD( gdk_setting_get , args , , " gboolean gdk_setting_get (gchar * name,GValue * value); " )
{
gchar *   name ;
GValue *   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gdk_setting_get (gchar * name,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_setting_get "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
value =( GValue * )args( 1 ).long_value();
long int ret_type=(long int) gdk_setting_get ( name,value);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_font_get_type , args , , " GType gdk_font_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_font_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_font_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_font_ref , args , , " GdkFont* gdk_font_ref (GdkFont * font); " )
{
GdkFont *   font ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkFont* gdk_font_ref (GdkFont * font); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_ref "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
long int ret_type= (long int) gdk_font_ref ( font);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_font_unref , args , , " void gdk_font_unref (GdkFont * font); " )
{
GdkFont *   font ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_font_unref (GdkFont * font); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_unref "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
gdk_font_unref ( font);
return octave_value();
}
DEFUN_DLD( gdk_font_id , args , , " gint gdk_font_id (GdkFont * font); " )
{
GdkFont *   font ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_font_id (GdkFont * font); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_id "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
long int ret_type=(long int) gdk_font_id ( font);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_font_equal , args , , " gboolean gdk_font_equal (GdkFont * fonta,GdkFont * fontb); " )
{
GdkFont *   fonta ;
GdkFont *   fontb ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gdk_font_equal (GdkFont * fonta,GdkFont * fontb); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_equal "<<std::endl;
#endif /* DEBUG */
fonta =( GdkFont * )args( 0 ).long_value();
fontb =( GdkFont * )args( 1 ).long_value();
long int ret_type=(long int) gdk_font_equal ( fonta,fontb);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_font_load_for_display , args , , " GdkFont * gdk_font_load_for_display (GdkDisplay * display,gchar * font_name); " )
{
GdkDisplay *   display ;
gchar *   font_name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkFont * gdk_font_load_for_display (GdkDisplay * display,gchar * font_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_load_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
font_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) font_name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gdk_font_load_for_display ( display,font_name);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_fontset_load_for_display , args , , " GdkFont * gdk_fontset_load_for_display (GdkDisplay * display,gchar * fontset_name); " )
{
GdkDisplay *   display ;
gchar *   fontset_name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkFont * gdk_fontset_load_for_display (GdkDisplay * display,gchar * fontset_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_fontset_load_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
fontset_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) fontset_name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gdk_fontset_load_for_display ( display,fontset_name);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_font_from_description_for_display , args , , " GdkFont * gdk_font_from_description_for_display (GdkDisplay * display,PangoFontDescription * font_desc); " )
{
GdkDisplay *   display ;
PangoFontDescription *   font_desc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkFont * gdk_font_from_description_for_display (GdkDisplay * display,PangoFontDescription * font_desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_from_description_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
font_desc =( PangoFontDescription * )args( 1 ).long_value();
long int ret_type= (long int) gdk_font_from_description_for_display ( display,font_desc);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_font_load , args , , " GdkFont* gdk_font_load (gchar * font_name); " )
{
gchar *   font_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkFont* gdk_font_load (gchar * font_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_load "<<std::endl;
#endif /* DEBUG */
font_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) font_name ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gdk_font_load ( font_name);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_fontset_load , args , , " GdkFont* gdk_fontset_load (gchar * fontset_name); " )
{
gchar *   fontset_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkFont* gdk_fontset_load (gchar * fontset_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_fontset_load "<<std::endl;
#endif /* DEBUG */
fontset_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) fontset_name ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gdk_fontset_load ( fontset_name);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_font_from_description , args , , " GdkFont* gdk_font_from_description (PangoFontDescription * font_desc); " )
{
PangoFontDescription *   font_desc ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkFont* gdk_font_from_description (PangoFontDescription * font_desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_from_description "<<std::endl;
#endif /* DEBUG */
font_desc =( PangoFontDescription * )args( 0 ).long_value();
long int ret_type= (long int) gdk_font_from_description ( font_desc);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_string_width , args , , " gint gdk_string_width (GdkFont * font,gchar * string); " )
{
GdkFont *   font ;
gchar *   string ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_string_width (GdkFont * font,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_string_width "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
long int ret_type=(long int) gdk_string_width ( font,string);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_text_width , args , , " gint gdk_text_width (GdkFont * font,gchar * text,gint text_length); " )
{
GdkFont *   font ;
gchar *   text ;
gint   text_length ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint gdk_text_width (GdkFont * font,gchar * text,gint text_length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_text_width "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
text_length = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gdk_text_width ( font,text,text_length);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_text_width_wc , args , , " gint gdk_text_width_wc (GdkFont * font,GdkWChar * text,gint text_length); " )
{
GdkFont *   font ;
GdkWChar *   text ;
gint   text_length ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint gdk_text_width_wc (GdkFont * font,GdkWChar * text,gint text_length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_text_width_wc "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
text =( GdkWChar * )args( 1 ).long_value();
text_length = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gdk_text_width_wc ( font,text,text_length);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_char_width , args , , " gint gdk_char_width (GdkFont * font,gchar character); " )
{
GdkFont *   font ;
gchar   character ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_char_width (GdkFont * font,gchar character); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_char_width "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
character = (  gchar  ) args( 1 ).long_value();
long int ret_type=(long int) gdk_char_width ( font,character);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_char_width_wc , args , , " gint gdk_char_width_wc (GdkFont * font,GdkWChar character); " )
{
GdkFont *   font ;
GdkWChar   character ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_char_width_wc (GdkFont * font,GdkWChar character); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_char_width_wc "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
character = (  GdkWChar  ) args( 1 ).long_value();
long int ret_type=(long int) gdk_char_width_wc ( font,character);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_string_measure , args , , " gint gdk_string_measure (GdkFont * font,gchar * string); " )
{
GdkFont *   font ;
gchar *   string ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_string_measure (GdkFont * font,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_string_measure "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
long int ret_type=(long int) gdk_string_measure ( font,string);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_text_measure , args , , " gint gdk_text_measure (GdkFont * font,gchar * text,gint text_length); " )
{
GdkFont *   font ;
gchar *   text ;
gint   text_length ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint gdk_text_measure (GdkFont * font,gchar * text,gint text_length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_text_measure "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
text_length = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gdk_text_measure ( font,text,text_length);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_char_measure , args , , " gint gdk_char_measure (GdkFont * font,gchar character); " )
{
GdkFont *   font ;
gchar   character ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_char_measure (GdkFont * font,gchar character); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_char_measure "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
character = (  gchar  ) args( 1 ).long_value();
long int ret_type=(long int) gdk_char_measure ( font,character);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_string_height , args , , " gint gdk_string_height (GdkFont * font,gchar * string); " )
{
GdkFont *   font ;
gchar *   string ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_string_height (GdkFont * font,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_string_height "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
long int ret_type=(long int) gdk_string_height ( font,string);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_text_height , args , , " gint gdk_text_height (GdkFont * font,gchar * text,gint text_length); " )
{
GdkFont *   font ;
gchar *   text ;
gint   text_length ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint gdk_text_height (GdkFont * font,gchar * text,gint text_length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_text_height "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
text_length = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gdk_text_height ( font,text,text_length);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_char_height , args , , " gint gdk_char_height (GdkFont * font,gchar character); " )
{
GdkFont *   font ;
gchar   character ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_char_height (GdkFont * font,gchar character); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_char_height "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
character = (  gchar  ) args( 1 ).long_value();
long int ret_type=(long int) gdk_char_height ( font,character);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_text_extents , args , , " void gdk_text_extents (GdkFont * font,gchar * text,gint text_length,gint * lbearing,gint * rbearing,gint * width,gint * ascent,gint * descent); " )
{
GdkFont *   font ;
gchar *   text ;
gint   text_length ;
gint *   lbearing ;
gint *   rbearing ;
gint *   width ;
gint *   ascent ;
gint *   descent ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gdk_text_extents (GdkFont * font,gchar * text,gint text_length,gint * lbearing,gint * rbearing,gint * width,gint * ascent,gint * descent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_text_extents "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
text_length = (  gint  ) args( 2 ).int_value();
lbearing =( gint * )args( 3 ).long_value();
rbearing =( gint * )args( 4 ).long_value();
width =( gint * )args( 5 ).long_value();
ascent =( gint * )args( 6 ).long_value();
descent =( gint * )args( 7 ).long_value();
gdk_text_extents ( font,text,text_length,lbearing,rbearing,width,ascent,descent);
return octave_value();
}
DEFUN_DLD( gdk_text_extents_wc , args , , " void gdk_text_extents_wc (GdkFont * font,GdkWChar * text,gint text_length,gint * lbearing,gint * rbearing,gint * width,gint * ascent,gint * descent); " )
{
GdkFont *   font ;
GdkWChar *   text ;
gint   text_length ;
gint *   lbearing ;
gint *   rbearing ;
gint *   width ;
gint *   ascent ;
gint *   descent ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gdk_text_extents_wc (GdkFont * font,GdkWChar * text,gint text_length,gint * lbearing,gint * rbearing,gint * width,gint * ascent,gint * descent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_text_extents_wc "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
text =( GdkWChar * )args( 1 ).long_value();
text_length = (  gint  ) args( 2 ).int_value();
lbearing =( gint * )args( 3 ).long_value();
rbearing =( gint * )args( 4 ).long_value();
width =( gint * )args( 5 ).long_value();
ascent =( gint * )args( 6 ).long_value();
descent =( gint * )args( 7 ).long_value();
gdk_text_extents_wc ( font,text,text_length,lbearing,rbearing,width,ascent,descent);
return octave_value();
}
DEFUN_DLD( gdk_string_extents , args , , " void gdk_string_extents (GdkFont * font,gchar * string,gint * lbearing,gint * rbearing,gint * width,gint * ascent,gint * descent); " )
{
GdkFont *   font ;
gchar *   string ;
gint *   lbearing ;
gint *   rbearing ;
gint *   width ;
gint *   ascent ;
gint *   descent ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gdk_string_extents (GdkFont * font,gchar * string,gint * lbearing,gint * rbearing,gint * width,gint * ascent,gint * descent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_string_extents "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
lbearing =( gint * )args( 2 ).long_value();
rbearing =( gint * )args( 3 ).long_value();
width =( gint * )args( 4 ).long_value();
ascent =( gint * )args( 5 ).long_value();
descent =( gint * )args( 6 ).long_value();
gdk_string_extents ( font,string,lbearing,rbearing,width,ascent,descent);
return octave_value();
}
DEFUN_DLD( gdk_font_get_display , args , , " GdkDisplay * gdk_font_get_display (GdkFont * font); " )
{
GdkFont *   font ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDisplay * gdk_font_get_display (GdkFont * font); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_font_get_display "<<std::endl;
#endif /* DEBUG */
font =( GdkFont * )args( 0 ).long_value();
long int ret_type= (long int) gdk_font_get_display ( font);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_gc_get_type , args , , " GType gdk_gc_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_gc_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_gc_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_gc_new , args , , " GdkGC * gdk_gc_new (GdkDrawable * drawable); " )
{
GdkDrawable *   drawable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkGC * gdk_gc_new (GdkDrawable * drawable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_new "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
long int ret_type= (long int) gdk_gc_new ( drawable);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_gc_new_with_values , args , , " GdkGC * gdk_gc_new_with_values (GdkDrawable * drawable,GdkGCValues * values,GdkGCValuesMask values_mask); " )
{
GdkDrawable *   drawable ;
GdkGCValues *   values ;
GdkGCValuesMask   values_mask ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GdkGC * gdk_gc_new_with_values (GdkDrawable * drawable,GdkGCValues * values,GdkGCValuesMask values_mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_new_with_values "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
values =( GdkGCValues * )args( 1 ).long_value();
values_mask = (  GdkGCValuesMask  ) args( 2 ).long_value();
long int ret_type= (long int) gdk_gc_new_with_values ( drawable,values,values_mask);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_gc_ref , args , , " GdkGC * gdk_gc_ref (GdkGC * gc); " )
{
GdkGC *   gc ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkGC * gdk_gc_ref (GdkGC * gc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_ref "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
long int ret_type= (long int) gdk_gc_ref ( gc);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_gc_unref , args , , " void gdk_gc_unref (GdkGC * gc); " )
{
GdkGC *   gc ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_gc_unref (GdkGC * gc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_unref "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
gdk_gc_unref ( gc);
return octave_value();
}
DEFUN_DLD( gdk_gc_get_values , args , , " void gdk_gc_get_values (GdkGC * gc,GdkGCValues * values); " )
{
GdkGC *   gc ;
GdkGCValues *   values ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_get_values (GdkGC * gc,GdkGCValues * values); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_get_values "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
values =( GdkGCValues * )args( 1 ).long_value();
gdk_gc_get_values ( gc,values);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_values , args , , " void gdk_gc_set_values (GdkGC * gc,GdkGCValues * values,GdkGCValuesMask values_mask); " )
{
GdkGC *   gc ;
GdkGCValues *   values ;
GdkGCValuesMask   values_mask ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_gc_set_values (GdkGC * gc,GdkGCValues * values,GdkGCValuesMask values_mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_values "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
values =( GdkGCValues * )args( 1 ).long_value();
values_mask = (  GdkGCValuesMask  ) args( 2 ).long_value();
gdk_gc_set_values ( gc,values,values_mask);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_foreground , args , , " void gdk_gc_set_foreground (GdkGC * gc,GdkColor * color); " )
{
GdkGC *   gc ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_foreground (GdkGC * gc,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_foreground "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gdk_gc_set_foreground ( gc,color);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_background , args , , " void gdk_gc_set_background (GdkGC * gc,GdkColor * color); " )
{
GdkGC *   gc ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_background (GdkGC * gc,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_background "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gdk_gc_set_background ( gc,color);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_font , args , , " void gdk_gc_set_font (GdkGC * gc,GdkFont * font); " )
{
GdkGC *   gc ;
GdkFont *   font ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_font (GdkGC * gc,GdkFont * font); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_font "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
font =( GdkFont * )args( 1 ).long_value();
gdk_gc_set_font ( gc,font);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_function , args , , " void gdk_gc_set_function (GdkGC * gc,GdkFunction function); " )
{
GdkGC *   gc ;
GdkFunction   function ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_function (GdkGC * gc,GdkFunction function); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_function "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
function = (  GdkFunction  ) args( 1 ).long_value();
gdk_gc_set_function ( gc,function);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_fill , args , , " void gdk_gc_set_fill (GdkGC * gc,GdkFill fill); " )
{
GdkGC *   gc ;
GdkFill   fill ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_fill (GdkGC * gc,GdkFill fill); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_fill "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
fill = (  GdkFill  ) args( 1 ).long_value();
gdk_gc_set_fill ( gc,fill);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_tile , args , , " void gdk_gc_set_tile (GdkGC * gc,GdkPixmap * tile); " )
{
GdkGC *   gc ;
GdkPixmap *   tile ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_tile (GdkGC * gc,GdkPixmap * tile); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_tile "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
tile =( GdkPixmap * )args( 1 ).long_value();
gdk_gc_set_tile ( gc,tile);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_stipple , args , , " void gdk_gc_set_stipple (GdkGC * gc,GdkPixmap * stipple); " )
{
GdkGC *   gc ;
GdkPixmap *   stipple ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_stipple (GdkGC * gc,GdkPixmap * stipple); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_stipple "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
stipple =( GdkPixmap * )args( 1 ).long_value();
gdk_gc_set_stipple ( gc,stipple);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_ts_origin , args , , " void gdk_gc_set_ts_origin (GdkGC * gc,gint x,gint y); " )
{
GdkGC *   gc ;
gint   x ;
gint   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_gc_set_ts_origin (GdkGC * gc,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_ts_origin "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
gdk_gc_set_ts_origin ( gc,x,y);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_clip_origin , args , , " void gdk_gc_set_clip_origin (GdkGC * gc,gint x,gint y); " )
{
GdkGC *   gc ;
gint   x ;
gint   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_gc_set_clip_origin (GdkGC * gc,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_clip_origin "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
gdk_gc_set_clip_origin ( gc,x,y);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_clip_mask , args , , " void gdk_gc_set_clip_mask (GdkGC * gc,GdkBitmap * mask); " )
{
GdkGC *   gc ;
GdkBitmap *   mask ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_clip_mask (GdkGC * gc,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_clip_mask "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
mask =( GdkBitmap * )args( 1 ).long_value();
gdk_gc_set_clip_mask ( gc,mask);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_clip_rectangle , args , , " void gdk_gc_set_clip_rectangle (GdkGC * gc,GdkRectangle * rectangle); " )
{
GdkGC *   gc ;
GdkRectangle *   rectangle ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_clip_rectangle (GdkGC * gc,GdkRectangle * rectangle); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_clip_rectangle "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
rectangle =( GdkRectangle * )args( 1 ).long_value();
gdk_gc_set_clip_rectangle ( gc,rectangle);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_clip_region , args , , " void gdk_gc_set_clip_region (GdkGC * gc,GdkRegion * region); " )
{
GdkGC *   gc ;
GdkRegion *   region ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_clip_region (GdkGC * gc,GdkRegion * region); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_clip_region "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
region =( GdkRegion * )args( 1 ).long_value();
gdk_gc_set_clip_region ( gc,region);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_subwindow , args , , " void gdk_gc_set_subwindow (GdkGC * gc,GdkSubwindowMode mode); " )
{
GdkGC *   gc ;
GdkSubwindowMode   mode ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_subwindow (GdkGC * gc,GdkSubwindowMode mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_subwindow "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
mode = (  GdkSubwindowMode  ) args( 1 ).long_value();
gdk_gc_set_subwindow ( gc,mode);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_exposures , args , , " void gdk_gc_set_exposures (GdkGC * gc,gboolean exposures); " )
{
GdkGC *   gc ;
gboolean   exposures ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_exposures (GdkGC * gc,gboolean exposures); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_exposures "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
exposures = (  gboolean  ) args( 1 ).long_value();
gdk_gc_set_exposures ( gc,exposures);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_line_attributes , args , , " void gdk_gc_set_line_attributes (GdkGC * gc,gint line_width,GdkLineStyle line_style,GdkCapStyle cap_style,GdkJoinStyle join_style); " )
{
GdkGC *   gc ;
gint   line_width ;
GdkLineStyle   line_style ;
GdkCapStyle   cap_style ;
GdkJoinStyle   join_style ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_gc_set_line_attributes (GdkGC * gc,gint line_width,GdkLineStyle line_style,GdkCapStyle cap_style,GdkJoinStyle join_style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_line_attributes "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
line_width = (  gint  ) args( 1 ).int_value();
line_style = (  GdkLineStyle  ) args( 2 ).long_value();
cap_style = (  GdkCapStyle  ) args( 3 ).long_value();
join_style = (  GdkJoinStyle  ) args( 4 ).long_value();
gdk_gc_set_line_attributes ( gc,line_width,line_style,cap_style,join_style);
return octave_value();
}
/* overriden: gdk_gc_set_dashes  */
DEFUN_DLD( gdk_gc_offset , args , , " void gdk_gc_offset (GdkGC * gc,gint x_offset,gint y_offset); " )
{
GdkGC *   gc ;
gint   x_offset ;
gint   y_offset ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_gc_offset (GdkGC * gc,gint x_offset,gint y_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_offset "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
x_offset = (  gint  ) args( 1 ).int_value();
y_offset = (  gint  ) args( 2 ).int_value();
gdk_gc_offset ( gc,x_offset,y_offset);
return octave_value();
}
DEFUN_DLD( gdk_gc_copy , args , , " void gdk_gc_copy (GdkGC * dst_gc,GdkGC * src_gc); " )
{
GdkGC *   dst_gc ;
GdkGC *   src_gc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_copy (GdkGC * dst_gc,GdkGC * src_gc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_copy "<<std::endl;
#endif /* DEBUG */
dst_gc =( GdkGC * )args( 0 ).long_value();
src_gc =( GdkGC * )args( 1 ).long_value();
gdk_gc_copy ( dst_gc,src_gc);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_colormap , args , , " void gdk_gc_set_colormap (GdkGC * gc,GdkColormap * colormap); " )
{
GdkGC *   gc ;
GdkColormap *   colormap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_colormap (GdkGC * gc,GdkColormap * colormap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_colormap "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
colormap =( GdkColormap * )args( 1 ).long_value();
gdk_gc_set_colormap ( gc,colormap);
return octave_value();
}
DEFUN_DLD( gdk_gc_get_colormap , args , , " GdkColormap * gdk_gc_get_colormap (GdkGC * gc); " )
{
GdkGC *   gc ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColormap * gdk_gc_get_colormap (GdkGC * gc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_get_colormap "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
long int ret_type= (long int) gdk_gc_get_colormap ( gc);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_gc_set_rgb_fg_color , args , , " void gdk_gc_set_rgb_fg_color (GdkGC * gc,GdkColor * color); " )
{
GdkGC *   gc ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_rgb_fg_color (GdkGC * gc,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_rgb_fg_color "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gdk_gc_set_rgb_fg_color ( gc,color);
return octave_value();
}
DEFUN_DLD( gdk_gc_set_rgb_bg_color , args , , " void gdk_gc_set_rgb_bg_color (GdkGC * gc,GdkColor * color); " )
{
GdkGC *   gc ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_gc_set_rgb_bg_color (GdkGC * gc,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_set_rgb_bg_color "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gdk_gc_set_rgb_bg_color ( gc,color);
return octave_value();
}
DEFUN_DLD( gdk_gc_get_screen , args , , " GdkScreen * gdk_gc_get_screen (GdkGC * gc); " )
{
GdkGC *   gc ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen * gdk_gc_get_screen (GdkGC * gc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_gc_get_screen "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
long int ret_type= (long int) gdk_gc_get_screen ( gc);
return octave_value(ret_type);
}
/* overriden: gdk_parse_args  */
/* overriden: gdk_init  */
/* overriden: gdk_init_check  */
DEFUN_DLD( gdk_exit , args , , " void gdk_exit (gint error_code); " )
{
gint   error_code ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_exit (gint error_code); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_exit "<<std::endl;
#endif /* DEBUG */
error_code = (  gint  ) args( 0 ).int_value();
gdk_exit ( error_code);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_set_locale , args , , " gchar* gdk_set_locale (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_set_locale "<<std::endl;
#endif /* DEBUG */
string  ret_type( gdk_set_locale ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_get_program_class , args , , " char * gdk_get_program_class (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_get_program_class "<<std::endl;
#endif /* DEBUG */
string  ret_type( gdk_get_program_class ( ));
return octave_value(ret_type);
}
DEFUN_DLD( gdk_set_program_class , args , , " void gdk_set_program_class (char * program_class); " )
{
char *   program_class ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_set_program_class (char * program_class); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_set_program_class "<<std::endl;
#endif /* DEBUG */
program_class = new  char   [args( 0 ).string_value ().length()];
strcpy( (char *) program_class ,args( 0 ).string_value().c_str());
gdk_set_program_class ( program_class);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_error_trap_push , args , , " void gdk_error_trap_push (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_error_trap_push "<<std::endl;
#endif /* DEBUG */
gdk_error_trap_push ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_error_trap_pop , args , , " gint gdk_error_trap_pop (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_error_trap_pop "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_error_trap_pop ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_set_use_xshm , args , , " void gdk_set_use_xshm (gboolean use_xshm); " )
{
gboolean   use_xshm ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_set_use_xshm (gboolean use_xshm); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_set_use_xshm "<<std::endl;
#endif /* DEBUG */
use_xshm = (  gboolean  ) args( 0 ).long_value();
gdk_set_use_xshm ( use_xshm);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_get_use_xshm , args , , " gboolean gdk_get_use_xshm (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_get_use_xshm "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_get_use_xshm ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_get_display , args , , " gchar* gdk_get_display (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_get_display "<<std::endl;
#endif /* DEBUG */
string  ret_type( gdk_get_display ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_get_display_arg_name , args , , " gchar* gdk_get_display_arg_name (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_get_display_arg_name "<<std::endl;
#endif /* DEBUG */
string  ret_type( gdk_get_display_arg_name ( ));
return octave_value(ret_type);
}
DEFUN_DLD( gdk_input_add_full , args , , " gint gdk_input_add_full (gint source,GdkInputCondition condition,GdkInputFunction function,gpointer data,GdkDestroyNotify destroy); " )
{
gint   source ;
GdkInputCondition   condition ;
GdkInputFunction   function ;
gpointer   data ;
GdkDestroyNotify   destroy ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gint gdk_input_add_full (gint source,GdkInputCondition condition,GdkInputFunction function,gpointer data,GdkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_input_add_full "<<std::endl;
#endif /* DEBUG */
source = (  gint  ) args( 0 ).int_value();
condition = (  GdkInputCondition  ) args( 1 ).long_value();
function = (  GdkInputFunction  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
destroy = (  GdkDestroyNotify  ) args( 4 ).long_value();
long int ret_type=(long int) gdk_input_add_full ( source,condition,function,data,destroy);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_input_add , args , , " gint gdk_input_add (gint source,GdkInputCondition condition,GdkInputFunction function,gpointer data); " )
{
gint   source ;
GdkInputCondition   condition ;
GdkInputFunction   function ;
gpointer   data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gint gdk_input_add (gint source,GdkInputCondition condition,GdkInputFunction function,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_input_add "<<std::endl;
#endif /* DEBUG */
source = (  gint  ) args( 0 ).int_value();
condition = (  GdkInputCondition  ) args( 1 ).long_value();
function = (  GdkInputFunction  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
long int ret_type=(long int) gdk_input_add ( source,condition,function,data);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_input_remove , args , , " void gdk_input_remove (gint tag); " )
{
gint   tag ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_input_remove (gint tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_input_remove "<<std::endl;
#endif /* DEBUG */
tag = (  gint  ) args( 0 ).int_value();
gdk_input_remove ( tag);
return octave_value();
}
DEFUN_DLD( gdk_pointer_grab , args , , " GdkGrabStatus gdk_pointer_grab (GdkWindow * window,gboolean owner_events,GdkEventMask event_mask,GdkWindow * confine_to,GdkCursor * cursor,guint32 time_); " )
{
GdkWindow *   window ;
gboolean   owner_events ;
GdkEventMask   event_mask ;
GdkWindow *   confine_to ;
GdkCursor *   cursor ;
guint32   time_ ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  GdkGrabStatus gdk_pointer_grab (GdkWindow * window,gboolean owner_events,GdkEventMask event_mask,GdkWindow * confine_to,GdkCursor * cursor,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pointer_grab "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
owner_events = (  gboolean  ) args( 1 ).long_value();
event_mask = (  GdkEventMask  ) args( 2 ).long_value();
confine_to =( GdkWindow * )args( 3 ).long_value();
cursor =( GdkCursor * )args( 4 ).long_value();
time_ = (  guint32  ) args( 5 ).int_value();
long int ret_type=(long int) gdk_pointer_grab ( window,owner_events,event_mask,confine_to,cursor,time_);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keyboard_grab , args , , " GdkGrabStatus gdk_keyboard_grab (GdkWindow * window,gboolean owner_events,guint32 time_); " )
{
GdkWindow *   window ;
gboolean   owner_events ;
guint32   time_ ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GdkGrabStatus gdk_keyboard_grab (GdkWindow * window,gboolean owner_events,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyboard_grab "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
owner_events = (  gboolean  ) args( 1 ).long_value();
time_ = (  guint32  ) args( 2 ).int_value();
long int ret_type=(long int) gdk_keyboard_grab ( window,owner_events,time_);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pointer_ungrab , args , , " void gdk_pointer_ungrab (guint32 time_); " )
{
guint32   time_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_pointer_ungrab (guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pointer_ungrab "<<std::endl;
#endif /* DEBUG */
time_ = (  guint32  ) args( 0 ).int_value();
gdk_pointer_ungrab ( time_);
return octave_value();
}
DEFUN_DLD( gdk_keyboard_ungrab , args , , " void gdk_keyboard_ungrab (guint32 time_); " )
{
guint32   time_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_keyboard_ungrab (guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyboard_ungrab "<<std::endl;
#endif /* DEBUG */
time_ = (  guint32  ) args( 0 ).int_value();
gdk_keyboard_ungrab ( time_);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_pointer_is_grabbed , args , , " gboolean gdk_pointer_is_grabbed (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_pointer_is_grabbed "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_pointer_is_grabbed ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_screen_width , args , , " gint gdk_screen_width (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_screen_width "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_screen_width ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_screen_height , args , , " gint gdk_screen_height (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_screen_height "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_screen_height ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_screen_width_mm , args , , " gint gdk_screen_width_mm (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_screen_width_mm "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_screen_width_mm ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_screen_height_mm , args , , " gint gdk_screen_height_mm (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_screen_height_mm "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_screen_height_mm ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_beep , args , , " void gdk_beep (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_beep "<<std::endl;
#endif /* DEBUG */
gdk_beep ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_flush , args , , " void gdk_flush (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_flush "<<std::endl;
#endif /* DEBUG */
gdk_flush ( );
return octave_value();
}
DEFUN_DLD( gdk_set_double_click_time , args , , " void gdk_set_double_click_time (guint msec); " )
{
guint   msec ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_set_double_click_time (guint msec); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_set_double_click_time "<<std::endl;
#endif /* DEBUG */
msec = (  guint  ) args( 0 ).int_value();
gdk_set_double_click_time ( msec);
return octave_value();
}
DEFUN_DLD( gdk_rectangle_intersect , args , , " gboolean gdk_rectangle_intersect (GdkRectangle * src1,GdkRectangle * src2,GdkRectangle * dest); " )
{
GdkRectangle *   src1 ;
GdkRectangle *   src2 ;
GdkRectangle *   dest ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gdk_rectangle_intersect (GdkRectangle * src1,GdkRectangle * src2,GdkRectangle * dest); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_rectangle_intersect "<<std::endl;
#endif /* DEBUG */
src1 =( GdkRectangle * )args( 0 ).long_value();
src2 =( GdkRectangle * )args( 1 ).long_value();
dest =( GdkRectangle * )args( 2 ).long_value();
long int ret_type=(long int) gdk_rectangle_intersect ( src1,src2,dest);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_rectangle_union , args , , " void gdk_rectangle_union (GdkRectangle * src1,GdkRectangle * src2,GdkRectangle * dest); " )
{
GdkRectangle *   src1 ;
GdkRectangle *   src2 ;
GdkRectangle *   dest ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_rectangle_union (GdkRectangle * src1,GdkRectangle * src2,GdkRectangle * dest); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_rectangle_union "<<std::endl;
#endif /* DEBUG */
src1 =( GdkRectangle * )args( 0 ).long_value();
src2 =( GdkRectangle * )args( 1 ).long_value();
dest =( GdkRectangle * )args( 2 ).long_value();
gdk_rectangle_union ( src1,src2,dest);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_rectangle_get_type , args , , " GType gdk_rectangle_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_rectangle_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_rectangle_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_wcstombs , args , , " gchar * gdk_wcstombs (GdkWChar * src); " )
{
GdkWChar *   src ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gdk_wcstombs (GdkWChar * src); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_wcstombs "<<std::endl;
#endif /* DEBUG */
src =( GdkWChar * )args( 0 ).long_value();
string  ret_type( gdk_wcstombs ( src));
return octave_value(ret_type);
}
DEFUN_DLD( gdk_mbstowcs , args , , " gint gdk_mbstowcs (GdkWChar * dest,gchar * src,gint dest_max); " )
{
GdkWChar *   dest ;
gchar *   src ;
gint   dest_max ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint gdk_mbstowcs (GdkWChar * dest,gchar * src,gint dest_max); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_mbstowcs "<<std::endl;
#endif /* DEBUG */
dest =( GdkWChar * )args( 0 ).long_value();
src = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) src ,args( 1 ).string_value().c_str());
dest_max = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gdk_mbstowcs ( dest,src,dest_max);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_send_client_message , args , , " gboolean gdk_event_send_client_message (GdkEvent * event,GdkNativeWindow winid); " )
{
GdkEvent *   event ;
GdkNativeWindow   winid ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gdk_event_send_client_message (GdkEvent * event,GdkNativeWindow winid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_send_client_message "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
winid = (  GdkNativeWindow  ) args( 1 ).long_value();
long int ret_type=(long int) gdk_event_send_client_message ( event,winid);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_event_send_clientmessage_toall , args , , " void gdk_event_send_clientmessage_toall (GdkEvent * event); " )
{
GdkEvent *   event ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_event_send_clientmessage_toall (GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_send_clientmessage_toall "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
gdk_event_send_clientmessage_toall ( event);
return octave_value();
}
DEFUN_DLD( gdk_event_send_client_message_for_display , args , , " gboolean gdk_event_send_client_message_for_display (GdkDisplay * display,GdkEvent * event,GdkNativeWindow winid); " )
{
GdkDisplay *   display ;
GdkEvent *   event ;
GdkNativeWindow   winid ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gdk_event_send_client_message_for_display (GdkDisplay * display,GdkEvent * event,GdkNativeWindow winid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_event_send_client_message_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
winid = (  GdkNativeWindow  ) args( 2 ).long_value();
long int ret_type=(long int) gdk_event_send_client_message_for_display ( display,event,winid);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_notify_startup_complete , args , , " void gdk_notify_startup_complete (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_notify_startup_complete "<<std::endl;
#endif /* DEBUG */
gdk_notify_startup_complete ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_threads_enter , args , , " void gdk_threads_enter (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_threads_enter "<<std::endl;
#endif /* DEBUG */
gdk_threads_enter ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_threads_leave , args , , " void gdk_threads_leave (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_threads_leave "<<std::endl;
#endif /* DEBUG */
gdk_threads_leave ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_threads_init , args , , " void gdk_threads_init (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_threads_init "<<std::endl;
#endif /* DEBUG */
gdk_threads_init ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_image_get_type , args , , " GType gdk_image_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_image_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_image_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_image_new , args , , " GdkImage* gdk_image_new (GdkImageType type,GdkVisual * visual,gint width,gint height); " )
{
GdkImageType   type ;
GdkVisual *   visual ;
gint   width ;
gint   height ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GdkImage* gdk_image_new (GdkImageType type,GdkVisual * visual,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_image_new "<<std::endl;
#endif /* DEBUG */
type = (  GdkImageType  ) args( 0 ).long_value();
visual =( GdkVisual * )args( 1 ).long_value();
width = (  gint  ) args( 2 ).int_value();
height = (  gint  ) args( 3 ).int_value();
long int ret_type= (long int) gdk_image_new ( type,visual,width,height);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_image_get , args , , " GdkImage* gdk_image_get (GdkDrawable * drawable,gint x,gint y,gint width,gint height); " )
{
GdkDrawable *   drawable ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  GdkImage* gdk_image_get (GdkDrawable * drawable,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_image_get "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
width = (  gint  ) args( 3 ).int_value();
height = (  gint  ) args( 4 ).int_value();
long int ret_type= (long int) gdk_image_get ( drawable,x,y,width,height);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_image_ref , args , , " GdkImage * gdk_image_ref (GdkImage * image); " )
{
GdkImage *   image ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkImage * gdk_image_ref (GdkImage * image); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_image_ref "<<std::endl;
#endif /* DEBUG */
image =( GdkImage * )args( 0 ).long_value();
long int ret_type= (long int) gdk_image_ref ( image);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_image_unref , args , , " void gdk_image_unref (GdkImage * image); " )
{
GdkImage *   image ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_image_unref (GdkImage * image); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_image_unref "<<std::endl;
#endif /* DEBUG */
image =( GdkImage * )args( 0 ).long_value();
gdk_image_unref ( image);
return octave_value();
}
DEFUN_DLD( gdk_image_put_pixel , args , , " void gdk_image_put_pixel (GdkImage * image,gint x,gint y,guint32 pixel); " )
{
GdkImage *   image ;
gint   x ;
gint   y ;
guint32   pixel ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_image_put_pixel (GdkImage * image,gint x,gint y,guint32 pixel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_image_put_pixel "<<std::endl;
#endif /* DEBUG */
image =( GdkImage * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
pixel = (  guint32  ) args( 3 ).int_value();
gdk_image_put_pixel ( image,x,y,pixel);
return octave_value();
}
DEFUN_DLD( gdk_image_get_pixel , args , , " guint32 gdk_image_get_pixel (GdkImage * image,gint x,gint y); " )
{
GdkImage *   image ;
gint   x ;
gint   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint32 gdk_image_get_pixel (GdkImage * image,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_image_get_pixel "<<std::endl;
#endif /* DEBUG */
image =( GdkImage * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gdk_image_get_pixel ( image,x,y);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_image_set_colormap , args , , " void gdk_image_set_colormap (GdkImage * image,GdkColormap * colormap); " )
{
GdkImage *   image ;
GdkColormap *   colormap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_image_set_colormap (GdkImage * image,GdkColormap * colormap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_image_set_colormap "<<std::endl;
#endif /* DEBUG */
image =( GdkImage * )args( 0 ).long_value();
colormap =( GdkColormap * )args( 1 ).long_value();
gdk_image_set_colormap ( image,colormap);
return octave_value();
}
DEFUN_DLD( gdk_image_get_colormap , args , , " GdkColormap* gdk_image_get_colormap (GdkImage * image); " )
{
GdkImage *   image ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColormap* gdk_image_get_colormap (GdkImage * image); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_image_get_colormap "<<std::endl;
#endif /* DEBUG */
image =( GdkImage * )args( 0 ).long_value();
long int ret_type= (long int) gdk_image_get_colormap ( image);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_device_get_type , args , , " GType gdk_device_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_device_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_device_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_devices_list , args , , " GList * gdk_devices_list (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_devices_list "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_devices_list ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_device_set_source , args , , " void gdk_device_set_source (GdkDevice * device,GdkInputSource source); " )
{
GdkDevice *   device ;
GdkInputSource   source ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_device_set_source (GdkDevice * device,GdkInputSource source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_device_set_source "<<std::endl;
#endif /* DEBUG */
device =( GdkDevice * )args( 0 ).long_value();
source = (  GdkInputSource  ) args( 1 ).long_value();
gdk_device_set_source ( device,source);
return octave_value();
}
DEFUN_DLD( gdk_device_set_mode , args , , " gboolean gdk_device_set_mode (GdkDevice * device,GdkInputMode mode); " )
{
GdkDevice *   device ;
GdkInputMode   mode ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gdk_device_set_mode (GdkDevice * device,GdkInputMode mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_device_set_mode "<<std::endl;
#endif /* DEBUG */
device =( GdkDevice * )args( 0 ).long_value();
mode = (  GdkInputMode  ) args( 1 ).long_value();
long int ret_type=(long int) gdk_device_set_mode ( device,mode);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_device_set_key , args , , " void gdk_device_set_key (GdkDevice * device,guint index_,guint keyval,GdkModifierType modifiers); " )
{
GdkDevice *   device ;
guint   index_ ;
guint   keyval ;
GdkModifierType   modifiers ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_device_set_key (GdkDevice * device,guint index_,guint keyval,GdkModifierType modifiers); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_device_set_key "<<std::endl;
#endif /* DEBUG */
device =( GdkDevice * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
keyval = (  guint  ) args( 2 ).int_value();
modifiers = (  GdkModifierType  ) args( 3 ).long_value();
gdk_device_set_key ( device,index_,keyval,modifiers);
return octave_value();
}
DEFUN_DLD( gdk_device_set_axis_use , args , , " void gdk_device_set_axis_use (GdkDevice * device,guint index_,GdkAxisUse use); " )
{
GdkDevice *   device ;
guint   index_ ;
GdkAxisUse   use ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_device_set_axis_use (GdkDevice * device,guint index_,GdkAxisUse use); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_device_set_axis_use "<<std::endl;
#endif /* DEBUG */
device =( GdkDevice * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
use = (  GdkAxisUse  ) args( 2 ).long_value();
gdk_device_set_axis_use ( device,index_,use);
return octave_value();
}
DEFUN_DLD( gdk_device_get_state , args , , " void gdk_device_get_state (GdkDevice * device,GdkWindow * window,gdouble * axes,GdkModifierType * mask); " )
{
GdkDevice *   device ;
GdkWindow *   window ;
gdouble *   axes ;
GdkModifierType *   mask ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_device_get_state (GdkDevice * device,GdkWindow * window,gdouble * axes,GdkModifierType * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_device_get_state "<<std::endl;
#endif /* DEBUG */
device =( GdkDevice * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
axes =( gdouble * )args( 2 ).long_value();
mask =( GdkModifierType * )args( 3 ).long_value();
gdk_device_get_state ( device,window,axes,mask);
return octave_value();
}
/* overriden: gdk_device_get_history  */
/* overriden: gdk_device_free_history  */
DEFUN_DLD( gdk_device_get_axis , args , , " gboolean gdk_device_get_axis (GdkDevice * device,gdouble * axes,GdkAxisUse use,gdouble * value); " )
{
GdkDevice *   device ;
gdouble *   axes ;
GdkAxisUse   use ;
gdouble *   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gdk_device_get_axis (GdkDevice * device,gdouble * axes,GdkAxisUse use,gdouble * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_device_get_axis "<<std::endl;
#endif /* DEBUG */
device =( GdkDevice * )args( 0 ).long_value();
axes =( gdouble * )args( 1 ).long_value();
use = (  GdkAxisUse  ) args( 2 ).long_value();
value =( gdouble * )args( 3 ).long_value();
long int ret_type=(long int) gdk_device_get_axis ( device,axes,use,value);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_input_set_extension_events , args , , " void gdk_input_set_extension_events (GdkWindow * window,gint mask,GdkExtensionMode mode); " )
{
GdkWindow *   window ;
gint   mask ;
GdkExtensionMode   mode ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_input_set_extension_events (GdkWindow * window,gint mask,GdkExtensionMode mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_input_set_extension_events "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
mask = (  gint  ) args( 1 ).int_value();
mode = (  GdkExtensionMode  ) args( 2 ).long_value();
gdk_input_set_extension_events ( window,mask,mode);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_device_get_core_pointer , args , , " GdkDevice * gdk_device_get_core_pointer (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_device_get_core_pointer "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_device_get_core_pointer ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_keymap_get_type , args , , " GType gdk_keymap_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_keymap_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_keymap_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_keymap_get_default , args , , " GdkKeymap* gdk_keymap_get_default (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_keymap_get_default "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_keymap_get_default ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keymap_get_for_display , args , , " GdkKeymap* gdk_keymap_get_for_display (GdkDisplay * display); " )
{
GdkDisplay *   display ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkKeymap* gdk_keymap_get_for_display (GdkDisplay * display); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keymap_get_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
long int ret_type= (long int) gdk_keymap_get_for_display ( display);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keymap_lookup_key , args , , " guint gdk_keymap_lookup_key (GdkKeymap * keymap,GdkKeymapKey * key); " )
{
GdkKeymap *   keymap ;
GdkKeymapKey *   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint gdk_keymap_lookup_key (GdkKeymap * keymap,GdkKeymapKey * key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keymap_lookup_key "<<std::endl;
#endif /* DEBUG */
keymap =( GdkKeymap * )args( 0 ).long_value();
key =( GdkKeymapKey * )args( 1 ).long_value();
long int ret_type=(long int) gdk_keymap_lookup_key ( keymap,key);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keymap_translate_keyboard_state , args , , " gboolean gdk_keymap_translate_keyboard_state (GdkKeymap * keymap,guint hardware_keycode,GdkModifierType state,gint group,guint * keyval,gint * effective_group,gint * level,GdkModifierType * consumed_modifiers); " )
{
GdkKeymap *   keymap ;
guint   hardware_keycode ;
GdkModifierType   state ;
gint   group ;
guint *   keyval ;
gint *   effective_group ;
gint *   level ;
GdkModifierType *   consumed_modifiers ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  gboolean gdk_keymap_translate_keyboard_state (GdkKeymap * keymap,guint hardware_keycode,GdkModifierType state,gint group,guint * keyval,gint * effective_group,gint * level,GdkModifierType * consumed_modifiers); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keymap_translate_keyboard_state "<<std::endl;
#endif /* DEBUG */
keymap =( GdkKeymap * )args( 0 ).long_value();
hardware_keycode = (  guint  ) args( 1 ).int_value();
state = (  GdkModifierType  ) args( 2 ).long_value();
group = (  gint  ) args( 3 ).int_value();
keyval =( guint * )args( 4 ).long_value();
effective_group =( gint * )args( 5 ).long_value();
level =( gint * )args( 6 ).long_value();
consumed_modifiers =( GdkModifierType * )args( 7 ).long_value();
long int ret_type=(long int) gdk_keymap_translate_keyboard_state ( keymap,hardware_keycode,state,group,keyval,effective_group,level,consumed_modifiers);
return octave_value(ret_type);
}
/* overriden: gdk_keymap_get_entries_for_keyval  */
/* overriden: gdk_keymap_get_entries_for_keycode  */
DEFUN_DLD( gdk_keymap_get_direction , args , , " PangoDirection gdk_keymap_get_direction (GdkKeymap * keymap); " )
{
GdkKeymap *   keymap ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoDirection gdk_keymap_get_direction (GdkKeymap * keymap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keymap_get_direction "<<std::endl;
#endif /* DEBUG */
keymap =( GdkKeymap * )args( 0 ).long_value();
long int ret_type=(long int) gdk_keymap_get_direction ( keymap);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keyval_name , args , , " gchar* gdk_keyval_name (guint keyval); " )
{
guint   keyval ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gdk_keyval_name (guint keyval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyval_name "<<std::endl;
#endif /* DEBUG */
keyval = (  guint  ) args( 0 ).int_value();
string  ret_type( gdk_keyval_name ( keyval));
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keyval_from_name , args , , " guint gdk_keyval_from_name (gchar * keyval_name); " )
{
gchar *   keyval_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gdk_keyval_from_name (gchar * keyval_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyval_from_name "<<std::endl;
#endif /* DEBUG */
keyval_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) keyval_name ,args( 0 ).string_value().c_str());
long int ret_type=(long int) gdk_keyval_from_name ( keyval_name);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keyval_convert_case , args , , " void gdk_keyval_convert_case (guint symbol,guint * lower,guint * upper); " )
{
guint   symbol ;
guint *   lower ;
guint *   upper ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_keyval_convert_case (guint symbol,guint * lower,guint * upper); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyval_convert_case "<<std::endl;
#endif /* DEBUG */
symbol = (  guint  ) args( 0 ).int_value();
lower =( guint * )args( 1 ).long_value();
upper =( guint * )args( 2 ).long_value();
gdk_keyval_convert_case ( symbol,lower,upper);
return octave_value();
}
DEFUN_DLD( gdk_keyval_to_upper , args , , " guint gdk_keyval_to_upper (guint keyval); " )
{
guint   keyval ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gdk_keyval_to_upper (guint keyval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyval_to_upper "<<std::endl;
#endif /* DEBUG */
keyval = (  guint  ) args( 0 ).int_value();
long int ret_type=(long int) gdk_keyval_to_upper ( keyval);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keyval_to_lower , args , , " guint gdk_keyval_to_lower (guint keyval); " )
{
guint   keyval ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gdk_keyval_to_lower (guint keyval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyval_to_lower "<<std::endl;
#endif /* DEBUG */
keyval = (  guint  ) args( 0 ).int_value();
long int ret_type=(long int) gdk_keyval_to_lower ( keyval);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keyval_is_upper , args , , " gboolean gdk_keyval_is_upper (guint keyval); " )
{
guint   keyval ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gdk_keyval_is_upper (guint keyval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyval_is_upper "<<std::endl;
#endif /* DEBUG */
keyval = (  guint  ) args( 0 ).int_value();
long int ret_type=(long int) gdk_keyval_is_upper ( keyval);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keyval_is_lower , args , , " gboolean gdk_keyval_is_lower (guint keyval); " )
{
guint   keyval ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gdk_keyval_is_lower (guint keyval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyval_is_lower "<<std::endl;
#endif /* DEBUG */
keyval = (  guint  ) args( 0 ).int_value();
long int ret_type=(long int) gdk_keyval_is_lower ( keyval);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_keyval_to_unicode , args , , " guint32 gdk_keyval_to_unicode (guint keyval); " )
{
guint   keyval ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint32 gdk_keyval_to_unicode (guint keyval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_keyval_to_unicode "<<std::endl;
#endif /* DEBUG */
keyval = (  guint  ) args( 0 ).int_value();
long int ret_type=(long int) gdk_keyval_to_unicode ( keyval);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_unicode_to_keyval , args , , " guint gdk_unicode_to_keyval (guint32 wc); " )
{
guint32   wc ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gdk_unicode_to_keyval (guint32 wc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_unicode_to_keyval "<<std::endl;
#endif /* DEBUG */
wc = (  guint32  ) args( 0 ).int_value();
long int ret_type=(long int) gdk_unicode_to_keyval ( wc);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pango_context_get_for_screen , args , , " PangoContext * gdk_pango_context_get_for_screen (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoContext * gdk_pango_context_get_for_screen (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pango_context_get_for_screen "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_pango_context_get_for_screen ( screen);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_pango_context_get , args , , " PangoContext * gdk_pango_context_get (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_pango_context_get "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_pango_context_get ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pango_context_set_colormap , args , , " void gdk_pango_context_set_colormap (PangoContext * context,GdkColormap * colormap); " )
{
PangoContext *   context ;
GdkColormap *   colormap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_pango_context_set_colormap (PangoContext * context,GdkColormap * colormap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pango_context_set_colormap "<<std::endl;
#endif /* DEBUG */
context =( PangoContext * )args( 0 ).long_value();
colormap =( GdkColormap * )args( 1 ).long_value();
gdk_pango_context_set_colormap ( context,colormap);
return octave_value();
}
DEFUN_DLD( gdk_pango_layout_line_get_clip_region , args , , " GdkRegion * gdk_pango_layout_line_get_clip_region (PangoLayoutLine * line,gint x_origin,gint y_origin,gint * index_ranges,gint n_ranges); " )
{
PangoLayoutLine *   line ;
gint   x_origin ;
gint   y_origin ;
gint *   index_ranges ;
gint   n_ranges ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  GdkRegion * gdk_pango_layout_line_get_clip_region (PangoLayoutLine * line,gint x_origin,gint y_origin,gint * index_ranges,gint n_ranges); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pango_layout_line_get_clip_region "<<std::endl;
#endif /* DEBUG */
line =( PangoLayoutLine * )args( 0 ).long_value();
x_origin = (  gint  ) args( 1 ).int_value();
y_origin = (  gint  ) args( 2 ).int_value();
index_ranges =( gint * )args( 3 ).long_value();
n_ranges = (  gint  ) args( 4 ).int_value();
long int ret_type= (long int) gdk_pango_layout_line_get_clip_region ( line,x_origin,y_origin,index_ranges,n_ranges);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pango_layout_get_clip_region , args , , " GdkRegion * gdk_pango_layout_get_clip_region (PangoLayout * layout,gint x_origin,gint y_origin,gint * index_ranges,gint n_ranges); " )
{
PangoLayout *   layout ;
gint   x_origin ;
gint   y_origin ;
gint *   index_ranges ;
gint   n_ranges ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  GdkRegion * gdk_pango_layout_get_clip_region (PangoLayout * layout,gint x_origin,gint y_origin,gint * index_ranges,gint n_ranges); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pango_layout_get_clip_region "<<std::endl;
#endif /* DEBUG */
layout =( PangoLayout * )args( 0 ).long_value();
x_origin = (  gint  ) args( 1 ).int_value();
y_origin = (  gint  ) args( 2 ).int_value();
index_ranges =( gint * )args( 3 ).long_value();
n_ranges = (  gint  ) args( 4 ).int_value();
long int ret_type= (long int) gdk_pango_layout_get_clip_region ( layout,x_origin,y_origin,index_ranges,n_ranges);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pango_attr_stipple_new , args , , " PangoAttribute * gdk_pango_attr_stipple_new (GdkBitmap * stipple); " )
{
GdkBitmap *   stipple ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * gdk_pango_attr_stipple_new (GdkBitmap * stipple); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pango_attr_stipple_new "<<std::endl;
#endif /* DEBUG */
stipple =( GdkBitmap * )args( 0 ).long_value();
long int ret_type= (long int) gdk_pango_attr_stipple_new ( stipple);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pango_attr_embossed_new , args , , " PangoAttribute * gdk_pango_attr_embossed_new (gboolean embossed); " )
{
gboolean   embossed ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttribute * gdk_pango_attr_embossed_new (gboolean embossed); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pango_attr_embossed_new "<<std::endl;
#endif /* DEBUG */
embossed = (  gboolean  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_pango_attr_embossed_new ( embossed);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pixbuf_render_threshold_alpha , args , , " void gdk_pixbuf_render_threshold_alpha (GdkPixbuf * pixbuf,GdkBitmap * bitmap,int src_x,int src_y,int dest_x,int dest_y,int width,int height,int alpha_threshold); " )
{
GdkPixbuf *   pixbuf ;
GdkBitmap *   bitmap ;
int   src_x ;
int   src_y ;
int   dest_x ;
int   dest_y ;
int   width ;
int   height ;
int   alpha_threshold ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gdk_pixbuf_render_threshold_alpha (GdkPixbuf * pixbuf,GdkBitmap * bitmap,int src_x,int src_y,int dest_x,int dest_y,int width,int height,int alpha_threshold); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixbuf_render_threshold_alpha "<<std::endl;
#endif /* DEBUG */
pixbuf =( GdkPixbuf * )args( 0 ).long_value();
bitmap =( GdkBitmap * )args( 1 ).long_value();
src_x = (  int  ) args( 2 ).int_value();
src_y = (  int  ) args( 3 ).int_value();
dest_x = (  int  ) args( 4 ).int_value();
dest_y = (  int  ) args( 5 ).int_value();
width = (  int  ) args( 6 ).int_value();
height = (  int  ) args( 7 ).int_value();
alpha_threshold = (  int  ) args( 8 ).int_value();
gdk_pixbuf_render_threshold_alpha ( pixbuf,bitmap,src_x,src_y,dest_x,dest_y,width,height,alpha_threshold);
return octave_value();
}
DEFUN_DLD( gdk_pixbuf_render_to_drawable , args , , " void gdk_pixbuf_render_to_drawable (GdkPixbuf * pixbuf,GdkDrawable * drawable,GdkGC * gc,int src_x,int src_y,int dest_x,int dest_y,int width,int height,GdkRgbDither dither,int x_dither,int y_dither); " )
{
GdkPixbuf *   pixbuf ;
GdkDrawable *   drawable ;
GdkGC *   gc ;
int   src_x ;
int   src_y ;
int   dest_x ;
int   dest_y ;
int   width ;
int   height ;
GdkRgbDither   dither ;
int   x_dither ;
int   y_dither ;
 if(args.length()!= 12 )
  {
   std::cout<< "eg:  void gdk_pixbuf_render_to_drawable (GdkPixbuf * pixbuf,GdkDrawable * drawable,GdkGC * gc,int src_x,int src_y,int dest_x,int dest_y,int width,int height,GdkRgbDither dither,int x_dither,int y_dither); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixbuf_render_to_drawable "<<std::endl;
#endif /* DEBUG */
pixbuf =( GdkPixbuf * )args( 0 ).long_value();
drawable =( GdkDrawable * )args( 1 ).long_value();
gc =( GdkGC * )args( 2 ).long_value();
src_x = (  int  ) args( 3 ).int_value();
src_y = (  int  ) args( 4 ).int_value();
dest_x = (  int  ) args( 5 ).int_value();
dest_y = (  int  ) args( 6 ).int_value();
width = (  int  ) args( 7 ).int_value();
height = (  int  ) args( 8 ).int_value();
dither = (  GdkRgbDither  ) args( 9 ).long_value();
x_dither = (  int  ) args( 10 ).int_value();
y_dither = (  int  ) args( 11 ).int_value();
gdk_pixbuf_render_to_drawable ( pixbuf,drawable,gc,src_x,src_y,dest_x,dest_y,width,height,dither,x_dither,y_dither);
return octave_value();
}
DEFUN_DLD( gdk_pixbuf_render_to_drawable_alpha , args , , " void gdk_pixbuf_render_to_drawable_alpha (GdkPixbuf * pixbuf,GdkDrawable * drawable,int src_x,int src_y,int dest_x,int dest_y,int width,int height,GdkPixbufAlphaMode alpha_mode,int alpha_threshold,GdkRgbDither dither,int x_dither,int y_dither); " )
{
GdkPixbuf *   pixbuf ;
GdkDrawable *   drawable ;
int   src_x ;
int   src_y ;
int   dest_x ;
int   dest_y ;
int   width ;
int   height ;
GdkPixbufAlphaMode   alpha_mode ;
int   alpha_threshold ;
GdkRgbDither   dither ;
int   x_dither ;
int   y_dither ;
 if(args.length()!= 13 )
  {
   std::cout<< "eg:  void gdk_pixbuf_render_to_drawable_alpha (GdkPixbuf * pixbuf,GdkDrawable * drawable,int src_x,int src_y,int dest_x,int dest_y,int width,int height,GdkPixbufAlphaMode alpha_mode,int alpha_threshold,GdkRgbDither dither,int x_dither,int y_dither); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixbuf_render_to_drawable_alpha "<<std::endl;
#endif /* DEBUG */
pixbuf =( GdkPixbuf * )args( 0 ).long_value();
drawable =( GdkDrawable * )args( 1 ).long_value();
src_x = (  int  ) args( 2 ).int_value();
src_y = (  int  ) args( 3 ).int_value();
dest_x = (  int  ) args( 4 ).int_value();
dest_y = (  int  ) args( 5 ).int_value();
width = (  int  ) args( 6 ).int_value();
height = (  int  ) args( 7 ).int_value();
alpha_mode = (  GdkPixbufAlphaMode  ) args( 8 ).long_value();
alpha_threshold = (  int  ) args( 9 ).int_value();
dither = (  GdkRgbDither  ) args( 10 ).long_value();
x_dither = (  int  ) args( 11 ).int_value();
y_dither = (  int  ) args( 12 ).int_value();
gdk_pixbuf_render_to_drawable_alpha ( pixbuf,drawable,src_x,src_y,dest_x,dest_y,width,height,alpha_mode,alpha_threshold,dither,x_dither,y_dither);
return octave_value();
}
/* overriden: gdk_pixbuf_render_pixmap_and_mask_for_colormap  */
/* overriden: gdk_pixbuf_render_pixmap_and_mask  */
DEFUN_DLD( gdk_pixbuf_get_from_drawable , args , , " GdkPixbuf * gdk_pixbuf_get_from_drawable (GdkPixbuf * dest,GdkDrawable * src,GdkColormap * cmap,int src_x,int src_y,int dest_x,int dest_y,int width,int height); " )
{
GdkPixbuf *   dest ;
GdkDrawable *   src ;
GdkColormap *   cmap ;
int   src_x ;
int   src_y ;
int   dest_x ;
int   dest_y ;
int   width ;
int   height ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  GdkPixbuf * gdk_pixbuf_get_from_drawable (GdkPixbuf * dest,GdkDrawable * src,GdkColormap * cmap,int src_x,int src_y,int dest_x,int dest_y,int width,int height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixbuf_get_from_drawable "<<std::endl;
#endif /* DEBUG */
dest =( GdkPixbuf * )args( 0 ).long_value();
src =( GdkDrawable * )args( 1 ).long_value();
cmap =( GdkColormap * )args( 2 ).long_value();
src_x = (  int  ) args( 3 ).int_value();
src_y = (  int  ) args( 4 ).int_value();
dest_x = (  int  ) args( 5 ).int_value();
dest_y = (  int  ) args( 6 ).int_value();
width = (  int  ) args( 7 ).int_value();
height = (  int  ) args( 8 ).int_value();
long int ret_type= (long int) gdk_pixbuf_get_from_drawable ( dest,src,cmap,src_x,src_y,dest_x,dest_y,width,height);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pixbuf_get_from_image , args , , " GdkPixbuf * gdk_pixbuf_get_from_image (GdkPixbuf * dest,GdkImage * src,GdkColormap * cmap,int src_x,int src_y,int dest_x,int dest_y,int width,int height); " )
{
GdkPixbuf *   dest ;
GdkImage *   src ;
GdkColormap *   cmap ;
int   src_x ;
int   src_y ;
int   dest_x ;
int   dest_y ;
int   width ;
int   height ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  GdkPixbuf * gdk_pixbuf_get_from_image (GdkPixbuf * dest,GdkImage * src,GdkColormap * cmap,int src_x,int src_y,int dest_x,int dest_y,int width,int height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixbuf_get_from_image "<<std::endl;
#endif /* DEBUG */
dest =( GdkPixbuf * )args( 0 ).long_value();
src =( GdkImage * )args( 1 ).long_value();
cmap =( GdkColormap * )args( 2 ).long_value();
src_x = (  int  ) args( 3 ).int_value();
src_y = (  int  ) args( 4 ).int_value();
dest_x = (  int  ) args( 5 ).int_value();
dest_y = (  int  ) args( 6 ).int_value();
width = (  int  ) args( 7 ).int_value();
height = (  int  ) args( 8 ).int_value();
long int ret_type= (long int) gdk_pixbuf_get_from_image ( dest,src,cmap,src_x,src_y,dest_x,dest_y,width,height);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_pixmap_get_type , args , , " GType gdk_pixmap_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_pixmap_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_pixmap_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pixmap_new , args , , " GdkPixmap* gdk_pixmap_new (GdkDrawable * drawable,gint width,gint height,gint depth); " )
{
GdkDrawable *   drawable ;
gint   width ;
gint   height ;
gint   depth ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GdkPixmap* gdk_pixmap_new (GdkDrawable * drawable,gint width,gint height,gint depth); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixmap_new "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
depth = (  gint  ) args( 3 ).int_value();
long int ret_type= (long int) gdk_pixmap_new ( drawable,width,height,depth);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_bitmap_create_from_data , args , , " GdkBitmap* gdk_bitmap_create_from_data (GdkDrawable * drawable,gchar * data,gint width,gint height); " )
{
GdkDrawable *   drawable ;
gchar *   data ;
gint   width ;
gint   height ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GdkBitmap* gdk_bitmap_create_from_data (GdkDrawable * drawable,gchar * data,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_bitmap_create_from_data "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
data = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) data ,args( 1 ).string_value().c_str());
width = (  gint  ) args( 2 ).int_value();
height = (  gint  ) args( 3 ).int_value();
long int ret_type= (long int) gdk_bitmap_create_from_data ( drawable,data,width,height);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pixmap_create_from_data , args , , " GdkPixmap* gdk_pixmap_create_from_data (GdkDrawable * drawable,gchar * data,gint width,gint height,gint depth,GdkColor * fg,GdkColor * bg); " )
{
GdkDrawable *   drawable ;
gchar *   data ;
gint   width ;
gint   height ;
gint   depth ;
GdkColor *   fg ;
GdkColor *   bg ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  GdkPixmap* gdk_pixmap_create_from_data (GdkDrawable * drawable,gchar * data,gint width,gint height,gint depth,GdkColor * fg,GdkColor * bg); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixmap_create_from_data "<<std::endl;
#endif /* DEBUG */
drawable =( GdkDrawable * )args( 0 ).long_value();
data = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) data ,args( 1 ).string_value().c_str());
width = (  gint  ) args( 2 ).int_value();
height = (  gint  ) args( 3 ).int_value();
depth = (  gint  ) args( 4 ).int_value();
fg =( GdkColor * )args( 5 ).long_value();
bg =( GdkColor * )args( 6 ).long_value();
long int ret_type= (long int) gdk_pixmap_create_from_data ( drawable,data,width,height,depth,fg,bg);
return octave_value(ret_type);
}
/* overriden: gdk_pixmap_create_from_xpm  */
/* overriden: gdk_pixmap_colormap_create_from_xpm  */
/* overriden: gdk_pixmap_create_from_xpm_d  */
/* overriden: gdk_pixmap_colormap_create_from_xpm_d  */
DEFUN_DLD( gdk_pixmap_foreign_new , args , , " GdkPixmap* gdk_pixmap_foreign_new (GdkNativeWindow anid); " )
{
GdkNativeWindow   anid ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkPixmap* gdk_pixmap_foreign_new (GdkNativeWindow anid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixmap_foreign_new "<<std::endl;
#endif /* DEBUG */
anid = (  GdkNativeWindow  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_pixmap_foreign_new ( anid);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pixmap_lookup , args , , " GdkPixmap* gdk_pixmap_lookup (GdkNativeWindow anid); " )
{
GdkNativeWindow   anid ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkPixmap* gdk_pixmap_lookup (GdkNativeWindow anid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixmap_lookup "<<std::endl;
#endif /* DEBUG */
anid = (  GdkNativeWindow  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_pixmap_lookup ( anid);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pixmap_foreign_new_for_display , args , , " GdkPixmap* gdk_pixmap_foreign_new_for_display (GdkDisplay * display,GdkNativeWindow anid); " )
{
GdkDisplay *   display ;
GdkNativeWindow   anid ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkPixmap* gdk_pixmap_foreign_new_for_display (GdkDisplay * display,GdkNativeWindow anid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixmap_foreign_new_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
anid = (  GdkNativeWindow  ) args( 1 ).long_value();
long int ret_type= (long int) gdk_pixmap_foreign_new_for_display ( display,anid);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_pixmap_lookup_for_display , args , , " GdkPixmap* gdk_pixmap_lookup_for_display (GdkDisplay * display,GdkNativeWindow anid); " )
{
GdkDisplay *   display ;
GdkNativeWindow   anid ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkPixmap* gdk_pixmap_lookup_for_display (GdkDisplay * display,GdkNativeWindow anid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_pixmap_lookup_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
anid = (  GdkNativeWindow  ) args( 1 ).long_value();
long int ret_type= (long int) gdk_pixmap_lookup_for_display ( display,anid);
return octave_value(ret_type);
}
/* overriden: gdk_window_destroy_notify  */
/* overriden: gdk_synthesize_window_state  */
/* void: zero arguments taken */
DEFUN_DLD( gdk_rgb_init , args , , " void gdk_rgb_init (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_rgb_init "<<std::endl;
#endif /* DEBUG */
gdk_rgb_init ( );
return octave_value();
}
DEFUN_DLD( gdk_rgb_xpixel_from_rgb , args , , " gulong gdk_rgb_xpixel_from_rgb (guint32 rgb); " )
{
guint32   rgb ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gulong gdk_rgb_xpixel_from_rgb (guint32 rgb); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_rgb_xpixel_from_rgb "<<std::endl;
#endif /* DEBUG */
rgb = (  guint32  ) args( 0 ).int_value();
long int ret_type=(long int) gdk_rgb_xpixel_from_rgb ( rgb);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_rgb_gc_set_foreground , args , , " void gdk_rgb_gc_set_foreground (GdkGC * gc,guint32 rgb); " )
{
GdkGC *   gc ;
guint32   rgb ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_rgb_gc_set_foreground (GdkGC * gc,guint32 rgb); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_rgb_gc_set_foreground "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
rgb = (  guint32  ) args( 1 ).int_value();
gdk_rgb_gc_set_foreground ( gc,rgb);
return octave_value();
}
DEFUN_DLD( gdk_rgb_gc_set_background , args , , " void gdk_rgb_gc_set_background (GdkGC * gc,guint32 rgb); " )
{
GdkGC *   gc ;
guint32   rgb ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_rgb_gc_set_background (GdkGC * gc,guint32 rgb); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_rgb_gc_set_background "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
rgb = (  guint32  ) args( 1 ).int_value();
gdk_rgb_gc_set_background ( gc,rgb);
return octave_value();
}
DEFUN_DLD( gdk_rgb_find_color , args , , " void gdk_rgb_find_color (GdkColormap * colormap,GdkColor * color); " )
{
GdkColormap *   colormap ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_rgb_find_color (GdkColormap * colormap,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_rgb_find_color "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gdk_rgb_find_color ( colormap,color);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_screen_get_type , args , , " GType gdk_screen_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_screen_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_screen_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_default_colormap , args , , " GdkColormap * gdk_screen_get_default_colormap (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColormap * gdk_screen_get_default_colormap (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_default_colormap "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_get_default_colormap ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_set_default_colormap , args , , " void gdk_screen_set_default_colormap (GdkScreen * screen,GdkColormap * colormap); " )
{
GdkScreen *   screen ;
GdkColormap *   colormap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_screen_set_default_colormap (GdkScreen * screen,GdkColormap * colormap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_set_default_colormap "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
colormap =( GdkColormap * )args( 1 ).long_value();
gdk_screen_set_default_colormap ( screen,colormap);
return octave_value();
}
DEFUN_DLD( gdk_screen_get_system_colormap , args , , " GdkColormap* gdk_screen_get_system_colormap (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColormap* gdk_screen_get_system_colormap (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_system_colormap "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_get_system_colormap ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_system_visual , args , , " GdkVisual* gdk_screen_get_system_visual (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkVisual* gdk_screen_get_system_visual (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_system_visual "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_get_system_visual ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_rgb_colormap , args , , " GdkColormap * gdk_screen_get_rgb_colormap (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColormap * gdk_screen_get_rgb_colormap (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_rgb_colormap "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_get_rgb_colormap ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_rgb_visual , args , , " GdkVisual * gdk_screen_get_rgb_visual (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkVisual * gdk_screen_get_rgb_visual (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_rgb_visual "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_get_rgb_visual ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_root_window , args , , " GdkWindow * gdk_screen_get_root_window (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow * gdk_screen_get_root_window (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_root_window "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_get_root_window ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_display , args , , " GdkDisplay * gdk_screen_get_display (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDisplay * gdk_screen_get_display (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_display "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_get_display ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_number , args , , " gint gdk_screen_get_number (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_screen_get_number (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_number "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type=(long int) gdk_screen_get_number ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_width , args , , " gint gdk_screen_get_width (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_screen_get_width (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_width "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type=(long int) gdk_screen_get_width ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_height , args , , " gint gdk_screen_get_height (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_screen_get_height (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_height "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type=(long int) gdk_screen_get_height ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_width_mm , args , , " gint gdk_screen_get_width_mm (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_screen_get_width_mm (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_width_mm "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type=(long int) gdk_screen_get_width_mm ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_height_mm , args , , " gint gdk_screen_get_height_mm (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_screen_get_height_mm (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_height_mm "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type=(long int) gdk_screen_get_height_mm ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_list_visuals , args , , " GList * gdk_screen_list_visuals (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList * gdk_screen_list_visuals (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_list_visuals "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_list_visuals ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_toplevel_windows , args , , " GList * gdk_screen_get_toplevel_windows (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList * gdk_screen_get_toplevel_windows (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_toplevel_windows "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gdk_screen_get_toplevel_windows ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_make_display_name , args , , " gchar * gdk_screen_make_display_name (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gdk_screen_make_display_name (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_make_display_name "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
string  ret_type( gdk_screen_make_display_name ( screen));
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_n_monitors , args , , " gint gdk_screen_get_n_monitors (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gdk_screen_get_n_monitors (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_n_monitors "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type=(long int) gdk_screen_get_n_monitors ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_monitor_geometry , args , , " void gdk_screen_get_monitor_geometry (GdkScreen * screen,gint monitor_num,GdkRectangle * dest); " )
{
GdkScreen *   screen ;
gint   monitor_num ;
GdkRectangle *   dest ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_screen_get_monitor_geometry (GdkScreen * screen,gint monitor_num,GdkRectangle * dest); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_monitor_geometry "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
monitor_num = (  gint  ) args( 1 ).int_value();
dest =( GdkRectangle * )args( 2 ).long_value();
gdk_screen_get_monitor_geometry ( screen,monitor_num,dest);
return octave_value();
}
DEFUN_DLD( gdk_screen_get_monitor_at_point , args , , " gint gdk_screen_get_monitor_at_point (GdkScreen * screen,gint x,gint y); " )
{
GdkScreen *   screen ;
gint   x ;
gint   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint gdk_screen_get_monitor_at_point (GdkScreen * screen,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_monitor_at_point "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gdk_screen_get_monitor_at_point ( screen,x,y);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_monitor_at_window , args , , " gint gdk_screen_get_monitor_at_window (GdkScreen * screen,GdkWindow * window); " )
{
GdkScreen *   screen ;
GdkWindow *   window ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gdk_screen_get_monitor_at_window (GdkScreen * screen,GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_monitor_at_window "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
long int ret_type=(long int) gdk_screen_get_monitor_at_window ( screen,window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_broadcast_client_message , args , , " void gdk_screen_broadcast_client_message (GdkScreen * screen,GdkEvent * event); " )
{
GdkScreen *   screen ;
GdkEvent *   event ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_screen_broadcast_client_message (GdkScreen * screen,GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_broadcast_client_message "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
gdk_screen_broadcast_client_message ( screen,event);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_screen_get_default , args , , " GdkScreen * gdk_screen_get_default (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_screen_get_default "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_screen_get_default ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_screen_get_setting , args , , " gboolean gdk_screen_get_setting (GdkScreen * screen,gchar * name,GValue * value); " )
{
GdkScreen *   screen ;
gchar *   name ;
GValue *   value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gdk_screen_get_setting (GdkScreen * screen,gchar * name,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_screen_get_setting "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
value =( GValue * )args( 2 ).long_value();
long int ret_type=(long int) gdk_screen_get_setting ( screen,name,value);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_selection_owner_set , args , , " gboolean gdk_selection_owner_set (GdkWindow * owner,GdkAtom selection,guint32 time_,gboolean send_event); " )
{
GdkWindow *   owner ;
GdkAtom   selection ;
guint32   time_ ;
gboolean   send_event ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gdk_selection_owner_set (GdkWindow * owner,GdkAtom selection,guint32 time_,gboolean send_event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_selection_owner_set "<<std::endl;
#endif /* DEBUG */
owner =( GdkWindow * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
time_ = (  guint32  ) args( 2 ).int_value();
send_event = (  gboolean  ) args( 3 ).long_value();
long int ret_type=(long int) gdk_selection_owner_set ( owner,selection,time_,send_event);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_selection_owner_get , args , , " GdkWindow* gdk_selection_owner_get (GdkAtom selection); " )
{
GdkAtom   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow* gdk_selection_owner_get (GdkAtom selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_selection_owner_get "<<std::endl;
#endif /* DEBUG */
selection = (  GdkAtom  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_selection_owner_get ( selection);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_selection_owner_set_for_display , args , , " gboolean gdk_selection_owner_set_for_display (GdkDisplay * display,GdkWindow * owner,GdkAtom selection,guint32 time_,gboolean send_event); " )
{
GdkDisplay *   display ;
GdkWindow *   owner ;
GdkAtom   selection ;
guint32   time_ ;
gboolean   send_event ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gboolean gdk_selection_owner_set_for_display (GdkDisplay * display,GdkWindow * owner,GdkAtom selection,guint32 time_,gboolean send_event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_selection_owner_set_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
owner =( GdkWindow * )args( 1 ).long_value();
selection = (  GdkAtom  ) args( 2 ).long_value();
time_ = (  guint32  ) args( 3 ).int_value();
send_event = (  gboolean  ) args( 4 ).long_value();
long int ret_type=(long int) gdk_selection_owner_set_for_display ( display,owner,selection,time_,send_event);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_selection_owner_get_for_display , args , , " GdkWindow * gdk_selection_owner_get_for_display (GdkDisplay * display,GdkAtom selection); " )
{
GdkDisplay *   display ;
GdkAtom   selection ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkWindow * gdk_selection_owner_get_for_display (GdkDisplay * display,GdkAtom selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_selection_owner_get_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
long int ret_type= (long int) gdk_selection_owner_get_for_display ( display,selection);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_selection_convert , args , , " void gdk_selection_convert (GdkWindow * requestor,GdkAtom selection,GdkAtom target,guint32 time_); " )
{
GdkWindow *   requestor ;
GdkAtom   selection ;
GdkAtom   target ;
guint32   time_ ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_selection_convert (GdkWindow * requestor,GdkAtom selection,GdkAtom target,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_selection_convert "<<std::endl;
#endif /* DEBUG */
requestor =( GdkWindow * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
target = (  GdkAtom  ) args( 2 ).long_value();
time_ = (  guint32  ) args( 3 ).int_value();
gdk_selection_convert ( requestor,selection,target,time_);
return octave_value();
}
/* overriden: gdk_selection_property_get  */
DEFUN_DLD( gdk_selection_send_notify , args , , " void gdk_selection_send_notify (guint32 requestor,GdkAtom selection,GdkAtom target,GdkAtom property,guint32 time_); " )
{
guint32   requestor ;
GdkAtom   selection ;
GdkAtom   target ;
GdkAtom   property ;
guint32   time_ ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_selection_send_notify (guint32 requestor,GdkAtom selection,GdkAtom target,GdkAtom property,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_selection_send_notify "<<std::endl;
#endif /* DEBUG */
requestor = (  guint32  ) args( 0 ).int_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
target = (  GdkAtom  ) args( 2 ).long_value();
property = (  GdkAtom  ) args( 3 ).long_value();
time_ = (  guint32  ) args( 4 ).int_value();
gdk_selection_send_notify ( requestor,selection,target,property,time_);
return octave_value();
}
DEFUN_DLD( gdk_selection_send_notify_for_display , args , , " void gdk_selection_send_notify_for_display (GdkDisplay * display,guint32 requestor,GdkAtom selection,GdkAtom target,GdkAtom property,guint32 time_); " )
{
GdkDisplay *   display ;
guint32   requestor ;
GdkAtom   selection ;
GdkAtom   target ;
GdkAtom   property ;
guint32   time_ ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gdk_selection_send_notify_for_display (GdkDisplay * display,guint32 requestor,GdkAtom selection,GdkAtom target,GdkAtom property,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_selection_send_notify_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
requestor = (  guint32  ) args( 1 ).int_value();
selection = (  GdkAtom  ) args( 2 ).long_value();
target = (  GdkAtom  ) args( 3 ).long_value();
property = (  GdkAtom  ) args( 4 ).long_value();
time_ = (  guint32  ) args( 5 ).int_value();
gdk_selection_send_notify_for_display ( display,requestor,selection,target,property,time_);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_visual_get_type , args , , " GType gdk_visual_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_visual_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_visual_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_visual_get_best_depth , args , , " gint gdk_visual_get_best_depth (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_visual_get_best_depth "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_visual_get_best_depth ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_visual_get_best_type , args , , " GdkVisualType gdk_visual_get_best_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_visual_get_best_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_visual_get_best_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_visual_get_system , args , , " GdkVisual* gdk_visual_get_system (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_visual_get_system "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_visual_get_system ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_visual_get_best , args , , " GdkVisual* gdk_visual_get_best (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_visual_get_best "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_visual_get_best ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_visual_get_best_with_depth , args , , " GdkVisual* gdk_visual_get_best_with_depth (gint depth); " )
{
gint   depth ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkVisual* gdk_visual_get_best_with_depth (gint depth); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_visual_get_best_with_depth "<<std::endl;
#endif /* DEBUG */
depth = (  gint  ) args( 0 ).int_value();
long int ret_type= (long int) gdk_visual_get_best_with_depth ( depth);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_visual_get_best_with_type , args , , " GdkVisual* gdk_visual_get_best_with_type (GdkVisualType visual_type); " )
{
GdkVisualType   visual_type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkVisual* gdk_visual_get_best_with_type (GdkVisualType visual_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_visual_get_best_with_type "<<std::endl;
#endif /* DEBUG */
visual_type = (  GdkVisualType  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_visual_get_best_with_type ( visual_type);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_visual_get_best_with_both , args , , " GdkVisual* gdk_visual_get_best_with_both (gint depth,GdkVisualType visual_type); " )
{
gint   depth ;
GdkVisualType   visual_type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkVisual* gdk_visual_get_best_with_both (gint depth,GdkVisualType visual_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_visual_get_best_with_both "<<std::endl;
#endif /* DEBUG */
depth = (  gint  ) args( 0 ).int_value();
visual_type = (  GdkVisualType  ) args( 1 ).long_value();
long int ret_type= (long int) gdk_visual_get_best_with_both ( depth,visual_type);
return octave_value(ret_type);
}
/* overriden: gdk_query_depths  */
/* overriden: gdk_query_visual_types  */
/* void: zero arguments taken */
DEFUN_DLD( gdk_list_visuals , args , , " GList* gdk_list_visuals (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_list_visuals "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_list_visuals ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_visual_get_screen , args , , " GdkScreen * gdk_visual_get_screen (GdkVisual * visual); " )
{
GdkVisual *   visual ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen * gdk_visual_get_screen (GdkVisual * visual); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_visual_get_screen "<<std::endl;
#endif /* DEBUG */
visual =( GdkVisual * )args( 0 ).long_value();
long int ret_type= (long int) gdk_visual_get_screen ( visual);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_object_get_type , args , , " GType gdk_window_object_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_object_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gdk_window_object_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_new , args , , " GdkWindow* gdk_window_new (GdkWindow * parent,GdkWindowAttr * attributes,gint attributes_mask); " )
{
GdkWindow *   parent ;
GdkWindowAttr *   attributes ;
gint   attributes_mask ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GdkWindow* gdk_window_new (GdkWindow * parent,GdkWindowAttr * attributes,gint attributes_mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_new "<<std::endl;
#endif /* DEBUG */
parent =( GdkWindow * )args( 0 ).long_value();
attributes =( GdkWindowAttr * )args( 1 ).long_value();
attributes_mask = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) gdk_window_new ( parent,attributes,attributes_mask);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_destroy , args , , " void gdk_window_destroy (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_destroy (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_destroy "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_destroy ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_get_window_type , args , , " GdkWindowType gdk_window_get_window_type (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindowType gdk_window_get_window_type (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_window_type "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gdk_window_get_window_type ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_at_pointer , args , , " GdkWindow* gdk_window_at_pointer (gint * win_x,gint * win_y); " )
{
gint *   win_x ;
gint *   win_y ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkWindow* gdk_window_at_pointer (gint * win_x,gint * win_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_at_pointer "<<std::endl;
#endif /* DEBUG */
win_x =( gint * )args( 0 ).long_value();
win_y =( gint * )args( 1 ).long_value();
long int ret_type= (long int) gdk_window_at_pointer ( win_x,win_y);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_show , args , , " void gdk_window_show (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_show (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_show "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_show ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_hide , args , , " void gdk_window_hide (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_hide (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_hide "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_hide ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_withdraw , args , , " void gdk_window_withdraw (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_withdraw (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_withdraw "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_withdraw ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_show_unraised , args , , " void gdk_window_show_unraised (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_show_unraised (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_show_unraised "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_show_unraised ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_move , args , , " void gdk_window_move (GdkWindow * window,gint x,gint y); " )
{
GdkWindow *   window ;
gint   x ;
gint   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_move (GdkWindow * window,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_move "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
gdk_window_move ( window,x,y);
return octave_value();
}
DEFUN_DLD( gdk_window_resize , args , , " void gdk_window_resize (GdkWindow * window,gint width,gint height); " )
{
GdkWindow *   window ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_resize (GdkWindow * window,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_resize "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
gdk_window_resize ( window,width,height);
return octave_value();
}
DEFUN_DLD( gdk_window_move_resize , args , , " void gdk_window_move_resize (GdkWindow * window,gint x,gint y,gint width,gint height); " )
{
GdkWindow *   window ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_window_move_resize (GdkWindow * window,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_move_resize "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
width = (  gint  ) args( 3 ).int_value();
height = (  gint  ) args( 4 ).int_value();
gdk_window_move_resize ( window,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gdk_window_reparent , args , , " void gdk_window_reparent (GdkWindow * window,GdkWindow * new_parent,gint x,gint y); " )
{
GdkWindow *   window ;
GdkWindow *   new_parent ;
gint   x ;
gint   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_window_reparent (GdkWindow * window,GdkWindow * new_parent,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_reparent "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
new_parent =( GdkWindow * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
gdk_window_reparent ( window,new_parent,x,y);
return octave_value();
}
DEFUN_DLD( gdk_window_clear , args , , " void gdk_window_clear (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_clear (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_clear "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_clear ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_clear_area , args , , " void gdk_window_clear_area (GdkWindow * window,gint x,gint y,gint width,gint height); " )
{
GdkWindow *   window ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_window_clear_area (GdkWindow * window,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_clear_area "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
width = (  gint  ) args( 3 ).int_value();
height = (  gint  ) args( 4 ).int_value();
gdk_window_clear_area ( window,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gdk_window_clear_area_e , args , , " void gdk_window_clear_area_e (GdkWindow * window,gint x,gint y,gint width,gint height); " )
{
GdkWindow *   window ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_window_clear_area_e (GdkWindow * window,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_clear_area_e "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
width = (  gint  ) args( 3 ).int_value();
height = (  gint  ) args( 4 ).int_value();
gdk_window_clear_area_e ( window,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gdk_window_raise , args , , " void gdk_window_raise (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_raise (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_raise "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_raise ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_lower , args , , " void gdk_window_lower (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_lower (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_lower "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_lower ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_focus , args , , " void gdk_window_focus (GdkWindow * window,guint32 timestamp); " )
{
GdkWindow *   window ;
guint32   timestamp ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_focus (GdkWindow * window,guint32 timestamp); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_focus "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
timestamp = (  guint32  ) args( 1 ).int_value();
gdk_window_focus ( window,timestamp);
return octave_value();
}
DEFUN_DLD( gdk_window_set_user_data , args , , " void gdk_window_set_user_data (GdkWindow * window,gpointer user_data); " )
{
GdkWindow *   window ;
gpointer   user_data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_user_data (GdkWindow * window,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_user_data "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
user_data =( gpointer )args( 1 ).long_value();
gdk_window_set_user_data ( window,user_data);
return octave_value();
}
DEFUN_DLD( gdk_window_set_override_redirect , args , , " void gdk_window_set_override_redirect (GdkWindow * window,gboolean override_redirect); " )
{
GdkWindow *   window ;
gboolean   override_redirect ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_override_redirect (GdkWindow * window,gboolean override_redirect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_override_redirect "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
override_redirect = (  gboolean  ) args( 1 ).long_value();
gdk_window_set_override_redirect ( window,override_redirect);
return octave_value();
}
DEFUN_DLD( gdk_window_add_filter , args , , " void gdk_window_add_filter (GdkWindow * window,GdkFilterFunc function,gpointer data); " )
{
GdkWindow *   window ;
GdkFilterFunc   function ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_add_filter (GdkWindow * window,GdkFilterFunc function,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_add_filter "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
function = (  GdkFilterFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gdk_window_add_filter ( window,function,data);
return octave_value();
}
DEFUN_DLD( gdk_window_remove_filter , args , , " void gdk_window_remove_filter (GdkWindow * window,GdkFilterFunc function,gpointer data); " )
{
GdkWindow *   window ;
GdkFilterFunc   function ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_remove_filter (GdkWindow * window,GdkFilterFunc function,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_remove_filter "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
function = (  GdkFilterFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gdk_window_remove_filter ( window,function,data);
return octave_value();
}
DEFUN_DLD( gdk_window_scroll , args , , " void gdk_window_scroll (GdkWindow * window,gint dx,gint dy); " )
{
GdkWindow *   window ;
gint   dx ;
gint   dy ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_scroll (GdkWindow * window,gint dx,gint dy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_scroll "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
dx = (  gint  ) args( 1 ).int_value();
dy = (  gint  ) args( 2 ).int_value();
gdk_window_scroll ( window,dx,dy);
return octave_value();
}
DEFUN_DLD( gdk_window_shape_combine_mask , args , , " void gdk_window_shape_combine_mask (GdkWindow * window,GdkBitmap * mask,gint x,gint y); " )
{
GdkWindow *   window ;
GdkBitmap *   mask ;
gint   x ;
gint   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_window_shape_combine_mask (GdkWindow * window,GdkBitmap * mask,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_shape_combine_mask "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
mask =( GdkBitmap * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
gdk_window_shape_combine_mask ( window,mask,x,y);
return octave_value();
}
DEFUN_DLD( gdk_window_shape_combine_region , args , , " void gdk_window_shape_combine_region (GdkWindow * window,GdkRegion * shape_region,gint offset_x,gint offset_y); " )
{
GdkWindow *   window ;
GdkRegion *   shape_region ;
gint   offset_x ;
gint   offset_y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_window_shape_combine_region (GdkWindow * window,GdkRegion * shape_region,gint offset_x,gint offset_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_shape_combine_region "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
shape_region =( GdkRegion * )args( 1 ).long_value();
offset_x = (  gint  ) args( 2 ).int_value();
offset_y = (  gint  ) args( 3 ).int_value();
gdk_window_shape_combine_region ( window,shape_region,offset_x,offset_y);
return octave_value();
}
DEFUN_DLD( gdk_window_set_child_shapes , args , , " void gdk_window_set_child_shapes (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_set_child_shapes (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_child_shapes "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_set_child_shapes ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_merge_child_shapes , args , , " void gdk_window_merge_child_shapes (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_merge_child_shapes (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_merge_child_shapes "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_merge_child_shapes ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_is_visible , args , , " gboolean gdk_window_is_visible (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gdk_window_is_visible (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_is_visible "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gdk_window_is_visible ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_is_viewable , args , , " gboolean gdk_window_is_viewable (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gdk_window_is_viewable (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_is_viewable "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gdk_window_is_viewable ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_get_state , args , , " GdkWindowState gdk_window_get_state (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindowState gdk_window_get_state (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_state "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gdk_window_get_state ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_set_static_gravities , args , , " gboolean gdk_window_set_static_gravities (GdkWindow * window,gboolean use_static); " )
{
GdkWindow *   window ;
gboolean   use_static ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gdk_window_set_static_gravities (GdkWindow * window,gboolean use_static); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_static_gravities "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
use_static = (  gboolean  ) args( 1 ).long_value();
long int ret_type=(long int) gdk_window_set_static_gravities ( window,use_static);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_foreign_new , args , , " GdkWindow* gdk_window_foreign_new (GdkNativeWindow anid); " )
{
GdkNativeWindow   anid ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow* gdk_window_foreign_new (GdkNativeWindow anid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_foreign_new "<<std::endl;
#endif /* DEBUG */
anid = (  GdkNativeWindow  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_window_foreign_new ( anid);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_lookup , args , , " GdkWindow* gdk_window_lookup (GdkNativeWindow anid); " )
{
GdkNativeWindow   anid ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow* gdk_window_lookup (GdkNativeWindow anid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_lookup "<<std::endl;
#endif /* DEBUG */
anid = (  GdkNativeWindow  ) args( 0 ).long_value();
long int ret_type= (long int) gdk_window_lookup ( anid);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_foreign_new_for_display , args , , " GdkWindow * gdk_window_foreign_new_for_display (GdkDisplay * display,GdkNativeWindow anid); " )
{
GdkDisplay *   display ;
GdkNativeWindow   anid ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkWindow * gdk_window_foreign_new_for_display (GdkDisplay * display,GdkNativeWindow anid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_foreign_new_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
anid = (  GdkNativeWindow  ) args( 1 ).long_value();
long int ret_type= (long int) gdk_window_foreign_new_for_display ( display,anid);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_lookup_for_display , args , , " GdkWindow* gdk_window_lookup_for_display (GdkDisplay * display,GdkNativeWindow anid); " )
{
GdkDisplay *   display ;
GdkNativeWindow   anid ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkWindow* gdk_window_lookup_for_display (GdkDisplay * display,GdkNativeWindow anid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_lookup_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
anid = (  GdkNativeWindow  ) args( 1 ).long_value();
long int ret_type= (long int) gdk_window_lookup_for_display ( display,anid);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_set_hints , args , , " void gdk_window_set_hints (GdkWindow * window,gint x,gint y,gint min_width,gint min_height,gint max_width,gint max_height,gint flags); " )
{
GdkWindow *   window ;
gint   x ;
gint   y ;
gint   min_width ;
gint   min_height ;
gint   max_width ;
gint   max_height ;
gint   flags ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gdk_window_set_hints (GdkWindow * window,gint x,gint y,gint min_width,gint min_height,gint max_width,gint max_height,gint flags); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_hints "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
min_width = (  gint  ) args( 3 ).int_value();
min_height = (  gint  ) args( 4 ).int_value();
max_width = (  gint  ) args( 5 ).int_value();
max_height = (  gint  ) args( 6 ).int_value();
flags = (  gint  ) args( 7 ).int_value();
gdk_window_set_hints ( window,x,y,min_width,min_height,max_width,max_height,flags);
return octave_value();
}
DEFUN_DLD( gdk_window_set_type_hint , args , , " void gdk_window_set_type_hint (GdkWindow * window,GdkWindowTypeHint hint); " )
{
GdkWindow *   window ;
GdkWindowTypeHint   hint ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_type_hint (GdkWindow * window,GdkWindowTypeHint hint); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_type_hint "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
hint = (  GdkWindowTypeHint  ) args( 1 ).int_value();
gdk_window_set_type_hint ( window,hint);
return octave_value();
}
DEFUN_DLD( gdk_window_set_modal_hint , args , , " void gdk_window_set_modal_hint (GdkWindow * window,gboolean modal); " )
{
GdkWindow *   window ;
gboolean   modal ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_modal_hint (GdkWindow * window,gboolean modal); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_modal_hint "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
modal = (  gboolean  ) args( 1 ).long_value();
gdk_window_set_modal_hint ( window,modal);
return octave_value();
}
DEFUN_DLD( gdk_window_set_skip_taskbar_hint , args , , " void gdk_window_set_skip_taskbar_hint (GdkWindow * window,gboolean skips_taskbar); " )
{
GdkWindow *   window ;
gboolean   skips_taskbar ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_skip_taskbar_hint (GdkWindow * window,gboolean skips_taskbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_skip_taskbar_hint "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
skips_taskbar = (  gboolean  ) args( 1 ).long_value();
gdk_window_set_skip_taskbar_hint ( window,skips_taskbar);
return octave_value();
}
DEFUN_DLD( gdk_window_set_skip_pager_hint , args , , " void gdk_window_set_skip_pager_hint (GdkWindow * window,gboolean skips_pager); " )
{
GdkWindow *   window ;
gboolean   skips_pager ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_skip_pager_hint (GdkWindow * window,gboolean skips_pager); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_skip_pager_hint "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
skips_pager = (  gboolean  ) args( 1 ).long_value();
gdk_window_set_skip_pager_hint ( window,skips_pager);
return octave_value();
}
DEFUN_DLD( gdk_window_set_geometry_hints , args , , " void gdk_window_set_geometry_hints (GdkWindow * window,GdkGeometry * geometry,GdkWindowHints geom_mask); " )
{
GdkWindow *   window ;
GdkGeometry *   geometry ;
GdkWindowHints   geom_mask ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_set_geometry_hints (GdkWindow * window,GdkGeometry * geometry,GdkWindowHints geom_mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_geometry_hints "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
geometry =( GdkGeometry * )args( 1 ).long_value();
geom_mask = (  GdkWindowHints  ) args( 2 ).int_value();
gdk_window_set_geometry_hints ( window,geometry,geom_mask);
return octave_value();
}
DEFUN_DLD( gdk_set_sm_client_id , args , , " void gdk_set_sm_client_id (gchar * sm_client_id); " )
{
gchar *   sm_client_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_set_sm_client_id (gchar * sm_client_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_set_sm_client_id "<<std::endl;
#endif /* DEBUG */
sm_client_id = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) sm_client_id ,args( 0 ).string_value().c_str());
gdk_set_sm_client_id ( sm_client_id);
return octave_value();
}
DEFUN_DLD( gdk_window_begin_paint_rect , args , , " void gdk_window_begin_paint_rect (GdkWindow * window,GdkRectangle * rectangle); " )
{
GdkWindow *   window ;
GdkRectangle *   rectangle ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_begin_paint_rect (GdkWindow * window,GdkRectangle * rectangle); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_begin_paint_rect "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
rectangle =( GdkRectangle * )args( 1 ).long_value();
gdk_window_begin_paint_rect ( window,rectangle);
return octave_value();
}
DEFUN_DLD( gdk_window_begin_paint_region , args , , " void gdk_window_begin_paint_region (GdkWindow * window,GdkRegion * region); " )
{
GdkWindow *   window ;
GdkRegion *   region ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_begin_paint_region (GdkWindow * window,GdkRegion * region); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_begin_paint_region "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
region =( GdkRegion * )args( 1 ).long_value();
gdk_window_begin_paint_region ( window,region);
return octave_value();
}
DEFUN_DLD( gdk_window_end_paint , args , , " void gdk_window_end_paint (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_end_paint (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_end_paint "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_end_paint ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_set_title , args , , " void gdk_window_set_title (GdkWindow * window,gchar * title); " )
{
GdkWindow *   window ;
gchar *   title ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_title (GdkWindow * window,gchar * title); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_title "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
title = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) title ,args( 1 ).string_value().c_str());
gdk_window_set_title ( window,title);
return octave_value();
}
DEFUN_DLD( gdk_window_set_role , args , , " void gdk_window_set_role (GdkWindow * window,gchar * role); " )
{
GdkWindow *   window ;
gchar *   role ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_role (GdkWindow * window,gchar * role); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_role "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
role = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) role ,args( 1 ).string_value().c_str());
gdk_window_set_role ( window,role);
return octave_value();
}
DEFUN_DLD( gdk_window_set_transient_for , args , , " void gdk_window_set_transient_for (GdkWindow * window,GdkWindow * parent); " )
{
GdkWindow *   window ;
GdkWindow *   parent ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_transient_for (GdkWindow * window,GdkWindow * parent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_transient_for "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
parent =( GdkWindow * )args( 1 ).long_value();
gdk_window_set_transient_for ( window,parent);
return octave_value();
}
DEFUN_DLD( gdk_window_set_background , args , , " void gdk_window_set_background (GdkWindow * window,GdkColor * color); " )
{
GdkWindow *   window ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_background (GdkWindow * window,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_background "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gdk_window_set_background ( window,color);
return octave_value();
}
DEFUN_DLD( gdk_window_set_back_pixmap , args , , " void gdk_window_set_back_pixmap (GdkWindow * window,GdkPixmap * pixmap,gboolean parent_relative); " )
{
GdkWindow *   window ;
GdkPixmap *   pixmap ;
gboolean   parent_relative ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_set_back_pixmap (GdkWindow * window,GdkPixmap * pixmap,gboolean parent_relative); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_back_pixmap "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
pixmap =( GdkPixmap * )args( 1 ).long_value();
parent_relative = (  gboolean  ) args( 2 ).long_value();
gdk_window_set_back_pixmap ( window,pixmap,parent_relative);
return octave_value();
}
DEFUN_DLD( gdk_window_set_cursor , args , , " void gdk_window_set_cursor (GdkWindow * window,GdkCursor * cursor); " )
{
GdkWindow *   window ;
GdkCursor *   cursor ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_cursor (GdkWindow * window,GdkCursor * cursor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_cursor "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
cursor =( GdkCursor * )args( 1 ).long_value();
gdk_window_set_cursor ( window,cursor);
return octave_value();
}
DEFUN_DLD( gdk_window_get_user_data , args , , " void gdk_window_get_user_data (GdkWindow * window,gpointer * data); " )
{
GdkWindow *   window ;
gpointer *   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_get_user_data (GdkWindow * window,gpointer * data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_user_data "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
data =( gpointer * )args( 1 ).long_value();
gdk_window_get_user_data ( window,data);
return octave_value();
}
DEFUN_DLD( gdk_window_get_geometry , args , , " void gdk_window_get_geometry (GdkWindow * window,gint * x,gint * y,gint * width,gint * height,gint * depth); " )
{
GdkWindow *   window ;
gint *   x ;
gint *   y ;
gint *   width ;
gint *   height ;
gint *   depth ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gdk_window_get_geometry (GdkWindow * window,gint * x,gint * y,gint * width,gint * height,gint * depth); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_geometry "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
width =( gint * )args( 3 ).long_value();
height =( gint * )args( 4 ).long_value();
depth =( gint * )args( 5 ).long_value();
gdk_window_get_geometry ( window,x,y,width,height,depth);
return octave_value();
}
DEFUN_DLD( gdk_window_get_position , args , , " void gdk_window_get_position (GdkWindow * window,gint * x,gint * y); " )
{
GdkWindow *   window ;
gint *   x ;
gint *   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_get_position (GdkWindow * window,gint * x,gint * y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_position "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
gdk_window_get_position ( window,x,y);
return octave_value();
}
DEFUN_DLD( gdk_window_get_origin , args , , " gint gdk_window_get_origin (GdkWindow * window,gint * x,gint * y); " )
{
GdkWindow *   window ;
gint *   x ;
gint *   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint gdk_window_get_origin (GdkWindow * window,gint * x,gint * y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_origin "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
long int ret_type=(long int) gdk_window_get_origin ( window,x,y);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_get_deskrelative_origin , args , , " gboolean gdk_window_get_deskrelative_origin (GdkWindow * window,gint * x,gint * y); " )
{
GdkWindow *   window ;
gint *   x ;
gint *   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gdk_window_get_deskrelative_origin (GdkWindow * window,gint * x,gint * y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_deskrelative_origin "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
long int ret_type=(long int) gdk_window_get_deskrelative_origin ( window,x,y);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_get_root_origin , args , , " void gdk_window_get_root_origin (GdkWindow * window,gint * x,gint * y); " )
{
GdkWindow *   window ;
gint *   x ;
gint *   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_get_root_origin (GdkWindow * window,gint * x,gint * y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_root_origin "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
gdk_window_get_root_origin ( window,x,y);
return octave_value();
}
DEFUN_DLD( gdk_window_get_frame_extents , args , , " void gdk_window_get_frame_extents (GdkWindow * window,GdkRectangle * rect); " )
{
GdkWindow *   window ;
GdkRectangle *   rect ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_get_frame_extents (GdkWindow * window,GdkRectangle * rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_frame_extents "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
rect =( GdkRectangle * )args( 1 ).long_value();
gdk_window_get_frame_extents ( window,rect);
return octave_value();
}
DEFUN_DLD( gdk_window_get_pointer , args , , " GdkWindow* gdk_window_get_pointer (GdkWindow * window,gint * x,gint * y,GdkModifierType * mask); " )
{
GdkWindow *   window ;
gint *   x ;
gint *   y ;
GdkModifierType *   mask ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GdkWindow* gdk_window_get_pointer (GdkWindow * window,gint * x,gint * y,GdkModifierType * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_pointer "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
mask =( GdkModifierType * )args( 3 ).long_value();
long int ret_type= (long int) gdk_window_get_pointer ( window,x,y,mask);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_get_parent , args , , " GdkWindow * gdk_window_get_parent (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow * gdk_window_get_parent (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_parent "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gdk_window_get_parent ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_get_toplevel , args , , " GdkWindow * gdk_window_get_toplevel (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow * gdk_window_get_toplevel (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_toplevel "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gdk_window_get_toplevel ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_get_children , args , , " GList * gdk_window_get_children (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList * gdk_window_get_children (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_children "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gdk_window_get_children ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_peek_children , args , , " GList * gdk_window_peek_children (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList * gdk_window_peek_children (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_peek_children "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gdk_window_peek_children ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_get_events , args , , " GdkEventMask gdk_window_get_events (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkEventMask gdk_window_get_events (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_events "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gdk_window_get_events ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_set_events , args , , " void gdk_window_set_events (GdkWindow * window,GdkEventMask event_mask); " )
{
GdkWindow *   window ;
GdkEventMask   event_mask ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_events (GdkWindow * window,GdkEventMask event_mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_events "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
event_mask = (  GdkEventMask  ) args( 1 ).long_value();
gdk_window_set_events ( window,event_mask);
return octave_value();
}
DEFUN_DLD( gdk_window_set_icon_list , args , , " void gdk_window_set_icon_list (GdkWindow * window,GList * pixbufs); " )
{
GdkWindow *   window ;
GList *   pixbufs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_icon_list (GdkWindow * window,GList * pixbufs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_icon_list "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
pixbufs =( GList * )args( 1 ).long_value();
gdk_window_set_icon_list ( window,pixbufs);
return octave_value();
}
DEFUN_DLD( gdk_window_set_icon , args , , " void gdk_window_set_icon (GdkWindow * window,GdkWindow * icon_window,GdkPixmap * pixmap,GdkBitmap * mask); " )
{
GdkWindow *   window ;
GdkWindow *   icon_window ;
GdkPixmap *   pixmap ;
GdkBitmap *   mask ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gdk_window_set_icon (GdkWindow * window,GdkWindow * icon_window,GdkPixmap * pixmap,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_icon "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
icon_window =( GdkWindow * )args( 1 ).long_value();
pixmap =( GdkPixmap * )args( 2 ).long_value();
mask =( GdkBitmap * )args( 3 ).long_value();
gdk_window_set_icon ( window,icon_window,pixmap,mask);
return octave_value();
}
DEFUN_DLD( gdk_window_set_icon_name , args , , " void gdk_window_set_icon_name (GdkWindow * window,gchar * name); " )
{
GdkWindow *   window ;
gchar *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_icon_name (GdkWindow * window,gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_icon_name "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
gdk_window_set_icon_name ( window,name);
return octave_value();
}
DEFUN_DLD( gdk_window_set_group , args , , " void gdk_window_set_group (GdkWindow * window,GdkWindow * leader); " )
{
GdkWindow *   window ;
GdkWindow *   leader ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_group (GdkWindow * window,GdkWindow * leader); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_group "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
leader =( GdkWindow * )args( 1 ).long_value();
gdk_window_set_group ( window,leader);
return octave_value();
}
DEFUN_DLD( gdk_window_set_decorations , args , , " void gdk_window_set_decorations (GdkWindow * window,GdkWMDecoration decorations); " )
{
GdkWindow *   window ;
GdkWMDecoration   decorations ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_decorations (GdkWindow * window,GdkWMDecoration decorations); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_decorations "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
decorations = (  GdkWMDecoration  ) args( 1 ).long_value();
gdk_window_set_decorations ( window,decorations);
return octave_value();
}
DEFUN_DLD( gdk_window_get_decorations , args , , " gboolean gdk_window_get_decorations (GdkWindow * window,GdkWMDecoration * decorations); " )
{
GdkWindow *   window ;
GdkWMDecoration *   decorations ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gdk_window_get_decorations (GdkWindow * window,GdkWMDecoration * decorations); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_decorations "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
decorations =( GdkWMDecoration * )args( 1 ).long_value();
long int ret_type=(long int) gdk_window_get_decorations ( window,decorations);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_set_functions , args , , " void gdk_window_set_functions (GdkWindow * window,GdkWMFunction functions); " )
{
GdkWindow *   window ;
GdkWMFunction   functions ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_set_functions (GdkWindow * window,GdkWMFunction functions); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_functions "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
functions = (  GdkWMFunction  ) args( 1 ).long_value();
gdk_window_set_functions ( window,functions);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_get_toplevels , args , , " GList * gdk_window_get_toplevels (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_get_toplevels "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_window_get_toplevels ( );
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_iconify , args , , " void gdk_window_iconify (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_iconify (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_iconify "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_iconify ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_deiconify , args , , " void gdk_window_deiconify (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_deiconify (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_deiconify "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_deiconify ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_stick , args , , " void gdk_window_stick (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_stick (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_stick "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_stick ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_unstick , args , , " void gdk_window_unstick (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_unstick (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_unstick "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_unstick ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_maximize , args , , " void gdk_window_maximize (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_maximize (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_maximize "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_maximize ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_unmaximize , args , , " void gdk_window_unmaximize (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_unmaximize (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_unmaximize "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_unmaximize ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_fullscreen , args , , " void gdk_window_fullscreen (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_fullscreen (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_fullscreen "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_fullscreen ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_unfullscreen , args , , " void gdk_window_unfullscreen (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_unfullscreen (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_unfullscreen "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_unfullscreen ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_register_dnd , args , , " void gdk_window_register_dnd (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_register_dnd (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_register_dnd "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_register_dnd ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_begin_resize_drag , args , , " void gdk_window_begin_resize_drag (GdkWindow * window,GdkWindowEdge edge,gint button,gint root_x,gint root_y,guint32 timestamp); " )
{
GdkWindow *   window ;
GdkWindowEdge   edge ;
gint   button ;
gint   root_x ;
gint   root_y ;
guint32   timestamp ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gdk_window_begin_resize_drag (GdkWindow * window,GdkWindowEdge edge,gint button,gint root_x,gint root_y,guint32 timestamp); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_begin_resize_drag "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
edge = (  GdkWindowEdge  ) args( 1 ).long_value();
button = (  gint  ) args( 2 ).int_value();
root_x = (  gint  ) args( 3 ).int_value();
root_y = (  gint  ) args( 4 ).int_value();
timestamp = (  guint32  ) args( 5 ).int_value();
gdk_window_begin_resize_drag ( window,edge,button,root_x,root_y,timestamp);
return octave_value();
}
DEFUN_DLD( gdk_window_begin_move_drag , args , , " void gdk_window_begin_move_drag (GdkWindow * window,gint button,gint root_x,gint root_y,guint32 timestamp); " )
{
GdkWindow *   window ;
gint   button ;
gint   root_x ;
gint   root_y ;
guint32   timestamp ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gdk_window_begin_move_drag (GdkWindow * window,gint button,gint root_x,gint root_y,guint32 timestamp); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_begin_move_drag "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
button = (  gint  ) args( 1 ).int_value();
root_x = (  gint  ) args( 2 ).int_value();
root_y = (  gint  ) args( 3 ).int_value();
timestamp = (  guint32  ) args( 4 ).int_value();
gdk_window_begin_move_drag ( window,button,root_x,root_y,timestamp);
return octave_value();
}
DEFUN_DLD( gdk_window_invalidate_rect , args , , " void gdk_window_invalidate_rect (GdkWindow * window,GdkRectangle * rect,gboolean invalidate_children); " )
{
GdkWindow *   window ;
GdkRectangle *   rect ;
gboolean   invalidate_children ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_invalidate_rect (GdkWindow * window,GdkRectangle * rect,gboolean invalidate_children); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_invalidate_rect "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
rect =( GdkRectangle * )args( 1 ).long_value();
invalidate_children = (  gboolean  ) args( 2 ).long_value();
gdk_window_invalidate_rect ( window,rect,invalidate_children);
return octave_value();
}
DEFUN_DLD( gdk_window_invalidate_region , args , , " void gdk_window_invalidate_region (GdkWindow * window,GdkRegion * region,gboolean invalidate_children); " )
{
GdkWindow *   window ;
GdkRegion *   region ;
gboolean   invalidate_children ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gdk_window_invalidate_region (GdkWindow * window,GdkRegion * region,gboolean invalidate_children); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_invalidate_region "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
region =( GdkRegion * )args( 1 ).long_value();
invalidate_children = (  gboolean  ) args( 2 ).long_value();
gdk_window_invalidate_region ( window,region,invalidate_children);
return octave_value();
}
/* overriden: gdk_window_invalidate_maybe_recurse  */
DEFUN_DLD( gdk_window_get_update_area , args , , " GdkRegion * gdk_window_get_update_area (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkRegion * gdk_window_get_update_area (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_get_update_area "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gdk_window_get_update_area ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gdk_window_freeze_updates , args , , " void gdk_window_freeze_updates (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_freeze_updates (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_freeze_updates "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_freeze_updates ( window);
return octave_value();
}
DEFUN_DLD( gdk_window_thaw_updates , args , , " void gdk_window_thaw_updates (GdkWindow * window); " )
{
GdkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_thaw_updates (GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_thaw_updates "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
gdk_window_thaw_updates ( window);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_window_process_all_updates , args , , " void gdk_window_process_all_updates (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_window_process_all_updates "<<std::endl;
#endif /* DEBUG */
gdk_window_process_all_updates ( );
return octave_value();
}
DEFUN_DLD( gdk_window_process_updates , args , , " void gdk_window_process_updates (GdkWindow * window,gboolean update_children); " )
{
GdkWindow *   window ;
gboolean   update_children ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gdk_window_process_updates (GdkWindow * window,gboolean update_children); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_process_updates "<<std::endl;
#endif /* DEBUG */
window =( GdkWindow * )args( 0 ).long_value();
update_children = (  gboolean  ) args( 1 ).long_value();
gdk_window_process_updates ( window,update_children);
return octave_value();
}
DEFUN_DLD( gdk_window_set_debug_updates , args , , " void gdk_window_set_debug_updates (gboolean setting); " )
{
gboolean   setting ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gdk_window_set_debug_updates (gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_set_debug_updates "<<std::endl;
#endif /* DEBUG */
setting = (  gboolean  ) args( 0 ).long_value();
gdk_window_set_debug_updates ( setting);
return octave_value();
}
DEFUN_DLD( gdk_window_constrain_size , args , , " void gdk_window_constrain_size (GdkGeometry * geometry,guint flags,gint width,gint height,gint * new_width,gint * new_height); " )
{
GdkGeometry *   geometry ;
guint   flags ;
gint   width ;
gint   height ;
gint *   new_width ;
gint *   new_height ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gdk_window_constrain_size (GdkGeometry * geometry,guint flags,gint width,gint height,gint * new_width,gint * new_height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_window_constrain_size "<<std::endl;
#endif /* DEBUG */
geometry =( GdkGeometry * )args( 0 ).long_value();
flags = (  guint  ) args( 1 ).int_value();
width = (  gint  ) args( 2 ).int_value();
height = (  gint  ) args( 3 ).int_value();
new_width =( gint * )args( 4 ).long_value();
new_height =( gint * )args( 5 ).long_value();
gdk_window_constrain_size ( geometry,flags,width,height,new_width,new_height);
return octave_value();
}
/* overriden: gdk_window_get_internal_paint_info  */
DEFUN_DLD( gdk_set_pointer_hooks , args , , " GdkPointerHooks * gdk_set_pointer_hooks (GdkPointerHooks * new_hooks); " )
{
GdkPointerHooks *   new_hooks ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkPointerHooks * gdk_set_pointer_hooks (GdkPointerHooks * new_hooks); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gdk_set_pointer_hooks "<<std::endl;
#endif /* DEBUG */
new_hooks =( GdkPointerHooks * )args( 0 ).long_value();
long int ret_type= (long int) gdk_set_pointer_hooks ( new_hooks);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gdk_get_default_root_window , args , , " GdkWindow * gdk_get_default_root_window (void); " )
{
#ifdef DEBUG
std::cout<<" gdk_get_default_root_window "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gdk_get_default_root_window ( );
return octave_value(ret_type);
}
/* Overridden functions */
/* Linked Separately */
DEFUN_DLD( gdk , args , , " void gdk(void); " )
{
octave_dynamic_loader::load("gdk_colormap_get_type" ,"");
octave_dynamic_loader::load("gdk_colormap_new" ,"");
octave_dynamic_loader::load("gdk_colormap_ref" ,"");
octave_dynamic_loader::load("gdk_colormap_unref" ,"");
octave_dynamic_loader::load("gdk_colormap_get_system" ,"");
octave_dynamic_loader::load("gdk_colormap_get_screen" ,"");
octave_dynamic_loader::load("gdk_colormap_get_system_size" ,"");
octave_dynamic_loader::load("gdk_colormap_change" ,"");
octave_dynamic_loader::load("gdk_colormap_alloc_colors" ,"");
octave_dynamic_loader::load("gdk_colormap_alloc_color" ,"");
octave_dynamic_loader::load("gdk_colormap_free_colors" ,"");
octave_dynamic_loader::load("gdk_colormap_query_color" ,"");
octave_dynamic_loader::load("gdk_colormap_get_visual" ,"");
octave_dynamic_loader::load("gdk_color_copy" ,"");
octave_dynamic_loader::load("gdk_color_free" ,"");
octave_dynamic_loader::load("gdk_color_parse" ,"");
octave_dynamic_loader::load("gdk_color_hash" ,"");
octave_dynamic_loader::load("gdk_color_equal" ,"");
octave_dynamic_loader::load("gdk_color_get_type" ,"");
octave_dynamic_loader::load("gdk_colors_store" ,"");
octave_dynamic_loader::load("gdk_color_white" ,"");
octave_dynamic_loader::load("gdk_color_black" ,"");
octave_dynamic_loader::load("gdk_color_alloc" ,"");
octave_dynamic_loader::load("gdk_color_change" ,"");
octave_dynamic_loader::load("gdk_colors_alloc" ,"");
octave_dynamic_loader::load("gdk_colors_free" ,"");
octave_dynamic_loader::load("gdk_cursor_get_type" ,"");
octave_dynamic_loader::load("gdk_cursor_new_for_display" ,"");
octave_dynamic_loader::load("gdk_cursor_new" ,"");
octave_dynamic_loader::load("gdk_cursor_new_from_pixmap" ,"");
octave_dynamic_loader::load("gdk_cursor_get_display" ,"");
octave_dynamic_loader::load("gdk_cursor_ref" ,"");
octave_dynamic_loader::load("gdk_cursor_unref" ,"");
octave_dynamic_loader::load("gdk_display_get_type" ,"");
octave_dynamic_loader::load("gdk_display_open" ,"");
octave_dynamic_loader::load("gdk_display_get_name" ,"");
octave_dynamic_loader::load("gdk_display_get_n_screens" ,"");
octave_dynamic_loader::load("gdk_display_get_screen" ,"");
octave_dynamic_loader::load("gdk_display_get_default_screen" ,"");
octave_dynamic_loader::load("gdk_display_pointer_ungrab" ,"");
octave_dynamic_loader::load("gdk_display_keyboard_ungrab" ,"");
octave_dynamic_loader::load("gdk_display_pointer_is_grabbed" ,"");
octave_dynamic_loader::load("gdk_display_beep" ,"");
octave_dynamic_loader::load("gdk_display_sync" ,"");
octave_dynamic_loader::load("gdk_display_close" ,"");
octave_dynamic_loader::load("gdk_display_list_devices" ,"");
octave_dynamic_loader::load("gdk_display_get_event" ,"");
octave_dynamic_loader::load("gdk_display_peek_event" ,"");
octave_dynamic_loader::load("gdk_display_put_event" ,"");
octave_dynamic_loader::load("gdk_display_add_client_message_filter" ,"");
octave_dynamic_loader::load("gdk_display_set_double_click_time" ,"");
octave_dynamic_loader::load("gdk_display_get_default" ,"");
octave_dynamic_loader::load("gdk_display_get_core_pointer" ,"");
octave_dynamic_loader::load("gdk_display_get_pointer" ,"");
octave_dynamic_loader::load("gdk_display_get_window_at_pointer" ,"");
octave_dynamic_loader::load("gdk_display_set_pointer_hooks" ,"");
octave_dynamic_loader::load("gdk_display_open_default_libgtk_only" ,"");
octave_dynamic_loader::load("gdk_display_manager_get_type" ,"");
octave_dynamic_loader::load("gdk_display_manager_get" ,"");
octave_dynamic_loader::load("gdk_display_manager_get_default_display" ,"");
octave_dynamic_loader::load("gdk_display_manager_set_default_display" ,"");
octave_dynamic_loader::load("gdk_display_manager_list_displays" ,"");
octave_dynamic_loader::load("gdk_drag_context_get_type" ,"");
octave_dynamic_loader::load("gdk_drag_context_new" ,"");
octave_dynamic_loader::load("gdk_drag_context_ref" ,"");
octave_dynamic_loader::load("gdk_drag_context_unref" ,"");
octave_dynamic_loader::load("gdk_drag_status" ,"");
octave_dynamic_loader::load("gdk_drop_reply" ,"");
octave_dynamic_loader::load("gdk_drop_finish" ,"");
octave_dynamic_loader::load("gdk_drag_get_selection" ,"");
octave_dynamic_loader::load("gdk_drag_begin" ,"");
octave_dynamic_loader::load("gdk_drag_get_protocol_for_display" ,"");
octave_dynamic_loader::load("gdk_drag_find_window_for_screen" ,"");
octave_dynamic_loader::load("gdk_drag_get_protocol" ,"");
octave_dynamic_loader::load("gdk_drag_find_window" ,"");
octave_dynamic_loader::load("gdk_drag_motion" ,"");
octave_dynamic_loader::load("gdk_drag_drop" ,"");
octave_dynamic_loader::load("gdk_drag_abort" ,"");
octave_dynamic_loader::load("gdk_drawable_get_type" ,"");
octave_dynamic_loader::load("gdk_drawable_set_data" ,"");
octave_dynamic_loader::load("gdk_drawable_get_data" ,"");
octave_dynamic_loader::load("gdk_drawable_get_size" ,"");
octave_dynamic_loader::load("gdk_drawable_set_colormap" ,"");
octave_dynamic_loader::load("gdk_drawable_get_colormap" ,"");
octave_dynamic_loader::load("gdk_drawable_get_visual" ,"");
octave_dynamic_loader::load("gdk_drawable_get_depth" ,"");
octave_dynamic_loader::load("gdk_drawable_get_screen" ,"");
octave_dynamic_loader::load("gdk_drawable_get_display" ,"");
octave_dynamic_loader::load("gdk_drawable_ref" ,"");
octave_dynamic_loader::load("gdk_drawable_unref" ,"");
octave_dynamic_loader::load("gdk_draw_point" ,"");
octave_dynamic_loader::load("gdk_draw_line" ,"");
octave_dynamic_loader::load("gdk_draw_rectangle" ,"");
octave_dynamic_loader::load("gdk_draw_arc" ,"");
octave_dynamic_loader::load("gdk_draw_polygon" ,"");
octave_dynamic_loader::load("gdk_draw_string" ,"");
octave_dynamic_loader::load("gdk_draw_text" ,"");
octave_dynamic_loader::load("gdk_draw_text_wc" ,"");
octave_dynamic_loader::load("gdk_draw_drawable" ,"");
octave_dynamic_loader::load("gdk_draw_image" ,"");
octave_dynamic_loader::load("gdk_draw_points" ,"");
octave_dynamic_loader::load("gdk_draw_segments" ,"");
octave_dynamic_loader::load("gdk_draw_lines" ,"");
octave_dynamic_loader::load("gdk_draw_pixbuf" ,"");
octave_dynamic_loader::load("gdk_draw_glyphs" ,"");
octave_dynamic_loader::load("gdk_draw_layout_line" ,"");
octave_dynamic_loader::load("gdk_draw_layout" ,"");
octave_dynamic_loader::load("gdk_draw_layout_line_with_colors" ,"");
octave_dynamic_loader::load("gdk_draw_layout_with_colors" ,"");
octave_dynamic_loader::load("gdk_drawable_get_image" ,"");
octave_dynamic_loader::load("gdk_drawable_get_clip_region" ,"");
octave_dynamic_loader::load("gdk_drawable_get_visible_region" ,"");
octave_dynamic_loader::load("gdk_cursor_type_get_type" ,"");
octave_dynamic_loader::load("gdk_drag_action_get_type" ,"");
octave_dynamic_loader::load("gdk_drag_protocol_get_type" ,"");
octave_dynamic_loader::load("gdk_filter_return_get_type" ,"");
octave_dynamic_loader::load("gdk_event_type_get_type" ,"");
octave_dynamic_loader::load("gdk_event_mask_get_type" ,"");
octave_dynamic_loader::load("gdk_visibility_state_get_type" ,"");
octave_dynamic_loader::load("gdk_scroll_direction_get_type" ,"");
octave_dynamic_loader::load("gdk_notify_type_get_type" ,"");
octave_dynamic_loader::load("gdk_crossing_mode_get_type" ,"");
octave_dynamic_loader::load("gdk_property_state_get_type" ,"");
octave_dynamic_loader::load("gdk_window_state_get_type" ,"");
octave_dynamic_loader::load("gdk_setting_action_get_type" ,"");
octave_dynamic_loader::load("gdk_font_type_get_type" ,"");
octave_dynamic_loader::load("gdk_cap_style_get_type" ,"");
octave_dynamic_loader::load("gdk_fill_get_type" ,"");
octave_dynamic_loader::load("gdk_function_get_type" ,"");
octave_dynamic_loader::load("gdk_join_style_get_type" ,"");
octave_dynamic_loader::load("gdk_line_style_get_type" ,"");
octave_dynamic_loader::load("gdk_subwindow_mode_get_type" ,"");
octave_dynamic_loader::load("gdk_gc_values_mask_get_type" ,"");
octave_dynamic_loader::load("gdk_image_type_get_type" ,"");
octave_dynamic_loader::load("gdk_extension_mode_get_type" ,"");
octave_dynamic_loader::load("gdk_input_source_get_type" ,"");
octave_dynamic_loader::load("gdk_input_mode_get_type" ,"");
octave_dynamic_loader::load("gdk_axis_use_get_type" ,"");
octave_dynamic_loader::load("gdk_prop_mode_get_type" ,"");
octave_dynamic_loader::load("gdk_fill_rule_get_type" ,"");
octave_dynamic_loader::load("gdk_overlap_type_get_type" ,"");
octave_dynamic_loader::load("gdk_rgb_dither_get_type" ,"");
octave_dynamic_loader::load("gdk_byte_order_get_type" ,"");
octave_dynamic_loader::load("gdk_modifier_type_get_type" ,"");
octave_dynamic_loader::load("gdk_input_condition_get_type" ,"");
octave_dynamic_loader::load("gdk_status_get_type" ,"");
octave_dynamic_loader::load("gdk_grab_status_get_type" ,"");
octave_dynamic_loader::load("gdk_visual_type_get_type" ,"");
octave_dynamic_loader::load("gdk_window_class_get_type" ,"");
octave_dynamic_loader::load("gdk_window_type_get_type" ,"");
octave_dynamic_loader::load("gdk_window_attributes_type_get_type" ,"");
octave_dynamic_loader::load("gdk_window_hints_get_type" ,"");
octave_dynamic_loader::load("gdk_window_type_hint_get_type" ,"");
octave_dynamic_loader::load("gdk_wm_decoration_get_type" ,"");
octave_dynamic_loader::load("gdk_wm_function_get_type" ,"");
octave_dynamic_loader::load("gdk_gravity_get_type" ,"");
octave_dynamic_loader::load("gdk_window_edge_get_type" ,"");
octave_dynamic_loader::load("gdk_event_get_type" ,"");
octave_dynamic_loader::load("gdk_events_pending" ,"");
octave_dynamic_loader::load("gdk_event_get" ,"");
octave_dynamic_loader::load("gdk_event_peek" ,"");
octave_dynamic_loader::load("gdk_event_get_graphics_expose" ,"");
octave_dynamic_loader::load("gdk_event_put" ,"");
octave_dynamic_loader::load("gdk_event_new" ,"");
octave_dynamic_loader::load("gdk_event_copy" ,"");
octave_dynamic_loader::load("gdk_event_free" ,"");
octave_dynamic_loader::load("gdk_event_get_time" ,"");
octave_dynamic_loader::load("gdk_event_get_state" ,"");
octave_dynamic_loader::load("gdk_event_get_coords" ,"");
octave_dynamic_loader::load("gdk_event_get_root_coords" ,"");
octave_dynamic_loader::load("gdk_event_get_axis" ,"");
octave_dynamic_loader::load("gdk_event_handler_set" ,"");
octave_dynamic_loader::load("gdk_event_set_screen" ,"");
octave_dynamic_loader::load("gdk_event_get_screen" ,"");
octave_dynamic_loader::load("gdk_set_show_events" ,"");
octave_dynamic_loader::load("gdk_get_show_events" ,"");
octave_dynamic_loader::load("gdk_add_client_message_filter" ,"");
octave_dynamic_loader::load("gdk_setting_get" ,"");
octave_dynamic_loader::load("gdk_font_get_type" ,"");
octave_dynamic_loader::load("gdk_font_ref" ,"");
octave_dynamic_loader::load("gdk_font_unref" ,"");
octave_dynamic_loader::load("gdk_font_id" ,"");
octave_dynamic_loader::load("gdk_font_equal" ,"");
octave_dynamic_loader::load("gdk_font_load_for_display" ,"");
octave_dynamic_loader::load("gdk_fontset_load_for_display" ,"");
octave_dynamic_loader::load("gdk_font_from_description_for_display" ,"");
octave_dynamic_loader::load("gdk_font_load" ,"");
octave_dynamic_loader::load("gdk_fontset_load" ,"");
octave_dynamic_loader::load("gdk_font_from_description" ,"");
octave_dynamic_loader::load("gdk_string_width" ,"");
octave_dynamic_loader::load("gdk_text_width" ,"");
octave_dynamic_loader::load("gdk_text_width_wc" ,"");
octave_dynamic_loader::load("gdk_char_width" ,"");
octave_dynamic_loader::load("gdk_char_width_wc" ,"");
octave_dynamic_loader::load("gdk_string_measure" ,"");
octave_dynamic_loader::load("gdk_text_measure" ,"");
octave_dynamic_loader::load("gdk_char_measure" ,"");
octave_dynamic_loader::load("gdk_string_height" ,"");
octave_dynamic_loader::load("gdk_text_height" ,"");
octave_dynamic_loader::load("gdk_char_height" ,"");
octave_dynamic_loader::load("gdk_text_extents" ,"");
octave_dynamic_loader::load("gdk_text_extents_wc" ,"");
octave_dynamic_loader::load("gdk_string_extents" ,"");
octave_dynamic_loader::load("gdk_font_get_display" ,"");
octave_dynamic_loader::load("gdk_gc_get_type" ,"");
octave_dynamic_loader::load("gdk_gc_new" ,"");
octave_dynamic_loader::load("gdk_gc_new_with_values" ,"");
octave_dynamic_loader::load("gdk_gc_ref" ,"");
octave_dynamic_loader::load("gdk_gc_unref" ,"");
octave_dynamic_loader::load("gdk_gc_get_values" ,"");
octave_dynamic_loader::load("gdk_gc_set_values" ,"");
octave_dynamic_loader::load("gdk_gc_set_foreground" ,"");
octave_dynamic_loader::load("gdk_gc_set_background" ,"");
octave_dynamic_loader::load("gdk_gc_set_font" ,"");
octave_dynamic_loader::load("gdk_gc_set_function" ,"");
octave_dynamic_loader::load("gdk_gc_set_fill" ,"");
octave_dynamic_loader::load("gdk_gc_set_tile" ,"");
octave_dynamic_loader::load("gdk_gc_set_stipple" ,"");
octave_dynamic_loader::load("gdk_gc_set_ts_origin" ,"");
octave_dynamic_loader::load("gdk_gc_set_clip_origin" ,"");
octave_dynamic_loader::load("gdk_gc_set_clip_mask" ,"");
octave_dynamic_loader::load("gdk_gc_set_clip_rectangle" ,"");
octave_dynamic_loader::load("gdk_gc_set_clip_region" ,"");
octave_dynamic_loader::load("gdk_gc_set_subwindow" ,"");
octave_dynamic_loader::load("gdk_gc_set_exposures" ,"");
octave_dynamic_loader::load("gdk_gc_set_line_attributes" ,"");
octave_dynamic_loader::load("gdk_gc_set_dashes" ,"");
octave_dynamic_loader::load("gdk_gc_offset" ,"");
octave_dynamic_loader::load("gdk_gc_copy" ,"");
octave_dynamic_loader::load("gdk_gc_set_colormap" ,"");
octave_dynamic_loader::load("gdk_gc_get_colormap" ,"");
octave_dynamic_loader::load("gdk_gc_set_rgb_fg_color" ,"");
octave_dynamic_loader::load("gdk_gc_set_rgb_bg_color" ,"");
octave_dynamic_loader::load("gdk_gc_get_screen" ,"");
octave_dynamic_loader::load("gdk_parse_args" ,"");
octave_dynamic_loader::load("gdk_init" ,"");
octave_dynamic_loader::load("gdk_init_check" ,"");
octave_dynamic_loader::load("gdk_exit" ,"");
octave_dynamic_loader::load("gdk_set_locale" ,"");
octave_dynamic_loader::load("gdk_get_program_class" ,"");
octave_dynamic_loader::load("gdk_set_program_class" ,"");
octave_dynamic_loader::load("gdk_error_trap_push" ,"");
octave_dynamic_loader::load("gdk_error_trap_pop" ,"");
octave_dynamic_loader::load("gdk_set_use_xshm" ,"");
octave_dynamic_loader::load("gdk_get_use_xshm" ,"");
octave_dynamic_loader::load("gdk_get_display" ,"");
octave_dynamic_loader::load("gdk_get_display_arg_name" ,"");
octave_dynamic_loader::load("gdk_input_add_full" ,"");
octave_dynamic_loader::load("gdk_input_add" ,"");
octave_dynamic_loader::load("gdk_input_remove" ,"");
octave_dynamic_loader::load("gdk_pointer_grab" ,"");
octave_dynamic_loader::load("gdk_keyboard_grab" ,"");
octave_dynamic_loader::load("gdk_pointer_ungrab" ,"");
octave_dynamic_loader::load("gdk_keyboard_ungrab" ,"");
octave_dynamic_loader::load("gdk_pointer_is_grabbed" ,"");
octave_dynamic_loader::load("gdk_screen_width" ,"");
octave_dynamic_loader::load("gdk_screen_height" ,"");
octave_dynamic_loader::load("gdk_screen_width_mm" ,"");
octave_dynamic_loader::load("gdk_screen_height_mm" ,"");
octave_dynamic_loader::load("gdk_beep" ,"");
octave_dynamic_loader::load("gdk_flush" ,"");
octave_dynamic_loader::load("gdk_set_double_click_time" ,"");
octave_dynamic_loader::load("gdk_rectangle_intersect" ,"");
octave_dynamic_loader::load("gdk_rectangle_union" ,"");
octave_dynamic_loader::load("gdk_rectangle_get_type" ,"");
octave_dynamic_loader::load("gdk_wcstombs" ,"");
octave_dynamic_loader::load("gdk_mbstowcs" ,"");
octave_dynamic_loader::load("gdk_event_send_client_message" ,"");
octave_dynamic_loader::load("gdk_event_send_clientmessage_toall" ,"");
octave_dynamic_loader::load("gdk_event_send_client_message_for_display" ,"");
octave_dynamic_loader::load("gdk_notify_startup_complete" ,"");
octave_dynamic_loader::load("gdk_threads_enter" ,"");
octave_dynamic_loader::load("gdk_threads_leave" ,"");
octave_dynamic_loader::load("gdk_threads_init" ,"");
octave_dynamic_loader::load("gdk_image_get_type" ,"");
octave_dynamic_loader::load("gdk_image_new" ,"");
octave_dynamic_loader::load("gdk_image_get" ,"");
octave_dynamic_loader::load("gdk_image_ref" ,"");
octave_dynamic_loader::load("gdk_image_unref" ,"");
octave_dynamic_loader::load("gdk_image_put_pixel" ,"");
octave_dynamic_loader::load("gdk_image_get_pixel" ,"");
octave_dynamic_loader::load("gdk_image_set_colormap" ,"");
octave_dynamic_loader::load("gdk_image_get_colormap" ,"");
octave_dynamic_loader::load("gdk_device_get_type" ,"");
octave_dynamic_loader::load("gdk_devices_list" ,"");
octave_dynamic_loader::load("gdk_device_set_source" ,"");
octave_dynamic_loader::load("gdk_device_set_mode" ,"");
octave_dynamic_loader::load("gdk_device_set_key" ,"");
octave_dynamic_loader::load("gdk_device_set_axis_use" ,"");
octave_dynamic_loader::load("gdk_device_get_state" ,"");
octave_dynamic_loader::load("gdk_device_get_history" ,"");
octave_dynamic_loader::load("gdk_device_free_history" ,"");
octave_dynamic_loader::load("gdk_device_get_axis" ,"");
octave_dynamic_loader::load("gdk_input_set_extension_events" ,"");
octave_dynamic_loader::load("gdk_device_get_core_pointer" ,"");
octave_dynamic_loader::load("gdk_keymap_get_type" ,"");
octave_dynamic_loader::load("gdk_keymap_get_default" ,"");
octave_dynamic_loader::load("gdk_keymap_get_for_display" ,"");
octave_dynamic_loader::load("gdk_keymap_lookup_key" ,"");
octave_dynamic_loader::load("gdk_keymap_translate_keyboard_state" ,"");
octave_dynamic_loader::load("gdk_keymap_get_entries_for_keyval" ,"");
octave_dynamic_loader::load("gdk_keymap_get_entries_for_keycode" ,"");
octave_dynamic_loader::load("gdk_keymap_get_direction" ,"");
octave_dynamic_loader::load("gdk_keyval_name" ,"");
octave_dynamic_loader::load("gdk_keyval_from_name" ,"");
octave_dynamic_loader::load("gdk_keyval_convert_case" ,"");
octave_dynamic_loader::load("gdk_keyval_to_upper" ,"");
octave_dynamic_loader::load("gdk_keyval_to_lower" ,"");
octave_dynamic_loader::load("gdk_keyval_is_upper" ,"");
octave_dynamic_loader::load("gdk_keyval_is_lower" ,"");
octave_dynamic_loader::load("gdk_keyval_to_unicode" ,"");
octave_dynamic_loader::load("gdk_unicode_to_keyval" ,"");
octave_dynamic_loader::load("gdk_pango_context_get_for_screen" ,"");
octave_dynamic_loader::load("gdk_pango_context_get" ,"");
octave_dynamic_loader::load("gdk_pango_context_set_colormap" ,"");
octave_dynamic_loader::load("gdk_pango_layout_line_get_clip_region" ,"");
octave_dynamic_loader::load("gdk_pango_layout_get_clip_region" ,"");
octave_dynamic_loader::load("gdk_pango_attr_stipple_new" ,"");
octave_dynamic_loader::load("gdk_pango_attr_embossed_new" ,"");
octave_dynamic_loader::load("gdk_pixbuf_render_threshold_alpha" ,"");
octave_dynamic_loader::load("gdk_pixbuf_render_to_drawable" ,"");
octave_dynamic_loader::load("gdk_pixbuf_render_to_drawable_alpha" ,"");
octave_dynamic_loader::load("gdk_pixbuf_render_pixmap_and_mask_for_colormap" ,"");
octave_dynamic_loader::load("gdk_pixbuf_render_pixmap_and_mask" ,"");
octave_dynamic_loader::load("gdk_pixbuf_get_from_drawable" ,"");
octave_dynamic_loader::load("gdk_pixbuf_get_from_image" ,"");
octave_dynamic_loader::load("gdk_pixmap_get_type" ,"");
octave_dynamic_loader::load("gdk_pixmap_new" ,"");
octave_dynamic_loader::load("gdk_bitmap_create_from_data" ,"");
octave_dynamic_loader::load("gdk_pixmap_create_from_data" ,"");
octave_dynamic_loader::load("gdk_pixmap_create_from_xpm" ,"");
octave_dynamic_loader::load("gdk_pixmap_colormap_create_from_xpm" ,"");
octave_dynamic_loader::load("gdk_pixmap_create_from_xpm_d" ,"");
octave_dynamic_loader::load("gdk_pixmap_colormap_create_from_xpm_d" ,"");
octave_dynamic_loader::load("gdk_pixmap_foreign_new" ,"");
octave_dynamic_loader::load("gdk_pixmap_lookup" ,"");
octave_dynamic_loader::load("gdk_pixmap_foreign_new_for_display" ,"");
octave_dynamic_loader::load("gdk_pixmap_lookup_for_display" ,"");
octave_dynamic_loader::load("gdk_window_destroy_notify" ,"");
octave_dynamic_loader::load("gdk_synthesize_window_state" ,"");
octave_dynamic_loader::load("gdk_rgb_init" ,"");
octave_dynamic_loader::load("gdk_rgb_xpixel_from_rgb" ,"");
octave_dynamic_loader::load("gdk_rgb_gc_set_foreground" ,"");
octave_dynamic_loader::load("gdk_rgb_gc_set_background" ,"");
octave_dynamic_loader::load("gdk_rgb_find_color" ,"");
octave_dynamic_loader::load("gdk_screen_get_type" ,"");
octave_dynamic_loader::load("gdk_screen_get_default_colormap" ,"");
octave_dynamic_loader::load("gdk_screen_set_default_colormap" ,"");
octave_dynamic_loader::load("gdk_screen_get_system_colormap" ,"");
octave_dynamic_loader::load("gdk_screen_get_system_visual" ,"");
octave_dynamic_loader::load("gdk_screen_get_rgb_colormap" ,"");
octave_dynamic_loader::load("gdk_screen_get_rgb_visual" ,"");
octave_dynamic_loader::load("gdk_screen_get_root_window" ,"");
octave_dynamic_loader::load("gdk_screen_get_display" ,"");
octave_dynamic_loader::load("gdk_screen_get_number" ,"");
octave_dynamic_loader::load("gdk_screen_get_width" ,"");
octave_dynamic_loader::load("gdk_screen_get_height" ,"");
octave_dynamic_loader::load("gdk_screen_get_width_mm" ,"");
octave_dynamic_loader::load("gdk_screen_get_height_mm" ,"");
octave_dynamic_loader::load("gdk_screen_list_visuals" ,"");
octave_dynamic_loader::load("gdk_screen_get_toplevel_windows" ,"");
octave_dynamic_loader::load("gdk_screen_make_display_name" ,"");
octave_dynamic_loader::load("gdk_screen_get_n_monitors" ,"");
octave_dynamic_loader::load("gdk_screen_get_monitor_geometry" ,"");
octave_dynamic_loader::load("gdk_screen_get_monitor_at_point" ,"");
octave_dynamic_loader::load("gdk_screen_get_monitor_at_window" ,"");
octave_dynamic_loader::load("gdk_screen_broadcast_client_message" ,"");
octave_dynamic_loader::load("gdk_screen_get_default" ,"");
octave_dynamic_loader::load("gdk_screen_get_setting" ,"");
octave_dynamic_loader::load("gdk_selection_owner_set" ,"");
octave_dynamic_loader::load("gdk_selection_owner_get" ,"");
octave_dynamic_loader::load("gdk_selection_owner_set_for_display" ,"");
octave_dynamic_loader::load("gdk_selection_owner_get_for_display" ,"");
octave_dynamic_loader::load("gdk_selection_convert" ,"");
octave_dynamic_loader::load("gdk_selection_property_get" ,"");
octave_dynamic_loader::load("gdk_selection_send_notify" ,"");
octave_dynamic_loader::load("gdk_selection_send_notify_for_display" ,"");
octave_dynamic_loader::load("gdk_visual_get_type" ,"");
octave_dynamic_loader::load("gdk_visual_get_best_depth" ,"");
octave_dynamic_loader::load("gdk_visual_get_best_type" ,"");
octave_dynamic_loader::load("gdk_visual_get_system" ,"");
octave_dynamic_loader::load("gdk_visual_get_best" ,"");
octave_dynamic_loader::load("gdk_visual_get_best_with_depth" ,"");
octave_dynamic_loader::load("gdk_visual_get_best_with_type" ,"");
octave_dynamic_loader::load("gdk_visual_get_best_with_both" ,"");
octave_dynamic_loader::load("gdk_query_depths" ,"");
octave_dynamic_loader::load("gdk_query_visual_types" ,"");
octave_dynamic_loader::load("gdk_list_visuals" ,"");
octave_dynamic_loader::load("gdk_visual_get_screen" ,"");
octave_dynamic_loader::load("gdk_window_object_get_type" ,"");
octave_dynamic_loader::load("gdk_window_new" ,"");
octave_dynamic_loader::load("gdk_window_destroy" ,"");
octave_dynamic_loader::load("gdk_window_get_window_type" ,"");
octave_dynamic_loader::load("gdk_window_at_pointer" ,"");
octave_dynamic_loader::load("gdk_window_show" ,"");
octave_dynamic_loader::load("gdk_window_hide" ,"");
octave_dynamic_loader::load("gdk_window_withdraw" ,"");
octave_dynamic_loader::load("gdk_window_show_unraised" ,"");
octave_dynamic_loader::load("gdk_window_move" ,"");
octave_dynamic_loader::load("gdk_window_resize" ,"");
octave_dynamic_loader::load("gdk_window_move_resize" ,"");
octave_dynamic_loader::load("gdk_window_reparent" ,"");
octave_dynamic_loader::load("gdk_window_clear" ,"");
octave_dynamic_loader::load("gdk_window_clear_area" ,"");
octave_dynamic_loader::load("gdk_window_clear_area_e" ,"");
octave_dynamic_loader::load("gdk_window_raise" ,"");
octave_dynamic_loader::load("gdk_window_lower" ,"");
octave_dynamic_loader::load("gdk_window_focus" ,"");
octave_dynamic_loader::load("gdk_window_set_user_data" ,"");
octave_dynamic_loader::load("gdk_window_set_override_redirect" ,"");
octave_dynamic_loader::load("gdk_window_add_filter" ,"");
octave_dynamic_loader::load("gdk_window_remove_filter" ,"");
octave_dynamic_loader::load("gdk_window_scroll" ,"");
octave_dynamic_loader::load("gdk_window_shape_combine_mask" ,"");
octave_dynamic_loader::load("gdk_window_shape_combine_region" ,"");
octave_dynamic_loader::load("gdk_window_set_child_shapes" ,"");
octave_dynamic_loader::load("gdk_window_merge_child_shapes" ,"");
octave_dynamic_loader::load("gdk_window_is_visible" ,"");
octave_dynamic_loader::load("gdk_window_is_viewable" ,"");
octave_dynamic_loader::load("gdk_window_get_state" ,"");
octave_dynamic_loader::load("gdk_window_set_static_gravities" ,"");
octave_dynamic_loader::load("gdk_window_foreign_new" ,"");
octave_dynamic_loader::load("gdk_window_lookup" ,"");
octave_dynamic_loader::load("gdk_window_foreign_new_for_display" ,"");
octave_dynamic_loader::load("gdk_window_lookup_for_display" ,"");
octave_dynamic_loader::load("gdk_window_set_hints" ,"");
octave_dynamic_loader::load("gdk_window_set_type_hint" ,"");
octave_dynamic_loader::load("gdk_window_set_modal_hint" ,"");
octave_dynamic_loader::load("gdk_window_set_skip_taskbar_hint" ,"");
octave_dynamic_loader::load("gdk_window_set_skip_pager_hint" ,"");
octave_dynamic_loader::load("gdk_window_set_geometry_hints" ,"");
octave_dynamic_loader::load("gdk_set_sm_client_id" ,"");
octave_dynamic_loader::load("gdk_window_begin_paint_rect" ,"");
octave_dynamic_loader::load("gdk_window_begin_paint_region" ,"");
octave_dynamic_loader::load("gdk_window_end_paint" ,"");
octave_dynamic_loader::load("gdk_window_set_title" ,"");
octave_dynamic_loader::load("gdk_window_set_role" ,"");
octave_dynamic_loader::load("gdk_window_set_transient_for" ,"");
octave_dynamic_loader::load("gdk_window_set_background" ,"");
octave_dynamic_loader::load("gdk_window_set_back_pixmap" ,"");
octave_dynamic_loader::load("gdk_window_set_cursor" ,"");
octave_dynamic_loader::load("gdk_window_get_user_data" ,"");
octave_dynamic_loader::load("gdk_window_get_geometry" ,"");
octave_dynamic_loader::load("gdk_window_get_position" ,"");
octave_dynamic_loader::load("gdk_window_get_origin" ,"");
octave_dynamic_loader::load("gdk_window_get_deskrelative_origin" ,"");
octave_dynamic_loader::load("gdk_window_get_root_origin" ,"");
octave_dynamic_loader::load("gdk_window_get_frame_extents" ,"");
octave_dynamic_loader::load("gdk_window_get_pointer" ,"");
octave_dynamic_loader::load("gdk_window_get_parent" ,"");
octave_dynamic_loader::load("gdk_window_get_toplevel" ,"");
octave_dynamic_loader::load("gdk_window_get_children" ,"");
octave_dynamic_loader::load("gdk_window_peek_children" ,"");
octave_dynamic_loader::load("gdk_window_get_events" ,"");
octave_dynamic_loader::load("gdk_window_set_events" ,"");
octave_dynamic_loader::load("gdk_window_set_icon_list" ,"");
octave_dynamic_loader::load("gdk_window_set_icon" ,"");
octave_dynamic_loader::load("gdk_window_set_icon_name" ,"");
octave_dynamic_loader::load("gdk_window_set_group" ,"");
octave_dynamic_loader::load("gdk_window_set_decorations" ,"");
octave_dynamic_loader::load("gdk_window_get_decorations" ,"");
octave_dynamic_loader::load("gdk_window_set_functions" ,"");
octave_dynamic_loader::load("gdk_window_get_toplevels" ,"");
octave_dynamic_loader::load("gdk_window_iconify" ,"");
octave_dynamic_loader::load("gdk_window_deiconify" ,"");
octave_dynamic_loader::load("gdk_window_stick" ,"");
octave_dynamic_loader::load("gdk_window_unstick" ,"");
octave_dynamic_loader::load("gdk_window_maximize" ,"");
octave_dynamic_loader::load("gdk_window_unmaximize" ,"");
octave_dynamic_loader::load("gdk_window_fullscreen" ,"");
octave_dynamic_loader::load("gdk_window_unfullscreen" ,"");
octave_dynamic_loader::load("gdk_window_register_dnd" ,"");
octave_dynamic_loader::load("gdk_window_begin_resize_drag" ,"");
octave_dynamic_loader::load("gdk_window_begin_move_drag" ,"");
octave_dynamic_loader::load("gdk_window_invalidate_rect" ,"");
octave_dynamic_loader::load("gdk_window_invalidate_region" ,"");
octave_dynamic_loader::load("gdk_window_invalidate_maybe_recurse" ,"");
octave_dynamic_loader::load("gdk_window_get_update_area" ,"");
octave_dynamic_loader::load("gdk_window_freeze_updates" ,"");
octave_dynamic_loader::load("gdk_window_thaw_updates" ,"");
octave_dynamic_loader::load("gdk_window_process_all_updates" ,"");
octave_dynamic_loader::load("gdk_window_process_updates" ,"");
octave_dynamic_loader::load("gdk_window_set_debug_updates" ,"");
octave_dynamic_loader::load("gdk_window_constrain_size" ,"");
octave_dynamic_loader::load("gdk_window_get_internal_paint_info" ,"");
octave_dynamic_loader::load("gdk_set_pointer_hooks" ,"");
octave_dynamic_loader::load("gdk_get_default_root_window" ,"");
octave_dynamic_loader::load("gdk_keymap_get_entries_for_keycode" ,"");
octave_dynamic_loader::load("gdk_spawn_on_screen" ,"");
octave_dynamic_loader::load("gdk_spawn_on_screen_with_pipes" ,"");
octave_dynamic_loader::load("gdk_spawn_command_line_on_screen" ,"");
octave_dynamic_loader::load("gdk_gc_set_dashes" ,"");
return octave_value("Code generated onWed Mar 16 17:53:52 2005\n Compiled on " __DATE__  __TIME__ "\n loadedgdkLibrary!");
}

