/* Standard headers std.header */
/* Standard headers std.header */
/*
 * This program is free software.
 * This code is a part of Octave-GTK
 * Code may be used or distributed under GPL.
 * (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 */

/*
 *    Octave-Gtk
 *       The GUI bridge from octave.
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<glib.h>
#include<string.h>

/* for FORK */
#include<sys/types.h>
#include<unistd.h>

/* #include "../config.h" */
}
/* overriden: alloca  */
DEFUN_DLD( g_array_new , args , , " GArray* g_array_new (gboolean zero_terminated,gboolean clear_,guint element_size); " )
{
gboolean   zero_terminated ;
gboolean   clear_ ;
guint   element_size ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GArray* g_array_new (gboolean zero_terminated,gboolean clear_,guint element_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_new "<<std::endl;
#endif /* DEBUG */
zero_terminated = (  gboolean  ) args( 0 ).long_value();
clear_ = (  gboolean  ) args( 1 ).long_value();
element_size = (  guint  ) args( 2 ).int_value();
long int ret_type= (long int) g_array_new ( zero_terminated,clear_,element_size);
return octave_value(ret_type);
}
DEFUN_DLD( g_array_sized_new , args , , " GArray* g_array_sized_new (gboolean zero_terminated,gboolean clear_,guint element_size,guint reserved_size); " )
{
gboolean   zero_terminated ;
gboolean   clear_ ;
guint   element_size ;
guint   reserved_size ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GArray* g_array_sized_new (gboolean zero_terminated,gboolean clear_,guint element_size,guint reserved_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_sized_new "<<std::endl;
#endif /* DEBUG */
zero_terminated = (  gboolean  ) args( 0 ).long_value();
clear_ = (  gboolean  ) args( 1 ).long_value();
element_size = (  guint  ) args( 2 ).int_value();
reserved_size = (  guint  ) args( 3 ).int_value();
long int ret_type= (long int) g_array_sized_new ( zero_terminated,clear_,element_size,reserved_size);
return octave_value(ret_type);
}
DEFUN_DLD( g_array_free , args , , " gchar* g_array_free (GArray * array,gboolean free_segment); " )
{
GArray *   array ;
gboolean   free_segment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* g_array_free (GArray * array,gboolean free_segment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_free "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
free_segment = (  gboolean  ) args( 1 ).long_value();
string  ret_type( g_array_free ( array,free_segment));
return octave_value(ret_type);
}
DEFUN_DLD( g_array_append_vals , args , , " GArray* g_array_append_vals (GArray * array,gconstpointer data,guint len); " )
{
GArray *   array ;
gconstpointer   data ;
guint   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GArray* g_array_append_vals (GArray * array,gconstpointer data,guint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_append_vals "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
len = (  guint  ) args( 2 ).int_value();
long int ret_type= (long int) g_array_append_vals ( array,data,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_array_prepend_vals , args , , " GArray* g_array_prepend_vals (GArray * array,gconstpointer data,guint len); " )
{
GArray *   array ;
gconstpointer   data ;
guint   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GArray* g_array_prepend_vals (GArray * array,gconstpointer data,guint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_prepend_vals "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
len = (  guint  ) args( 2 ).int_value();
long int ret_type= (long int) g_array_prepend_vals ( array,data,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_array_insert_vals , args , , " GArray* g_array_insert_vals (GArray * array,guint index_,gconstpointer data,guint len); " )
{
GArray *   array ;
guint   index_ ;
gconstpointer   data ;
guint   len ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GArray* g_array_insert_vals (GArray * array,guint index_,gconstpointer data,guint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_insert_vals "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
data =( gconstpointer )args( 2 ).long_value();
len = (  guint  ) args( 3 ).int_value();
long int ret_type= (long int) g_array_insert_vals ( array,index_,data,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_array_set_size , args , , " GArray* g_array_set_size (GArray * array,guint length); " )
{
GArray *   array ;
guint   length ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GArray* g_array_set_size (GArray * array,guint length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_set_size "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
length = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_array_set_size ( array,length);
return octave_value(ret_type);
}
DEFUN_DLD( g_array_remove_index , args , , " GArray* g_array_remove_index (GArray * array,guint index_); " )
{
GArray *   array ;
guint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GArray* g_array_remove_index (GArray * array,guint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_remove_index "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_array_remove_index ( array,index_);
return octave_value(ret_type);
}
DEFUN_DLD( g_array_remove_index_fast , args , , " GArray* g_array_remove_index_fast (GArray * array,guint index_); " )
{
GArray *   array ;
guint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GArray* g_array_remove_index_fast (GArray * array,guint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_remove_index_fast "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_array_remove_index_fast ( array,index_);
return octave_value(ret_type);
}
DEFUN_DLD( g_array_sort , args , , " void g_array_sort (GArray * array,GCompareFunc compare_func); " )
{
GArray *   array ;
GCompareFunc   compare_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_array_sort (GArray * array,GCompareFunc compare_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_sort "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
compare_func = (  GCompareFunc  ) args( 1 ).long_value();
g_array_sort ( array,compare_func);
return octave_value();
}
DEFUN_DLD( g_array_sort_with_data , args , , " void g_array_sort_with_data (GArray * array,GCompareDataFunc compare_func,gpointer user_data); " )
{
GArray *   array ;
GCompareDataFunc   compare_func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_array_sort_with_data (GArray * array,GCompareDataFunc compare_func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_array_sort_with_data "<<std::endl;
#endif /* DEBUG */
array =( GArray * )args( 0 ).long_value();
compare_func = (  GCompareDataFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_array_sort_with_data ( array,compare_func,user_data);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_ptr_array_new , args , , " GPtrArray* g_ptr_array_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_ptr_array_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_ptr_array_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_ptr_array_sized_new , args , , " GPtrArray* g_ptr_array_sized_new (guint reserved_size); " )
{
guint   reserved_size ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GPtrArray* g_ptr_array_sized_new (guint reserved_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_sized_new "<<std::endl;
#endif /* DEBUG */
reserved_size = (  guint  ) args( 0 ).int_value();
long int ret_type= (long int) g_ptr_array_sized_new ( reserved_size);
return octave_value(ret_type);
}
DEFUN_DLD( g_ptr_array_free , args , , " gpointer* g_ptr_array_free (GPtrArray * array,gboolean free_seg); " )
{
GPtrArray *   array ;
gboolean   free_seg ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer* g_ptr_array_free (GPtrArray * array,gboolean free_seg); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_free "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
free_seg = (  gboolean  ) args( 1 ).long_value();
long int ret_type= (long int) g_ptr_array_free ( array,free_seg);
return octave_value(ret_type);
}
DEFUN_DLD( g_ptr_array_set_size , args , , " void g_ptr_array_set_size (GPtrArray * array,gint length); " )
{
GPtrArray *   array ;
gint   length ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_ptr_array_set_size (GPtrArray * array,gint length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_set_size "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
length = (  gint  ) args( 1 ).int_value();
g_ptr_array_set_size ( array,length);
return octave_value();
}
DEFUN_DLD( g_ptr_array_remove_index , args , , " gpointer g_ptr_array_remove_index (GPtrArray * array,guint index_); " )
{
GPtrArray *   array ;
guint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_ptr_array_remove_index (GPtrArray * array,guint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_remove_index "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_ptr_array_remove_index ( array,index_);
return octave_value(ret_type);
}
DEFUN_DLD( g_ptr_array_remove_index_fast , args , , " gpointer g_ptr_array_remove_index_fast (GPtrArray * array,guint index_); " )
{
GPtrArray *   array ;
guint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_ptr_array_remove_index_fast (GPtrArray * array,guint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_remove_index_fast "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_ptr_array_remove_index_fast ( array,index_);
return octave_value(ret_type);
}
DEFUN_DLD( g_ptr_array_remove , args , , " gboolean g_ptr_array_remove (GPtrArray * array,gpointer data); " )
{
GPtrArray *   array ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_ptr_array_remove (GPtrArray * array,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_remove "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type=(long int) g_ptr_array_remove ( array,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_ptr_array_remove_fast , args , , " gboolean g_ptr_array_remove_fast (GPtrArray * array,gpointer data); " )
{
GPtrArray *   array ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_ptr_array_remove_fast (GPtrArray * array,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_remove_fast "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type=(long int) g_ptr_array_remove_fast ( array,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_ptr_array_add , args , , " void g_ptr_array_add (GPtrArray * array,gpointer data); " )
{
GPtrArray *   array ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_ptr_array_add (GPtrArray * array,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_add "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
g_ptr_array_add ( array,data);
return octave_value();
}
DEFUN_DLD( g_ptr_array_sort , args , , " void g_ptr_array_sort (GPtrArray * array,GCompareFunc compare_func); " )
{
GPtrArray *   array ;
GCompareFunc   compare_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_ptr_array_sort (GPtrArray * array,GCompareFunc compare_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_sort "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
compare_func = (  GCompareFunc  ) args( 1 ).long_value();
g_ptr_array_sort ( array,compare_func);
return octave_value();
}
DEFUN_DLD( g_ptr_array_sort_with_data , args , , " void g_ptr_array_sort_with_data (GPtrArray * array,GCompareDataFunc compare_func,gpointer user_data); " )
{
GPtrArray *   array ;
GCompareDataFunc   compare_func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_ptr_array_sort_with_data (GPtrArray * array,GCompareDataFunc compare_func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_ptr_array_sort_with_data "<<std::endl;
#endif /* DEBUG */
array =( GPtrArray * )args( 0 ).long_value();
compare_func = (  GCompareDataFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_ptr_array_sort_with_data ( array,compare_func,user_data);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_byte_array_new , args , , " GByteArray* g_byte_array_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_byte_array_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_byte_array_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_byte_array_sized_new , args , , " GByteArray* g_byte_array_sized_new (guint reserved_size); " )
{
guint   reserved_size ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GByteArray* g_byte_array_sized_new (guint reserved_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_sized_new "<<std::endl;
#endif /* DEBUG */
reserved_size = (  guint  ) args( 0 ).int_value();
long int ret_type= (long int) g_byte_array_sized_new ( reserved_size);
return octave_value(ret_type);
}
DEFUN_DLD( g_byte_array_free , args , , " guint8* g_byte_array_free (GByteArray * array,gboolean free_segment); " )
{
GByteArray *   array ;
gboolean   free_segment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint8* g_byte_array_free (GByteArray * array,gboolean free_segment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_free "<<std::endl;
#endif /* DEBUG */
array =( GByteArray * )args( 0 ).long_value();
free_segment = (  gboolean  ) args( 1 ).long_value();
long int ret_type= (long int) g_byte_array_free ( array,free_segment);
return octave_value(ret_type);
}
DEFUN_DLD( g_byte_array_append , args , , " GByteArray* g_byte_array_append (GByteArray * array,guint8 * data,guint len); " )
{
GByteArray *   array ;
guint8 *   data ;
guint   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GByteArray* g_byte_array_append (GByteArray * array,guint8 * data,guint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_append "<<std::endl;
#endif /* DEBUG */
array =( GByteArray * )args( 0 ).long_value();
data =( guint8 * )args( 1 ).long_value();
len = (  guint  ) args( 2 ).int_value();
long int ret_type= (long int) g_byte_array_append ( array,data,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_byte_array_prepend , args , , " GByteArray* g_byte_array_prepend (GByteArray * array,guint8 * data,guint len); " )
{
GByteArray *   array ;
guint8 *   data ;
guint   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GByteArray* g_byte_array_prepend (GByteArray * array,guint8 * data,guint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_prepend "<<std::endl;
#endif /* DEBUG */
array =( GByteArray * )args( 0 ).long_value();
data =( guint8 * )args( 1 ).long_value();
len = (  guint  ) args( 2 ).int_value();
long int ret_type= (long int) g_byte_array_prepend ( array,data,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_byte_array_set_size , args , , " GByteArray* g_byte_array_set_size (GByteArray * array,guint length); " )
{
GByteArray *   array ;
guint   length ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GByteArray* g_byte_array_set_size (GByteArray * array,guint length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_set_size "<<std::endl;
#endif /* DEBUG */
array =( GByteArray * )args( 0 ).long_value();
length = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_byte_array_set_size ( array,length);
return octave_value(ret_type);
}
DEFUN_DLD( g_byte_array_remove_index , args , , " GByteArray* g_byte_array_remove_index (GByteArray * array,guint index_); " )
{
GByteArray *   array ;
guint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GByteArray* g_byte_array_remove_index (GByteArray * array,guint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_remove_index "<<std::endl;
#endif /* DEBUG */
array =( GByteArray * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_byte_array_remove_index ( array,index_);
return octave_value(ret_type);
}
DEFUN_DLD( g_byte_array_remove_index_fast , args , , " GByteArray* g_byte_array_remove_index_fast (GByteArray * array,guint index_); " )
{
GByteArray *   array ;
guint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GByteArray* g_byte_array_remove_index_fast (GByteArray * array,guint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_remove_index_fast "<<std::endl;
#endif /* DEBUG */
array =( GByteArray * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_byte_array_remove_index_fast ( array,index_);
return octave_value(ret_type);
}
DEFUN_DLD( g_byte_array_sort , args , , " void g_byte_array_sort (GByteArray * array,GCompareFunc compare_func); " )
{
GByteArray *   array ;
GCompareFunc   compare_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_byte_array_sort (GByteArray * array,GCompareFunc compare_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_sort "<<std::endl;
#endif /* DEBUG */
array =( GByteArray * )args( 0 ).long_value();
compare_func = (  GCompareFunc  ) args( 1 ).long_value();
g_byte_array_sort ( array,compare_func);
return octave_value();
}
DEFUN_DLD( g_byte_array_sort_with_data , args , , " void g_byte_array_sort_with_data (GByteArray * array,GCompareDataFunc compare_func,gpointer user_data); " )
{
GByteArray *   array ;
GCompareDataFunc   compare_func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_byte_array_sort_with_data (GByteArray * array,GCompareDataFunc compare_func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_byte_array_sort_with_data "<<std::endl;
#endif /* DEBUG */
array =( GByteArray * )args( 0 ).long_value();
compare_func = (  GCompareDataFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_byte_array_sort_with_data ( array,compare_func,user_data);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_async_queue_new , args , , " GAsyncQueue* g_async_queue_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_async_queue_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_async_queue_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_async_queue_lock , args , , " void g_async_queue_lock (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_async_queue_lock (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_lock "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
g_async_queue_lock ( queue);
return octave_value();
}
DEFUN_DLD( g_async_queue_unlock , args , , " void g_async_queue_unlock (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_async_queue_unlock (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_unlock "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
g_async_queue_unlock ( queue);
return octave_value();
}
DEFUN_DLD( g_async_queue_ref , args , , " void g_async_queue_ref (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_async_queue_ref (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_ref "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
g_async_queue_ref ( queue);
return octave_value();
}
DEFUN_DLD( g_async_queue_ref_unlocked , args , , " void g_async_queue_ref_unlocked (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_async_queue_ref_unlocked (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_ref_unlocked "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
g_async_queue_ref_unlocked ( queue);
return octave_value();
}
DEFUN_DLD( g_async_queue_unref , args , , " void g_async_queue_unref (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_async_queue_unref (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_unref "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
g_async_queue_unref ( queue);
return octave_value();
}
DEFUN_DLD( g_async_queue_unref_and_unlock , args , , " void g_async_queue_unref_and_unlock (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_async_queue_unref_and_unlock (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_unref_and_unlock "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
g_async_queue_unref_and_unlock ( queue);
return octave_value();
}
DEFUN_DLD( g_async_queue_push , args , , " void g_async_queue_push (GAsyncQueue * queue,gpointer data); " )
{
GAsyncQueue *   queue ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_async_queue_push (GAsyncQueue * queue,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_push "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
g_async_queue_push ( queue,data);
return octave_value();
}
DEFUN_DLD( g_async_queue_push_unlocked , args , , " void g_async_queue_push_unlocked (GAsyncQueue * queue,gpointer data); " )
{
GAsyncQueue *   queue ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_async_queue_push_unlocked (GAsyncQueue * queue,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_push_unlocked "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
g_async_queue_push_unlocked ( queue,data);
return octave_value();
}
DEFUN_DLD( g_async_queue_pop , args , , " gpointer g_async_queue_pop (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_async_queue_pop (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_pop "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_async_queue_pop ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_async_queue_pop_unlocked , args , , " gpointer g_async_queue_pop_unlocked (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_async_queue_pop_unlocked (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_pop_unlocked "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_async_queue_pop_unlocked ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_async_queue_try_pop , args , , " gpointer g_async_queue_try_pop (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_async_queue_try_pop (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_try_pop "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_async_queue_try_pop ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_async_queue_try_pop_unlocked , args , , " gpointer g_async_queue_try_pop_unlocked (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_async_queue_try_pop_unlocked (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_try_pop_unlocked "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_async_queue_try_pop_unlocked ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_async_queue_timed_pop , args , , " gpointer g_async_queue_timed_pop (GAsyncQueue * queue,GTimeVal * end_time); " )
{
GAsyncQueue *   queue ;
GTimeVal *   end_time ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_async_queue_timed_pop (GAsyncQueue * queue,GTimeVal * end_time); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_timed_pop "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
end_time =( GTimeVal * )args( 1 ).long_value();
long int ret_type= (long int) g_async_queue_timed_pop ( queue,end_time);
return octave_value(ret_type);
}
DEFUN_DLD( g_async_queue_timed_pop_unlocked , args , , " gpointer g_async_queue_timed_pop_unlocked (GAsyncQueue * queue,GTimeVal * end_time); " )
{
GAsyncQueue *   queue ;
GTimeVal *   end_time ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_async_queue_timed_pop_unlocked (GAsyncQueue * queue,GTimeVal * end_time); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_timed_pop_unlocked "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
end_time =( GTimeVal * )args( 1 ).long_value();
long int ret_type= (long int) g_async_queue_timed_pop_unlocked ( queue,end_time);
return octave_value(ret_type);
}
DEFUN_DLD( g_async_queue_length , args , , " gint g_async_queue_length (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint g_async_queue_length (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_length "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
long int ret_type=(long int) g_async_queue_length ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_async_queue_length_unlocked , args , , " gint g_async_queue_length_unlocked (GAsyncQueue * queue); " )
{
GAsyncQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint g_async_queue_length_unlocked (GAsyncQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_async_queue_length_unlocked "<<std::endl;
#endif /* DEBUG */
queue =( GAsyncQueue * )args( 0 ).long_value();
long int ret_type=(long int) g_async_queue_length_unlocked ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_on_error_query , args , , " void g_on_error_query (gchar * prg_name); " )
{
gchar *   prg_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_on_error_query (gchar * prg_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_on_error_query "<<std::endl;
#endif /* DEBUG */
prg_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) prg_name ,args( 0 ).string_value().c_str());
g_on_error_query ( prg_name);
return octave_value();
}
DEFUN_DLD( g_on_error_stack_trace , args , , " void g_on_error_stack_trace (gchar * prg_name); " )
{
gchar *   prg_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_on_error_stack_trace (gchar * prg_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_on_error_stack_trace "<<std::endl;
#endif /* DEBUG */
prg_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) prg_name ,args( 0 ).string_value().c_str());
g_on_error_stack_trace ( prg_name);
return octave_value();
}
DEFUN_DLD( g_cache_new , args , , " GCache* g_cache_new (GCacheNewFunc value_new_func,GCacheDestroyFunc value_destroy_func,GCacheDupFunc key_dup_func,GCacheDestroyFunc key_destroy_func,GHashFunc hash_key_func,GHashFunc hash_value_func,GEqualFunc key_equal_func); " )
{
GCacheNewFunc   value_new_func ;
GCacheDestroyFunc   value_destroy_func ;
GCacheDupFunc   key_dup_func ;
GCacheDestroyFunc   key_destroy_func ;
GHashFunc   hash_key_func ;
GHashFunc   hash_value_func ;
GEqualFunc   key_equal_func ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  GCache* g_cache_new (GCacheNewFunc value_new_func,GCacheDestroyFunc value_destroy_func,GCacheDupFunc key_dup_func,GCacheDestroyFunc key_destroy_func,GHashFunc hash_key_func,GHashFunc hash_value_func,GEqualFunc key_equal_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_cache_new "<<std::endl;
#endif /* DEBUG */
value_new_func = (  GCacheNewFunc  ) args( 0 ).long_value();
value_destroy_func = (  GCacheDestroyFunc  ) args( 1 ).long_value();
key_dup_func = (  GCacheDupFunc  ) args( 2 ).long_value();
key_destroy_func = (  GCacheDestroyFunc  ) args( 3 ).long_value();
hash_key_func = (  GHashFunc  ) args( 4 ).long_value();
hash_value_func = (  GHashFunc  ) args( 5 ).long_value();
key_equal_func = (  GEqualFunc  ) args( 6 ).long_value();
long int ret_type= (long int) g_cache_new ( value_new_func,value_destroy_func,key_dup_func,key_destroy_func,hash_key_func,hash_value_func,key_equal_func);
return octave_value(ret_type);
}
DEFUN_DLD( g_cache_destroy , args , , " void g_cache_destroy (GCache * cache); " )
{
GCache *   cache ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_cache_destroy (GCache * cache); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_cache_destroy "<<std::endl;
#endif /* DEBUG */
cache =( GCache * )args( 0 ).long_value();
g_cache_destroy ( cache);
return octave_value();
}
DEFUN_DLD( g_cache_insert , args , , " gpointer g_cache_insert (GCache * cache,gpointer key); " )
{
GCache *   cache ;
gpointer   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_cache_insert (GCache * cache,gpointer key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_cache_insert "<<std::endl;
#endif /* DEBUG */
cache =( GCache * )args( 0 ).long_value();
key =( gpointer )args( 1 ).long_value();
long int ret_type= (long int) g_cache_insert ( cache,key);
return octave_value(ret_type);
}
DEFUN_DLD( g_cache_remove , args , , " void g_cache_remove (GCache * cache,gconstpointer value); " )
{
GCache *   cache ;
gconstpointer   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_cache_remove (GCache * cache,gconstpointer value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_cache_remove "<<std::endl;
#endif /* DEBUG */
cache =( GCache * )args( 0 ).long_value();
value =( gconstpointer )args( 1 ).long_value();
g_cache_remove ( cache,value);
return octave_value();
}
DEFUN_DLD( g_cache_key_foreach , args , , " void g_cache_key_foreach (GCache * cache,GHFunc func,gpointer user_data); " )
{
GCache *   cache ;
GHFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_cache_key_foreach (GCache * cache,GHFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_cache_key_foreach "<<std::endl;
#endif /* DEBUG */
cache =( GCache * )args( 0 ).long_value();
func = (  GHFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_cache_key_foreach ( cache,func,user_data);
return octave_value();
}
DEFUN_DLD( g_cache_value_foreach , args , , " void g_cache_value_foreach (GCache * cache,GHFunc func,gpointer user_data); " )
{
GCache *   cache ;
GHFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_cache_value_foreach (GCache * cache,GHFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_cache_value_foreach "<<std::endl;
#endif /* DEBUG */
cache =( GCache * )args( 0 ).long_value();
func = (  GHFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_cache_value_foreach ( cache,func,user_data);
return octave_value();
}
DEFUN_DLD( g_completion_new , args , , " GCompletion* g_completion_new (GCompletionFunc func); " )
{
GCompletionFunc   func ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GCompletion* g_completion_new (GCompletionFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_completion_new "<<std::endl;
#endif /* DEBUG */
func = (  GCompletionFunc  ) args( 0 ).long_value();
long int ret_type= (long int) g_completion_new ( func);
return octave_value(ret_type);
}
DEFUN_DLD( g_completion_add_items , args , , " void g_completion_add_items (GCompletion* cmp,GList* items); " )
{
GCompletion*   cmp ;
GList*   items ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_completion_add_items (GCompletion* cmp,GList* items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_completion_add_items "<<std::endl;
#endif /* DEBUG */
cmp =( GCompletion* )args( 0 ).long_value();
items =( GList* )args( 1 ).long_value();
g_completion_add_items ( cmp,items);
return octave_value();
}
DEFUN_DLD( g_completion_remove_items , args , , " void g_completion_remove_items (GCompletion* cmp,GList* items); " )
{
GCompletion*   cmp ;
GList*   items ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_completion_remove_items (GCompletion* cmp,GList* items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_completion_remove_items "<<std::endl;
#endif /* DEBUG */
cmp =( GCompletion* )args( 0 ).long_value();
items =( GList* )args( 1 ).long_value();
g_completion_remove_items ( cmp,items);
return octave_value();
}
DEFUN_DLD( g_completion_clear_items , args , , " void g_completion_clear_items (GCompletion* cmp); " )
{
GCompletion*   cmp ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_completion_clear_items (GCompletion* cmp); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_completion_clear_items "<<std::endl;
#endif /* DEBUG */
cmp =( GCompletion* )args( 0 ).long_value();
g_completion_clear_items ( cmp);
return octave_value();
}
DEFUN_DLD( g_completion_complete , args , , " GList* g_completion_complete (GCompletion* cmp,gchar* prefix,gchar** new_prefix); " )
{
GCompletion*   cmp ;
gchar*   prefix ;
gchar**   new_prefix ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GList* g_completion_complete (GCompletion* cmp,gchar* prefix,gchar** new_prefix); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_completion_complete "<<std::endl;
#endif /* DEBUG */
cmp =( GCompletion* )args( 0 ).long_value();
prefix =( gchar* )args( 1 ).long_value();
new_prefix =( gchar** )args( 2 ).long_value();
long int ret_type= (long int) g_completion_complete ( cmp,prefix,new_prefix);
return octave_value(ret_type);
}
DEFUN_DLD( g_completion_set_compare , args , , " void g_completion_set_compare (GCompletion * cmp,GCompletionStrncmpFunc strncmp_func); " )
{
GCompletion *   cmp ;
GCompletionStrncmpFunc   strncmp_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_completion_set_compare (GCompletion * cmp,GCompletionStrncmpFunc strncmp_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_completion_set_compare "<<std::endl;
#endif /* DEBUG */
cmp =( GCompletion * )args( 0 ).long_value();
strncmp_func = (  GCompletionStrncmpFunc  ) args( 1 ).long_value();
g_completion_set_compare ( cmp,strncmp_func);
return octave_value();
}
DEFUN_DLD( g_completion_free , args , , " void g_completion_free (GCompletion* cmp); " )
{
GCompletion*   cmp ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_completion_free (GCompletion* cmp); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_completion_free "<<std::endl;
#endif /* DEBUG */
cmp =( GCompletion* )args( 0 ).long_value();
g_completion_free ( cmp);
return octave_value();
}
/* overriden: g_datalist_init  */
/* overriden: g_datalist_clear  */
/* overriden: g_datalist_id_get_data  */
/* overriden: g_datalist_id_set_data_full  */
/* overriden: g_datalist_id_remove_no_notify  */
/* overriden: g_datalist_foreach  */
DEFUN_DLD( g_dataset_destroy , args , , " void g_dataset_destroy (gconstpointer dataset_location); " )
{
gconstpointer   dataset_location ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_dataset_destroy (gconstpointer dataset_location); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_dataset_destroy "<<std::endl;
#endif /* DEBUG */
dataset_location =( gconstpointer )args( 0 ).long_value();
g_dataset_destroy ( dataset_location);
return octave_value();
}
DEFUN_DLD( g_dataset_id_get_data , args , , " gpointer g_dataset_id_get_data (gconstpointer dataset_location,GQuark key_id); " )
{
gconstpointer   dataset_location ;
GQuark   key_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_dataset_id_get_data (gconstpointer dataset_location,GQuark key_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_dataset_id_get_data "<<std::endl;
#endif /* DEBUG */
dataset_location =( gconstpointer )args( 0 ).long_value();
key_id = (  GQuark  ) args( 1 ).long_value();
long int ret_type= (long int) g_dataset_id_get_data ( dataset_location,key_id);
return octave_value(ret_type);
}
DEFUN_DLD( g_dataset_id_set_data_full , args , , " void g_dataset_id_set_data_full (gconstpointer dataset_location,GQuark key_id,gpointer data,GDestroyNotify destroy_func); " )
{
gconstpointer   dataset_location ;
GQuark   key_id ;
gpointer   data ;
GDestroyNotify   destroy_func ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_dataset_id_set_data_full (gconstpointer dataset_location,GQuark key_id,gpointer data,GDestroyNotify destroy_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_dataset_id_set_data_full "<<std::endl;
#endif /* DEBUG */
dataset_location =( gconstpointer )args( 0 ).long_value();
key_id = (  GQuark  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
destroy_func = (  GDestroyNotify  ) args( 3 ).long_value();
g_dataset_id_set_data_full ( dataset_location,key_id,data,destroy_func);
return octave_value();
}
DEFUN_DLD( g_dataset_id_remove_no_notify , args , , " gpointer g_dataset_id_remove_no_notify (gconstpointer dataset_location,GQuark key_id); " )
{
gconstpointer   dataset_location ;
GQuark   key_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_dataset_id_remove_no_notify (gconstpointer dataset_location,GQuark key_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_dataset_id_remove_no_notify "<<std::endl;
#endif /* DEBUG */
dataset_location =( gconstpointer )args( 0 ).long_value();
key_id = (  GQuark  ) args( 1 ).long_value();
long int ret_type= (long int) g_dataset_id_remove_no_notify ( dataset_location,key_id);
return octave_value(ret_type);
}
DEFUN_DLD( g_dataset_foreach , args , , " void g_dataset_foreach (gconstpointer dataset_location,GDataForeachFunc func,gpointer user_data); " )
{
gconstpointer   dataset_location ;
GDataForeachFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_dataset_foreach (gconstpointer dataset_location,GDataForeachFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_dataset_foreach "<<std::endl;
#endif /* DEBUG */
dataset_location =( gconstpointer )args( 0 ).long_value();
func = (  GDataForeachFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_dataset_foreach ( dataset_location,func,user_data);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_date_new , args , , " GDate* g_date_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_date_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_date_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_date_new_dmy , args , , " GDate* g_date_new_dmy (GDateDay day,GDateMonth month,GDateYear year); " )
{
GDateDay   day ;
GDateMonth   month ;
GDateYear   year ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GDate* g_date_new_dmy (GDateDay day,GDateMonth month,GDateYear year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_new_dmy "<<std::endl;
#endif /* DEBUG */
day = (  GDateDay  ) args( 0 ).long_value();
month = (  GDateMonth  ) args( 1 ).long_value();
year = (  GDateYear  ) args( 2 ).long_value();
long int ret_type= (long int) g_date_new_dmy ( day,month,year);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_new_julian , args , , " GDate* g_date_new_julian (guint32 julian_day); " )
{
guint32   julian_day ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GDate* g_date_new_julian (guint32 julian_day); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_new_julian "<<std::endl;
#endif /* DEBUG */
julian_day = (  guint32  ) args( 0 ).int_value();
long int ret_type= (long int) g_date_new_julian ( julian_day);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_free , args , , " void g_date_free (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_date_free (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_free "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
g_date_free ( date);
return octave_value();
}
DEFUN_DLD( g_date_valid , args , , " gboolean g_date_valid (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_valid (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_valid "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_valid ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_valid_day , args , , " gboolean g_date_valid_day (GDateDay day); " )
{
GDateDay   day ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_valid_day (GDateDay day); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_valid_day "<<std::endl;
#endif /* DEBUG */
day = (  GDateDay  ) args( 0 ).long_value();
long int ret_type=(long int) g_date_valid_day ( day);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_valid_month , args , , " gboolean g_date_valid_month (GDateMonth month); " )
{
GDateMonth   month ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_valid_month (GDateMonth month); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_valid_month "<<std::endl;
#endif /* DEBUG */
month = (  GDateMonth  ) args( 0 ).long_value();
long int ret_type=(long int) g_date_valid_month ( month);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_valid_year , args , , " gboolean g_date_valid_year (GDateYear year); " )
{
GDateYear   year ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_valid_year (GDateYear year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_valid_year "<<std::endl;
#endif /* DEBUG */
year = (  GDateYear  ) args( 0 ).long_value();
long int ret_type=(long int) g_date_valid_year ( year);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_valid_weekday , args , , " gboolean g_date_valid_weekday (GDateWeekday weekday); " )
{
GDateWeekday   weekday ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_valid_weekday (GDateWeekday weekday); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_valid_weekday "<<std::endl;
#endif /* DEBUG */
weekday = (  GDateWeekday  ) args( 0 ).long_value();
long int ret_type=(long int) g_date_valid_weekday ( weekday);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_valid_julian , args , , " gboolean g_date_valid_julian (guint32 julian_date); " )
{
guint32   julian_date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_valid_julian (guint32 julian_date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_valid_julian "<<std::endl;
#endif /* DEBUG */
julian_date = (  guint32  ) args( 0 ).int_value();
long int ret_type=(long int) g_date_valid_julian ( julian_date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_valid_dmy , args , , " gboolean g_date_valid_dmy (GDateDay day,GDateMonth month,GDateYear year); " )
{
GDateDay   day ;
GDateMonth   month ;
GDateYear   year ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean g_date_valid_dmy (GDateDay day,GDateMonth month,GDateYear year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_valid_dmy "<<std::endl;
#endif /* DEBUG */
day = (  GDateDay  ) args( 0 ).long_value();
month = (  GDateMonth  ) args( 1 ).long_value();
year = (  GDateYear  ) args( 2 ).long_value();
long int ret_type=(long int) g_date_valid_dmy ( day,month,year);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_weekday , args , , " GDateWeekday g_date_get_weekday (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GDateWeekday g_date_get_weekday (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_weekday "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_get_weekday ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_month , args , , " GDateMonth g_date_get_month (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GDateMonth g_date_get_month (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_month "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_get_month ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_year , args , , " GDateYear g_date_get_year (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GDateYear g_date_get_year (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_year "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_get_year ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_day , args , , " GDateDay g_date_get_day (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GDateDay g_date_get_day (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_day "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_get_day ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_julian , args , , " guint32 g_date_get_julian (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint32 g_date_get_julian (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_julian "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_get_julian ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_day_of_year , args , , " guint g_date_get_day_of_year (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_date_get_day_of_year (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_day_of_year "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_get_day_of_year ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_monday_week_of_year , args , , " guint g_date_get_monday_week_of_year (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_date_get_monday_week_of_year (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_monday_week_of_year "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_get_monday_week_of_year ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_sunday_week_of_year , args , , " guint g_date_get_sunday_week_of_year (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_date_get_sunday_week_of_year (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_sunday_week_of_year "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_get_sunday_week_of_year ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_clear , args , , " void g_date_clear (GDate * date,guint n_dates); " )
{
GDate *   date ;
guint   n_dates ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_clear (GDate * date,guint n_dates); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_clear "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
n_dates = (  guint  ) args( 1 ).int_value();
g_date_clear ( date,n_dates);
return octave_value();
}
DEFUN_DLD( g_date_set_parse , args , , " void g_date_set_parse (GDate * date,gchar * str); " )
{
GDate *   date ;
gchar *   str ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_set_parse (GDate * date,gchar * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_set_parse "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
str = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
g_date_set_parse ( date,str);
return octave_value();
}
DEFUN_DLD( g_date_set_time , args , , " void g_date_set_time (GDate * date,GTime time_); " )
{
GDate *   date ;
GTime   time_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_set_time (GDate * date,GTime time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_set_time "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
time_ = (  GTime  ) args( 1 ).long_value();
g_date_set_time ( date,time_);
return octave_value();
}
DEFUN_DLD( g_date_set_month , args , , " void g_date_set_month (GDate * date,GDateMonth month); " )
{
GDate *   date ;
GDateMonth   month ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_set_month (GDate * date,GDateMonth month); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_set_month "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
month = (  GDateMonth  ) args( 1 ).long_value();
g_date_set_month ( date,month);
return octave_value();
}
DEFUN_DLD( g_date_set_day , args , , " void g_date_set_day (GDate * date,GDateDay day); " )
{
GDate *   date ;
GDateDay   day ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_set_day (GDate * date,GDateDay day); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_set_day "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
day = (  GDateDay  ) args( 1 ).long_value();
g_date_set_day ( date,day);
return octave_value();
}
DEFUN_DLD( g_date_set_year , args , , " void g_date_set_year (GDate * date,GDateYear year); " )
{
GDate *   date ;
GDateYear   year ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_set_year (GDate * date,GDateYear year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_set_year "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
year = (  GDateYear  ) args( 1 ).long_value();
g_date_set_year ( date,year);
return octave_value();
}
DEFUN_DLD( g_date_set_dmy , args , , " void g_date_set_dmy (GDate * date,GDateDay day,GDateMonth month,GDateYear y); " )
{
GDate *   date ;
GDateDay   day ;
GDateMonth   month ;
GDateYear   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_date_set_dmy (GDate * date,GDateDay day,GDateMonth month,GDateYear y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_set_dmy "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
day = (  GDateDay  ) args( 1 ).long_value();
month = (  GDateMonth  ) args( 2 ).long_value();
y = (  GDateYear  ) args( 3 ).long_value();
g_date_set_dmy ( date,day,month,y);
return octave_value();
}
DEFUN_DLD( g_date_set_julian , args , , " void g_date_set_julian (GDate * date,guint32 julian_date); " )
{
GDate *   date ;
guint32   julian_date ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_set_julian (GDate * date,guint32 julian_date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_set_julian "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
julian_date = (  guint32  ) args( 1 ).int_value();
g_date_set_julian ( date,julian_date);
return octave_value();
}
DEFUN_DLD( g_date_is_first_of_month , args , , " gboolean g_date_is_first_of_month (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_is_first_of_month (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_is_first_of_month "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_is_first_of_month ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_is_last_of_month , args , , " gboolean g_date_is_last_of_month (GDate * date); " )
{
GDate *   date ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_is_last_of_month (GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_is_last_of_month "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
long int ret_type=(long int) g_date_is_last_of_month ( date);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_add_days , args , , " void g_date_add_days (GDate * date,guint n_days); " )
{
GDate *   date ;
guint   n_days ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_add_days (GDate * date,guint n_days); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_add_days "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
n_days = (  guint  ) args( 1 ).int_value();
g_date_add_days ( date,n_days);
return octave_value();
}
DEFUN_DLD( g_date_subtract_days , args , , " void g_date_subtract_days (GDate * date,guint n_days); " )
{
GDate *   date ;
guint   n_days ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_subtract_days (GDate * date,guint n_days); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_subtract_days "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
n_days = (  guint  ) args( 1 ).int_value();
g_date_subtract_days ( date,n_days);
return octave_value();
}
DEFUN_DLD( g_date_add_months , args , , " void g_date_add_months (GDate * date,guint n_months); " )
{
GDate *   date ;
guint   n_months ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_add_months (GDate * date,guint n_months); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_add_months "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
n_months = (  guint  ) args( 1 ).int_value();
g_date_add_months ( date,n_months);
return octave_value();
}
DEFUN_DLD( g_date_subtract_months , args , , " void g_date_subtract_months (GDate * date,guint n_months); " )
{
GDate *   date ;
guint   n_months ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_subtract_months (GDate * date,guint n_months); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_subtract_months "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
n_months = (  guint  ) args( 1 ).int_value();
g_date_subtract_months ( date,n_months);
return octave_value();
}
DEFUN_DLD( g_date_add_years , args , , " void g_date_add_years (GDate * date,guint n_years); " )
{
GDate *   date ;
guint   n_years ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_add_years (GDate * date,guint n_years); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_add_years "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
n_years = (  guint  ) args( 1 ).int_value();
g_date_add_years ( date,n_years);
return octave_value();
}
DEFUN_DLD( g_date_subtract_years , args , , " void g_date_subtract_years (GDate * date,guint n_years); " )
{
GDate *   date ;
guint   n_years ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_subtract_years (GDate * date,guint n_years); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_subtract_years "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
n_years = (  guint  ) args( 1 ).int_value();
g_date_subtract_years ( date,n_years);
return octave_value();
}
DEFUN_DLD( g_date_is_leap_year , args , , " gboolean g_date_is_leap_year (GDateYear year); " )
{
GDateYear   year ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_date_is_leap_year (GDateYear year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_is_leap_year "<<std::endl;
#endif /* DEBUG */
year = (  GDateYear  ) args( 0 ).long_value();
long int ret_type=(long int) g_date_is_leap_year ( year);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_days_in_month , args , , " guint8 g_date_get_days_in_month (GDateMonth month,GDateYear year); " )
{
GDateMonth   month ;
GDateYear   year ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint8 g_date_get_days_in_month (GDateMonth month,GDateYear year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_days_in_month "<<std::endl;
#endif /* DEBUG */
month = (  GDateMonth  ) args( 0 ).long_value();
year = (  GDateYear  ) args( 1 ).long_value();
long int ret_type=(long int) g_date_get_days_in_month ( month,year);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_monday_weeks_in_year , args , , " guint8 g_date_get_monday_weeks_in_year (GDateYear year); " )
{
GDateYear   year ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint8 g_date_get_monday_weeks_in_year (GDateYear year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_monday_weeks_in_year "<<std::endl;
#endif /* DEBUG */
year = (  GDateYear  ) args( 0 ).long_value();
long int ret_type=(long int) g_date_get_monday_weeks_in_year ( year);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_get_sunday_weeks_in_year , args , , " guint8 g_date_get_sunday_weeks_in_year (GDateYear year); " )
{
GDateYear   year ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint8 g_date_get_sunday_weeks_in_year (GDateYear year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_get_sunday_weeks_in_year "<<std::endl;
#endif /* DEBUG */
year = (  GDateYear  ) args( 0 ).long_value();
long int ret_type=(long int) g_date_get_sunday_weeks_in_year ( year);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_days_between , args , , " gint g_date_days_between (GDate * date1,GDate * date2); " )
{
GDate *   date1 ;
GDate *   date2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_date_days_between (GDate * date1,GDate * date2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_days_between "<<std::endl;
#endif /* DEBUG */
date1 =( GDate * )args( 0 ).long_value();
date2 =( GDate * )args( 1 ).long_value();
long int ret_type=(long int) g_date_days_between ( date1,date2);
return octave_value(ret_type);
}
DEFUN_DLD( g_date_compare , args , , " gint g_date_compare (GDate * lhs,GDate * rhs); " )
{
GDate *   lhs ;
GDate *   rhs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_date_compare (GDate * lhs,GDate * rhs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_compare "<<std::endl;
#endif /* DEBUG */
lhs =( GDate * )args( 0 ).long_value();
rhs =( GDate * )args( 1 ).long_value();
long int ret_type=(long int) g_date_compare ( lhs,rhs);
return octave_value(ret_type);
}
/* overriden: g_date_to_struct_tm  */
DEFUN_DLD( g_date_clamp , args , , " void g_date_clamp (GDate * date,GDate * min_date,GDate * max_date); " )
{
GDate *   date ;
GDate *   min_date ;
GDate *   max_date ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_date_clamp (GDate * date,GDate * min_date,GDate * max_date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_clamp "<<std::endl;
#endif /* DEBUG */
date =( GDate * )args( 0 ).long_value();
min_date =( GDate * )args( 1 ).long_value();
max_date =( GDate * )args( 2 ).long_value();
g_date_clamp ( date,min_date,max_date);
return octave_value();
}
DEFUN_DLD( g_date_order , args , , " void g_date_order (GDate * date1,GDate * date2); " )
{
GDate *   date1 ;
GDate *   date2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_date_order (GDate * date1,GDate * date2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_order "<<std::endl;
#endif /* DEBUG */
date1 =( GDate * )args( 0 ).long_value();
date2 =( GDate * )args( 1 ).long_value();
g_date_order ( date1,date2);
return octave_value();
}
DEFUN_DLD( g_date_strftime , args , , " gsize g_date_strftime (gchar * s,gsize slen,gchar * format,GDate * date); " )
{
gchar *   s ;
gsize   slen ;
gchar *   format ;
GDate *   date ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gsize g_date_strftime (gchar * s,gsize slen,gchar * format,GDate * date); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_date_strftime "<<std::endl;
#endif /* DEBUG */
s = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) s ,args( 0 ).string_value().c_str());
slen = (  gsize  ) args( 1 ).long_value();
format = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) format ,args( 2 ).string_value().c_str());
date =( GDate * )args( 3 ).long_value();
long int ret_type=(long int) g_date_strftime ( s,slen,format,date);
return octave_value(ret_type);
}
/* overriden: g_dir_open  */
DEFUN_DLD( g_dir_read_name , args , , " gchar * g_dir_read_name (GDir * dir); " )
{
GDir *   dir ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * g_dir_read_name (GDir * dir); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_dir_read_name "<<std::endl;
#endif /* DEBUG */
dir =( GDir * )args( 0 ).long_value();
string  ret_type( g_dir_read_name ( dir));
return octave_value(ret_type);
}
DEFUN_DLD( g_dir_rewind , args , , " void g_dir_rewind (GDir * dir); " )
{
GDir *   dir ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_dir_rewind (GDir * dir); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_dir_rewind "<<std::endl;
#endif /* DEBUG */
dir =( GDir * )args( 0 ).long_value();
g_dir_rewind ( dir);
return octave_value();
}
DEFUN_DLD( g_dir_close , args , , " void g_dir_close (GDir * dir); " )
{
GDir *   dir ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_dir_close (GDir * dir); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_dir_close "<<std::endl;
#endif /* DEBUG */
dir =( GDir * )args( 0 ).long_value();
g_dir_close ( dir);
return octave_value();
}
DEFUN_DLD( g_error_new , args , , " GError* g_error_new (GQuark domain,gint code,gchar * format,char * varargs_value); " )
{
GQuark   domain ;
gint   code ;
gchar *   format ;
char *   varargs_value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GError* g_error_new (GQuark domain,gint code,gchar * format,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_error_new "<<std::endl;
#endif /* DEBUG */
domain = (  GQuark  ) args( 0 ).long_value();
code = (  gint  ) args( 1 ).int_value();
format = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) format ,args( 2 ).string_value().c_str());
varargs_value = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 3 ).string_value().c_str());
long int ret_type= (long int) g_error_new ( domain,code,format,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( g_error_new_literal , args , , " GError* g_error_new_literal (GQuark domain,gint code,gchar * message); " )
{
GQuark   domain ;
gint   code ;
gchar *   message ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GError* g_error_new_literal (GQuark domain,gint code,gchar * message); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_error_new_literal "<<std::endl;
#endif /* DEBUG */
domain = (  GQuark  ) args( 0 ).long_value();
code = (  gint  ) args( 1 ).int_value();
message = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) message ,args( 2 ).string_value().c_str());
long int ret_type= (long int) g_error_new_literal ( domain,code,message);
return octave_value(ret_type);
}
DEFUN_DLD( g_error_free , args , , " void g_error_free (GError * error); " )
{
GError *   error ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_error_free (GError * error); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_error_free "<<std::endl;
#endif /* DEBUG */
error =( GError * )args( 0 ).long_value();
g_error_free ( error);
return octave_value();
}
DEFUN_DLD( g_error_copy , args , , " GError* g_error_copy (GError * error); " )
{
GError *   error ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GError* g_error_copy (GError * error); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_error_copy "<<std::endl;
#endif /* DEBUG */
error =( GError * )args( 0 ).long_value();
long int ret_type= (long int) g_error_copy ( error);
return octave_value(ret_type);
}
DEFUN_DLD( g_error_matches , args , , " gboolean g_error_matches (GError * error,GQuark domain,gint code); " )
{
GError *   error ;
GQuark   domain ;
gint   code ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean g_error_matches (GError * error,GQuark domain,gint code); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_error_matches "<<std::endl;
#endif /* DEBUG */
error =( GError * )args( 0 ).long_value();
domain = (  GQuark  ) args( 1 ).long_value();
code = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) g_error_matches ( error,domain,code);
return octave_value(ret_type);
}
/* overriden: g_set_error  */
/* overriden: g_propagate_error  */
/* overriden: g_clear_error  */
DEFUN_DLD( g_hash_table_new , args , , " GHashTable* g_hash_table_new (GHashFunc hash_func,GEqualFunc key_equal_func); " )
{
GHashFunc   hash_func ;
GEqualFunc   key_equal_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GHashTable* g_hash_table_new (GHashFunc hash_func,GEqualFunc key_equal_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_new "<<std::endl;
#endif /* DEBUG */
hash_func = (  GHashFunc  ) args( 0 ).long_value();
key_equal_func = (  GEqualFunc  ) args( 1 ).long_value();
long int ret_type= (long int) g_hash_table_new ( hash_func,key_equal_func);
return octave_value(ret_type);
}
DEFUN_DLD( g_hash_table_new_full , args , , " GHashTable* g_hash_table_new_full (GHashFunc hash_func,GEqualFunc key_equal_func,GDestroyNotify key_destroy_func,GDestroyNotify value_destroy_func); " )
{
GHashFunc   hash_func ;
GEqualFunc   key_equal_func ;
GDestroyNotify   key_destroy_func ;
GDestroyNotify   value_destroy_func ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GHashTable* g_hash_table_new_full (GHashFunc hash_func,GEqualFunc key_equal_func,GDestroyNotify key_destroy_func,GDestroyNotify value_destroy_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_new_full "<<std::endl;
#endif /* DEBUG */
hash_func = (  GHashFunc  ) args( 0 ).long_value();
key_equal_func = (  GEqualFunc  ) args( 1 ).long_value();
key_destroy_func = (  GDestroyNotify  ) args( 2 ).long_value();
value_destroy_func = (  GDestroyNotify  ) args( 3 ).long_value();
long int ret_type= (long int) g_hash_table_new_full ( hash_func,key_equal_func,key_destroy_func,value_destroy_func);
return octave_value(ret_type);
}
DEFUN_DLD( g_hash_table_destroy , args , , " void g_hash_table_destroy (GHashTable * hash_table); " )
{
GHashTable *   hash_table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_hash_table_destroy (GHashTable * hash_table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_destroy "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
g_hash_table_destroy ( hash_table);
return octave_value();
}
DEFUN_DLD( g_hash_table_insert , args , , " void g_hash_table_insert (GHashTable * hash_table,gpointer key,gpointer value); " )
{
GHashTable *   hash_table ;
gpointer   key ;
gpointer   value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_hash_table_insert (GHashTable * hash_table,gpointer key,gpointer value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_insert "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
key =( gpointer )args( 1 ).long_value();
value =( gpointer )args( 2 ).long_value();
g_hash_table_insert ( hash_table,key,value);
return octave_value();
}
DEFUN_DLD( g_hash_table_replace , args , , " void g_hash_table_replace (GHashTable * hash_table,gpointer key,gpointer value); " )
{
GHashTable *   hash_table ;
gpointer   key ;
gpointer   value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_hash_table_replace (GHashTable * hash_table,gpointer key,gpointer value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_replace "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
key =( gpointer )args( 1 ).long_value();
value =( gpointer )args( 2 ).long_value();
g_hash_table_replace ( hash_table,key,value);
return octave_value();
}
DEFUN_DLD( g_hash_table_remove , args , , " gboolean g_hash_table_remove (GHashTable * hash_table,gconstpointer key); " )
{
GHashTable *   hash_table ;
gconstpointer   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_hash_table_remove (GHashTable * hash_table,gconstpointer key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_remove "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
long int ret_type=(long int) g_hash_table_remove ( hash_table,key);
return octave_value(ret_type);
}
DEFUN_DLD( g_hash_table_steal , args , , " gboolean g_hash_table_steal (GHashTable * hash_table,gconstpointer key); " )
{
GHashTable *   hash_table ;
gconstpointer   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_hash_table_steal (GHashTable * hash_table,gconstpointer key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_steal "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
long int ret_type=(long int) g_hash_table_steal ( hash_table,key);
return octave_value(ret_type);
}
DEFUN_DLD( g_hash_table_lookup , args , , " gpointer g_hash_table_lookup (GHashTable * hash_table,gconstpointer key); " )
{
GHashTable *   hash_table ;
gconstpointer   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_hash_table_lookup (GHashTable * hash_table,gconstpointer key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_lookup "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
long int ret_type= (long int) g_hash_table_lookup ( hash_table,key);
return octave_value(ret_type);
}
DEFUN_DLD( g_hash_table_lookup_extended , args , , " gboolean g_hash_table_lookup_extended (GHashTable * hash_table,gconstpointer lookup_key,gpointer * orig_key,gpointer * value); " )
{
GHashTable *   hash_table ;
gconstpointer   lookup_key ;
gpointer *   orig_key ;
gpointer *   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean g_hash_table_lookup_extended (GHashTable * hash_table,gconstpointer lookup_key,gpointer * orig_key,gpointer * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_lookup_extended "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
lookup_key =( gconstpointer )args( 1 ).long_value();
orig_key =( gpointer * )args( 2 ).long_value();
value =( gpointer * )args( 3 ).long_value();
long int ret_type=(long int) g_hash_table_lookup_extended ( hash_table,lookup_key,orig_key,value);
return octave_value(ret_type);
}
DEFUN_DLD( g_hash_table_foreach , args , , " void g_hash_table_foreach (GHashTable * hash_table,GHFunc func,gpointer user_data); " )
{
GHashTable *   hash_table ;
GHFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_hash_table_foreach (GHashTable * hash_table,GHFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_foreach "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
func = (  GHFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_hash_table_foreach ( hash_table,func,user_data);
return octave_value();
}
DEFUN_DLD( g_hash_table_foreach_remove , args , , " guint g_hash_table_foreach_remove (GHashTable * hash_table,GHRFunc func,gpointer user_data); " )
{
GHashTable *   hash_table ;
GHRFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint g_hash_table_foreach_remove (GHashTable * hash_table,GHRFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_foreach_remove "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
func = (  GHRFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
long int ret_type=(long int) g_hash_table_foreach_remove ( hash_table,func,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_hash_table_foreach_steal , args , , " guint g_hash_table_foreach_steal (GHashTable * hash_table,GHRFunc func,gpointer user_data); " )
{
GHashTable *   hash_table ;
GHRFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint g_hash_table_foreach_steal (GHashTable * hash_table,GHRFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_foreach_steal "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
func = (  GHRFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
long int ret_type=(long int) g_hash_table_foreach_steal ( hash_table,func,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_hash_table_size , args , , " guint g_hash_table_size (GHashTable * hash_table); " )
{
GHashTable *   hash_table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_hash_table_size (GHashTable * hash_table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hash_table_size "<<std::endl;
#endif /* DEBUG */
hash_table =( GHashTable * )args( 0 ).long_value();
long int ret_type=(long int) g_hash_table_size ( hash_table);
return octave_value(ret_type);
}
DEFUN_DLD( g_str_equal , args , , " gboolean g_str_equal (gconstpointer v,gconstpointer v2); " )
{
gconstpointer   v ;
gconstpointer   v2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_str_equal (gconstpointer v,gconstpointer v2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_str_equal "<<std::endl;
#endif /* DEBUG */
v =( gconstpointer )args( 0 ).long_value();
v2 =( gconstpointer )args( 1 ).long_value();
long int ret_type=(long int) g_str_equal ( v,v2);
return octave_value(ret_type);
}
DEFUN_DLD( g_str_hash , args , , " guint g_str_hash (gconstpointer v); " )
{
gconstpointer   v ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_str_hash (gconstpointer v); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_str_hash "<<std::endl;
#endif /* DEBUG */
v =( gconstpointer )args( 0 ).long_value();
long int ret_type=(long int) g_str_hash ( v);
return octave_value(ret_type);
}
DEFUN_DLD( g_int_equal , args , , " gboolean g_int_equal (gconstpointer v,gconstpointer v2); " )
{
gconstpointer   v ;
gconstpointer   v2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_int_equal (gconstpointer v,gconstpointer v2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_int_equal "<<std::endl;
#endif /* DEBUG */
v =( gconstpointer )args( 0 ).long_value();
v2 =( gconstpointer )args( 1 ).long_value();
long int ret_type=(long int) g_int_equal ( v,v2);
return octave_value(ret_type);
}
DEFUN_DLD( g_int_hash , args , , " guint g_int_hash (gconstpointer v); " )
{
gconstpointer   v ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_int_hash (gconstpointer v); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_int_hash "<<std::endl;
#endif /* DEBUG */
v =( gconstpointer )args( 0 ).long_value();
long int ret_type=(long int) g_int_hash ( v);
return octave_value(ret_type);
}
DEFUN_DLD( g_direct_hash , args , , " guint g_direct_hash (gconstpointer v); " )
{
gconstpointer   v ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_direct_hash (gconstpointer v); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_direct_hash "<<std::endl;
#endif /* DEBUG */
v =( gconstpointer )args( 0 ).long_value();
long int ret_type=(long int) g_direct_hash ( v);
return octave_value(ret_type);
}
DEFUN_DLD( g_direct_equal , args , , " gboolean g_direct_equal (gconstpointer v,gconstpointer v2); " )
{
gconstpointer   v ;
gconstpointer   v2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_direct_equal (gconstpointer v,gconstpointer v2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_direct_equal "<<std::endl;
#endif /* DEBUG */
v =( gconstpointer )args( 0 ).long_value();
v2 =( gconstpointer )args( 1 ).long_value();
long int ret_type=(long int) g_direct_equal ( v,v2);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_list_init , args , , " void g_hook_list_init (GHookList * hook_list,guint hook_size); " )
{
GHookList *   hook_list ;
guint   hook_size ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_hook_list_init (GHookList * hook_list,guint hook_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_list_init "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook_size = (  guint  ) args( 1 ).int_value();
g_hook_list_init ( hook_list,hook_size);
return octave_value();
}
DEFUN_DLD( g_hook_list_clear , args , , " void g_hook_list_clear (GHookList * hook_list); " )
{
GHookList *   hook_list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_hook_list_clear (GHookList * hook_list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_list_clear "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
g_hook_list_clear ( hook_list);
return octave_value();
}
DEFUN_DLD( g_hook_alloc , args , , " GHook* g_hook_alloc (GHookList * hook_list); " )
{
GHookList *   hook_list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GHook* g_hook_alloc (GHookList * hook_list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_alloc "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
long int ret_type= (long int) g_hook_alloc ( hook_list);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_free , args , , " void g_hook_free (GHookList * hook_list,GHook * hook); " )
{
GHookList *   hook_list ;
GHook *   hook ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_hook_free (GHookList * hook_list,GHook * hook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_free "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook =( GHook * )args( 1 ).long_value();
g_hook_free ( hook_list,hook);
return octave_value();
}
DEFUN_DLD( g_hook_ref , args , , " void g_hook_ref (GHookList * hook_list,GHook * hook); " )
{
GHookList *   hook_list ;
GHook *   hook ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_hook_ref (GHookList * hook_list,GHook * hook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_ref "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook =( GHook * )args( 1 ).long_value();
g_hook_ref ( hook_list,hook);
return octave_value();
}
DEFUN_DLD( g_hook_unref , args , , " void g_hook_unref (GHookList * hook_list,GHook * hook); " )
{
GHookList *   hook_list ;
GHook *   hook ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_hook_unref (GHookList * hook_list,GHook * hook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_unref "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook =( GHook * )args( 1 ).long_value();
g_hook_unref ( hook_list,hook);
return octave_value();
}
DEFUN_DLD( g_hook_destroy , args , , " gboolean g_hook_destroy (GHookList * hook_list,gulong hook_id); " )
{
GHookList *   hook_list ;
gulong   hook_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_hook_destroy (GHookList * hook_list,gulong hook_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_destroy "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook_id = (  gulong  ) args( 1 ).long_value();
long int ret_type=(long int) g_hook_destroy ( hook_list,hook_id);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_destroy_link , args , , " void g_hook_destroy_link (GHookList * hook_list,GHook * hook); " )
{
GHookList *   hook_list ;
GHook *   hook ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_hook_destroy_link (GHookList * hook_list,GHook * hook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_destroy_link "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook =( GHook * )args( 1 ).long_value();
g_hook_destroy_link ( hook_list,hook);
return octave_value();
}
DEFUN_DLD( g_hook_prepend , args , , " void g_hook_prepend (GHookList * hook_list,GHook * hook); " )
{
GHookList *   hook_list ;
GHook *   hook ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_hook_prepend (GHookList * hook_list,GHook * hook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_prepend "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook =( GHook * )args( 1 ).long_value();
g_hook_prepend ( hook_list,hook);
return octave_value();
}
DEFUN_DLD( g_hook_insert_before , args , , " void g_hook_insert_before (GHookList * hook_list,GHook * sibling,GHook * hook); " )
{
GHookList *   hook_list ;
GHook *   sibling ;
GHook *   hook ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_hook_insert_before (GHookList * hook_list,GHook * sibling,GHook * hook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_insert_before "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
sibling =( GHook * )args( 1 ).long_value();
hook =( GHook * )args( 2 ).long_value();
g_hook_insert_before ( hook_list,sibling,hook);
return octave_value();
}
DEFUN_DLD( g_hook_insert_sorted , args , , " void g_hook_insert_sorted (GHookList * hook_list,GHook * hook,GHookCompareFunc func); " )
{
GHookList *   hook_list ;
GHook *   hook ;
GHookCompareFunc   func ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_hook_insert_sorted (GHookList * hook_list,GHook * hook,GHookCompareFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_insert_sorted "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook =( GHook * )args( 1 ).long_value();
func = (  GHookCompareFunc  ) args( 2 ).long_value();
g_hook_insert_sorted ( hook_list,hook,func);
return octave_value();
}
DEFUN_DLD( g_hook_get , args , , " GHook* g_hook_get (GHookList * hook_list,gulong hook_id); " )
{
GHookList *   hook_list ;
gulong   hook_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GHook* g_hook_get (GHookList * hook_list,gulong hook_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_get "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook_id = (  gulong  ) args( 1 ).long_value();
long int ret_type= (long int) g_hook_get ( hook_list,hook_id);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_find , args , , " GHook* g_hook_find (GHookList * hook_list,gboolean need_valids,GHookFindFunc func,gpointer data); " )
{
GHookList *   hook_list ;
gboolean   need_valids ;
GHookFindFunc   func ;
gpointer   data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GHook* g_hook_find (GHookList * hook_list,gboolean need_valids,GHookFindFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_find "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
need_valids = (  gboolean  ) args( 1 ).long_value();
func = (  GHookFindFunc  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
long int ret_type= (long int) g_hook_find ( hook_list,need_valids,func,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_find_data , args , , " GHook* g_hook_find_data (GHookList * hook_list,gboolean need_valids,gpointer data); " )
{
GHookList *   hook_list ;
gboolean   need_valids ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GHook* g_hook_find_data (GHookList * hook_list,gboolean need_valids,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_find_data "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
need_valids = (  gboolean  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) g_hook_find_data ( hook_list,need_valids,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_find_func , args , , " GHook* g_hook_find_func (GHookList * hook_list,gboolean need_valids,gpointer func); " )
{
GHookList *   hook_list ;
gboolean   need_valids ;
gpointer   func ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GHook* g_hook_find_func (GHookList * hook_list,gboolean need_valids,gpointer func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_find_func "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
need_valids = (  gboolean  ) args( 1 ).long_value();
func =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) g_hook_find_func ( hook_list,need_valids,func);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_find_func_data , args , , " GHook* g_hook_find_func_data (GHookList * hook_list,gboolean need_valids,gpointer func,gpointer data); " )
{
GHookList *   hook_list ;
gboolean   need_valids ;
gpointer   func ;
gpointer   data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GHook* g_hook_find_func_data (GHookList * hook_list,gboolean need_valids,gpointer func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_find_func_data "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
need_valids = (  gboolean  ) args( 1 ).long_value();
func =( gpointer )args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
long int ret_type= (long int) g_hook_find_func_data ( hook_list,need_valids,func,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_first_valid , args , , " GHook* g_hook_first_valid (GHookList * hook_list,gboolean may_be_in_call); " )
{
GHookList *   hook_list ;
gboolean   may_be_in_call ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GHook* g_hook_first_valid (GHookList * hook_list,gboolean may_be_in_call); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_first_valid "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
may_be_in_call = (  gboolean  ) args( 1 ).long_value();
long int ret_type= (long int) g_hook_first_valid ( hook_list,may_be_in_call);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_next_valid , args , , " GHook* g_hook_next_valid (GHookList * hook_list,GHook * hook,gboolean may_be_in_call); " )
{
GHookList *   hook_list ;
GHook *   hook ;
gboolean   may_be_in_call ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GHook* g_hook_next_valid (GHookList * hook_list,GHook * hook,gboolean may_be_in_call); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_next_valid "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
hook =( GHook * )args( 1 ).long_value();
may_be_in_call = (  gboolean  ) args( 2 ).long_value();
long int ret_type= (long int) g_hook_next_valid ( hook_list,hook,may_be_in_call);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_compare_ids , args , , " gint g_hook_compare_ids (GHook * new_hook,GHook * sibling); " )
{
GHook *   new_hook ;
GHook *   sibling ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_hook_compare_ids (GHook * new_hook,GHook * sibling); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_compare_ids "<<std::endl;
#endif /* DEBUG */
new_hook =( GHook * )args( 0 ).long_value();
sibling =( GHook * )args( 1 ).long_value();
long int ret_type=(long int) g_hook_compare_ids ( new_hook,sibling);
return octave_value(ret_type);
}
DEFUN_DLD( g_hook_list_invoke , args , , " void g_hook_list_invoke (GHookList * hook_list,gboolean may_recurse); " )
{
GHookList *   hook_list ;
gboolean   may_recurse ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_hook_list_invoke (GHookList * hook_list,gboolean may_recurse); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_list_invoke "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
may_recurse = (  gboolean  ) args( 1 ).long_value();
g_hook_list_invoke ( hook_list,may_recurse);
return octave_value();
}
DEFUN_DLD( g_hook_list_invoke_check , args , , " void g_hook_list_invoke_check (GHookList * hook_list,gboolean may_recurse); " )
{
GHookList *   hook_list ;
gboolean   may_recurse ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_hook_list_invoke_check (GHookList * hook_list,gboolean may_recurse); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_list_invoke_check "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
may_recurse = (  gboolean  ) args( 1 ).long_value();
g_hook_list_invoke_check ( hook_list,may_recurse);
return octave_value();
}
DEFUN_DLD( g_hook_list_marshal , args , , " void g_hook_list_marshal (GHookList * hook_list,gboolean may_recurse,GHookMarshaller marshaller,gpointer marshal_data); " )
{
GHookList *   hook_list ;
gboolean   may_recurse ;
GHookMarshaller   marshaller ;
gpointer   marshal_data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_hook_list_marshal (GHookList * hook_list,gboolean may_recurse,GHookMarshaller marshaller,gpointer marshal_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_list_marshal "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
may_recurse = (  gboolean  ) args( 1 ).long_value();
marshaller = (  GHookMarshaller  ) args( 2 ).long_value();
marshal_data =( gpointer )args( 3 ).long_value();
g_hook_list_marshal ( hook_list,may_recurse,marshaller,marshal_data);
return octave_value();
}
DEFUN_DLD( g_hook_list_marshal_check , args , , " void g_hook_list_marshal_check (GHookList * hook_list,gboolean may_recurse,GHookCheckMarshaller marshaller,gpointer marshal_data); " )
{
GHookList *   hook_list ;
gboolean   may_recurse ;
GHookCheckMarshaller   marshaller ;
gpointer   marshal_data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_hook_list_marshal_check (GHookList * hook_list,gboolean may_recurse,GHookCheckMarshaller marshaller,gpointer marshal_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_hook_list_marshal_check "<<std::endl;
#endif /* DEBUG */
hook_list =( GHookList * )args( 0 ).long_value();
may_recurse = (  gboolean  ) args( 1 ).long_value();
marshaller = (  GHookCheckMarshaller  ) args( 2 ).long_value();
marshal_data =( gpointer )args( 3 ).long_value();
g_hook_list_marshal_check ( hook_list,may_recurse,marshaller,marshal_data);
return octave_value();
}
DEFUN_DLD( g_io_channel_init , args , , " void g_io_channel_init (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_io_channel_init (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_init "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
g_io_channel_init ( channel);
return octave_value();
}
DEFUN_DLD( g_io_channel_ref , args , , " void g_io_channel_ref (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_io_channel_ref (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_ref "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
g_io_channel_ref ( channel);
return octave_value();
}
DEFUN_DLD( g_io_channel_unref , args , , " void g_io_channel_unref (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_io_channel_unref (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_unref "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
g_io_channel_unref ( channel);
return octave_value();
}
DEFUN_DLD( g_io_channel_read , args , , " GIOError g_io_channel_read (GIOChannel * channel,gchar * buf,gsize count,gsize * bytes_read); " )
{
GIOChannel *   channel ;
gchar *   buf ;
gsize   count ;
gsize *   bytes_read ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GIOError g_io_channel_read (GIOChannel * channel,gchar * buf,gsize count,gsize * bytes_read); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_read "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
buf = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) buf ,args( 1 ).string_value().c_str());
count = (  gsize  ) args( 2 ).long_value();
bytes_read =( gsize * )args( 3 ).long_value();
long int ret_type=(long int) g_io_channel_read ( channel,buf,count,bytes_read);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_write , args , , " GIOError g_io_channel_write (GIOChannel * channel,gchar * buf,gsize count,gsize * bytes_written); " )
{
GIOChannel *   channel ;
gchar *   buf ;
gsize   count ;
gsize *   bytes_written ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GIOError g_io_channel_write (GIOChannel * channel,gchar * buf,gsize count,gsize * bytes_written); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_write "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
buf = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) buf ,args( 1 ).string_value().c_str());
count = (  gsize  ) args( 2 ).long_value();
bytes_written =( gsize * )args( 3 ).long_value();
long int ret_type=(long int) g_io_channel_write ( channel,buf,count,bytes_written);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_seek , args , , " GIOError g_io_channel_seek (GIOChannel * channel,gint64 offset,GSeekType type); " )
{
GIOChannel *   channel ;
gint64   offset ;
GSeekType   type ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GIOError g_io_channel_seek (GIOChannel * channel,gint64 offset,GSeekType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_seek "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
offset = (  gint64  ) args( 1 ).int_value();
type = (  GSeekType  ) args( 2 ).long_value();
long int ret_type=(long int) g_io_channel_seek ( channel,offset,type);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_close , args , , " void g_io_channel_close (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_io_channel_close (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_close "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
g_io_channel_close ( channel);
return octave_value();
}
/* overriden: g_io_channel_shutdown  */
DEFUN_DLD( g_io_add_watch_full , args , , " guint g_io_add_watch_full (GIOChannel * channel,gint priority,GIOCondition condition,GIOFunc func,gpointer user_data,GDestroyNotify notify); " )
{
GIOChannel *   channel ;
gint   priority ;
GIOCondition   condition ;
GIOFunc   func ;
gpointer   user_data ;
GDestroyNotify   notify ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  guint g_io_add_watch_full (GIOChannel * channel,gint priority,GIOCondition condition,GIOFunc func,gpointer user_data,GDestroyNotify notify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_add_watch_full "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
priority = (  gint  ) args( 1 ).int_value();
condition = (  GIOCondition  ) args( 2 ).long_value();
func = (  GIOFunc  ) args( 3 ).long_value();
user_data =( gpointer )args( 4 ).long_value();
notify = (  GDestroyNotify  ) args( 5 ).long_value();
long int ret_type=(long int) g_io_add_watch_full ( channel,priority,condition,func,user_data,notify);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_create_watch , args , , " GSource * g_io_create_watch (GIOChannel * channel,GIOCondition condition); " )
{
GIOChannel *   channel ;
GIOCondition   condition ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSource * g_io_create_watch (GIOChannel * channel,GIOCondition condition); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_create_watch "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
condition = (  GIOCondition  ) args( 1 ).long_value();
long int ret_type= (long int) g_io_create_watch ( channel,condition);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_add_watch , args , , " guint g_io_add_watch (GIOChannel * channel,GIOCondition condition,GIOFunc func,gpointer user_data); " )
{
GIOChannel *   channel ;
GIOCondition   condition ;
GIOFunc   func ;
gpointer   user_data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  guint g_io_add_watch (GIOChannel * channel,GIOCondition condition,GIOFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_add_watch "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
condition = (  GIOCondition  ) args( 1 ).long_value();
func = (  GIOFunc  ) args( 2 ).long_value();
user_data =( gpointer )args( 3 ).long_value();
long int ret_type=(long int) g_io_add_watch ( channel,condition,func,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_set_buffer_size , args , , " void g_io_channel_set_buffer_size (GIOChannel * channel,gsize size); " )
{
GIOChannel *   channel ;
gsize   size ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_io_channel_set_buffer_size (GIOChannel * channel,gsize size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_set_buffer_size "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
size = (  gsize  ) args( 1 ).long_value();
g_io_channel_set_buffer_size ( channel,size);
return octave_value();
}
DEFUN_DLD( g_io_channel_get_buffer_size , args , , " gsize g_io_channel_get_buffer_size (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gsize g_io_channel_get_buffer_size (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_get_buffer_size "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
long int ret_type=(long int) g_io_channel_get_buffer_size ( channel);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_get_buffer_condition , args , , " GIOCondition g_io_channel_get_buffer_condition (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GIOCondition g_io_channel_get_buffer_condition (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_get_buffer_condition "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
long int ret_type=(long int) g_io_channel_get_buffer_condition ( channel);
return octave_value(ret_type);
}
/* overriden: g_io_channel_set_flags  */
DEFUN_DLD( g_io_channel_get_flags , args , , " GIOFlags g_io_channel_get_flags (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GIOFlags g_io_channel_get_flags (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_get_flags "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
long int ret_type=(long int) g_io_channel_get_flags ( channel);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_set_line_term , args , , " void g_io_channel_set_line_term (GIOChannel * channel,gchar * line_term,gint length); " )
{
GIOChannel *   channel ;
gchar *   line_term ;
gint   length ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_io_channel_set_line_term (GIOChannel * channel,gchar * line_term,gint length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_set_line_term "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
line_term = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) line_term ,args( 1 ).string_value().c_str());
length = (  gint  ) args( 2 ).int_value();
g_io_channel_set_line_term ( channel,line_term,length);
return octave_value();
}
DEFUN_DLD( g_io_channel_get_line_term , args , , " gchar* g_io_channel_get_line_term (GIOChannel * channel,gint * length); " )
{
GIOChannel *   channel ;
gint *   length ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* g_io_channel_get_line_term (GIOChannel * channel,gint * length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_get_line_term "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
length =( gint * )args( 1 ).long_value();
string  ret_type( g_io_channel_get_line_term ( channel,length));
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_set_buffered , args , , " void g_io_channel_set_buffered (GIOChannel * channel,gboolean buffered); " )
{
GIOChannel *   channel ;
gboolean   buffered ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_io_channel_set_buffered (GIOChannel * channel,gboolean buffered); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_set_buffered "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
buffered = (  gboolean  ) args( 1 ).long_value();
g_io_channel_set_buffered ( channel,buffered);
return octave_value();
}
DEFUN_DLD( g_io_channel_get_buffered , args , , " gboolean g_io_channel_get_buffered (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_io_channel_get_buffered (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_get_buffered "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
long int ret_type=(long int) g_io_channel_get_buffered ( channel);
return octave_value(ret_type);
}
/* overriden: g_io_channel_set_encoding  */
DEFUN_DLD( g_io_channel_get_encoding , args , , " gchar* g_io_channel_get_encoding (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* g_io_channel_get_encoding (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_get_encoding "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
string  ret_type( g_io_channel_get_encoding ( channel));
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_set_close_on_unref , args , , " void g_io_channel_set_close_on_unref (GIOChannel * channel,gboolean do_close); " )
{
GIOChannel *   channel ;
gboolean   do_close ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_io_channel_set_close_on_unref (GIOChannel * channel,gboolean do_close); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_set_close_on_unref "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
do_close = (  gboolean  ) args( 1 ).long_value();
g_io_channel_set_close_on_unref ( channel,do_close);
return octave_value();
}
DEFUN_DLD( g_io_channel_get_close_on_unref , args , , " gboolean g_io_channel_get_close_on_unref (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_io_channel_get_close_on_unref (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_get_close_on_unref "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
long int ret_type=(long int) g_io_channel_get_close_on_unref ( channel);
return octave_value(ret_type);
}
/* overriden: g_io_channel_flush  */
/* overriden: g_io_channel_read_line  */
/* overriden: g_io_channel_read_line_string  */
/* overriden: g_io_channel_read_to_end  */
/* overriden: g_io_channel_read_chars  */
/* overriden: g_io_channel_read_unichar  */
/* overriden: g_io_channel_write_chars  */
/* overriden: g_io_channel_write_unichar  */
/* overriden: g_io_channel_seek_position  */
/* overriden: g_io_channel_new_file  */
/* void: zero arguments taken */
DEFUN_DLD( g_io_channel_error_quark , args , , " GQuark g_io_channel_error_quark (void); " )
{
#ifdef DEBUG
std::cout<<" g_io_channel_error_quark "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) g_io_channel_error_quark ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_error_from_errno , args , , " GIOChannelError g_io_channel_error_from_errno (gint en); " )
{
gint   en ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GIOChannelError g_io_channel_error_from_errno (gint en); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_error_from_errno "<<std::endl;
#endif /* DEBUG */
en = (  gint  ) args( 0 ).int_value();
long int ret_type=(long int) g_io_channel_error_from_errno ( en);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_unix_new , args , , " GIOChannel* g_io_channel_unix_new (int fd); " )
{
int   fd ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GIOChannel* g_io_channel_unix_new (int fd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_unix_new "<<std::endl;
#endif /* DEBUG */
fd = (  int  ) args( 0 ).int_value();
long int ret_type= (long int) g_io_channel_unix_new ( fd);
return octave_value(ret_type);
}
DEFUN_DLD( g_io_channel_unix_get_fd , args , , " gint g_io_channel_unix_get_fd (GIOChannel * channel); " )
{
GIOChannel *   channel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint g_io_channel_unix_get_fd (GIOChannel * channel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_io_channel_unix_get_fd "<<std::endl;
#endif /* DEBUG */
channel =( GIOChannel * )args( 0 ).long_value();
long int ret_type=(long int) g_io_channel_unix_get_fd ( channel);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_push_allocator , args , , " void g_list_push_allocator (GAllocator * allocator); " )
{
GAllocator *   allocator ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_list_push_allocator (GAllocator * allocator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_push_allocator "<<std::endl;
#endif /* DEBUG */
allocator =( GAllocator * )args( 0 ).long_value();
g_list_push_allocator ( allocator);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_list_pop_allocator , args , , " void g_list_pop_allocator (void); " )
{
#ifdef DEBUG
std::cout<<" g_list_pop_allocator "<<std::endl;
#endif /* DEBUG */
g_list_pop_allocator ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_list_alloc , args , , " GList* g_list_alloc (void); " )
{
#ifdef DEBUG
std::cout<<" g_list_alloc "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_list_alloc ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_list_free , args , , " void g_list_free (GList * list); " )
{
GList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_list_free (GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_free "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
g_list_free ( list);
return octave_value();
}
DEFUN_DLD( g_list_free_1 , args , , " void g_list_free_1 (GList * list); " )
{
GList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_list_free_1 (GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_free_1 "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
g_list_free_1 ( list);
return octave_value();
}
DEFUN_DLD( g_list_append , args , , " GList* g_list_append (GList * list,gpointer data); " )
{
GList *   list ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_append (GList * list,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_append "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type= (long int) g_list_append ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_prepend , args , , " GList* g_list_prepend (GList * list,gpointer data); " )
{
GList *   list ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_prepend (GList * list,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_prepend "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type= (long int) g_list_prepend ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_insert , args , , " GList* g_list_insert (GList * list,gpointer data,gint position); " )
{
GList *   list ;
gpointer   data ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GList* g_list_insert (GList * list,gpointer data,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_insert "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) g_list_insert ( list,data,position);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_insert_sorted , args , , " GList* g_list_insert_sorted (GList * list,gpointer data,GCompareFunc func); " )
{
GList *   list ;
gpointer   data ;
GCompareFunc   func ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GList* g_list_insert_sorted (GList * list,gpointer data,GCompareFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_insert_sorted "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
func = (  GCompareFunc  ) args( 2 ).long_value();
long int ret_type= (long int) g_list_insert_sorted ( list,data,func);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_insert_before , args , , " GList* g_list_insert_before (GList * list,GList * sibling,gpointer data); " )
{
GList *   list ;
GList *   sibling ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GList* g_list_insert_before (GList * list,GList * sibling,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_insert_before "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
sibling =( GList * )args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) g_list_insert_before ( list,sibling,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_concat , args , , " GList* g_list_concat (GList * list1,GList * list2); " )
{
GList *   list1 ;
GList *   list2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_concat (GList * list1,GList * list2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_concat "<<std::endl;
#endif /* DEBUG */
list1 =( GList * )args( 0 ).long_value();
list2 =( GList * )args( 1 ).long_value();
long int ret_type= (long int) g_list_concat ( list1,list2);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_remove , args , , " GList* g_list_remove (GList * list,gconstpointer data); " )
{
GList *   list ;
gconstpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_remove (GList * list,gconstpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_remove "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
long int ret_type= (long int) g_list_remove ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_remove_all , args , , " GList* g_list_remove_all (GList * list,gconstpointer data); " )
{
GList *   list ;
gconstpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_remove_all (GList * list,gconstpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_remove_all "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
long int ret_type= (long int) g_list_remove_all ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_remove_link , args , , " GList* g_list_remove_link (GList * list,GList * llink); " )
{
GList *   list ;
GList *   llink ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_remove_link (GList * list,GList * llink); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_remove_link "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
llink =( GList * )args( 1 ).long_value();
long int ret_type= (long int) g_list_remove_link ( list,llink);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_delete_link , args , , " GList* g_list_delete_link (GList * list,GList * link_); " )
{
GList *   list ;
GList *   link_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_delete_link (GList * list,GList * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_delete_link "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
link_ =( GList * )args( 1 ).long_value();
long int ret_type= (long int) g_list_delete_link ( list,link_);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_reverse , args , , " GList* g_list_reverse (GList * list); " )
{
GList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* g_list_reverse (GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_reverse "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
long int ret_type= (long int) g_list_reverse ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_copy , args , , " GList* g_list_copy (GList * list); " )
{
GList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* g_list_copy (GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_copy "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
long int ret_type= (long int) g_list_copy ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_nth , args , , " GList* g_list_nth (GList * list,guint n); " )
{
GList *   list ;
guint   n ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_nth (GList * list,guint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_nth "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
n = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_list_nth ( list,n);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_nth_prev , args , , " GList* g_list_nth_prev (GList * list,guint n); " )
{
GList *   list ;
guint   n ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_nth_prev (GList * list,guint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_nth_prev "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
n = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_list_nth_prev ( list,n);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_find , args , , " GList* g_list_find (GList * list,gconstpointer data); " )
{
GList *   list ;
gconstpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_find (GList * list,gconstpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_find "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
long int ret_type= (long int) g_list_find ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_find_custom , args , , " GList* g_list_find_custom (GList * list,gconstpointer data,GCompareFunc func); " )
{
GList *   list ;
gconstpointer   data ;
GCompareFunc   func ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GList* g_list_find_custom (GList * list,gconstpointer data,GCompareFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_find_custom "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
func = (  GCompareFunc  ) args( 2 ).long_value();
long int ret_type= (long int) g_list_find_custom ( list,data,func);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_position , args , , " gint g_list_position (GList * list,GList * llink); " )
{
GList *   list ;
GList *   llink ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_list_position (GList * list,GList * llink); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_position "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
llink =( GList * )args( 1 ).long_value();
long int ret_type=(long int) g_list_position ( list,llink);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_index , args , , " gint g_list_index (GList * list,gconstpointer data); " )
{
GList *   list ;
gconstpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_list_index (GList * list,gconstpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_index "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
long int ret_type=(long int) g_list_index ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_last , args , , " GList* g_list_last (GList * list); " )
{
GList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* g_list_last (GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_last "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
long int ret_type= (long int) g_list_last ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_first , args , , " GList* g_list_first (GList * list); " )
{
GList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* g_list_first (GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_first "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
long int ret_type= (long int) g_list_first ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_length , args , , " guint g_list_length (GList * list); " )
{
GList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_list_length (GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_length "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
long int ret_type=(long int) g_list_length ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_foreach , args , , " void g_list_foreach (GList * list,GFunc func,gpointer user_data); " )
{
GList *   list ;
GFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_list_foreach (GList * list,GFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_foreach "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
func = (  GFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_list_foreach ( list,func,user_data);
return octave_value();
}
DEFUN_DLD( g_list_sort , args , , " GList* g_list_sort (GList * list,GCompareFunc compare_func); " )
{
GList *   list ;
GCompareFunc   compare_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GList* g_list_sort (GList * list,GCompareFunc compare_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_sort "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
compare_func = (  GCompareFunc  ) args( 1 ).long_value();
long int ret_type= (long int) g_list_sort ( list,compare_func);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_sort_with_data , args , , " GList* g_list_sort_with_data (GList * list,GCompareDataFunc compare_func,gpointer user_data); " )
{
GList *   list ;
GCompareDataFunc   compare_func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GList* g_list_sort_with_data (GList * list,GCompareDataFunc compare_func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_sort_with_data "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
compare_func = (  GCompareDataFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) g_list_sort_with_data ( list,compare_func,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_list_nth_data , args , , " gpointer g_list_nth_data (GList * list,guint n); " )
{
GList *   list ;
guint   n ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_list_nth_data (GList * list,guint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_list_nth_data "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
n = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_list_nth_data ( list,n);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_main_context_new , args , , " GMainContext * g_main_context_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_main_context_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_main_context_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_ref , args , , " void g_main_context_ref (GMainContext * context); " )
{
GMainContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_main_context_ref (GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_ref "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
g_main_context_ref ( context);
return octave_value();
}
DEFUN_DLD( g_main_context_unref , args , , " void g_main_context_unref (GMainContext * context); " )
{
GMainContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_main_context_unref (GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_unref "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
g_main_context_unref ( context);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_main_context_default , args , , " GMainContext * g_main_context_default (void); " )
{
#ifdef DEBUG
std::cout<<" g_main_context_default "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_main_context_default ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_iteration , args , , " gboolean g_main_context_iteration (GMainContext * context,gboolean may_block); " )
{
GMainContext *   context ;
gboolean   may_block ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_main_context_iteration (GMainContext * context,gboolean may_block); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_iteration "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
may_block = (  gboolean  ) args( 1 ).long_value();
long int ret_type=(long int) g_main_context_iteration ( context,may_block);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_pending , args , , " gboolean g_main_context_pending (GMainContext * context); " )
{
GMainContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_main_context_pending (GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_pending "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
long int ret_type=(long int) g_main_context_pending ( context);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_find_source_by_id , args , , " GSource * g_main_context_find_source_by_id (GMainContext * context,guint source_id); " )
{
GMainContext *   context ;
guint   source_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSource * g_main_context_find_source_by_id (GMainContext * context,guint source_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_find_source_by_id "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
source_id = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_main_context_find_source_by_id ( context,source_id);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_find_source_by_user_data , args , , " GSource * g_main_context_find_source_by_user_data (GMainContext * context,gpointer user_data); " )
{
GMainContext *   context ;
gpointer   user_data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSource * g_main_context_find_source_by_user_data (GMainContext * context,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_find_source_by_user_data "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
user_data =( gpointer )args( 1 ).long_value();
long int ret_type= (long int) g_main_context_find_source_by_user_data ( context,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_find_source_by_funcs_user_data , args , , " GSource * g_main_context_find_source_by_funcs_user_data (GMainContext * context,GSourceFuncs * funcs,gpointer user_data); " )
{
GMainContext *   context ;
GSourceFuncs *   funcs ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GSource * g_main_context_find_source_by_funcs_user_data (GMainContext * context,GSourceFuncs * funcs,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_find_source_by_funcs_user_data "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
funcs =( GSourceFuncs * )args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) g_main_context_find_source_by_funcs_user_data ( context,funcs,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_wakeup , args , , " void g_main_context_wakeup (GMainContext * context); " )
{
GMainContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_main_context_wakeup (GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_wakeup "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
g_main_context_wakeup ( context);
return octave_value();
}
DEFUN_DLD( g_main_context_acquire , args , , " gboolean g_main_context_acquire (GMainContext * context); " )
{
GMainContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_main_context_acquire (GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_acquire "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
long int ret_type=(long int) g_main_context_acquire ( context);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_release , args , , " void g_main_context_release (GMainContext * context); " )
{
GMainContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_main_context_release (GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_release "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
g_main_context_release ( context);
return octave_value();
}
DEFUN_DLD( g_main_context_wait , args , , " gboolean g_main_context_wait (GMainContext * context,GCond * cond,GMutex * mutex); " )
{
GMainContext *   context ;
GCond *   cond ;
GMutex *   mutex ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean g_main_context_wait (GMainContext * context,GCond * cond,GMutex * mutex); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_wait "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
cond =( GCond * )args( 1 ).long_value();
mutex =( GMutex * )args( 2 ).long_value();
long int ret_type=(long int) g_main_context_wait ( context,cond,mutex);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_prepare , args , , " gboolean g_main_context_prepare (GMainContext * context,gint * priority); " )
{
GMainContext *   context ;
gint *   priority ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_main_context_prepare (GMainContext * context,gint * priority); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_prepare "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
priority =( gint * )args( 1 ).long_value();
long int ret_type=(long int) g_main_context_prepare ( context,priority);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_query , args , , " gint g_main_context_query (GMainContext * context,gint max_priority,gint * timeout_,GPollFD * fds,gint n_fds); " )
{
GMainContext *   context ;
gint   max_priority ;
gint *   timeout_ ;
GPollFD *   fds ;
gint   n_fds ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gint g_main_context_query (GMainContext * context,gint max_priority,gint * timeout_,GPollFD * fds,gint n_fds); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_query "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
max_priority = (  gint  ) args( 1 ).int_value();
timeout_ =( gint * )args( 2 ).long_value();
fds =( GPollFD * )args( 3 ).long_value();
n_fds = (  gint  ) args( 4 ).int_value();
long int ret_type=(long int) g_main_context_query ( context,max_priority,timeout_,fds,n_fds);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_check , args , , " gint g_main_context_check (GMainContext * context,gint max_priority,GPollFD * fds,gint n_fds); " )
{
GMainContext *   context ;
gint   max_priority ;
GPollFD *   fds ;
gint   n_fds ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gint g_main_context_check (GMainContext * context,gint max_priority,GPollFD * fds,gint n_fds); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_check "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
max_priority = (  gint  ) args( 1 ).int_value();
fds =( GPollFD * )args( 2 ).long_value();
n_fds = (  gint  ) args( 3 ).int_value();
long int ret_type=(long int) g_main_context_check ( context,max_priority,fds,n_fds);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_dispatch , args , , " void g_main_context_dispatch (GMainContext * context); " )
{
GMainContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_main_context_dispatch (GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_dispatch "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
g_main_context_dispatch ( context);
return octave_value();
}
DEFUN_DLD( g_main_context_set_poll_func , args , , " void g_main_context_set_poll_func (GMainContext * context,GPollFunc func); " )
{
GMainContext *   context ;
GPollFunc   func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_main_context_set_poll_func (GMainContext * context,GPollFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_set_poll_func "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
func = (  GPollFunc  ) args( 1 ).long_value();
g_main_context_set_poll_func ( context,func);
return octave_value();
}
DEFUN_DLD( g_main_context_get_poll_func , args , , " GPollFunc g_main_context_get_poll_func (GMainContext * context); " )
{
GMainContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GPollFunc g_main_context_get_poll_func (GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_get_poll_func "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
long int ret_type=(long int) g_main_context_get_poll_func ( context);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_context_add_poll , args , , " void g_main_context_add_poll (GMainContext * context,GPollFD * fd,gint priority); " )
{
GMainContext *   context ;
GPollFD *   fd ;
gint   priority ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_main_context_add_poll (GMainContext * context,GPollFD * fd,gint priority); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_add_poll "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
fd =( GPollFD * )args( 1 ).long_value();
priority = (  gint  ) args( 2 ).int_value();
g_main_context_add_poll ( context,fd,priority);
return octave_value();
}
DEFUN_DLD( g_main_context_remove_poll , args , , " void g_main_context_remove_poll (GMainContext * context,GPollFD * fd); " )
{
GMainContext *   context ;
GPollFD *   fd ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_main_context_remove_poll (GMainContext * context,GPollFD * fd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_context_remove_poll "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
fd =( GPollFD * )args( 1 ).long_value();
g_main_context_remove_poll ( context,fd);
return octave_value();
}
DEFUN_DLD( g_main_loop_new , args , , " GMainLoop * g_main_loop_new (GMainContext * context,gboolean is_running); " )
{
GMainContext *   context ;
gboolean   is_running ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GMainLoop * g_main_loop_new (GMainContext * context,gboolean is_running); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_loop_new "<<std::endl;
#endif /* DEBUG */
context =( GMainContext * )args( 0 ).long_value();
is_running = (  gboolean  ) args( 1 ).long_value();
long int ret_type= (long int) g_main_loop_new ( context,is_running);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_loop_run , args , , " void g_main_loop_run (GMainLoop * loop); " )
{
GMainLoop *   loop ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_main_loop_run (GMainLoop * loop); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_loop_run "<<std::endl;
#endif /* DEBUG */
loop =( GMainLoop * )args( 0 ).long_value();
g_main_loop_run ( loop);
return octave_value();
}
DEFUN_DLD( g_main_loop_quit , args , , " void g_main_loop_quit (GMainLoop * loop); " )
{
GMainLoop *   loop ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_main_loop_quit (GMainLoop * loop); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_loop_quit "<<std::endl;
#endif /* DEBUG */
loop =( GMainLoop * )args( 0 ).long_value();
g_main_loop_quit ( loop);
return octave_value();
}
DEFUN_DLD( g_main_loop_ref , args , , " GMainLoop * g_main_loop_ref (GMainLoop * loop); " )
{
GMainLoop *   loop ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GMainLoop * g_main_loop_ref (GMainLoop * loop); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_loop_ref "<<std::endl;
#endif /* DEBUG */
loop =( GMainLoop * )args( 0 ).long_value();
long int ret_type= (long int) g_main_loop_ref ( loop);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_loop_unref , args , , " void g_main_loop_unref (GMainLoop * loop); " )
{
GMainLoop *   loop ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_main_loop_unref (GMainLoop * loop); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_loop_unref "<<std::endl;
#endif /* DEBUG */
loop =( GMainLoop * )args( 0 ).long_value();
g_main_loop_unref ( loop);
return octave_value();
}
DEFUN_DLD( g_main_loop_is_running , args , , " gboolean g_main_loop_is_running (GMainLoop * loop); " )
{
GMainLoop *   loop ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_main_loop_is_running (GMainLoop * loop); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_loop_is_running "<<std::endl;
#endif /* DEBUG */
loop =( GMainLoop * )args( 0 ).long_value();
long int ret_type=(long int) g_main_loop_is_running ( loop);
return octave_value(ret_type);
}
DEFUN_DLD( g_main_loop_get_context , args , , " GMainContext * g_main_loop_get_context (GMainLoop * loop); " )
{
GMainLoop *   loop ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GMainContext * g_main_loop_get_context (GMainLoop * loop); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_main_loop_get_context "<<std::endl;
#endif /* DEBUG */
loop =( GMainLoop * )args( 0 ).long_value();
long int ret_type= (long int) g_main_loop_get_context ( loop);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_new , args , , " GSource * g_source_new (GSourceFuncs * source_funcs,guint struct_size); " )
{
GSourceFuncs *   source_funcs ;
guint   struct_size ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSource * g_source_new (GSourceFuncs * source_funcs,guint struct_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_new "<<std::endl;
#endif /* DEBUG */
source_funcs =( GSourceFuncs * )args( 0 ).long_value();
struct_size = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_source_new ( source_funcs,struct_size);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_ref , args , , " GSource * g_source_ref (GSource * source); " )
{
GSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSource * g_source_ref (GSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_ref "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
long int ret_type= (long int) g_source_ref ( source);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_unref , args , , " void g_source_unref (GSource * source); " )
{
GSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_source_unref (GSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_unref "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
g_source_unref ( source);
return octave_value();
}
DEFUN_DLD( g_source_attach , args , , " guint g_source_attach (GSource * source,GMainContext * context); " )
{
GSource *   source ;
GMainContext *   context ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint g_source_attach (GSource * source,GMainContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_attach "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
context =( GMainContext * )args( 1 ).long_value();
long int ret_type=(long int) g_source_attach ( source,context);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_destroy , args , , " void g_source_destroy (GSource * source); " )
{
GSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_source_destroy (GSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_destroy "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
g_source_destroy ( source);
return octave_value();
}
DEFUN_DLD( g_source_set_priority , args , , " void g_source_set_priority (GSource * source,gint priority); " )
{
GSource *   source ;
gint   priority ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_source_set_priority (GSource * source,gint priority); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_set_priority "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
priority = (  gint  ) args( 1 ).int_value();
g_source_set_priority ( source,priority);
return octave_value();
}
DEFUN_DLD( g_source_get_priority , args , , " gint g_source_get_priority (GSource * source); " )
{
GSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint g_source_get_priority (GSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_get_priority "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
long int ret_type=(long int) g_source_get_priority ( source);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_set_can_recurse , args , , " void g_source_set_can_recurse (GSource * source,gboolean can_recurse); " )
{
GSource *   source ;
gboolean   can_recurse ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_source_set_can_recurse (GSource * source,gboolean can_recurse); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_set_can_recurse "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
can_recurse = (  gboolean  ) args( 1 ).long_value();
g_source_set_can_recurse ( source,can_recurse);
return octave_value();
}
DEFUN_DLD( g_source_get_can_recurse , args , , " gboolean g_source_get_can_recurse (GSource * source); " )
{
GSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_source_get_can_recurse (GSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_get_can_recurse "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
long int ret_type=(long int) g_source_get_can_recurse ( source);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_get_id , args , , " guint g_source_get_id (GSource * source); " )
{
GSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_source_get_id (GSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_get_id "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
long int ret_type=(long int) g_source_get_id ( source);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_get_context , args , , " GMainContext * g_source_get_context (GSource * source); " )
{
GSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GMainContext * g_source_get_context (GSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_get_context "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
long int ret_type= (long int) g_source_get_context ( source);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_set_callback , args , , " void g_source_set_callback (GSource * source,GSourceFunc func,gpointer data,GDestroyNotify notify); " )
{
GSource *   source ;
GSourceFunc   func ;
gpointer   data ;
GDestroyNotify   notify ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_source_set_callback (GSource * source,GSourceFunc func,gpointer data,GDestroyNotify notify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_set_callback "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
func = (  GSourceFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
notify = (  GDestroyNotify  ) args( 3 ).long_value();
g_source_set_callback ( source,func,data,notify);
return octave_value();
}
DEFUN_DLD( g_source_set_callback_indirect , args , , " void g_source_set_callback_indirect (GSource * source,gpointer callback_data,GSourceCallbackFuncs * callback_funcs); " )
{
GSource *   source ;
gpointer   callback_data ;
GSourceCallbackFuncs *   callback_funcs ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_source_set_callback_indirect (GSource * source,gpointer callback_data,GSourceCallbackFuncs * callback_funcs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_set_callback_indirect "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
callback_data =( gpointer )args( 1 ).long_value();
callback_funcs =( GSourceCallbackFuncs * )args( 2 ).long_value();
g_source_set_callback_indirect ( source,callback_data,callback_funcs);
return octave_value();
}
DEFUN_DLD( g_source_add_poll , args , , " void g_source_add_poll (GSource * source,GPollFD * fd); " )
{
GSource *   source ;
GPollFD *   fd ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_source_add_poll (GSource * source,GPollFD * fd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_add_poll "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
fd =( GPollFD * )args( 1 ).long_value();
g_source_add_poll ( source,fd);
return octave_value();
}
DEFUN_DLD( g_source_remove_poll , args , , " void g_source_remove_poll (GSource * source,GPollFD * fd); " )
{
GSource *   source ;
GPollFD *   fd ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_source_remove_poll (GSource * source,GPollFD * fd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_remove_poll "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
fd =( GPollFD * )args( 1 ).long_value();
g_source_remove_poll ( source,fd);
return octave_value();
}
DEFUN_DLD( g_source_get_current_time , args , , " void g_source_get_current_time (GSource * source,GTimeVal * timeval); " )
{
GSource *   source ;
GTimeVal *   timeval ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_source_get_current_time (GSource * source,GTimeVal * timeval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_get_current_time "<<std::endl;
#endif /* DEBUG */
source =( GSource * )args( 0 ).long_value();
timeval =( GTimeVal * )args( 1 ).long_value();
g_source_get_current_time ( source,timeval);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_idle_source_new , args , , " GSource * g_idle_source_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_idle_source_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_idle_source_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_timeout_source_new , args , , " GSource * g_timeout_source_new (guint interval); " )
{
guint   interval ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSource * g_timeout_source_new (guint interval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_timeout_source_new "<<std::endl;
#endif /* DEBUG */
interval = (  guint  ) args( 0 ).int_value();
long int ret_type= (long int) g_timeout_source_new ( interval);
return octave_value(ret_type);
}
DEFUN_DLD( g_get_current_time , args , , " void g_get_current_time (GTimeVal * result); " )
{
GTimeVal *   result ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_get_current_time (GTimeVal * result); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_get_current_time "<<std::endl;
#endif /* DEBUG */
result =( GTimeVal * )args( 0 ).long_value();
g_get_current_time ( result);
return octave_value();
}
DEFUN_DLD( g_source_remove , args , , " gboolean g_source_remove (guint tag); " )
{
guint   tag ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_source_remove (guint tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_remove "<<std::endl;
#endif /* DEBUG */
tag = (  guint  ) args( 0 ).int_value();
long int ret_type=(long int) g_source_remove ( tag);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_remove_by_user_data , args , , " gboolean g_source_remove_by_user_data (gpointer user_data); " )
{
gpointer   user_data ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_source_remove_by_user_data (gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_remove_by_user_data "<<std::endl;
#endif /* DEBUG */
user_data =( gpointer )args( 0 ).long_value();
long int ret_type=(long int) g_source_remove_by_user_data ( user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_source_remove_by_funcs_user_data , args , , " gboolean g_source_remove_by_funcs_user_data (GSourceFuncs * funcs,gpointer user_data); " )
{
GSourceFuncs *   funcs ;
gpointer   user_data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_source_remove_by_funcs_user_data (GSourceFuncs * funcs,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_source_remove_by_funcs_user_data "<<std::endl;
#endif /* DEBUG */
funcs =( GSourceFuncs * )args( 0 ).long_value();
user_data =( gpointer )args( 1 ).long_value();
long int ret_type=(long int) g_source_remove_by_funcs_user_data ( funcs,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_timeout_add_full , args , , " guint g_timeout_add_full (gint priority,guint interval,GSourceFunc function,gpointer data,GDestroyNotify notify); " )
{
gint   priority ;
guint   interval ;
GSourceFunc   function ;
gpointer   data ;
GDestroyNotify   notify ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  guint g_timeout_add_full (gint priority,guint interval,GSourceFunc function,gpointer data,GDestroyNotify notify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_timeout_add_full "<<std::endl;
#endif /* DEBUG */
priority = (  gint  ) args( 0 ).int_value();
interval = (  guint  ) args( 1 ).int_value();
function = (  GSourceFunc  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
notify = (  GDestroyNotify  ) args( 4 ).long_value();
long int ret_type=(long int) g_timeout_add_full ( priority,interval,function,data,notify);
return octave_value(ret_type);
}
DEFUN_DLD( g_timeout_add , args , , " guint g_timeout_add (guint interval,GSourceFunc function,gpointer data); " )
{
guint   interval ;
GSourceFunc   function ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint g_timeout_add (guint interval,GSourceFunc function,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_timeout_add "<<std::endl;
#endif /* DEBUG */
interval = (  guint  ) args( 0 ).int_value();
function = (  GSourceFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type=(long int) g_timeout_add ( interval,function,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_idle_add , args , , " guint g_idle_add (GSourceFunc function,gpointer data); " )
{
GSourceFunc   function ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint g_idle_add (GSourceFunc function,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_idle_add "<<std::endl;
#endif /* DEBUG */
function = (  GSourceFunc  ) args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type=(long int) g_idle_add ( function,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_idle_add_full , args , , " guint g_idle_add_full (gint priority,GSourceFunc function,gpointer data,GDestroyNotify notify); " )
{
gint   priority ;
GSourceFunc   function ;
gpointer   data ;
GDestroyNotify   notify ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  guint g_idle_add_full (gint priority,GSourceFunc function,gpointer data,GDestroyNotify notify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_idle_add_full "<<std::endl;
#endif /* DEBUG */
priority = (  gint  ) args( 0 ).int_value();
function = (  GSourceFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
notify = (  GDestroyNotify  ) args( 3 ).long_value();
long int ret_type=(long int) g_idle_add_full ( priority,function,data,notify);
return octave_value(ret_type);
}
DEFUN_DLD( g_idle_remove_by_data , args , , " gboolean g_idle_remove_by_data (gpointer data); " )
{
gpointer   data ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_idle_remove_by_data (gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_idle_remove_by_data "<<std::endl;
#endif /* DEBUG */
data =( gpointer )args( 0 ).long_value();
long int ret_type=(long int) g_idle_remove_by_data ( data);
return octave_value(ret_type);
}
DEFUN_DLD( g_markup_parse_context_new , args , , " GMarkupParseContext * g_markup_parse_context_new (GMarkupParser * parser,GMarkupParseFlags flags,gpointer user_data,GDestroyNotify user_data_dnotify); " )
{
GMarkupParser *   parser ;
GMarkupParseFlags   flags ;
gpointer   user_data ;
GDestroyNotify   user_data_dnotify ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GMarkupParseContext * g_markup_parse_context_new (GMarkupParser * parser,GMarkupParseFlags flags,gpointer user_data,GDestroyNotify user_data_dnotify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_markup_parse_context_new "<<std::endl;
#endif /* DEBUG */
parser =( GMarkupParser * )args( 0 ).long_value();
flags = (  GMarkupParseFlags  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
user_data_dnotify = (  GDestroyNotify  ) args( 3 ).long_value();
long int ret_type= (long int) g_markup_parse_context_new ( parser,flags,user_data,user_data_dnotify);
return octave_value(ret_type);
}
DEFUN_DLD( g_markup_parse_context_free , args , , " void g_markup_parse_context_free (GMarkupParseContext * context); " )
{
GMarkupParseContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_markup_parse_context_free (GMarkupParseContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_markup_parse_context_free "<<std::endl;
#endif /* DEBUG */
context =( GMarkupParseContext * )args( 0 ).long_value();
g_markup_parse_context_free ( context);
return octave_value();
}
/* overriden: g_markup_parse_context_parse  */
/* overriden: g_markup_parse_context_end_parse  */
DEFUN_DLD( g_markup_parse_context_get_element , args , , " gchar * g_markup_parse_context_get_element (GMarkupParseContext * context); " )
{
GMarkupParseContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * g_markup_parse_context_get_element (GMarkupParseContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_markup_parse_context_get_element "<<std::endl;
#endif /* DEBUG */
context =( GMarkupParseContext * )args( 0 ).long_value();
string  ret_type( g_markup_parse_context_get_element ( context));
return octave_value(ret_type);
}
DEFUN_DLD( g_markup_parse_context_get_position , args , , " void g_markup_parse_context_get_position (GMarkupParseContext * context,gint * line_number,gint * char_number); " )
{
GMarkupParseContext *   context ;
gint *   line_number ;
gint *   char_number ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_markup_parse_context_get_position (GMarkupParseContext * context,gint * line_number,gint * char_number); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_markup_parse_context_get_position "<<std::endl;
#endif /* DEBUG */
context =( GMarkupParseContext * )args( 0 ).long_value();
line_number =( gint * )args( 1 ).long_value();
char_number =( gint * )args( 2 ).long_value();
g_markup_parse_context_get_position ( context,line_number,char_number);
return octave_value();
}
DEFUN_DLD( g_markup_escape_text , args , , " gchar* g_markup_escape_text (gchar * text,gssize length); " )
{
gchar *   text ;
gssize   length ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* g_markup_escape_text (gchar * text,gssize length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_markup_escape_text "<<std::endl;
#endif /* DEBUG */
text = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) text ,args( 0 ).string_value().c_str());
length = (  gssize  ) args( 1 ).long_value();
string  ret_type( g_markup_escape_text ( text,length));
return octave_value(ret_type);
}
DEFUN_DLD( g_malloc , args , , " gpointer g_malloc (gulong n_bytes); " )
{
gulong   n_bytes ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_malloc (gulong n_bytes); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_malloc "<<std::endl;
#endif /* DEBUG */
n_bytes = (  gulong  ) args( 0 ).long_value();
long int ret_type= (long int) g_malloc ( n_bytes);
return octave_value(ret_type);
}
DEFUN_DLD( g_malloc0 , args , , " gpointer g_malloc0 (gulong n_bytes); " )
{
gulong   n_bytes ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_malloc0 (gulong n_bytes); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_malloc0 "<<std::endl;
#endif /* DEBUG */
n_bytes = (  gulong  ) args( 0 ).long_value();
long int ret_type= (long int) g_malloc0 ( n_bytes);
return octave_value(ret_type);
}
DEFUN_DLD( g_realloc , args , , " gpointer g_realloc (gpointer mem,gulong n_bytes); " )
{
gpointer   mem ;
gulong   n_bytes ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_realloc (gpointer mem,gulong n_bytes); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_realloc "<<std::endl;
#endif /* DEBUG */
mem =( gpointer )args( 0 ).long_value();
n_bytes = (  gulong  ) args( 1 ).long_value();
long int ret_type= (long int) g_realloc ( mem,n_bytes);
return octave_value(ret_type);
}
DEFUN_DLD( g_free , args , , " void g_free (gpointer mem); " )
{
gpointer   mem ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_free (gpointer mem); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_free "<<std::endl;
#endif /* DEBUG */
mem =( gpointer )args( 0 ).long_value();
g_free ( mem);
return octave_value();
}
DEFUN_DLD( g_try_malloc , args , , " gpointer g_try_malloc (gulong n_bytes); " )
{
gulong   n_bytes ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_try_malloc (gulong n_bytes); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_try_malloc "<<std::endl;
#endif /* DEBUG */
n_bytes = (  gulong  ) args( 0 ).long_value();
long int ret_type= (long int) g_try_malloc ( n_bytes);
return octave_value(ret_type);
}
DEFUN_DLD( g_try_realloc , args , , " gpointer g_try_realloc (gpointer mem,gulong n_bytes); " )
{
gpointer   mem ;
gulong   n_bytes ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_try_realloc (gpointer mem,gulong n_bytes); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_try_realloc "<<std::endl;
#endif /* DEBUG */
mem =( gpointer )args( 0 ).long_value();
n_bytes = (  gulong  ) args( 1 ).long_value();
long int ret_type= (long int) g_try_realloc ( mem,n_bytes);
return octave_value(ret_type);
}
DEFUN_DLD( g_mem_set_vtable , args , , " void g_mem_set_vtable (GMemVTable * vtable); " )
{
GMemVTable *   vtable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_mem_set_vtable (GMemVTable * vtable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_set_vtable "<<std::endl;
#endif /* DEBUG */
vtable =( GMemVTable * )args( 0 ).long_value();
g_mem_set_vtable ( vtable);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_mem_is_system_malloc , args , , " gboolean g_mem_is_system_malloc (void); " )
{
#ifdef DEBUG
std::cout<<" g_mem_is_system_malloc "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) g_mem_is_system_malloc ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_mem_profile , args , , " void g_mem_profile (void); " )
{
#ifdef DEBUG
std::cout<<" g_mem_profile "<<std::endl;
#endif /* DEBUG */
g_mem_profile ( );
return octave_value();
}
DEFUN_DLD( g_mem_chunk_new , args , , " GMemChunk* g_mem_chunk_new (gchar * name,gint atom_size,gulong area_size,gint type); " )
{
gchar *   name ;
gint   atom_size ;
gulong   area_size ;
gint   type ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GMemChunk* g_mem_chunk_new (gchar * name,gint atom_size,gulong area_size,gint type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_chunk_new "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
atom_size = (  gint  ) args( 1 ).int_value();
area_size = (  gulong  ) args( 2 ).long_value();
type = (  gint  ) args( 3 ).int_value();
long int ret_type= (long int) g_mem_chunk_new ( name,atom_size,area_size,type);
return octave_value(ret_type);
}
DEFUN_DLD( g_mem_chunk_destroy , args , , " void g_mem_chunk_destroy (GMemChunk * mem_chunk); " )
{
GMemChunk *   mem_chunk ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_mem_chunk_destroy (GMemChunk * mem_chunk); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_chunk_destroy "<<std::endl;
#endif /* DEBUG */
mem_chunk =( GMemChunk * )args( 0 ).long_value();
g_mem_chunk_destroy ( mem_chunk);
return octave_value();
}
DEFUN_DLD( g_mem_chunk_alloc , args , , " gpointer g_mem_chunk_alloc (GMemChunk * mem_chunk); " )
{
GMemChunk *   mem_chunk ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_mem_chunk_alloc (GMemChunk * mem_chunk); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_chunk_alloc "<<std::endl;
#endif /* DEBUG */
mem_chunk =( GMemChunk * )args( 0 ).long_value();
long int ret_type= (long int) g_mem_chunk_alloc ( mem_chunk);
return octave_value(ret_type);
}
DEFUN_DLD( g_mem_chunk_alloc0 , args , , " gpointer g_mem_chunk_alloc0 (GMemChunk * mem_chunk); " )
{
GMemChunk *   mem_chunk ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_mem_chunk_alloc0 (GMemChunk * mem_chunk); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_chunk_alloc0 "<<std::endl;
#endif /* DEBUG */
mem_chunk =( GMemChunk * )args( 0 ).long_value();
long int ret_type= (long int) g_mem_chunk_alloc0 ( mem_chunk);
return octave_value(ret_type);
}
DEFUN_DLD( g_mem_chunk_free , args , , " void g_mem_chunk_free (GMemChunk * mem_chunk,gpointer mem); " )
{
GMemChunk *   mem_chunk ;
gpointer   mem ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_mem_chunk_free (GMemChunk * mem_chunk,gpointer mem); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_chunk_free "<<std::endl;
#endif /* DEBUG */
mem_chunk =( GMemChunk * )args( 0 ).long_value();
mem =( gpointer )args( 1 ).long_value();
g_mem_chunk_free ( mem_chunk,mem);
return octave_value();
}
DEFUN_DLD( g_mem_chunk_clean , args , , " void g_mem_chunk_clean (GMemChunk * mem_chunk); " )
{
GMemChunk *   mem_chunk ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_mem_chunk_clean (GMemChunk * mem_chunk); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_chunk_clean "<<std::endl;
#endif /* DEBUG */
mem_chunk =( GMemChunk * )args( 0 ).long_value();
g_mem_chunk_clean ( mem_chunk);
return octave_value();
}
DEFUN_DLD( g_mem_chunk_reset , args , , " void g_mem_chunk_reset (GMemChunk * mem_chunk); " )
{
GMemChunk *   mem_chunk ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_mem_chunk_reset (GMemChunk * mem_chunk); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_chunk_reset "<<std::endl;
#endif /* DEBUG */
mem_chunk =( GMemChunk * )args( 0 ).long_value();
g_mem_chunk_reset ( mem_chunk);
return octave_value();
}
DEFUN_DLD( g_mem_chunk_print , args , , " void g_mem_chunk_print (GMemChunk * mem_chunk); " )
{
GMemChunk *   mem_chunk ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_mem_chunk_print (GMemChunk * mem_chunk); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_mem_chunk_print "<<std::endl;
#endif /* DEBUG */
mem_chunk =( GMemChunk * )args( 0 ).long_value();
g_mem_chunk_print ( mem_chunk);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_mem_chunk_info , args , , " void g_mem_chunk_info (void); " )
{
#ifdef DEBUG
std::cout<<" g_mem_chunk_info "<<std::endl;
#endif /* DEBUG */
g_mem_chunk_info ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_blow_chunks , args , , " void g_blow_chunks (void); " )
{
#ifdef DEBUG
std::cout<<" g_blow_chunks "<<std::endl;
#endif /* DEBUG */
g_blow_chunks ( );
return octave_value();
}
DEFUN_DLD( g_allocator_new , args , , " GAllocator* g_allocator_new (gchar * name,guint n_preallocs); " )
{
gchar *   name ;
guint   n_preallocs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GAllocator* g_allocator_new (gchar * name,guint n_preallocs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_allocator_new "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
n_preallocs = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_allocator_new ( name,n_preallocs);
return octave_value(ret_type);
}
DEFUN_DLD( g_allocator_free , args , , " void g_allocator_free (GAllocator * allocator); " )
{
GAllocator *   allocator ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_allocator_free (GAllocator * allocator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_allocator_free "<<std::endl;
#endif /* DEBUG */
allocator =( GAllocator * )args( 0 ).long_value();
g_allocator_free ( allocator);
return octave_value();
}
/* overriden: g_printf_string_upper_bound  */
DEFUN_DLD( g_node_push_allocator , args , , " void g_node_push_allocator (GAllocator * allocator); " )
{
GAllocator *   allocator ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_node_push_allocator (GAllocator * allocator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_push_allocator "<<std::endl;
#endif /* DEBUG */
allocator =( GAllocator * )args( 0 ).long_value();
g_node_push_allocator ( allocator);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_node_pop_allocator , args , , " void g_node_pop_allocator (void); " )
{
#ifdef DEBUG
std::cout<<" g_node_pop_allocator "<<std::endl;
#endif /* DEBUG */
g_node_pop_allocator ( );
return octave_value();
}
DEFUN_DLD( g_node_new , args , , " GNode* g_node_new (gpointer data); " )
{
gpointer   data ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GNode* g_node_new (gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_new "<<std::endl;
#endif /* DEBUG */
data =( gpointer )args( 0 ).long_value();
long int ret_type= (long int) g_node_new ( data);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_destroy , args , , " void g_node_destroy (GNode * root); " )
{
GNode *   root ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_node_destroy (GNode * root); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_destroy "<<std::endl;
#endif /* DEBUG */
root =( GNode * )args( 0 ).long_value();
g_node_destroy ( root);
return octave_value();
}
DEFUN_DLD( g_node_unlink , args , , " void g_node_unlink (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_node_unlink (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_unlink "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
g_node_unlink ( node);
return octave_value();
}
DEFUN_DLD( g_node_copy , args , , " GNode* g_node_copy (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GNode* g_node_copy (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_copy "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
long int ret_type= (long int) g_node_copy ( node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_insert , args , , " GNode* g_node_insert (GNode * parent,gint position,GNode * node); " )
{
GNode *   parent ;
gint   position ;
GNode *   node ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GNode* g_node_insert (GNode * parent,gint position,GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_insert "<<std::endl;
#endif /* DEBUG */
parent =( GNode * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
node =( GNode * )args( 2 ).long_value();
long int ret_type= (long int) g_node_insert ( parent,position,node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_insert_before , args , , " GNode* g_node_insert_before (GNode * parent,GNode * sibling,GNode * node); " )
{
GNode *   parent ;
GNode *   sibling ;
GNode *   node ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GNode* g_node_insert_before (GNode * parent,GNode * sibling,GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_insert_before "<<std::endl;
#endif /* DEBUG */
parent =( GNode * )args( 0 ).long_value();
sibling =( GNode * )args( 1 ).long_value();
node =( GNode * )args( 2 ).long_value();
long int ret_type= (long int) g_node_insert_before ( parent,sibling,node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_insert_after , args , , " GNode* g_node_insert_after (GNode * parent,GNode * sibling,GNode * node); " )
{
GNode *   parent ;
GNode *   sibling ;
GNode *   node ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GNode* g_node_insert_after (GNode * parent,GNode * sibling,GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_insert_after "<<std::endl;
#endif /* DEBUG */
parent =( GNode * )args( 0 ).long_value();
sibling =( GNode * )args( 1 ).long_value();
node =( GNode * )args( 2 ).long_value();
long int ret_type= (long int) g_node_insert_after ( parent,sibling,node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_prepend , args , , " GNode* g_node_prepend (GNode * parent,GNode * node); " )
{
GNode *   parent ;
GNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GNode* g_node_prepend (GNode * parent,GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_prepend "<<std::endl;
#endif /* DEBUG */
parent =( GNode * )args( 0 ).long_value();
node =( GNode * )args( 1 ).long_value();
long int ret_type= (long int) g_node_prepend ( parent,node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_n_nodes , args , , " guint g_node_n_nodes (GNode * root,GTraverseFlags flags); " )
{
GNode *   root ;
GTraverseFlags   flags ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint g_node_n_nodes (GNode * root,GTraverseFlags flags); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_n_nodes "<<std::endl;
#endif /* DEBUG */
root =( GNode * )args( 0 ).long_value();
flags = (  GTraverseFlags  ) args( 1 ).long_value();
long int ret_type=(long int) g_node_n_nodes ( root,flags);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_get_root , args , , " GNode* g_node_get_root (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GNode* g_node_get_root (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_get_root "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
long int ret_type= (long int) g_node_get_root ( node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_is_ancestor , args , , " gboolean g_node_is_ancestor (GNode * node,GNode * descendant); " )
{
GNode *   node ;
GNode *   descendant ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_node_is_ancestor (GNode * node,GNode * descendant); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_is_ancestor "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
descendant =( GNode * )args( 1 ).long_value();
long int ret_type=(long int) g_node_is_ancestor ( node,descendant);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_depth , args , , " guint g_node_depth (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_node_depth (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_depth "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
long int ret_type=(long int) g_node_depth ( node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_find , args , , " GNode* g_node_find (GNode * root,GTraverseType order,GTraverseFlags flags,gpointer data); " )
{
GNode *   root ;
GTraverseType   order ;
GTraverseFlags   flags ;
gpointer   data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GNode* g_node_find (GNode * root,GTraverseType order,GTraverseFlags flags,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_find "<<std::endl;
#endif /* DEBUG */
root =( GNode * )args( 0 ).long_value();
order = (  GTraverseType  ) args( 1 ).long_value();
flags = (  GTraverseFlags  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
long int ret_type= (long int) g_node_find ( root,order,flags,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_traverse , args , , " void g_node_traverse (GNode * root,GTraverseType order,GTraverseFlags flags,gint max_depth,GNodeTraverseFunc func,gpointer data); " )
{
GNode *   root ;
GTraverseType   order ;
GTraverseFlags   flags ;
gint   max_depth ;
GNodeTraverseFunc   func ;
gpointer   data ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void g_node_traverse (GNode * root,GTraverseType order,GTraverseFlags flags,gint max_depth,GNodeTraverseFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_traverse "<<std::endl;
#endif /* DEBUG */
root =( GNode * )args( 0 ).long_value();
order = (  GTraverseType  ) args( 1 ).long_value();
flags = (  GTraverseFlags  ) args( 2 ).long_value();
max_depth = (  gint  ) args( 3 ).int_value();
func = (  GNodeTraverseFunc  ) args( 4 ).long_value();
data =( gpointer )args( 5 ).long_value();
g_node_traverse ( root,order,flags,max_depth,func,data);
return octave_value();
}
DEFUN_DLD( g_node_max_height , args , , " guint g_node_max_height (GNode * root); " )
{
GNode *   root ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_node_max_height (GNode * root); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_max_height "<<std::endl;
#endif /* DEBUG */
root =( GNode * )args( 0 ).long_value();
long int ret_type=(long int) g_node_max_height ( root);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_children_foreach , args , , " void g_node_children_foreach (GNode * node,GTraverseFlags flags,GNodeForeachFunc func,gpointer data); " )
{
GNode *   node ;
GTraverseFlags   flags ;
GNodeForeachFunc   func ;
gpointer   data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_node_children_foreach (GNode * node,GTraverseFlags flags,GNodeForeachFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_children_foreach "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
flags = (  GTraverseFlags  ) args( 1 ).long_value();
func = (  GNodeForeachFunc  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
g_node_children_foreach ( node,flags,func,data);
return octave_value();
}
DEFUN_DLD( g_node_reverse_children , args , , " void g_node_reverse_children (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_node_reverse_children (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_reverse_children "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
g_node_reverse_children ( node);
return octave_value();
}
DEFUN_DLD( g_node_n_children , args , , " guint g_node_n_children (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_node_n_children (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_n_children "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
long int ret_type=(long int) g_node_n_children ( node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_nth_child , args , , " GNode* g_node_nth_child (GNode * node,guint n); " )
{
GNode *   node ;
guint   n ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GNode* g_node_nth_child (GNode * node,guint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_nth_child "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
n = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_node_nth_child ( node,n);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_last_child , args , , " GNode* g_node_last_child (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GNode* g_node_last_child (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_last_child "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
long int ret_type= (long int) g_node_last_child ( node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_find_child , args , , " GNode* g_node_find_child (GNode * node,GTraverseFlags flags,gpointer data); " )
{
GNode *   node ;
GTraverseFlags   flags ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GNode* g_node_find_child (GNode * node,GTraverseFlags flags,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_find_child "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
flags = (  GTraverseFlags  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) g_node_find_child ( node,flags,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_child_position , args , , " gint g_node_child_position (GNode * node,GNode * child); " )
{
GNode *   node ;
GNode *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_node_child_position (GNode * node,GNode * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_child_position "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
child =( GNode * )args( 1 ).long_value();
long int ret_type=(long int) g_node_child_position ( node,child);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_child_index , args , , " gint g_node_child_index (GNode * node,gpointer data); " )
{
GNode *   node ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_node_child_index (GNode * node,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_child_index "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type=(long int) g_node_child_index ( node,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_first_sibling , args , , " GNode* g_node_first_sibling (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GNode* g_node_first_sibling (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_first_sibling "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
long int ret_type= (long int) g_node_first_sibling ( node);
return octave_value(ret_type);
}
DEFUN_DLD( g_node_last_sibling , args , , " GNode* g_node_last_sibling (GNode * node); " )
{
GNode *   node ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GNode* g_node_last_sibling (GNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_node_last_sibling "<<std::endl;
#endif /* DEBUG */
node =( GNode * )args( 0 ).long_value();
long int ret_type= (long int) g_node_last_sibling ( node);
return octave_value(ret_type);
}
DEFUN_DLD( g_pattern_spec_new , args , , " GPatternSpec* g_pattern_spec_new (gchar * pattern); " )
{
gchar *   pattern ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GPatternSpec* g_pattern_spec_new (gchar * pattern); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_pattern_spec_new "<<std::endl;
#endif /* DEBUG */
pattern = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) pattern ,args( 0 ).string_value().c_str());
long int ret_type= (long int) g_pattern_spec_new ( pattern);
return octave_value(ret_type);
}
DEFUN_DLD( g_pattern_spec_free , args , , " void g_pattern_spec_free (GPatternSpec * pspec); " )
{
GPatternSpec *   pspec ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_pattern_spec_free (GPatternSpec * pspec); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_pattern_spec_free "<<std::endl;
#endif /* DEBUG */
pspec =( GPatternSpec * )args( 0 ).long_value();
g_pattern_spec_free ( pspec);
return octave_value();
}
DEFUN_DLD( g_pattern_spec_equal , args , , " gboolean g_pattern_spec_equal (GPatternSpec * pspec1,GPatternSpec * pspec2); " )
{
GPatternSpec *   pspec1 ;
GPatternSpec *   pspec2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_pattern_spec_equal (GPatternSpec * pspec1,GPatternSpec * pspec2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_pattern_spec_equal "<<std::endl;
#endif /* DEBUG */
pspec1 =( GPatternSpec * )args( 0 ).long_value();
pspec2 =( GPatternSpec * )args( 1 ).long_value();
long int ret_type=(long int) g_pattern_spec_equal ( pspec1,pspec2);
return octave_value(ret_type);
}
DEFUN_DLD( g_pattern_match , args , , " gboolean g_pattern_match (GPatternSpec * pspec,guint string_length,gchar * string,gchar * string_reversed); " )
{
GPatternSpec *   pspec ;
guint   string_length ;
gchar *   string ;
gchar *   string_reversed ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean g_pattern_match (GPatternSpec * pspec,guint string_length,gchar * string,gchar * string_reversed); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_pattern_match "<<std::endl;
#endif /* DEBUG */
pspec =( GPatternSpec * )args( 0 ).long_value();
string_length = (  guint  ) args( 1 ).int_value();
string = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) string ,args( 2 ).string_value().c_str());
string_reversed = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) string_reversed ,args( 3 ).string_value().c_str());
long int ret_type=(long int) g_pattern_match ( pspec,string_length,string,string_reversed);
return octave_value(ret_type);
}
DEFUN_DLD( g_pattern_match_string , args , , " gboolean g_pattern_match_string (GPatternSpec * pspec,gchar * string); " )
{
GPatternSpec *   pspec ;
gchar *   string ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_pattern_match_string (GPatternSpec * pspec,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_pattern_match_string "<<std::endl;
#endif /* DEBUG */
pspec =( GPatternSpec * )args( 0 ).long_value();
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
long int ret_type=(long int) g_pattern_match_string ( pspec,string);
return octave_value(ret_type);
}
DEFUN_DLD( g_pattern_match_simple , args , , " gboolean g_pattern_match_simple (gchar * pattern,gchar * string); " )
{
gchar *   pattern ;
gchar *   string ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_pattern_match_simple (gchar * pattern,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_pattern_match_simple "<<std::endl;
#endif /* DEBUG */
pattern = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) pattern ,args( 0 ).string_value().c_str());
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
long int ret_type=(long int) g_pattern_match_simple ( pattern,string);
return octave_value(ret_type);
}
DEFUN_DLD( g_spaced_primes_closest , args , , " guint g_spaced_primes_closest (guint num); " )
{
guint   num ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_spaced_primes_closest (guint num); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_spaced_primes_closest "<<std::endl;
#endif /* DEBUG */
num = (  guint  ) args( 0 ).int_value();
long int ret_type=(long int) g_spaced_primes_closest ( num);
return octave_value(ret_type);
}
/* overriden: g_printf  */
/* overriden: g_fprintf  */
/* overriden: g_sprintf  */
/* overriden: g_snprintf  */
/* overriden: g_vprintf  */
/* overriden: g_vfprintf  */
/* overriden: g_vsprintf  */
/* overriden: g_vsnprintf  */
DEFUN_DLD( g_qsort_with_data , args , , " void g_qsort_with_data (gconstpointer pbase,gint total_elems,size_t size,GCompareDataFunc compare_func,gpointer user_data); " )
{
gconstpointer   pbase ;
gint   total_elems ;
size_t   size ;
GCompareDataFunc   compare_func ;
gpointer   user_data ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void g_qsort_with_data (gconstpointer pbase,gint total_elems,size_t size,GCompareDataFunc compare_func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_qsort_with_data "<<std::endl;
#endif /* DEBUG */
pbase =( gconstpointer )args( 0 ).long_value();
total_elems = (  gint  ) args( 1 ).int_value();
size = (  size_t  ) args( 2 ).long_value();
compare_func = (  GCompareDataFunc  ) args( 3 ).long_value();
user_data =( gpointer )args( 4 ).long_value();
g_qsort_with_data ( pbase,total_elems,size,compare_func,user_data);
return octave_value();
}
DEFUN_DLD( g_quark_try_string , args , , " GQuark g_quark_try_string (gchar * string); " )
{
gchar *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GQuark g_quark_try_string (gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_quark_try_string "<<std::endl;
#endif /* DEBUG */
string = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) string ,args( 0 ).string_value().c_str());
long int ret_type=(long int) g_quark_try_string ( string);
return octave_value(ret_type);
}
DEFUN_DLD( g_quark_from_static_string , args , , " GQuark g_quark_from_static_string (gchar * string); " )
{
gchar *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GQuark g_quark_from_static_string (gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_quark_from_static_string "<<std::endl;
#endif /* DEBUG */
string = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) string ,args( 0 ).string_value().c_str());
long int ret_type=(long int) g_quark_from_static_string ( string);
return octave_value(ret_type);
}
DEFUN_DLD( g_quark_from_string , args , , " GQuark g_quark_from_string (gchar * string); " )
{
gchar *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GQuark g_quark_from_string (gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_quark_from_string "<<std::endl;
#endif /* DEBUG */
string = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) string ,args( 0 ).string_value().c_str());
long int ret_type=(long int) g_quark_from_string ( string);
return octave_value(ret_type);
}
DEFUN_DLD( g_quark_to_string , args , , " gchar* g_quark_to_string (GQuark quark); " )
{
GQuark   quark ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* g_quark_to_string (GQuark quark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_quark_to_string "<<std::endl;
#endif /* DEBUG */
quark = (  GQuark  ) args( 0 ).long_value();
string  ret_type( g_quark_to_string ( quark));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_queue_new , args , , " GQueue* g_queue_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_queue_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_queue_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_queue_free , args , , " void g_queue_free (GQueue * queue); " )
{
GQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_queue_free (GQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_free "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
g_queue_free ( queue);
return octave_value();
}
DEFUN_DLD( g_queue_push_head , args , , " void g_queue_push_head (GQueue * queue,gpointer data); " )
{
GQueue *   queue ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_queue_push_head (GQueue * queue,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_push_head "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
g_queue_push_head ( queue,data);
return octave_value();
}
DEFUN_DLD( g_queue_push_tail , args , , " void g_queue_push_tail (GQueue * queue,gpointer data); " )
{
GQueue *   queue ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_queue_push_tail (GQueue * queue,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_push_tail "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
g_queue_push_tail ( queue,data);
return octave_value();
}
DEFUN_DLD( g_queue_pop_head , args , , " gpointer g_queue_pop_head (GQueue * queue); " )
{
GQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_queue_pop_head (GQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_pop_head "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_queue_pop_head ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_queue_pop_tail , args , , " gpointer g_queue_pop_tail (GQueue * queue); " )
{
GQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_queue_pop_tail (GQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_pop_tail "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_queue_pop_tail ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_queue_is_empty , args , , " gboolean g_queue_is_empty (GQueue * queue); " )
{
GQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_queue_is_empty (GQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_is_empty "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
long int ret_type=(long int) g_queue_is_empty ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_queue_peek_head , args , , " gpointer g_queue_peek_head (GQueue * queue); " )
{
GQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_queue_peek_head (GQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_peek_head "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_queue_peek_head ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_queue_peek_tail , args , , " gpointer g_queue_peek_tail (GQueue * queue); " )
{
GQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer g_queue_peek_tail (GQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_peek_tail "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_queue_peek_tail ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_queue_push_head_link , args , , " void g_queue_push_head_link (GQueue * queue,GList * link_); " )
{
GQueue *   queue ;
GList *   link_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_queue_push_head_link (GQueue * queue,GList * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_push_head_link "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
link_ =( GList * )args( 1 ).long_value();
g_queue_push_head_link ( queue,link_);
return octave_value();
}
DEFUN_DLD( g_queue_push_tail_link , args , , " void g_queue_push_tail_link (GQueue * queue,GList * link_); " )
{
GQueue *   queue ;
GList *   link_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_queue_push_tail_link (GQueue * queue,GList * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_push_tail_link "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
link_ =( GList * )args( 1 ).long_value();
g_queue_push_tail_link ( queue,link_);
return octave_value();
}
DEFUN_DLD( g_queue_pop_head_link , args , , " GList* g_queue_pop_head_link (GQueue * queue); " )
{
GQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* g_queue_pop_head_link (GQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_pop_head_link "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_queue_pop_head_link ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_queue_pop_tail_link , args , , " GList* g_queue_pop_tail_link (GQueue * queue); " )
{
GQueue *   queue ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* g_queue_pop_tail_link (GQueue * queue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_queue_pop_tail_link "<<std::endl;
#endif /* DEBUG */
queue =( GQueue * )args( 0 ).long_value();
long int ret_type= (long int) g_queue_pop_tail_link ( queue);
return octave_value(ret_type);
}
DEFUN_DLD( g_rand_new_with_seed , args , , " GRand* g_rand_new_with_seed (guint32 seed); " )
{
guint32   seed ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GRand* g_rand_new_with_seed (guint32 seed); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_rand_new_with_seed "<<std::endl;
#endif /* DEBUG */
seed = (  guint32  ) args( 0 ).int_value();
long int ret_type= (long int) g_rand_new_with_seed ( seed);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_rand_new , args , , " GRand* g_rand_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_rand_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_rand_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_rand_free , args , , " void g_rand_free (GRand * rand_); " )
{
GRand *   rand_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_rand_free (GRand * rand_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_rand_free "<<std::endl;
#endif /* DEBUG */
rand_ =( GRand * )args( 0 ).long_value();
g_rand_free ( rand_);
return octave_value();
}
DEFUN_DLD( g_rand_set_seed , args , , " void g_rand_set_seed (GRand * rand_,guint32 seed); " )
{
GRand *   rand_ ;
guint32   seed ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_rand_set_seed (GRand * rand_,guint32 seed); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_rand_set_seed "<<std::endl;
#endif /* DEBUG */
rand_ =( GRand * )args( 0 ).long_value();
seed = (  guint32  ) args( 1 ).int_value();
g_rand_set_seed ( rand_,seed);
return octave_value();
}
DEFUN_DLD( g_rand_int , args , , " guint32 g_rand_int (GRand * rand_); " )
{
GRand *   rand_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint32 g_rand_int (GRand * rand_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_rand_int "<<std::endl;
#endif /* DEBUG */
rand_ =( GRand * )args( 0 ).long_value();
long int ret_type=(long int) g_rand_int ( rand_);
return octave_value(ret_type);
}
DEFUN_DLD( g_rand_int_range , args , , " gint32 g_rand_int_range (GRand * rand_,gint32 begin,gint32 end); " )
{
GRand *   rand_ ;
gint32   begin ;
gint32   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint32 g_rand_int_range (GRand * rand_,gint32 begin,gint32 end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_rand_int_range "<<std::endl;
#endif /* DEBUG */
rand_ =( GRand * )args( 0 ).long_value();
begin = (  gint32  ) args( 1 ).int_value();
end = (  gint32  ) args( 2 ).int_value();
long int ret_type=(long int) g_rand_int_range ( rand_,begin,end);
return octave_value(ret_type);
}
DEFUN_DLD( g_rand_double , args , , " gdouble g_rand_double (GRand * rand_); " )
{
GRand *   rand_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gdouble g_rand_double (GRand * rand_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_rand_double "<<std::endl;
#endif /* DEBUG */
rand_ =( GRand * )args( 0 ).long_value();
long int ret_type=(long int) g_rand_double ( rand_);
return octave_value(ret_type);
}
DEFUN_DLD( g_rand_double_range , args , , " gdouble g_rand_double_range (GRand * rand_,gdouble begin,gdouble end); " )
{
GRand *   rand_ ;
gdouble   begin ;
gdouble   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gdouble g_rand_double_range (GRand * rand_,gdouble begin,gdouble end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_rand_double_range "<<std::endl;
#endif /* DEBUG */
rand_ =( GRand * )args( 0 ).long_value();
begin = (  gdouble  ) args( 1 ).double_value();
end = (  gdouble  ) args( 2 ).double_value();
long int ret_type=(long int) g_rand_double_range ( rand_,begin,end);
return octave_value(ret_type);
}
DEFUN_DLD( g_random_set_seed , args , , " void g_random_set_seed (guint32 seed); " )
{
guint32   seed ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_random_set_seed (guint32 seed); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_random_set_seed "<<std::endl;
#endif /* DEBUG */
seed = (  guint32  ) args( 0 ).int_value();
g_random_set_seed ( seed);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_random_int , args , , " guint32 g_random_int (void); " )
{
#ifdef DEBUG
std::cout<<" g_random_int "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) g_random_int ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_random_int_range , args , , " gint32 g_random_int_range (gint32 begin,gint32 end); " )
{
gint32   begin ;
gint32   end ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint32 g_random_int_range (gint32 begin,gint32 end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_random_int_range "<<std::endl;
#endif /* DEBUG */
begin = (  gint32  ) args( 0 ).int_value();
end = (  gint32  ) args( 1 ).int_value();
long int ret_type=(long int) g_random_int_range ( begin,end);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_random_double , args , , " gdouble g_random_double (void); " )
{
#ifdef DEBUG
std::cout<<" g_random_double "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) g_random_double ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_random_double_range , args , , " gdouble g_random_double_range (gdouble begin,gdouble end); " )
{
gdouble   begin ;
gdouble   end ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gdouble g_random_double_range (gdouble begin,gdouble end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_random_double_range "<<std::endl;
#endif /* DEBUG */
begin = (  gdouble  ) args( 0 ).double_value();
end = (  gdouble  ) args( 1 ).double_value();
long int ret_type=(long int) g_random_double_range ( begin,end);
return octave_value(ret_type);
}
DEFUN_DLD( g_relation_new , args , , " GRelation* g_relation_new (gint fields); " )
{
gint   fields ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GRelation* g_relation_new (gint fields); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_new "<<std::endl;
#endif /* DEBUG */
fields = (  gint  ) args( 0 ).int_value();
long int ret_type= (long int) g_relation_new ( fields);
return octave_value(ret_type);
}
DEFUN_DLD( g_relation_destroy , args , , " void g_relation_destroy (GRelation * relation); " )
{
GRelation *   relation ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_relation_destroy (GRelation * relation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_destroy "<<std::endl;
#endif /* DEBUG */
relation =( GRelation * )args( 0 ).long_value();
g_relation_destroy ( relation);
return octave_value();
}
DEFUN_DLD( g_relation_index , args , , " void g_relation_index (GRelation * relation,gint field,GHashFunc hash_func,GEqualFunc key_equal_func); " )
{
GRelation *   relation ;
gint   field ;
GHashFunc   hash_func ;
GEqualFunc   key_equal_func ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_relation_index (GRelation * relation,gint field,GHashFunc hash_func,GEqualFunc key_equal_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_index "<<std::endl;
#endif /* DEBUG */
relation =( GRelation * )args( 0 ).long_value();
field = (  gint  ) args( 1 ).int_value();
hash_func = (  GHashFunc  ) args( 2 ).long_value();
key_equal_func = (  GEqualFunc  ) args( 3 ).long_value();
g_relation_index ( relation,field,hash_func,key_equal_func);
return octave_value();
}
DEFUN_DLD( g_relation_insert , args , , " void g_relation_insert (GRelation * relation,char * varargs_value); " )
{
GRelation *   relation ;
char *   varargs_value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_relation_insert (GRelation * relation,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_insert "<<std::endl;
#endif /* DEBUG */
relation =( GRelation * )args( 0 ).long_value();
varargs_value = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 1 ).string_value().c_str());
g_relation_insert ( relation,varargs_value);
return octave_value();
}
DEFUN_DLD( g_relation_delete , args , , " gint g_relation_delete (GRelation * relation,gconstpointer key,gint field); " )
{
GRelation *   relation ;
gconstpointer   key ;
gint   field ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint g_relation_delete (GRelation * relation,gconstpointer key,gint field); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_delete "<<std::endl;
#endif /* DEBUG */
relation =( GRelation * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
field = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) g_relation_delete ( relation,key,field);
return octave_value(ret_type);
}
DEFUN_DLD( g_relation_select , args , , " GTuples* g_relation_select (GRelation * relation,gconstpointer key,gint field); " )
{
GRelation *   relation ;
gconstpointer   key ;
gint   field ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GTuples* g_relation_select (GRelation * relation,gconstpointer key,gint field); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_select "<<std::endl;
#endif /* DEBUG */
relation =( GRelation * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
field = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) g_relation_select ( relation,key,field);
return octave_value(ret_type);
}
DEFUN_DLD( g_relation_count , args , , " gint g_relation_count (GRelation * relation,gconstpointer key,gint field); " )
{
GRelation *   relation ;
gconstpointer   key ;
gint   field ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint g_relation_count (GRelation * relation,gconstpointer key,gint field); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_count "<<std::endl;
#endif /* DEBUG */
relation =( GRelation * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
field = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) g_relation_count ( relation,key,field);
return octave_value(ret_type);
}
DEFUN_DLD( g_relation_exists , args , , " gboolean g_relation_exists (GRelation * relation,char * varargs_value); " )
{
GRelation *   relation ;
char *   varargs_value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_relation_exists (GRelation * relation,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_exists "<<std::endl;
#endif /* DEBUG */
relation =( GRelation * )args( 0 ).long_value();
varargs_value = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 1 ).string_value().c_str());
long int ret_type=(long int) g_relation_exists ( relation,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( g_relation_print , args , , " void g_relation_print (GRelation * relation); " )
{
GRelation *   relation ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_relation_print (GRelation * relation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_relation_print "<<std::endl;
#endif /* DEBUG */
relation =( GRelation * )args( 0 ).long_value();
g_relation_print ( relation);
return octave_value();
}
DEFUN_DLD( g_tuples_destroy , args , , " void g_tuples_destroy (GTuples * tuples); " )
{
GTuples *   tuples ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_tuples_destroy (GTuples * tuples); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tuples_destroy "<<std::endl;
#endif /* DEBUG */
tuples =( GTuples * )args( 0 ).long_value();
g_tuples_destroy ( tuples);
return octave_value();
}
DEFUN_DLD( g_tuples_index , args , , " gpointer g_tuples_index (GTuples * tuples,gint index_,gint field); " )
{
GTuples *   tuples ;
gint   index_ ;
gint   field ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gpointer g_tuples_index (GTuples * tuples,gint index_,gint field); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tuples_index "<<std::endl;
#endif /* DEBUG */
tuples =( GTuples * )args( 0 ).long_value();
index_ = (  gint  ) args( 1 ).int_value();
field = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) g_tuples_index ( tuples,index_,field);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_new , args , , " GScanner* g_scanner_new (GScannerConfig * config_templ); " )
{
GScannerConfig *   config_templ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GScanner* g_scanner_new (GScannerConfig * config_templ); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_new "<<std::endl;
#endif /* DEBUG */
config_templ =( GScannerConfig * )args( 0 ).long_value();
long int ret_type= (long int) g_scanner_new ( config_templ);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_destroy , args , , " void g_scanner_destroy (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_scanner_destroy (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_destroy "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
g_scanner_destroy ( scanner);
return octave_value();
}
DEFUN_DLD( g_scanner_input_file , args , , " void g_scanner_input_file (GScanner * scanner,gint input_fd); " )
{
GScanner *   scanner ;
gint   input_fd ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_scanner_input_file (GScanner * scanner,gint input_fd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_input_file "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
input_fd = (  gint  ) args( 1 ).int_value();
g_scanner_input_file ( scanner,input_fd);
return octave_value();
}
DEFUN_DLD( g_scanner_sync_file_offset , args , , " void g_scanner_sync_file_offset (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_scanner_sync_file_offset (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_sync_file_offset "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
g_scanner_sync_file_offset ( scanner);
return octave_value();
}
DEFUN_DLD( g_scanner_input_text , args , , " void g_scanner_input_text (GScanner * scanner,gchar * text,guint text_len); " )
{
GScanner *   scanner ;
gchar *   text ;
guint   text_len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_scanner_input_text (GScanner * scanner,gchar * text,guint text_len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_input_text "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
text_len = (  guint  ) args( 2 ).int_value();
g_scanner_input_text ( scanner,text,text_len);
return octave_value();
}
DEFUN_DLD( g_scanner_get_next_token , args , , " GTokenType g_scanner_get_next_token (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GTokenType g_scanner_get_next_token (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_get_next_token "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
long int ret_type=(long int) g_scanner_get_next_token ( scanner);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_peek_next_token , args , , " GTokenType g_scanner_peek_next_token (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GTokenType g_scanner_peek_next_token (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_peek_next_token "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
long int ret_type=(long int) g_scanner_peek_next_token ( scanner);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_cur_token , args , , " GTokenType g_scanner_cur_token (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GTokenType g_scanner_cur_token (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_cur_token "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
long int ret_type=(long int) g_scanner_cur_token ( scanner);
return octave_value(ret_type);
}
/* overriden: g_scanner_cur_value  */
DEFUN_DLD( g_scanner_cur_line , args , , " guint g_scanner_cur_line (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_scanner_cur_line (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_cur_line "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
long int ret_type=(long int) g_scanner_cur_line ( scanner);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_cur_position , args , , " guint g_scanner_cur_position (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_scanner_cur_position (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_cur_position "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
long int ret_type=(long int) g_scanner_cur_position ( scanner);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_eof , args , , " gboolean g_scanner_eof (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_scanner_eof (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_eof "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
long int ret_type=(long int) g_scanner_eof ( scanner);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_set_scope , args , , " guint g_scanner_set_scope (GScanner * scanner,guint scope_id); " )
{
GScanner *   scanner ;
guint   scope_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint g_scanner_set_scope (GScanner * scanner,guint scope_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_set_scope "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
scope_id = (  guint  ) args( 1 ).int_value();
long int ret_type=(long int) g_scanner_set_scope ( scanner,scope_id);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_scope_add_symbol , args , , " void g_scanner_scope_add_symbol (GScanner * scanner,guint scope_id,gchar * symbol,gpointer value); " )
{
GScanner *   scanner ;
guint   scope_id ;
gchar *   symbol ;
gpointer   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_scanner_scope_add_symbol (GScanner * scanner,guint scope_id,gchar * symbol,gpointer value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_scope_add_symbol "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
scope_id = (  guint  ) args( 1 ).int_value();
symbol = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) symbol ,args( 2 ).string_value().c_str());
value =( gpointer )args( 3 ).long_value();
g_scanner_scope_add_symbol ( scanner,scope_id,symbol,value);
return octave_value();
}
DEFUN_DLD( g_scanner_scope_remove_symbol , args , , " void g_scanner_scope_remove_symbol (GScanner * scanner,guint scope_id,gchar * symbol); " )
{
GScanner *   scanner ;
guint   scope_id ;
gchar *   symbol ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_scanner_scope_remove_symbol (GScanner * scanner,guint scope_id,gchar * symbol); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_scope_remove_symbol "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
scope_id = (  guint  ) args( 1 ).int_value();
symbol = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) symbol ,args( 2 ).string_value().c_str());
g_scanner_scope_remove_symbol ( scanner,scope_id,symbol);
return octave_value();
}
DEFUN_DLD( g_scanner_scope_lookup_symbol , args , , " gpointer g_scanner_scope_lookup_symbol (GScanner * scanner,guint scope_id,gchar * symbol); " )
{
GScanner *   scanner ;
guint   scope_id ;
gchar *   symbol ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gpointer g_scanner_scope_lookup_symbol (GScanner * scanner,guint scope_id,gchar * symbol); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_scope_lookup_symbol "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
scope_id = (  guint  ) args( 1 ).int_value();
symbol = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) symbol ,args( 2 ).string_value().c_str());
long int ret_type= (long int) g_scanner_scope_lookup_symbol ( scanner,scope_id,symbol);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_scope_foreach_symbol , args , , " void g_scanner_scope_foreach_symbol (GScanner * scanner,guint scope_id,GHFunc func,gpointer user_data); " )
{
GScanner *   scanner ;
guint   scope_id ;
GHFunc   func ;
gpointer   user_data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_scanner_scope_foreach_symbol (GScanner * scanner,guint scope_id,GHFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_scope_foreach_symbol "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
scope_id = (  guint  ) args( 1 ).int_value();
func = (  GHFunc  ) args( 2 ).long_value();
user_data =( gpointer )args( 3 ).long_value();
g_scanner_scope_foreach_symbol ( scanner,scope_id,func,user_data);
return octave_value();
}
DEFUN_DLD( g_scanner_lookup_symbol , args , , " gpointer g_scanner_lookup_symbol (GScanner * scanner,gchar * symbol); " )
{
GScanner *   scanner ;
gchar *   symbol ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_scanner_lookup_symbol (GScanner * scanner,gchar * symbol); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_lookup_symbol "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
symbol = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) symbol ,args( 1 ).string_value().c_str());
long int ret_type= (long int) g_scanner_lookup_symbol ( scanner,symbol);
return octave_value(ret_type);
}
DEFUN_DLD( g_scanner_unexp_token , args , , " void g_scanner_unexp_token (GScanner * scanner,GTokenType expected_token,gchar * identifier_spec,gchar * symbol_spec,gchar * symbol_name,gchar * message,gint is_error); " )
{
GScanner *   scanner ;
GTokenType   expected_token ;
gchar *   identifier_spec ;
gchar *   symbol_spec ;
gchar *   symbol_name ;
gchar *   message ;
gint   is_error ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void g_scanner_unexp_token (GScanner * scanner,GTokenType expected_token,gchar * identifier_spec,gchar * symbol_spec,gchar * symbol_name,gchar * message,gint is_error); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_unexp_token "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
expected_token = (  GTokenType  ) args( 1 ).long_value();
identifier_spec = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) identifier_spec ,args( 2 ).string_value().c_str());
symbol_spec = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) symbol_spec ,args( 3 ).string_value().c_str());
symbol_name = new  gchar   [args( 4 ).string_value ().length()];
strcpy( (char *) symbol_name ,args( 4 ).string_value().c_str());
message = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) message ,args( 5 ).string_value().c_str());
is_error = (  gint  ) args( 6 ).int_value();
g_scanner_unexp_token ( scanner,expected_token,identifier_spec,symbol_spec,symbol_name,message,is_error);
return octave_value();
}
DEFUN_DLD( g_scanner_error , args , , " void g_scanner_error (GScanner * scanner,gchar * format,char * varargs_value); " )
{
GScanner *   scanner ;
gchar *   format ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_scanner_error (GScanner * scanner,gchar * format,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_error "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
format = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) format ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
g_scanner_error ( scanner,format,varargs_value);
return octave_value();
}
DEFUN_DLD( g_scanner_warn , args , , " void g_scanner_warn (GScanner * scanner,gchar * format,char * varargs_value); " )
{
GScanner *   scanner ;
gchar *   format ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_scanner_warn (GScanner * scanner,gchar * format,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_scanner_warn "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
format = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) format ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
g_scanner_warn ( scanner,format,varargs_value);
return octave_value();
}
DEFUN_DLD( g_slist_push_allocator , args , , " void g_slist_push_allocator (GAllocator * allocator); " )
{
GAllocator *   allocator ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_slist_push_allocator (GAllocator * allocator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_push_allocator "<<std::endl;
#endif /* DEBUG */
allocator =( GAllocator * )args( 0 ).long_value();
g_slist_push_allocator ( allocator);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_slist_pop_allocator , args , , " void g_slist_pop_allocator (void); " )
{
#ifdef DEBUG
std::cout<<" g_slist_pop_allocator "<<std::endl;
#endif /* DEBUG */
g_slist_pop_allocator ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_slist_alloc , args , , " GSList* g_slist_alloc (void); " )
{
#ifdef DEBUG
std::cout<<" g_slist_alloc "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_slist_alloc ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_free , args , , " void g_slist_free (GSList * list); " )
{
GSList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_slist_free (GSList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_free "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
g_slist_free ( list);
return octave_value();
}
DEFUN_DLD( g_slist_free_1 , args , , " void g_slist_free_1 (GSList * list); " )
{
GSList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_slist_free_1 (GSList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_free_1 "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
g_slist_free_1 ( list);
return octave_value();
}
DEFUN_DLD( g_slist_append , args , , " GSList* g_slist_append (GSList * list,gpointer data); " )
{
GSList *   list ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_append (GSList * list,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_append "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type= (long int) g_slist_append ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_prepend , args , , " GSList* g_slist_prepend (GSList * list,gpointer data); " )
{
GSList *   list ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_prepend (GSList * list,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_prepend "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type= (long int) g_slist_prepend ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_insert , args , , " GSList* g_slist_insert (GSList * list,gpointer data,gint position); " )
{
GSList *   list ;
gpointer   data ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GSList* g_slist_insert (GSList * list,gpointer data,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_insert "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) g_slist_insert ( list,data,position);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_insert_sorted , args , , " GSList* g_slist_insert_sorted (GSList * list,gpointer data,GCompareFunc func); " )
{
GSList *   list ;
gpointer   data ;
GCompareFunc   func ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GSList* g_slist_insert_sorted (GSList * list,gpointer data,GCompareFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_insert_sorted "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
func = (  GCompareFunc  ) args( 2 ).long_value();
long int ret_type= (long int) g_slist_insert_sorted ( list,data,func);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_insert_before , args , , " GSList* g_slist_insert_before (GSList * slist,GSList * sibling,gpointer data); " )
{
GSList *   slist ;
GSList *   sibling ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GSList* g_slist_insert_before (GSList * slist,GSList * sibling,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_insert_before "<<std::endl;
#endif /* DEBUG */
slist =( GSList * )args( 0 ).long_value();
sibling =( GSList * )args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) g_slist_insert_before ( slist,sibling,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_concat , args , , " GSList* g_slist_concat (GSList * list1,GSList * list2); " )
{
GSList *   list1 ;
GSList *   list2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_concat (GSList * list1,GSList * list2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_concat "<<std::endl;
#endif /* DEBUG */
list1 =( GSList * )args( 0 ).long_value();
list2 =( GSList * )args( 1 ).long_value();
long int ret_type= (long int) g_slist_concat ( list1,list2);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_remove , args , , " GSList* g_slist_remove (GSList * list,gconstpointer data); " )
{
GSList *   list ;
gconstpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_remove (GSList * list,gconstpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_remove "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
long int ret_type= (long int) g_slist_remove ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_remove_all , args , , " GSList* g_slist_remove_all (GSList * list,gconstpointer data); " )
{
GSList *   list ;
gconstpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_remove_all (GSList * list,gconstpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_remove_all "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
long int ret_type= (long int) g_slist_remove_all ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_remove_link , args , , " GSList* g_slist_remove_link (GSList * list,GSList * link_); " )
{
GSList *   list ;
GSList *   link_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_remove_link (GSList * list,GSList * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_remove_link "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
link_ =( GSList * )args( 1 ).long_value();
long int ret_type= (long int) g_slist_remove_link ( list,link_);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_delete_link , args , , " GSList* g_slist_delete_link (GSList * list,GSList * link_); " )
{
GSList *   list ;
GSList *   link_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_delete_link (GSList * list,GSList * link_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_delete_link "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
link_ =( GSList * )args( 1 ).long_value();
long int ret_type= (long int) g_slist_delete_link ( list,link_);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_reverse , args , , " GSList* g_slist_reverse (GSList * list); " )
{
GSList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList* g_slist_reverse (GSList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_reverse "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
long int ret_type= (long int) g_slist_reverse ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_copy , args , , " GSList* g_slist_copy (GSList * list); " )
{
GSList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList* g_slist_copy (GSList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_copy "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
long int ret_type= (long int) g_slist_copy ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_nth , args , , " GSList* g_slist_nth (GSList * list,guint n); " )
{
GSList *   list ;
guint   n ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_nth (GSList * list,guint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_nth "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
n = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_slist_nth ( list,n);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_find , args , , " GSList* g_slist_find (GSList * list,gconstpointer data); " )
{
GSList *   list ;
gconstpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_find (GSList * list,gconstpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_find "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
long int ret_type= (long int) g_slist_find ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_find_custom , args , , " GSList* g_slist_find_custom (GSList * list,gconstpointer data,GCompareFunc func); " )
{
GSList *   list ;
gconstpointer   data ;
GCompareFunc   func ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GSList* g_slist_find_custom (GSList * list,gconstpointer data,GCompareFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_find_custom "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
func = (  GCompareFunc  ) args( 2 ).long_value();
long int ret_type= (long int) g_slist_find_custom ( list,data,func);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_position , args , , " gint g_slist_position (GSList * list,GSList * llink); " )
{
GSList *   list ;
GSList *   llink ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_slist_position (GSList * list,GSList * llink); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_position "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
llink =( GSList * )args( 1 ).long_value();
long int ret_type=(long int) g_slist_position ( list,llink);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_index , args , , " gint g_slist_index (GSList * list,gconstpointer data); " )
{
GSList *   list ;
gconstpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint g_slist_index (GSList * list,gconstpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_index "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
data =( gconstpointer )args( 1 ).long_value();
long int ret_type=(long int) g_slist_index ( list,data);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_last , args , , " GSList* g_slist_last (GSList * list); " )
{
GSList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList* g_slist_last (GSList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_last "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
long int ret_type= (long int) g_slist_last ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_length , args , , " guint g_slist_length (GSList * list); " )
{
GSList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_slist_length (GSList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_length "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
long int ret_type=(long int) g_slist_length ( list);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_foreach , args , , " void g_slist_foreach (GSList * list,GFunc func,gpointer user_data); " )
{
GSList *   list ;
GFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_slist_foreach (GSList * list,GFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_foreach "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
func = (  GFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_slist_foreach ( list,func,user_data);
return octave_value();
}
DEFUN_DLD( g_slist_sort , args , , " GSList* g_slist_sort (GSList * list,GCompareFunc compare_func); " )
{
GSList *   list ;
GCompareFunc   compare_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList* g_slist_sort (GSList * list,GCompareFunc compare_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_sort "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
compare_func = (  GCompareFunc  ) args( 1 ).long_value();
long int ret_type= (long int) g_slist_sort ( list,compare_func);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_sort_with_data , args , , " GSList* g_slist_sort_with_data (GSList * list,GCompareDataFunc compare_func,gpointer user_data); " )
{
GSList *   list ;
GCompareDataFunc   compare_func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GSList* g_slist_sort_with_data (GSList * list,GCompareDataFunc compare_func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_sort_with_data "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
compare_func = (  GCompareDataFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) g_slist_sort_with_data ( list,compare_func,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_slist_nth_data , args , , " gpointer g_slist_nth_data (GSList * list,guint n); " )
{
GSList *   list ;
guint   n ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_slist_nth_data (GSList * list,guint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_slist_nth_data "<<std::endl;
#endif /* DEBUG */
list =( GSList * )args( 0 ).long_value();
n = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) g_slist_nth_data ( list,n);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_chunk_new , args , , " GStringChunk* g_string_chunk_new (gsize size); " )
{
gsize   size ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GStringChunk* g_string_chunk_new (gsize size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_chunk_new "<<std::endl;
#endif /* DEBUG */
size = (  gsize  ) args( 0 ).long_value();
long int ret_type= (long int) g_string_chunk_new ( size);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_chunk_free , args , , " void g_string_chunk_free (GStringChunk * chunk); " )
{
GStringChunk *   chunk ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_string_chunk_free (GStringChunk * chunk); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_chunk_free "<<std::endl;
#endif /* DEBUG */
chunk =( GStringChunk * )args( 0 ).long_value();
g_string_chunk_free ( chunk);
return octave_value();
}
/* overriden: g_string_chunk_insert  */
/* overriden: g_string_chunk_insert_const  */
DEFUN_DLD( g_string_new , args , , " GString* g_string_new (gchar * init); " )
{
gchar *   init ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GString* g_string_new (gchar * init); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_new "<<std::endl;
#endif /* DEBUG */
init = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) init ,args( 0 ).string_value().c_str());
long int ret_type= (long int) g_string_new ( init);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_new_len , args , , " GString* g_string_new_len (gchar * init,gssize len); " )
{
gchar *   init ;
gssize   len ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_new_len (gchar * init,gssize len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_new_len "<<std::endl;
#endif /* DEBUG */
init = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) init ,args( 0 ).string_value().c_str());
len = (  gssize  ) args( 1 ).long_value();
long int ret_type= (long int) g_string_new_len ( init,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_sized_new , args , , " GString* g_string_sized_new (gsize dfl_size); " )
{
gsize   dfl_size ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GString* g_string_sized_new (gsize dfl_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_sized_new "<<std::endl;
#endif /* DEBUG */
dfl_size = (  gsize  ) args( 0 ).long_value();
long int ret_type= (long int) g_string_sized_new ( dfl_size);
return octave_value(ret_type);
}
/* overriden: g_string_free  */
DEFUN_DLD( g_string_equal , args , , " gboolean g_string_equal (GString * v,GString * v2); " )
{
GString *   v ;
GString *   v2 ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean g_string_equal (GString * v,GString * v2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_equal "<<std::endl;
#endif /* DEBUG */
v =( GString * )args( 0 ).long_value();
v2 =( GString * )args( 1 ).long_value();
long int ret_type=(long int) g_string_equal ( v,v2);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_hash , args , , " guint g_string_hash (GString * str); " )
{
GString *   str ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint g_string_hash (GString * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_hash "<<std::endl;
#endif /* DEBUG */
str =( GString * )args( 0 ).long_value();
long int ret_type=(long int) g_string_hash ( str);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_assign , args , , " GString* g_string_assign (GString * string,gchar * rval); " )
{
GString *   string ;
gchar *   rval ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_assign (GString * string,gchar * rval); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_assign "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
rval = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) rval ,args( 1 ).string_value().c_str());
long int ret_type= (long int) g_string_assign ( string,rval);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_truncate , args , , " GString* g_string_truncate (GString * string,gsize len); " )
{
GString *   string ;
gsize   len ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_truncate (GString * string,gsize len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_truncate "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
len = (  gsize  ) args( 1 ).long_value();
long int ret_type= (long int) g_string_truncate ( string,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_set_size , args , , " GString* g_string_set_size (GString * string,gsize len); " )
{
GString *   string ;
gsize   len ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_set_size (GString * string,gsize len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_set_size "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
len = (  gsize  ) args( 1 ).long_value();
long int ret_type= (long int) g_string_set_size ( string,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_insert_len , args , , " GString* g_string_insert_len (GString * string,gssize pos,gchar * val,gssize len); " )
{
GString *   string ;
gssize   pos ;
gchar *   val ;
gssize   len ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GString* g_string_insert_len (GString * string,gssize pos,gchar * val,gssize len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_insert_len "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
pos = (  gssize  ) args( 1 ).long_value();
val = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) val ,args( 2 ).string_value().c_str());
len = (  gssize  ) args( 3 ).long_value();
long int ret_type= (long int) g_string_insert_len ( string,pos,val,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_append , args , , " GString* g_string_append (GString * string,gchar * val); " )
{
GString *   string ;
gchar *   val ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_append (GString * string,gchar * val); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_append "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
val = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) val ,args( 1 ).string_value().c_str());
long int ret_type= (long int) g_string_append ( string,val);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_append_len , args , , " GString* g_string_append_len (GString * string,gchar * val,gssize len); " )
{
GString *   string ;
gchar *   val ;
gssize   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GString* g_string_append_len (GString * string,gchar * val,gssize len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_append_len "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
val = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) val ,args( 1 ).string_value().c_str());
len = (  gssize  ) args( 2 ).long_value();
long int ret_type= (long int) g_string_append_len ( string,val,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_append_c , args , , " GString* g_string_append_c (GString * string,gchar c); " )
{
GString *   string ;
gchar   c ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_append_c (GString * string,gchar c); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_append_c "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
c = (  gchar  ) args( 1 ).long_value();
long int ret_type= (long int) g_string_append_c ( string,c);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_append_unichar , args , , " GString* g_string_append_unichar (GString * string,gunichar wc); " )
{
GString *   string ;
gunichar   wc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_append_unichar (GString * string,gunichar wc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_append_unichar "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
wc = (  gunichar  ) args( 1 ).long_value();
long int ret_type= (long int) g_string_append_unichar ( string,wc);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_prepend , args , , " GString* g_string_prepend (GString * string,gchar * val); " )
{
GString *   string ;
gchar *   val ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_prepend (GString * string,gchar * val); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_prepend "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
val = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) val ,args( 1 ).string_value().c_str());
long int ret_type= (long int) g_string_prepend ( string,val);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_prepend_c , args , , " GString* g_string_prepend_c (GString * string,gchar c); " )
{
GString *   string ;
gchar   c ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_prepend_c (GString * string,gchar c); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_prepend_c "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
c = (  gchar  ) args( 1 ).long_value();
long int ret_type= (long int) g_string_prepend_c ( string,c);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_prepend_unichar , args , , " GString* g_string_prepend_unichar (GString * string,gunichar wc); " )
{
GString *   string ;
gunichar   wc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GString* g_string_prepend_unichar (GString * string,gunichar wc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_prepend_unichar "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
wc = (  gunichar  ) args( 1 ).long_value();
long int ret_type= (long int) g_string_prepend_unichar ( string,wc);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_prepend_len , args , , " GString* g_string_prepend_len (GString * string,gchar * val,gssize len); " )
{
GString *   string ;
gchar *   val ;
gssize   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GString* g_string_prepend_len (GString * string,gchar * val,gssize len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_prepend_len "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
val = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) val ,args( 1 ).string_value().c_str());
len = (  gssize  ) args( 2 ).long_value();
long int ret_type= (long int) g_string_prepend_len ( string,val,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_insert , args , , " GString* g_string_insert (GString * string,gssize pos,gchar * val); " )
{
GString *   string ;
gssize   pos ;
gchar *   val ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GString* g_string_insert (GString * string,gssize pos,gchar * val); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_insert "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
pos = (  gssize  ) args( 1 ).long_value();
val = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) val ,args( 2 ).string_value().c_str());
long int ret_type= (long int) g_string_insert ( string,pos,val);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_insert_c , args , , " GString* g_string_insert_c (GString * string,gssize pos,gchar c); " )
{
GString *   string ;
gssize   pos ;
gchar   c ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GString* g_string_insert_c (GString * string,gssize pos,gchar c); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_insert_c "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
pos = (  gssize  ) args( 1 ).long_value();
c = (  gchar  ) args( 2 ).long_value();
long int ret_type= (long int) g_string_insert_c ( string,pos,c);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_insert_unichar , args , , " GString* g_string_insert_unichar (GString * string,gssize pos,gunichar wc); " )
{
GString *   string ;
gssize   pos ;
gunichar   wc ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GString* g_string_insert_unichar (GString * string,gssize pos,gunichar wc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_insert_unichar "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
pos = (  gssize  ) args( 1 ).long_value();
wc = (  gunichar  ) args( 2 ).long_value();
long int ret_type= (long int) g_string_insert_unichar ( string,pos,wc);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_erase , args , , " GString* g_string_erase (GString * string,gssize pos,gssize len); " )
{
GString *   string ;
gssize   pos ;
gssize   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GString* g_string_erase (GString * string,gssize pos,gssize len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_erase "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
pos = (  gssize  ) args( 1 ).long_value();
len = (  gssize  ) args( 2 ).long_value();
long int ret_type= (long int) g_string_erase ( string,pos,len);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_ascii_down , args , , " GString* g_string_ascii_down (GString * string); " )
{
GString *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GString* g_string_ascii_down (GString * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_ascii_down "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
long int ret_type= (long int) g_string_ascii_down ( string);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_ascii_up , args , , " GString* g_string_ascii_up (GString * string); " )
{
GString *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GString* g_string_ascii_up (GString * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_ascii_up "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
long int ret_type= (long int) g_string_ascii_up ( string);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_printf , args , , " void g_string_printf (GString * string,gchar * format,char * varargs_value); " )
{
GString *   string ;
gchar *   format ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_string_printf (GString * string,gchar * format,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_printf "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
format = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) format ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
g_string_printf ( string,format,varargs_value);
return octave_value();
}
DEFUN_DLD( g_string_append_printf , args , , " void g_string_append_printf (GString * string,gchar * format,char * varargs_value); " )
{
GString *   string ;
gchar *   format ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_string_append_printf (GString * string,gchar * format,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_append_printf "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
format = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) format ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
g_string_append_printf ( string,format,varargs_value);
return octave_value();
}
DEFUN_DLD( g_string_down , args , , " GString* g_string_down (GString * string); " )
{
GString *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GString* g_string_down (GString * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_down "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
long int ret_type= (long int) g_string_down ( string);
return octave_value(ret_type);
}
DEFUN_DLD( g_string_up , args , , " GString* g_string_up (GString * string); " )
{
GString *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GString* g_string_up (GString * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_string_up "<<std::endl;
#endif /* DEBUG */
string =( GString * )args( 0 ).long_value();
long int ret_type= (long int) g_string_up ( string);
return octave_value(ret_type);
}
/* overriden: g_thread_init  */
/* overriden: g_thread_init_with_errorcheck_mutexes  */
/* overriden: g_static_mutex_get_mutex_impl  */
/* overriden: g_thread_create_full  */
/* overriden: g_thread_self  */
/* overriden: g_thread_exit  */
/* overriden: g_thread_join  */
/* overriden: g_thread_set_priority  */
/* overriden: g_static_mutex_init  */
/* overriden: g_static_mutex_free  */
/* overriden: g_static_private_init  */
/* overriden: g_static_private_get  */
/* overriden: g_static_private_set  */
/* overriden: g_static_private_free  */
/* overriden: g_static_rec_mutex_init  */
/* overriden: g_static_rec_mutex_lock  */
/* overriden: g_static_rec_mutex_trylock  */
/* overriden: g_static_rec_mutex_unlock  */
/* overriden: g_static_rec_mutex_lock_full  */
/* overriden: g_static_rec_mutex_unlock_full  */
/* overriden: g_static_rec_mutex_free  */
/* overriden: g_static_rw_lock_init  */
/* overriden: g_static_rw_lock_reader_lock  */
/* overriden: g_static_rw_lock_reader_trylock  */
/* overriden: g_static_rw_lock_reader_unlock  */
/* overriden: g_static_rw_lock_writer_lock  */
/* overriden: g_static_rw_lock_writer_trylock  */
/* overriden: g_static_rw_lock_writer_unlock  */
/* overriden: g_static_rw_lock_free  */
/* overriden: g_thread_pool_new  */
/* overriden: g_thread_pool_push  */
/* overriden: g_thread_pool_set_max_threads  */
/* overriden: g_thread_pool_get_max_threads  */
/* overriden: g_thread_pool_get_num_threads  */
/* overriden: g_thread_pool_unprocessed  */
/* overriden: g_thread_pool_free  */
/* overriden: g_thread_pool_set_max_unused_threads  */
/* overriden: g_thread_pool_get_max_unused_threads  */
/* overriden: g_thread_pool_get_num_unused_threads  */
/* overriden: g_thread_pool_stop_unused_threads  */
/* void: zero arguments taken */
DEFUN_DLD( g_timer_new , args , , " GTimer* g_timer_new (void); " )
{
#ifdef DEBUG
std::cout<<" g_timer_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) g_timer_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( g_timer_destroy , args , , " void g_timer_destroy (GTimer * timer); " )
{
GTimer *   timer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_timer_destroy (GTimer * timer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_timer_destroy "<<std::endl;
#endif /* DEBUG */
timer =( GTimer * )args( 0 ).long_value();
g_timer_destroy ( timer);
return octave_value();
}
DEFUN_DLD( g_timer_start , args , , " void g_timer_start (GTimer * timer); " )
{
GTimer *   timer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_timer_start (GTimer * timer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_timer_start "<<std::endl;
#endif /* DEBUG */
timer =( GTimer * )args( 0 ).long_value();
g_timer_start ( timer);
return octave_value();
}
DEFUN_DLD( g_timer_stop , args , , " void g_timer_stop (GTimer * timer); " )
{
GTimer *   timer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_timer_stop (GTimer * timer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_timer_stop "<<std::endl;
#endif /* DEBUG */
timer =( GTimer * )args( 0 ).long_value();
g_timer_stop ( timer);
return octave_value();
}
DEFUN_DLD( g_timer_reset , args , , " void g_timer_reset (GTimer * timer); " )
{
GTimer *   timer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_timer_reset (GTimer * timer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_timer_reset "<<std::endl;
#endif /* DEBUG */
timer =( GTimer * )args( 0 ).long_value();
g_timer_reset ( timer);
return octave_value();
}
DEFUN_DLD( g_timer_elapsed , args , , " gdouble g_timer_elapsed (GTimer * timer,gulong * microseconds); " )
{
GTimer *   timer ;
gulong *   microseconds ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gdouble g_timer_elapsed (GTimer * timer,gulong * microseconds); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_timer_elapsed "<<std::endl;
#endif /* DEBUG */
timer =( GTimer * )args( 0 ).long_value();
microseconds =( gulong * )args( 1 ).long_value();
long int ret_type=(long int) g_timer_elapsed ( timer,microseconds);
return octave_value(ret_type);
}
DEFUN_DLD( g_usleep , args , , " void g_usleep (gulong microseconds); " )
{
gulong   microseconds ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_usleep (gulong microseconds); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_usleep "<<std::endl;
#endif /* DEBUG */
microseconds = (  gulong  ) args( 0 ).long_value();
g_usleep ( microseconds);
return octave_value();
}
DEFUN_DLD( g_time_val_add , args , , " void g_time_val_add (GTimeVal * time_,glong microseconds); " )
{
GTimeVal *   time_ ;
glong   microseconds ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_time_val_add (GTimeVal * time_,glong microseconds); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_time_val_add "<<std::endl;
#endif /* DEBUG */
time_ =( GTimeVal * )args( 0 ).long_value();
microseconds = (  glong  ) args( 1 ).long_value();
g_time_val_add ( time_,microseconds);
return octave_value();
}
DEFUN_DLD( g_tree_new , args , , " GTree* g_tree_new (GCompareFunc key_compare_func); " )
{
GCompareFunc   key_compare_func ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GTree* g_tree_new (GCompareFunc key_compare_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_new "<<std::endl;
#endif /* DEBUG */
key_compare_func = (  GCompareFunc  ) args( 0 ).long_value();
long int ret_type= (long int) g_tree_new ( key_compare_func);
return octave_value(ret_type);
}
DEFUN_DLD( g_tree_new_with_data , args , , " GTree* g_tree_new_with_data (GCompareDataFunc key_compare_func,gpointer key_compare_data); " )
{
GCompareDataFunc   key_compare_func ;
gpointer   key_compare_data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GTree* g_tree_new_with_data (GCompareDataFunc key_compare_func,gpointer key_compare_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_new_with_data "<<std::endl;
#endif /* DEBUG */
key_compare_func = (  GCompareDataFunc  ) args( 0 ).long_value();
key_compare_data =( gpointer )args( 1 ).long_value();
long int ret_type= (long int) g_tree_new_with_data ( key_compare_func,key_compare_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_tree_new_full , args , , " GTree* g_tree_new_full (GCompareDataFunc key_compare_func,gpointer key_compare_data,GDestroyNotify key_destroy_func,GDestroyNotify value_destroy_func); " )
{
GCompareDataFunc   key_compare_func ;
gpointer   key_compare_data ;
GDestroyNotify   key_destroy_func ;
GDestroyNotify   value_destroy_func ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GTree* g_tree_new_full (GCompareDataFunc key_compare_func,gpointer key_compare_data,GDestroyNotify key_destroy_func,GDestroyNotify value_destroy_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_new_full "<<std::endl;
#endif /* DEBUG */
key_compare_func = (  GCompareDataFunc  ) args( 0 ).long_value();
key_compare_data =( gpointer )args( 1 ).long_value();
key_destroy_func = (  GDestroyNotify  ) args( 2 ).long_value();
value_destroy_func = (  GDestroyNotify  ) args( 3 ).long_value();
long int ret_type= (long int) g_tree_new_full ( key_compare_func,key_compare_data,key_destroy_func,value_destroy_func);
return octave_value(ret_type);
}
DEFUN_DLD( g_tree_destroy , args , , " void g_tree_destroy (GTree * tree); " )
{
GTree *   tree ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_tree_destroy (GTree * tree); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_destroy "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
g_tree_destroy ( tree);
return octave_value();
}
DEFUN_DLD( g_tree_insert , args , , " void g_tree_insert (GTree * tree,gpointer key,gpointer value); " )
{
GTree *   tree ;
gpointer   key ;
gpointer   value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_tree_insert (GTree * tree,gpointer key,gpointer value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_insert "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
key =( gpointer )args( 1 ).long_value();
value =( gpointer )args( 2 ).long_value();
g_tree_insert ( tree,key,value);
return octave_value();
}
DEFUN_DLD( g_tree_replace , args , , " void g_tree_replace (GTree * tree,gpointer key,gpointer value); " )
{
GTree *   tree ;
gpointer   key ;
gpointer   value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_tree_replace (GTree * tree,gpointer key,gpointer value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_replace "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
key =( gpointer )args( 1 ).long_value();
value =( gpointer )args( 2 ).long_value();
g_tree_replace ( tree,key,value);
return octave_value();
}
DEFUN_DLD( g_tree_remove , args , , " void g_tree_remove (GTree * tree,gconstpointer key); " )
{
GTree *   tree ;
gconstpointer   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_tree_remove (GTree * tree,gconstpointer key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_remove "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
g_tree_remove ( tree,key);
return octave_value();
}
DEFUN_DLD( g_tree_steal , args , , " void g_tree_steal (GTree * tree,gconstpointer key); " )
{
GTree *   tree ;
gconstpointer   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void g_tree_steal (GTree * tree,gconstpointer key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_steal "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
g_tree_steal ( tree,key);
return octave_value();
}
DEFUN_DLD( g_tree_lookup , args , , " gpointer g_tree_lookup (GTree * tree,gconstpointer key); " )
{
GTree *   tree ;
gconstpointer   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer g_tree_lookup (GTree * tree,gconstpointer key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_lookup "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
key =( gconstpointer )args( 1 ).long_value();
long int ret_type= (long int) g_tree_lookup ( tree,key);
return octave_value(ret_type);
}
DEFUN_DLD( g_tree_lookup_extended , args , , " gboolean g_tree_lookup_extended (GTree * tree,gconstpointer lookup_key,gpointer * orig_key,gpointer * value); " )
{
GTree *   tree ;
gconstpointer   lookup_key ;
gpointer *   orig_key ;
gpointer *   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean g_tree_lookup_extended (GTree * tree,gconstpointer lookup_key,gpointer * orig_key,gpointer * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_lookup_extended "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
lookup_key =( gconstpointer )args( 1 ).long_value();
orig_key =( gpointer * )args( 2 ).long_value();
value =( gpointer * )args( 3 ).long_value();
long int ret_type=(long int) g_tree_lookup_extended ( tree,lookup_key,orig_key,value);
return octave_value(ret_type);
}
DEFUN_DLD( g_tree_foreach , args , , " void g_tree_foreach (GTree * tree,GTraverseFunc func,gpointer user_data); " )
{
GTree *   tree ;
GTraverseFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void g_tree_foreach (GTree * tree,GTraverseFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_foreach "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
func = (  GTraverseFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
g_tree_foreach ( tree,func,user_data);
return octave_value();
}
DEFUN_DLD( g_tree_traverse , args , , " void g_tree_traverse (GTree * tree,GTraverseFunc traverse_func,GTraverseType traverse_type,gpointer user_data); " )
{
GTree *   tree ;
GTraverseFunc   traverse_func ;
GTraverseType   traverse_type ;
gpointer   user_data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void g_tree_traverse (GTree * tree,GTraverseFunc traverse_func,GTraverseType traverse_type,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_traverse "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
traverse_func = (  GTraverseFunc  ) args( 1 ).long_value();
traverse_type = (  GTraverseType  ) args( 2 ).long_value();
user_data =( gpointer )args( 3 ).long_value();
g_tree_traverse ( tree,traverse_func,traverse_type,user_data);
return octave_value();
}
DEFUN_DLD( g_tree_search , args , , " gpointer g_tree_search (GTree * tree,GCompareFunc search_func,gconstpointer user_data); " )
{
GTree *   tree ;
GCompareFunc   search_func ;
gconstpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gpointer g_tree_search (GTree * tree,GCompareFunc search_func,gconstpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_search "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
search_func = (  GCompareFunc  ) args( 1 ).long_value();
user_data =( gconstpointer )args( 2 ).long_value();
long int ret_type= (long int) g_tree_search ( tree,search_func,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( g_tree_height , args , , " gint g_tree_height (GTree * tree); " )
{
GTree *   tree ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint g_tree_height (GTree * tree); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_height "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
long int ret_type=(long int) g_tree_height ( tree);
return octave_value(ret_type);
}
DEFUN_DLD( g_tree_nnodes , args , , " gint g_tree_nnodes (GTree * tree); " )
{
GTree *   tree ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint g_tree_nnodes (GTree * tree); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_tree_nnodes "<<std::endl;
#endif /* DEBUG */
tree =( GTree * )args( 0 ).long_value();
long int ret_type=(long int) g_tree_nnodes ( tree);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_get_user_name , args , , " gchar* g_get_user_name (void); " )
{
#ifdef DEBUG
std::cout<<" g_get_user_name "<<std::endl;
#endif /* DEBUG */
string  ret_type( g_get_user_name ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_get_real_name , args , , " gchar* g_get_real_name (void); " )
{
#ifdef DEBUG
std::cout<<" g_get_real_name "<<std::endl;
#endif /* DEBUG */
string  ret_type( g_get_real_name ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_get_home_dir , args , , " gchar* g_get_home_dir (void); " )
{
#ifdef DEBUG
std::cout<<" g_get_home_dir "<<std::endl;
#endif /* DEBUG */
string  ret_type( g_get_home_dir ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_get_tmp_dir , args , , " gchar* g_get_tmp_dir (void); " )
{
#ifdef DEBUG
std::cout<<" g_get_tmp_dir "<<std::endl;
#endif /* DEBUG */
string  ret_type( g_get_tmp_dir ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_get_prgname , args , , " gchar* g_get_prgname (void); " )
{
#ifdef DEBUG
std::cout<<" g_get_prgname "<<std::endl;
#endif /* DEBUG */
string  ret_type( g_get_prgname ( ));
return octave_value(ret_type);
}
DEFUN_DLD( g_set_prgname , args , , " void g_set_prgname (gchar * prgname); " )
{
gchar *   prgname ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_set_prgname (gchar * prgname); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_set_prgname "<<std::endl;
#endif /* DEBUG */
prgname = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) prgname ,args( 0 ).string_value().c_str());
g_set_prgname ( prgname);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( g_get_application_name , args , , " gchar* g_get_application_name (void); " )
{
#ifdef DEBUG
std::cout<<" g_get_application_name "<<std::endl;
#endif /* DEBUG */
string  ret_type( g_get_application_name ( ));
return octave_value(ret_type);
}
DEFUN_DLD( g_set_application_name , args , , " void g_set_application_name (gchar * application_name); " )
{
gchar *   application_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_set_application_name (gchar * application_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_set_application_name "<<std::endl;
#endif /* DEBUG */
application_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) application_name ,args( 0 ).string_value().c_str());
g_set_application_name ( application_name);
return octave_value();
}
DEFUN_DLD( g_parse_debug_string , args , , " guint g_parse_debug_string (gchar * string,GDebugKey * keys,guint nkeys); " )
{
gchar *   string ;
GDebugKey *   keys ;
guint   nkeys ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint g_parse_debug_string (gchar * string,GDebugKey * keys,guint nkeys); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_parse_debug_string "<<std::endl;
#endif /* DEBUG */
string = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) string ,args( 0 ).string_value().c_str());
keys =( GDebugKey * )args( 1 ).long_value();
nkeys = (  guint  ) args( 2 ).int_value();
long int ret_type=(long int) g_parse_debug_string ( string,keys,nkeys);
return octave_value(ret_type);
}
/* overriden: g_snprintf  */
/* overriden: g_vsnprintf  */
DEFUN_DLD( g_path_is_absolute , args , , " gboolean g_path_is_absolute (gchar * file_name); " )
{
gchar *   file_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean g_path_is_absolute (gchar * file_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_path_is_absolute "<<std::endl;
#endif /* DEBUG */
file_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) file_name ,args( 0 ).string_value().c_str());
long int ret_type=(long int) g_path_is_absolute ( file_name);
return octave_value(ret_type);
}
DEFUN_DLD( g_path_skip_root , args , , " gchar* g_path_skip_root (gchar * file_name); " )
{
gchar *   file_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* g_path_skip_root (gchar * file_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_path_skip_root "<<std::endl;
#endif /* DEBUG */
file_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) file_name ,args( 0 ).string_value().c_str());
string  ret_type( g_path_skip_root ( file_name));
return octave_value(ret_type);
}
DEFUN_DLD( g_basename , args , , " gchar* g_basename (gchar * file_name); " )
{
gchar *   file_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* g_basename (gchar * file_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_basename "<<std::endl;
#endif /* DEBUG */
file_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) file_name ,args( 0 ).string_value().c_str());
string  ret_type( g_basename ( file_name));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( g_get_current_dir , args , , " gchar* g_get_current_dir (void); " )
{
#ifdef DEBUG
std::cout<<" g_get_current_dir "<<std::endl;
#endif /* DEBUG */
string  ret_type( g_get_current_dir ( ));
return octave_value(ret_type);
}
DEFUN_DLD( g_path_get_basename , args , , " gchar* g_path_get_basename (gchar * file_name); " )
{
gchar *   file_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* g_path_get_basename (gchar * file_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_path_get_basename "<<std::endl;
#endif /* DEBUG */
file_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) file_name ,args( 0 ).string_value().c_str());
string  ret_type( g_path_get_basename ( file_name));
return octave_value(ret_type);
}
DEFUN_DLD( g_path_get_dirname , args , , " gchar* g_path_get_dirname (gchar * file_name); " )
{
gchar *   file_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* g_path_get_dirname (gchar * file_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_path_get_dirname "<<std::endl;
#endif /* DEBUG */
file_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) file_name ,args( 0 ).string_value().c_str());
string  ret_type( g_path_get_dirname ( file_name));
return octave_value(ret_type);
}
DEFUN_DLD( g_nullify_pointer , args , , " void g_nullify_pointer (gpointer * nullify_location); " )
{
gpointer *   nullify_location ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_nullify_pointer (gpointer * nullify_location); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_nullify_pointer "<<std::endl;
#endif /* DEBUG */
nullify_location =( gpointer * )args( 0 ).long_value();
g_nullify_pointer ( nullify_location);
return octave_value();
}
DEFUN_DLD( g_getenv , args , , " gchar* g_getenv (gchar * variable); " )
{
gchar *   variable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* g_getenv (gchar * variable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_getenv "<<std::endl;
#endif /* DEBUG */
variable = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) variable ,args( 0 ).string_value().c_str());
string  ret_type( g_getenv ( variable));
return octave_value(ret_type);
}
DEFUN_DLD( g_atexit , args , , " void g_atexit (GVoidFunc func); " )
{
GVoidFunc   func ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void g_atexit (GVoidFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_atexit "<<std::endl;
#endif /* DEBUG */
func = (  GVoidFunc  ) args( 0 ).long_value();
g_atexit ( func);
return octave_value();
}
DEFUN_DLD( g_find_program_in_path , args , , " gchar* g_find_program_in_path (gchar * program); " )
{
gchar *   program ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* g_find_program_in_path (gchar * program); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" g_find_program_in_path "<<std::endl;
#endif /* DEBUG */
program = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) program ,args( 0 ).string_value().c_str());
string  ret_type( g_find_program_in_path ( program));
return octave_value(ret_type);
}
/* Overridden functions */
/* Linked Separately */
DEFUN_DLD( glib , args , , " void glib(void); " )
{
octave_dynamic_loader::load("alloca" ,"");
octave_dynamic_loader::load("g_array_new" ,"");
octave_dynamic_loader::load("g_array_sized_new" ,"");
octave_dynamic_loader::load("g_array_free" ,"");
octave_dynamic_loader::load("g_array_append_vals" ,"");
octave_dynamic_loader::load("g_array_prepend_vals" ,"");
octave_dynamic_loader::load("g_array_insert_vals" ,"");
octave_dynamic_loader::load("g_array_set_size" ,"");
octave_dynamic_loader::load("g_array_remove_index" ,"");
octave_dynamic_loader::load("g_array_remove_index_fast" ,"");
octave_dynamic_loader::load("g_array_sort" ,"");
octave_dynamic_loader::load("g_array_sort_with_data" ,"");
octave_dynamic_loader::load("g_ptr_array_new" ,"");
octave_dynamic_loader::load("g_ptr_array_sized_new" ,"");
octave_dynamic_loader::load("g_ptr_array_free" ,"");
octave_dynamic_loader::load("g_ptr_array_set_size" ,"");
octave_dynamic_loader::load("g_ptr_array_remove_index" ,"");
octave_dynamic_loader::load("g_ptr_array_remove_index_fast" ,"");
octave_dynamic_loader::load("g_ptr_array_remove" ,"");
octave_dynamic_loader::load("g_ptr_array_remove_fast" ,"");
octave_dynamic_loader::load("g_ptr_array_add" ,"");
octave_dynamic_loader::load("g_ptr_array_sort" ,"");
octave_dynamic_loader::load("g_ptr_array_sort_with_data" ,"");
octave_dynamic_loader::load("g_byte_array_new" ,"");
octave_dynamic_loader::load("g_byte_array_sized_new" ,"");
octave_dynamic_loader::load("g_byte_array_free" ,"");
octave_dynamic_loader::load("g_byte_array_append" ,"");
octave_dynamic_loader::load("g_byte_array_prepend" ,"");
octave_dynamic_loader::load("g_byte_array_set_size" ,"");
octave_dynamic_loader::load("g_byte_array_remove_index" ,"");
octave_dynamic_loader::load("g_byte_array_remove_index_fast" ,"");
octave_dynamic_loader::load("g_byte_array_sort" ,"");
octave_dynamic_loader::load("g_byte_array_sort_with_data" ,"");
octave_dynamic_loader::load("g_async_queue_new" ,"");
octave_dynamic_loader::load("g_async_queue_lock" ,"");
octave_dynamic_loader::load("g_async_queue_unlock" ,"");
octave_dynamic_loader::load("g_async_queue_ref" ,"");
octave_dynamic_loader::load("g_async_queue_ref_unlocked" ,"");
octave_dynamic_loader::load("g_async_queue_unref" ,"");
octave_dynamic_loader::load("g_async_queue_unref_and_unlock" ,"");
octave_dynamic_loader::load("g_async_queue_push" ,"");
octave_dynamic_loader::load("g_async_queue_push_unlocked" ,"");
octave_dynamic_loader::load("g_async_queue_pop" ,"");
octave_dynamic_loader::load("g_async_queue_pop_unlocked" ,"");
octave_dynamic_loader::load("g_async_queue_try_pop" ,"");
octave_dynamic_loader::load("g_async_queue_try_pop_unlocked" ,"");
octave_dynamic_loader::load("g_async_queue_timed_pop" ,"");
octave_dynamic_loader::load("g_async_queue_timed_pop_unlocked" ,"");
octave_dynamic_loader::load("g_async_queue_length" ,"");
octave_dynamic_loader::load("g_async_queue_length_unlocked" ,"");
octave_dynamic_loader::load("g_on_error_query" ,"");
octave_dynamic_loader::load("g_on_error_stack_trace" ,"");
octave_dynamic_loader::load("g_cache_new" ,"");
octave_dynamic_loader::load("g_cache_destroy" ,"");
octave_dynamic_loader::load("g_cache_insert" ,"");
octave_dynamic_loader::load("g_cache_remove" ,"");
octave_dynamic_loader::load("g_cache_key_foreach" ,"");
octave_dynamic_loader::load("g_cache_value_foreach" ,"");
octave_dynamic_loader::load("g_completion_new" ,"");
octave_dynamic_loader::load("g_completion_add_items" ,"");
octave_dynamic_loader::load("g_completion_remove_items" ,"");
octave_dynamic_loader::load("g_completion_clear_items" ,"");
octave_dynamic_loader::load("g_completion_complete" ,"");
octave_dynamic_loader::load("g_completion_set_compare" ,"");
octave_dynamic_loader::load("g_completion_free" ,"");
octave_dynamic_loader::load("g_datalist_init" ,"");
octave_dynamic_loader::load("g_datalist_clear" ,"");
octave_dynamic_loader::load("g_datalist_id_get_data" ,"");
octave_dynamic_loader::load("g_datalist_id_set_data_full" ,"");
octave_dynamic_loader::load("g_datalist_id_remove_no_notify" ,"");
octave_dynamic_loader::load("g_datalist_foreach" ,"");
octave_dynamic_loader::load("g_dataset_destroy" ,"");
octave_dynamic_loader::load("g_dataset_id_get_data" ,"");
octave_dynamic_loader::load("g_dataset_id_set_data_full" ,"");
octave_dynamic_loader::load("g_dataset_id_remove_no_notify" ,"");
octave_dynamic_loader::load("g_dataset_foreach" ,"");
octave_dynamic_loader::load("g_date_new" ,"");
octave_dynamic_loader::load("g_date_new_dmy" ,"");
octave_dynamic_loader::load("g_date_new_julian" ,"");
octave_dynamic_loader::load("g_date_free" ,"");
octave_dynamic_loader::load("g_date_valid" ,"");
octave_dynamic_loader::load("g_date_valid_day" ,"");
octave_dynamic_loader::load("g_date_valid_month" ,"");
octave_dynamic_loader::load("g_date_valid_year" ,"");
octave_dynamic_loader::load("g_date_valid_weekday" ,"");
octave_dynamic_loader::load("g_date_valid_julian" ,"");
octave_dynamic_loader::load("g_date_valid_dmy" ,"");
octave_dynamic_loader::load("g_date_get_weekday" ,"");
octave_dynamic_loader::load("g_date_get_month" ,"");
octave_dynamic_loader::load("g_date_get_year" ,"");
octave_dynamic_loader::load("g_date_get_day" ,"");
octave_dynamic_loader::load("g_date_get_julian" ,"");
octave_dynamic_loader::load("g_date_get_day_of_year" ,"");
octave_dynamic_loader::load("g_date_get_monday_week_of_year" ,"");
octave_dynamic_loader::load("g_date_get_sunday_week_of_year" ,"");
octave_dynamic_loader::load("g_date_clear" ,"");
octave_dynamic_loader::load("g_date_set_parse" ,"");
octave_dynamic_loader::load("g_date_set_time" ,"");
octave_dynamic_loader::load("g_date_set_month" ,"");
octave_dynamic_loader::load("g_date_set_day" ,"");
octave_dynamic_loader::load("g_date_set_year" ,"");
octave_dynamic_loader::load("g_date_set_dmy" ,"");
octave_dynamic_loader::load("g_date_set_julian" ,"");
octave_dynamic_loader::load("g_date_is_first_of_month" ,"");
octave_dynamic_loader::load("g_date_is_last_of_month" ,"");
octave_dynamic_loader::load("g_date_add_days" ,"");
octave_dynamic_loader::load("g_date_subtract_days" ,"");
octave_dynamic_loader::load("g_date_add_months" ,"");
octave_dynamic_loader::load("g_date_subtract_months" ,"");
octave_dynamic_loader::load("g_date_add_years" ,"");
octave_dynamic_loader::load("g_date_subtract_years" ,"");
octave_dynamic_loader::load("g_date_is_leap_year" ,"");
octave_dynamic_loader::load("g_date_get_days_in_month" ,"");
octave_dynamic_loader::load("g_date_get_monday_weeks_in_year" ,"");
octave_dynamic_loader::load("g_date_get_sunday_weeks_in_year" ,"");
octave_dynamic_loader::load("g_date_days_between" ,"");
octave_dynamic_loader::load("g_date_compare" ,"");
octave_dynamic_loader::load("g_date_to_struct_tm" ,"");
octave_dynamic_loader::load("g_date_clamp" ,"");
octave_dynamic_loader::load("g_date_order" ,"");
octave_dynamic_loader::load("g_date_strftime" ,"");
octave_dynamic_loader::load("g_dir_open" ,"");
octave_dynamic_loader::load("g_dir_read_name" ,"");
octave_dynamic_loader::load("g_dir_rewind" ,"");
octave_dynamic_loader::load("g_dir_close" ,"");
octave_dynamic_loader::load("g_error_new" ,"");
octave_dynamic_loader::load("g_error_new_literal" ,"");
octave_dynamic_loader::load("g_error_free" ,"");
octave_dynamic_loader::load("g_error_copy" ,"");
octave_dynamic_loader::load("g_error_matches" ,"");
octave_dynamic_loader::load("g_set_error" ,"");
octave_dynamic_loader::load("g_propagate_error" ,"");
octave_dynamic_loader::load("g_clear_error" ,"");
octave_dynamic_loader::load("g_hash_table_new" ,"");
octave_dynamic_loader::load("g_hash_table_new_full" ,"");
octave_dynamic_loader::load("g_hash_table_destroy" ,"");
octave_dynamic_loader::load("g_hash_table_insert" ,"");
octave_dynamic_loader::load("g_hash_table_replace" ,"");
octave_dynamic_loader::load("g_hash_table_remove" ,"");
octave_dynamic_loader::load("g_hash_table_steal" ,"");
octave_dynamic_loader::load("g_hash_table_lookup" ,"");
octave_dynamic_loader::load("g_hash_table_lookup_extended" ,"");
octave_dynamic_loader::load("g_hash_table_foreach" ,"");
octave_dynamic_loader::load("g_hash_table_foreach_remove" ,"");
octave_dynamic_loader::load("g_hash_table_foreach_steal" ,"");
octave_dynamic_loader::load("g_hash_table_size" ,"");
octave_dynamic_loader::load("g_str_equal" ,"");
octave_dynamic_loader::load("g_str_hash" ,"");
octave_dynamic_loader::load("g_int_equal" ,"");
octave_dynamic_loader::load("g_int_hash" ,"");
octave_dynamic_loader::load("g_direct_hash" ,"");
octave_dynamic_loader::load("g_direct_equal" ,"");
octave_dynamic_loader::load("g_hook_list_init" ,"");
octave_dynamic_loader::load("g_hook_list_clear" ,"");
octave_dynamic_loader::load("g_hook_alloc" ,"");
octave_dynamic_loader::load("g_hook_free" ,"");
octave_dynamic_loader::load("g_hook_ref" ,"");
octave_dynamic_loader::load("g_hook_unref" ,"");
octave_dynamic_loader::load("g_hook_destroy" ,"");
octave_dynamic_loader::load("g_hook_destroy_link" ,"");
octave_dynamic_loader::load("g_hook_prepend" ,"");
octave_dynamic_loader::load("g_hook_insert_before" ,"");
octave_dynamic_loader::load("g_hook_insert_sorted" ,"");
octave_dynamic_loader::load("g_hook_get" ,"");
octave_dynamic_loader::load("g_hook_find" ,"");
octave_dynamic_loader::load("g_hook_find_data" ,"");
octave_dynamic_loader::load("g_hook_find_func" ,"");
octave_dynamic_loader::load("g_hook_find_func_data" ,"");
octave_dynamic_loader::load("g_hook_first_valid" ,"");
octave_dynamic_loader::load("g_hook_next_valid" ,"");
octave_dynamic_loader::load("g_hook_compare_ids" ,"");
octave_dynamic_loader::load("g_hook_list_invoke" ,"");
octave_dynamic_loader::load("g_hook_list_invoke_check" ,"");
octave_dynamic_loader::load("g_hook_list_marshal" ,"");
octave_dynamic_loader::load("g_hook_list_marshal_check" ,"");
octave_dynamic_loader::load("g_io_channel_init" ,"");
octave_dynamic_loader::load("g_io_channel_ref" ,"");
octave_dynamic_loader::load("g_io_channel_unref" ,"");
octave_dynamic_loader::load("g_io_channel_read" ,"");
octave_dynamic_loader::load("g_io_channel_write" ,"");
octave_dynamic_loader::load("g_io_channel_seek" ,"");
octave_dynamic_loader::load("g_io_channel_close" ,"");
octave_dynamic_loader::load("g_io_channel_shutdown" ,"");
octave_dynamic_loader::load("g_io_add_watch_full" ,"");
octave_dynamic_loader::load("g_io_create_watch" ,"");
octave_dynamic_loader::load("g_io_add_watch" ,"");
octave_dynamic_loader::load("g_io_channel_set_buffer_size" ,"");
octave_dynamic_loader::load("g_io_channel_get_buffer_size" ,"");
octave_dynamic_loader::load("g_io_channel_get_buffer_condition" ,"");
octave_dynamic_loader::load("g_io_channel_set_flags" ,"");
octave_dynamic_loader::load("g_io_channel_get_flags" ,"");
octave_dynamic_loader::load("g_io_channel_set_line_term" ,"");
octave_dynamic_loader::load("g_io_channel_get_line_term" ,"");
octave_dynamic_loader::load("g_io_channel_set_buffered" ,"");
octave_dynamic_loader::load("g_io_channel_get_buffered" ,"");
octave_dynamic_loader::load("g_io_channel_set_encoding" ,"");
octave_dynamic_loader::load("g_io_channel_get_encoding" ,"");
octave_dynamic_loader::load("g_io_channel_set_close_on_unref" ,"");
octave_dynamic_loader::load("g_io_channel_get_close_on_unref" ,"");
octave_dynamic_loader::load("g_io_channel_flush" ,"");
octave_dynamic_loader::load("g_io_channel_read_line" ,"");
octave_dynamic_loader::load("g_io_channel_read_line_string" ,"");
octave_dynamic_loader::load("g_io_channel_read_to_end" ,"");
octave_dynamic_loader::load("g_io_channel_read_chars" ,"");
octave_dynamic_loader::load("g_io_channel_read_unichar" ,"");
octave_dynamic_loader::load("g_io_channel_write_chars" ,"");
octave_dynamic_loader::load("g_io_channel_write_unichar" ,"");
octave_dynamic_loader::load("g_io_channel_seek_position" ,"");
octave_dynamic_loader::load("g_io_channel_new_file" ,"");
octave_dynamic_loader::load("g_io_channel_error_quark" ,"");
octave_dynamic_loader::load("g_io_channel_error_from_errno" ,"");
octave_dynamic_loader::load("g_io_channel_unix_new" ,"");
octave_dynamic_loader::load("g_io_channel_unix_get_fd" ,"");
octave_dynamic_loader::load("g_list_push_allocator" ,"");
octave_dynamic_loader::load("g_list_pop_allocator" ,"");
octave_dynamic_loader::load("g_list_alloc" ,"");
octave_dynamic_loader::load("g_list_free" ,"");
octave_dynamic_loader::load("g_list_free_1" ,"");
octave_dynamic_loader::load("g_list_append" ,"");
octave_dynamic_loader::load("g_list_prepend" ,"");
octave_dynamic_loader::load("g_list_insert" ,"");
octave_dynamic_loader::load("g_list_insert_sorted" ,"");
octave_dynamic_loader::load("g_list_insert_before" ,"");
octave_dynamic_loader::load("g_list_concat" ,"");
octave_dynamic_loader::load("g_list_remove" ,"");
octave_dynamic_loader::load("g_list_remove_all" ,"");
octave_dynamic_loader::load("g_list_remove_link" ,"");
octave_dynamic_loader::load("g_list_delete_link" ,"");
octave_dynamic_loader::load("g_list_reverse" ,"");
octave_dynamic_loader::load("g_list_copy" ,"");
octave_dynamic_loader::load("g_list_nth" ,"");
octave_dynamic_loader::load("g_list_nth_prev" ,"");
octave_dynamic_loader::load("g_list_find" ,"");
octave_dynamic_loader::load("g_list_find_custom" ,"");
octave_dynamic_loader::load("g_list_position" ,"");
octave_dynamic_loader::load("g_list_index" ,"");
octave_dynamic_loader::load("g_list_last" ,"");
octave_dynamic_loader::load("g_list_first" ,"");
octave_dynamic_loader::load("g_list_length" ,"");
octave_dynamic_loader::load("g_list_foreach" ,"");
octave_dynamic_loader::load("g_list_sort" ,"");
octave_dynamic_loader::load("g_list_sort_with_data" ,"");
octave_dynamic_loader::load("g_list_nth_data" ,"");
octave_dynamic_loader::load("g_main_context_new" ,"");
octave_dynamic_loader::load("g_main_context_ref" ,"");
octave_dynamic_loader::load("g_main_context_unref" ,"");
octave_dynamic_loader::load("g_main_context_default" ,"");
octave_dynamic_loader::load("g_main_context_iteration" ,"");
octave_dynamic_loader::load("g_main_context_pending" ,"");
octave_dynamic_loader::load("g_main_context_find_source_by_id" ,"");
octave_dynamic_loader::load("g_main_context_find_source_by_user_data" ,"");
octave_dynamic_loader::load("g_main_context_find_source_by_funcs_user_data" ,"");
octave_dynamic_loader::load("g_main_context_wakeup" ,"");
octave_dynamic_loader::load("g_main_context_acquire" ,"");
octave_dynamic_loader::load("g_main_context_release" ,"");
octave_dynamic_loader::load("g_main_context_wait" ,"");
octave_dynamic_loader::load("g_main_context_prepare" ,"");
octave_dynamic_loader::load("g_main_context_query" ,"");
octave_dynamic_loader::load("g_main_context_check" ,"");
octave_dynamic_loader::load("g_main_context_dispatch" ,"");
octave_dynamic_loader::load("g_main_context_set_poll_func" ,"");
octave_dynamic_loader::load("g_main_context_get_poll_func" ,"");
octave_dynamic_loader::load("g_main_context_add_poll" ,"");
octave_dynamic_loader::load("g_main_context_remove_poll" ,"");
octave_dynamic_loader::load("g_main_loop_new" ,"");
octave_dynamic_loader::load("g_main_loop_run" ,"");
octave_dynamic_loader::load("g_main_loop_quit" ,"");
octave_dynamic_loader::load("g_main_loop_ref" ,"");
octave_dynamic_loader::load("g_main_loop_unref" ,"");
octave_dynamic_loader::load("g_main_loop_is_running" ,"");
octave_dynamic_loader::load("g_main_loop_get_context" ,"");
octave_dynamic_loader::load("g_source_new" ,"");
octave_dynamic_loader::load("g_source_ref" ,"");
octave_dynamic_loader::load("g_source_unref" ,"");
octave_dynamic_loader::load("g_source_attach" ,"");
octave_dynamic_loader::load("g_source_destroy" ,"");
octave_dynamic_loader::load("g_source_set_priority" ,"");
octave_dynamic_loader::load("g_source_get_priority" ,"");
octave_dynamic_loader::load("g_source_set_can_recurse" ,"");
octave_dynamic_loader::load("g_source_get_can_recurse" ,"");
octave_dynamic_loader::load("g_source_get_id" ,"");
octave_dynamic_loader::load("g_source_get_context" ,"");
octave_dynamic_loader::load("g_source_set_callback" ,"");
octave_dynamic_loader::load("g_source_set_callback_indirect" ,"");
octave_dynamic_loader::load("g_source_add_poll" ,"");
octave_dynamic_loader::load("g_source_remove_poll" ,"");
octave_dynamic_loader::load("g_source_get_current_time" ,"");
octave_dynamic_loader::load("g_idle_source_new" ,"");
octave_dynamic_loader::load("g_timeout_source_new" ,"");
octave_dynamic_loader::load("g_get_current_time" ,"");
octave_dynamic_loader::load("g_source_remove" ,"");
octave_dynamic_loader::load("g_source_remove_by_user_data" ,"");
octave_dynamic_loader::load("g_source_remove_by_funcs_user_data" ,"");
octave_dynamic_loader::load("g_timeout_add_full" ,"");
octave_dynamic_loader::load("g_timeout_add" ,"");
octave_dynamic_loader::load("g_idle_add" ,"");
octave_dynamic_loader::load("g_idle_add_full" ,"");
octave_dynamic_loader::load("g_idle_remove_by_data" ,"");
octave_dynamic_loader::load("g_markup_parse_context_new" ,"");
octave_dynamic_loader::load("g_markup_parse_context_free" ,"");
octave_dynamic_loader::load("g_markup_parse_context_parse" ,"");
octave_dynamic_loader::load("g_markup_parse_context_end_parse" ,"");
octave_dynamic_loader::load("g_markup_parse_context_get_element" ,"");
octave_dynamic_loader::load("g_markup_parse_context_get_position" ,"");
octave_dynamic_loader::load("g_markup_escape_text" ,"");
octave_dynamic_loader::load("g_malloc" ,"");
octave_dynamic_loader::load("g_malloc0" ,"");
octave_dynamic_loader::load("g_realloc" ,"");
octave_dynamic_loader::load("g_free" ,"");
octave_dynamic_loader::load("g_try_malloc" ,"");
octave_dynamic_loader::load("g_try_realloc" ,"");
octave_dynamic_loader::load("g_mem_set_vtable" ,"");
octave_dynamic_loader::load("g_mem_is_system_malloc" ,"");
octave_dynamic_loader::load("g_mem_profile" ,"");
octave_dynamic_loader::load("g_mem_chunk_new" ,"");
octave_dynamic_loader::load("g_mem_chunk_destroy" ,"");
octave_dynamic_loader::load("g_mem_chunk_alloc" ,"");
octave_dynamic_loader::load("g_mem_chunk_alloc0" ,"");
octave_dynamic_loader::load("g_mem_chunk_free" ,"");
octave_dynamic_loader::load("g_mem_chunk_clean" ,"");
octave_dynamic_loader::load("g_mem_chunk_reset" ,"");
octave_dynamic_loader::load("g_mem_chunk_print" ,"");
octave_dynamic_loader::load("g_mem_chunk_info" ,"");
octave_dynamic_loader::load("g_blow_chunks" ,"");
octave_dynamic_loader::load("g_allocator_new" ,"");
octave_dynamic_loader::load("g_allocator_free" ,"");
octave_dynamic_loader::load("g_printf_string_upper_bound" ,"");
octave_dynamic_loader::load("g_node_push_allocator" ,"");
octave_dynamic_loader::load("g_node_pop_allocator" ,"");
octave_dynamic_loader::load("g_node_new" ,"");
octave_dynamic_loader::load("g_node_destroy" ,"");
octave_dynamic_loader::load("g_node_unlink" ,"");
octave_dynamic_loader::load("g_node_copy" ,"");
octave_dynamic_loader::load("g_node_insert" ,"");
octave_dynamic_loader::load("g_node_insert_before" ,"");
octave_dynamic_loader::load("g_node_insert_after" ,"");
octave_dynamic_loader::load("g_node_prepend" ,"");
octave_dynamic_loader::load("g_node_n_nodes" ,"");
octave_dynamic_loader::load("g_node_get_root" ,"");
octave_dynamic_loader::load("g_node_is_ancestor" ,"");
octave_dynamic_loader::load("g_node_depth" ,"");
octave_dynamic_loader::load("g_node_find" ,"");
octave_dynamic_loader::load("g_node_traverse" ,"");
octave_dynamic_loader::load("g_node_max_height" ,"");
octave_dynamic_loader::load("g_node_children_foreach" ,"");
octave_dynamic_loader::load("g_node_reverse_children" ,"");
octave_dynamic_loader::load("g_node_n_children" ,"");
octave_dynamic_loader::load("g_node_nth_child" ,"");
octave_dynamic_loader::load("g_node_last_child" ,"");
octave_dynamic_loader::load("g_node_find_child" ,"");
octave_dynamic_loader::load("g_node_child_position" ,"");
octave_dynamic_loader::load("g_node_child_index" ,"");
octave_dynamic_loader::load("g_node_first_sibling" ,"");
octave_dynamic_loader::load("g_node_last_sibling" ,"");
octave_dynamic_loader::load("g_pattern_spec_new" ,"");
octave_dynamic_loader::load("g_pattern_spec_free" ,"");
octave_dynamic_loader::load("g_pattern_spec_equal" ,"");
octave_dynamic_loader::load("g_pattern_match" ,"");
octave_dynamic_loader::load("g_pattern_match_string" ,"");
octave_dynamic_loader::load("g_pattern_match_simple" ,"");
octave_dynamic_loader::load("g_spaced_primes_closest" ,"");
octave_dynamic_loader::load("g_printf" ,"");
octave_dynamic_loader::load("g_fprintf" ,"");
octave_dynamic_loader::load("g_sprintf" ,"");
octave_dynamic_loader::load("g_snprintf" ,"");
octave_dynamic_loader::load("g_vprintf" ,"");
octave_dynamic_loader::load("g_vfprintf" ,"");
octave_dynamic_loader::load("g_vsprintf" ,"");
octave_dynamic_loader::load("g_vsnprintf" ,"");
octave_dynamic_loader::load("g_qsort_with_data" ,"");
octave_dynamic_loader::load("g_quark_try_string" ,"");
octave_dynamic_loader::load("g_quark_from_static_string" ,"");
octave_dynamic_loader::load("g_quark_from_string" ,"");
octave_dynamic_loader::load("g_quark_to_string" ,"");
octave_dynamic_loader::load("g_queue_new" ,"");
octave_dynamic_loader::load("g_queue_free" ,"");
octave_dynamic_loader::load("g_queue_push_head" ,"");
octave_dynamic_loader::load("g_queue_push_tail" ,"");
octave_dynamic_loader::load("g_queue_pop_head" ,"");
octave_dynamic_loader::load("g_queue_pop_tail" ,"");
octave_dynamic_loader::load("g_queue_is_empty" ,"");
octave_dynamic_loader::load("g_queue_peek_head" ,"");
octave_dynamic_loader::load("g_queue_peek_tail" ,"");
octave_dynamic_loader::load("g_queue_push_head_link" ,"");
octave_dynamic_loader::load("g_queue_push_tail_link" ,"");
octave_dynamic_loader::load("g_queue_pop_head_link" ,"");
octave_dynamic_loader::load("g_queue_pop_tail_link" ,"");
octave_dynamic_loader::load("g_rand_new_with_seed" ,"");
octave_dynamic_loader::load("g_rand_new" ,"");
octave_dynamic_loader::load("g_rand_free" ,"");
octave_dynamic_loader::load("g_rand_set_seed" ,"");
octave_dynamic_loader::load("g_rand_int" ,"");
octave_dynamic_loader::load("g_rand_int_range" ,"");
octave_dynamic_loader::load("g_rand_double" ,"");
octave_dynamic_loader::load("g_rand_double_range" ,"");
octave_dynamic_loader::load("g_random_set_seed" ,"");
octave_dynamic_loader::load("g_random_int" ,"");
octave_dynamic_loader::load("g_random_int_range" ,"");
octave_dynamic_loader::load("g_random_double" ,"");
octave_dynamic_loader::load("g_random_double_range" ,"");
octave_dynamic_loader::load("g_relation_new" ,"");
octave_dynamic_loader::load("g_relation_destroy" ,"");
octave_dynamic_loader::load("g_relation_index" ,"");
octave_dynamic_loader::load("g_relation_insert" ,"");
octave_dynamic_loader::load("g_relation_delete" ,"");
octave_dynamic_loader::load("g_relation_select" ,"");
octave_dynamic_loader::load("g_relation_count" ,"");
octave_dynamic_loader::load("g_relation_exists" ,"");
octave_dynamic_loader::load("g_relation_print" ,"");
octave_dynamic_loader::load("g_tuples_destroy" ,"");
octave_dynamic_loader::load("g_tuples_index" ,"");
octave_dynamic_loader::load("g_scanner_new" ,"");
octave_dynamic_loader::load("g_scanner_destroy" ,"");
octave_dynamic_loader::load("g_scanner_input_file" ,"");
octave_dynamic_loader::load("g_scanner_sync_file_offset" ,"");
octave_dynamic_loader::load("g_scanner_input_text" ,"");
octave_dynamic_loader::load("g_scanner_get_next_token" ,"");
octave_dynamic_loader::load("g_scanner_peek_next_token" ,"");
octave_dynamic_loader::load("g_scanner_cur_token" ,"");
octave_dynamic_loader::load("g_scanner_cur_value" ,"");
octave_dynamic_loader::load("g_scanner_cur_line" ,"");
octave_dynamic_loader::load("g_scanner_cur_position" ,"");
octave_dynamic_loader::load("g_scanner_eof" ,"");
octave_dynamic_loader::load("g_scanner_set_scope" ,"");
octave_dynamic_loader::load("g_scanner_scope_add_symbol" ,"");
octave_dynamic_loader::load("g_scanner_scope_remove_symbol" ,"");
octave_dynamic_loader::load("g_scanner_scope_lookup_symbol" ,"");
octave_dynamic_loader::load("g_scanner_scope_foreach_symbol" ,"");
octave_dynamic_loader::load("g_scanner_lookup_symbol" ,"");
octave_dynamic_loader::load("g_scanner_unexp_token" ,"");
octave_dynamic_loader::load("g_scanner_error" ,"");
octave_dynamic_loader::load("g_scanner_warn" ,"");
octave_dynamic_loader::load("g_slist_push_allocator" ,"");
octave_dynamic_loader::load("g_slist_pop_allocator" ,"");
octave_dynamic_loader::load("g_slist_alloc" ,"");
octave_dynamic_loader::load("g_slist_free" ,"");
octave_dynamic_loader::load("g_slist_free_1" ,"");
octave_dynamic_loader::load("g_slist_append" ,"");
octave_dynamic_loader::load("g_slist_prepend" ,"");
octave_dynamic_loader::load("g_slist_insert" ,"");
octave_dynamic_loader::load("g_slist_insert_sorted" ,"");
octave_dynamic_loader::load("g_slist_insert_before" ,"");
octave_dynamic_loader::load("g_slist_concat" ,"");
octave_dynamic_loader::load("g_slist_remove" ,"");
octave_dynamic_loader::load("g_slist_remove_all" ,"");
octave_dynamic_loader::load("g_slist_remove_link" ,"");
octave_dynamic_loader::load("g_slist_delete_link" ,"");
octave_dynamic_loader::load("g_slist_reverse" ,"");
octave_dynamic_loader::load("g_slist_copy" ,"");
octave_dynamic_loader::load("g_slist_nth" ,"");
octave_dynamic_loader::load("g_slist_find" ,"");
octave_dynamic_loader::load("g_slist_find_custom" ,"");
octave_dynamic_loader::load("g_slist_position" ,"");
octave_dynamic_loader::load("g_slist_index" ,"");
octave_dynamic_loader::load("g_slist_last" ,"");
octave_dynamic_loader::load("g_slist_length" ,"");
octave_dynamic_loader::load("g_slist_foreach" ,"");
octave_dynamic_loader::load("g_slist_sort" ,"");
octave_dynamic_loader::load("g_slist_sort_with_data" ,"");
octave_dynamic_loader::load("g_slist_nth_data" ,"");
octave_dynamic_loader::load("g_string_chunk_new" ,"");
octave_dynamic_loader::load("g_string_chunk_free" ,"");
octave_dynamic_loader::load("g_string_chunk_insert" ,"");
octave_dynamic_loader::load("g_string_chunk_insert_const" ,"");
octave_dynamic_loader::load("g_string_new" ,"");
octave_dynamic_loader::load("g_string_new_len" ,"");
octave_dynamic_loader::load("g_string_sized_new" ,"");
octave_dynamic_loader::load("g_string_free" ,"");
octave_dynamic_loader::load("g_string_equal" ,"");
octave_dynamic_loader::load("g_string_hash" ,"");
octave_dynamic_loader::load("g_string_assign" ,"");
octave_dynamic_loader::load("g_string_truncate" ,"");
octave_dynamic_loader::load("g_string_set_size" ,"");
octave_dynamic_loader::load("g_string_insert_len" ,"");
octave_dynamic_loader::load("g_string_append" ,"");
octave_dynamic_loader::load("g_string_append_len" ,"");
octave_dynamic_loader::load("g_string_append_c" ,"");
octave_dynamic_loader::load("g_string_append_unichar" ,"");
octave_dynamic_loader::load("g_string_prepend" ,"");
octave_dynamic_loader::load("g_string_prepend_c" ,"");
octave_dynamic_loader::load("g_string_prepend_unichar" ,"");
octave_dynamic_loader::load("g_string_prepend_len" ,"");
octave_dynamic_loader::load("g_string_insert" ,"");
octave_dynamic_loader::load("g_string_insert_c" ,"");
octave_dynamic_loader::load("g_string_insert_unichar" ,"");
octave_dynamic_loader::load("g_string_erase" ,"");
octave_dynamic_loader::load("g_string_ascii_down" ,"");
octave_dynamic_loader::load("g_string_ascii_up" ,"");
octave_dynamic_loader::load("g_string_printf" ,"");
octave_dynamic_loader::load("g_string_append_printf" ,"");
octave_dynamic_loader::load("g_string_down" ,"");
octave_dynamic_loader::load("g_string_up" ,"");
octave_dynamic_loader::load("g_thread_init" ,"");
octave_dynamic_loader::load("g_thread_init_with_errorcheck_mutexes" ,"");
octave_dynamic_loader::load("g_static_mutex_get_mutex_impl" ,"");
octave_dynamic_loader::load("g_thread_create_full" ,"");
octave_dynamic_loader::load("g_thread_self" ,"");
octave_dynamic_loader::load("g_thread_exit" ,"");
octave_dynamic_loader::load("g_thread_join" ,"");
octave_dynamic_loader::load("g_thread_set_priority" ,"");
octave_dynamic_loader::load("g_static_mutex_init" ,"");
octave_dynamic_loader::load("g_static_mutex_free" ,"");
octave_dynamic_loader::load("g_static_private_init" ,"");
octave_dynamic_loader::load("g_static_private_get" ,"");
octave_dynamic_loader::load("g_static_private_set" ,"");
octave_dynamic_loader::load("g_static_private_free" ,"");
octave_dynamic_loader::load("g_static_rec_mutex_init" ,"");
octave_dynamic_loader::load("g_static_rec_mutex_lock" ,"");
octave_dynamic_loader::load("g_static_rec_mutex_trylock" ,"");
octave_dynamic_loader::load("g_static_rec_mutex_unlock" ,"");
octave_dynamic_loader::load("g_static_rec_mutex_lock_full" ,"");
octave_dynamic_loader::load("g_static_rec_mutex_unlock_full" ,"");
octave_dynamic_loader::load("g_static_rec_mutex_free" ,"");
octave_dynamic_loader::load("g_static_rw_lock_init" ,"");
octave_dynamic_loader::load("g_static_rw_lock_reader_lock" ,"");
octave_dynamic_loader::load("g_static_rw_lock_reader_trylock" ,"");
octave_dynamic_loader::load("g_static_rw_lock_reader_unlock" ,"");
octave_dynamic_loader::load("g_static_rw_lock_writer_lock" ,"");
octave_dynamic_loader::load("g_static_rw_lock_writer_trylock" ,"");
octave_dynamic_loader::load("g_static_rw_lock_writer_unlock" ,"");
octave_dynamic_loader::load("g_static_rw_lock_free" ,"");
octave_dynamic_loader::load("g_thread_pool_new" ,"");
octave_dynamic_loader::load("g_thread_pool_push" ,"");
octave_dynamic_loader::load("g_thread_pool_set_max_threads" ,"");
octave_dynamic_loader::load("g_thread_pool_get_max_threads" ,"");
octave_dynamic_loader::load("g_thread_pool_get_num_threads" ,"");
octave_dynamic_loader::load("g_thread_pool_unprocessed" ,"");
octave_dynamic_loader::load("g_thread_pool_free" ,"");
octave_dynamic_loader::load("g_thread_pool_set_max_unused_threads" ,"");
octave_dynamic_loader::load("g_thread_pool_get_max_unused_threads" ,"");
octave_dynamic_loader::load("g_thread_pool_get_num_unused_threads" ,"");
octave_dynamic_loader::load("g_thread_pool_stop_unused_threads" ,"");
octave_dynamic_loader::load("g_timer_new" ,"");
octave_dynamic_loader::load("g_timer_destroy" ,"");
octave_dynamic_loader::load("g_timer_start" ,"");
octave_dynamic_loader::load("g_timer_stop" ,"");
octave_dynamic_loader::load("g_timer_reset" ,"");
octave_dynamic_loader::load("g_timer_elapsed" ,"");
octave_dynamic_loader::load("g_usleep" ,"");
octave_dynamic_loader::load("g_time_val_add" ,"");
octave_dynamic_loader::load("g_tree_new" ,"");
octave_dynamic_loader::load("g_tree_new_with_data" ,"");
octave_dynamic_loader::load("g_tree_new_full" ,"");
octave_dynamic_loader::load("g_tree_destroy" ,"");
octave_dynamic_loader::load("g_tree_insert" ,"");
octave_dynamic_loader::load("g_tree_replace" ,"");
octave_dynamic_loader::load("g_tree_remove" ,"");
octave_dynamic_loader::load("g_tree_steal" ,"");
octave_dynamic_loader::load("g_tree_lookup" ,"");
octave_dynamic_loader::load("g_tree_lookup_extended" ,"");
octave_dynamic_loader::load("g_tree_foreach" ,"");
octave_dynamic_loader::load("g_tree_traverse" ,"");
octave_dynamic_loader::load("g_tree_search" ,"");
octave_dynamic_loader::load("g_tree_height" ,"");
octave_dynamic_loader::load("g_tree_nnodes" ,"");
octave_dynamic_loader::load("g_get_user_name" ,"");
octave_dynamic_loader::load("g_get_real_name" ,"");
octave_dynamic_loader::load("g_get_home_dir" ,"");
octave_dynamic_loader::load("g_get_tmp_dir" ,"");
octave_dynamic_loader::load("g_get_prgname" ,"");
octave_dynamic_loader::load("g_set_prgname" ,"");
octave_dynamic_loader::load("g_get_application_name" ,"");
octave_dynamic_loader::load("g_set_application_name" ,"");
octave_dynamic_loader::load("g_parse_debug_string" ,"");
octave_dynamic_loader::load("g_snprintf" ,"");
octave_dynamic_loader::load("g_vsnprintf" ,"");
octave_dynamic_loader::load("g_path_is_absolute" ,"");
octave_dynamic_loader::load("g_path_skip_root" ,"");
octave_dynamic_loader::load("g_basename" ,"");
octave_dynamic_loader::load("g_get_current_dir" ,"");
octave_dynamic_loader::load("g_path_get_basename" ,"");
octave_dynamic_loader::load("g_path_get_dirname" ,"");
octave_dynamic_loader::load("g_nullify_pointer" ,"");
octave_dynamic_loader::load("g_getenv" ,"");
octave_dynamic_loader::load("g_atexit" ,"");
octave_dynamic_loader::load("g_find_program_in_path" ,"");
octave_dynamic_loader::load("g_markup_vprintf_escaped" ,"");
octave_dynamic_loader::load("g_vasprintf" ,"");
octave_dynamic_loader::load("g_string_chunk_insert_len" ,"");
octave_dynamic_loader::load("g_static_mutex_get_mutex_impl" ,"");
octave_dynamic_loader::load("g_thread_create_full" ,"");
octave_dynamic_loader::load("g_once_impl" ,"");
octave_dynamic_loader::load("g_thread_pool_new" ,"");
octave_dynamic_loader::load("g_thread_pool_push" ,"");
octave_dynamic_loader::load("g_thread_pool_set_max_threads" ,"");
return octave_value("Code generated onWed Mar 16 17:53:33 2005\n Compiled on " __DATE__  __TIME__ "\n loadedglibLibrary!");
}

