/* Standard headers std.header */
/* Standard headers std.header */
/*
 * This program is free software.
 * This code is a part of Octave-GTK
 * Code may be used or distributed under GPL.
 * (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 */

/*
 *    Octave-Gtk
 *       The GUI bridge from octave.
 *    Copyright (C) Feb 2005 Muthiah Annamalai, Octave-GTK
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details. 
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include<iostream>
#include<octave/oct.h>
#include<octave/parse.h>
#include<octave/dynamic-ld.h>
#include<octave/oct-map.h>
#include<octave/oct-stream.h>
#include<octave/parse.h> /* for feval */
#include<vector>
#include<string>



using namespace std;

extern "C"
{
#include<gtk/gtk.h>
#include<string.h>

/* for FORK */
#include<sys/types.h>
#include<unistd.h>

/* #include "../config.h" */
}

gboolean octave_gtk_function(void* data);
void octave_gtk_signal_function(void);
/* void: zero arguments taken */
DEFUN_DLD( gtk_accel_group_get_type , args , , " GType gtk_accel_group_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_accel_group_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_accel_group_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_accel_group_new , args , , " GtkAccelGroup* gtk_accel_group_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_accel_group_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_accel_group_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_group_lock , args , , " void gtk_accel_group_lock (GtkAccelGroup * accel_group); " )
{
GtkAccelGroup *   accel_group ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accel_group_lock (GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_lock "<<std::endl;
#endif /* DEBUG */
accel_group =( GtkAccelGroup * )args( 0 ).long_value();
gtk_accel_group_lock ( accel_group);
return octave_value();
}
DEFUN_DLD( gtk_accel_group_unlock , args , , " void gtk_accel_group_unlock (GtkAccelGroup * accel_group); " )
{
GtkAccelGroup *   accel_group ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accel_group_unlock (GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_unlock "<<std::endl;
#endif /* DEBUG */
accel_group =( GtkAccelGroup * )args( 0 ).long_value();
gtk_accel_group_unlock ( accel_group);
return octave_value();
}
DEFUN_DLD( gtk_accel_group_connect , args , , " void gtk_accel_group_connect (GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods,GtkAccelFlags accel_flags,GClosure * closure); " )
{
GtkAccelGroup *   accel_group ;
guint   accel_key ;
GdkModifierType   accel_mods ;
GtkAccelFlags   accel_flags ;
GClosure *   closure ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_accel_group_connect (GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods,GtkAccelFlags accel_flags,GClosure * closure); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_connect "<<std::endl;
#endif /* DEBUG */
accel_group =( GtkAccelGroup * )args( 0 ).long_value();
accel_key = (  guint  ) args( 1 ).int_value();
accel_mods = (  GdkModifierType  ) args( 2 ).long_value();
accel_flags = (  GtkAccelFlags  ) args( 3 ).long_value();
closure =( GClosure * )args( 4 ).long_value();
gtk_accel_group_connect ( accel_group,accel_key,accel_mods,accel_flags,closure);
return octave_value();
}
DEFUN_DLD( gtk_accel_group_connect_by_path , args , , " void gtk_accel_group_connect_by_path (GtkAccelGroup * accel_group,gchar * accel_path,GClosure * closure); " )
{
GtkAccelGroup *   accel_group ;
gchar *   accel_path ;
GClosure *   closure ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_accel_group_connect_by_path (GtkAccelGroup * accel_group,gchar * accel_path,GClosure * closure); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_connect_by_path "<<std::endl;
#endif /* DEBUG */
accel_group =( GtkAccelGroup * )args( 0 ).long_value();
accel_path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) accel_path ,args( 1 ).string_value().c_str());
closure =( GClosure * )args( 2 ).long_value();
gtk_accel_group_connect_by_path ( accel_group,accel_path,closure);
return octave_value();
}
DEFUN_DLD( gtk_accel_group_disconnect , args , , " gboolean gtk_accel_group_disconnect (GtkAccelGroup * accel_group,GClosure * closure); " )
{
GtkAccelGroup *   accel_group ;
GClosure *   closure ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_accel_group_disconnect (GtkAccelGroup * accel_group,GClosure * closure); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_disconnect "<<std::endl;
#endif /* DEBUG */
accel_group =( GtkAccelGroup * )args( 0 ).long_value();
closure =( GClosure * )args( 1 ).long_value();
long int ret_type=(long int) gtk_accel_group_disconnect ( accel_group,closure);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_group_disconnect_key , args , , " gboolean gtk_accel_group_disconnect_key (GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods); " )
{
GtkAccelGroup *   accel_group ;
guint   accel_key ;
GdkModifierType   accel_mods ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_accel_group_disconnect_key (GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_disconnect_key "<<std::endl;
#endif /* DEBUG */
accel_group =( GtkAccelGroup * )args( 0 ).long_value();
accel_key = (  guint  ) args( 1 ).int_value();
accel_mods = (  GdkModifierType  ) args( 2 ).long_value();
long int ret_type=(long int) gtk_accel_group_disconnect_key ( accel_group,accel_key,accel_mods);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_groups_activate , args , , " gboolean gtk_accel_groups_activate (GObject * object,guint accel_key,GdkModifierType accel_mods); " )
{
GObject *   object ;
guint   accel_key ;
GdkModifierType   accel_mods ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_accel_groups_activate (GObject * object,guint accel_key,GdkModifierType accel_mods); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_groups_activate "<<std::endl;
#endif /* DEBUG */
object =( GObject * )args( 0 ).long_value();
accel_key = (  guint  ) args( 1 ).int_value();
accel_mods = (  GdkModifierType  ) args( 2 ).long_value();
long int ret_type=(long int) gtk_accel_groups_activate ( object,accel_key,accel_mods);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_groups_from_object , args , , " GSList* gtk_accel_groups_from_object (GObject * object); " )
{
GObject *   object ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList* gtk_accel_groups_from_object (GObject * object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_groups_from_object "<<std::endl;
#endif /* DEBUG */
object =( GObject * )args( 0 ).long_value();
long int ret_type= (long int) gtk_accel_groups_from_object ( object);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_group_find , args , , " GtkAccelKey* gtk_accel_group_find (GtkAccelGroup * accel_group,GtkAccelGroupFindFunc find_func,gpointer data); " )
{
GtkAccelGroup *   accel_group ;
GtkAccelGroupFindFunc   find_func ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkAccelKey* gtk_accel_group_find (GtkAccelGroup * accel_group,GtkAccelGroupFindFunc find_func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_find "<<std::endl;
#endif /* DEBUG */
accel_group =( GtkAccelGroup * )args( 0 ).long_value();
find_func = (  GtkAccelGroupFindFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) gtk_accel_group_find ( accel_group,find_func,data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_group_from_accel_closure , args , , " GtkAccelGroup* gtk_accel_group_from_accel_closure (GClosure * closure); " )
{
GClosure *   closure ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAccelGroup* gtk_accel_group_from_accel_closure (GClosure * closure); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_from_accel_closure "<<std::endl;
#endif /* DEBUG */
closure =( GClosure * )args( 0 ).long_value();
long int ret_type= (long int) gtk_accel_group_from_accel_closure ( closure);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accelerator_valid , args , , " gboolean gtk_accelerator_valid (guint keyval,GdkModifierType modifiers); " )
{
guint   keyval ;
GdkModifierType   modifiers ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_accelerator_valid (guint keyval,GdkModifierType modifiers); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accelerator_valid "<<std::endl;
#endif /* DEBUG */
keyval = (  guint  ) args( 0 ).int_value();
modifiers = (  GdkModifierType  ) args( 1 ).long_value();
long int ret_type=(long int) gtk_accelerator_valid ( keyval,modifiers);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accelerator_parse , args , , " void gtk_accelerator_parse (gchar * accelerator,guint * accelerator_key,GdkModifierType * accelerator_mods); " )
{
gchar *   accelerator ;
guint *   accelerator_key ;
GdkModifierType *   accelerator_mods ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_accelerator_parse (gchar * accelerator,guint * accelerator_key,GdkModifierType * accelerator_mods); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accelerator_parse "<<std::endl;
#endif /* DEBUG */
accelerator = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) accelerator ,args( 0 ).string_value().c_str());
accelerator_key =( guint * )args( 1 ).long_value();
accelerator_mods =( GdkModifierType * )args( 2 ).long_value();
gtk_accelerator_parse ( accelerator,accelerator_key,accelerator_mods);
return octave_value();
}
DEFUN_DLD( gtk_accelerator_name , args , , " gchar* gtk_accelerator_name (guint accelerator_key,GdkModifierType accelerator_mods); " )
{
guint   accelerator_key ;
GdkModifierType   accelerator_mods ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* gtk_accelerator_name (guint accelerator_key,GdkModifierType accelerator_mods); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accelerator_name "<<std::endl;
#endif /* DEBUG */
accelerator_key = (  guint  ) args( 0 ).int_value();
accelerator_mods = (  GdkModifierType  ) args( 1 ).long_value();
string  ret_type( gtk_accelerator_name ( accelerator_key,accelerator_mods));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accelerator_set_default_mod_mask , args , , " void gtk_accelerator_set_default_mod_mask (GdkModifierType default_mod_mask); " )
{
GdkModifierType   default_mod_mask ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accelerator_set_default_mod_mask (GdkModifierType default_mod_mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accelerator_set_default_mod_mask "<<std::endl;
#endif /* DEBUG */
default_mod_mask = (  GdkModifierType  ) args( 0 ).long_value();
gtk_accelerator_set_default_mod_mask ( default_mod_mask);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_accelerator_get_default_mod_mask , args , , " guint gtk_accelerator_get_default_mod_mask (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_accelerator_get_default_mod_mask "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_accelerator_get_default_mod_mask ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_group_query , args , , " GtkAccelGroupEntry* gtk_accel_group_query (GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods,guint * n_entries); " )
{
GtkAccelGroup *   accel_group ;
guint   accel_key ;
GdkModifierType   accel_mods ;
guint *   n_entries ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GtkAccelGroupEntry* gtk_accel_group_query (GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods,guint * n_entries); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_group_query "<<std::endl;
#endif /* DEBUG */
accel_group =( GtkAccelGroup * )args( 0 ).long_value();
accel_key = (  guint  ) args( 1 ).int_value();
accel_mods = (  GdkModifierType  ) args( 2 ).long_value();
n_entries =( guint * )args( 3 ).long_value();
long int ret_type= (long int) gtk_accel_group_query ( accel_group,accel_key,accel_mods,n_entries);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_accel_label_get_type , args , , " GType gtk_accel_label_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_accel_label_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_accel_label_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_label_new , args , , " GtkWidget* gtk_accel_label_new (gchar * string); " )
{
gchar *   string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_accel_label_new (gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_label_new "<<std::endl;
#endif /* DEBUG */
string = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) string ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_accel_label_new ( string);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_label_get_accel_widget , args , , " GtkWidget* gtk_accel_label_get_accel_widget (GtkAccelLabel * accel_label); " )
{
GtkAccelLabel *   accel_label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_accel_label_get_accel_widget (GtkAccelLabel * accel_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_label_get_accel_widget "<<std::endl;
#endif /* DEBUG */
accel_label =( GtkAccelLabel * )args( 0 ).long_value();
long int ret_type= (long int) gtk_accel_label_get_accel_widget ( accel_label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_label_get_accel_width , args , , " guint gtk_accel_label_get_accel_width (GtkAccelLabel * accel_label); " )
{
GtkAccelLabel *   accel_label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gtk_accel_label_get_accel_width (GtkAccelLabel * accel_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_label_get_accel_width "<<std::endl;
#endif /* DEBUG */
accel_label =( GtkAccelLabel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_accel_label_get_accel_width ( accel_label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_label_set_accel_widget , args , , " void gtk_accel_label_set_accel_widget (GtkAccelLabel * accel_label,GtkWidget * accel_widget); " )
{
GtkAccelLabel *   accel_label ;
GtkWidget *   accel_widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_accel_label_set_accel_widget (GtkAccelLabel * accel_label,GtkWidget * accel_widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_label_set_accel_widget "<<std::endl;
#endif /* DEBUG */
accel_label =( GtkAccelLabel * )args( 0 ).long_value();
accel_widget =( GtkWidget * )args( 1 ).long_value();
gtk_accel_label_set_accel_widget ( accel_label,accel_widget);
return octave_value();
}
DEFUN_DLD( gtk_accel_label_set_accel_closure , args , , " void gtk_accel_label_set_accel_closure (GtkAccelLabel * accel_label,GClosure * accel_closure); " )
{
GtkAccelLabel *   accel_label ;
GClosure *   accel_closure ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_accel_label_set_accel_closure (GtkAccelLabel * accel_label,GClosure * accel_closure); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_label_set_accel_closure "<<std::endl;
#endif /* DEBUG */
accel_label =( GtkAccelLabel * )args( 0 ).long_value();
accel_closure =( GClosure * )args( 1 ).long_value();
gtk_accel_label_set_accel_closure ( accel_label,accel_closure);
return octave_value();
}
DEFUN_DLD( gtk_accel_label_refetch , args , , " gboolean gtk_accel_label_refetch (GtkAccelLabel * accel_label); " )
{
GtkAccelLabel *   accel_label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_accel_label_refetch (GtkAccelLabel * accel_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_label_refetch "<<std::endl;
#endif /* DEBUG */
accel_label =( GtkAccelLabel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_accel_label_refetch ( accel_label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_map_add_entry , args , , " void gtk_accel_map_add_entry (gchar * accel_path,guint accel_key,GdkModifierType accel_mods); " )
{
gchar *   accel_path ;
guint   accel_key ;
GdkModifierType   accel_mods ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_accel_map_add_entry (gchar * accel_path,guint accel_key,GdkModifierType accel_mods); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_add_entry "<<std::endl;
#endif /* DEBUG */
accel_path = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) accel_path ,args( 0 ).string_value().c_str());
accel_key = (  guint  ) args( 1 ).int_value();
accel_mods = (  GdkModifierType  ) args( 2 ).long_value();
gtk_accel_map_add_entry ( accel_path,accel_key,accel_mods);
return octave_value();
}
DEFUN_DLD( gtk_accel_map_lookup_entry , args , , " gboolean gtk_accel_map_lookup_entry (gchar * accel_path,GtkAccelKey * key); " )
{
gchar *   accel_path ;
GtkAccelKey *   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_accel_map_lookup_entry (gchar * accel_path,GtkAccelKey * key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_lookup_entry "<<std::endl;
#endif /* DEBUG */
accel_path = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) accel_path ,args( 0 ).string_value().c_str());
key =( GtkAccelKey * )args( 1 ).long_value();
long int ret_type=(long int) gtk_accel_map_lookup_entry ( accel_path,key);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_map_change_entry , args , , " gboolean gtk_accel_map_change_entry (gchar * accel_path,guint accel_key,GdkModifierType accel_mods,gboolean replace); " )
{
gchar *   accel_path ;
guint   accel_key ;
GdkModifierType   accel_mods ;
gboolean   replace ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_accel_map_change_entry (gchar * accel_path,guint accel_key,GdkModifierType accel_mods,gboolean replace); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_change_entry "<<std::endl;
#endif /* DEBUG */
accel_path = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) accel_path ,args( 0 ).string_value().c_str());
accel_key = (  guint  ) args( 1 ).int_value();
accel_mods = (  GdkModifierType  ) args( 2 ).long_value();
replace = (  gboolean  ) args( 3 ).long_value();
long int ret_type=(long int) gtk_accel_map_change_entry ( accel_path,accel_key,accel_mods,replace);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accel_map_load , args , , " void gtk_accel_map_load (gchar * file_name); " )
{
gchar *   file_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accel_map_load (gchar * file_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_load "<<std::endl;
#endif /* DEBUG */
file_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) file_name ,args( 0 ).string_value().c_str());
gtk_accel_map_load ( file_name);
return octave_value();
}
DEFUN_DLD( gtk_accel_map_save , args , , " void gtk_accel_map_save (gchar * file_name); " )
{
gchar *   file_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accel_map_save (gchar * file_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_save "<<std::endl;
#endif /* DEBUG */
file_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) file_name ,args( 0 ).string_value().c_str());
gtk_accel_map_save ( file_name);
return octave_value();
}
DEFUN_DLD( gtk_accel_map_foreach , args , , " void gtk_accel_map_foreach (gpointer data,GtkAccelMapForeach foreach_func); " )
{
gpointer   data ;
GtkAccelMapForeach   foreach_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_accel_map_foreach (gpointer data,GtkAccelMapForeach foreach_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_foreach "<<std::endl;
#endif /* DEBUG */
data =( gpointer )args( 0 ).long_value();
foreach_func = (  GtkAccelMapForeach  ) args( 1 ).long_value();
gtk_accel_map_foreach ( data,foreach_func);
return octave_value();
}
DEFUN_DLD( gtk_accel_map_load_fd , args , , " void gtk_accel_map_load_fd (gint fd); " )
{
gint   fd ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accel_map_load_fd (gint fd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_load_fd "<<std::endl;
#endif /* DEBUG */
fd = (  gint  ) args( 0 ).int_value();
gtk_accel_map_load_fd ( fd);
return octave_value();
}
DEFUN_DLD( gtk_accel_map_load_scanner , args , , " void gtk_accel_map_load_scanner (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accel_map_load_scanner (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_load_scanner "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
gtk_accel_map_load_scanner ( scanner);
return octave_value();
}
DEFUN_DLD( gtk_accel_map_save_fd , args , , " void gtk_accel_map_save_fd (gint fd); " )
{
gint   fd ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accel_map_save_fd (gint fd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_save_fd "<<std::endl;
#endif /* DEBUG */
fd = (  gint  ) args( 0 ).int_value();
gtk_accel_map_save_fd ( fd);
return octave_value();
}
DEFUN_DLD( gtk_accel_map_add_filter , args , , " void gtk_accel_map_add_filter (gchar * filter_pattern); " )
{
gchar *   filter_pattern ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accel_map_add_filter (gchar * filter_pattern); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_add_filter "<<std::endl;
#endif /* DEBUG */
filter_pattern = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) filter_pattern ,args( 0 ).string_value().c_str());
gtk_accel_map_add_filter ( filter_pattern);
return octave_value();
}
DEFUN_DLD( gtk_accel_map_foreach_unfiltered , args , , " void gtk_accel_map_foreach_unfiltered (gpointer data,GtkAccelMapForeach foreach_func); " )
{
gpointer   data ;
GtkAccelMapForeach   foreach_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_accel_map_foreach_unfiltered (gpointer data,GtkAccelMapForeach foreach_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accel_map_foreach_unfiltered "<<std::endl;
#endif /* DEBUG */
data =( gpointer )args( 0 ).long_value();
foreach_func = (  GtkAccelMapForeach  ) args( 1 ).long_value();
gtk_accel_map_foreach_unfiltered ( data,foreach_func);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_accessible_get_type , args , , " GType gtk_accessible_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_accessible_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_accessible_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_accessible_connect_widget_destroyed , args , , " void gtk_accessible_connect_widget_destroyed (GtkAccessible * accessible); " )
{
GtkAccessible *   accessible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_accessible_connect_widget_destroyed (GtkAccessible * accessible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_accessible_connect_widget_destroyed "<<std::endl;
#endif /* DEBUG */
accessible =( GtkAccessible * )args( 0 ).long_value();
gtk_accessible_connect_widget_destroyed ( accessible);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_adjustment_get_type , args , , " GType gtk_adjustment_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_adjustment_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_adjustment_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_adjustment_new , args , , " GtkObject* gtk_adjustment_new (gdouble value,gdouble lower,gdouble upper,gdouble step_increment,gdouble page_increment,gdouble page_size); " )
{
gdouble   value ;
gdouble   lower ;
gdouble   upper ;
gdouble   step_increment ;
gdouble   page_increment ;
gdouble   page_size ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  GtkObject* gtk_adjustment_new (gdouble value,gdouble lower,gdouble upper,gdouble step_increment,gdouble page_increment,gdouble page_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_adjustment_new "<<std::endl;
#endif /* DEBUG */
value = (  gdouble  ) args( 0 ).double_value();
lower = (  gdouble  ) args( 1 ).double_value();
upper = (  gdouble  ) args( 2 ).double_value();
step_increment = (  gdouble  ) args( 3 ).double_value();
page_increment = (  gdouble  ) args( 4 ).double_value();
page_size = (  gdouble  ) args( 5 ).double_value();
long int ret_type= (long int) gtk_adjustment_new ( value,lower,upper,step_increment,page_increment,page_size);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_adjustment_changed , args , , " void gtk_adjustment_changed (GtkAdjustment * adjustment); " )
{
GtkAdjustment *   adjustment ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_adjustment_changed (GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_adjustment_changed "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
gtk_adjustment_changed ( adjustment);
return octave_value();
}
DEFUN_DLD( gtk_adjustment_value_changed , args , , " void gtk_adjustment_value_changed (GtkAdjustment * adjustment); " )
{
GtkAdjustment *   adjustment ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_adjustment_value_changed (GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_adjustment_value_changed "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
gtk_adjustment_value_changed ( adjustment);
return octave_value();
}
DEFUN_DLD( gtk_adjustment_clamp_page , args , , " void gtk_adjustment_clamp_page (GtkAdjustment * adjustment,gdouble lower,gdouble upper); " )
{
GtkAdjustment *   adjustment ;
gdouble   lower ;
gdouble   upper ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_adjustment_clamp_page (GtkAdjustment * adjustment,gdouble lower,gdouble upper); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_adjustment_clamp_page "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
lower = (  gdouble  ) args( 1 ).double_value();
upper = (  gdouble  ) args( 2 ).double_value();
gtk_adjustment_clamp_page ( adjustment,lower,upper);
return octave_value();
}
DEFUN_DLD( gtk_adjustment_get_value , args , , " gdouble gtk_adjustment_get_value (GtkAdjustment * adjustment); " )
{
GtkAdjustment *   adjustment ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gdouble gtk_adjustment_get_value (GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_adjustment_get_value "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
long int ret_type=(long int) gtk_adjustment_get_value ( adjustment);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_adjustment_set_value , args , , " void gtk_adjustment_set_value (GtkAdjustment * adjustment,gdouble value); " )
{
GtkAdjustment *   adjustment ;
gdouble   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_adjustment_set_value (GtkAdjustment * adjustment,gdouble value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_adjustment_set_value "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
value = (  gdouble  ) args( 1 ).double_value();
gtk_adjustment_set_value ( adjustment,value);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_alignment_get_type , args , , " GType gtk_alignment_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_alignment_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_alignment_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_alignment_new , args , , " GtkWidget* gtk_alignment_new (gfloat xalign,gfloat yalign,gfloat xscale,gfloat yscale); " )
{
gfloat   xalign ;
gfloat   yalign ;
gfloat   xscale ;
gfloat   yscale ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GtkWidget* gtk_alignment_new (gfloat xalign,gfloat yalign,gfloat xscale,gfloat yscale); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_alignment_new "<<std::endl;
#endif /* DEBUG */
xalign = (  gfloat  ) args( 0 ).double_value();
yalign = (  gfloat  ) args( 1 ).double_value();
xscale = (  gfloat  ) args( 2 ).double_value();
yscale = (  gfloat  ) args( 3 ).double_value();
long int ret_type= (long int) gtk_alignment_new ( xalign,yalign,xscale,yscale);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_alignment_set , args , , " void gtk_alignment_set (GtkAlignment * alignment,gfloat xalign,gfloat yalign,gfloat xscale,gfloat yscale); " )
{
GtkAlignment *   alignment ;
gfloat   xalign ;
gfloat   yalign ;
gfloat   xscale ;
gfloat   yscale ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_alignment_set (GtkAlignment * alignment,gfloat xalign,gfloat yalign,gfloat xscale,gfloat yscale); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_alignment_set "<<std::endl;
#endif /* DEBUG */
alignment =( GtkAlignment * )args( 0 ).long_value();
xalign = (  gfloat  ) args( 1 ).double_value();
yalign = (  gfloat  ) args( 2 ).double_value();
xscale = (  gfloat  ) args( 3 ).double_value();
yscale = (  gfloat  ) args( 4 ).double_value();
gtk_alignment_set ( alignment,xalign,yalign,xscale,yscale);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_arrow_get_type , args , , " GType gtk_arrow_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_arrow_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_arrow_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_arrow_new , args , , " GtkWidget* gtk_arrow_new (GtkArrowType arrow_type,GtkShadowType shadow_type); " )
{
GtkArrowType   arrow_type ;
GtkShadowType   shadow_type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_arrow_new (GtkArrowType arrow_type,GtkShadowType shadow_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_arrow_new "<<std::endl;
#endif /* DEBUG */
arrow_type = (  GtkArrowType  ) args( 0 ).long_value();
shadow_type = (  GtkShadowType  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_arrow_new ( arrow_type,shadow_type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_arrow_set , args , , " void gtk_arrow_set (GtkArrow * arrow,GtkArrowType arrow_type,GtkShadowType shadow_type); " )
{
GtkArrow *   arrow ;
GtkArrowType   arrow_type ;
GtkShadowType   shadow_type ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_arrow_set (GtkArrow * arrow,GtkArrowType arrow_type,GtkShadowType shadow_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_arrow_set "<<std::endl;
#endif /* DEBUG */
arrow =( GtkArrow * )args( 0 ).long_value();
arrow_type = (  GtkArrowType  ) args( 1 ).long_value();
shadow_type = (  GtkShadowType  ) args( 2 ).long_value();
gtk_arrow_set ( arrow,arrow_type,shadow_type);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_aspect_frame_get_type , args , , " GType gtk_aspect_frame_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_aspect_frame_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_aspect_frame_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_aspect_frame_new , args , , " GtkWidget* gtk_aspect_frame_new (gchar * label,gfloat xalign,gfloat yalign,gfloat ratio,gboolean obey_child); " )
{
gchar *   label ;
gfloat   xalign ;
gfloat   yalign ;
gfloat   ratio ;
gboolean   obey_child ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  GtkWidget* gtk_aspect_frame_new (gchar * label,gfloat xalign,gfloat yalign,gfloat ratio,gboolean obey_child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_aspect_frame_new "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
xalign = (  gfloat  ) args( 1 ).double_value();
yalign = (  gfloat  ) args( 2 ).double_value();
ratio = (  gfloat  ) args( 3 ).double_value();
obey_child = (  gboolean  ) args( 4 ).long_value();
long int ret_type= (long int) gtk_aspect_frame_new ( label,xalign,yalign,ratio,obey_child);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_aspect_frame_set , args , , " void gtk_aspect_frame_set (GtkAspectFrame * aspect_frame,gfloat xalign,gfloat yalign,gfloat ratio,gboolean obey_child); " )
{
GtkAspectFrame *   aspect_frame ;
gfloat   xalign ;
gfloat   yalign ;
gfloat   ratio ;
gboolean   obey_child ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_aspect_frame_set (GtkAspectFrame * aspect_frame,gfloat xalign,gfloat yalign,gfloat ratio,gboolean obey_child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_aspect_frame_set "<<std::endl;
#endif /* DEBUG */
aspect_frame =( GtkAspectFrame * )args( 0 ).long_value();
xalign = (  gfloat  ) args( 1 ).double_value();
yalign = (  gfloat  ) args( 2 ).double_value();
ratio = (  gfloat  ) args( 3 ).double_value();
obey_child = (  gboolean  ) args( 4 ).long_value();
gtk_aspect_frame_set ( aspect_frame,xalign,yalign,ratio,obey_child);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_button_box_get_type , args , , " GType gtk_button_box_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_button_box_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_button_box_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_box_get_layout , args , , " GtkButtonBoxStyle gtk_button_box_get_layout (GtkButtonBox * widget); " )
{
GtkButtonBox *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkButtonBoxStyle gtk_button_box_get_layout (GtkButtonBox * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_box_get_layout "<<std::endl;
#endif /* DEBUG */
widget =( GtkButtonBox * )args( 0 ).long_value();
long int ret_type=(long int) gtk_button_box_get_layout ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_box_set_layout , args , , " void gtk_button_box_set_layout (GtkButtonBox * widget,GtkButtonBoxStyle layout_style); " )
{
GtkButtonBox *   widget ;
GtkButtonBoxStyle   layout_style ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_button_box_set_layout (GtkButtonBox * widget,GtkButtonBoxStyle layout_style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_box_set_layout "<<std::endl;
#endif /* DEBUG */
widget =( GtkButtonBox * )args( 0 ).long_value();
layout_style = (  GtkButtonBoxStyle  ) args( 1 ).long_value();
gtk_button_box_set_layout ( widget,layout_style);
return octave_value();
}
DEFUN_DLD( gtk_button_box_set_child_secondary , args , , " void gtk_button_box_set_child_secondary (GtkButtonBox * widget,GtkWidget * child,gboolean is_secondary); " )
{
GtkButtonBox *   widget ;
GtkWidget *   child ;
gboolean   is_secondary ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_button_box_set_child_secondary (GtkButtonBox * widget,GtkWidget * child,gboolean is_secondary); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_box_set_child_secondary "<<std::endl;
#endif /* DEBUG */
widget =( GtkButtonBox * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
is_secondary = (  gboolean  ) args( 2 ).long_value();
gtk_button_box_set_child_secondary ( widget,child,is_secondary);
return octave_value();
}
DEFUN_DLD( gtk_button_box_set_child_size , args , , " void gtk_button_box_set_child_size (GtkButtonBox * widget,gint min_width,gint min_height); " )
{
GtkButtonBox *   widget ;
gint   min_width ;
gint   min_height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_button_box_set_child_size (GtkButtonBox * widget,gint min_width,gint min_height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_box_set_child_size "<<std::endl;
#endif /* DEBUG */
widget =( GtkButtonBox * )args( 0 ).long_value();
min_width = (  gint  ) args( 1 ).int_value();
min_height = (  gint  ) args( 2 ).int_value();
gtk_button_box_set_child_size ( widget,min_width,min_height);
return octave_value();
}
DEFUN_DLD( gtk_button_box_set_child_ipadding , args , , " void gtk_button_box_set_child_ipadding (GtkButtonBox * widget,gint ipad_x,gint ipad_y); " )
{
GtkButtonBox *   widget ;
gint   ipad_x ;
gint   ipad_y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_button_box_set_child_ipadding (GtkButtonBox * widget,gint ipad_x,gint ipad_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_box_set_child_ipadding "<<std::endl;
#endif /* DEBUG */
widget =( GtkButtonBox * )args( 0 ).long_value();
ipad_x = (  gint  ) args( 1 ).int_value();
ipad_y = (  gint  ) args( 2 ).int_value();
gtk_button_box_set_child_ipadding ( widget,ipad_x,ipad_y);
return octave_value();
}
DEFUN_DLD( gtk_button_box_get_child_size , args , , " void gtk_button_box_get_child_size (GtkButtonBox * widget,gint * min_width,gint * min_height); " )
{
GtkButtonBox *   widget ;
gint *   min_width ;
gint *   min_height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_button_box_get_child_size (GtkButtonBox * widget,gint * min_width,gint * min_height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_box_get_child_size "<<std::endl;
#endif /* DEBUG */
widget =( GtkButtonBox * )args( 0 ).long_value();
min_width =( gint * )args( 1 ).long_value();
min_height =( gint * )args( 2 ).long_value();
gtk_button_box_get_child_size ( widget,min_width,min_height);
return octave_value();
}
DEFUN_DLD( gtk_button_box_get_child_ipadding , args , , " void gtk_button_box_get_child_ipadding (GtkButtonBox * widget,gint * ipad_x,gint * ipad_y); " )
{
GtkButtonBox *   widget ;
gint *   ipad_x ;
gint *   ipad_y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_button_box_get_child_ipadding (GtkButtonBox * widget,gint * ipad_x,gint * ipad_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_box_get_child_ipadding "<<std::endl;
#endif /* DEBUG */
widget =( GtkButtonBox * )args( 0 ).long_value();
ipad_x =( gint * )args( 1 ).long_value();
ipad_y =( gint * )args( 2 ).long_value();
gtk_button_box_get_child_ipadding ( widget,ipad_x,ipad_y);
return octave_value();
}
DEFUN_DLD( gtk_binding_set_new , args , , " GtkBindingSet* gtk_binding_set_new (gchar * set_name); " )
{
gchar *   set_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkBindingSet* gtk_binding_set_new (gchar * set_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_set_new "<<std::endl;
#endif /* DEBUG */
set_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) set_name ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_binding_set_new ( set_name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_binding_set_by_class , args , , " GtkBindingSet* gtk_binding_set_by_class (gpointer object_class); " )
{
gpointer   object_class ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkBindingSet* gtk_binding_set_by_class (gpointer object_class); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_set_by_class "<<std::endl;
#endif /* DEBUG */
object_class =( gpointer )args( 0 ).long_value();
long int ret_type= (long int) gtk_binding_set_by_class ( object_class);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_binding_set_find , args , , " GtkBindingSet* gtk_binding_set_find (gchar * set_name); " )
{
gchar *   set_name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkBindingSet* gtk_binding_set_find (gchar * set_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_set_find "<<std::endl;
#endif /* DEBUG */
set_name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) set_name ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_binding_set_find ( set_name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_bindings_activate , args , , " gboolean gtk_bindings_activate (GtkObject * object,guint keyval,GdkModifierType modifiers); " )
{
GtkObject *   object ;
guint   keyval ;
GdkModifierType   modifiers ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_bindings_activate (GtkObject * object,guint keyval,GdkModifierType modifiers); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_bindings_activate "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
modifiers = (  GdkModifierType  ) args( 2 ).long_value();
long int ret_type=(long int) gtk_bindings_activate ( object,keyval,modifiers);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_binding_set_activate , args , , " gboolean gtk_binding_set_activate (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers,GtkObject * object); " )
{
GtkBindingSet *   binding_set ;
guint   keyval ;
GdkModifierType   modifiers ;
GtkObject *   object ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_binding_set_activate (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers,GtkObject * object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_set_activate "<<std::endl;
#endif /* DEBUG */
binding_set =( GtkBindingSet * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
modifiers = (  GdkModifierType  ) args( 2 ).long_value();
object =( GtkObject * )args( 3 ).long_value();
long int ret_type=(long int) gtk_binding_set_activate ( binding_set,keyval,modifiers,object);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_binding_entry_clear , args , , " void gtk_binding_entry_clear (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers); " )
{
GtkBindingSet *   binding_set ;
guint   keyval ;
GdkModifierType   modifiers ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_binding_entry_clear (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_entry_clear "<<std::endl;
#endif /* DEBUG */
binding_set =( GtkBindingSet * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
modifiers = (  GdkModifierType  ) args( 2 ).long_value();
gtk_binding_entry_clear ( binding_set,keyval,modifiers);
return octave_value();
}
DEFUN_DLD( gtk_binding_entry_add_signal , args , , " void gtk_binding_entry_add_signal (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers,gchar * signal_name,guint n_args,char * varargs_value); " )
{
GtkBindingSet *   binding_set ;
guint   keyval ;
GdkModifierType   modifiers ;
gchar *   signal_name ;
guint   n_args ;
char *   varargs_value ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_binding_entry_add_signal (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers,gchar * signal_name,guint n_args,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_entry_add_signal "<<std::endl;
#endif /* DEBUG */
binding_set =( GtkBindingSet * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
modifiers = (  GdkModifierType  ) args( 2 ).long_value();
signal_name = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) signal_name ,args( 3 ).string_value().c_str());
n_args = (  guint  ) args( 4 ).int_value();
varargs_value = new  char   [args( 5 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 5 ).string_value().c_str());
gtk_binding_entry_add_signal ( binding_set,keyval,modifiers,signal_name,n_args,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_binding_set_add_path , args , , " void gtk_binding_set_add_path (GtkBindingSet * binding_set,GtkPathType path_type,gchar * path_pattern,GtkPathPriorityType priority); " )
{
GtkBindingSet *   binding_set ;
GtkPathType   path_type ;
gchar *   path_pattern ;
GtkPathPriorityType   priority ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_binding_set_add_path (GtkBindingSet * binding_set,GtkPathType path_type,gchar * path_pattern,GtkPathPriorityType priority); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_set_add_path "<<std::endl;
#endif /* DEBUG */
binding_set =( GtkBindingSet * )args( 0 ).long_value();
path_type = (  GtkPathType  ) args( 1 ).long_value();
path_pattern = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) path_pattern ,args( 2 ).string_value().c_str());
priority = (  GtkPathPriorityType  ) args( 3 ).long_value();
gtk_binding_set_add_path ( binding_set,path_type,path_pattern,priority);
return octave_value();
}
DEFUN_DLD( gtk_binding_entry_remove , args , , " void gtk_binding_entry_remove (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers); " )
{
GtkBindingSet *   binding_set ;
guint   keyval ;
GdkModifierType   modifiers ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_binding_entry_remove (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_entry_remove "<<std::endl;
#endif /* DEBUG */
binding_set =( GtkBindingSet * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
modifiers = (  GdkModifierType  ) args( 2 ).long_value();
gtk_binding_entry_remove ( binding_set,keyval,modifiers);
return octave_value();
}
DEFUN_DLD( gtk_binding_entry_add_signall , args , , " void gtk_binding_entry_add_signall (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers,gchar * signal_name,GSList * binding_args); " )
{
GtkBindingSet *   binding_set ;
guint   keyval ;
GdkModifierType   modifiers ;
gchar *   signal_name ;
GSList *   binding_args ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_binding_entry_add_signall (GtkBindingSet * binding_set,guint keyval,GdkModifierType modifiers,gchar * signal_name,GSList * binding_args); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_entry_add_signall "<<std::endl;
#endif /* DEBUG */
binding_set =( GtkBindingSet * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
modifiers = (  GdkModifierType  ) args( 2 ).long_value();
signal_name = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) signal_name ,args( 3 ).string_value().c_str());
binding_args =( GSList * )args( 4 ).long_value();
gtk_binding_entry_add_signall ( binding_set,keyval,modifiers,signal_name,binding_args);
return octave_value();
}
DEFUN_DLD( gtk_binding_parse_binding , args , , " guint gtk_binding_parse_binding (GScanner * scanner); " )
{
GScanner *   scanner ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gtk_binding_parse_binding (GScanner * scanner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_binding_parse_binding "<<std::endl;
#endif /* DEBUG */
scanner =( GScanner * )args( 0 ).long_value();
long int ret_type=(long int) gtk_binding_parse_binding ( scanner);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_bin_get_type , args , , " GType gtk_bin_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_bin_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_bin_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_bin_get_child , args , , " GtkWidget * gtk_bin_get_child (GtkBin * bin); " )
{
GtkBin *   bin ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget * gtk_bin_get_child (GtkBin * bin); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_bin_get_child "<<std::endl;
#endif /* DEBUG */
bin =( GtkBin * )args( 0 ).long_value();
long int ret_type= (long int) gtk_bin_get_child ( bin);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_box_get_type , args , , " GType gtk_box_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_box_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_box_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_box_pack_start , args , , " void gtk_box_pack_start (GtkBox * box,GtkWidget * child,gboolean expand,gboolean fill,guint padding); " )
{
GtkBox *   box ;
GtkWidget *   child ;
gboolean   expand ;
gboolean   fill ;
guint   padding ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_box_pack_start (GtkBox * box,GtkWidget * child,gboolean expand,gboolean fill,guint padding); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_pack_start "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
expand = (  gboolean  ) args( 2 ).long_value();
fill = (  gboolean  ) args( 3 ).long_value();
padding = (  guint  ) args( 4 ).int_value();
gtk_box_pack_start ( box,child,expand,fill,padding);
return octave_value();
}
DEFUN_DLD( gtk_box_pack_end , args , , " void gtk_box_pack_end (GtkBox * box,GtkWidget * child,gboolean expand,gboolean fill,guint padding); " )
{
GtkBox *   box ;
GtkWidget *   child ;
gboolean   expand ;
gboolean   fill ;
guint   padding ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_box_pack_end (GtkBox * box,GtkWidget * child,gboolean expand,gboolean fill,guint padding); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_pack_end "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
expand = (  gboolean  ) args( 2 ).long_value();
fill = (  gboolean  ) args( 3 ).long_value();
padding = (  guint  ) args( 4 ).int_value();
gtk_box_pack_end ( box,child,expand,fill,padding);
return octave_value();
}
DEFUN_DLD( gtk_box_pack_start_defaults , args , , " void gtk_box_pack_start_defaults (GtkBox * box,GtkWidget * widget); " )
{
GtkBox *   box ;
GtkWidget *   widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_box_pack_start_defaults (GtkBox * box,GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_pack_start_defaults "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
gtk_box_pack_start_defaults ( box,widget);
return octave_value();
}
DEFUN_DLD( gtk_box_pack_end_defaults , args , , " void gtk_box_pack_end_defaults (GtkBox * box,GtkWidget * widget); " )
{
GtkBox *   box ;
GtkWidget *   widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_box_pack_end_defaults (GtkBox * box,GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_pack_end_defaults "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
gtk_box_pack_end_defaults ( box,widget);
return octave_value();
}
DEFUN_DLD( gtk_box_set_homogeneous , args , , " void gtk_box_set_homogeneous (GtkBox * box,gboolean homogeneous); " )
{
GtkBox *   box ;
gboolean   homogeneous ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_box_set_homogeneous (GtkBox * box,gboolean homogeneous); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_set_homogeneous "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
homogeneous = (  gboolean  ) args( 1 ).long_value();
gtk_box_set_homogeneous ( box,homogeneous);
return octave_value();
}
DEFUN_DLD( gtk_box_get_homogeneous , args , , " gboolean gtk_box_get_homogeneous (GtkBox * box); " )
{
GtkBox *   box ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_box_get_homogeneous (GtkBox * box); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_get_homogeneous "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
long int ret_type=(long int) gtk_box_get_homogeneous ( box);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_box_set_spacing , args , , " void gtk_box_set_spacing (GtkBox * box,gint spacing); " )
{
GtkBox *   box ;
gint   spacing ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_box_set_spacing (GtkBox * box,gint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_set_spacing "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
spacing = (  gint  ) args( 1 ).int_value();
gtk_box_set_spacing ( box,spacing);
return octave_value();
}
DEFUN_DLD( gtk_box_get_spacing , args , , " gint gtk_box_get_spacing (GtkBox * box); " )
{
GtkBox *   box ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_box_get_spacing (GtkBox * box); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_get_spacing "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
long int ret_type=(long int) gtk_box_get_spacing ( box);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_box_reorder_child , args , , " void gtk_box_reorder_child (GtkBox * box,GtkWidget * child,gint position); " )
{
GtkBox *   box ;
GtkWidget *   child ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_box_reorder_child (GtkBox * box,GtkWidget * child,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_reorder_child "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
gtk_box_reorder_child ( box,child,position);
return octave_value();
}
DEFUN_DLD( gtk_box_query_child_packing , args , , " void gtk_box_query_child_packing (GtkBox * box,GtkWidget * child,gboolean * expand,gboolean * fill,guint * padding,GtkPackType * pack_type); " )
{
GtkBox *   box ;
GtkWidget *   child ;
gboolean *   expand ;
gboolean *   fill ;
guint *   padding ;
GtkPackType *   pack_type ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_box_query_child_packing (GtkBox * box,GtkWidget * child,gboolean * expand,gboolean * fill,guint * padding,GtkPackType * pack_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_query_child_packing "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
expand =( gboolean * )args( 2 ).long_value();
fill =( gboolean * )args( 3 ).long_value();
padding =( guint * )args( 4 ).long_value();
pack_type =( GtkPackType * )args( 5 ).long_value();
gtk_box_query_child_packing ( box,child,expand,fill,padding,pack_type);
return octave_value();
}
DEFUN_DLD( gtk_box_set_child_packing , args , , " void gtk_box_set_child_packing (GtkBox * box,GtkWidget * child,gboolean expand,gboolean fill,guint padding,GtkPackType pack_type); " )
{
GtkBox *   box ;
GtkWidget *   child ;
gboolean   expand ;
gboolean   fill ;
guint   padding ;
GtkPackType   pack_type ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_box_set_child_packing (GtkBox * box,GtkWidget * child,gboolean expand,gboolean fill,guint padding,GtkPackType pack_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_box_set_child_packing "<<std::endl;
#endif /* DEBUG */
box =( GtkBox * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
expand = (  gboolean  ) args( 2 ).long_value();
fill = (  gboolean  ) args( 3 ).long_value();
padding = (  guint  ) args( 4 ).int_value();
pack_type = (  GtkPackType  ) args( 5 ).long_value();
gtk_box_set_child_packing ( box,child,expand,fill,padding,pack_type);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_button_get_type , args , , " GType gtk_button_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_button_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_button_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_button_new , args , , " GtkWidget* gtk_button_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_button_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_button_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_new_with_label , args , , " GtkWidget* gtk_button_new_with_label (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_button_new_with_label (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_new_with_label "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_button_new_with_label ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_new_from_stock , args , , " GtkWidget* gtk_button_new_from_stock (gchar * stock_id); " )
{
gchar *   stock_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_button_new_from_stock (gchar * stock_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_new_from_stock "<<std::endl;
#endif /* DEBUG */
stock_id = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_button_new_from_stock ( stock_id);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_new_with_mnemonic , args , , " GtkWidget* gtk_button_new_with_mnemonic (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_button_new_with_mnemonic (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_button_new_with_mnemonic ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_pressed , args , , " void gtk_button_pressed (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_button_pressed (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_pressed "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
gtk_button_pressed ( button);
return octave_value();
}
DEFUN_DLD( gtk_button_released , args , , " void gtk_button_released (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_button_released (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_released "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
gtk_button_released ( button);
return octave_value();
}
DEFUN_DLD( gtk_button_clicked , args , , " void gtk_button_clicked (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_button_clicked (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_clicked "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
gtk_button_clicked ( button);
return octave_value();
}
DEFUN_DLD( gtk_button_enter , args , , " void gtk_button_enter (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_button_enter (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_enter "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
gtk_button_enter ( button);
return octave_value();
}
DEFUN_DLD( gtk_button_leave , args , , " void gtk_button_leave (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_button_leave (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_leave "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
gtk_button_leave ( button);
return octave_value();
}
DEFUN_DLD( gtk_button_set_relief , args , , " void gtk_button_set_relief (GtkButton * button,GtkReliefStyle newstyle); " )
{
GtkButton *   button ;
GtkReliefStyle   newstyle ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_button_set_relief (GtkButton * button,GtkReliefStyle newstyle); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_set_relief "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
newstyle = (  GtkReliefStyle  ) args( 1 ).long_value();
gtk_button_set_relief ( button,newstyle);
return octave_value();
}
DEFUN_DLD( gtk_button_get_relief , args , , " GtkReliefStyle gtk_button_get_relief (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkReliefStyle gtk_button_get_relief (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_get_relief "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_button_get_relief ( button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_set_label , args , , " void gtk_button_set_label (GtkButton * button,gchar * label); " )
{
GtkButton *   button ;
gchar *   label ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_button_set_label (GtkButton * button,gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_set_label "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
label = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label ,args( 1 ).string_value().c_str());
gtk_button_set_label ( button,label);
return octave_value();
}
DEFUN_DLD( gtk_button_get_label , args , , " gchar * gtk_button_get_label (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_button_get_label (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_get_label "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
string  ret_type( gtk_button_get_label ( button));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_set_use_underline , args , , " void gtk_button_set_use_underline (GtkButton * button,gboolean use_underline); " )
{
GtkButton *   button ;
gboolean   use_underline ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_button_set_use_underline (GtkButton * button,gboolean use_underline); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_set_use_underline "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
use_underline = (  gboolean  ) args( 1 ).long_value();
gtk_button_set_use_underline ( button,use_underline);
return octave_value();
}
DEFUN_DLD( gtk_button_get_use_underline , args , , " gboolean gtk_button_get_use_underline (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_button_get_use_underline (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_get_use_underline "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_button_get_use_underline ( button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_button_set_use_stock , args , , " void gtk_button_set_use_stock (GtkButton * button,gboolean use_stock); " )
{
GtkButton *   button ;
gboolean   use_stock ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_button_set_use_stock (GtkButton * button,gboolean use_stock); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_set_use_stock "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
use_stock = (  gboolean  ) args( 1 ).long_value();
gtk_button_set_use_stock ( button,use_stock);
return octave_value();
}
DEFUN_DLD( gtk_button_get_use_stock , args , , " gboolean gtk_button_get_use_stock (GtkButton * button); " )
{
GtkButton *   button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_button_get_use_stock (GtkButton * button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_button_get_use_stock "<<std::endl;
#endif /* DEBUG */
button =( GtkButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_button_get_use_stock ( button);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_calendar_get_type , args , , " GType gtk_calendar_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_calendar_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_calendar_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_calendar_new , args , , " GtkWidget* gtk_calendar_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_calendar_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_calendar_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_calendar_select_month , args , , " gboolean gtk_calendar_select_month (GtkCalendar * calendar,guint month,guint year); " )
{
GtkCalendar *   calendar ;
guint   month ;
guint   year ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_calendar_select_month (GtkCalendar * calendar,guint month,guint year); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_select_month "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
month = (  guint  ) args( 1 ).int_value();
year = (  guint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_calendar_select_month ( calendar,month,year);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_calendar_select_day , args , , " void gtk_calendar_select_day (GtkCalendar * calendar,guint day); " )
{
GtkCalendar *   calendar ;
guint   day ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_calendar_select_day (GtkCalendar * calendar,guint day); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_select_day "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
day = (  guint  ) args( 1 ).int_value();
gtk_calendar_select_day ( calendar,day);
return octave_value();
}
DEFUN_DLD( gtk_calendar_mark_day , args , , " gboolean gtk_calendar_mark_day (GtkCalendar * calendar,guint day); " )
{
GtkCalendar *   calendar ;
guint   day ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_calendar_mark_day (GtkCalendar * calendar,guint day); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_mark_day "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
day = (  guint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_calendar_mark_day ( calendar,day);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_calendar_unmark_day , args , , " gboolean gtk_calendar_unmark_day (GtkCalendar * calendar,guint day); " )
{
GtkCalendar *   calendar ;
guint   day ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_calendar_unmark_day (GtkCalendar * calendar,guint day); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_unmark_day "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
day = (  guint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_calendar_unmark_day ( calendar,day);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_calendar_clear_marks , args , , " void gtk_calendar_clear_marks (GtkCalendar * calendar); " )
{
GtkCalendar *   calendar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_calendar_clear_marks (GtkCalendar * calendar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_clear_marks "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
gtk_calendar_clear_marks ( calendar);
return octave_value();
}
DEFUN_DLD( gtk_calendar_display_options , args , , " void gtk_calendar_display_options (GtkCalendar * calendar,GtkCalendarDisplayOptions flags); " )
{
GtkCalendar *   calendar ;
GtkCalendarDisplayOptions   flags ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_calendar_display_options (GtkCalendar * calendar,GtkCalendarDisplayOptions flags); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_display_options "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
flags = (  GtkCalendarDisplayOptions  ) args( 1 ).long_value();
gtk_calendar_display_options ( calendar,flags);
return octave_value();
}
DEFUN_DLD( gtk_calendar_get_date , args , , " void gtk_calendar_get_date (GtkCalendar * calendar,guint * year,guint * month,guint * day); " )
{
GtkCalendar *   calendar ;
guint *   year ;
guint *   month ;
guint *   day ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_calendar_get_date (GtkCalendar * calendar,guint * year,guint * month,guint * day); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_get_date "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
year =( guint * )args( 1 ).long_value();
month =( guint * )args( 2 ).long_value();
day =( guint * )args( 3 ).long_value();
gtk_calendar_get_date ( calendar,year,month,day);
return octave_value();
}
DEFUN_DLD( gtk_calendar_freeze , args , , " void gtk_calendar_freeze (GtkCalendar * calendar); " )
{
GtkCalendar *   calendar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_calendar_freeze (GtkCalendar * calendar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_freeze "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
gtk_calendar_freeze ( calendar);
return octave_value();
}
DEFUN_DLD( gtk_calendar_thaw , args , , " void gtk_calendar_thaw (GtkCalendar * calendar); " )
{
GtkCalendar *   calendar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_calendar_thaw (GtkCalendar * calendar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_calendar_thaw "<<std::endl;
#endif /* DEBUG */
calendar =( GtkCalendar * )args( 0 ).long_value();
gtk_calendar_thaw ( calendar);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_editable_get_type , args , , " GType gtk_cell_editable_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_editable_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_cell_editable_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_cell_editable_start_editing , args , , " void gtk_cell_editable_start_editing (GtkCellEditable * cell_editable,GdkEvent * event); " )
{
GtkCellEditable *   cell_editable ;
GdkEvent *   event ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_cell_editable_start_editing (GtkCellEditable * cell_editable,GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_editable_start_editing "<<std::endl;
#endif /* DEBUG */
cell_editable =( GtkCellEditable * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
gtk_cell_editable_start_editing ( cell_editable,event);
return octave_value();
}
DEFUN_DLD( gtk_cell_editable_editing_done , args , , " void gtk_cell_editable_editing_done (GtkCellEditable * cell_editable); " )
{
GtkCellEditable *   cell_editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_cell_editable_editing_done (GtkCellEditable * cell_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_editable_editing_done "<<std::endl;
#endif /* DEBUG */
cell_editable =( GtkCellEditable * )args( 0 ).long_value();
gtk_cell_editable_editing_done ( cell_editable);
return octave_value();
}
DEFUN_DLD( gtk_cell_editable_remove_widget , args , , " void gtk_cell_editable_remove_widget (GtkCellEditable * cell_editable); " )
{
GtkCellEditable *   cell_editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_cell_editable_remove_widget (GtkCellEditable * cell_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_editable_remove_widget "<<std::endl;
#endif /* DEBUG */
cell_editable =( GtkCellEditable * )args( 0 ).long_value();
gtk_cell_editable_remove_widget ( cell_editable);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_get_type , args , , " GType gtk_cell_renderer_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_cell_renderer_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_cell_renderer_get_size , args , , " void gtk_cell_renderer_get_size (GtkCellRenderer * cell,GtkWidget * widget,GdkRectangle * cell_area,gint * x_offset,gint * y_offset,gint * width,gint * height); " )
{
GtkCellRenderer *   cell ;
GtkWidget *   widget ;
GdkRectangle *   cell_area ;
gint *   x_offset ;
gint *   y_offset ;
gint *   width ;
gint *   height ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gtk_cell_renderer_get_size (GtkCellRenderer * cell,GtkWidget * widget,GdkRectangle * cell_area,gint * x_offset,gint * y_offset,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_get_size "<<std::endl;
#endif /* DEBUG */
cell =( GtkCellRenderer * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
cell_area =( GdkRectangle * )args( 2 ).long_value();
x_offset =( gint * )args( 3 ).long_value();
y_offset =( gint * )args( 4 ).long_value();
width =( gint * )args( 5 ).long_value();
height =( gint * )args( 6 ).long_value();
gtk_cell_renderer_get_size ( cell,widget,cell_area,x_offset,y_offset,width,height);
return octave_value();
}
DEFUN_DLD( gtk_cell_renderer_render , args , , " void gtk_cell_renderer_render (GtkCellRenderer * cell,GdkWindow * window,GtkWidget * widget,GdkRectangle * background_area,GdkRectangle * cell_area,GdkRectangle * expose_area,GtkCellRendererState flags); " )
{
GtkCellRenderer *   cell ;
GdkWindow *   window ;
GtkWidget *   widget ;
GdkRectangle *   background_area ;
GdkRectangle *   cell_area ;
GdkRectangle *   expose_area ;
GtkCellRendererState   flags ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gtk_cell_renderer_render (GtkCellRenderer * cell,GdkWindow * window,GtkWidget * widget,GdkRectangle * background_area,GdkRectangle * cell_area,GdkRectangle * expose_area,GtkCellRendererState flags); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_render "<<std::endl;
#endif /* DEBUG */
cell =( GtkCellRenderer * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
widget =( GtkWidget * )args( 2 ).long_value();
background_area =( GdkRectangle * )args( 3 ).long_value();
cell_area =( GdkRectangle * )args( 4 ).long_value();
expose_area =( GdkRectangle * )args( 5 ).long_value();
flags = (  GtkCellRendererState  ) args( 6 ).long_value();
gtk_cell_renderer_render ( cell,window,widget,background_area,cell_area,expose_area,flags);
return octave_value();
}
DEFUN_DLD( gtk_cell_renderer_activate , args , , " gboolean gtk_cell_renderer_activate (GtkCellRenderer * cell,GdkEvent * event,GtkWidget * widget,gchar * path,GdkRectangle * background_area,GdkRectangle * cell_area,GtkCellRendererState flags); " )
{
GtkCellRenderer *   cell ;
GdkEvent *   event ;
GtkWidget *   widget ;
gchar *   path ;
GdkRectangle *   background_area ;
GdkRectangle *   cell_area ;
GtkCellRendererState   flags ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  gboolean gtk_cell_renderer_activate (GtkCellRenderer * cell,GdkEvent * event,GtkWidget * widget,gchar * path,GdkRectangle * background_area,GdkRectangle * cell_area,GtkCellRendererState flags); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_activate "<<std::endl;
#endif /* DEBUG */
cell =( GtkCellRenderer * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
widget =( GtkWidget * )args( 2 ).long_value();
path = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) path ,args( 3 ).string_value().c_str());
background_area =( GdkRectangle * )args( 4 ).long_value();
cell_area =( GdkRectangle * )args( 5 ).long_value();
flags = (  GtkCellRendererState  ) args( 6 ).long_value();
long int ret_type=(long int) gtk_cell_renderer_activate ( cell,event,widget,path,background_area,cell_area,flags);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_cell_renderer_start_editing , args , , " GtkCellEditable * gtk_cell_renderer_start_editing (GtkCellRenderer * cell,GdkEvent * event,GtkWidget * widget,gchar * path,GdkRectangle * background_area,GdkRectangle * cell_area,GtkCellRendererState flags); " )
{
GtkCellRenderer *   cell ;
GdkEvent *   event ;
GtkWidget *   widget ;
gchar *   path ;
GdkRectangle *   background_area ;
GdkRectangle *   cell_area ;
GtkCellRendererState   flags ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  GtkCellEditable * gtk_cell_renderer_start_editing (GtkCellRenderer * cell,GdkEvent * event,GtkWidget * widget,gchar * path,GdkRectangle * background_area,GdkRectangle * cell_area,GtkCellRendererState flags); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_start_editing "<<std::endl;
#endif /* DEBUG */
cell =( GtkCellRenderer * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
widget =( GtkWidget * )args( 2 ).long_value();
path = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) path ,args( 3 ).string_value().c_str());
background_area =( GdkRectangle * )args( 4 ).long_value();
cell_area =( GdkRectangle * )args( 5 ).long_value();
flags = (  GtkCellRendererState  ) args( 6 ).long_value();
long int ret_type= (long int) gtk_cell_renderer_start_editing ( cell,event,widget,path,background_area,cell_area,flags);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_cell_renderer_set_fixed_size , args , , " void gtk_cell_renderer_set_fixed_size (GtkCellRenderer * cell,gint width,gint height); " )
{
GtkCellRenderer *   cell ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_cell_renderer_set_fixed_size (GtkCellRenderer * cell,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_set_fixed_size "<<std::endl;
#endif /* DEBUG */
cell =( GtkCellRenderer * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
gtk_cell_renderer_set_fixed_size ( cell,width,height);
return octave_value();
}
DEFUN_DLD( gtk_cell_renderer_get_fixed_size , args , , " void gtk_cell_renderer_get_fixed_size (GtkCellRenderer * cell,gint * width,gint * height); " )
{
GtkCellRenderer *   cell ;
gint *   width ;
gint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_cell_renderer_get_fixed_size (GtkCellRenderer * cell,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_get_fixed_size "<<std::endl;
#endif /* DEBUG */
cell =( GtkCellRenderer * )args( 0 ).long_value();
width =( gint * )args( 1 ).long_value();
height =( gint * )args( 2 ).long_value();
gtk_cell_renderer_get_fixed_size ( cell,width,height);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_pixbuf_get_type , args , , " GType gtk_cell_renderer_pixbuf_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_pixbuf_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_cell_renderer_pixbuf_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_pixbuf_new , args , , " GtkCellRenderer * gtk_cell_renderer_pixbuf_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_pixbuf_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_cell_renderer_pixbuf_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_text_get_type , args , , " GType gtk_cell_renderer_text_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_text_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_cell_renderer_text_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_text_new , args , , " GtkCellRenderer * gtk_cell_renderer_text_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_text_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_cell_renderer_text_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_cell_renderer_text_set_fixed_height_from_font , args , , " void gtk_cell_renderer_text_set_fixed_height_from_font (GtkCellRendererText * renderer,gint number_of_rows); " )
{
GtkCellRendererText *   renderer ;
gint   number_of_rows ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_cell_renderer_text_set_fixed_height_from_font (GtkCellRendererText * renderer,gint number_of_rows); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_text_set_fixed_height_from_font "<<std::endl;
#endif /* DEBUG */
renderer =( GtkCellRendererText * )args( 0 ).long_value();
number_of_rows = (  gint  ) args( 1 ).int_value();
gtk_cell_renderer_text_set_fixed_height_from_font ( renderer,number_of_rows);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_toggle_get_type , args , , " GType gtk_cell_renderer_toggle_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_toggle_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_cell_renderer_toggle_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_toggle_new , args , , " GtkCellRenderer * gtk_cell_renderer_toggle_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_toggle_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_cell_renderer_toggle_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_cell_renderer_toggle_get_radio , args , , " gboolean gtk_cell_renderer_toggle_get_radio (GtkCellRendererToggle * toggle); " )
{
GtkCellRendererToggle *   toggle ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_cell_renderer_toggle_get_radio (GtkCellRendererToggle * toggle); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_toggle_get_radio "<<std::endl;
#endif /* DEBUG */
toggle =( GtkCellRendererToggle * )args( 0 ).long_value();
long int ret_type=(long int) gtk_cell_renderer_toggle_get_radio ( toggle);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_cell_renderer_toggle_set_radio , args , , " void gtk_cell_renderer_toggle_set_radio (GtkCellRendererToggle * toggle,gboolean radio); " )
{
GtkCellRendererToggle *   toggle ;
gboolean   radio ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_cell_renderer_toggle_set_radio (GtkCellRendererToggle * toggle,gboolean radio); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_toggle_set_radio "<<std::endl;
#endif /* DEBUG */
toggle =( GtkCellRendererToggle * )args( 0 ).long_value();
radio = (  gboolean  ) args( 1 ).long_value();
gtk_cell_renderer_toggle_set_radio ( toggle,radio);
return octave_value();
}
DEFUN_DLD( gtk_cell_renderer_toggle_get_active , args , , " gboolean gtk_cell_renderer_toggle_get_active (GtkCellRendererToggle * toggle); " )
{
GtkCellRendererToggle *   toggle ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_cell_renderer_toggle_get_active (GtkCellRendererToggle * toggle); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_toggle_get_active "<<std::endl;
#endif /* DEBUG */
toggle =( GtkCellRendererToggle * )args( 0 ).long_value();
long int ret_type=(long int) gtk_cell_renderer_toggle_get_active ( toggle);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_cell_renderer_toggle_set_active , args , , " void gtk_cell_renderer_toggle_set_active (GtkCellRendererToggle * toggle,gboolean setting); " )
{
GtkCellRendererToggle *   toggle ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_cell_renderer_toggle_set_active (GtkCellRendererToggle * toggle,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_toggle_set_active "<<std::endl;
#endif /* DEBUG */
toggle =( GtkCellRendererToggle * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_cell_renderer_toggle_set_active ( toggle,setting);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_check_button_get_type , args , , " GType gtk_check_button_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_check_button_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_check_button_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_check_button_new , args , , " GtkWidget* gtk_check_button_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_check_button_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_check_button_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_check_button_new_with_label , args , , " GtkWidget* gtk_check_button_new_with_label (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_check_button_new_with_label (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_button_new_with_label "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_check_button_new_with_label ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_check_button_new_with_mnemonic , args , , " GtkWidget* gtk_check_button_new_with_mnemonic (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_check_button_new_with_mnemonic (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_button_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_check_button_new_with_mnemonic ( label);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_check_menu_item_get_type , args , , " GType gtk_check_menu_item_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_check_menu_item_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_check_menu_item_new , args , , " GtkWidget* gtk_check_menu_item_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_check_menu_item_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_check_menu_item_new_with_label , args , , " GtkWidget* gtk_check_menu_item_new_with_label (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_check_menu_item_new_with_label (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_new_with_label "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_check_menu_item_new_with_label ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_check_menu_item_new_with_mnemonic , args , , " GtkWidget* gtk_check_menu_item_new_with_mnemonic (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_check_menu_item_new_with_mnemonic (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_check_menu_item_new_with_mnemonic ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_check_menu_item_set_active , args , , " void gtk_check_menu_item_set_active (GtkCheckMenuItem * check_menu_item,gboolean is_active); " )
{
GtkCheckMenuItem *   check_menu_item ;
gboolean   is_active ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_check_menu_item_set_active (GtkCheckMenuItem * check_menu_item,gboolean is_active); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_set_active "<<std::endl;
#endif /* DEBUG */
check_menu_item =( GtkCheckMenuItem * )args( 0 ).long_value();
is_active = (  gboolean  ) args( 1 ).long_value();
gtk_check_menu_item_set_active ( check_menu_item,is_active);
return octave_value();
}
DEFUN_DLD( gtk_check_menu_item_get_active , args , , " gboolean gtk_check_menu_item_get_active (GtkCheckMenuItem * check_menu_item); " )
{
GtkCheckMenuItem *   check_menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_check_menu_item_get_active (GtkCheckMenuItem * check_menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_get_active "<<std::endl;
#endif /* DEBUG */
check_menu_item =( GtkCheckMenuItem * )args( 0 ).long_value();
long int ret_type=(long int) gtk_check_menu_item_get_active ( check_menu_item);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_check_menu_item_toggled , args , , " void gtk_check_menu_item_toggled (GtkCheckMenuItem * check_menu_item); " )
{
GtkCheckMenuItem *   check_menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_check_menu_item_toggled (GtkCheckMenuItem * check_menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_toggled "<<std::endl;
#endif /* DEBUG */
check_menu_item =( GtkCheckMenuItem * )args( 0 ).long_value();
gtk_check_menu_item_toggled ( check_menu_item);
return octave_value();
}
DEFUN_DLD( gtk_check_menu_item_set_inconsistent , args , , " void gtk_check_menu_item_set_inconsistent (GtkCheckMenuItem * check_menu_item,gboolean setting); " )
{
GtkCheckMenuItem *   check_menu_item ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_check_menu_item_set_inconsistent (GtkCheckMenuItem * check_menu_item,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_set_inconsistent "<<std::endl;
#endif /* DEBUG */
check_menu_item =( GtkCheckMenuItem * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_check_menu_item_set_inconsistent ( check_menu_item,setting);
return octave_value();
}
DEFUN_DLD( gtk_check_menu_item_get_inconsistent , args , , " gboolean gtk_check_menu_item_get_inconsistent (GtkCheckMenuItem * check_menu_item); " )
{
GtkCheckMenuItem *   check_menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_check_menu_item_get_inconsistent (GtkCheckMenuItem * check_menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_get_inconsistent "<<std::endl;
#endif /* DEBUG */
check_menu_item =( GtkCheckMenuItem * )args( 0 ).long_value();
long int ret_type=(long int) gtk_check_menu_item_get_inconsistent ( check_menu_item);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_check_menu_item_set_show_toggle , args , , " void gtk_check_menu_item_set_show_toggle (GtkCheckMenuItem * menu_item,gboolean always); " )
{
GtkCheckMenuItem *   menu_item ;
gboolean   always ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_check_menu_item_set_show_toggle (GtkCheckMenuItem * menu_item,gboolean always); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_menu_item_set_show_toggle "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkCheckMenuItem * )args( 0 ).long_value();
always = (  gboolean  ) args( 1 ).long_value();
gtk_check_menu_item_set_show_toggle ( menu_item,always);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_clipboard_get_type , args , , " GType gtk_clipboard_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_clipboard_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_clipboard_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_get_for_display , args , , " GtkClipboard * gtk_clipboard_get_for_display (GdkDisplay * display,GdkAtom selection); " )
{
GdkDisplay *   display ;
GdkAtom   selection ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkClipboard * gtk_clipboard_get_for_display (GdkDisplay * display,GdkAtom selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_get_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_clipboard_get_for_display ( display,selection);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_get , args , , " GtkClipboard * gtk_clipboard_get (GdkAtom selection); " )
{
GdkAtom   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkClipboard * gtk_clipboard_get (GdkAtom selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_get "<<std::endl;
#endif /* DEBUG */
selection = (  GdkAtom  ) args( 0 ).long_value();
long int ret_type= (long int) gtk_clipboard_get ( selection);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_get_display , args , , " GdkDisplay * gtk_clipboard_get_display (GtkClipboard * clipboard); " )
{
GtkClipboard *   clipboard ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDisplay * gtk_clipboard_get_display (GtkClipboard * clipboard); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_get_display "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
long int ret_type= (long int) gtk_clipboard_get_display ( clipboard);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_set_with_data , args , , " gboolean gtk_clipboard_set_with_data (GtkClipboard * clipboard,GtkTargetEntry * targets,guint n_targets,GtkClipboardGetFunc get_func,GtkClipboardClearFunc clear_func,gpointer user_data); " )
{
GtkClipboard *   clipboard ;
GtkTargetEntry *   targets ;
guint   n_targets ;
GtkClipboardGetFunc   get_func ;
GtkClipboardClearFunc   clear_func ;
gpointer   user_data ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gboolean gtk_clipboard_set_with_data (GtkClipboard * clipboard,GtkTargetEntry * targets,guint n_targets,GtkClipboardGetFunc get_func,GtkClipboardClearFunc clear_func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_set_with_data "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
targets =( GtkTargetEntry * )args( 1 ).long_value();
n_targets = (  guint  ) args( 2 ).int_value();
get_func = (  GtkClipboardGetFunc  ) args( 3 ).long_value();
clear_func = (  GtkClipboardClearFunc  ) args( 4 ).long_value();
user_data =( gpointer )args( 5 ).long_value();
long int ret_type=(long int) gtk_clipboard_set_with_data ( clipboard,targets,n_targets,get_func,clear_func,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_set_with_owner , args , , " gboolean gtk_clipboard_set_with_owner (GtkClipboard * clipboard,GtkTargetEntry * targets,guint n_targets,GtkClipboardGetFunc get_func,GtkClipboardClearFunc clear_func,GObject * owner); " )
{
GtkClipboard *   clipboard ;
GtkTargetEntry *   targets ;
guint   n_targets ;
GtkClipboardGetFunc   get_func ;
GtkClipboardClearFunc   clear_func ;
GObject *   owner ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gboolean gtk_clipboard_set_with_owner (GtkClipboard * clipboard,GtkTargetEntry * targets,guint n_targets,GtkClipboardGetFunc get_func,GtkClipboardClearFunc clear_func,GObject * owner); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_set_with_owner "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
targets =( GtkTargetEntry * )args( 1 ).long_value();
n_targets = (  guint  ) args( 2 ).int_value();
get_func = (  GtkClipboardGetFunc  ) args( 3 ).long_value();
clear_func = (  GtkClipboardClearFunc  ) args( 4 ).long_value();
owner =( GObject * )args( 5 ).long_value();
long int ret_type=(long int) gtk_clipboard_set_with_owner ( clipboard,targets,n_targets,get_func,clear_func,owner);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_get_owner , args , , " GObject * gtk_clipboard_get_owner (GtkClipboard * clipboard); " )
{
GtkClipboard *   clipboard ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GObject * gtk_clipboard_get_owner (GtkClipboard * clipboard); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_get_owner "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
long int ret_type= (long int) gtk_clipboard_get_owner ( clipboard);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_clear , args , , " void gtk_clipboard_clear (GtkClipboard * clipboard); " )
{
GtkClipboard *   clipboard ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clipboard_clear (GtkClipboard * clipboard); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_clear "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
gtk_clipboard_clear ( clipboard);
return octave_value();
}
DEFUN_DLD( gtk_clipboard_set_text , args , , " void gtk_clipboard_set_text (GtkClipboard * clipboard,gchar * text,gint len); " )
{
GtkClipboard *   clipboard ;
gchar *   text ;
gint   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clipboard_set_text (GtkClipboard * clipboard,gchar * text,gint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_set_text "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
len = (  gint  ) args( 2 ).int_value();
gtk_clipboard_set_text ( clipboard,text,len);
return octave_value();
}
DEFUN_DLD( gtk_clipboard_request_contents , args , , " void gtk_clipboard_request_contents (GtkClipboard * clipboard,GdkAtom target,GtkClipboardReceivedFunc callback,gpointer user_data); " )
{
GtkClipboard *   clipboard ;
GdkAtom   target ;
GtkClipboardReceivedFunc   callback ;
gpointer   user_data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_clipboard_request_contents (GtkClipboard * clipboard,GdkAtom target,GtkClipboardReceivedFunc callback,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_request_contents "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
target = (  GdkAtom  ) args( 1 ).long_value();
callback = (  GtkClipboardReceivedFunc  ) args( 2 ).long_value();
user_data =( gpointer )args( 3 ).long_value();
gtk_clipboard_request_contents ( clipboard,target,callback,user_data);
return octave_value();
}
DEFUN_DLD( gtk_clipboard_request_text , args , , " void gtk_clipboard_request_text (GtkClipboard * clipboard,GtkClipboardTextReceivedFunc callback,gpointer user_data); " )
{
GtkClipboard *   clipboard ;
GtkClipboardTextReceivedFunc   callback ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clipboard_request_text (GtkClipboard * clipboard,GtkClipboardTextReceivedFunc callback,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_request_text "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
callback = (  GtkClipboardTextReceivedFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
gtk_clipboard_request_text ( clipboard,callback,user_data);
return octave_value();
}
DEFUN_DLD( gtk_clipboard_wait_for_contents , args , , " GtkSelectionData * gtk_clipboard_wait_for_contents (GtkClipboard * clipboard,GdkAtom target); " )
{
GtkClipboard *   clipboard ;
GdkAtom   target ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkSelectionData * gtk_clipboard_wait_for_contents (GtkClipboard * clipboard,GdkAtom target); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_wait_for_contents "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
target = (  GdkAtom  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_clipboard_wait_for_contents ( clipboard,target);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_wait_for_text , args , , " gchar * gtk_clipboard_wait_for_text (GtkClipboard * clipboard); " )
{
GtkClipboard *   clipboard ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_clipboard_wait_for_text (GtkClipboard * clipboard); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_wait_for_text "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
string  ret_type( gtk_clipboard_wait_for_text ( clipboard));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clipboard_wait_is_text_available , args , , " gboolean gtk_clipboard_wait_is_text_available (GtkClipboard * clipboard); " )
{
GtkClipboard *   clipboard ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_clipboard_wait_is_text_available (GtkClipboard * clipboard); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clipboard_wait_is_text_available "<<std::endl;
#endif /* DEBUG */
clipboard =( GtkClipboard * )args( 0 ).long_value();
long int ret_type=(long int) gtk_clipboard_wait_is_text_available ( clipboard);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_clist_get_type , args , , " GtkType gtk_clist_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_clist_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_clist_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_new , args , , " GtkWidget* gtk_clist_new (gint columns); " )
{
gint   columns ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_clist_new (gint columns); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_new "<<std::endl;
#endif /* DEBUG */
columns = (  gint  ) args( 0 ).int_value();
long int ret_type= (long int) gtk_clist_new ( columns);
return octave_value(ret_type);
}
/* overriden: gtk_clist_new_with_titles  */
DEFUN_DLD( gtk_clist_set_hadjustment , args , , " void gtk_clist_set_hadjustment (GtkCList * clist,GtkAdjustment * adjustment); " )
{
GtkCList *   clist ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_hadjustment (GtkCList * clist,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_hadjustment "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_clist_set_hadjustment ( clist,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_vadjustment , args , , " void gtk_clist_set_vadjustment (GtkCList * clist,GtkAdjustment * adjustment); " )
{
GtkCList *   clist ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_vadjustment (GtkCList * clist,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_vadjustment "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_clist_set_vadjustment ( clist,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_clist_get_hadjustment , args , , " GtkAdjustment* gtk_clist_get_hadjustment (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_clist_get_hadjustment (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_hadjustment "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
long int ret_type= (long int) gtk_clist_get_hadjustment ( clist);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_get_vadjustment , args , , " GtkAdjustment* gtk_clist_get_vadjustment (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_clist_get_vadjustment (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_vadjustment "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
long int ret_type= (long int) gtk_clist_get_vadjustment ( clist);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_set_shadow_type , args , , " void gtk_clist_set_shadow_type (GtkCList * clist,GtkShadowType type); " )
{
GtkCList *   clist ;
GtkShadowType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_shadow_type (GtkCList * clist,GtkShadowType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_shadow_type "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
type = (  GtkShadowType  ) args( 1 ).long_value();
gtk_clist_set_shadow_type ( clist,type);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_selection_mode , args , , " void gtk_clist_set_selection_mode (GtkCList * clist,GtkSelectionMode mode); " )
{
GtkCList *   clist ;
GtkSelectionMode   mode ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_selection_mode (GtkCList * clist,GtkSelectionMode mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_selection_mode "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
mode = (  GtkSelectionMode  ) args( 1 ).long_value();
gtk_clist_set_selection_mode ( clist,mode);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_reorderable , args , , " void gtk_clist_set_reorderable (GtkCList * clist,gboolean reorderable); " )
{
GtkCList *   clist ;
gboolean   reorderable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_reorderable (GtkCList * clist,gboolean reorderable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_reorderable "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
reorderable = (  gboolean  ) args( 1 ).long_value();
gtk_clist_set_reorderable ( clist,reorderable);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_use_drag_icons , args , , " void gtk_clist_set_use_drag_icons (GtkCList * clist,gboolean use_icons); " )
{
GtkCList *   clist ;
gboolean   use_icons ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_use_drag_icons (GtkCList * clist,gboolean use_icons); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_use_drag_icons "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
use_icons = (  gboolean  ) args( 1 ).long_value();
gtk_clist_set_use_drag_icons ( clist,use_icons);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_button_actions , args , , " void gtk_clist_set_button_actions (GtkCList * clist,guint button,guint8 button_actions); " )
{
GtkCList *   clist ;
guint   button ;
guint8   button_actions ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_button_actions (GtkCList * clist,guint button,guint8 button_actions); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_button_actions "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
button = (  guint  ) args( 1 ).int_value();
button_actions = (  guint8  ) args( 2 ).int_value();
gtk_clist_set_button_actions ( clist,button,button_actions);
return octave_value();
}
DEFUN_DLD( gtk_clist_freeze , args , , " void gtk_clist_freeze (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_freeze (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_freeze "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_freeze ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_thaw , args , , " void gtk_clist_thaw (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_thaw (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_thaw "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_thaw ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_column_titles_show , args , , " void gtk_clist_column_titles_show (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_column_titles_show (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_column_titles_show "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_column_titles_show ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_column_titles_hide , args , , " void gtk_clist_column_titles_hide (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_column_titles_hide (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_column_titles_hide "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_column_titles_hide ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_column_title_active , args , , " void gtk_clist_column_title_active (GtkCList * clist,gint column); " )
{
GtkCList *   clist ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_column_title_active (GtkCList * clist,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_column_title_active "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
gtk_clist_column_title_active ( clist,column);
return octave_value();
}
DEFUN_DLD( gtk_clist_column_title_passive , args , , " void gtk_clist_column_title_passive (GtkCList * clist,gint column); " )
{
GtkCList *   clist ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_column_title_passive (GtkCList * clist,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_column_title_passive "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
gtk_clist_column_title_passive ( clist,column);
return octave_value();
}
DEFUN_DLD( gtk_clist_column_titles_active , args , , " void gtk_clist_column_titles_active (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_column_titles_active (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_column_titles_active "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_column_titles_active ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_column_titles_passive , args , , " void gtk_clist_column_titles_passive (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_column_titles_passive (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_column_titles_passive "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_column_titles_passive ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_column_title , args , , " void gtk_clist_set_column_title (GtkCList * clist,gint column,gchar * title); " )
{
GtkCList *   clist ;
gint   column ;
gchar *   title ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_title (GtkCList * clist,gint column,gchar * title); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_title "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
title = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) title ,args( 2 ).string_value().c_str());
gtk_clist_set_column_title ( clist,column,title);
return octave_value();
}
DEFUN_DLD( gtk_clist_get_column_title , args , , " gchar * gtk_clist_get_column_title (GtkCList * clist,gint column); " )
{
GtkCList *   clist ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * gtk_clist_get_column_title (GtkCList * clist,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_column_title "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
string  ret_type( gtk_clist_get_column_title ( clist,column));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_set_column_widget , args , , " void gtk_clist_set_column_widget (GtkCList * clist,gint column,GtkWidget * widget); " )
{
GtkCList *   clist ;
gint   column ;
GtkWidget *   widget ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_widget (GtkCList * clist,gint column,GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_widget "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
widget =( GtkWidget * )args( 2 ).long_value();
gtk_clist_set_column_widget ( clist,column,widget);
return octave_value();
}
DEFUN_DLD( gtk_clist_get_column_widget , args , , " GtkWidget * gtk_clist_get_column_widget (GtkCList * clist,gint column); " )
{
GtkCList *   clist ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget * gtk_clist_get_column_widget (GtkCList * clist,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_column_widget "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_clist_get_column_widget ( clist,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_set_column_justification , args , , " void gtk_clist_set_column_justification (GtkCList * clist,gint column,GtkJustification justification); " )
{
GtkCList *   clist ;
gint   column ;
GtkJustification   justification ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_justification (GtkCList * clist,gint column,GtkJustification justification); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_justification "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
justification = (  GtkJustification  ) args( 2 ).long_value();
gtk_clist_set_column_justification ( clist,column,justification);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_column_visibility , args , , " void gtk_clist_set_column_visibility (GtkCList * clist,gint column,gboolean visible); " )
{
GtkCList *   clist ;
gint   column ;
gboolean   visible ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_visibility (GtkCList * clist,gint column,gboolean visible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_visibility "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
visible = (  gboolean  ) args( 2 ).long_value();
gtk_clist_set_column_visibility ( clist,column,visible);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_column_resizeable , args , , " void gtk_clist_set_column_resizeable (GtkCList * clist,gint column,gboolean resizeable); " )
{
GtkCList *   clist ;
gint   column ;
gboolean   resizeable ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_resizeable (GtkCList * clist,gint column,gboolean resizeable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_resizeable "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
resizeable = (  gboolean  ) args( 2 ).long_value();
gtk_clist_set_column_resizeable ( clist,column,resizeable);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_column_auto_resize , args , , " void gtk_clist_set_column_auto_resize (GtkCList * clist,gint column,gboolean auto_resize); " )
{
GtkCList *   clist ;
gint   column ;
gboolean   auto_resize ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_auto_resize (GtkCList * clist,gint column,gboolean auto_resize); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_auto_resize "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
auto_resize = (  gboolean  ) args( 2 ).long_value();
gtk_clist_set_column_auto_resize ( clist,column,auto_resize);
return octave_value();
}
DEFUN_DLD( gtk_clist_columns_autosize , args , , " gint gtk_clist_columns_autosize (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_clist_columns_autosize (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_columns_autosize "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
long int ret_type=(long int) gtk_clist_columns_autosize ( clist);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_optimal_column_width , args , , " gint gtk_clist_optimal_column_width (GtkCList * clist,gint column); " )
{
GtkCList *   clist ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_clist_optimal_column_width (GtkCList * clist,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_optimal_column_width "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_clist_optimal_column_width ( clist,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_set_column_width , args , , " void gtk_clist_set_column_width (GtkCList * clist,gint column,gint width); " )
{
GtkCList *   clist ;
gint   column ;
gint   width ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_width (GtkCList * clist,gint column,gint width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_width "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
width = (  gint  ) args( 2 ).int_value();
gtk_clist_set_column_width ( clist,column,width);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_column_min_width , args , , " void gtk_clist_set_column_min_width (GtkCList * clist,gint column,gint min_width); " )
{
GtkCList *   clist ;
gint   column ;
gint   min_width ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_min_width (GtkCList * clist,gint column,gint min_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_min_width "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
min_width = (  gint  ) args( 2 ).int_value();
gtk_clist_set_column_min_width ( clist,column,min_width);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_column_max_width , args , , " void gtk_clist_set_column_max_width (GtkCList * clist,gint column,gint max_width); " )
{
GtkCList *   clist ;
gint   column ;
gint   max_width ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_column_max_width (GtkCList * clist,gint column,gint max_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_column_max_width "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
max_width = (  gint  ) args( 2 ).int_value();
gtk_clist_set_column_max_width ( clist,column,max_width);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_row_height , args , , " void gtk_clist_set_row_height (GtkCList * clist,guint height); " )
{
GtkCList *   clist ;
guint   height ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_row_height (GtkCList * clist,guint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_row_height "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
height = (  guint  ) args( 1 ).int_value();
gtk_clist_set_row_height ( clist,height);
return octave_value();
}
DEFUN_DLD( gtk_clist_moveto , args , , " void gtk_clist_moveto (GtkCList * clist,gint row,gint column,gfloat row_align,gfloat col_align); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
gfloat   row_align ;
gfloat   col_align ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_clist_moveto (GtkCList * clist,gint row,gint column,gfloat row_align,gfloat col_align); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_moveto "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
row_align = (  gfloat  ) args( 3 ).double_value();
col_align = (  gfloat  ) args( 4 ).double_value();
gtk_clist_moveto ( clist,row,column,row_align,col_align);
return octave_value();
}
DEFUN_DLD( gtk_clist_row_is_visible , args , , " GtkVisibility gtk_clist_row_is_visible (GtkCList * clist,gint row); " )
{
GtkCList *   clist ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkVisibility gtk_clist_row_is_visible (GtkCList * clist,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_row_is_visible "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_clist_row_is_visible ( clist,row);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_get_cell_type , args , , " GtkCellType gtk_clist_get_cell_type (GtkCList * clist,gint row,gint column); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkCellType gtk_clist_get_cell_type (GtkCList * clist,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_cell_type "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_clist_get_cell_type ( clist,row,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_set_text , args , , " void gtk_clist_set_text (GtkCList * clist,gint row,gint column,gchar * text); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
gchar *   text ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_clist_set_text (GtkCList * clist,gint row,gint column,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_text "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
text = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) text ,args( 3 ).string_value().c_str());
gtk_clist_set_text ( clist,row,column,text);
return octave_value();
}
/* overriden: gtk_clist_get_text  */
DEFUN_DLD( gtk_clist_set_pixmap , args , , " void gtk_clist_set_pixmap (GtkCList * clist,gint row,gint column,GdkPixmap * pixmap,GdkBitmap * mask); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
GdkPixmap *   pixmap ;
GdkBitmap *   mask ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_clist_set_pixmap (GtkCList * clist,gint row,gint column,GdkPixmap * pixmap,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_pixmap "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
pixmap =( GdkPixmap * )args( 3 ).long_value();
mask =( GdkBitmap * )args( 4 ).long_value();
gtk_clist_set_pixmap ( clist,row,column,pixmap,mask);
return octave_value();
}
/* overriden: gtk_clist_get_pixmap  */
DEFUN_DLD( gtk_clist_set_pixtext , args , , " void gtk_clist_set_pixtext (GtkCList * clist,gint row,gint column,gchar * text,guint8 spacing,GdkPixmap * pixmap,GdkBitmap * mask); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
gchar *   text ;
guint8   spacing ;
GdkPixmap *   pixmap ;
GdkBitmap *   mask ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gtk_clist_set_pixtext (GtkCList * clist,gint row,gint column,gchar * text,guint8 spacing,GdkPixmap * pixmap,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_pixtext "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
text = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) text ,args( 3 ).string_value().c_str());
spacing = (  guint8  ) args( 4 ).int_value();
pixmap =( GdkPixmap * )args( 5 ).long_value();
mask =( GdkBitmap * )args( 6 ).long_value();
gtk_clist_set_pixtext ( clist,row,column,text,spacing,pixmap,mask);
return octave_value();
}
/* overriden: gtk_clist_get_pixtext  */
DEFUN_DLD( gtk_clist_set_foreground , args , , " void gtk_clist_set_foreground (GtkCList * clist,gint row,GdkColor * color); " )
{
GtkCList *   clist ;
gint   row ;
GdkColor *   color ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_foreground (GtkCList * clist,gint row,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_foreground "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
color =( GdkColor * )args( 2 ).long_value();
gtk_clist_set_foreground ( clist,row,color);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_background , args , , " void gtk_clist_set_background (GtkCList * clist,gint row,GdkColor * color); " )
{
GtkCList *   clist ;
gint   row ;
GdkColor *   color ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_background (GtkCList * clist,gint row,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_background "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
color =( GdkColor * )args( 2 ).long_value();
gtk_clist_set_background ( clist,row,color);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_cell_style , args , , " void gtk_clist_set_cell_style (GtkCList * clist,gint row,gint column,GtkStyle * style); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
GtkStyle *   style ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_clist_set_cell_style (GtkCList * clist,gint row,gint column,GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_cell_style "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
style =( GtkStyle * )args( 3 ).long_value();
gtk_clist_set_cell_style ( clist,row,column,style);
return octave_value();
}
DEFUN_DLD( gtk_clist_get_cell_style , args , , " GtkStyle * gtk_clist_get_cell_style (GtkCList * clist,gint row,gint column); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkStyle * gtk_clist_get_cell_style (GtkCList * clist,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_cell_style "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) gtk_clist_get_cell_style ( clist,row,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_set_row_style , args , , " void gtk_clist_set_row_style (GtkCList * clist,gint row,GtkStyle * style); " )
{
GtkCList *   clist ;
gint   row ;
GtkStyle *   style ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_row_style (GtkCList * clist,gint row,GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_row_style "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
style =( GtkStyle * )args( 2 ).long_value();
gtk_clist_set_row_style ( clist,row,style);
return octave_value();
}
DEFUN_DLD( gtk_clist_get_row_style , args , , " GtkStyle * gtk_clist_get_row_style (GtkCList * clist,gint row); " )
{
GtkCList *   clist ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkStyle * gtk_clist_get_row_style (GtkCList * clist,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_row_style "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_clist_get_row_style ( clist,row);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_set_shift , args , , " void gtk_clist_set_shift (GtkCList * clist,gint row,gint column,gint vertical,gint horizontal); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
gint   vertical ;
gint   horizontal ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_clist_set_shift (GtkCList * clist,gint row,gint column,gint vertical,gint horizontal); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_shift "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
vertical = (  gint  ) args( 3 ).int_value();
horizontal = (  gint  ) args( 4 ).int_value();
gtk_clist_set_shift ( clist,row,column,vertical,horizontal);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_selectable , args , , " void gtk_clist_set_selectable (GtkCList * clist,gint row,gboolean selectable); " )
{
GtkCList *   clist ;
gint   row ;
gboolean   selectable ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_selectable (GtkCList * clist,gint row,gboolean selectable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_selectable "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
selectable = (  gboolean  ) args( 2 ).long_value();
gtk_clist_set_selectable ( clist,row,selectable);
return octave_value();
}
DEFUN_DLD( gtk_clist_get_selectable , args , , " gboolean gtk_clist_get_selectable (GtkCList * clist,gint row); " )
{
GtkCList *   clist ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_clist_get_selectable (GtkCList * clist,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_selectable "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_clist_get_selectable ( clist,row);
return octave_value(ret_type);
}
/* overriden: gtk_clist_prepend  */
/* overriden: gtk_clist_append  */
/* overriden: gtk_clist_insert  */
DEFUN_DLD( gtk_clist_remove , args , , " void gtk_clist_remove (GtkCList * clist,gint row); " )
{
GtkCList *   clist ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_remove (GtkCList * clist,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_remove "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
gtk_clist_remove ( clist,row);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_row_data , args , , " void gtk_clist_set_row_data (GtkCList * clist,gint row,gpointer data); " )
{
GtkCList *   clist ;
gint   row ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_set_row_data (GtkCList * clist,gint row,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_row_data "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
data =( gpointer )args( 2 ).long_value();
gtk_clist_set_row_data ( clist,row,data);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_row_data_full , args , , " void gtk_clist_set_row_data_full (GtkCList * clist,gint row,gpointer data,GtkDestroyNotify destroy); " )
{
GtkCList *   clist ;
gint   row ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_clist_set_row_data_full (GtkCList * clist,gint row,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_row_data_full "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
data =( gpointer )args( 2 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_clist_set_row_data_full ( clist,row,data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_clist_get_row_data , args , , " gpointer gtk_clist_get_row_data (GtkCList * clist,gint row); " )
{
GtkCList *   clist ;
gint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer gtk_clist_get_row_data (GtkCList * clist,gint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_row_data "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_clist_get_row_data ( clist,row);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_find_row_from_data , args , , " gint gtk_clist_find_row_from_data (GtkCList * clist,gpointer data); " )
{
GtkCList *   clist ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_clist_find_row_from_data (GtkCList * clist,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_find_row_from_data "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
long int ret_type=(long int) gtk_clist_find_row_from_data ( clist,data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_select_row , args , , " void gtk_clist_select_row (GtkCList * clist,gint row,gint column); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_select_row (GtkCList * clist,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_select_row "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
gtk_clist_select_row ( clist,row,column);
return octave_value();
}
DEFUN_DLD( gtk_clist_unselect_row , args , , " void gtk_clist_unselect_row (GtkCList * clist,gint row,gint column); " )
{
GtkCList *   clist ;
gint   row ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_unselect_row (GtkCList * clist,gint row,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_unselect_row "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row = (  gint  ) args( 1 ).int_value();
column = (  gint  ) args( 2 ).int_value();
gtk_clist_unselect_row ( clist,row,column);
return octave_value();
}
DEFUN_DLD( gtk_clist_undo_selection , args , , " void gtk_clist_undo_selection (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_undo_selection (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_undo_selection "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_undo_selection ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_clear , args , , " void gtk_clist_clear (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_clear (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_clear "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_clear ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_get_selection_info , args , , " gint gtk_clist_get_selection_info (GtkCList * clist,gint x,gint y,gint * row,gint * column); " )
{
GtkCList *   clist ;
gint   x ;
gint   y ;
gint *   row ;
gint *   column ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gint gtk_clist_get_selection_info (GtkCList * clist,gint x,gint y,gint * row,gint * column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_get_selection_info "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
row =( gint * )args( 3 ).long_value();
column =( gint * )args( 4 ).long_value();
long int ret_type=(long int) gtk_clist_get_selection_info ( clist,x,y,row,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_clist_select_all , args , , " void gtk_clist_select_all (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_select_all (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_select_all "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_select_all ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_unselect_all , args , , " void gtk_clist_unselect_all (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_unselect_all (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_unselect_all "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_unselect_all ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_swap_rows , args , , " void gtk_clist_swap_rows (GtkCList * clist,gint row1,gint row2); " )
{
GtkCList *   clist ;
gint   row1 ;
gint   row2 ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_swap_rows (GtkCList * clist,gint row1,gint row2); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_swap_rows "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
row1 = (  gint  ) args( 1 ).int_value();
row2 = (  gint  ) args( 2 ).int_value();
gtk_clist_swap_rows ( clist,row1,row2);
return octave_value();
}
DEFUN_DLD( gtk_clist_row_move , args , , " void gtk_clist_row_move (GtkCList * clist,gint source_row,gint dest_row); " )
{
GtkCList *   clist ;
gint   source_row ;
gint   dest_row ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_clist_row_move (GtkCList * clist,gint source_row,gint dest_row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_row_move "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
source_row = (  gint  ) args( 1 ).int_value();
dest_row = (  gint  ) args( 2 ).int_value();
gtk_clist_row_move ( clist,source_row,dest_row);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_compare_func , args , , " void gtk_clist_set_compare_func (GtkCList * clist,GtkCListCompareFunc cmp_func); " )
{
GtkCList *   clist ;
GtkCListCompareFunc   cmp_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_compare_func (GtkCList * clist,GtkCListCompareFunc cmp_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_compare_func "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
cmp_func = (  GtkCListCompareFunc  ) args( 1 ).long_value();
gtk_clist_set_compare_func ( clist,cmp_func);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_sort_column , args , , " void gtk_clist_set_sort_column (GtkCList * clist,gint column); " )
{
GtkCList *   clist ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_sort_column (GtkCList * clist,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_sort_column "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
gtk_clist_set_sort_column ( clist,column);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_sort_type , args , , " void gtk_clist_set_sort_type (GtkCList * clist,GtkSortType sort_type); " )
{
GtkCList *   clist ;
GtkSortType   sort_type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_sort_type (GtkCList * clist,GtkSortType sort_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_sort_type "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
sort_type = (  GtkSortType  ) args( 1 ).long_value();
gtk_clist_set_sort_type ( clist,sort_type);
return octave_value();
}
DEFUN_DLD( gtk_clist_sort , args , , " void gtk_clist_sort (GtkCList * clist); " )
{
GtkCList *   clist ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_clist_sort (GtkCList * clist); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_sort "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
gtk_clist_sort ( clist);
return octave_value();
}
DEFUN_DLD( gtk_clist_set_auto_sort , args , , " void gtk_clist_set_auto_sort (GtkCList * clist,gboolean auto_sort); " )
{
GtkCList *   clist ;
gboolean   auto_sort ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_clist_set_auto_sort (GtkCList * clist,gboolean auto_sort); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_clist_set_auto_sort "<<std::endl;
#endif /* DEBUG */
clist =( GtkCList * )args( 0 ).long_value();
auto_sort = (  gboolean  ) args( 1 ).long_value();
gtk_clist_set_auto_sort ( clist,auto_sort);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_color_selection_dialog_get_type , args , , " GType gtk_color_selection_dialog_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_color_selection_dialog_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_color_selection_dialog_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_dialog_new , args , , " GtkWidget* gtk_color_selection_dialog_new (gchar * title); " )
{
gchar *   title ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_color_selection_dialog_new (gchar * title); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_dialog_new "<<std::endl;
#endif /* DEBUG */
title = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) title ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_color_selection_dialog_new ( title);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_color_selection_get_type , args , , " GType gtk_color_selection_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_color_selection_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_color_selection_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_color_selection_new , args , , " GtkWidget * gtk_color_selection_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_color_selection_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_color_selection_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_get_has_opacity_control , args , , " gboolean gtk_color_selection_get_has_opacity_control (GtkColorSelection * colorsel); " )
{
GtkColorSelection *   colorsel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_color_selection_get_has_opacity_control (GtkColorSelection * colorsel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_get_has_opacity_control "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
long int ret_type=(long int) gtk_color_selection_get_has_opacity_control ( colorsel);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_set_has_opacity_control , args , , " void gtk_color_selection_set_has_opacity_control (GtkColorSelection * colorsel,gboolean has_opacity); " )
{
GtkColorSelection *   colorsel ;
gboolean   has_opacity ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_set_has_opacity_control (GtkColorSelection * colorsel,gboolean has_opacity); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_has_opacity_control "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
has_opacity = (  gboolean  ) args( 1 ).long_value();
gtk_color_selection_set_has_opacity_control ( colorsel,has_opacity);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_get_has_palette , args , , " gboolean gtk_color_selection_get_has_palette (GtkColorSelection * colorsel); " )
{
GtkColorSelection *   colorsel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_color_selection_get_has_palette (GtkColorSelection * colorsel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_get_has_palette "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
long int ret_type=(long int) gtk_color_selection_get_has_palette ( colorsel);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_set_has_palette , args , , " void gtk_color_selection_set_has_palette (GtkColorSelection * colorsel,gboolean has_palette); " )
{
GtkColorSelection *   colorsel ;
gboolean   has_palette ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_set_has_palette (GtkColorSelection * colorsel,gboolean has_palette); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_has_palette "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
has_palette = (  gboolean  ) args( 1 ).long_value();
gtk_color_selection_set_has_palette ( colorsel,has_palette);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_set_current_color , args , , " void gtk_color_selection_set_current_color (GtkColorSelection * colorsel,GdkColor * color); " )
{
GtkColorSelection *   colorsel ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_set_current_color (GtkColorSelection * colorsel,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_current_color "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gtk_color_selection_set_current_color ( colorsel,color);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_set_current_alpha , args , , " void gtk_color_selection_set_current_alpha (GtkColorSelection * colorsel,guint16 alpha); " )
{
GtkColorSelection *   colorsel ;
guint16   alpha ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_set_current_alpha (GtkColorSelection * colorsel,guint16 alpha); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_current_alpha "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
alpha = (  guint16  ) args( 1 ).int_value();
gtk_color_selection_set_current_alpha ( colorsel,alpha);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_get_current_color , args , , " void gtk_color_selection_get_current_color (GtkColorSelection * colorsel,GdkColor * color); " )
{
GtkColorSelection *   colorsel ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_get_current_color (GtkColorSelection * colorsel,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_get_current_color "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gtk_color_selection_get_current_color ( colorsel,color);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_get_current_alpha , args , , " guint16 gtk_color_selection_get_current_alpha (GtkColorSelection * colorsel); " )
{
GtkColorSelection *   colorsel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint16 gtk_color_selection_get_current_alpha (GtkColorSelection * colorsel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_get_current_alpha "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
long int ret_type=(long int) gtk_color_selection_get_current_alpha ( colorsel);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_set_previous_color , args , , " void gtk_color_selection_set_previous_color (GtkColorSelection * colorsel,GdkColor * color); " )
{
GtkColorSelection *   colorsel ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_set_previous_color (GtkColorSelection * colorsel,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_previous_color "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gtk_color_selection_set_previous_color ( colorsel,color);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_set_previous_alpha , args , , " void gtk_color_selection_set_previous_alpha (GtkColorSelection * colorsel,guint16 alpha); " )
{
GtkColorSelection *   colorsel ;
guint16   alpha ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_set_previous_alpha (GtkColorSelection * colorsel,guint16 alpha); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_previous_alpha "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
alpha = (  guint16  ) args( 1 ).int_value();
gtk_color_selection_set_previous_alpha ( colorsel,alpha);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_get_previous_color , args , , " void gtk_color_selection_get_previous_color (GtkColorSelection * colorsel,GdkColor * color); " )
{
GtkColorSelection *   colorsel ;
GdkColor *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_get_previous_color (GtkColorSelection * colorsel,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_get_previous_color "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
color =( GdkColor * )args( 1 ).long_value();
gtk_color_selection_get_previous_color ( colorsel,color);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_get_previous_alpha , args , , " guint16 gtk_color_selection_get_previous_alpha (GtkColorSelection * colorsel); " )
{
GtkColorSelection *   colorsel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint16 gtk_color_selection_get_previous_alpha (GtkColorSelection * colorsel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_get_previous_alpha "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
long int ret_type=(long int) gtk_color_selection_get_previous_alpha ( colorsel);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_is_adjusting , args , , " gboolean gtk_color_selection_is_adjusting (GtkColorSelection * colorsel); " )
{
GtkColorSelection *   colorsel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_color_selection_is_adjusting (GtkColorSelection * colorsel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_is_adjusting "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
long int ret_type=(long int) gtk_color_selection_is_adjusting ( colorsel);
return octave_value(ret_type);
}
/* overriden: gtk_color_selection_palette_from_string  */
DEFUN_DLD( gtk_color_selection_palette_to_string , args , , " gchar* gtk_color_selection_palette_to_string (GdkColor * colors,gint n_colors); " )
{
GdkColor *   colors ;
gint   n_colors ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* gtk_color_selection_palette_to_string (GdkColor * colors,gint n_colors); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_palette_to_string "<<std::endl;
#endif /* DEBUG */
colors =( GdkColor * )args( 0 ).long_value();
n_colors = (  gint  ) args( 1 ).int_value();
string  ret_type( gtk_color_selection_palette_to_string ( colors,n_colors));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_set_change_palette_hook , args , , " GtkColorSelectionChangePaletteFunc gtk_color_selection_set_change_palette_hook (GtkColorSelectionChangePaletteFunc func); " )
{
GtkColorSelectionChangePaletteFunc   func ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkColorSelectionChangePaletteFunc gtk_color_selection_set_change_palette_hook (GtkColorSelectionChangePaletteFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_change_palette_hook "<<std::endl;
#endif /* DEBUG */
func = (  GtkColorSelectionChangePaletteFunc  ) args( 0 ).long_value();
long int ret_type=(long int) gtk_color_selection_set_change_palette_hook ( func);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_set_change_palette_with_screen_hook , args , , " GtkColorSelectionChangePaletteWithScreenFunc gtk_color_selection_set_change_palette_with_screen_hook (GtkColorSelectionChangePaletteWithScreenFunc func); " )
{
GtkColorSelectionChangePaletteWithScreenFunc   func ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkColorSelectionChangePaletteWithScreenFunc gtk_color_selection_set_change_palette_with_screen_hook (GtkColorSelectionChangePaletteWithScreenFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_change_palette_with_screen_hook "<<std::endl;
#endif /* DEBUG */
func = (  GtkColorSelectionChangePaletteWithScreenFunc  ) args( 0 ).long_value();
long int ret_type=(long int) gtk_color_selection_set_change_palette_with_screen_hook ( func);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_color_selection_set_color , args , , " void gtk_color_selection_set_color (GtkColorSelection * colorsel,gdouble * color); " )
{
GtkColorSelection *   colorsel ;
gdouble *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_set_color (GtkColorSelection * colorsel,gdouble * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_color "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
color =( gdouble * )args( 1 ).long_value();
gtk_color_selection_set_color ( colorsel,color);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_get_color , args , , " void gtk_color_selection_get_color (GtkColorSelection * colorsel,gdouble * color); " )
{
GtkColorSelection *   colorsel ;
gdouble *   color ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_get_color (GtkColorSelection * colorsel,gdouble * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_get_color "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
color =( gdouble * )args( 1 ).long_value();
gtk_color_selection_get_color ( colorsel,color);
return octave_value();
}
DEFUN_DLD( gtk_color_selection_set_update_policy , args , , " void gtk_color_selection_set_update_policy (GtkColorSelection * colorsel,GtkUpdateType policy); " )
{
GtkColorSelection *   colorsel ;
GtkUpdateType   policy ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_color_selection_set_update_policy (GtkColorSelection * colorsel,GtkUpdateType policy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_color_selection_set_update_policy "<<std::endl;
#endif /* DEBUG */
colorsel =( GtkColorSelection * )args( 0 ).long_value();
policy = (  GtkUpdateType  ) args( 1 ).long_value();
gtk_color_selection_set_update_policy ( colorsel,policy);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_combo_get_type , args , , " GType gtk_combo_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_combo_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_combo_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_combo_new , args , , " GtkWidget* gtk_combo_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_combo_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_combo_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_combo_set_value_in_list , args , , " void gtk_combo_set_value_in_list (GtkCombo* combo,gboolean val,gboolean ok_if_empty); " )
{
GtkCombo*   combo ;
gboolean   val ;
gboolean   ok_if_empty ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_combo_set_value_in_list (GtkCombo* combo,gboolean val,gboolean ok_if_empty); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_combo_set_value_in_list "<<std::endl;
#endif /* DEBUG */
combo =( GtkCombo* )args( 0 ).long_value();
val = (  gboolean  ) args( 1 ).long_value();
ok_if_empty = (  gboolean  ) args( 2 ).long_value();
gtk_combo_set_value_in_list ( combo,val,ok_if_empty);
return octave_value();
}
DEFUN_DLD( gtk_combo_set_use_arrows , args , , " void gtk_combo_set_use_arrows (GtkCombo* combo,gboolean val); " )
{
GtkCombo*   combo ;
gboolean   val ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_combo_set_use_arrows (GtkCombo* combo,gboolean val); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_combo_set_use_arrows "<<std::endl;
#endif /* DEBUG */
combo =( GtkCombo* )args( 0 ).long_value();
val = (  gboolean  ) args( 1 ).long_value();
gtk_combo_set_use_arrows ( combo,val);
return octave_value();
}
DEFUN_DLD( gtk_combo_set_use_arrows_always , args , , " void gtk_combo_set_use_arrows_always (GtkCombo* combo,gboolean val); " )
{
GtkCombo*   combo ;
gboolean   val ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_combo_set_use_arrows_always (GtkCombo* combo,gboolean val); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_combo_set_use_arrows_always "<<std::endl;
#endif /* DEBUG */
combo =( GtkCombo* )args( 0 ).long_value();
val = (  gboolean  ) args( 1 ).long_value();
gtk_combo_set_use_arrows_always ( combo,val);
return octave_value();
}
DEFUN_DLD( gtk_combo_set_case_sensitive , args , , " void gtk_combo_set_case_sensitive (GtkCombo* combo,gboolean val); " )
{
GtkCombo*   combo ;
gboolean   val ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_combo_set_case_sensitive (GtkCombo* combo,gboolean val); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_combo_set_case_sensitive "<<std::endl;
#endif /* DEBUG */
combo =( GtkCombo* )args( 0 ).long_value();
val = (  gboolean  ) args( 1 ).long_value();
gtk_combo_set_case_sensitive ( combo,val);
return octave_value();
}
DEFUN_DLD( gtk_combo_set_item_string , args , , " void gtk_combo_set_item_string (GtkCombo* combo,GtkItem* item,gchar* item_value); " )
{
GtkCombo*   combo ;
GtkItem*   item ;
gchar*   item_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_combo_set_item_string (GtkCombo* combo,GtkItem* item,gchar* item_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_combo_set_item_string "<<std::endl;
#endif /* DEBUG */
combo =( GtkCombo* )args( 0 ).long_value();
item =( GtkItem* )args( 1 ).long_value();
item_value =( gchar* )args( 2 ).long_value();
gtk_combo_set_item_string ( combo,item,item_value);
return octave_value();
}
DEFUN_DLD( gtk_combo_set_popdown_strings , args , , " void gtk_combo_set_popdown_strings (GtkCombo* combo,GList * strings); " )
{
GtkCombo*   combo ;
GList *   strings ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_combo_set_popdown_strings (GtkCombo* combo,GList * strings); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_combo_set_popdown_strings "<<std::endl;
#endif /* DEBUG */
combo =( GtkCombo* )args( 0 ).long_value();
strings =( GList * )args( 1 ).long_value();
gtk_combo_set_popdown_strings ( combo,strings);
return octave_value();
}
DEFUN_DLD( gtk_combo_disable_activate , args , , " void gtk_combo_disable_activate (GtkCombo* combo); " )
{
GtkCombo*   combo ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_combo_disable_activate (GtkCombo* combo); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_combo_disable_activate "<<std::endl;
#endif /* DEBUG */
combo =( GtkCombo* )args( 0 ).long_value();
gtk_combo_disable_activate ( combo);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_container_get_type , args , , " GType gtk_container_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_container_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_container_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_set_border_width , args , , " void gtk_container_set_border_width (GtkContainer * container,guint border_width); " )
{
GtkContainer *   container ;
guint   border_width ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_set_border_width (GtkContainer * container,guint border_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_set_border_width "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
border_width = (  guint  ) args( 1 ).int_value();
gtk_container_set_border_width ( container,border_width);
return octave_value();
}
DEFUN_DLD( gtk_container_get_border_width , args , , " guint gtk_container_get_border_width (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gtk_container_get_border_width (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_get_border_width "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
long int ret_type=(long int) gtk_container_get_border_width ( container);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_add , args , , " void gtk_container_add (GtkContainer * container,GtkWidget * widget); " )
{
GtkContainer *   container ;
GtkWidget *   widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_add (GtkContainer * container,GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_add "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
gtk_container_add ( container,widget);
return octave_value();
}
DEFUN_DLD( gtk_container_remove , args , , " void gtk_container_remove (GtkContainer * container,GtkWidget * widget); " )
{
GtkContainer *   container ;
GtkWidget *   widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_remove (GtkContainer * container,GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_remove "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
gtk_container_remove ( container,widget);
return octave_value();
}
DEFUN_DLD( gtk_container_set_resize_mode , args , , " void gtk_container_set_resize_mode (GtkContainer * container,GtkResizeMode resize_mode); " )
{
GtkContainer *   container ;
GtkResizeMode   resize_mode ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_set_resize_mode (GtkContainer * container,GtkResizeMode resize_mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_set_resize_mode "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
resize_mode = (  GtkResizeMode  ) args( 1 ).long_value();
gtk_container_set_resize_mode ( container,resize_mode);
return octave_value();
}
DEFUN_DLD( gtk_container_get_resize_mode , args , , " GtkResizeMode gtk_container_get_resize_mode (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkResizeMode gtk_container_get_resize_mode (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_get_resize_mode "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
long int ret_type=(long int) gtk_container_get_resize_mode ( container);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_check_resize , args , , " void gtk_container_check_resize (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_container_check_resize (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_check_resize "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
gtk_container_check_resize ( container);
return octave_value();
}
DEFUN_DLD( gtk_container_foreach , args , , " void gtk_container_foreach (GtkContainer * container,GtkCallback callback,gpointer callback_data); " )
{
GtkContainer *   container ;
GtkCallback   callback ;
gpointer   callback_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_container_foreach (GtkContainer * container,GtkCallback callback,gpointer callback_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_foreach "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
callback = (  GtkCallback  ) args( 1 ).long_value();
callback_data =( gpointer )args( 2 ).long_value();
gtk_container_foreach ( container,callback,callback_data);
return octave_value();
}
DEFUN_DLD( gtk_container_foreach_full , args , , " void gtk_container_foreach_full (GtkContainer * container,GtkCallback callback,GtkCallbackMarshal marshal,gpointer callback_data,GtkDestroyNotify notify); " )
{
GtkContainer *   container ;
GtkCallback   callback ;
GtkCallbackMarshal   marshal ;
gpointer   callback_data ;
GtkDestroyNotify   notify ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_container_foreach_full (GtkContainer * container,GtkCallback callback,GtkCallbackMarshal marshal,gpointer callback_data,GtkDestroyNotify notify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_foreach_full "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
callback = (  GtkCallback  ) args( 1 ).long_value();
marshal = (  GtkCallbackMarshal  ) args( 2 ).long_value();
callback_data =( gpointer )args( 3 ).long_value();
notify = (  GtkDestroyNotify  ) args( 4 ).long_value();
gtk_container_foreach_full ( container,callback,marshal,callback_data,notify);
return octave_value();
}
DEFUN_DLD( gtk_container_get_children , args , , " GList* gtk_container_get_children (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* gtk_container_get_children (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_get_children "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
long int ret_type= (long int) gtk_container_get_children ( container);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_propagate_expose , args , , " void gtk_container_propagate_expose (GtkContainer * container,GtkWidget * child,GdkEventExpose * event); " )
{
GtkContainer *   container ;
GtkWidget *   child ;
GdkEventExpose *   event ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_container_propagate_expose (GtkContainer * container,GtkWidget * child,GdkEventExpose * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_propagate_expose "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
event =( GdkEventExpose * )args( 2 ).long_value();
gtk_container_propagate_expose ( container,child,event);
return octave_value();
}
DEFUN_DLD( gtk_container_set_focus_chain , args , , " void gtk_container_set_focus_chain (GtkContainer * container,GList * focusable_widgets); " )
{
GtkContainer *   container ;
GList *   focusable_widgets ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_set_focus_chain (GtkContainer * container,GList * focusable_widgets); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_set_focus_chain "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
focusable_widgets =( GList * )args( 1 ).long_value();
gtk_container_set_focus_chain ( container,focusable_widgets);
return octave_value();
}
/* overriden: gtk_container_get_focus_chain  */
DEFUN_DLD( gtk_container_unset_focus_chain , args , , " void gtk_container_unset_focus_chain (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_container_unset_focus_chain (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_unset_focus_chain "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
gtk_container_unset_focus_chain ( container);
return octave_value();
}
DEFUN_DLD( gtk_container_set_reallocate_redraws , args , , " void gtk_container_set_reallocate_redraws (GtkContainer * container,gboolean needs_redraws); " )
{
GtkContainer *   container ;
gboolean   needs_redraws ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_set_reallocate_redraws (GtkContainer * container,gboolean needs_redraws); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_set_reallocate_redraws "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
needs_redraws = (  gboolean  ) args( 1 ).long_value();
gtk_container_set_reallocate_redraws ( container,needs_redraws);
return octave_value();
}
DEFUN_DLD( gtk_container_set_focus_child , args , , " void gtk_container_set_focus_child (GtkContainer * container,GtkWidget * child); " )
{
GtkContainer *   container ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_set_focus_child (GtkContainer * container,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_set_focus_child "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
gtk_container_set_focus_child ( container,child);
return octave_value();
}
DEFUN_DLD( gtk_container_set_focus_vadjustment , args , , " void gtk_container_set_focus_vadjustment (GtkContainer * container,GtkAdjustment * adjustment); " )
{
GtkContainer *   container ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_set_focus_vadjustment (GtkContainer * container,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_set_focus_vadjustment "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_container_set_focus_vadjustment ( container,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_container_get_focus_vadjustment , args , , " GtkAdjustment * gtk_container_get_focus_vadjustment (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment * gtk_container_get_focus_vadjustment (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_get_focus_vadjustment "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
long int ret_type= (long int) gtk_container_get_focus_vadjustment ( container);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_set_focus_hadjustment , args , , " void gtk_container_set_focus_hadjustment (GtkContainer * container,GtkAdjustment * adjustment); " )
{
GtkContainer *   container ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_container_set_focus_hadjustment (GtkContainer * container,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_set_focus_hadjustment "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_container_set_focus_hadjustment ( container,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_container_get_focus_hadjustment , args , , " GtkAdjustment * gtk_container_get_focus_hadjustment (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment * gtk_container_get_focus_hadjustment (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_get_focus_hadjustment "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
long int ret_type= (long int) gtk_container_get_focus_hadjustment ( container);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_resize_children , args , , " void gtk_container_resize_children (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_container_resize_children (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_resize_children "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
gtk_container_resize_children ( container);
return octave_value();
}
DEFUN_DLD( gtk_container_child_type , args , , " GType gtk_container_child_type (GtkContainer * container); " )
{
GtkContainer *   container ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GType gtk_container_child_type (GtkContainer * container); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_child_type "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
long int ret_type=(long int) gtk_container_child_type ( container);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_class_install_child_property , args , , " void gtk_container_class_install_child_property (GtkContainerClass * cclass,guint property_id,GParamSpec * pspec); " )
{
GtkContainerClass *   cclass ;
guint   property_id ;
GParamSpec *   pspec ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_container_class_install_child_property (GtkContainerClass * cclass,guint property_id,GParamSpec * pspec); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_class_install_child_property "<<std::endl;
#endif /* DEBUG */
cclass =( GtkContainerClass * )args( 0 ).long_value();
property_id = (  guint  ) args( 1 ).int_value();
pspec =( GParamSpec * )args( 2 ).long_value();
gtk_container_class_install_child_property ( cclass,property_id,pspec);
return octave_value();
}
DEFUN_DLD( gtk_container_class_find_child_property , args , , " GParamSpec* gtk_container_class_find_child_property (GObjectClass * cclass,gchar * property_name); " )
{
GObjectClass *   cclass ;
gchar *   property_name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GParamSpec* gtk_container_class_find_child_property (GObjectClass * cclass,gchar * property_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_class_find_child_property "<<std::endl;
#endif /* DEBUG */
cclass =( GObjectClass * )args( 0 ).long_value();
property_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) property_name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_container_class_find_child_property ( cclass,property_name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_class_list_child_properties , args , , " GParamSpec** gtk_container_class_list_child_properties (GObjectClass * cclass,guint * n_properties); " )
{
GObjectClass *   cclass ;
guint *   n_properties ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GParamSpec** gtk_container_class_list_child_properties (GObjectClass * cclass,guint * n_properties); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_class_list_child_properties "<<std::endl;
#endif /* DEBUG */
cclass =( GObjectClass * )args( 0 ).long_value();
n_properties =( guint * )args( 1 ).long_value();
long int ret_type= (long int) gtk_container_class_list_child_properties ( cclass,n_properties);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_container_add_with_properties , args , , " void gtk_container_add_with_properties (GtkContainer * container,GtkWidget * widget,gchar * first_prop_name,char * varargs_value); " )
{
GtkContainer *   container ;
GtkWidget *   widget ;
gchar *   first_prop_name ;
char *   varargs_value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_container_add_with_properties (GtkContainer * container,GtkWidget * widget,gchar * first_prop_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_add_with_properties "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
first_prop_name = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) first_prop_name ,args( 2 ).string_value().c_str());
varargs_value = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 3 ).string_value().c_str());
gtk_container_add_with_properties ( container,widget,first_prop_name,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_container_child_set , args , , " void gtk_container_child_set (GtkContainer * container,GtkWidget * child,gchar * first_prop_name,char * varargs_value); " )
{
GtkContainer *   container ;
GtkWidget *   child ;
gchar *   first_prop_name ;
char *   varargs_value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_container_child_set (GtkContainer * container,GtkWidget * child,gchar * first_prop_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_child_set "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
first_prop_name = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) first_prop_name ,args( 2 ).string_value().c_str());
varargs_value = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 3 ).string_value().c_str());
gtk_container_child_set ( container,child,first_prop_name,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_container_child_get , args , , " void gtk_container_child_get (GtkContainer * container,GtkWidget * child,gchar * first_prop_name,char * varargs_value); " )
{
GtkContainer *   container ;
GtkWidget *   child ;
gchar *   first_prop_name ;
char *   varargs_value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_container_child_get (GtkContainer * container,GtkWidget * child,gchar * first_prop_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_child_get "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
first_prop_name = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) first_prop_name ,args( 2 ).string_value().c_str());
varargs_value = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 3 ).string_value().c_str());
gtk_container_child_get ( container,child,first_prop_name,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_container_child_set_valist , args , , " void gtk_container_child_set_valist (GtkContainer * container,GtkWidget * child,gchar * first_property_name,va_list var_args); " )
{
GtkContainer *   container ;
GtkWidget *   child ;
gchar *   first_property_name ;
va_list   var_args ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_container_child_set_valist (GtkContainer * container,GtkWidget * child,gchar * first_property_name,va_list var_args); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_child_set_valist "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
first_property_name = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) first_property_name ,args( 2 ).string_value().c_str());
var_args = (  va_list  ) args( 3 ).long_value();
gtk_container_child_set_valist ( container,child,first_property_name,var_args);
return octave_value();
}
DEFUN_DLD( gtk_container_child_get_valist , args , , " void gtk_container_child_get_valist (GtkContainer * container,GtkWidget * child,gchar * first_property_name,va_list var_args); " )
{
GtkContainer *   container ;
GtkWidget *   child ;
gchar *   first_property_name ;
va_list   var_args ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_container_child_get_valist (GtkContainer * container,GtkWidget * child,gchar * first_property_name,va_list var_args); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_child_get_valist "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
first_property_name = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) first_property_name ,args( 2 ).string_value().c_str());
var_args = (  va_list  ) args( 3 ).long_value();
gtk_container_child_get_valist ( container,child,first_property_name,var_args);
return octave_value();
}
DEFUN_DLD( gtk_container_child_set_property , args , , " void gtk_container_child_set_property (GtkContainer * container,GtkWidget * child,gchar * property_name,GValue * value); " )
{
GtkContainer *   container ;
GtkWidget *   child ;
gchar *   property_name ;
GValue *   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_container_child_set_property (GtkContainer * container,GtkWidget * child,gchar * property_name,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_child_set_property "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
property_name = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) property_name ,args( 2 ).string_value().c_str());
value =( GValue * )args( 3 ).long_value();
gtk_container_child_set_property ( container,child,property_name,value);
return octave_value();
}
DEFUN_DLD( gtk_container_child_get_property , args , , " void gtk_container_child_get_property (GtkContainer * container,GtkWidget * child,gchar * property_name,GValue * value); " )
{
GtkContainer *   container ;
GtkWidget *   child ;
gchar *   property_name ;
GValue *   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_container_child_get_property (GtkContainer * container,GtkWidget * child,gchar * property_name,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_child_get_property "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
property_name = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) property_name ,args( 2 ).string_value().c_str());
value =( GValue * )args( 3 ).long_value();
gtk_container_child_get_property ( container,child,property_name,value);
return octave_value();
}
DEFUN_DLD( gtk_container_forall , args , , " void gtk_container_forall (GtkContainer * container,GtkCallback callback,gpointer callback_data); " )
{
GtkContainer *   container ;
GtkCallback   callback ;
gpointer   callback_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_container_forall (GtkContainer * container,GtkCallback callback,gpointer callback_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_container_forall "<<std::endl;
#endif /* DEBUG */
container =( GtkContainer * )args( 0 ).long_value();
callback = (  GtkCallback  ) args( 1 ).long_value();
callback_data =( gpointer )args( 2 ).long_value();
gtk_container_forall ( container,callback,callback_data);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_ctree_get_type , args , , " GtkType gtk_ctree_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_ctree_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_ctree_get_type ( );
return octave_value(ret_type);
}
/* overriden: gtk_ctree_new_with_titles  */
DEFUN_DLD( gtk_ctree_new , args , , " GtkWidget * gtk_ctree_new (gint columns,gint tree_column); " )
{
gint   columns ;
gint   tree_column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget * gtk_ctree_new (gint columns,gint tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_new "<<std::endl;
#endif /* DEBUG */
columns = (  gint  ) args( 0 ).int_value();
tree_column = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_ctree_new ( columns,tree_column);
return octave_value(ret_type);
}
/* overriden: gtk_ctree_insert_node  */
DEFUN_DLD( gtk_ctree_remove_node , args , , " void gtk_ctree_remove_node (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_remove_node (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_remove_node "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_remove_node ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_insert_gnode , args , , " GtkCTreeNode * gtk_ctree_insert_gnode (GtkCTree * ctree,GtkCTreeNode * parent,GtkCTreeNode * sibling,GNode * gnode,GtkCTreeGNodeFunc func,gpointer data); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   parent ;
GtkCTreeNode *   sibling ;
GNode *   gnode ;
GtkCTreeGNodeFunc   func ;
gpointer   data ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  GtkCTreeNode * gtk_ctree_insert_gnode (GtkCTree * ctree,GtkCTreeNode * parent,GtkCTreeNode * sibling,GNode * gnode,GtkCTreeGNodeFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_insert_gnode "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
parent =( GtkCTreeNode * )args( 1 ).long_value();
sibling =( GtkCTreeNode * )args( 2 ).long_value();
gnode =( GNode * )args( 3 ).long_value();
func = (  GtkCTreeGNodeFunc  ) args( 4 ).long_value();
data =( gpointer )args( 5 ).long_value();
long int ret_type= (long int) gtk_ctree_insert_gnode ( ctree,parent,sibling,gnode,func,data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_export_to_gnode , args , , " GNode * gtk_ctree_export_to_gnode (GtkCTree * ctree,GNode * parent,GNode * sibling,GtkCTreeNode * node,GtkCTreeGNodeFunc func,gpointer data); " )
{
GtkCTree *   ctree ;
GNode *   parent ;
GNode *   sibling ;
GtkCTreeNode *   node ;
GtkCTreeGNodeFunc   func ;
gpointer   data ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  GNode * gtk_ctree_export_to_gnode (GtkCTree * ctree,GNode * parent,GNode * sibling,GtkCTreeNode * node,GtkCTreeGNodeFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_export_to_gnode "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
parent =( GNode * )args( 1 ).long_value();
sibling =( GNode * )args( 2 ).long_value();
node =( GtkCTreeNode * )args( 3 ).long_value();
func = (  GtkCTreeGNodeFunc  ) args( 4 ).long_value();
data =( gpointer )args( 5 ).long_value();
long int ret_type= (long int) gtk_ctree_export_to_gnode ( ctree,parent,sibling,node,func,data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_post_recursive , args , , " void gtk_ctree_post_recursive (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeFunc func,gpointer data); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
GtkCTreeFunc   func ;
gpointer   data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_ctree_post_recursive (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_post_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
func = (  GtkCTreeFunc  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
gtk_ctree_post_recursive ( ctree,node,func,data);
return octave_value();
}
DEFUN_DLD( gtk_ctree_post_recursive_to_depth , args , , " void gtk_ctree_post_recursive_to_depth (GtkCTree * ctree,GtkCTreeNode * node,gint depth,GtkCTreeFunc func,gpointer data); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   depth ;
GtkCTreeFunc   func ;
gpointer   data ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_ctree_post_recursive_to_depth (GtkCTree * ctree,GtkCTreeNode * node,gint depth,GtkCTreeFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_post_recursive_to_depth "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
depth = (  gint  ) args( 2 ).int_value();
func = (  GtkCTreeFunc  ) args( 3 ).long_value();
data =( gpointer )args( 4 ).long_value();
gtk_ctree_post_recursive_to_depth ( ctree,node,depth,func,data);
return octave_value();
}
DEFUN_DLD( gtk_ctree_pre_recursive , args , , " void gtk_ctree_pre_recursive (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeFunc func,gpointer data); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
GtkCTreeFunc   func ;
gpointer   data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_ctree_pre_recursive (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_pre_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
func = (  GtkCTreeFunc  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
gtk_ctree_pre_recursive ( ctree,node,func,data);
return octave_value();
}
DEFUN_DLD( gtk_ctree_pre_recursive_to_depth , args , , " void gtk_ctree_pre_recursive_to_depth (GtkCTree * ctree,GtkCTreeNode * node,gint depth,GtkCTreeFunc func,gpointer data); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   depth ;
GtkCTreeFunc   func ;
gpointer   data ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_ctree_pre_recursive_to_depth (GtkCTree * ctree,GtkCTreeNode * node,gint depth,GtkCTreeFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_pre_recursive_to_depth "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
depth = (  gint  ) args( 2 ).int_value();
func = (  GtkCTreeFunc  ) args( 3 ).long_value();
data =( gpointer )args( 4 ).long_value();
gtk_ctree_pre_recursive_to_depth ( ctree,node,depth,func,data);
return octave_value();
}
DEFUN_DLD( gtk_ctree_is_viewable , args , , " gboolean gtk_ctree_is_viewable (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_ctree_is_viewable (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_is_viewable "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
long int ret_type=(long int) gtk_ctree_is_viewable ( ctree,node);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_last , args , , " GtkCTreeNode * gtk_ctree_last (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkCTreeNode * gtk_ctree_last (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_last "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
long int ret_type= (long int) gtk_ctree_last ( ctree,node);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_find_node_ptr , args , , " GtkCTreeNode * gtk_ctree_find_node_ptr (GtkCTree * ctree,GtkCTreeRow * ctree_row); " )
{
GtkCTree *   ctree ;
GtkCTreeRow *   ctree_row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkCTreeNode * gtk_ctree_find_node_ptr (GtkCTree * ctree,GtkCTreeRow * ctree_row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_find_node_ptr "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
ctree_row =( GtkCTreeRow * )args( 1 ).long_value();
long int ret_type= (long int) gtk_ctree_find_node_ptr ( ctree,ctree_row);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_node_nth , args , , " GtkCTreeNode * gtk_ctree_node_nth (GtkCTree * ctree,guint row); " )
{
GtkCTree *   ctree ;
guint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkCTreeNode * gtk_ctree_node_nth (GtkCTree * ctree,guint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_nth "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
row = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_ctree_node_nth ( ctree,row);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_find , args , , " gboolean gtk_ctree_find (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeNode * child); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
GtkCTreeNode *   child ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_ctree_find (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeNode * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_find "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
child =( GtkCTreeNode * )args( 2 ).long_value();
long int ret_type=(long int) gtk_ctree_find ( ctree,node,child);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_is_ancestor , args , , " gboolean gtk_ctree_is_ancestor (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeNode * child); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
GtkCTreeNode *   child ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_ctree_is_ancestor (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeNode * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_is_ancestor "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
child =( GtkCTreeNode * )args( 2 ).long_value();
long int ret_type=(long int) gtk_ctree_is_ancestor ( ctree,node,child);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_find_by_row_data , args , , " GtkCTreeNode * gtk_ctree_find_by_row_data (GtkCTree * ctree,GtkCTreeNode * node,gpointer data); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkCTreeNode * gtk_ctree_find_by_row_data (GtkCTree * ctree,GtkCTreeNode * node,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_find_by_row_data "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) gtk_ctree_find_by_row_data ( ctree,node,data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_find_all_by_row_data , args , , " GList * gtk_ctree_find_all_by_row_data (GtkCTree * ctree,GtkCTreeNode * node,gpointer data); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GList * gtk_ctree_find_all_by_row_data (GtkCTree * ctree,GtkCTreeNode * node,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_find_all_by_row_data "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
long int ret_type= (long int) gtk_ctree_find_all_by_row_data ( ctree,node,data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_find_by_row_data_custom , args , , " GtkCTreeNode * gtk_ctree_find_by_row_data_custom (GtkCTree * ctree,GtkCTreeNode * node,gpointer data,GCompareFunc func); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gpointer   data ;
GCompareFunc   func ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GtkCTreeNode * gtk_ctree_find_by_row_data_custom (GtkCTree * ctree,GtkCTreeNode * node,gpointer data,GCompareFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_find_by_row_data_custom "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
func = (  GCompareFunc  ) args( 3 ).long_value();
long int ret_type= (long int) gtk_ctree_find_by_row_data_custom ( ctree,node,data,func);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_find_all_by_row_data_custom , args , , " GList * gtk_ctree_find_all_by_row_data_custom (GtkCTree * ctree,GtkCTreeNode * node,gpointer data,GCompareFunc func); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gpointer   data ;
GCompareFunc   func ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GList * gtk_ctree_find_all_by_row_data_custom (GtkCTree * ctree,GtkCTreeNode * node,gpointer data,GCompareFunc func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_find_all_by_row_data_custom "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
func = (  GCompareFunc  ) args( 3 ).long_value();
long int ret_type= (long int) gtk_ctree_find_all_by_row_data_custom ( ctree,node,data,func);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_is_hot_spot , args , , " gboolean gtk_ctree_is_hot_spot (GtkCTree * ctree,gint x,gint y); " )
{
GtkCTree *   ctree ;
gint   x ;
gint   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_ctree_is_hot_spot (GtkCTree * ctree,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_is_hot_spot "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_ctree_is_hot_spot ( ctree,x,y);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_move , args , , " void gtk_ctree_move (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeNode * new_parent,GtkCTreeNode * new_sibling); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
GtkCTreeNode *   new_parent ;
GtkCTreeNode *   new_sibling ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_ctree_move (GtkCTree * ctree,GtkCTreeNode * node,GtkCTreeNode * new_parent,GtkCTreeNode * new_sibling); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_move "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
new_parent =( GtkCTreeNode * )args( 2 ).long_value();
new_sibling =( GtkCTreeNode * )args( 3 ).long_value();
gtk_ctree_move ( ctree,node,new_parent,new_sibling);
return octave_value();
}
DEFUN_DLD( gtk_ctree_expand , args , , " void gtk_ctree_expand (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_expand (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_expand "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_expand ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_expand_recursive , args , , " void gtk_ctree_expand_recursive (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_expand_recursive (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_expand_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_expand_recursive ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_expand_to_depth , args , , " void gtk_ctree_expand_to_depth (GtkCTree * ctree,GtkCTreeNode * node,gint depth); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   depth ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_ctree_expand_to_depth (GtkCTree * ctree,GtkCTreeNode * node,gint depth); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_expand_to_depth "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
depth = (  gint  ) args( 2 ).int_value();
gtk_ctree_expand_to_depth ( ctree,node,depth);
return octave_value();
}
DEFUN_DLD( gtk_ctree_collapse , args , , " void gtk_ctree_collapse (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_collapse (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_collapse "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_collapse ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_collapse_recursive , args , , " void gtk_ctree_collapse_recursive (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_collapse_recursive (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_collapse_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_collapse_recursive ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_collapse_to_depth , args , , " void gtk_ctree_collapse_to_depth (GtkCTree * ctree,GtkCTreeNode * node,gint depth); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   depth ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_ctree_collapse_to_depth (GtkCTree * ctree,GtkCTreeNode * node,gint depth); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_collapse_to_depth "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
depth = (  gint  ) args( 2 ).int_value();
gtk_ctree_collapse_to_depth ( ctree,node,depth);
return octave_value();
}
DEFUN_DLD( gtk_ctree_toggle_expansion , args , , " void gtk_ctree_toggle_expansion (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_toggle_expansion (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_toggle_expansion "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_toggle_expansion ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_toggle_expansion_recursive , args , , " void gtk_ctree_toggle_expansion_recursive (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_toggle_expansion_recursive (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_toggle_expansion_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_toggle_expansion_recursive ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_select , args , , " void gtk_ctree_select (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_select (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_select "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_select ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_select_recursive , args , , " void gtk_ctree_select_recursive (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_select_recursive (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_select_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_select_recursive ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_unselect , args , , " void gtk_ctree_unselect (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_unselect (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_unselect "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_unselect ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_unselect_recursive , args , , " void gtk_ctree_unselect_recursive (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_unselect_recursive (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_unselect_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_unselect_recursive ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_real_select_recursive , args , , " void gtk_ctree_real_select_recursive (GtkCTree * ctree,GtkCTreeNode * node,gint state); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   state ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_ctree_real_select_recursive (GtkCTree * ctree,GtkCTreeNode * node,gint state); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_real_select_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
state = (  gint  ) args( 2 ).int_value();
gtk_ctree_real_select_recursive ( ctree,node,state);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_set_text , args , , " void gtk_ctree_node_set_text (GtkCTree * ctree,GtkCTreeNode * node,gint column,gchar * text); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   column ;
gchar *   text ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_text (GtkCTree * ctree,GtkCTreeNode * node,gint column,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_text "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
text = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) text ,args( 3 ).string_value().c_str());
gtk_ctree_node_set_text ( ctree,node,column,text);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_set_pixmap , args , , " void gtk_ctree_node_set_pixmap (GtkCTree * ctree,GtkCTreeNode * node,gint column,GdkPixmap * pixmap,GdkBitmap * mask); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   column ;
GdkPixmap *   pixmap ;
GdkBitmap *   mask ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_pixmap (GtkCTree * ctree,GtkCTreeNode * node,gint column,GdkPixmap * pixmap,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_pixmap "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
pixmap =( GdkPixmap * )args( 3 ).long_value();
mask =( GdkBitmap * )args( 4 ).long_value();
gtk_ctree_node_set_pixmap ( ctree,node,column,pixmap,mask);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_set_pixtext , args , , " void gtk_ctree_node_set_pixtext (GtkCTree * ctree,GtkCTreeNode * node,gint column,gchar * text,guint8 spacing,GdkPixmap * pixmap,GdkBitmap * mask); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   column ;
gchar *   text ;
guint8   spacing ;
GdkPixmap *   pixmap ;
GdkBitmap *   mask ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_pixtext (GtkCTree * ctree,GtkCTreeNode * node,gint column,gchar * text,guint8 spacing,GdkPixmap * pixmap,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_pixtext "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
text = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) text ,args( 3 ).string_value().c_str());
spacing = (  guint8  ) args( 4 ).int_value();
pixmap =( GdkPixmap * )args( 5 ).long_value();
mask =( GdkBitmap * )args( 6 ).long_value();
gtk_ctree_node_set_pixtext ( ctree,node,column,text,spacing,pixmap,mask);
return octave_value();
}
DEFUN_DLD( gtk_ctree_set_node_info , args , , " void gtk_ctree_set_node_info (GtkCTree * ctree,GtkCTreeNode * node,gchar * text,guint8 spacing,GdkPixmap * pixmap_closed,GdkBitmap * mask_closed,GdkPixmap * pixmap_opened,GdkBitmap * mask_opened,gboolean is_leaf,gboolean expanded); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gchar *   text ;
guint8   spacing ;
GdkPixmap *   pixmap_closed ;
GdkBitmap *   mask_closed ;
GdkPixmap *   pixmap_opened ;
GdkBitmap *   mask_opened ;
gboolean   is_leaf ;
gboolean   expanded ;
 if(args.length()!= 10 )
  {
   std::cout<< "eg:  void gtk_ctree_set_node_info (GtkCTree * ctree,GtkCTreeNode * node,gchar * text,guint8 spacing,GdkPixmap * pixmap_closed,GdkBitmap * mask_closed,GdkPixmap * pixmap_opened,GdkBitmap * mask_opened,gboolean is_leaf,gboolean expanded); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_set_node_info "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) text ,args( 2 ).string_value().c_str());
spacing = (  guint8  ) args( 3 ).int_value();
pixmap_closed =( GdkPixmap * )args( 4 ).long_value();
mask_closed =( GdkBitmap * )args( 5 ).long_value();
pixmap_opened =( GdkPixmap * )args( 6 ).long_value();
mask_opened =( GdkBitmap * )args( 7 ).long_value();
is_leaf = (  gboolean  ) args( 8 ).long_value();
expanded = (  gboolean  ) args( 9 ).long_value();
gtk_ctree_set_node_info ( ctree,node,text,spacing,pixmap_closed,mask_closed,pixmap_opened,mask_opened,is_leaf,expanded);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_set_shift , args , , " void gtk_ctree_node_set_shift (GtkCTree * ctree,GtkCTreeNode * node,gint column,gint vertical,gint horizontal); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   column ;
gint   vertical ;
gint   horizontal ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_shift (GtkCTree * ctree,GtkCTreeNode * node,gint column,gint vertical,gint horizontal); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_shift "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
vertical = (  gint  ) args( 3 ).int_value();
horizontal = (  gint  ) args( 4 ).int_value();
gtk_ctree_node_set_shift ( ctree,node,column,vertical,horizontal);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_set_selectable , args , , " void gtk_ctree_node_set_selectable (GtkCTree * ctree,GtkCTreeNode * node,gboolean selectable); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gboolean   selectable ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_selectable (GtkCTree * ctree,GtkCTreeNode * node,gboolean selectable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_selectable "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
selectable = (  gboolean  ) args( 2 ).long_value();
gtk_ctree_node_set_selectable ( ctree,node,selectable);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_get_selectable , args , , " gboolean gtk_ctree_node_get_selectable (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_ctree_node_get_selectable (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_get_selectable "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
long int ret_type=(long int) gtk_ctree_node_get_selectable ( ctree,node);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_node_get_cell_type , args , , " GtkCellType gtk_ctree_node_get_cell_type (GtkCTree * ctree,GtkCTreeNode * node,gint column); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkCellType gtk_ctree_node_get_cell_type (GtkCTree * ctree,GtkCTreeNode * node,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_get_cell_type "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_ctree_node_get_cell_type ( ctree,node,column);
return octave_value(ret_type);
}
/* overriden: gtk_ctree_node_get_text  */
/* overriden: gtk_ctree_node_get_pixmap  */
/* overriden: gtk_ctree_node_get_pixtext  */
/* overriden: gtk_ctree_get_node_info  */
DEFUN_DLD( gtk_ctree_node_set_row_style , args , , " void gtk_ctree_node_set_row_style (GtkCTree * ctree,GtkCTreeNode * node,GtkStyle * style); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
GtkStyle *   style ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_row_style (GtkCTree * ctree,GtkCTreeNode * node,GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_row_style "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
style =( GtkStyle * )args( 2 ).long_value();
gtk_ctree_node_set_row_style ( ctree,node,style);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_get_row_style , args , , " GtkStyle * gtk_ctree_node_get_row_style (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkStyle * gtk_ctree_node_get_row_style (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_get_row_style "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
long int ret_type= (long int) gtk_ctree_node_get_row_style ( ctree,node);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_node_set_cell_style , args , , " void gtk_ctree_node_set_cell_style (GtkCTree * ctree,GtkCTreeNode * node,gint column,GtkStyle * style); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   column ;
GtkStyle *   style ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_cell_style (GtkCTree * ctree,GtkCTreeNode * node,gint column,GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_cell_style "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
style =( GtkStyle * )args( 3 ).long_value();
gtk_ctree_node_set_cell_style ( ctree,node,column,style);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_get_cell_style , args , , " GtkStyle * gtk_ctree_node_get_cell_style (GtkCTree * ctree,GtkCTreeNode * node,gint column); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkStyle * gtk_ctree_node_get_cell_style (GtkCTree * ctree,GtkCTreeNode * node,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_get_cell_style "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) gtk_ctree_node_get_cell_style ( ctree,node,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_node_set_foreground , args , , " void gtk_ctree_node_set_foreground (GtkCTree * ctree,GtkCTreeNode * node,GdkColor * color); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
GdkColor *   color ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_foreground (GtkCTree * ctree,GtkCTreeNode * node,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_foreground "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
color =( GdkColor * )args( 2 ).long_value();
gtk_ctree_node_set_foreground ( ctree,node,color);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_set_background , args , , " void gtk_ctree_node_set_background (GtkCTree * ctree,GtkCTreeNode * node,GdkColor * color); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
GdkColor *   color ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_background (GtkCTree * ctree,GtkCTreeNode * node,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_background "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
color =( GdkColor * )args( 2 ).long_value();
gtk_ctree_node_set_background ( ctree,node,color);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_set_row_data , args , , " void gtk_ctree_node_set_row_data (GtkCTree * ctree,GtkCTreeNode * node,gpointer data); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_row_data (GtkCTree * ctree,GtkCTreeNode * node,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_row_data "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gtk_ctree_node_set_row_data ( ctree,node,data);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_set_row_data_full , args , , " void gtk_ctree_node_set_row_data_full (GtkCTree * ctree,GtkCTreeNode * node,gpointer data,GtkDestroyNotify destroy); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_ctree_node_set_row_data_full (GtkCTree * ctree,GtkCTreeNode * node,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_set_row_data_full "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_ctree_node_set_row_data_full ( ctree,node,data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_get_row_data , args , , " gpointer gtk_ctree_node_get_row_data (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer gtk_ctree_node_get_row_data (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_get_row_data "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
long int ret_type= (long int) gtk_ctree_node_get_row_data ( ctree,node);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_node_moveto , args , , " void gtk_ctree_node_moveto (GtkCTree * ctree,GtkCTreeNode * node,gint column,gfloat row_align,gfloat col_align); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
gint   column ;
gfloat   row_align ;
gfloat   col_align ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_ctree_node_moveto (GtkCTree * ctree,GtkCTreeNode * node,gint column,gfloat row_align,gfloat col_align); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_moveto "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
row_align = (  gfloat  ) args( 3 ).double_value();
col_align = (  gfloat  ) args( 4 ).double_value();
gtk_ctree_node_moveto ( ctree,node,column,row_align,col_align);
return octave_value();
}
DEFUN_DLD( gtk_ctree_node_is_visible , args , , " GtkVisibility gtk_ctree_node_is_visible (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkVisibility gtk_ctree_node_is_visible (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_node_is_visible "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
long int ret_type=(long int) gtk_ctree_node_is_visible ( ctree,node);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ctree_set_indent , args , , " void gtk_ctree_set_indent (GtkCTree * ctree,gint indent); " )
{
GtkCTree *   ctree ;
gint   indent ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_set_indent (GtkCTree * ctree,gint indent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_set_indent "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
indent = (  gint  ) args( 1 ).int_value();
gtk_ctree_set_indent ( ctree,indent);
return octave_value();
}
DEFUN_DLD( gtk_ctree_set_spacing , args , , " void gtk_ctree_set_spacing (GtkCTree * ctree,gint spacing); " )
{
GtkCTree *   ctree ;
gint   spacing ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_set_spacing (GtkCTree * ctree,gint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_set_spacing "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
spacing = (  gint  ) args( 1 ).int_value();
gtk_ctree_set_spacing ( ctree,spacing);
return octave_value();
}
DEFUN_DLD( gtk_ctree_set_show_stub , args , , " void gtk_ctree_set_show_stub (GtkCTree * ctree,gboolean show_stub); " )
{
GtkCTree *   ctree ;
gboolean   show_stub ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_set_show_stub (GtkCTree * ctree,gboolean show_stub); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_set_show_stub "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
show_stub = (  gboolean  ) args( 1 ).long_value();
gtk_ctree_set_show_stub ( ctree,show_stub);
return octave_value();
}
DEFUN_DLD( gtk_ctree_set_line_style , args , , " void gtk_ctree_set_line_style (GtkCTree * ctree,GtkCTreeLineStyle line_style); " )
{
GtkCTree *   ctree ;
GtkCTreeLineStyle   line_style ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_set_line_style (GtkCTree * ctree,GtkCTreeLineStyle line_style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_set_line_style "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
line_style = (  GtkCTreeLineStyle  ) args( 1 ).long_value();
gtk_ctree_set_line_style ( ctree,line_style);
return octave_value();
}
DEFUN_DLD( gtk_ctree_set_expander_style , args , , " void gtk_ctree_set_expander_style (GtkCTree * ctree,GtkCTreeExpanderStyle expander_style); " )
{
GtkCTree *   ctree ;
GtkCTreeExpanderStyle   expander_style ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_set_expander_style (GtkCTree * ctree,GtkCTreeExpanderStyle expander_style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_set_expander_style "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
expander_style = (  GtkCTreeExpanderStyle  ) args( 1 ).long_value();
gtk_ctree_set_expander_style ( ctree,expander_style);
return octave_value();
}
DEFUN_DLD( gtk_ctree_set_drag_compare_func , args , , " void gtk_ctree_set_drag_compare_func (GtkCTree * ctree,GtkCTreeCompareDragFunc cmp_func); " )
{
GtkCTree *   ctree ;
GtkCTreeCompareDragFunc   cmp_func ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_set_drag_compare_func (GtkCTree * ctree,GtkCTreeCompareDragFunc cmp_func); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_set_drag_compare_func "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
cmp_func = (  GtkCTreeCompareDragFunc  ) args( 1 ).long_value();
gtk_ctree_set_drag_compare_func ( ctree,cmp_func);
return octave_value();
}
DEFUN_DLD( gtk_ctree_sort_node , args , , " void gtk_ctree_sort_node (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_sort_node (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_sort_node "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_sort_node ( ctree,node);
return octave_value();
}
DEFUN_DLD( gtk_ctree_sort_recursive , args , , " void gtk_ctree_sort_recursive (GtkCTree * ctree,GtkCTreeNode * node); " )
{
GtkCTree *   ctree ;
GtkCTreeNode *   node ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ctree_sort_recursive (GtkCTree * ctree,GtkCTreeNode * node); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ctree_sort_recursive "<<std::endl;
#endif /* DEBUG */
ctree =( GtkCTree * )args( 0 ).long_value();
node =( GtkCTreeNode * )args( 1 ).long_value();
gtk_ctree_sort_recursive ( ctree,node);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_ctree_node_get_type , args , , " GType gtk_ctree_node_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_ctree_node_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_ctree_node_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_curve_get_type , args , , " GType gtk_curve_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_curve_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_curve_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_curve_new , args , , " GtkWidget* gtk_curve_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_curve_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_curve_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_curve_reset , args , , " void gtk_curve_reset (GtkCurve * curve); " )
{
GtkCurve *   curve ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_curve_reset (GtkCurve * curve); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_curve_reset "<<std::endl;
#endif /* DEBUG */
curve =( GtkCurve * )args( 0 ).long_value();
gtk_curve_reset ( curve);
return octave_value();
}
DEFUN_DLD( gtk_curve_set_gamma , args , , " void gtk_curve_set_gamma (GtkCurve * curve,gfloat gamma_); " )
{
GtkCurve *   curve ;
gfloat   gamma_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_curve_set_gamma (GtkCurve * curve,gfloat gamma_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_curve_set_gamma "<<std::endl;
#endif /* DEBUG */
curve =( GtkCurve * )args( 0 ).long_value();
gamma_ = (  gfloat  ) args( 1 ).double_value();
gtk_curve_set_gamma ( curve,gamma_);
return octave_value();
}
DEFUN_DLD( gtk_curve_set_range , args , , " void gtk_curve_set_range (GtkCurve * curve,gfloat min_x,gfloat max_x,gfloat min_y,gfloat max_y); " )
{
GtkCurve *   curve ;
gfloat   min_x ;
gfloat   max_x ;
gfloat   min_y ;
gfloat   max_y ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_curve_set_range (GtkCurve * curve,gfloat min_x,gfloat max_x,gfloat min_y,gfloat max_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_curve_set_range "<<std::endl;
#endif /* DEBUG */
curve =( GtkCurve * )args( 0 ).long_value();
min_x = (  gfloat  ) args( 1 ).double_value();
max_x = (  gfloat  ) args( 2 ).double_value();
min_y = (  gfloat  ) args( 3 ).double_value();
max_y = (  gfloat  ) args( 4 ).double_value();
gtk_curve_set_range ( curve,min_x,max_x,min_y,max_y);
return octave_value();
}
/* overriden: gtk_curve_get_vector  */
/* overriden: gtk_curve_set_vector  */
DEFUN_DLD( gtk_curve_set_curve_type , args , , " void gtk_curve_set_curve_type (GtkCurve * curve,GtkCurveType type); " )
{
GtkCurve *   curve ;
GtkCurveType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_curve_set_curve_type (GtkCurve * curve,GtkCurveType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_curve_set_curve_type "<<std::endl;
#endif /* DEBUG */
curve =( GtkCurve * )args( 0 ).long_value();
type = (  GtkCurveType  ) args( 1 ).long_value();
gtk_curve_set_curve_type ( curve,type);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_dialog_get_type , args , , " GType gtk_dialog_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_dialog_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_dialog_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_dialog_new , args , , " GtkWidget* gtk_dialog_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_dialog_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_dialog_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_dialog_new_with_buttons , args , , " GtkWidget* gtk_dialog_new_with_buttons (gchar * title,GtkWindow * parent,GtkDialogFlags flags,gchar * first_button_text,char * varargs_value); " )
{
gchar *   title ;
GtkWindow *   parent ;
GtkDialogFlags   flags ;
gchar *   first_button_text ;
char *   varargs_value ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  GtkWidget* gtk_dialog_new_with_buttons (gchar * title,GtkWindow * parent,GtkDialogFlags flags,gchar * first_button_text,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_new_with_buttons "<<std::endl;
#endif /* DEBUG */
title = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) title ,args( 0 ).string_value().c_str());
parent =( GtkWindow * )args( 1 ).long_value();
flags = (  GtkDialogFlags  ) args( 2 ).long_value();
first_button_text = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) first_button_text ,args( 3 ).string_value().c_str());
varargs_value = new  char   [args( 4 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 4 ).string_value().c_str());
long int ret_type= (long int) gtk_dialog_new_with_buttons ( title,parent,flags,first_button_text,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_dialog_add_action_widget , args , , " void gtk_dialog_add_action_widget (GtkDialog * dialog,GtkWidget * child,gint response_id); " )
{
GtkDialog *   dialog ;
GtkWidget *   child ;
gint   response_id ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_dialog_add_action_widget (GtkDialog * dialog,GtkWidget * child,gint response_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_add_action_widget "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
response_id = (  gint  ) args( 2 ).int_value();
gtk_dialog_add_action_widget ( dialog,child,response_id);
return octave_value();
}
DEFUN_DLD( gtk_dialog_add_button , args , , " GtkWidget* gtk_dialog_add_button (GtkDialog * dialog,gchar * button_text,gint response_id); " )
{
GtkDialog *   dialog ;
gchar *   button_text ;
gint   response_id ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkWidget* gtk_dialog_add_button (GtkDialog * dialog,gchar * button_text,gint response_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_add_button "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
button_text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) button_text ,args( 1 ).string_value().c_str());
response_id = (  gint  ) args( 2 ).int_value();
long int ret_type= (long int) gtk_dialog_add_button ( dialog,button_text,response_id);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_dialog_add_buttons , args , , " void gtk_dialog_add_buttons (GtkDialog * dialog,gchar * first_button_text,char * varargs_value); " )
{
GtkDialog *   dialog ;
gchar *   first_button_text ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_dialog_add_buttons (GtkDialog * dialog,gchar * first_button_text,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_add_buttons "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
first_button_text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) first_button_text ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_dialog_add_buttons ( dialog,first_button_text,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_dialog_set_response_sensitive , args , , " void gtk_dialog_set_response_sensitive (GtkDialog * dialog,gint response_id,gboolean setting); " )
{
GtkDialog *   dialog ;
gint   response_id ;
gboolean   setting ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_dialog_set_response_sensitive (GtkDialog * dialog,gint response_id,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_set_response_sensitive "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
response_id = (  gint  ) args( 1 ).int_value();
setting = (  gboolean  ) args( 2 ).long_value();
gtk_dialog_set_response_sensitive ( dialog,response_id,setting);
return octave_value();
}
DEFUN_DLD( gtk_dialog_set_default_response , args , , " void gtk_dialog_set_default_response (GtkDialog * dialog,gint response_id); " )
{
GtkDialog *   dialog ;
gint   response_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_dialog_set_default_response (GtkDialog * dialog,gint response_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_set_default_response "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
response_id = (  gint  ) args( 1 ).int_value();
gtk_dialog_set_default_response ( dialog,response_id);
return octave_value();
}
DEFUN_DLD( gtk_dialog_set_has_separator , args , , " void gtk_dialog_set_has_separator (GtkDialog * dialog,gboolean setting); " )
{
GtkDialog *   dialog ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_dialog_set_has_separator (GtkDialog * dialog,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_set_has_separator "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_dialog_set_has_separator ( dialog,setting);
return octave_value();
}
DEFUN_DLD( gtk_dialog_get_has_separator , args , , " gboolean gtk_dialog_get_has_separator (GtkDialog * dialog); " )
{
GtkDialog *   dialog ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_dialog_get_has_separator (GtkDialog * dialog); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_get_has_separator "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
long int ret_type=(long int) gtk_dialog_get_has_separator ( dialog);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_dialog_response , args , , " void gtk_dialog_response (GtkDialog * dialog,gint response_id); " )
{
GtkDialog *   dialog ;
gint   response_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_dialog_response (GtkDialog * dialog,gint response_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_response "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
response_id = (  gint  ) args( 1 ).int_value();
gtk_dialog_response ( dialog,response_id);
return octave_value();
}
DEFUN_DLD( gtk_dialog_run , args , , " gint gtk_dialog_run (GtkDialog * dialog); " )
{
GtkDialog *   dialog ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_dialog_run (GtkDialog * dialog); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_dialog_run "<<std::endl;
#endif /* DEBUG */
dialog =( GtkDialog * )args( 0 ).long_value();
long int ret_type=(long int) gtk_dialog_run ( dialog);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_drawing_area_get_type , args , , " GType gtk_drawing_area_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_drawing_area_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_drawing_area_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_drawing_area_new , args , , " GtkWidget* gtk_drawing_area_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_drawing_area_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_drawing_area_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_drawing_area_size , args , , " void gtk_drawing_area_size (GtkDrawingArea * darea,gint width,gint height); " )
{
GtkDrawingArea *   darea ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_drawing_area_size (GtkDrawingArea * darea,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_drawing_area_size "<<std::endl;
#endif /* DEBUG */
darea =( GtkDrawingArea * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
gtk_drawing_area_size ( darea,width,height);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_editable_get_type , args , , " GType gtk_editable_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_editable_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_editable_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_editable_select_region , args , , " void gtk_editable_select_region (GtkEditable * editable,gint start,gint end); " )
{
GtkEditable *   editable ;
gint   start ;
gint   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_editable_select_region (GtkEditable * editable,gint start,gint end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_select_region "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
start = (  gint  ) args( 1 ).int_value();
end = (  gint  ) args( 2 ).int_value();
gtk_editable_select_region ( editable,start,end);
return octave_value();
}
DEFUN_DLD( gtk_editable_get_selection_bounds , args , , " gboolean gtk_editable_get_selection_bounds (GtkEditable * editable,gint * start,gint * end); " )
{
GtkEditable *   editable ;
gint *   start ;
gint *   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_editable_get_selection_bounds (GtkEditable * editable,gint * start,gint * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_get_selection_bounds "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
start =( gint * )args( 1 ).long_value();
end =( gint * )args( 2 ).long_value();
long int ret_type=(long int) gtk_editable_get_selection_bounds ( editable,start,end);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_editable_insert_text , args , , " void gtk_editable_insert_text (GtkEditable * editable,gchar * new_text,gint new_text_length,gint * position); " )
{
GtkEditable *   editable ;
gchar *   new_text ;
gint   new_text_length ;
gint *   position ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_editable_insert_text (GtkEditable * editable,gchar * new_text,gint new_text_length,gint * position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_insert_text "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
new_text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) new_text ,args( 1 ).string_value().c_str());
new_text_length = (  gint  ) args( 2 ).int_value();
position =( gint * )args( 3 ).long_value();
gtk_editable_insert_text ( editable,new_text,new_text_length,position);
return octave_value();
}
DEFUN_DLD( gtk_editable_delete_text , args , , " void gtk_editable_delete_text (GtkEditable * editable,gint start_pos,gint end_pos); " )
{
GtkEditable *   editable ;
gint   start_pos ;
gint   end_pos ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_editable_delete_text (GtkEditable * editable,gint start_pos,gint end_pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_delete_text "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
start_pos = (  gint  ) args( 1 ).int_value();
end_pos = (  gint  ) args( 2 ).int_value();
gtk_editable_delete_text ( editable,start_pos,end_pos);
return octave_value();
}
DEFUN_DLD( gtk_editable_get_chars , args , , " gchar* gtk_editable_get_chars (GtkEditable * editable,gint start_pos,gint end_pos); " )
{
GtkEditable *   editable ;
gint   start_pos ;
gint   end_pos ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gchar* gtk_editable_get_chars (GtkEditable * editable,gint start_pos,gint end_pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_get_chars "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
start_pos = (  gint  ) args( 1 ).int_value();
end_pos = (  gint  ) args( 2 ).int_value();
string  ret_type( gtk_editable_get_chars ( editable,start_pos,end_pos));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_editable_cut_clipboard , args , , " void gtk_editable_cut_clipboard (GtkEditable * editable); " )
{
GtkEditable *   editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_editable_cut_clipboard (GtkEditable * editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_cut_clipboard "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
gtk_editable_cut_clipboard ( editable);
return octave_value();
}
DEFUN_DLD( gtk_editable_copy_clipboard , args , , " void gtk_editable_copy_clipboard (GtkEditable * editable); " )
{
GtkEditable *   editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_editable_copy_clipboard (GtkEditable * editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_copy_clipboard "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
gtk_editable_copy_clipboard ( editable);
return octave_value();
}
DEFUN_DLD( gtk_editable_paste_clipboard , args , , " void gtk_editable_paste_clipboard (GtkEditable * editable); " )
{
GtkEditable *   editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_editable_paste_clipboard (GtkEditable * editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_paste_clipboard "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
gtk_editable_paste_clipboard ( editable);
return octave_value();
}
DEFUN_DLD( gtk_editable_delete_selection , args , , " void gtk_editable_delete_selection (GtkEditable * editable); " )
{
GtkEditable *   editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_editable_delete_selection (GtkEditable * editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_delete_selection "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
gtk_editable_delete_selection ( editable);
return octave_value();
}
DEFUN_DLD( gtk_editable_set_position , args , , " void gtk_editable_set_position (GtkEditable * editable,gint position); " )
{
GtkEditable *   editable ;
gint   position ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_editable_set_position (GtkEditable * editable,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_set_position "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
gtk_editable_set_position ( editable,position);
return octave_value();
}
DEFUN_DLD( gtk_editable_get_position , args , , " gint gtk_editable_get_position (GtkEditable * editable); " )
{
GtkEditable *   editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_editable_get_position (GtkEditable * editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_get_position "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
long int ret_type=(long int) gtk_editable_get_position ( editable);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_editable_set_editable , args , , " void gtk_editable_set_editable (GtkEditable * editable,gboolean is_editable); " )
{
GtkEditable *   editable ;
gboolean   is_editable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_editable_set_editable (GtkEditable * editable,gboolean is_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_set_editable "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
is_editable = (  gboolean  ) args( 1 ).long_value();
gtk_editable_set_editable ( editable,is_editable);
return octave_value();
}
DEFUN_DLD( gtk_editable_get_editable , args , , " gboolean gtk_editable_get_editable (GtkEditable * editable); " )
{
GtkEditable *   editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_editable_get_editable (GtkEditable * editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_editable_get_editable "<<std::endl;
#endif /* DEBUG */
editable =( GtkEditable * )args( 0 ).long_value();
long int ret_type=(long int) gtk_editable_get_editable ( editable);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_entry_get_type , args , , " GType gtk_entry_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_entry_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_entry_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_entry_new , args , , " GtkWidget* gtk_entry_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_entry_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_entry_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_set_visibility , args , , " void gtk_entry_set_visibility (GtkEntry * entry,gboolean visible); " )
{
GtkEntry *   entry ;
gboolean   visible ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_visibility (GtkEntry * entry,gboolean visible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_visibility "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
visible = (  gboolean  ) args( 1 ).long_value();
gtk_entry_set_visibility ( entry,visible);
return octave_value();
}
DEFUN_DLD( gtk_entry_get_visibility , args , , " gboolean gtk_entry_get_visibility (GtkEntry * entry); " )
{
GtkEntry *   entry ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_entry_get_visibility (GtkEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_visibility "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
long int ret_type=(long int) gtk_entry_get_visibility ( entry);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_set_invisible_char , args , , " void gtk_entry_set_invisible_char (GtkEntry * entry,gunichar ch); " )
{
GtkEntry *   entry ;
gunichar   ch ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_invisible_char (GtkEntry * entry,gunichar ch); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_invisible_char "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
ch = (  gunichar  ) args( 1 ).long_value();
gtk_entry_set_invisible_char ( entry,ch);
return octave_value();
}
DEFUN_DLD( gtk_entry_get_invisible_char , args , , " gunichar gtk_entry_get_invisible_char (GtkEntry * entry); " )
{
GtkEntry *   entry ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gunichar gtk_entry_get_invisible_char (GtkEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_invisible_char "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
long int ret_type=(long int) gtk_entry_get_invisible_char ( entry);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_set_has_frame , args , , " void gtk_entry_set_has_frame (GtkEntry * entry,gboolean setting); " )
{
GtkEntry *   entry ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_has_frame (GtkEntry * entry,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_has_frame "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_entry_set_has_frame ( entry,setting);
return octave_value();
}
DEFUN_DLD( gtk_entry_get_has_frame , args , , " gboolean gtk_entry_get_has_frame (GtkEntry * entry); " )
{
GtkEntry *   entry ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_entry_get_has_frame (GtkEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_has_frame "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
long int ret_type=(long int) gtk_entry_get_has_frame ( entry);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_set_max_length , args , , " void gtk_entry_set_max_length (GtkEntry * entry,gint max); " )
{
GtkEntry *   entry ;
gint   max ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_max_length (GtkEntry * entry,gint max); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_max_length "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
max = (  gint  ) args( 1 ).int_value();
gtk_entry_set_max_length ( entry,max);
return octave_value();
}
DEFUN_DLD( gtk_entry_get_max_length , args , , " gint gtk_entry_get_max_length (GtkEntry * entry); " )
{
GtkEntry *   entry ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_entry_get_max_length (GtkEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_max_length "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
long int ret_type=(long int) gtk_entry_get_max_length ( entry);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_set_activates_default , args , , " void gtk_entry_set_activates_default (GtkEntry * entry,gboolean setting); " )
{
GtkEntry *   entry ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_activates_default (GtkEntry * entry,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_activates_default "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_entry_set_activates_default ( entry,setting);
return octave_value();
}
DEFUN_DLD( gtk_entry_get_activates_default , args , , " gboolean gtk_entry_get_activates_default (GtkEntry * entry); " )
{
GtkEntry *   entry ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_entry_get_activates_default (GtkEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_activates_default "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
long int ret_type=(long int) gtk_entry_get_activates_default ( entry);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_set_width_chars , args , , " void gtk_entry_set_width_chars (GtkEntry * entry,gint n_chars); " )
{
GtkEntry *   entry ;
gint   n_chars ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_width_chars (GtkEntry * entry,gint n_chars); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_width_chars "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
n_chars = (  gint  ) args( 1 ).int_value();
gtk_entry_set_width_chars ( entry,n_chars);
return octave_value();
}
DEFUN_DLD( gtk_entry_get_width_chars , args , , " gint gtk_entry_get_width_chars (GtkEntry * entry); " )
{
GtkEntry *   entry ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_entry_get_width_chars (GtkEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_width_chars "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
long int ret_type=(long int) gtk_entry_get_width_chars ( entry);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_set_text , args , , " void gtk_entry_set_text (GtkEntry * entry,gchar * text); " )
{
GtkEntry *   entry ;
gchar *   text ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_text (GtkEntry * entry,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_text "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
gtk_entry_set_text ( entry,text);
return octave_value();
}
DEFUN_DLD( gtk_entry_get_text , args , , " gchar* gtk_entry_get_text (GtkEntry * entry); " )
{
GtkEntry *   entry ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_entry_get_text (GtkEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_text "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
string  ret_type( gtk_entry_get_text ( entry));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_get_layout , args , , " PangoLayout* gtk_entry_get_layout (GtkEntry * entry); " )
{
GtkEntry *   entry ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLayout* gtk_entry_get_layout (GtkEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_layout "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
long int ret_type= (long int) gtk_entry_get_layout ( entry);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_get_layout_offsets , args , , " void gtk_entry_get_layout_offsets (GtkEntry * entry,gint * x,gint * y); " )
{
GtkEntry *   entry ;
gint *   x ;
gint *   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_entry_get_layout_offsets (GtkEntry * entry,gint * x,gint * y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_get_layout_offsets "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
gtk_entry_get_layout_offsets ( entry,x,y);
return octave_value();
}
DEFUN_DLD( gtk_entry_new_with_max_length , args , , " GtkWidget* gtk_entry_new_with_max_length (gint max); " )
{
gint   max ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_entry_new_with_max_length (gint max); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_new_with_max_length "<<std::endl;
#endif /* DEBUG */
max = (  gint  ) args( 0 ).int_value();
long int ret_type= (long int) gtk_entry_new_with_max_length ( max);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_entry_append_text , args , , " void gtk_entry_append_text (GtkEntry * entry,gchar * text); " )
{
GtkEntry *   entry ;
gchar *   text ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_append_text (GtkEntry * entry,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_append_text "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
gtk_entry_append_text ( entry,text);
return octave_value();
}
DEFUN_DLD( gtk_entry_prepend_text , args , , " void gtk_entry_prepend_text (GtkEntry * entry,gchar * text); " )
{
GtkEntry *   entry ;
gchar *   text ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_prepend_text (GtkEntry * entry,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_prepend_text "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
gtk_entry_prepend_text ( entry,text);
return octave_value();
}
DEFUN_DLD( gtk_entry_set_position , args , , " void gtk_entry_set_position (GtkEntry * entry,gint position); " )
{
GtkEntry *   entry ;
gint   position ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_position (GtkEntry * entry,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_position "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
gtk_entry_set_position ( entry,position);
return octave_value();
}
DEFUN_DLD( gtk_entry_select_region , args , , " void gtk_entry_select_region (GtkEntry * entry,gint start,gint end); " )
{
GtkEntry *   entry ;
gint   start ;
gint   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_entry_select_region (GtkEntry * entry,gint start,gint end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_select_region "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
start = (  gint  ) args( 1 ).int_value();
end = (  gint  ) args( 2 ).int_value();
gtk_entry_select_region ( entry,start,end);
return octave_value();
}
DEFUN_DLD( gtk_entry_set_editable , args , , " void gtk_entry_set_editable (GtkEntry * entry,gboolean editable); " )
{
GtkEntry *   entry ;
gboolean   editable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_entry_set_editable (GtkEntry * entry,gboolean editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_entry_set_editable "<<std::endl;
#endif /* DEBUG */
entry =( GtkEntry * )args( 0 ).long_value();
editable = (  gboolean  ) args( 1 ).long_value();
gtk_entry_set_editable ( entry,editable);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_event_box_get_type , args , , " GType gtk_event_box_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_event_box_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_event_box_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_event_box_new , args , , " GtkWidget* gtk_event_box_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_event_box_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_event_box_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_file_selection_get_type , args , , " GType gtk_file_selection_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_file_selection_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_file_selection_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_file_selection_new , args , , " GtkWidget* gtk_file_selection_new (gchar * title); " )
{
gchar *   title ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_file_selection_new (gchar * title); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_file_selection_new "<<std::endl;
#endif /* DEBUG */
title = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) title ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_file_selection_new ( title);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_file_selection_set_filename , args , , " void gtk_file_selection_set_filename (GtkFileSelection * filesel,gchar * filename); " )
{
GtkFileSelection *   filesel ;
gchar *   filename ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_file_selection_set_filename (GtkFileSelection * filesel,gchar * filename); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_file_selection_set_filename "<<std::endl;
#endif /* DEBUG */
filesel =( GtkFileSelection * )args( 0 ).long_value();
filename = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) filename ,args( 1 ).string_value().c_str());
gtk_file_selection_set_filename ( filesel,filename);
return octave_value();
}
DEFUN_DLD( gtk_file_selection_get_filename , args , , " gchar* gtk_file_selection_get_filename (GtkFileSelection * filesel); " )
{
GtkFileSelection *   filesel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_file_selection_get_filename (GtkFileSelection * filesel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_file_selection_get_filename "<<std::endl;
#endif /* DEBUG */
filesel =( GtkFileSelection * )args( 0 ).long_value();
string  ret_type( gtk_file_selection_get_filename ( filesel));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_file_selection_complete , args , , " void gtk_file_selection_complete (GtkFileSelection * filesel,gchar * pattern); " )
{
GtkFileSelection *   filesel ;
gchar *   pattern ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_file_selection_complete (GtkFileSelection * filesel,gchar * pattern); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_file_selection_complete "<<std::endl;
#endif /* DEBUG */
filesel =( GtkFileSelection * )args( 0 ).long_value();
pattern = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) pattern ,args( 1 ).string_value().c_str());
gtk_file_selection_complete ( filesel,pattern);
return octave_value();
}
DEFUN_DLD( gtk_file_selection_show_fileop_buttons , args , , " void gtk_file_selection_show_fileop_buttons (GtkFileSelection * filesel); " )
{
GtkFileSelection *   filesel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_file_selection_show_fileop_buttons (GtkFileSelection * filesel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_file_selection_show_fileop_buttons "<<std::endl;
#endif /* DEBUG */
filesel =( GtkFileSelection * )args( 0 ).long_value();
gtk_file_selection_show_fileop_buttons ( filesel);
return octave_value();
}
DEFUN_DLD( gtk_file_selection_hide_fileop_buttons , args , , " void gtk_file_selection_hide_fileop_buttons (GtkFileSelection * filesel); " )
{
GtkFileSelection *   filesel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_file_selection_hide_fileop_buttons (GtkFileSelection * filesel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_file_selection_hide_fileop_buttons "<<std::endl;
#endif /* DEBUG */
filesel =( GtkFileSelection * )args( 0 ).long_value();
gtk_file_selection_hide_fileop_buttons ( filesel);
return octave_value();
}
/* overriden: gtk_file_selection_get_selections  */
DEFUN_DLD( gtk_file_selection_set_select_multiple , args , , " void gtk_file_selection_set_select_multiple (GtkFileSelection * filesel,gboolean select_multiple); " )
{
GtkFileSelection *   filesel ;
gboolean   select_multiple ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_file_selection_set_select_multiple (GtkFileSelection * filesel,gboolean select_multiple); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_file_selection_set_select_multiple "<<std::endl;
#endif /* DEBUG */
filesel =( GtkFileSelection * )args( 0 ).long_value();
select_multiple = (  gboolean  ) args( 1 ).long_value();
gtk_file_selection_set_select_multiple ( filesel,select_multiple);
return octave_value();
}
DEFUN_DLD( gtk_file_selection_get_select_multiple , args , , " gboolean gtk_file_selection_get_select_multiple (GtkFileSelection * filesel); " )
{
GtkFileSelection *   filesel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_file_selection_get_select_multiple (GtkFileSelection * filesel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_file_selection_get_select_multiple "<<std::endl;
#endif /* DEBUG */
filesel =( GtkFileSelection * )args( 0 ).long_value();
long int ret_type=(long int) gtk_file_selection_get_select_multiple ( filesel);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_fixed_get_type , args , , " GType gtk_fixed_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_fixed_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_fixed_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_fixed_new , args , , " GtkWidget* gtk_fixed_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_fixed_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_fixed_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_fixed_put , args , , " void gtk_fixed_put (GtkFixed * fixed,GtkWidget * widget,gint x,gint y); " )
{
GtkFixed *   fixed ;
GtkWidget *   widget ;
gint   x ;
gint   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_fixed_put (GtkFixed * fixed,GtkWidget * widget,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_fixed_put "<<std::endl;
#endif /* DEBUG */
fixed =( GtkFixed * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
gtk_fixed_put ( fixed,widget,x,y);
return octave_value();
}
DEFUN_DLD( gtk_fixed_move , args , , " void gtk_fixed_move (GtkFixed * fixed,GtkWidget * widget,gint x,gint y); " )
{
GtkFixed *   fixed ;
GtkWidget *   widget ;
gint   x ;
gint   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_fixed_move (GtkFixed * fixed,GtkWidget * widget,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_fixed_move "<<std::endl;
#endif /* DEBUG */
fixed =( GtkFixed * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
gtk_fixed_move ( fixed,widget,x,y);
return octave_value();
}
DEFUN_DLD( gtk_fixed_set_has_window , args , , " void gtk_fixed_set_has_window (GtkFixed * fixed,gboolean has_window); " )
{
GtkFixed *   fixed ;
gboolean   has_window ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_fixed_set_has_window (GtkFixed * fixed,gboolean has_window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_fixed_set_has_window "<<std::endl;
#endif /* DEBUG */
fixed =( GtkFixed * )args( 0 ).long_value();
has_window = (  gboolean  ) args( 1 ).long_value();
gtk_fixed_set_has_window ( fixed,has_window);
return octave_value();
}
DEFUN_DLD( gtk_fixed_get_has_window , args , , " gboolean gtk_fixed_get_has_window (GtkFixed * fixed); " )
{
GtkFixed *   fixed ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_fixed_get_has_window (GtkFixed * fixed); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_fixed_get_has_window "<<std::endl;
#endif /* DEBUG */
fixed =( GtkFixed * )args( 0 ).long_value();
long int ret_type=(long int) gtk_fixed_get_has_window ( fixed);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_font_selection_get_type , args , , " GType gtk_font_selection_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_font_selection_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_font_selection_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_font_selection_new , args , , " GtkWidget* gtk_font_selection_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_font_selection_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_font_selection_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_get_font_name , args , , " gchar* gtk_font_selection_get_font_name (GtkFontSelection * fontsel); " )
{
GtkFontSelection *   fontsel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_font_selection_get_font_name (GtkFontSelection * fontsel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_get_font_name "<<std::endl;
#endif /* DEBUG */
fontsel =( GtkFontSelection * )args( 0 ).long_value();
string  ret_type( gtk_font_selection_get_font_name ( fontsel));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_get_font , args , , " GdkFont* gtk_font_selection_get_font (GtkFontSelection * fontsel); " )
{
GtkFontSelection *   fontsel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkFont* gtk_font_selection_get_font (GtkFontSelection * fontsel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_get_font "<<std::endl;
#endif /* DEBUG */
fontsel =( GtkFontSelection * )args( 0 ).long_value();
long int ret_type= (long int) gtk_font_selection_get_font ( fontsel);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_set_font_name , args , , " gboolean gtk_font_selection_set_font_name (GtkFontSelection * fontsel,gchar * fontname); " )
{
GtkFontSelection *   fontsel ;
gchar *   fontname ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_font_selection_set_font_name (GtkFontSelection * fontsel,gchar * fontname); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_set_font_name "<<std::endl;
#endif /* DEBUG */
fontsel =( GtkFontSelection * )args( 0 ).long_value();
fontname = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) fontname ,args( 1 ).string_value().c_str());
long int ret_type=(long int) gtk_font_selection_set_font_name ( fontsel,fontname);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_get_preview_text , args , , " gchar* gtk_font_selection_get_preview_text (GtkFontSelection * fontsel); " )
{
GtkFontSelection *   fontsel ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_font_selection_get_preview_text (GtkFontSelection * fontsel); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_get_preview_text "<<std::endl;
#endif /* DEBUG */
fontsel =( GtkFontSelection * )args( 0 ).long_value();
string  ret_type( gtk_font_selection_get_preview_text ( fontsel));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_set_preview_text , args , , " void gtk_font_selection_set_preview_text (GtkFontSelection * fontsel,gchar * text); " )
{
GtkFontSelection *   fontsel ;
gchar *   text ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_font_selection_set_preview_text (GtkFontSelection * fontsel,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_set_preview_text "<<std::endl;
#endif /* DEBUG */
fontsel =( GtkFontSelection * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
gtk_font_selection_set_preview_text ( fontsel,text);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_font_selection_dialog_get_type , args , , " GType gtk_font_selection_dialog_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_font_selection_dialog_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_font_selection_dialog_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_dialog_new , args , , " GtkWidget* gtk_font_selection_dialog_new (gchar * title); " )
{
gchar *   title ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_font_selection_dialog_new (gchar * title); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_dialog_new "<<std::endl;
#endif /* DEBUG */
title = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) title ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_font_selection_dialog_new ( title);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_dialog_get_font_name , args , , " gchar* gtk_font_selection_dialog_get_font_name (GtkFontSelectionDialog * fsd); " )
{
GtkFontSelectionDialog *   fsd ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_font_selection_dialog_get_font_name (GtkFontSelectionDialog * fsd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_dialog_get_font_name "<<std::endl;
#endif /* DEBUG */
fsd =( GtkFontSelectionDialog * )args( 0 ).long_value();
string  ret_type( gtk_font_selection_dialog_get_font_name ( fsd));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_dialog_get_font , args , , " GdkFont* gtk_font_selection_dialog_get_font (GtkFontSelectionDialog * fsd); " )
{
GtkFontSelectionDialog *   fsd ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkFont* gtk_font_selection_dialog_get_font (GtkFontSelectionDialog * fsd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_dialog_get_font "<<std::endl;
#endif /* DEBUG */
fsd =( GtkFontSelectionDialog * )args( 0 ).long_value();
long int ret_type= (long int) gtk_font_selection_dialog_get_font ( fsd);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_dialog_set_font_name , args , , " gboolean gtk_font_selection_dialog_set_font_name (GtkFontSelectionDialog * fsd,gchar * fontname); " )
{
GtkFontSelectionDialog *   fsd ;
gchar *   fontname ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_font_selection_dialog_set_font_name (GtkFontSelectionDialog * fsd,gchar * fontname); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_dialog_set_font_name "<<std::endl;
#endif /* DEBUG */
fsd =( GtkFontSelectionDialog * )args( 0 ).long_value();
fontname = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) fontname ,args( 1 ).string_value().c_str());
long int ret_type=(long int) gtk_font_selection_dialog_set_font_name ( fsd,fontname);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_dialog_get_preview_text , args , , " gchar* gtk_font_selection_dialog_get_preview_text (GtkFontSelectionDialog * fsd); " )
{
GtkFontSelectionDialog *   fsd ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_font_selection_dialog_get_preview_text (GtkFontSelectionDialog * fsd); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_dialog_get_preview_text "<<std::endl;
#endif /* DEBUG */
fsd =( GtkFontSelectionDialog * )args( 0 ).long_value();
string  ret_type( gtk_font_selection_dialog_get_preview_text ( fsd));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_font_selection_dialog_set_preview_text , args , , " void gtk_font_selection_dialog_set_preview_text (GtkFontSelectionDialog * fsd,gchar * text); " )
{
GtkFontSelectionDialog *   fsd ;
gchar *   text ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_font_selection_dialog_set_preview_text (GtkFontSelectionDialog * fsd,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_font_selection_dialog_set_preview_text "<<std::endl;
#endif /* DEBUG */
fsd =( GtkFontSelectionDialog * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
gtk_font_selection_dialog_set_preview_text ( fsd,text);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_frame_get_type , args , , " GType gtk_frame_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_frame_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_frame_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_frame_new , args , , " GtkWidget* gtk_frame_new (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_frame_new (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_new "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_frame_new ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_frame_set_label , args , , " void gtk_frame_set_label (GtkFrame * frame,gchar * label); " )
{
GtkFrame *   frame ;
gchar *   label ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_frame_set_label (GtkFrame * frame,gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_set_label "<<std::endl;
#endif /* DEBUG */
frame =( GtkFrame * )args( 0 ).long_value();
label = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label ,args( 1 ).string_value().c_str());
gtk_frame_set_label ( frame,label);
return octave_value();
}
DEFUN_DLD( gtk_frame_get_label , args , , " gchar * gtk_frame_get_label (GtkFrame * frame); " )
{
GtkFrame *   frame ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_frame_get_label (GtkFrame * frame); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_get_label "<<std::endl;
#endif /* DEBUG */
frame =( GtkFrame * )args( 0 ).long_value();
string  ret_type( gtk_frame_get_label ( frame));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_frame_set_label_widget , args , , " void gtk_frame_set_label_widget (GtkFrame * frame,GtkWidget * label_widget); " )
{
GtkFrame *   frame ;
GtkWidget *   label_widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_frame_set_label_widget (GtkFrame * frame,GtkWidget * label_widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_set_label_widget "<<std::endl;
#endif /* DEBUG */
frame =( GtkFrame * )args( 0 ).long_value();
label_widget =( GtkWidget * )args( 1 ).long_value();
gtk_frame_set_label_widget ( frame,label_widget);
return octave_value();
}
DEFUN_DLD( gtk_frame_get_label_widget , args , , " GtkWidget * gtk_frame_get_label_widget (GtkFrame * frame); " )
{
GtkFrame *   frame ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget * gtk_frame_get_label_widget (GtkFrame * frame); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_get_label_widget "<<std::endl;
#endif /* DEBUG */
frame =( GtkFrame * )args( 0 ).long_value();
long int ret_type= (long int) gtk_frame_get_label_widget ( frame);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_frame_set_label_align , args , , " void gtk_frame_set_label_align (GtkFrame * frame,gfloat xalign,gfloat yalign); " )
{
GtkFrame *   frame ;
gfloat   xalign ;
gfloat   yalign ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_frame_set_label_align (GtkFrame * frame,gfloat xalign,gfloat yalign); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_set_label_align "<<std::endl;
#endif /* DEBUG */
frame =( GtkFrame * )args( 0 ).long_value();
xalign = (  gfloat  ) args( 1 ).double_value();
yalign = (  gfloat  ) args( 2 ).double_value();
gtk_frame_set_label_align ( frame,xalign,yalign);
return octave_value();
}
DEFUN_DLD( gtk_frame_get_label_align , args , , " void gtk_frame_get_label_align (GtkFrame * frame,gfloat * xalign,gfloat * yalign); " )
{
GtkFrame *   frame ;
gfloat *   xalign ;
gfloat *   yalign ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_frame_get_label_align (GtkFrame * frame,gfloat * xalign,gfloat * yalign); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_get_label_align "<<std::endl;
#endif /* DEBUG */
frame =( GtkFrame * )args( 0 ).long_value();
xalign =( gfloat * )args( 1 ).long_value();
yalign =( gfloat * )args( 2 ).long_value();
gtk_frame_get_label_align ( frame,xalign,yalign);
return octave_value();
}
DEFUN_DLD( gtk_frame_set_shadow_type , args , , " void gtk_frame_set_shadow_type (GtkFrame * frame,GtkShadowType type); " )
{
GtkFrame *   frame ;
GtkShadowType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_frame_set_shadow_type (GtkFrame * frame,GtkShadowType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_set_shadow_type "<<std::endl;
#endif /* DEBUG */
frame =( GtkFrame * )args( 0 ).long_value();
type = (  GtkShadowType  ) args( 1 ).long_value();
gtk_frame_set_shadow_type ( frame,type);
return octave_value();
}
DEFUN_DLD( gtk_frame_get_shadow_type , args , , " GtkShadowType gtk_frame_get_shadow_type (GtkFrame * frame); " )
{
GtkFrame *   frame ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkShadowType gtk_frame_get_shadow_type (GtkFrame * frame); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_frame_get_shadow_type "<<std::endl;
#endif /* DEBUG */
frame =( GtkFrame * )args( 0 ).long_value();
long int ret_type=(long int) gtk_frame_get_shadow_type ( frame);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_gamma_curve_get_type , args , , " GType gtk_gamma_curve_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_gamma_curve_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_gamma_curve_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_gamma_curve_new , args , , " GtkWidget* gtk_gamma_curve_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_gamma_curve_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_gamma_curve_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_gc_get , args , , " GdkGC* gtk_gc_get (gint depth,GdkColormap * colormap,GdkGCValues * values,GdkGCValuesMask values_mask); " )
{
gint   depth ;
GdkColormap *   colormap ;
GdkGCValues *   values ;
GdkGCValuesMask   values_mask ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GdkGC* gtk_gc_get (gint depth,GdkColormap * colormap,GdkGCValues * values,GdkGCValuesMask values_mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_gc_get "<<std::endl;
#endif /* DEBUG */
depth = (  gint  ) args( 0 ).int_value();
colormap =( GdkColormap * )args( 1 ).long_value();
values =( GdkGCValues * )args( 2 ).long_value();
values_mask = (  GdkGCValuesMask  ) args( 3 ).long_value();
long int ret_type= (long int) gtk_gc_get ( depth,colormap,values,values_mask);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_gc_release , args , , " void gtk_gc_release (GdkGC * gc); " )
{
GdkGC *   gc ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_gc_release (GdkGC * gc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_gc_release "<<std::endl;
#endif /* DEBUG */
gc =( GdkGC * )args( 0 ).long_value();
gtk_gc_release ( gc);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_handle_box_get_type , args , , " GType gtk_handle_box_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_handle_box_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_handle_box_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_handle_box_new , args , , " GtkWidget* gtk_handle_box_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_handle_box_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_handle_box_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_handle_box_set_shadow_type , args , , " void gtk_handle_box_set_shadow_type (GtkHandleBox * handle_box,GtkShadowType type); " )
{
GtkHandleBox *   handle_box ;
GtkShadowType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_handle_box_set_shadow_type (GtkHandleBox * handle_box,GtkShadowType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_handle_box_set_shadow_type "<<std::endl;
#endif /* DEBUG */
handle_box =( GtkHandleBox * )args( 0 ).long_value();
type = (  GtkShadowType  ) args( 1 ).long_value();
gtk_handle_box_set_shadow_type ( handle_box,type);
return octave_value();
}
DEFUN_DLD( gtk_handle_box_get_shadow_type , args , , " GtkShadowType gtk_handle_box_get_shadow_type (GtkHandleBox * handle_box); " )
{
GtkHandleBox *   handle_box ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkShadowType gtk_handle_box_get_shadow_type (GtkHandleBox * handle_box); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_handle_box_get_shadow_type "<<std::endl;
#endif /* DEBUG */
handle_box =( GtkHandleBox * )args( 0 ).long_value();
long int ret_type=(long int) gtk_handle_box_get_shadow_type ( handle_box);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_handle_box_set_handle_position , args , , " void gtk_handle_box_set_handle_position (GtkHandleBox * handle_box,GtkPositionType position); " )
{
GtkHandleBox *   handle_box ;
GtkPositionType   position ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_handle_box_set_handle_position (GtkHandleBox * handle_box,GtkPositionType position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_handle_box_set_handle_position "<<std::endl;
#endif /* DEBUG */
handle_box =( GtkHandleBox * )args( 0 ).long_value();
position = (  GtkPositionType  ) args( 1 ).long_value();
gtk_handle_box_set_handle_position ( handle_box,position);
return octave_value();
}
DEFUN_DLD( gtk_handle_box_get_handle_position , args , , " GtkPositionType gtk_handle_box_get_handle_position (GtkHandleBox * handle_box); " )
{
GtkHandleBox *   handle_box ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkPositionType gtk_handle_box_get_handle_position (GtkHandleBox * handle_box); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_handle_box_get_handle_position "<<std::endl;
#endif /* DEBUG */
handle_box =( GtkHandleBox * )args( 0 ).long_value();
long int ret_type=(long int) gtk_handle_box_get_handle_position ( handle_box);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_handle_box_set_snap_edge , args , , " void gtk_handle_box_set_snap_edge (GtkHandleBox * handle_box,GtkPositionType edge); " )
{
GtkHandleBox *   handle_box ;
GtkPositionType   edge ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_handle_box_set_snap_edge (GtkHandleBox * handle_box,GtkPositionType edge); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_handle_box_set_snap_edge "<<std::endl;
#endif /* DEBUG */
handle_box =( GtkHandleBox * )args( 0 ).long_value();
edge = (  GtkPositionType  ) args( 1 ).long_value();
gtk_handle_box_set_snap_edge ( handle_box,edge);
return octave_value();
}
DEFUN_DLD( gtk_handle_box_get_snap_edge , args , , " GtkPositionType gtk_handle_box_get_snap_edge (GtkHandleBox * handle_box); " )
{
GtkHandleBox *   handle_box ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkPositionType gtk_handle_box_get_snap_edge (GtkHandleBox * handle_box); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_handle_box_get_snap_edge "<<std::endl;
#endif /* DEBUG */
handle_box =( GtkHandleBox * )args( 0 ).long_value();
long int ret_type=(long int) gtk_handle_box_get_snap_edge ( handle_box);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hbutton_box_get_type , args , , " GType gtk_hbutton_box_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hbutton_box_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hbutton_box_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hbutton_box_new , args , , " GtkWidget* gtk_hbutton_box_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hbutton_box_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_hbutton_box_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hbutton_box_get_spacing_default , args , , " gint gtk_hbutton_box_get_spacing_default (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hbutton_box_get_spacing_default "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hbutton_box_get_spacing_default ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hbutton_box_get_layout_default , args , , " GtkButtonBoxStyle gtk_hbutton_box_get_layout_default (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hbutton_box_get_layout_default "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hbutton_box_get_layout_default ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_hbutton_box_set_spacing_default , args , , " void gtk_hbutton_box_set_spacing_default (gint spacing); " )
{
gint   spacing ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_hbutton_box_set_spacing_default (gint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_hbutton_box_set_spacing_default "<<std::endl;
#endif /* DEBUG */
spacing = (  gint  ) args( 0 ).int_value();
gtk_hbutton_box_set_spacing_default ( spacing);
return octave_value();
}
DEFUN_DLD( gtk_hbutton_box_set_layout_default , args , , " void gtk_hbutton_box_set_layout_default (GtkButtonBoxStyle layout); " )
{
GtkButtonBoxStyle   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_hbutton_box_set_layout_default (GtkButtonBoxStyle layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_hbutton_box_set_layout_default "<<std::endl;
#endif /* DEBUG */
layout = (  GtkButtonBoxStyle  ) args( 0 ).long_value();
gtk_hbutton_box_set_layout_default ( layout);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hbox_get_type , args , , " GType gtk_hbox_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hbox_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hbox_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_hbox_new , args , , " GtkWidget* gtk_hbox_new (gboolean homogeneous,gint spacing); " )
{
gboolean   homogeneous ;
gint   spacing ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_hbox_new (gboolean homogeneous,gint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_hbox_new "<<std::endl;
#endif /* DEBUG */
homogeneous = (  gboolean  ) args( 0 ).long_value();
spacing = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_hbox_new ( homogeneous,spacing);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hpaned_get_type , args , , " GType gtk_hpaned_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hpaned_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hpaned_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hpaned_new , args , , " GtkWidget * gtk_hpaned_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hpaned_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_hpaned_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hruler_get_type , args , , " GType gtk_hruler_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hruler_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hruler_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hruler_new , args , , " GtkWidget* gtk_hruler_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hruler_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_hruler_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hscale_get_type , args , , " GType gtk_hscale_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hscale_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hscale_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_hscale_new , args , , " GtkWidget* gtk_hscale_new (GtkAdjustment * adjustment); " )
{
GtkAdjustment *   adjustment ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_hscale_new (GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_hscale_new "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
long int ret_type= (long int) gtk_hscale_new ( adjustment);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_hscale_new_with_range , args , , " GtkWidget* gtk_hscale_new_with_range (gdouble min,gdouble max,gdouble step); " )
{
gdouble   min ;
gdouble   max ;
gdouble   step ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkWidget* gtk_hscale_new_with_range (gdouble min,gdouble max,gdouble step); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_hscale_new_with_range "<<std::endl;
#endif /* DEBUG */
min = (  gdouble  ) args( 0 ).double_value();
max = (  gdouble  ) args( 1 ).double_value();
step = (  gdouble  ) args( 2 ).double_value();
long int ret_type= (long int) gtk_hscale_new_with_range ( min,max,step);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hscrollbar_get_type , args , , " GType gtk_hscrollbar_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hscrollbar_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hscrollbar_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_hscrollbar_new , args , , " GtkWidget* gtk_hscrollbar_new (GtkAdjustment * adjustment); " )
{
GtkAdjustment *   adjustment ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_hscrollbar_new (GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_hscrollbar_new "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
long int ret_type= (long int) gtk_hscrollbar_new ( adjustment);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hseparator_get_type , args , , " GType gtk_hseparator_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hseparator_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_hseparator_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_hseparator_new , args , , " GtkWidget* gtk_hseparator_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_hseparator_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_hseparator_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_icon_factory_get_type , args , , " GType gtk_icon_factory_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_icon_factory_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_icon_factory_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_icon_factory_new , args , , " GtkIconFactory* gtk_icon_factory_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_icon_factory_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_icon_factory_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_factory_add , args , , " void gtk_icon_factory_add (GtkIconFactory * factory,gchar * stock_id,GtkIconSet * icon_set); " )
{
GtkIconFactory *   factory ;
gchar *   stock_id ;
GtkIconSet *   icon_set ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_icon_factory_add (GtkIconFactory * factory,gchar * stock_id,GtkIconSet * icon_set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_factory_add "<<std::endl;
#endif /* DEBUG */
factory =( GtkIconFactory * )args( 0 ).long_value();
stock_id = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 1 ).string_value().c_str());
icon_set =( GtkIconSet * )args( 2 ).long_value();
gtk_icon_factory_add ( factory,stock_id,icon_set);
return octave_value();
}
DEFUN_DLD( gtk_icon_factory_lookup , args , , " GtkIconSet* gtk_icon_factory_lookup (GtkIconFactory * factory,gchar * stock_id); " )
{
GtkIconFactory *   factory ;
gchar *   stock_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkIconSet* gtk_icon_factory_lookup (GtkIconFactory * factory,gchar * stock_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_factory_lookup "<<std::endl;
#endif /* DEBUG */
factory =( GtkIconFactory * )args( 0 ).long_value();
stock_id = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_icon_factory_lookup ( factory,stock_id);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_factory_add_default , args , , " void gtk_icon_factory_add_default (GtkIconFactory * factory); " )
{
GtkIconFactory *   factory ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_icon_factory_add_default (GtkIconFactory * factory); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_factory_add_default "<<std::endl;
#endif /* DEBUG */
factory =( GtkIconFactory * )args( 0 ).long_value();
gtk_icon_factory_add_default ( factory);
return octave_value();
}
DEFUN_DLD( gtk_icon_factory_remove_default , args , , " void gtk_icon_factory_remove_default (GtkIconFactory * factory); " )
{
GtkIconFactory *   factory ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_icon_factory_remove_default (GtkIconFactory * factory); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_factory_remove_default "<<std::endl;
#endif /* DEBUG */
factory =( GtkIconFactory * )args( 0 ).long_value();
gtk_icon_factory_remove_default ( factory);
return octave_value();
}
DEFUN_DLD( gtk_icon_factory_lookup_default , args , , " GtkIconSet* gtk_icon_factory_lookup_default (gchar * stock_id); " )
{
gchar *   stock_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkIconSet* gtk_icon_factory_lookup_default (gchar * stock_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_factory_lookup_default "<<std::endl;
#endif /* DEBUG */
stock_id = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_icon_factory_lookup_default ( stock_id);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_size_lookup , args , , " gboolean gtk_icon_size_lookup (GtkIconSize size,gint * width,gint * height); " )
{
GtkIconSize   size ;
gint *   width ;
gint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_icon_size_lookup (GtkIconSize size,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_size_lookup "<<std::endl;
#endif /* DEBUG */
size = (  GtkIconSize  ) args( 0 ).long_value();
width =( gint * )args( 1 ).long_value();
height =( gint * )args( 2 ).long_value();
long int ret_type=(long int) gtk_icon_size_lookup ( size,width,height);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_size_lookup_for_settings , args , , " gboolean gtk_icon_size_lookup_for_settings (GtkSettings * settings,GtkIconSize size,gint * width,gint * height); " )
{
GtkSettings *   settings ;
GtkIconSize   size ;
gint *   width ;
gint *   height ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_icon_size_lookup_for_settings (GtkSettings * settings,GtkIconSize size,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_size_lookup_for_settings "<<std::endl;
#endif /* DEBUG */
settings =( GtkSettings * )args( 0 ).long_value();
size = (  GtkIconSize  ) args( 1 ).long_value();
width =( gint * )args( 2 ).long_value();
height =( gint * )args( 3 ).long_value();
long int ret_type=(long int) gtk_icon_size_lookup_for_settings ( settings,size,width,height);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_size_register , args , , " GtkIconSize gtk_icon_size_register (gchar * name,gint width,gint height); " )
{
gchar *   name ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkIconSize gtk_icon_size_register (gchar * name,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_size_register "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_icon_size_register ( name,width,height);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_size_register_alias , args , , " void gtk_icon_size_register_alias (gchar * alias,GtkIconSize target); " )
{
gchar *   alias ;
GtkIconSize   target ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_size_register_alias (gchar * alias,GtkIconSize target); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_size_register_alias "<<std::endl;
#endif /* DEBUG */
alias = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) alias ,args( 0 ).string_value().c_str());
target = (  GtkIconSize  ) args( 1 ).long_value();
gtk_icon_size_register_alias ( alias,target);
return octave_value();
}
DEFUN_DLD( gtk_icon_size_from_name , args , , " GtkIconSize gtk_icon_size_from_name (gchar * name); " )
{
gchar *   name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkIconSize gtk_icon_size_from_name (gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_size_from_name "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
long int ret_type=(long int) gtk_icon_size_from_name ( name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_size_get_name , args , , " gchar* gtk_icon_size_get_name (GtkIconSize size); " )
{
GtkIconSize   size ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_icon_size_get_name (GtkIconSize size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_size_get_name "<<std::endl;
#endif /* DEBUG */
size = (  GtkIconSize  ) args( 0 ).long_value();
string  ret_type( gtk_icon_size_get_name ( size));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_icon_set_get_type , args , , " GType gtk_icon_set_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_icon_set_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_icon_set_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_icon_set_new , args , , " GtkIconSet* gtk_icon_set_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_icon_set_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_icon_set_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_set_new_from_pixbuf , args , , " GtkIconSet* gtk_icon_set_new_from_pixbuf (GdkPixbuf * pixbuf); " )
{
GdkPixbuf *   pixbuf ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkIconSet* gtk_icon_set_new_from_pixbuf (GdkPixbuf * pixbuf); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_set_new_from_pixbuf "<<std::endl;
#endif /* DEBUG */
pixbuf =( GdkPixbuf * )args( 0 ).long_value();
long int ret_type= (long int) gtk_icon_set_new_from_pixbuf ( pixbuf);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_set_ref , args , , " GtkIconSet* gtk_icon_set_ref (GtkIconSet * icon_set); " )
{
GtkIconSet *   icon_set ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkIconSet* gtk_icon_set_ref (GtkIconSet * icon_set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_set_ref "<<std::endl;
#endif /* DEBUG */
icon_set =( GtkIconSet * )args( 0 ).long_value();
long int ret_type= (long int) gtk_icon_set_ref ( icon_set);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_set_unref , args , , " void gtk_icon_set_unref (GtkIconSet * icon_set); " )
{
GtkIconSet *   icon_set ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_icon_set_unref (GtkIconSet * icon_set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_set_unref "<<std::endl;
#endif /* DEBUG */
icon_set =( GtkIconSet * )args( 0 ).long_value();
gtk_icon_set_unref ( icon_set);
return octave_value();
}
DEFUN_DLD( gtk_icon_set_copy , args , , " GtkIconSet* gtk_icon_set_copy (GtkIconSet * icon_set); " )
{
GtkIconSet *   icon_set ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkIconSet* gtk_icon_set_copy (GtkIconSet * icon_set); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_set_copy "<<std::endl;
#endif /* DEBUG */
icon_set =( GtkIconSet * )args( 0 ).long_value();
long int ret_type= (long int) gtk_icon_set_copy ( icon_set);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_set_render_icon , args , , " GdkPixbuf* gtk_icon_set_render_icon (GtkIconSet * icon_set,GtkStyle * style,GtkTextDirection direction,GtkStateType state,GtkIconSize size,GtkWidget * widget,char * detail); " )
{
GtkIconSet *   icon_set ;
GtkStyle *   style ;
GtkTextDirection   direction ;
GtkStateType   state ;
GtkIconSize   size ;
GtkWidget *   widget ;
char *   detail ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  GdkPixbuf* gtk_icon_set_render_icon (GtkIconSet * icon_set,GtkStyle * style,GtkTextDirection direction,GtkStateType state,GtkIconSize size,GtkWidget * widget,char * detail); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_set_render_icon "<<std::endl;
#endif /* DEBUG */
icon_set =( GtkIconSet * )args( 0 ).long_value();
style =( GtkStyle * )args( 1 ).long_value();
direction = (  GtkTextDirection  ) args( 2 ).long_value();
state = (  GtkStateType  ) args( 3 ).long_value();
size = (  GtkIconSize  ) args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  char   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
long int ret_type= (long int) gtk_icon_set_render_icon ( icon_set,style,direction,state,size,widget,detail);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_set_add_source , args , , " void gtk_icon_set_add_source (GtkIconSet * icon_set,GtkIconSource * source); " )
{
GtkIconSet *   icon_set ;
GtkIconSource *   source ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_set_add_source (GtkIconSet * icon_set,GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_set_add_source "<<std::endl;
#endif /* DEBUG */
icon_set =( GtkIconSet * )args( 0 ).long_value();
source =( GtkIconSource * )args( 1 ).long_value();
gtk_icon_set_add_source ( icon_set,source);
return octave_value();
}
/* overriden: gtk_icon_set_get_sizes  */
/* void: zero arguments taken */
DEFUN_DLD( gtk_icon_source_get_type , args , , " GType gtk_icon_source_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_icon_source_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_icon_source_new , args , , " GtkIconSource* gtk_icon_source_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_icon_source_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_icon_source_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_copy , args , , " GtkIconSource* gtk_icon_source_copy (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkIconSource* gtk_icon_source_copy (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_copy "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
long int ret_type= (long int) gtk_icon_source_copy ( source);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_free , args , , " void gtk_icon_source_free (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_icon_source_free (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_free "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
gtk_icon_source_free ( source);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_set_filename , args , , " void gtk_icon_source_set_filename (GtkIconSource * source,gchar * filename); " )
{
GtkIconSource *   source ;
gchar *   filename ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_source_set_filename (GtkIconSource * source,gchar * filename); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_set_filename "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
filename = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) filename ,args( 1 ).string_value().c_str());
gtk_icon_source_set_filename ( source,filename);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_set_pixbuf , args , , " void gtk_icon_source_set_pixbuf (GtkIconSource * source,GdkPixbuf * pixbuf); " )
{
GtkIconSource *   source ;
GdkPixbuf *   pixbuf ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_source_set_pixbuf (GtkIconSource * source,GdkPixbuf * pixbuf); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_set_pixbuf "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
pixbuf =( GdkPixbuf * )args( 1 ).long_value();
gtk_icon_source_set_pixbuf ( source,pixbuf);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_get_filename , args , , " gchar* gtk_icon_source_get_filename (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_icon_source_get_filename (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_filename "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
string  ret_type( gtk_icon_source_get_filename ( source));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_get_pixbuf , args , , " GdkPixbuf* gtk_icon_source_get_pixbuf (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkPixbuf* gtk_icon_source_get_pixbuf (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_pixbuf "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
long int ret_type= (long int) gtk_icon_source_get_pixbuf ( source);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_set_direction_wildcarded , args , , " void gtk_icon_source_set_direction_wildcarded (GtkIconSource * source,gboolean setting); " )
{
GtkIconSource *   source ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_source_set_direction_wildcarded (GtkIconSource * source,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_set_direction_wildcarded "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_icon_source_set_direction_wildcarded ( source,setting);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_set_state_wildcarded , args , , " void gtk_icon_source_set_state_wildcarded (GtkIconSource * source,gboolean setting); " )
{
GtkIconSource *   source ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_source_set_state_wildcarded (GtkIconSource * source,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_set_state_wildcarded "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_icon_source_set_state_wildcarded ( source,setting);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_set_size_wildcarded , args , , " void gtk_icon_source_set_size_wildcarded (GtkIconSource * source,gboolean setting); " )
{
GtkIconSource *   source ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_source_set_size_wildcarded (GtkIconSource * source,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_set_size_wildcarded "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_icon_source_set_size_wildcarded ( source,setting);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_get_size_wildcarded , args , , " gboolean gtk_icon_source_get_size_wildcarded (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_icon_source_get_size_wildcarded (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_size_wildcarded "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
long int ret_type=(long int) gtk_icon_source_get_size_wildcarded ( source);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_get_state_wildcarded , args , , " gboolean gtk_icon_source_get_state_wildcarded (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_icon_source_get_state_wildcarded (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_state_wildcarded "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
long int ret_type=(long int) gtk_icon_source_get_state_wildcarded ( source);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_get_direction_wildcarded , args , , " gboolean gtk_icon_source_get_direction_wildcarded (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_icon_source_get_direction_wildcarded (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_direction_wildcarded "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
long int ret_type=(long int) gtk_icon_source_get_direction_wildcarded ( source);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_set_direction , args , , " void gtk_icon_source_set_direction (GtkIconSource * source,GtkTextDirection direction); " )
{
GtkIconSource *   source ;
GtkTextDirection   direction ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_source_set_direction (GtkIconSource * source,GtkTextDirection direction); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_set_direction "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
direction = (  GtkTextDirection  ) args( 1 ).long_value();
gtk_icon_source_set_direction ( source,direction);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_set_state , args , , " void gtk_icon_source_set_state (GtkIconSource * source,GtkStateType state); " )
{
GtkIconSource *   source ;
GtkStateType   state ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_source_set_state (GtkIconSource * source,GtkStateType state); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_set_state "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
state = (  GtkStateType  ) args( 1 ).long_value();
gtk_icon_source_set_state ( source,state);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_set_size , args , , " void gtk_icon_source_set_size (GtkIconSource * source,GtkIconSize size); " )
{
GtkIconSource *   source ;
GtkIconSize   size ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_icon_source_set_size (GtkIconSource * source,GtkIconSize size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_set_size "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
size = (  GtkIconSize  ) args( 1 ).long_value();
gtk_icon_source_set_size ( source,size);
return octave_value();
}
DEFUN_DLD( gtk_icon_source_get_direction , args , , " GtkTextDirection gtk_icon_source_get_direction (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextDirection gtk_icon_source_get_direction (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_direction "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
long int ret_type=(long int) gtk_icon_source_get_direction ( source);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_get_state , args , , " GtkStateType gtk_icon_source_get_state (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkStateType gtk_icon_source_get_state (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_state "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
long int ret_type=(long int) gtk_icon_source_get_state ( source);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_icon_source_get_size , args , , " GtkIconSize gtk_icon_source_get_size (GtkIconSource * source); " )
{
GtkIconSource *   source ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkIconSize gtk_icon_source_get_size (GtkIconSource * source); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_icon_source_get_size "<<std::endl;
#endif /* DEBUG */
source =( GtkIconSource * )args( 0 ).long_value();
long int ret_type=(long int) gtk_icon_source_get_size ( source);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_image_get_type , args , , " GType gtk_image_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_image_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_image_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_image_new , args , , " GtkWidget* gtk_image_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_image_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_image_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_new_from_pixmap , args , , " GtkWidget* gtk_image_new_from_pixmap (GdkPixmap * pixmap,GdkBitmap * mask); " )
{
GdkPixmap *   pixmap ;
GdkBitmap *   mask ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_new_from_pixmap (GdkPixmap * pixmap,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_new_from_pixmap "<<std::endl;
#endif /* DEBUG */
pixmap =( GdkPixmap * )args( 0 ).long_value();
mask =( GdkBitmap * )args( 1 ).long_value();
long int ret_type= (long int) gtk_image_new_from_pixmap ( pixmap,mask);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_new_from_image , args , , " GtkWidget* gtk_image_new_from_image (GdkImage * image,GdkBitmap * mask); " )
{
GdkImage *   image ;
GdkBitmap *   mask ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_new_from_image (GdkImage * image,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_new_from_image "<<std::endl;
#endif /* DEBUG */
image =( GdkImage * )args( 0 ).long_value();
mask =( GdkBitmap * )args( 1 ).long_value();
long int ret_type= (long int) gtk_image_new_from_image ( image,mask);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_new_from_file , args , , " GtkWidget* gtk_image_new_from_file (gchar * filename); " )
{
gchar *   filename ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_new_from_file (gchar * filename); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_new_from_file "<<std::endl;
#endif /* DEBUG */
filename = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) filename ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_image_new_from_file ( filename);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_new_from_pixbuf , args , , " GtkWidget* gtk_image_new_from_pixbuf (GdkPixbuf * pixbuf); " )
{
GdkPixbuf *   pixbuf ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_new_from_pixbuf (GdkPixbuf * pixbuf); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_new_from_pixbuf "<<std::endl;
#endif /* DEBUG */
pixbuf =( GdkPixbuf * )args( 0 ).long_value();
long int ret_type= (long int) gtk_image_new_from_pixbuf ( pixbuf);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_new_from_stock , args , , " GtkWidget* gtk_image_new_from_stock (gchar * stock_id,GtkIconSize size); " )
{
gchar *   stock_id ;
GtkIconSize   size ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_new_from_stock (gchar * stock_id,GtkIconSize size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_new_from_stock "<<std::endl;
#endif /* DEBUG */
stock_id = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 0 ).string_value().c_str());
size = (  GtkIconSize  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_image_new_from_stock ( stock_id,size);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_new_from_icon_set , args , , " GtkWidget* gtk_image_new_from_icon_set (GtkIconSet * icon_set,GtkIconSize size); " )
{
GtkIconSet *   icon_set ;
GtkIconSize   size ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_new_from_icon_set (GtkIconSet * icon_set,GtkIconSize size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_new_from_icon_set "<<std::endl;
#endif /* DEBUG */
icon_set =( GtkIconSet * )args( 0 ).long_value();
size = (  GtkIconSize  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_image_new_from_icon_set ( icon_set,size);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_new_from_animation , args , , " GtkWidget* gtk_image_new_from_animation (GdkPixbufAnimation * animation); " )
{
GdkPixbufAnimation *   animation ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_new_from_animation (GdkPixbufAnimation * animation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_new_from_animation "<<std::endl;
#endif /* DEBUG */
animation =( GdkPixbufAnimation * )args( 0 ).long_value();
long int ret_type= (long int) gtk_image_new_from_animation ( animation);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_set_from_pixmap , args , , " void gtk_image_set_from_pixmap (GtkImage * image,GdkPixmap * pixmap,GdkBitmap * mask); " )
{
GtkImage *   image ;
GdkPixmap *   pixmap ;
GdkBitmap *   mask ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_image_set_from_pixmap (GtkImage * image,GdkPixmap * pixmap,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_set_from_pixmap "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
pixmap =( GdkPixmap * )args( 1 ).long_value();
mask =( GdkBitmap * )args( 2 ).long_value();
gtk_image_set_from_pixmap ( image,pixmap,mask);
return octave_value();
}
DEFUN_DLD( gtk_image_set_from_image , args , , " void gtk_image_set_from_image (GtkImage * image,GdkImage * gdk_image,GdkBitmap * mask); " )
{
GtkImage *   image ;
GdkImage *   gdk_image ;
GdkBitmap *   mask ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_image_set_from_image (GtkImage * image,GdkImage * gdk_image,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_set_from_image "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
gdk_image =( GdkImage * )args( 1 ).long_value();
mask =( GdkBitmap * )args( 2 ).long_value();
gtk_image_set_from_image ( image,gdk_image,mask);
return octave_value();
}
DEFUN_DLD( gtk_image_set_from_file , args , , " void gtk_image_set_from_file (GtkImage * image,gchar * filename); " )
{
GtkImage *   image ;
gchar *   filename ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_image_set_from_file (GtkImage * image,gchar * filename); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_set_from_file "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
filename = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) filename ,args( 1 ).string_value().c_str());
gtk_image_set_from_file ( image,filename);
return octave_value();
}
DEFUN_DLD( gtk_image_set_from_pixbuf , args , , " void gtk_image_set_from_pixbuf (GtkImage * image,GdkPixbuf * pixbuf); " )
{
GtkImage *   image ;
GdkPixbuf *   pixbuf ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_image_set_from_pixbuf (GtkImage * image,GdkPixbuf * pixbuf); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_set_from_pixbuf "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
pixbuf =( GdkPixbuf * )args( 1 ).long_value();
gtk_image_set_from_pixbuf ( image,pixbuf);
return octave_value();
}
DEFUN_DLD( gtk_image_set_from_stock , args , , " void gtk_image_set_from_stock (GtkImage * image,gchar * stock_id,GtkIconSize size); " )
{
GtkImage *   image ;
gchar *   stock_id ;
GtkIconSize   size ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_image_set_from_stock (GtkImage * image,gchar * stock_id,GtkIconSize size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_set_from_stock "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
stock_id = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 1 ).string_value().c_str());
size = (  GtkIconSize  ) args( 2 ).long_value();
gtk_image_set_from_stock ( image,stock_id,size);
return octave_value();
}
DEFUN_DLD( gtk_image_set_from_icon_set , args , , " void gtk_image_set_from_icon_set (GtkImage * image,GtkIconSet * icon_set,GtkIconSize size); " )
{
GtkImage *   image ;
GtkIconSet *   icon_set ;
GtkIconSize   size ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_image_set_from_icon_set (GtkImage * image,GtkIconSet * icon_set,GtkIconSize size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_set_from_icon_set "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
icon_set =( GtkIconSet * )args( 1 ).long_value();
size = (  GtkIconSize  ) args( 2 ).long_value();
gtk_image_set_from_icon_set ( image,icon_set,size);
return octave_value();
}
DEFUN_DLD( gtk_image_set_from_animation , args , , " void gtk_image_set_from_animation (GtkImage * image,GdkPixbufAnimation * animation); " )
{
GtkImage *   image ;
GdkPixbufAnimation *   animation ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_image_set_from_animation (GtkImage * image,GdkPixbufAnimation * animation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_set_from_animation "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
animation =( GdkPixbufAnimation * )args( 1 ).long_value();
gtk_image_set_from_animation ( image,animation);
return octave_value();
}
DEFUN_DLD( gtk_image_get_storage_type , args , , " GtkImageType gtk_image_get_storage_type (GtkImage * image); " )
{
GtkImage *   image ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkImageType gtk_image_get_storage_type (GtkImage * image); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_get_storage_type "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
long int ret_type=(long int) gtk_image_get_storage_type ( image);
return octave_value(ret_type);
}
/* overriden: gtk_image_get_pixmap  */
/* overriden: gtk_image_get_image  */
/* overriden: gtk_image_get_pixbuf  */
/* overriden: gtk_image_get_stock  */
/* overriden: gtk_image_get_icon_set  */
DEFUN_DLD( gtk_image_get_animation , args , , " GdkPixbufAnimation* gtk_image_get_animation (GtkImage * image); " )
{
GtkImage *   image ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkPixbufAnimation* gtk_image_get_animation (GtkImage * image); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_get_animation "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
long int ret_type= (long int) gtk_image_get_animation ( image);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_set , args , , " void gtk_image_set (GtkImage * image,GdkImage * val,GdkBitmap * mask); " )
{
GtkImage *   image ;
GdkImage *   val ;
GdkBitmap *   mask ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_image_set (GtkImage * image,GdkImage * val,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_set "<<std::endl;
#endif /* DEBUG */
image =( GtkImage * )args( 0 ).long_value();
val =( GdkImage * )args( 1 ).long_value();
mask =( GdkBitmap * )args( 2 ).long_value();
gtk_image_set ( image,val,mask);
return octave_value();
}
/* overriden: gtk_image_get  */
/* void: zero arguments taken */
DEFUN_DLD( gtk_image_menu_item_get_type , args , , " GType gtk_image_menu_item_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_image_menu_item_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_image_menu_item_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_image_menu_item_new , args , , " GtkWidget* gtk_image_menu_item_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_image_menu_item_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_image_menu_item_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_menu_item_new_with_label , args , , " GtkWidget* gtk_image_menu_item_new_with_label (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_menu_item_new_with_label (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_menu_item_new_with_label "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_image_menu_item_new_with_label ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_menu_item_new_with_mnemonic , args , , " GtkWidget* gtk_image_menu_item_new_with_mnemonic (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_menu_item_new_with_mnemonic (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_menu_item_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_image_menu_item_new_with_mnemonic ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_menu_item_new_from_stock , args , , " GtkWidget* gtk_image_menu_item_new_from_stock (gchar * stock_id,GtkAccelGroup * accel_group); " )
{
gchar *   stock_id ;
GtkAccelGroup *   accel_group ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_menu_item_new_from_stock (gchar * stock_id,GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_menu_item_new_from_stock "<<std::endl;
#endif /* DEBUG */
stock_id = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 0 ).string_value().c_str());
accel_group =( GtkAccelGroup * )args( 1 ).long_value();
long int ret_type= (long int) gtk_image_menu_item_new_from_stock ( stock_id,accel_group);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_image_menu_item_set_image , args , , " void gtk_image_menu_item_set_image (GtkImageMenuItem * image_menu_item,GtkWidget * image); " )
{
GtkImageMenuItem *   image_menu_item ;
GtkWidget *   image ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_image_menu_item_set_image (GtkImageMenuItem * image_menu_item,GtkWidget * image); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_menu_item_set_image "<<std::endl;
#endif /* DEBUG */
image_menu_item =( GtkImageMenuItem * )args( 0 ).long_value();
image =( GtkWidget * )args( 1 ).long_value();
gtk_image_menu_item_set_image ( image_menu_item,image);
return octave_value();
}
DEFUN_DLD( gtk_image_menu_item_get_image , args , , " GtkWidget* gtk_image_menu_item_get_image (GtkImageMenuItem * image_menu_item); " )
{
GtkImageMenuItem *   image_menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_image_menu_item_get_image (GtkImageMenuItem * image_menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_image_menu_item_get_image "<<std::endl;
#endif /* DEBUG */
image_menu_item =( GtkImageMenuItem * )args( 0 ).long_value();
long int ret_type= (long int) gtk_image_menu_item_get_image ( image_menu_item);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_im_context_get_type , args , , " GType gtk_im_context_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_im_context_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_im_context_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_im_context_set_client_window , args , , " void gtk_im_context_set_client_window (GtkIMContext * context,GdkWindow * window); " )
{
GtkIMContext *   context ;
GdkWindow *   window ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_im_context_set_client_window (GtkIMContext * context,GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_set_client_window "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
gtk_im_context_set_client_window ( context,window);
return octave_value();
}
/* overriden: gtk_im_context_get_preedit_string  */
DEFUN_DLD( gtk_im_context_filter_keypress , args , , " gboolean gtk_im_context_filter_keypress (GtkIMContext * context,GdkEventKey * event); " )
{
GtkIMContext *   context ;
GdkEventKey *   event ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_im_context_filter_keypress (GtkIMContext * context,GdkEventKey * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_filter_keypress "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
event =( GdkEventKey * )args( 1 ).long_value();
long int ret_type=(long int) gtk_im_context_filter_keypress ( context,event);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_im_context_focus_in , args , , " void gtk_im_context_focus_in (GtkIMContext * context); " )
{
GtkIMContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_im_context_focus_in (GtkIMContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_focus_in "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
gtk_im_context_focus_in ( context);
return octave_value();
}
DEFUN_DLD( gtk_im_context_focus_out , args , , " void gtk_im_context_focus_out (GtkIMContext * context); " )
{
GtkIMContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_im_context_focus_out (GtkIMContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_focus_out "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
gtk_im_context_focus_out ( context);
return octave_value();
}
DEFUN_DLD( gtk_im_context_reset , args , , " void gtk_im_context_reset (GtkIMContext * context); " )
{
GtkIMContext *   context ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_im_context_reset (GtkIMContext * context); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_reset "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
gtk_im_context_reset ( context);
return octave_value();
}
DEFUN_DLD( gtk_im_context_set_cursor_location , args , , " void gtk_im_context_set_cursor_location (GtkIMContext * context,GdkRectangle * area); " )
{
GtkIMContext *   context ;
GdkRectangle *   area ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_im_context_set_cursor_location (GtkIMContext * context,GdkRectangle * area); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_set_cursor_location "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
area =( GdkRectangle * )args( 1 ).long_value();
gtk_im_context_set_cursor_location ( context,area);
return octave_value();
}
DEFUN_DLD( gtk_im_context_set_use_preedit , args , , " void gtk_im_context_set_use_preedit (GtkIMContext * context,gboolean use_preedit); " )
{
GtkIMContext *   context ;
gboolean   use_preedit ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_im_context_set_use_preedit (GtkIMContext * context,gboolean use_preedit); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_set_use_preedit "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
use_preedit = (  gboolean  ) args( 1 ).long_value();
gtk_im_context_set_use_preedit ( context,use_preedit);
return octave_value();
}
DEFUN_DLD( gtk_im_context_set_surrounding , args , , " void gtk_im_context_set_surrounding (GtkIMContext * context,gchar * text,gint len,gint cursor_index); " )
{
GtkIMContext *   context ;
gchar *   text ;
gint   len ;
gint   cursor_index ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_im_context_set_surrounding (GtkIMContext * context,gchar * text,gint len,gint cursor_index); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_set_surrounding "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
len = (  gint  ) args( 2 ).int_value();
cursor_index = (  gint  ) args( 3 ).int_value();
gtk_im_context_set_surrounding ( context,text,len,cursor_index);
return octave_value();
}
/* overriden: gtk_im_context_get_surrounding  */
DEFUN_DLD( gtk_im_context_delete_surrounding , args , , " gboolean gtk_im_context_delete_surrounding (GtkIMContext * context,gint offset,gint n_chars); " )
{
GtkIMContext *   context ;
gint   offset ;
gint   n_chars ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_im_context_delete_surrounding (GtkIMContext * context,gint offset,gint n_chars); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_delete_surrounding "<<std::endl;
#endif /* DEBUG */
context =( GtkIMContext * )args( 0 ).long_value();
offset = (  gint  ) args( 1 ).int_value();
n_chars = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_im_context_delete_surrounding ( context,offset,n_chars);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_im_context_simple_get_type , args , , " GType gtk_im_context_simple_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_im_context_simple_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_im_context_simple_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_im_context_simple_new , args , , " GtkIMContext * gtk_im_context_simple_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_im_context_simple_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_im_context_simple_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_im_context_simple_add_table , args , , " void gtk_im_context_simple_add_table (GtkIMContextSimple * context_simple,guint16 * data,gint max_seq_len,gint n_seqs); " )
{
GtkIMContextSimple *   context_simple ;
guint16 *   data ;
gint   max_seq_len ;
gint   n_seqs ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_im_context_simple_add_table (GtkIMContextSimple * context_simple,guint16 * data,gint max_seq_len,gint n_seqs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_context_simple_add_table "<<std::endl;
#endif /* DEBUG */
context_simple =( GtkIMContextSimple * )args( 0 ).long_value();
data =( guint16 * )args( 1 ).long_value();
max_seq_len = (  gint  ) args( 2 ).int_value();
n_seqs = (  gint  ) args( 3 ).int_value();
gtk_im_context_simple_add_table ( context_simple,data,max_seq_len,n_seqs);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_im_multicontext_get_type , args , , " GType gtk_im_multicontext_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_im_multicontext_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_im_multicontext_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_im_multicontext_new , args , , " GtkIMContext * gtk_im_multicontext_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_im_multicontext_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_im_multicontext_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_im_multicontext_append_menuitems , args , , " void gtk_im_multicontext_append_menuitems (GtkIMMulticontext * context,GtkMenuShell * menushell); " )
{
GtkIMMulticontext *   context ;
GtkMenuShell *   menushell ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_im_multicontext_append_menuitems (GtkIMMulticontext * context,GtkMenuShell * menushell); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_im_multicontext_append_menuitems "<<std::endl;
#endif /* DEBUG */
context =( GtkIMMulticontext * )args( 0 ).long_value();
menushell =( GtkMenuShell * )args( 1 ).long_value();
gtk_im_multicontext_append_menuitems ( context,menushell);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_input_dialog_get_type , args , , " GType gtk_input_dialog_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_input_dialog_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_input_dialog_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_input_dialog_new , args , , " GtkWidget* gtk_input_dialog_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_input_dialog_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_input_dialog_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_invisible_get_type , args , , " GType gtk_invisible_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_invisible_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_invisible_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_invisible_new , args , , " GtkWidget* gtk_invisible_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_invisible_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_invisible_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_invisible_new_for_screen , args , , " GtkWidget* gtk_invisible_new_for_screen (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_invisible_new_for_screen (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_invisible_new_for_screen "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gtk_invisible_new_for_screen ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_invisible_set_screen , args , , " void gtk_invisible_set_screen (GtkInvisible * invisible,GdkScreen * screen); " )
{
GtkInvisible *   invisible ;
GdkScreen *   screen ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_invisible_set_screen (GtkInvisible * invisible,GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_invisible_set_screen "<<std::endl;
#endif /* DEBUG */
invisible =( GtkInvisible * )args( 0 ).long_value();
screen =( GdkScreen * )args( 1 ).long_value();
gtk_invisible_set_screen ( invisible,screen);
return octave_value();
}
DEFUN_DLD( gtk_invisible_get_screen , args , , " GdkScreen* gtk_invisible_get_screen (GtkInvisible * invisible); " )
{
GtkInvisible *   invisible ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen* gtk_invisible_get_screen (GtkInvisible * invisible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_invisible_get_screen "<<std::endl;
#endif /* DEBUG */
invisible =( GtkInvisible * )args( 0 ).long_value();
long int ret_type= (long int) gtk_invisible_get_screen ( invisible);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_item_factory_get_type , args , , " GType gtk_item_factory_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_item_factory_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_item_factory_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_new , args , , " GtkItemFactory* gtk_item_factory_new (GType container_type,gchar * path,GtkAccelGroup * accel_group); " )
{
GType   container_type ;
gchar *   path ;
GtkAccelGroup *   accel_group ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkItemFactory* gtk_item_factory_new (GType container_type,gchar * path,GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_new "<<std::endl;
#endif /* DEBUG */
container_type = (  GType  ) args( 0 ).long_value();
path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) path ,args( 1 ).string_value().c_str());
accel_group =( GtkAccelGroup * )args( 2 ).long_value();
long int ret_type= (long int) gtk_item_factory_new ( container_type,path,accel_group);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_construct , args , , " void gtk_item_factory_construct (GtkItemFactory * ifactory,GType container_type,gchar * path,GtkAccelGroup * accel_group); " )
{
GtkItemFactory *   ifactory ;
GType   container_type ;
gchar *   path ;
GtkAccelGroup *   accel_group ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_item_factory_construct (GtkItemFactory * ifactory,GType container_type,gchar * path,GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_construct "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
container_type = (  GType  ) args( 1 ).long_value();
path = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) path ,args( 2 ).string_value().c_str());
accel_group =( GtkAccelGroup * )args( 3 ).long_value();
gtk_item_factory_construct ( ifactory,container_type,path,accel_group);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_add_foreign , args , , " void gtk_item_factory_add_foreign (GtkWidget * accel_widget,gchar * full_path,GtkAccelGroup * accel_group,guint keyval,GdkModifierType modifiers); " )
{
GtkWidget *   accel_widget ;
gchar *   full_path ;
GtkAccelGroup *   accel_group ;
guint   keyval ;
GdkModifierType   modifiers ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_item_factory_add_foreign (GtkWidget * accel_widget,gchar * full_path,GtkAccelGroup * accel_group,guint keyval,GdkModifierType modifiers); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_add_foreign "<<std::endl;
#endif /* DEBUG */
accel_widget =( GtkWidget * )args( 0 ).long_value();
full_path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) full_path ,args( 1 ).string_value().c_str());
accel_group =( GtkAccelGroup * )args( 2 ).long_value();
keyval = (  guint  ) args( 3 ).int_value();
modifiers = (  GdkModifierType  ) args( 4 ).long_value();
gtk_item_factory_add_foreign ( accel_widget,full_path,accel_group,keyval,modifiers);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_from_widget , args , , " GtkItemFactory* gtk_item_factory_from_widget (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkItemFactory* gtk_item_factory_from_widget (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_from_widget "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_item_factory_from_widget ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_path_from_widget , args , , " gchar* gtk_item_factory_path_from_widget (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_item_factory_path_from_widget (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_path_from_widget "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
string  ret_type( gtk_item_factory_path_from_widget ( widget));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_get_item , args , , " GtkWidget* gtk_item_factory_get_item (GtkItemFactory * ifactory,gchar * path); " )
{
GtkItemFactory *   ifactory ;
gchar *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_item_factory_get_item (GtkItemFactory * ifactory,gchar * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_get_item "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) path ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_item_factory_get_item ( ifactory,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_get_widget , args , , " GtkWidget* gtk_item_factory_get_widget (GtkItemFactory * ifactory,gchar * path); " )
{
GtkItemFactory *   ifactory ;
gchar *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_item_factory_get_widget (GtkItemFactory * ifactory,gchar * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_get_widget "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) path ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_item_factory_get_widget ( ifactory,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_get_widget_by_action , args , , " GtkWidget* gtk_item_factory_get_widget_by_action (GtkItemFactory * ifactory,guint action); " )
{
GtkItemFactory *   ifactory ;
guint   action ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_item_factory_get_widget_by_action (GtkItemFactory * ifactory,guint action); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_get_widget_by_action "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
action = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_item_factory_get_widget_by_action ( ifactory,action);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_get_item_by_action , args , , " GtkWidget* gtk_item_factory_get_item_by_action (GtkItemFactory * ifactory,guint action); " )
{
GtkItemFactory *   ifactory ;
guint   action ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_item_factory_get_item_by_action (GtkItemFactory * ifactory,guint action); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_get_item_by_action "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
action = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_item_factory_get_item_by_action ( ifactory,action);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_create_item , args , , " void gtk_item_factory_create_item (GtkItemFactory * ifactory,GtkItemFactoryEntry * entry,gpointer callback_data,guint callback_type); " )
{
GtkItemFactory *   ifactory ;
GtkItemFactoryEntry *   entry ;
gpointer   callback_data ;
guint   callback_type ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_item_factory_create_item (GtkItemFactory * ifactory,GtkItemFactoryEntry * entry,gpointer callback_data,guint callback_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_create_item "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
entry =( GtkItemFactoryEntry * )args( 1 ).long_value();
callback_data =( gpointer )args( 2 ).long_value();
callback_type = (  guint  ) args( 3 ).int_value();
gtk_item_factory_create_item ( ifactory,entry,callback_data,callback_type);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_create_items , args , , " void gtk_item_factory_create_items (GtkItemFactory * ifactory,guint n_entries,GtkItemFactoryEntry * entries,gpointer callback_data); " )
{
GtkItemFactory *   ifactory ;
guint   n_entries ;
GtkItemFactoryEntry *   entries ;
gpointer   callback_data ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_item_factory_create_items (GtkItemFactory * ifactory,guint n_entries,GtkItemFactoryEntry * entries,gpointer callback_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_create_items "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
n_entries = (  guint  ) args( 1 ).int_value();
entries =( GtkItemFactoryEntry * )args( 2 ).long_value();
callback_data =( gpointer )args( 3 ).long_value();
gtk_item_factory_create_items ( ifactory,n_entries,entries,callback_data);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_delete_item , args , , " void gtk_item_factory_delete_item (GtkItemFactory * ifactory,gchar * path); " )
{
GtkItemFactory *   ifactory ;
gchar *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_item_factory_delete_item (GtkItemFactory * ifactory,gchar * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_delete_item "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) path ,args( 1 ).string_value().c_str());
gtk_item_factory_delete_item ( ifactory,path);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_delete_entry , args , , " void gtk_item_factory_delete_entry (GtkItemFactory * ifactory,GtkItemFactoryEntry * entry); " )
{
GtkItemFactory *   ifactory ;
GtkItemFactoryEntry *   entry ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_item_factory_delete_entry (GtkItemFactory * ifactory,GtkItemFactoryEntry * entry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_delete_entry "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
entry =( GtkItemFactoryEntry * )args( 1 ).long_value();
gtk_item_factory_delete_entry ( ifactory,entry);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_delete_entries , args , , " void gtk_item_factory_delete_entries (GtkItemFactory * ifactory,guint n_entries,GtkItemFactoryEntry * entries); " )
{
GtkItemFactory *   ifactory ;
guint   n_entries ;
GtkItemFactoryEntry *   entries ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_item_factory_delete_entries (GtkItemFactory * ifactory,guint n_entries,GtkItemFactoryEntry * entries); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_delete_entries "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
n_entries = (  guint  ) args( 1 ).int_value();
entries =( GtkItemFactoryEntry * )args( 2 ).long_value();
gtk_item_factory_delete_entries ( ifactory,n_entries,entries);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_popup , args , , " void gtk_item_factory_popup (GtkItemFactory * ifactory,guint x,guint y,guint mouse_button,guint32 time_); " )
{
GtkItemFactory *   ifactory ;
guint   x ;
guint   y ;
guint   mouse_button ;
guint32   time_ ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_item_factory_popup (GtkItemFactory * ifactory,guint x,guint y,guint mouse_button,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_popup "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
x = (  guint  ) args( 1 ).int_value();
y = (  guint  ) args( 2 ).int_value();
mouse_button = (  guint  ) args( 3 ).int_value();
time_ = (  guint32  ) args( 4 ).int_value();
gtk_item_factory_popup ( ifactory,x,y,mouse_button,time_);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_popup_with_data , args , , " void gtk_item_factory_popup_with_data (GtkItemFactory * ifactory,gpointer popup_data,GtkDestroyNotify destroy,guint x,guint y,guint mouse_button,guint32 time_); " )
{
GtkItemFactory *   ifactory ;
gpointer   popup_data ;
GtkDestroyNotify   destroy ;
guint   x ;
guint   y ;
guint   mouse_button ;
guint32   time_ ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gtk_item_factory_popup_with_data (GtkItemFactory * ifactory,gpointer popup_data,GtkDestroyNotify destroy,guint x,guint y,guint mouse_button,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_popup_with_data "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
popup_data =( gpointer )args( 1 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 2 ).long_value();
x = (  guint  ) args( 3 ).int_value();
y = (  guint  ) args( 4 ).int_value();
mouse_button = (  guint  ) args( 5 ).int_value();
time_ = (  guint32  ) args( 6 ).int_value();
gtk_item_factory_popup_with_data ( ifactory,popup_data,destroy,x,y,mouse_button,time_);
return octave_value();
}
DEFUN_DLD( gtk_item_factory_popup_data , args , , " gpointer gtk_item_factory_popup_data (GtkItemFactory * ifactory); " )
{
GtkItemFactory *   ifactory ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer gtk_item_factory_popup_data (GtkItemFactory * ifactory); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_popup_data "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
long int ret_type= (long int) gtk_item_factory_popup_data ( ifactory);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_popup_data_from_widget , args , , " gpointer gtk_item_factory_popup_data_from_widget (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer gtk_item_factory_popup_data_from_widget (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_popup_data_from_widget "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_item_factory_popup_data_from_widget ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_factory_set_translate_func , args , , " void gtk_item_factory_set_translate_func (GtkItemFactory * ifactory,GtkTranslateFunc func,gpointer data,GtkDestroyNotify notify); " )
{
GtkItemFactory *   ifactory ;
GtkTranslateFunc   func ;
gpointer   data ;
GtkDestroyNotify   notify ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_item_factory_set_translate_func (GtkItemFactory * ifactory,GtkTranslateFunc func,gpointer data,GtkDestroyNotify notify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_factory_set_translate_func "<<std::endl;
#endif /* DEBUG */
ifactory =( GtkItemFactory * )args( 0 ).long_value();
func = (  GtkTranslateFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
notify = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_item_factory_set_translate_func ( ifactory,func,data,notify);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_item_get_type , args , , " GType gtk_item_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_item_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_item_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_item_select , args , , " void gtk_item_select (GtkItem * item); " )
{
GtkItem *   item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_item_select (GtkItem * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_select "<<std::endl;
#endif /* DEBUG */
item =( GtkItem * )args( 0 ).long_value();
gtk_item_select ( item);
return octave_value();
}
DEFUN_DLD( gtk_item_deselect , args , , " void gtk_item_deselect (GtkItem * item); " )
{
GtkItem *   item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_item_deselect (GtkItem * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_deselect "<<std::endl;
#endif /* DEBUG */
item =( GtkItem * )args( 0 ).long_value();
gtk_item_deselect ( item);
return octave_value();
}
DEFUN_DLD( gtk_item_toggle , args , , " void gtk_item_toggle (GtkItem * item); " )
{
GtkItem *   item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_item_toggle (GtkItem * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_item_toggle "<<std::endl;
#endif /* DEBUG */
item =( GtkItem * )args( 0 ).long_value();
gtk_item_toggle ( item);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_label_get_type , args , , " GType gtk_label_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_label_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_label_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_new , args , , " GtkWidget* gtk_label_new (char * str); " )
{
char *   str ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_label_new (char * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_new "<<std::endl;
#endif /* DEBUG */
str = new  char   [args( 0 ).string_value ().length()];
strcpy( (char *) str ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_label_new ( str);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_new_with_mnemonic , args , , " GtkWidget* gtk_label_new_with_mnemonic (char * str); " )
{
char *   str ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_label_new_with_mnemonic (char * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
str = new  char   [args( 0 ).string_value ().length()];
strcpy( (char *) str ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_label_new_with_mnemonic ( str);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_text , args , , " void gtk_label_set_text (GtkLabel * label,char * str); " )
{
GtkLabel *   label ;
char *   str ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_text (GtkLabel * label,char * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_text "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
str = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
gtk_label_set_text ( label,str);
return octave_value();
}
DEFUN_DLD( gtk_label_get_text , args , , " gchar* gtk_label_get_text (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_label_get_text (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_text "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
string  ret_type( gtk_label_get_text ( label));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_attributes , args , , " void gtk_label_set_attributes (GtkLabel * label,PangoAttrList * attrs); " )
{
GtkLabel *   label ;
PangoAttrList *   attrs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_attributes (GtkLabel * label,PangoAttrList * attrs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_attributes "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
attrs =( PangoAttrList * )args( 1 ).long_value();
gtk_label_set_attributes ( label,attrs);
return octave_value();
}
DEFUN_DLD( gtk_label_get_attributes , args , , " PangoAttrList * gtk_label_get_attributes (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoAttrList * gtk_label_get_attributes (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_attributes "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type= (long int) gtk_label_get_attributes ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_label , args , , " void gtk_label_set_label (GtkLabel * label,gchar * str); " )
{
GtkLabel *   label ;
gchar *   str ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_label (GtkLabel * label,gchar * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_label "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
str = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
gtk_label_set_label ( label,str);
return octave_value();
}
DEFUN_DLD( gtk_label_get_label , args , , " gchar * gtk_label_get_label (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_label_get_label (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_label "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
string  ret_type( gtk_label_get_label ( label));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_markup , args , , " void gtk_label_set_markup (GtkLabel * label,gchar * str); " )
{
GtkLabel *   label ;
gchar *   str ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_markup (GtkLabel * label,gchar * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_markup "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
str = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
gtk_label_set_markup ( label,str);
return octave_value();
}
DEFUN_DLD( gtk_label_set_use_markup , args , , " void gtk_label_set_use_markup (GtkLabel * label,gboolean setting); " )
{
GtkLabel *   label ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_use_markup (GtkLabel * label,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_use_markup "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_label_set_use_markup ( label,setting);
return octave_value();
}
DEFUN_DLD( gtk_label_get_use_markup , args , , " gboolean gtk_label_get_use_markup (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_label_get_use_markup (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_use_markup "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_label_get_use_markup ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_use_underline , args , , " void gtk_label_set_use_underline (GtkLabel * label,gboolean setting); " )
{
GtkLabel *   label ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_use_underline (GtkLabel * label,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_use_underline "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_label_set_use_underline ( label,setting);
return octave_value();
}
DEFUN_DLD( gtk_label_get_use_underline , args , , " gboolean gtk_label_get_use_underline (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_label_get_use_underline (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_use_underline "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_label_get_use_underline ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_markup_with_mnemonic , args , , " void gtk_label_set_markup_with_mnemonic (GtkLabel * label,gchar * str); " )
{
GtkLabel *   label ;
gchar *   str ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_markup_with_mnemonic (GtkLabel * label,gchar * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_markup_with_mnemonic "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
str = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
gtk_label_set_markup_with_mnemonic ( label,str);
return octave_value();
}
DEFUN_DLD( gtk_label_get_mnemonic_keyval , args , , " guint gtk_label_get_mnemonic_keyval (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gtk_label_get_mnemonic_keyval (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_mnemonic_keyval "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_label_get_mnemonic_keyval ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_mnemonic_widget , args , , " void gtk_label_set_mnemonic_widget (GtkLabel * label,GtkWidget * widget); " )
{
GtkLabel *   label ;
GtkWidget *   widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_mnemonic_widget (GtkLabel * label,GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_mnemonic_widget "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
gtk_label_set_mnemonic_widget ( label,widget);
return octave_value();
}
DEFUN_DLD( gtk_label_get_mnemonic_widget , args , , " GtkWidget * gtk_label_get_mnemonic_widget (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget * gtk_label_get_mnemonic_widget (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_mnemonic_widget "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type= (long int) gtk_label_get_mnemonic_widget ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_text_with_mnemonic , args , , " void gtk_label_set_text_with_mnemonic (GtkLabel * label,gchar * str); " )
{
GtkLabel *   label ;
gchar *   str ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_text_with_mnemonic (GtkLabel * label,gchar * str); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_text_with_mnemonic "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
str = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
gtk_label_set_text_with_mnemonic ( label,str);
return octave_value();
}
DEFUN_DLD( gtk_label_set_justify , args , , " void gtk_label_set_justify (GtkLabel * label,GtkJustification jtype); " )
{
GtkLabel *   label ;
GtkJustification   jtype ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_justify (GtkLabel * label,GtkJustification jtype); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_justify "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
jtype = (  GtkJustification  ) args( 1 ).long_value();
gtk_label_set_justify ( label,jtype);
return octave_value();
}
DEFUN_DLD( gtk_label_get_justify , args , , " GtkJustification gtk_label_get_justify (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkJustification gtk_label_get_justify (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_justify "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_label_get_justify ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_pattern , args , , " void gtk_label_set_pattern (GtkLabel * label,gchar * pattern); " )
{
GtkLabel *   label ;
gchar *   pattern ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_pattern (GtkLabel * label,gchar * pattern); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_pattern "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
pattern = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) pattern ,args( 1 ).string_value().c_str());
gtk_label_set_pattern ( label,pattern);
return octave_value();
}
DEFUN_DLD( gtk_label_set_line_wrap , args , , " void gtk_label_set_line_wrap (GtkLabel * label,gboolean wrap); " )
{
GtkLabel *   label ;
gboolean   wrap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_line_wrap (GtkLabel * label,gboolean wrap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_line_wrap "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
wrap = (  gboolean  ) args( 1 ).long_value();
gtk_label_set_line_wrap ( label,wrap);
return octave_value();
}
DEFUN_DLD( gtk_label_get_line_wrap , args , , " gboolean gtk_label_get_line_wrap (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_label_get_line_wrap (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_line_wrap "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_label_get_line_wrap ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_set_selectable , args , , " void gtk_label_set_selectable (GtkLabel * label,gboolean setting); " )
{
GtkLabel *   label ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_label_set_selectable (GtkLabel * label,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_set_selectable "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_label_set_selectable ( label,setting);
return octave_value();
}
DEFUN_DLD( gtk_label_get_selectable , args , , " gboolean gtk_label_get_selectable (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_label_get_selectable (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_selectable "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_label_get_selectable ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_select_region , args , , " void gtk_label_select_region (GtkLabel * label,gint start_offset,gint end_offset); " )
{
GtkLabel *   label ;
gint   start_offset ;
gint   end_offset ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_label_select_region (GtkLabel * label,gint start_offset,gint end_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_select_region "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
start_offset = (  gint  ) args( 1 ).int_value();
end_offset = (  gint  ) args( 2 ).int_value();
gtk_label_select_region ( label,start_offset,end_offset);
return octave_value();
}
DEFUN_DLD( gtk_label_get_selection_bounds , args , , " gboolean gtk_label_get_selection_bounds (GtkLabel * label,gint * start,gint * end); " )
{
GtkLabel *   label ;
gint *   start ;
gint *   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_label_get_selection_bounds (GtkLabel * label,gint * start,gint * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_selection_bounds "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
start =( gint * )args( 1 ).long_value();
end =( gint * )args( 2 ).long_value();
long int ret_type=(long int) gtk_label_get_selection_bounds ( label,start,end);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_get_layout , args , , " PangoLayout * gtk_label_get_layout (GtkLabel * label); " )
{
GtkLabel *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLayout * gtk_label_get_layout (GtkLabel * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_layout "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
long int ret_type= (long int) gtk_label_get_layout ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_label_get_layout_offsets , args , , " void gtk_label_get_layout_offsets (GtkLabel * label,gint * x,gint * y); " )
{
GtkLabel *   label ;
gint *   x ;
gint *   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_label_get_layout_offsets (GtkLabel * label,gint * x,gint * y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_get_layout_offsets "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
gtk_label_get_layout_offsets ( label,x,y);
return octave_value();
}
/* overriden: gtk_label_get  */
DEFUN_DLD( gtk_label_parse_uline , args , , " guint gtk_label_parse_uline (GtkLabel * label,gchar * string); " )
{
GtkLabel *   label ;
gchar *   string ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint gtk_label_parse_uline (GtkLabel * label,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_label_parse_uline "<<std::endl;
#endif /* DEBUG */
label =( GtkLabel * )args( 0 ).long_value();
string = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) string ,args( 1 ).string_value().c_str());
long int ret_type=(long int) gtk_label_parse_uline ( label,string);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_layout_get_type , args , , " GType gtk_layout_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_layout_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_layout_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_layout_new , args , , " GtkWidget* gtk_layout_new (GtkAdjustment * hadjustment,GtkAdjustment * vadjustment); " )
{
GtkAdjustment *   hadjustment ;
GtkAdjustment *   vadjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_layout_new (GtkAdjustment * hadjustment,GtkAdjustment * vadjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_new "<<std::endl;
#endif /* DEBUG */
hadjustment =( GtkAdjustment * )args( 0 ).long_value();
vadjustment =( GtkAdjustment * )args( 1 ).long_value();
long int ret_type= (long int) gtk_layout_new ( hadjustment,vadjustment);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_layout_put , args , , " void gtk_layout_put (GtkLayout * layout,GtkWidget * child_widget,gint x,gint y); " )
{
GtkLayout *   layout ;
GtkWidget *   child_widget ;
gint   x ;
gint   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_layout_put (GtkLayout * layout,GtkWidget * child_widget,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_put "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
child_widget =( GtkWidget * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
gtk_layout_put ( layout,child_widget,x,y);
return octave_value();
}
DEFUN_DLD( gtk_layout_move , args , , " void gtk_layout_move (GtkLayout * layout,GtkWidget * child_widget,gint x,gint y); " )
{
GtkLayout *   layout ;
GtkWidget *   child_widget ;
gint   x ;
gint   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_layout_move (GtkLayout * layout,GtkWidget * child_widget,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_move "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
child_widget =( GtkWidget * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
gtk_layout_move ( layout,child_widget,x,y);
return octave_value();
}
DEFUN_DLD( gtk_layout_set_size , args , , " void gtk_layout_set_size (GtkLayout * layout,guint width,guint height); " )
{
GtkLayout *   layout ;
guint   width ;
guint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_layout_set_size (GtkLayout * layout,guint width,guint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_set_size "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
width = (  guint  ) args( 1 ).int_value();
height = (  guint  ) args( 2 ).int_value();
gtk_layout_set_size ( layout,width,height);
return octave_value();
}
DEFUN_DLD( gtk_layout_get_size , args , , " void gtk_layout_get_size (GtkLayout * layout,guint * width,guint * height); " )
{
GtkLayout *   layout ;
guint *   width ;
guint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_layout_get_size (GtkLayout * layout,guint * width,guint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_get_size "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
width =( guint * )args( 1 ).long_value();
height =( guint * )args( 2 ).long_value();
gtk_layout_get_size ( layout,width,height);
return octave_value();
}
DEFUN_DLD( gtk_layout_get_hadjustment , args , , " GtkAdjustment* gtk_layout_get_hadjustment (GtkLayout * layout); " )
{
GtkLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_layout_get_hadjustment (GtkLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_get_hadjustment "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
long int ret_type= (long int) gtk_layout_get_hadjustment ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_layout_get_vadjustment , args , , " GtkAdjustment* gtk_layout_get_vadjustment (GtkLayout * layout); " )
{
GtkLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_layout_get_vadjustment (GtkLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_get_vadjustment "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
long int ret_type= (long int) gtk_layout_get_vadjustment ( layout);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_layout_set_hadjustment , args , , " void gtk_layout_set_hadjustment (GtkLayout * layout,GtkAdjustment * adjustment); " )
{
GtkLayout *   layout ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_layout_set_hadjustment (GtkLayout * layout,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_set_hadjustment "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_layout_set_hadjustment ( layout,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_layout_set_vadjustment , args , , " void gtk_layout_set_vadjustment (GtkLayout * layout,GtkAdjustment * adjustment); " )
{
GtkLayout *   layout ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_layout_set_vadjustment (GtkLayout * layout,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_set_vadjustment "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_layout_set_vadjustment ( layout,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_layout_freeze , args , , " void gtk_layout_freeze (GtkLayout * layout); " )
{
GtkLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_layout_freeze (GtkLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_freeze "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
gtk_layout_freeze ( layout);
return octave_value();
}
DEFUN_DLD( gtk_layout_thaw , args , , " void gtk_layout_thaw (GtkLayout * layout); " )
{
GtkLayout *   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_layout_thaw (GtkLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_layout_thaw "<<std::endl;
#endif /* DEBUG */
layout =( GtkLayout * )args( 0 ).long_value();
gtk_layout_thaw ( layout);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_list_get_type , args , , " GtkType gtk_list_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_list_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_list_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_list_new , args , , " GtkWidget* gtk_list_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_list_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_list_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_insert_items , args , , " void gtk_list_insert_items (GtkList * list,GList * items,gint position); " )
{
GtkList *   list ;
GList *   items ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_insert_items (GtkList * list,GList * items,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_insert_items "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
items =( GList * )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
gtk_list_insert_items ( list,items,position);
return octave_value();
}
DEFUN_DLD( gtk_list_append_items , args , , " void gtk_list_append_items (GtkList * list,GList * items); " )
{
GtkList *   list ;
GList *   items ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_append_items (GtkList * list,GList * items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_append_items "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
items =( GList * )args( 1 ).long_value();
gtk_list_append_items ( list,items);
return octave_value();
}
DEFUN_DLD( gtk_list_prepend_items , args , , " void gtk_list_prepend_items (GtkList * list,GList * items); " )
{
GtkList *   list ;
GList *   items ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_prepend_items (GtkList * list,GList * items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_prepend_items "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
items =( GList * )args( 1 ).long_value();
gtk_list_prepend_items ( list,items);
return octave_value();
}
DEFUN_DLD( gtk_list_remove_items , args , , " void gtk_list_remove_items (GtkList * list,GList * items); " )
{
GtkList *   list ;
GList *   items ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_remove_items (GtkList * list,GList * items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_remove_items "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
items =( GList * )args( 1 ).long_value();
gtk_list_remove_items ( list,items);
return octave_value();
}
DEFUN_DLD( gtk_list_remove_items_no_unref , args , , " void gtk_list_remove_items_no_unref (GtkList * list,GList * items); " )
{
GtkList *   list ;
GList *   items ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_remove_items_no_unref (GtkList * list,GList * items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_remove_items_no_unref "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
items =( GList * )args( 1 ).long_value();
gtk_list_remove_items_no_unref ( list,items);
return octave_value();
}
DEFUN_DLD( gtk_list_clear_items , args , , " void gtk_list_clear_items (GtkList * list,gint start,gint end); " )
{
GtkList *   list ;
gint   start ;
gint   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_clear_items (GtkList * list,gint start,gint end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_clear_items "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
start = (  gint  ) args( 1 ).int_value();
end = (  gint  ) args( 2 ).int_value();
gtk_list_clear_items ( list,start,end);
return octave_value();
}
DEFUN_DLD( gtk_list_select_item , args , , " void gtk_list_select_item (GtkList * list,gint item); " )
{
GtkList *   list ;
gint   item ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_select_item (GtkList * list,gint item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_select_item "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
item = (  gint  ) args( 1 ).int_value();
gtk_list_select_item ( list,item);
return octave_value();
}
DEFUN_DLD( gtk_list_unselect_item , args , , " void gtk_list_unselect_item (GtkList * list,gint item); " )
{
GtkList *   list ;
gint   item ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_unselect_item (GtkList * list,gint item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_unselect_item "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
item = (  gint  ) args( 1 ).int_value();
gtk_list_unselect_item ( list,item);
return octave_value();
}
DEFUN_DLD( gtk_list_select_child , args , , " void gtk_list_select_child (GtkList * list,GtkWidget * child); " )
{
GtkList *   list ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_select_child (GtkList * list,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_select_child "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
gtk_list_select_child ( list,child);
return octave_value();
}
DEFUN_DLD( gtk_list_unselect_child , args , , " void gtk_list_unselect_child (GtkList * list,GtkWidget * child); " )
{
GtkList *   list ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_unselect_child (GtkList * list,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_unselect_child "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
gtk_list_unselect_child ( list,child);
return octave_value();
}
DEFUN_DLD( gtk_list_child_position , args , , " gint gtk_list_child_position (GtkList * list,GtkWidget * child); " )
{
GtkList *   list ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_list_child_position (GtkList * list,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_child_position "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
long int ret_type=(long int) gtk_list_child_position ( list,child);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_set_selection_mode , args , , " void gtk_list_set_selection_mode (GtkList * list,GtkSelectionMode mode); " )
{
GtkList *   list ;
GtkSelectionMode   mode ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_set_selection_mode (GtkList * list,GtkSelectionMode mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_set_selection_mode "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
mode = (  GtkSelectionMode  ) args( 1 ).long_value();
gtk_list_set_selection_mode ( list,mode);
return octave_value();
}
DEFUN_DLD( gtk_list_extend_selection , args , , " void gtk_list_extend_selection (GtkList * list,GtkScrollType scroll_type,gfloat position,gboolean auto_start_selection); " )
{
GtkList *   list ;
GtkScrollType   scroll_type ;
gfloat   position ;
gboolean   auto_start_selection ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_list_extend_selection (GtkList * list,GtkScrollType scroll_type,gfloat position,gboolean auto_start_selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_extend_selection "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
scroll_type = (  GtkScrollType  ) args( 1 ).long_value();
position = (  gfloat  ) args( 2 ).double_value();
auto_start_selection = (  gboolean  ) args( 3 ).long_value();
gtk_list_extend_selection ( list,scroll_type,position,auto_start_selection);
return octave_value();
}
DEFUN_DLD( gtk_list_start_selection , args , , " void gtk_list_start_selection (GtkList * list); " )
{
GtkList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_start_selection (GtkList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_start_selection "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
gtk_list_start_selection ( list);
return octave_value();
}
DEFUN_DLD( gtk_list_end_selection , args , , " void gtk_list_end_selection (GtkList * list); " )
{
GtkList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_end_selection (GtkList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_end_selection "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
gtk_list_end_selection ( list);
return octave_value();
}
DEFUN_DLD( gtk_list_select_all , args , , " void gtk_list_select_all (GtkList * list); " )
{
GtkList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_select_all (GtkList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_select_all "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
gtk_list_select_all ( list);
return octave_value();
}
DEFUN_DLD( gtk_list_unselect_all , args , , " void gtk_list_unselect_all (GtkList * list); " )
{
GtkList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_unselect_all (GtkList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_unselect_all "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
gtk_list_unselect_all ( list);
return octave_value();
}
DEFUN_DLD( gtk_list_scroll_horizontal , args , , " void gtk_list_scroll_horizontal (GtkList * list,GtkScrollType scroll_type,gfloat position); " )
{
GtkList *   list ;
GtkScrollType   scroll_type ;
gfloat   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_scroll_horizontal (GtkList * list,GtkScrollType scroll_type,gfloat position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_scroll_horizontal "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
scroll_type = (  GtkScrollType  ) args( 1 ).long_value();
position = (  gfloat  ) args( 2 ).double_value();
gtk_list_scroll_horizontal ( list,scroll_type,position);
return octave_value();
}
DEFUN_DLD( gtk_list_scroll_vertical , args , , " void gtk_list_scroll_vertical (GtkList * list,GtkScrollType scroll_type,gfloat position); " )
{
GtkList *   list ;
GtkScrollType   scroll_type ;
gfloat   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_scroll_vertical (GtkList * list,GtkScrollType scroll_type,gfloat position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_scroll_vertical "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
scroll_type = (  GtkScrollType  ) args( 1 ).long_value();
position = (  gfloat  ) args( 2 ).double_value();
gtk_list_scroll_vertical ( list,scroll_type,position);
return octave_value();
}
DEFUN_DLD( gtk_list_toggle_add_mode , args , , " void gtk_list_toggle_add_mode (GtkList * list); " )
{
GtkList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_toggle_add_mode (GtkList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_toggle_add_mode "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
gtk_list_toggle_add_mode ( list);
return octave_value();
}
DEFUN_DLD( gtk_list_toggle_focus_row , args , , " void gtk_list_toggle_focus_row (GtkList * list); " )
{
GtkList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_toggle_focus_row (GtkList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_toggle_focus_row "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
gtk_list_toggle_focus_row ( list);
return octave_value();
}
DEFUN_DLD( gtk_list_toggle_row , args , , " void gtk_list_toggle_row (GtkList * list,GtkWidget * item); " )
{
GtkList *   list ;
GtkWidget *   item ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_toggle_row (GtkList * list,GtkWidget * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_toggle_row "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
item =( GtkWidget * )args( 1 ).long_value();
gtk_list_toggle_row ( list,item);
return octave_value();
}
DEFUN_DLD( gtk_list_undo_selection , args , , " void gtk_list_undo_selection (GtkList * list); " )
{
GtkList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_undo_selection (GtkList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_undo_selection "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
gtk_list_undo_selection ( list);
return octave_value();
}
DEFUN_DLD( gtk_list_end_drag_selection , args , , " void gtk_list_end_drag_selection (GtkList * list); " )
{
GtkList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_end_drag_selection (GtkList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_end_drag_selection "<<std::endl;
#endif /* DEBUG */
list =( GtkList * )args( 0 ).long_value();
gtk_list_end_drag_selection ( list);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_list_item_get_type , args , , " GtkType gtk_list_item_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_list_item_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_list_item_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_list_item_new , args , , " GtkWidget* gtk_list_item_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_list_item_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_list_item_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_item_new_with_label , args , , " GtkWidget* gtk_list_item_new_with_label (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_list_item_new_with_label (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_item_new_with_label "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_list_item_new_with_label ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_item_select , args , , " void gtk_list_item_select (GtkListItem * list_item); " )
{
GtkListItem *   list_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_item_select (GtkListItem * list_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_item_select "<<std::endl;
#endif /* DEBUG */
list_item =( GtkListItem * )args( 0 ).long_value();
gtk_list_item_select ( list_item);
return octave_value();
}
DEFUN_DLD( gtk_list_item_deselect , args , , " void gtk_list_item_deselect (GtkListItem * list_item); " )
{
GtkListItem *   list_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_item_deselect (GtkListItem * list_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_item_deselect "<<std::endl;
#endif /* DEBUG */
list_item =( GtkListItem * )args( 0 ).long_value();
gtk_list_item_deselect ( list_item);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_list_store_get_type , args , , " GType gtk_list_store_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_list_store_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_list_store_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_store_new , args , , " GtkListStore * gtk_list_store_new (gint n_columns,char * varargs_value); " )
{
gint   n_columns ;
char *   varargs_value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkListStore * gtk_list_store_new (gint n_columns,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_new "<<std::endl;
#endif /* DEBUG */
n_columns = (  gint  ) args( 0 ).int_value();
varargs_value = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_list_store_new ( n_columns,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_store_newv , args , , " GtkListStore * gtk_list_store_newv (gint n_columns,GType * types); " )
{
gint   n_columns ;
GType *   types ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkListStore * gtk_list_store_newv (gint n_columns,GType * types); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_newv "<<std::endl;
#endif /* DEBUG */
n_columns = (  gint  ) args( 0 ).int_value();
types =( GType * )args( 1 ).long_value();
long int ret_type= (long int) gtk_list_store_newv ( n_columns,types);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_store_set_column_types , args , , " void gtk_list_store_set_column_types (GtkListStore * list_store,gint n_columns,GType * types); " )
{
GtkListStore *   list_store ;
gint   n_columns ;
GType *   types ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_set_column_types (GtkListStore * list_store,gint n_columns,GType * types); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_set_column_types "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
n_columns = (  gint  ) args( 1 ).int_value();
types =( GType * )args( 2 ).long_value();
gtk_list_store_set_column_types ( list_store,n_columns,types);
return octave_value();
}
DEFUN_DLD( gtk_list_store_set_value , args , , " void gtk_list_store_set_value (GtkListStore * list_store,GtkTreeIter * iter,gint column,GValue * value); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
gint   column ;
GValue *   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_list_store_set_value (GtkListStore * list_store,GtkTreeIter * iter,gint column,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_set_value "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
value =( GValue * )args( 3 ).long_value();
gtk_list_store_set_value ( list_store,iter,column,value);
return octave_value();
}
DEFUN_DLD( gtk_list_store_set , args , , " void gtk_list_store_set (GtkListStore * list_store,GtkTreeIter * iter,char * varargs_value); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_set (GtkListStore * list_store,GtkTreeIter * iter,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_set "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_list_store_set ( list_store,iter,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_list_store_set_valist , args , , " void gtk_list_store_set_valist (GtkListStore * list_store,GtkTreeIter * iter,va_list var_args); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
va_list   var_args ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_set_valist (GtkListStore * list_store,GtkTreeIter * iter,va_list var_args); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_set_valist "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
var_args = (  va_list  ) args( 2 ).long_value();
gtk_list_store_set_valist ( list_store,iter,var_args);
return octave_value();
}
DEFUN_DLD( gtk_list_store_remove , args , , " gboolean gtk_list_store_remove (GtkListStore * list_store,GtkTreeIter * iter); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_list_store_remove (GtkListStore * list_store,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_remove "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_list_store_remove ( list_store,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_store_insert , args , , " void gtk_list_store_insert (GtkListStore * list_store,GtkTreeIter * iter,gint position); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_insert (GtkListStore * list_store,GtkTreeIter * iter,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_insert "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
gtk_list_store_insert ( list_store,iter,position);
return octave_value();
}
DEFUN_DLD( gtk_list_store_insert_before , args , , " void gtk_list_store_insert_before (GtkListStore * list_store,GtkTreeIter * iter,GtkTreeIter * sibling); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   sibling ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_insert_before (GtkListStore * list_store,GtkTreeIter * iter,GtkTreeIter * sibling); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_insert_before "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
sibling =( GtkTreeIter * )args( 2 ).long_value();
gtk_list_store_insert_before ( list_store,iter,sibling);
return octave_value();
}
DEFUN_DLD( gtk_list_store_insert_after , args , , " void gtk_list_store_insert_after (GtkListStore * list_store,GtkTreeIter * iter,GtkTreeIter * sibling); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   sibling ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_insert_after (GtkListStore * list_store,GtkTreeIter * iter,GtkTreeIter * sibling); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_insert_after "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
sibling =( GtkTreeIter * )args( 2 ).long_value();
gtk_list_store_insert_after ( list_store,iter,sibling);
return octave_value();
}
DEFUN_DLD( gtk_list_store_prepend , args , , " void gtk_list_store_prepend (GtkListStore * list_store,GtkTreeIter * iter); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_store_prepend (GtkListStore * list_store,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_prepend "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
gtk_list_store_prepend ( list_store,iter);
return octave_value();
}
DEFUN_DLD( gtk_list_store_append , args , , " void gtk_list_store_append (GtkListStore * list_store,GtkTreeIter * iter); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_store_append (GtkListStore * list_store,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_append "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
gtk_list_store_append ( list_store,iter);
return octave_value();
}
DEFUN_DLD( gtk_list_store_clear , args , , " void gtk_list_store_clear (GtkListStore * list_store); " )
{
GtkListStore *   list_store ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_list_store_clear (GtkListStore * list_store); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_clear "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
gtk_list_store_clear ( list_store);
return octave_value();
}
DEFUN_DLD( gtk_list_store_iter_is_valid , args , , " gboolean gtk_list_store_iter_is_valid (GtkListStore * list_store,GtkTreeIter * iter); " )
{
GtkListStore *   list_store ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_list_store_iter_is_valid (GtkListStore * list_store,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_iter_is_valid "<<std::endl;
#endif /* DEBUG */
list_store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_list_store_iter_is_valid ( list_store,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_list_store_reorder , args , , " void gtk_list_store_reorder (GtkListStore * store,gint * new_order); " )
{
GtkListStore *   store ;
gint *   new_order ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_list_store_reorder (GtkListStore * store,gint * new_order); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_reorder "<<std::endl;
#endif /* DEBUG */
store =( GtkListStore * )args( 0 ).long_value();
new_order =( gint * )args( 1 ).long_value();
gtk_list_store_reorder ( store,new_order);
return octave_value();
}
DEFUN_DLD( gtk_list_store_swap , args , , " void gtk_list_store_swap (GtkListStore * store,GtkTreeIter * a,GtkTreeIter * b); " )
{
GtkListStore *   store ;
GtkTreeIter *   a ;
GtkTreeIter *   b ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_swap (GtkListStore * store,GtkTreeIter * a,GtkTreeIter * b); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_swap "<<std::endl;
#endif /* DEBUG */
store =( GtkListStore * )args( 0 ).long_value();
a =( GtkTreeIter * )args( 1 ).long_value();
b =( GtkTreeIter * )args( 2 ).long_value();
gtk_list_store_swap ( store,a,b);
return octave_value();
}
DEFUN_DLD( gtk_list_store_move_after , args , , " void gtk_list_store_move_after (GtkListStore * store,GtkTreeIter * iter,GtkTreeIter * position); " )
{
GtkListStore *   store ;
GtkTreeIter *   iter ;
GtkTreeIter *   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_move_after (GtkListStore * store,GtkTreeIter * iter,GtkTreeIter * position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_move_after "<<std::endl;
#endif /* DEBUG */
store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
position =( GtkTreeIter * )args( 2 ).long_value();
gtk_list_store_move_after ( store,iter,position);
return octave_value();
}
DEFUN_DLD( gtk_list_store_move_before , args , , " void gtk_list_store_move_before (GtkListStore * store,GtkTreeIter * iter,GtkTreeIter * position); " )
{
GtkListStore *   store ;
GtkTreeIter *   iter ;
GtkTreeIter *   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_list_store_move_before (GtkListStore * store,GtkTreeIter * iter,GtkTreeIter * position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_list_store_move_before "<<std::endl;
#endif /* DEBUG */
store =( GtkListStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
position =( GtkTreeIter * )args( 2 ).long_value();
gtk_list_store_move_before ( store,iter,position);
return octave_value();
}
DEFUN_DLD( gtk_check_version , args , , " gchar* gtk_check_version (guint required_major,guint required_minor,guint required_micro); " )
{
guint   required_major ;
guint   required_minor ;
guint   required_micro ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gchar* gtk_check_version (guint required_major,guint required_minor,guint required_micro); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_check_version "<<std::endl;
#endif /* DEBUG */
required_major = (  guint  ) args( 0 ).int_value();
required_minor = (  guint  ) args( 1 ).int_value();
required_micro = (  guint  ) args( 2 ).int_value();
string  ret_type( gtk_check_version ( required_major,required_minor,required_micro));
return octave_value(ret_type);
}
/* overriden: gtk_init  */
/* overriden: gtk_init_check  */
DEFUN_DLD( gtk_exit , args , , " void gtk_exit (gint error_code); " )
{
gint   error_code ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_exit (gint error_code); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_exit "<<std::endl;
#endif /* DEBUG */
error_code = (  gint  ) args( 0 ).int_value();
gtk_exit ( error_code);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_disable_setlocale , args , , " void gtk_disable_setlocale (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_disable_setlocale "<<std::endl;
#endif /* DEBUG */
gtk_disable_setlocale ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_set_locale , args , , " gchar * gtk_set_locale (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_set_locale "<<std::endl;
#endif /* DEBUG */
string  ret_type( gtk_set_locale ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_get_default_language , args , , " PangoLanguage * gtk_get_default_language (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_get_default_language "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_get_default_language ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_events_pending , args , , " gint gtk_events_pending (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_events_pending "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_events_pending ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_main_do_event , args , , " void gtk_main_do_event (GdkEvent * event); " )
{
GdkEvent *   event ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_main_do_event (GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_main_do_event "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
gtk_main_do_event ( event);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_main , args , , " void gtk_main (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_main "<<std::endl;
#endif /* DEBUG */
gtk_main ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_main_level , args , , " guint gtk_main_level (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_main_level "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_main_level ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_main_quit , args , , " void gtk_main_quit (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_main_quit "<<std::endl;
#endif /* DEBUG */
gtk_main_quit ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_main_iteration , args , , " gboolean gtk_main_iteration (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_main_iteration "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_main_iteration ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_main_iteration_do , args , , " gboolean gtk_main_iteration_do (gboolean blocking); " )
{
gboolean   blocking ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_main_iteration_do (gboolean blocking); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_main_iteration_do "<<std::endl;
#endif /* DEBUG */
blocking = (  gboolean  ) args( 0 ).long_value();
long int ret_type=(long int) gtk_main_iteration_do ( blocking);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_true , args , , " gboolean gtk_true (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_true "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_true ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_false , args , , " gboolean gtk_false (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_false "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_false ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_grab_add , args , , " void gtk_grab_add (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_grab_add (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_grab_add "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_grab_add ( widget);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_grab_get_current , args , , " GtkWidget* gtk_grab_get_current (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_grab_get_current "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_grab_get_current ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_grab_remove , args , , " void gtk_grab_remove (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_grab_remove (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_grab_remove "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_grab_remove ( widget);
return octave_value();
}
/* overriden: gtk_init_add  */
DEFUN_DLD( gtk_quit_add_destroy , args , , " void gtk_quit_add_destroy (guint main_level,GtkObject * object); " )
{
guint   main_level ;
GtkObject *   object ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_quit_add_destroy (guint main_level,GtkObject * object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_quit_add_destroy "<<std::endl;
#endif /* DEBUG */
main_level = (  guint  ) args( 0 ).int_value();
object =( GtkObject * )args( 1 ).long_value();
gtk_quit_add_destroy ( main_level,object);
return octave_value();
}
DEFUN_DLD( gtk_quit_add , args , , " guint gtk_quit_add (guint main_level,GtkFunction function,gpointer data); " )
{
guint   main_level ;
string   function ; 
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint gtk_quit_add (guint main_level,GtkFunction function,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_quit_add "<<std::endl;
#endif /* DEBUG */
main_level = (  guint  ) args( 0 ).int_value();
string callback_fcn =args( 1 ).string_value();

data =( gpointer )args( 2 ).long_value();
long int ret_type=(long int) gtk_quit_add ( main_level,octave_gtk_function,data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_quit_add_full , args , , " guint gtk_quit_add_full (guint main_level,GtkFunction function,GtkCallbackMarshal marshal,gpointer data,GtkDestroyNotify destroy); " )
{
guint   main_level ;
string   function ; 
GtkCallbackMarshal   marshal ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  guint gtk_quit_add_full (guint main_level,GtkFunction function,GtkCallbackMarshal marshal,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_quit_add_full "<<std::endl;
#endif /* DEBUG */
main_level = (  guint  ) args( 0 ).int_value();
string callback_fcn =args( 1 ).string_value();

marshal = (  GtkCallbackMarshal  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 4 ).long_value();
long int ret_type=(long int) gtk_quit_add_full ( main_level,octave_gtk_function,marshal,data,destroy);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_quit_remove , args , , " void gtk_quit_remove (guint quit_handler_id); " )
{
guint   quit_handler_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_quit_remove (guint quit_handler_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_quit_remove "<<std::endl;
#endif /* DEBUG */
quit_handler_id = (  guint  ) args( 0 ).int_value();
gtk_quit_remove ( quit_handler_id);
return octave_value();
}
DEFUN_DLD( gtk_quit_remove_by_data , args , , " void gtk_quit_remove_by_data (gpointer data); " )
{
gpointer   data ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_quit_remove_by_data (gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_quit_remove_by_data "<<std::endl;
#endif /* DEBUG */
data =( gpointer )args( 0 ).long_value();
gtk_quit_remove_by_data ( data);
return octave_value();
}
/* overriden: gtk_timeout_add  */
DEFUN_DLD( gtk_timeout_add_full , args , , " guint gtk_timeout_add_full (guint32 interval,GtkFunction function,GtkCallbackMarshal marshal,gpointer data,GtkDestroyNotify destroy); " )
{
guint32   interval ;
string   function ; 
GtkCallbackMarshal   marshal ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  guint gtk_timeout_add_full (guint32 interval,GtkFunction function,GtkCallbackMarshal marshal,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_timeout_add_full "<<std::endl;
#endif /* DEBUG */
interval = (  guint32  ) args( 0 ).int_value();
string callback_fcn =args( 1 ).string_value();

marshal = (  GtkCallbackMarshal  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 4 ).long_value();
long int ret_type=(long int) gtk_timeout_add_full ( interval,octave_gtk_function,marshal,data,destroy);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_timeout_remove , args , , " void gtk_timeout_remove (guint timeout_handler_id); " )
{
guint   timeout_handler_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_timeout_remove (guint timeout_handler_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_timeout_remove "<<std::endl;
#endif /* DEBUG */
timeout_handler_id = (  guint  ) args( 0 ).int_value();
gtk_timeout_remove ( timeout_handler_id);
return octave_value();
}
/* overriden: gtk_idle_add  */
DEFUN_DLD( gtk_idle_add_priority , args , , " guint gtk_idle_add_priority (gint priority,GtkFunction function,gpointer data); " )
{
gint   priority ;
string   function ; 
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint gtk_idle_add_priority (gint priority,GtkFunction function,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_idle_add_priority "<<std::endl;
#endif /* DEBUG */
priority = (  gint  ) args( 0 ).int_value();
string callback_fcn =args( 1 ).string_value();

data =( gpointer )args( 2 ).long_value();
long int ret_type=(long int) gtk_idle_add_priority ( priority,octave_gtk_function,data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_idle_add_full , args , , " guint gtk_idle_add_full (gint priority,GtkFunction function,GtkCallbackMarshal marshal,gpointer data,GtkDestroyNotify destroy); " )
{
gint   priority ;
string   function ; 
GtkCallbackMarshal   marshal ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  guint gtk_idle_add_full (gint priority,GtkFunction function,GtkCallbackMarshal marshal,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_idle_add_full "<<std::endl;
#endif /* DEBUG */
priority = (  gint  ) args( 0 ).int_value();
string callback_fcn =args( 1 ).string_value();

marshal = (  GtkCallbackMarshal  ) args( 2 ).long_value();
data =( gpointer )args( 3 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 4 ).long_value();
long int ret_type=(long int) gtk_idle_add_full ( priority,octave_gtk_function,marshal,data,destroy);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_idle_remove , args , , " void gtk_idle_remove (guint idle_handler_id); " )
{
guint   idle_handler_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_idle_remove (guint idle_handler_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_idle_remove "<<std::endl;
#endif /* DEBUG */
idle_handler_id = (  guint  ) args( 0 ).int_value();
gtk_idle_remove ( idle_handler_id);
return octave_value();
}
DEFUN_DLD( gtk_idle_remove_by_data , args , , " void gtk_idle_remove_by_data (gpointer data); " )
{
gpointer   data ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_idle_remove_by_data (gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_idle_remove_by_data "<<std::endl;
#endif /* DEBUG */
data =( gpointer )args( 0 ).long_value();
gtk_idle_remove_by_data ( data);
return octave_value();
}
DEFUN_DLD( gtk_input_add_full , args , , " guint gtk_input_add_full (gint source,GdkInputCondition condition,GdkInputFunction function,GtkCallbackMarshal marshal,gpointer data,GtkDestroyNotify destroy); " )
{
gint   source ;
GdkInputCondition   condition ;
GdkInputFunction   function ;
GtkCallbackMarshal   marshal ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  guint gtk_input_add_full (gint source,GdkInputCondition condition,GdkInputFunction function,GtkCallbackMarshal marshal,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_input_add_full "<<std::endl;
#endif /* DEBUG */
source = (  gint  ) args( 0 ).int_value();
condition = (  GdkInputCondition  ) args( 1 ).long_value();
function = (  GdkInputFunction  ) args( 2 ).long_value();
marshal = (  GtkCallbackMarshal  ) args( 3 ).long_value();
data =( gpointer )args( 4 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 5 ).long_value();
long int ret_type=(long int) gtk_input_add_full ( source,condition,function,marshal,data,destroy);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_input_remove , args , , " void gtk_input_remove (guint input_handler_id); " )
{
guint   input_handler_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_input_remove (guint input_handler_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_input_remove "<<std::endl;
#endif /* DEBUG */
input_handler_id = (  guint  ) args( 0 ).int_value();
gtk_input_remove ( input_handler_id);
return octave_value();
}
DEFUN_DLD( gtk_key_snooper_install , args , , " guint gtk_key_snooper_install (GtkKeySnoopFunc snooper,gpointer func_data); " )
{
GtkKeySnoopFunc   snooper ;
gpointer   func_data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint gtk_key_snooper_install (GtkKeySnoopFunc snooper,gpointer func_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_key_snooper_install "<<std::endl;
#endif /* DEBUG */
snooper = (  GtkKeySnoopFunc  ) args( 0 ).long_value();
func_data =( gpointer )args( 1 ).long_value();
long int ret_type=(long int) gtk_key_snooper_install ( snooper,func_data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_key_snooper_remove , args , , " void gtk_key_snooper_remove (guint snooper_handler_id); " )
{
guint   snooper_handler_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_key_snooper_remove (guint snooper_handler_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_key_snooper_remove "<<std::endl;
#endif /* DEBUG */
snooper_handler_id = (  guint  ) args( 0 ).int_value();
gtk_key_snooper_remove ( snooper_handler_id);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_get_current_event , args , , " GdkEvent* gtk_get_current_event (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_get_current_event "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_get_current_event ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_get_current_event_time , args , , " guint32 gtk_get_current_event_time (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_get_current_event_time "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_get_current_event_time ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_get_current_event_state , args , , " gboolean gtk_get_current_event_state (GdkModifierType * state); " )
{
GdkModifierType *   state ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_get_current_event_state (GdkModifierType * state); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_get_current_event_state "<<std::endl;
#endif /* DEBUG */
state =( GdkModifierType * )args( 0 ).long_value();
long int ret_type=(long int) gtk_get_current_event_state ( state);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_get_event_widget , args , , " GtkWidget* gtk_get_event_widget (GdkEvent * event); " )
{
GdkEvent *   event ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_get_event_widget (GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_get_event_widget "<<std::endl;
#endif /* DEBUG */
event =( GdkEvent * )args( 0 ).long_value();
long int ret_type= (long int) gtk_get_event_widget ( event);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_propagate_event , args , , " void gtk_propagate_event (GtkWidget * widget,GdkEvent * event); " )
{
GtkWidget *   widget ;
GdkEvent *   event ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_propagate_event (GtkWidget * widget,GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_propagate_event "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
gtk_propagate_event ( widget,event);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_menu_bar_get_type , args , , " GType gtk_menu_bar_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_menu_bar_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_menu_bar_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_menu_bar_new , args , , " GtkWidget* gtk_menu_bar_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_menu_bar_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_menu_bar_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_menu_get_type , args , , " GType gtk_menu_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_menu_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_menu_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_menu_new , args , , " GtkWidget* gtk_menu_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_menu_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_menu_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_popup , args , , " void gtk_menu_popup (GtkMenu * menu,GtkWidget * parent_menu_shell,GtkWidget * parent_menu_item,GtkMenuPositionFunc func,gpointer data,guint button,guint32 activate_time); " )
{
GtkMenu *   menu ;
GtkWidget *   parent_menu_shell ;
GtkWidget *   parent_menu_item ;
GtkMenuPositionFunc   func ;
gpointer   data ;
guint   button ;
guint32   activate_time ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gtk_menu_popup (GtkMenu * menu,GtkWidget * parent_menu_shell,GtkWidget * parent_menu_item,GtkMenuPositionFunc func,gpointer data,guint button,guint32 activate_time); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_popup "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
parent_menu_shell =( GtkWidget * )args( 1 ).long_value();
parent_menu_item =( GtkWidget * )args( 2 ).long_value();
func = (  GtkMenuPositionFunc  ) args( 3 ).long_value();
data =( gpointer )args( 4 ).long_value();
button = (  guint  ) args( 5 ).int_value();
activate_time = (  guint32  ) args( 6 ).int_value();
gtk_menu_popup ( menu,parent_menu_shell,parent_menu_item,func,data,button,activate_time);
return octave_value();
}
DEFUN_DLD( gtk_menu_reposition , args , , " void gtk_menu_reposition (GtkMenu * menu); " )
{
GtkMenu *   menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_reposition (GtkMenu * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_reposition "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
gtk_menu_reposition ( menu);
return octave_value();
}
DEFUN_DLD( gtk_menu_popdown , args , , " void gtk_menu_popdown (GtkMenu * menu); " )
{
GtkMenu *   menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_popdown (GtkMenu * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_popdown "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
gtk_menu_popdown ( menu);
return octave_value();
}
DEFUN_DLD( gtk_menu_get_active , args , , " GtkWidget* gtk_menu_get_active (GtkMenu * menu); " )
{
GtkMenu *   menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_menu_get_active (GtkMenu * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_get_active "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
long int ret_type= (long int) gtk_menu_get_active ( menu);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_set_active , args , , " void gtk_menu_set_active (GtkMenu * menu,guint index_); " )
{
GtkMenu *   menu ;
guint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_set_active (GtkMenu * menu,guint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_set_active "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
gtk_menu_set_active ( menu,index_);
return octave_value();
}
DEFUN_DLD( gtk_menu_set_accel_group , args , , " void gtk_menu_set_accel_group (GtkMenu * menu,GtkAccelGroup * accel_group); " )
{
GtkMenu *   menu ;
GtkAccelGroup *   accel_group ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_set_accel_group (GtkMenu * menu,GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_set_accel_group "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
accel_group =( GtkAccelGroup * )args( 1 ).long_value();
gtk_menu_set_accel_group ( menu,accel_group);
return octave_value();
}
DEFUN_DLD( gtk_menu_get_accel_group , args , , " GtkAccelGroup* gtk_menu_get_accel_group (GtkMenu * menu); " )
{
GtkMenu *   menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAccelGroup* gtk_menu_get_accel_group (GtkMenu * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_get_accel_group "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
long int ret_type= (long int) gtk_menu_get_accel_group ( menu);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_set_accel_path , args , , " void gtk_menu_set_accel_path (GtkMenu * menu,gchar * accel_path); " )
{
GtkMenu *   menu ;
gchar *   accel_path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_set_accel_path (GtkMenu * menu,gchar * accel_path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_set_accel_path "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
accel_path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) accel_path ,args( 1 ).string_value().c_str());
gtk_menu_set_accel_path ( menu,accel_path);
return octave_value();
}
DEFUN_DLD( gtk_menu_attach_to_widget , args , , " void gtk_menu_attach_to_widget (GtkMenu * menu,GtkWidget * attach_widget,GtkMenuDetachFunc detacher); " )
{
GtkMenu *   menu ;
GtkWidget *   attach_widget ;
GtkMenuDetachFunc   detacher ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_menu_attach_to_widget (GtkMenu * menu,GtkWidget * attach_widget,GtkMenuDetachFunc detacher); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_attach_to_widget "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
attach_widget =( GtkWidget * )args( 1 ).long_value();
detacher = (  GtkMenuDetachFunc  ) args( 2 ).long_value();
gtk_menu_attach_to_widget ( menu,attach_widget,detacher);
return octave_value();
}
DEFUN_DLD( gtk_menu_detach , args , , " void gtk_menu_detach (GtkMenu * menu); " )
{
GtkMenu *   menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_detach (GtkMenu * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_detach "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
gtk_menu_detach ( menu);
return octave_value();
}
DEFUN_DLD( gtk_menu_get_attach_widget , args , , " GtkWidget* gtk_menu_get_attach_widget (GtkMenu * menu); " )
{
GtkMenu *   menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_menu_get_attach_widget (GtkMenu * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_get_attach_widget "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
long int ret_type= (long int) gtk_menu_get_attach_widget ( menu);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_set_tearoff_state , args , , " void gtk_menu_set_tearoff_state (GtkMenu * menu,gboolean torn_off); " )
{
GtkMenu *   menu ;
gboolean   torn_off ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_set_tearoff_state (GtkMenu * menu,gboolean torn_off); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_set_tearoff_state "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
torn_off = (  gboolean  ) args( 1 ).long_value();
gtk_menu_set_tearoff_state ( menu,torn_off);
return octave_value();
}
DEFUN_DLD( gtk_menu_get_tearoff_state , args , , " gboolean gtk_menu_get_tearoff_state (GtkMenu * menu); " )
{
GtkMenu *   menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_menu_get_tearoff_state (GtkMenu * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_get_tearoff_state "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
long int ret_type=(long int) gtk_menu_get_tearoff_state ( menu);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_set_title , args , , " void gtk_menu_set_title (GtkMenu * menu,gchar * title); " )
{
GtkMenu *   menu ;
gchar *   title ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_set_title (GtkMenu * menu,gchar * title); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_set_title "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
title = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) title ,args( 1 ).string_value().c_str());
gtk_menu_set_title ( menu,title);
return octave_value();
}
DEFUN_DLD( gtk_menu_get_title , args , , " gchar * gtk_menu_get_title (GtkMenu * menu); " )
{
GtkMenu *   menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_menu_get_title (GtkMenu * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_get_title "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
string  ret_type( gtk_menu_get_title ( menu));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_reorder_child , args , , " void gtk_menu_reorder_child (GtkMenu * menu,GtkWidget * child,gint position); " )
{
GtkMenu *   menu ;
GtkWidget *   child ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_menu_reorder_child (GtkMenu * menu,GtkWidget * child,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_reorder_child "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
gtk_menu_reorder_child ( menu,child,position);
return octave_value();
}
DEFUN_DLD( gtk_menu_set_screen , args , , " void gtk_menu_set_screen (GtkMenu * menu,GdkScreen * screen); " )
{
GtkMenu *   menu ;
GdkScreen *   screen ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_set_screen (GtkMenu * menu,GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_set_screen "<<std::endl;
#endif /* DEBUG */
menu =( GtkMenu * )args( 0 ).long_value();
screen =( GdkScreen * )args( 1 ).long_value();
gtk_menu_set_screen ( menu,screen);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_menu_item_get_type , args , , " GType gtk_menu_item_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_menu_item_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_menu_item_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_menu_item_new , args , , " GtkWidget* gtk_menu_item_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_menu_item_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_menu_item_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_item_new_with_label , args , , " GtkWidget* gtk_menu_item_new_with_label (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_menu_item_new_with_label (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_new_with_label "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_menu_item_new_with_label ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_item_new_with_mnemonic , args , , " GtkWidget* gtk_menu_item_new_with_mnemonic (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_menu_item_new_with_mnemonic (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_menu_item_new_with_mnemonic ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_item_set_submenu , args , , " void gtk_menu_item_set_submenu (GtkMenuItem * menu_item,GtkWidget * submenu); " )
{
GtkMenuItem *   menu_item ;
GtkWidget *   submenu ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_item_set_submenu (GtkMenuItem * menu_item,GtkWidget * submenu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_set_submenu "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
submenu =( GtkWidget * )args( 1 ).long_value();
gtk_menu_item_set_submenu ( menu_item,submenu);
return octave_value();
}
DEFUN_DLD( gtk_menu_item_get_submenu , args , , " GtkWidget* gtk_menu_item_get_submenu (GtkMenuItem * menu_item); " )
{
GtkMenuItem *   menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_menu_item_get_submenu (GtkMenuItem * menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_get_submenu "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
long int ret_type= (long int) gtk_menu_item_get_submenu ( menu_item);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_item_remove_submenu , args , , " void gtk_menu_item_remove_submenu (GtkMenuItem * menu_item); " )
{
GtkMenuItem *   menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_item_remove_submenu (GtkMenuItem * menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_remove_submenu "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
gtk_menu_item_remove_submenu ( menu_item);
return octave_value();
}
DEFUN_DLD( gtk_menu_item_select , args , , " void gtk_menu_item_select (GtkMenuItem * menu_item); " )
{
GtkMenuItem *   menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_item_select (GtkMenuItem * menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_select "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
gtk_menu_item_select ( menu_item);
return octave_value();
}
DEFUN_DLD( gtk_menu_item_deselect , args , , " void gtk_menu_item_deselect (GtkMenuItem * menu_item); " )
{
GtkMenuItem *   menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_item_deselect (GtkMenuItem * menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_deselect "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
gtk_menu_item_deselect ( menu_item);
return octave_value();
}
DEFUN_DLD( gtk_menu_item_activate , args , , " void gtk_menu_item_activate (GtkMenuItem * menu_item); " )
{
GtkMenuItem *   menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_item_activate (GtkMenuItem * menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_activate "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
gtk_menu_item_activate ( menu_item);
return octave_value();
}
DEFUN_DLD( gtk_menu_item_toggle_size_request , args , , " void gtk_menu_item_toggle_size_request (GtkMenuItem * menu_item,gint * requisition); " )
{
GtkMenuItem *   menu_item ;
gint *   requisition ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_item_toggle_size_request (GtkMenuItem * menu_item,gint * requisition); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_toggle_size_request "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
requisition =( gint * )args( 1 ).long_value();
gtk_menu_item_toggle_size_request ( menu_item,requisition);
return octave_value();
}
DEFUN_DLD( gtk_menu_item_toggle_size_allocate , args , , " void gtk_menu_item_toggle_size_allocate (GtkMenuItem * menu_item,gint allocation); " )
{
GtkMenuItem *   menu_item ;
gint   allocation ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_item_toggle_size_allocate (GtkMenuItem * menu_item,gint allocation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_toggle_size_allocate "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
allocation = (  gint  ) args( 1 ).int_value();
gtk_menu_item_toggle_size_allocate ( menu_item,allocation);
return octave_value();
}
DEFUN_DLD( gtk_menu_item_set_right_justified , args , , " void gtk_menu_item_set_right_justified (GtkMenuItem * menu_item,gboolean right_justified); " )
{
GtkMenuItem *   menu_item ;
gboolean   right_justified ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_item_set_right_justified (GtkMenuItem * menu_item,gboolean right_justified); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_set_right_justified "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
right_justified = (  gboolean  ) args( 1 ).long_value();
gtk_menu_item_set_right_justified ( menu_item,right_justified);
return octave_value();
}
DEFUN_DLD( gtk_menu_item_get_right_justified , args , , " gboolean gtk_menu_item_get_right_justified (GtkMenuItem * menu_item); " )
{
GtkMenuItem *   menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_menu_item_get_right_justified (GtkMenuItem * menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_get_right_justified "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
long int ret_type=(long int) gtk_menu_item_get_right_justified ( menu_item);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_item_set_accel_path , args , , " void gtk_menu_item_set_accel_path (GtkMenuItem * menu_item,gchar * accel_path); " )
{
GtkMenuItem *   menu_item ;
gchar *   accel_path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_item_set_accel_path (GtkMenuItem * menu_item,gchar * accel_path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_item_set_accel_path "<<std::endl;
#endif /* DEBUG */
menu_item =( GtkMenuItem * )args( 0 ).long_value();
accel_path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) accel_path ,args( 1 ).string_value().c_str());
gtk_menu_item_set_accel_path ( menu_item,accel_path);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_menu_shell_get_type , args , , " GType gtk_menu_shell_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_menu_shell_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_menu_shell_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_menu_shell_append , args , , " void gtk_menu_shell_append (GtkMenuShell * menu_shell,GtkWidget * child); " )
{
GtkMenuShell *   menu_shell ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_shell_append (GtkMenuShell * menu_shell,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_shell_append "<<std::endl;
#endif /* DEBUG */
menu_shell =( GtkMenuShell * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
gtk_menu_shell_append ( menu_shell,child);
return octave_value();
}
DEFUN_DLD( gtk_menu_shell_prepend , args , , " void gtk_menu_shell_prepend (GtkMenuShell * menu_shell,GtkWidget * child); " )
{
GtkMenuShell *   menu_shell ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_shell_prepend (GtkMenuShell * menu_shell,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_shell_prepend "<<std::endl;
#endif /* DEBUG */
menu_shell =( GtkMenuShell * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
gtk_menu_shell_prepend ( menu_shell,child);
return octave_value();
}
DEFUN_DLD( gtk_menu_shell_insert , args , , " void gtk_menu_shell_insert (GtkMenuShell * menu_shell,GtkWidget * child,gint position); " )
{
GtkMenuShell *   menu_shell ;
GtkWidget *   child ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_menu_shell_insert (GtkMenuShell * menu_shell,GtkWidget * child,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_shell_insert "<<std::endl;
#endif /* DEBUG */
menu_shell =( GtkMenuShell * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
gtk_menu_shell_insert ( menu_shell,child,position);
return octave_value();
}
DEFUN_DLD( gtk_menu_shell_deactivate , args , , " void gtk_menu_shell_deactivate (GtkMenuShell * menu_shell); " )
{
GtkMenuShell *   menu_shell ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_shell_deactivate (GtkMenuShell * menu_shell); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_shell_deactivate "<<std::endl;
#endif /* DEBUG */
menu_shell =( GtkMenuShell * )args( 0 ).long_value();
gtk_menu_shell_deactivate ( menu_shell);
return octave_value();
}
DEFUN_DLD( gtk_menu_shell_select_item , args , , " void gtk_menu_shell_select_item (GtkMenuShell * menu_shell,GtkWidget * menu_item); " )
{
GtkMenuShell *   menu_shell ;
GtkWidget *   menu_item ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_shell_select_item (GtkMenuShell * menu_shell,GtkWidget * menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_shell_select_item "<<std::endl;
#endif /* DEBUG */
menu_shell =( GtkMenuShell * )args( 0 ).long_value();
menu_item =( GtkWidget * )args( 1 ).long_value();
gtk_menu_shell_select_item ( menu_shell,menu_item);
return octave_value();
}
DEFUN_DLD( gtk_menu_shell_deselect , args , , " void gtk_menu_shell_deselect (GtkMenuShell * menu_shell); " )
{
GtkMenuShell *   menu_shell ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_menu_shell_deselect (GtkMenuShell * menu_shell); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_shell_deselect "<<std::endl;
#endif /* DEBUG */
menu_shell =( GtkMenuShell * )args( 0 ).long_value();
gtk_menu_shell_deselect ( menu_shell);
return octave_value();
}
DEFUN_DLD( gtk_menu_shell_activate_item , args , , " void gtk_menu_shell_activate_item (GtkMenuShell * menu_shell,GtkWidget * menu_item,gboolean force_deactivate); " )
{
GtkMenuShell *   menu_shell ;
GtkWidget *   menu_item ;
gboolean   force_deactivate ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_menu_shell_activate_item (GtkMenuShell * menu_shell,GtkWidget * menu_item,gboolean force_deactivate); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_shell_activate_item "<<std::endl;
#endif /* DEBUG */
menu_shell =( GtkMenuShell * )args( 0 ).long_value();
menu_item =( GtkWidget * )args( 1 ).long_value();
force_deactivate = (  gboolean  ) args( 2 ).long_value();
gtk_menu_shell_activate_item ( menu_shell,menu_item,force_deactivate);
return octave_value();
}
DEFUN_DLD( gtk_menu_shell_select_first , args , , " void gtk_menu_shell_select_first (GtkMenuShell * menu_shell,gboolean search_sensitive); " )
{
GtkMenuShell *   menu_shell ;
gboolean   search_sensitive ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_menu_shell_select_first (GtkMenuShell * menu_shell,gboolean search_sensitive); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_menu_shell_select_first "<<std::endl;
#endif /* DEBUG */
menu_shell =( GtkMenuShell * )args( 0 ).long_value();
search_sensitive = (  gboolean  ) args( 1 ).long_value();
gtk_menu_shell_select_first ( menu_shell,search_sensitive);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_message_dialog_get_type , args , , " GType gtk_message_dialog_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_message_dialog_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_message_dialog_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_message_dialog_new , args , , " GtkWidget* gtk_message_dialog_new (GtkWindow * parent,GtkDialogFlags flags,GtkMessageType type,GtkButtonsType buttons,gchar * message_format,char * varargs_value); " )
{
GtkWindow *   parent ;
GtkDialogFlags   flags ;
GtkMessageType   type ;
GtkButtonsType   buttons ;
gchar *   message_format ;
char *   varargs_value ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  GtkWidget* gtk_message_dialog_new (GtkWindow * parent,GtkDialogFlags flags,GtkMessageType type,GtkButtonsType buttons,gchar * message_format,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_message_dialog_new "<<std::endl;
#endif /* DEBUG */
parent =( GtkWindow * )args( 0 ).long_value();
flags = (  GtkDialogFlags  ) args( 1 ).long_value();
type = (  GtkMessageType  ) args( 2 ).long_value();
buttons = (  GtkButtonsType  ) args( 3 ).long_value();
message_format = new  gchar   [args( 4 ).string_value ().length()];
strcpy( (char *) message_format ,args( 4 ).string_value().c_str());
varargs_value = new  char   [args( 5 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 5 ).string_value().c_str());
long int ret_type= (long int) gtk_message_dialog_new ( parent,flags,type,buttons,message_format,varargs_value);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_misc_get_type , args , , " GType gtk_misc_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_misc_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_misc_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_misc_set_alignment , args , , " void gtk_misc_set_alignment (GtkMisc * misc,gfloat xalign,gfloat yalign); " )
{
GtkMisc *   misc ;
gfloat   xalign ;
gfloat   yalign ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_misc_set_alignment (GtkMisc * misc,gfloat xalign,gfloat yalign); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_misc_set_alignment "<<std::endl;
#endif /* DEBUG */
misc =( GtkMisc * )args( 0 ).long_value();
xalign = (  gfloat  ) args( 1 ).double_value();
yalign = (  gfloat  ) args( 2 ).double_value();
gtk_misc_set_alignment ( misc,xalign,yalign);
return octave_value();
}
DEFUN_DLD( gtk_misc_get_alignment , args , , " void gtk_misc_get_alignment (GtkMisc * misc,gfloat * xalign,gfloat * yalign); " )
{
GtkMisc *   misc ;
gfloat *   xalign ;
gfloat *   yalign ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_misc_get_alignment (GtkMisc * misc,gfloat * xalign,gfloat * yalign); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_misc_get_alignment "<<std::endl;
#endif /* DEBUG */
misc =( GtkMisc * )args( 0 ).long_value();
xalign =( gfloat * )args( 1 ).long_value();
yalign =( gfloat * )args( 2 ).long_value();
gtk_misc_get_alignment ( misc,xalign,yalign);
return octave_value();
}
DEFUN_DLD( gtk_misc_set_padding , args , , " void gtk_misc_set_padding (GtkMisc * misc,gint xpad,gint ypad); " )
{
GtkMisc *   misc ;
gint   xpad ;
gint   ypad ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_misc_set_padding (GtkMisc * misc,gint xpad,gint ypad); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_misc_set_padding "<<std::endl;
#endif /* DEBUG */
misc =( GtkMisc * )args( 0 ).long_value();
xpad = (  gint  ) args( 1 ).int_value();
ypad = (  gint  ) args( 2 ).int_value();
gtk_misc_set_padding ( misc,xpad,ypad);
return octave_value();
}
DEFUN_DLD( gtk_misc_get_padding , args , , " void gtk_misc_get_padding (GtkMisc * misc,gint * xpad,gint * ypad); " )
{
GtkMisc *   misc ;
gint *   xpad ;
gint *   ypad ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_misc_get_padding (GtkMisc * misc,gint * xpad,gint * ypad); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_misc_get_padding "<<std::endl;
#endif /* DEBUG */
misc =( GtkMisc * )args( 0 ).long_value();
xpad =( gint * )args( 1 ).long_value();
ypad =( gint * )args( 2 ).long_value();
gtk_misc_get_padding ( misc,xpad,ypad);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_notebook_get_type , args , , " GType gtk_notebook_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_notebook_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_notebook_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_notebook_new , args , , " GtkWidget * gtk_notebook_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_notebook_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_notebook_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_append_page , args , , " void gtk_notebook_append_page (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
GtkWidget *   tab_label ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_notebook_append_page (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_append_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
tab_label =( GtkWidget * )args( 2 ).long_value();
gtk_notebook_append_page ( notebook,child,tab_label);
return octave_value();
}
DEFUN_DLD( gtk_notebook_append_page_menu , args , , " void gtk_notebook_append_page_menu (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label,GtkWidget * menu_label); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
GtkWidget *   tab_label ;
GtkWidget *   menu_label ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_notebook_append_page_menu (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label,GtkWidget * menu_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_append_page_menu "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
tab_label =( GtkWidget * )args( 2 ).long_value();
menu_label =( GtkWidget * )args( 3 ).long_value();
gtk_notebook_append_page_menu ( notebook,child,tab_label,menu_label);
return octave_value();
}
DEFUN_DLD( gtk_notebook_prepend_page , args , , " void gtk_notebook_prepend_page (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
GtkWidget *   tab_label ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_notebook_prepend_page (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_prepend_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
tab_label =( GtkWidget * )args( 2 ).long_value();
gtk_notebook_prepend_page ( notebook,child,tab_label);
return octave_value();
}
DEFUN_DLD( gtk_notebook_prepend_page_menu , args , , " void gtk_notebook_prepend_page_menu (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label,GtkWidget * menu_label); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
GtkWidget *   tab_label ;
GtkWidget *   menu_label ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_notebook_prepend_page_menu (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label,GtkWidget * menu_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_prepend_page_menu "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
tab_label =( GtkWidget * )args( 2 ).long_value();
menu_label =( GtkWidget * )args( 3 ).long_value();
gtk_notebook_prepend_page_menu ( notebook,child,tab_label,menu_label);
return octave_value();
}
DEFUN_DLD( gtk_notebook_insert_page , args , , " void gtk_notebook_insert_page (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label,gint position); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
GtkWidget *   tab_label ;
gint   position ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_notebook_insert_page (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_insert_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
tab_label =( GtkWidget * )args( 2 ).long_value();
position = (  gint  ) args( 3 ).int_value();
gtk_notebook_insert_page ( notebook,child,tab_label,position);
return octave_value();
}
DEFUN_DLD( gtk_notebook_insert_page_menu , args , , " void gtk_notebook_insert_page_menu (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label,GtkWidget * menu_label,gint position); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
GtkWidget *   tab_label ;
GtkWidget *   menu_label ;
gint   position ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_notebook_insert_page_menu (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label,GtkWidget * menu_label,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_insert_page_menu "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
tab_label =( GtkWidget * )args( 2 ).long_value();
menu_label =( GtkWidget * )args( 3 ).long_value();
position = (  gint  ) args( 4 ).int_value();
gtk_notebook_insert_page_menu ( notebook,child,tab_label,menu_label,position);
return octave_value();
}
DEFUN_DLD( gtk_notebook_remove_page , args , , " void gtk_notebook_remove_page (GtkNotebook * notebook,gint page_num); " )
{
GtkNotebook *   notebook ;
gint   page_num ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_remove_page (GtkNotebook * notebook,gint page_num); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_remove_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
page_num = (  gint  ) args( 1 ).int_value();
gtk_notebook_remove_page ( notebook,page_num);
return octave_value();
}
DEFUN_DLD( gtk_notebook_get_current_page , args , , " gint gtk_notebook_get_current_page (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_notebook_get_current_page (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_current_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
long int ret_type=(long int) gtk_notebook_get_current_page ( notebook);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_get_nth_page , args , , " GtkWidget* gtk_notebook_get_nth_page (GtkNotebook * notebook,gint page_num); " )
{
GtkNotebook *   notebook ;
gint   page_num ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_notebook_get_nth_page (GtkNotebook * notebook,gint page_num); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_nth_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
page_num = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_notebook_get_nth_page ( notebook,page_num);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_get_n_pages , args , , " gint gtk_notebook_get_n_pages (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_notebook_get_n_pages (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_n_pages "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
long int ret_type=(long int) gtk_notebook_get_n_pages ( notebook);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_page_num , args , , " gint gtk_notebook_page_num (GtkNotebook * notebook,GtkWidget * child); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_notebook_page_num (GtkNotebook * notebook,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_page_num "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
long int ret_type=(long int) gtk_notebook_page_num ( notebook,child);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_set_current_page , args , , " void gtk_notebook_set_current_page (GtkNotebook * notebook,gint page_num); " )
{
GtkNotebook *   notebook ;
gint   page_num ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_current_page (GtkNotebook * notebook,gint page_num); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_current_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
page_num = (  gint  ) args( 1 ).int_value();
gtk_notebook_set_current_page ( notebook,page_num);
return octave_value();
}
DEFUN_DLD( gtk_notebook_next_page , args , , " void gtk_notebook_next_page (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_notebook_next_page (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_next_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
gtk_notebook_next_page ( notebook);
return octave_value();
}
DEFUN_DLD( gtk_notebook_prev_page , args , , " void gtk_notebook_prev_page (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_notebook_prev_page (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_prev_page "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
gtk_notebook_prev_page ( notebook);
return octave_value();
}
DEFUN_DLD( gtk_notebook_set_show_border , args , , " void gtk_notebook_set_show_border (GtkNotebook * notebook,gboolean show_border); " )
{
GtkNotebook *   notebook ;
gboolean   show_border ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_show_border (GtkNotebook * notebook,gboolean show_border); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_show_border "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
show_border = (  gboolean  ) args( 1 ).long_value();
gtk_notebook_set_show_border ( notebook,show_border);
return octave_value();
}
DEFUN_DLD( gtk_notebook_get_show_border , args , , " gboolean gtk_notebook_get_show_border (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_notebook_get_show_border (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_show_border "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
long int ret_type=(long int) gtk_notebook_get_show_border ( notebook);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_set_show_tabs , args , , " void gtk_notebook_set_show_tabs (GtkNotebook * notebook,gboolean show_tabs); " )
{
GtkNotebook *   notebook ;
gboolean   show_tabs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_show_tabs (GtkNotebook * notebook,gboolean show_tabs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_show_tabs "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
show_tabs = (  gboolean  ) args( 1 ).long_value();
gtk_notebook_set_show_tabs ( notebook,show_tabs);
return octave_value();
}
DEFUN_DLD( gtk_notebook_get_show_tabs , args , , " gboolean gtk_notebook_get_show_tabs (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_notebook_get_show_tabs (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_show_tabs "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
long int ret_type=(long int) gtk_notebook_get_show_tabs ( notebook);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_set_tab_pos , args , , " void gtk_notebook_set_tab_pos (GtkNotebook * notebook,GtkPositionType pos); " )
{
GtkNotebook *   notebook ;
GtkPositionType   pos ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_tab_pos (GtkNotebook * notebook,GtkPositionType pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_tab_pos "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
pos = (  GtkPositionType  ) args( 1 ).long_value();
gtk_notebook_set_tab_pos ( notebook,pos);
return octave_value();
}
DEFUN_DLD( gtk_notebook_get_tab_pos , args , , " GtkPositionType gtk_notebook_get_tab_pos (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkPositionType gtk_notebook_get_tab_pos (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_tab_pos "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
long int ret_type=(long int) gtk_notebook_get_tab_pos ( notebook);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_set_homogeneous_tabs , args , , " void gtk_notebook_set_homogeneous_tabs (GtkNotebook * notebook,gboolean homogeneous); " )
{
GtkNotebook *   notebook ;
gboolean   homogeneous ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_homogeneous_tabs (GtkNotebook * notebook,gboolean homogeneous); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_homogeneous_tabs "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
homogeneous = (  gboolean  ) args( 1 ).long_value();
gtk_notebook_set_homogeneous_tabs ( notebook,homogeneous);
return octave_value();
}
DEFUN_DLD( gtk_notebook_set_tab_border , args , , " void gtk_notebook_set_tab_border (GtkNotebook * notebook,guint border_width); " )
{
GtkNotebook *   notebook ;
guint   border_width ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_tab_border (GtkNotebook * notebook,guint border_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_tab_border "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
border_width = (  guint  ) args( 1 ).int_value();
gtk_notebook_set_tab_border ( notebook,border_width);
return octave_value();
}
DEFUN_DLD( gtk_notebook_set_tab_hborder , args , , " void gtk_notebook_set_tab_hborder (GtkNotebook * notebook,guint tab_hborder); " )
{
GtkNotebook *   notebook ;
guint   tab_hborder ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_tab_hborder (GtkNotebook * notebook,guint tab_hborder); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_tab_hborder "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
tab_hborder = (  guint  ) args( 1 ).int_value();
gtk_notebook_set_tab_hborder ( notebook,tab_hborder);
return octave_value();
}
DEFUN_DLD( gtk_notebook_set_tab_vborder , args , , " void gtk_notebook_set_tab_vborder (GtkNotebook * notebook,guint tab_vborder); " )
{
GtkNotebook *   notebook ;
guint   tab_vborder ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_tab_vborder (GtkNotebook * notebook,guint tab_vborder); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_tab_vborder "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
tab_vborder = (  guint  ) args( 1 ).int_value();
gtk_notebook_set_tab_vborder ( notebook,tab_vborder);
return octave_value();
}
DEFUN_DLD( gtk_notebook_set_scrollable , args , , " void gtk_notebook_set_scrollable (GtkNotebook * notebook,gboolean scrollable); " )
{
GtkNotebook *   notebook ;
gboolean   scrollable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_notebook_set_scrollable (GtkNotebook * notebook,gboolean scrollable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_scrollable "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
scrollable = (  gboolean  ) args( 1 ).long_value();
gtk_notebook_set_scrollable ( notebook,scrollable);
return octave_value();
}
DEFUN_DLD( gtk_notebook_get_scrollable , args , , " gboolean gtk_notebook_get_scrollable (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_notebook_get_scrollable (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_scrollable "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
long int ret_type=(long int) gtk_notebook_get_scrollable ( notebook);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_popup_enable , args , , " void gtk_notebook_popup_enable (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_notebook_popup_enable (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_popup_enable "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
gtk_notebook_popup_enable ( notebook);
return octave_value();
}
DEFUN_DLD( gtk_notebook_popup_disable , args , , " void gtk_notebook_popup_disable (GtkNotebook * notebook); " )
{
GtkNotebook *   notebook ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_notebook_popup_disable (GtkNotebook * notebook); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_popup_disable "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
gtk_notebook_popup_disable ( notebook);
return octave_value();
}
DEFUN_DLD( gtk_notebook_get_tab_label , args , , " GtkWidget * gtk_notebook_get_tab_label (GtkNotebook * notebook,GtkWidget * child); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget * gtk_notebook_get_tab_label (GtkNotebook * notebook,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_tab_label "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
long int ret_type= (long int) gtk_notebook_get_tab_label ( notebook,child);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_set_tab_label , args , , " void gtk_notebook_set_tab_label (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
GtkWidget *   tab_label ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_notebook_set_tab_label (GtkNotebook * notebook,GtkWidget * child,GtkWidget * tab_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_tab_label "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
tab_label =( GtkWidget * )args( 2 ).long_value();
gtk_notebook_set_tab_label ( notebook,child,tab_label);
return octave_value();
}
DEFUN_DLD( gtk_notebook_set_tab_label_text , args , , " void gtk_notebook_set_tab_label_text (GtkNotebook * notebook,GtkWidget * child,gchar * tab_text); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
gchar *   tab_text ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_notebook_set_tab_label_text (GtkNotebook * notebook,GtkWidget * child,gchar * tab_text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_tab_label_text "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
tab_text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) tab_text ,args( 2 ).string_value().c_str());
gtk_notebook_set_tab_label_text ( notebook,child,tab_text);
return octave_value();
}
DEFUN_DLD( gtk_notebook_get_tab_label_text , args , , " gchar * gtk_notebook_get_tab_label_text (GtkNotebook * notebook,GtkWidget * child); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * gtk_notebook_get_tab_label_text (GtkNotebook * notebook,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_tab_label_text "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
string  ret_type( gtk_notebook_get_tab_label_text ( notebook,child));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_get_menu_label , args , , " GtkWidget * gtk_notebook_get_menu_label (GtkNotebook * notebook,GtkWidget * child); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget * gtk_notebook_get_menu_label (GtkNotebook * notebook,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_menu_label "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
long int ret_type= (long int) gtk_notebook_get_menu_label ( notebook,child);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_set_menu_label , args , , " void gtk_notebook_set_menu_label (GtkNotebook * notebook,GtkWidget * child,GtkWidget * menu_label); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
GtkWidget *   menu_label ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_notebook_set_menu_label (GtkNotebook * notebook,GtkWidget * child,GtkWidget * menu_label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_menu_label "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
menu_label =( GtkWidget * )args( 2 ).long_value();
gtk_notebook_set_menu_label ( notebook,child,menu_label);
return octave_value();
}
DEFUN_DLD( gtk_notebook_set_menu_label_text , args , , " void gtk_notebook_set_menu_label_text (GtkNotebook * notebook,GtkWidget * child,gchar * menu_text); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
gchar *   menu_text ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_notebook_set_menu_label_text (GtkNotebook * notebook,GtkWidget * child,gchar * menu_text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_menu_label_text "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
menu_text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) menu_text ,args( 2 ).string_value().c_str());
gtk_notebook_set_menu_label_text ( notebook,child,menu_text);
return octave_value();
}
DEFUN_DLD( gtk_notebook_get_menu_label_text , args , , " gchar * gtk_notebook_get_menu_label_text (GtkNotebook * notebook,GtkWidget * child); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * gtk_notebook_get_menu_label_text (GtkNotebook * notebook,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_get_menu_label_text "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
string  ret_type( gtk_notebook_get_menu_label_text ( notebook,child));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_notebook_query_tab_label_packing , args , , " void gtk_notebook_query_tab_label_packing (GtkNotebook * notebook,GtkWidget * child,gboolean * expand,gboolean * fill,GtkPackType * pack_type); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
gboolean *   expand ;
gboolean *   fill ;
GtkPackType *   pack_type ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_notebook_query_tab_label_packing (GtkNotebook * notebook,GtkWidget * child,gboolean * expand,gboolean * fill,GtkPackType * pack_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_query_tab_label_packing "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
expand =( gboolean * )args( 2 ).long_value();
fill =( gboolean * )args( 3 ).long_value();
pack_type =( GtkPackType * )args( 4 ).long_value();
gtk_notebook_query_tab_label_packing ( notebook,child,expand,fill,pack_type);
return octave_value();
}
DEFUN_DLD( gtk_notebook_set_tab_label_packing , args , , " void gtk_notebook_set_tab_label_packing (GtkNotebook * notebook,GtkWidget * child,gboolean expand,gboolean fill,GtkPackType pack_type); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
gboolean   expand ;
gboolean   fill ;
GtkPackType   pack_type ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_notebook_set_tab_label_packing (GtkNotebook * notebook,GtkWidget * child,gboolean expand,gboolean fill,GtkPackType pack_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_set_tab_label_packing "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
expand = (  gboolean  ) args( 2 ).long_value();
fill = (  gboolean  ) args( 3 ).long_value();
pack_type = (  GtkPackType  ) args( 4 ).long_value();
gtk_notebook_set_tab_label_packing ( notebook,child,expand,fill,pack_type);
return octave_value();
}
DEFUN_DLD( gtk_notebook_reorder_child , args , , " void gtk_notebook_reorder_child (GtkNotebook * notebook,GtkWidget * child,gint position); " )
{
GtkNotebook *   notebook ;
GtkWidget *   child ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_notebook_reorder_child (GtkNotebook * notebook,GtkWidget * child,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_notebook_reorder_child "<<std::endl;
#endif /* DEBUG */
notebook =( GtkNotebook * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
gtk_notebook_reorder_child ( notebook,child,position);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_object_get_type , args , , " GtkType gtk_object_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_object_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_object_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_object_new , args , , " GtkObject* gtk_object_new (GtkType type,gchar * first_property_name,char * varargs_value); " )
{
GtkType   type ;
gchar *   first_property_name ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkObject* gtk_object_new (GtkType type,gchar * first_property_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_new "<<std::endl;
#endif /* DEBUG */
type = (  GtkType  ) args( 0 ).long_value();
first_property_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) first_property_name ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
long int ret_type= (long int) gtk_object_new ( type,first_property_name,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_object_sink , args , , " void gtk_object_sink (GtkObject * object); " )
{
GtkObject *   object ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_object_sink (GtkObject * object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_sink "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
gtk_object_sink ( object);
return octave_value();
}
DEFUN_DLD( gtk_object_destroy , args , , " void gtk_object_destroy (GtkObject * object); " )
{
GtkObject *   object ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_object_destroy (GtkObject * object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_destroy "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
gtk_object_destroy ( object);
return octave_value();
}
DEFUN_DLD( gtk_object_ref , args , , " GtkObject* gtk_object_ref (GtkObject * object); " )
{
GtkObject *   object ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkObject* gtk_object_ref (GtkObject * object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_ref "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
long int ret_type= (long int) gtk_object_ref ( object);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_object_unref , args , , " void gtk_object_unref (GtkObject * object); " )
{
GtkObject *   object ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_object_unref (GtkObject * object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_unref "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
gtk_object_unref ( object);
return octave_value();
}
DEFUN_DLD( gtk_object_weakref , args , , " void gtk_object_weakref (GtkObject * object,GtkDestroyNotify notify,gpointer data); " )
{
GtkObject *   object ;
GtkDestroyNotify   notify ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_object_weakref (GtkObject * object,GtkDestroyNotify notify,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_weakref "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
notify = (  GtkDestroyNotify  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gtk_object_weakref ( object,notify,data);
return octave_value();
}
DEFUN_DLD( gtk_object_weakunref , args , , " void gtk_object_weakunref (GtkObject * object,GtkDestroyNotify notify,gpointer data); " )
{
GtkObject *   object ;
GtkDestroyNotify   notify ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_object_weakunref (GtkObject * object,GtkDestroyNotify notify,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_weakunref "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
notify = (  GtkDestroyNotify  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gtk_object_weakunref ( object,notify,data);
return octave_value();
}
DEFUN_DLD( gtk_object_set_data , args , , " void gtk_object_set_data (GtkObject * object,gchar * key,gpointer data); " )
{
GtkObject *   object ;
gchar *   key ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_object_set_data (GtkObject * object,gchar * key,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_set_data "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
key = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) key ,args( 1 ).string_value().c_str());
data =( gpointer )args( 2 ).long_value();
gtk_object_set_data ( object,key,data);
return octave_value();
}
DEFUN_DLD( gtk_object_set_data_full , args , , " void gtk_object_set_data_full (GtkObject * object,gchar * key,gpointer data,GtkDestroyNotify destroy); " )
{
GtkObject *   object ;
gchar *   key ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_object_set_data_full (GtkObject * object,gchar * key,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_set_data_full "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
key = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) key ,args( 1 ).string_value().c_str());
data =( gpointer )args( 2 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_object_set_data_full ( object,key,data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_object_remove_data , args , , " void gtk_object_remove_data (GtkObject * object,gchar * key); " )
{
GtkObject *   object ;
gchar *   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_object_remove_data (GtkObject * object,gchar * key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_remove_data "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
key = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) key ,args( 1 ).string_value().c_str());
gtk_object_remove_data ( object,key);
return octave_value();
}
DEFUN_DLD( gtk_object_get_data , args , , " gpointer gtk_object_get_data (GtkObject * object,gchar * key); " )
{
GtkObject *   object ;
gchar *   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer gtk_object_get_data (GtkObject * object,gchar * key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_get_data "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
key = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) key ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_object_get_data ( object,key);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_object_remove_no_notify , args , , " void gtk_object_remove_no_notify (GtkObject * object,gchar * key); " )
{
GtkObject *   object ;
gchar *   key ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_object_remove_no_notify (GtkObject * object,gchar * key); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_remove_no_notify "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
key = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) key ,args( 1 ).string_value().c_str());
gtk_object_remove_no_notify ( object,key);
return octave_value();
}
DEFUN_DLD( gtk_object_set_user_data , args , , " void gtk_object_set_user_data (GtkObject * object,gpointer data); " )
{
GtkObject *   object ;
gpointer   data ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_object_set_user_data (GtkObject * object,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_set_user_data "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
data =( gpointer )args( 1 ).long_value();
gtk_object_set_user_data ( object,data);
return octave_value();
}
DEFUN_DLD( gtk_object_get_user_data , args , , " gpointer gtk_object_get_user_data (GtkObject * object); " )
{
GtkObject *   object ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer gtk_object_get_user_data (GtkObject * object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_get_user_data "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
long int ret_type= (long int) gtk_object_get_user_data ( object);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_object_set_data_by_id , args , , " void gtk_object_set_data_by_id (GtkObject * object,GQuark data_id,gpointer data); " )
{
GtkObject *   object ;
GQuark   data_id ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_object_set_data_by_id (GtkObject * object,GQuark data_id,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_set_data_by_id "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
data_id = (  GQuark  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gtk_object_set_data_by_id ( object,data_id,data);
return octave_value();
}
DEFUN_DLD( gtk_object_set_data_by_id_full , args , , " void gtk_object_set_data_by_id_full (GtkObject * object,GQuark data_id,gpointer data,GtkDestroyNotify destroy); " )
{
GtkObject *   object ;
GQuark   data_id ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_object_set_data_by_id_full (GtkObject * object,GQuark data_id,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_set_data_by_id_full "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
data_id = (  GQuark  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_object_set_data_by_id_full ( object,data_id,data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_object_get_data_by_id , args , , " gpointer gtk_object_get_data_by_id (GtkObject * object,GQuark data_id); " )
{
GtkObject *   object ;
GQuark   data_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gpointer gtk_object_get_data_by_id (GtkObject * object,GQuark data_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_get_data_by_id "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
data_id = (  GQuark  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_object_get_data_by_id ( object,data_id);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_object_remove_data_by_id , args , , " void gtk_object_remove_data_by_id (GtkObject * object,GQuark data_id); " )
{
GtkObject *   object ;
GQuark   data_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_object_remove_data_by_id (GtkObject * object,GQuark data_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_remove_data_by_id "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
data_id = (  GQuark  ) args( 1 ).long_value();
gtk_object_remove_data_by_id ( object,data_id);
return octave_value();
}
DEFUN_DLD( gtk_object_remove_no_notify_by_id , args , , " void gtk_object_remove_no_notify_by_id (GtkObject * object,GQuark key_id); " )
{
GtkObject *   object ;
GQuark   key_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_object_remove_no_notify_by_id (GtkObject * object,GQuark key_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_object_remove_no_notify_by_id "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
key_id = (  GQuark  ) args( 1 ).long_value();
gtk_object_remove_no_notify_by_id ( object,key_id);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_old_editable_get_type , args , , " GtkType gtk_old_editable_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_old_editable_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_old_editable_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_old_editable_claim_selection , args , , " void gtk_old_editable_claim_selection (GtkOldEditable * old_editable,gboolean claim,guint32 time_); " )
{
GtkOldEditable *   old_editable ;
gboolean   claim ;
guint32   time_ ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_old_editable_claim_selection (GtkOldEditable * old_editable,gboolean claim,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_old_editable_claim_selection "<<std::endl;
#endif /* DEBUG */
old_editable =( GtkOldEditable * )args( 0 ).long_value();
claim = (  gboolean  ) args( 1 ).long_value();
time_ = (  guint32  ) args( 2 ).int_value();
gtk_old_editable_claim_selection ( old_editable,claim,time_);
return octave_value();
}
DEFUN_DLD( gtk_old_editable_changed , args , , " void gtk_old_editable_changed (GtkOldEditable * old_editable); " )
{
GtkOldEditable *   old_editable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_old_editable_changed (GtkOldEditable * old_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_old_editable_changed "<<std::endl;
#endif /* DEBUG */
old_editable =( GtkOldEditable * )args( 0 ).long_value();
gtk_old_editable_changed ( old_editable);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_option_menu_get_type , args , , " GType gtk_option_menu_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_option_menu_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_option_menu_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_option_menu_new , args , , " GtkWidget* gtk_option_menu_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_option_menu_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_option_menu_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_option_menu_get_menu , args , , " GtkWidget* gtk_option_menu_get_menu (GtkOptionMenu * option_menu); " )
{
GtkOptionMenu *   option_menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_option_menu_get_menu (GtkOptionMenu * option_menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_option_menu_get_menu "<<std::endl;
#endif /* DEBUG */
option_menu =( GtkOptionMenu * )args( 0 ).long_value();
long int ret_type= (long int) gtk_option_menu_get_menu ( option_menu);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_option_menu_set_menu , args , , " void gtk_option_menu_set_menu (GtkOptionMenu * option_menu,GtkWidget * menu); " )
{
GtkOptionMenu *   option_menu ;
GtkWidget *   menu ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_option_menu_set_menu (GtkOptionMenu * option_menu,GtkWidget * menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_option_menu_set_menu "<<std::endl;
#endif /* DEBUG */
option_menu =( GtkOptionMenu * )args( 0 ).long_value();
menu =( GtkWidget * )args( 1 ).long_value();
gtk_option_menu_set_menu ( option_menu,menu);
return octave_value();
}
DEFUN_DLD( gtk_option_menu_remove_menu , args , , " void gtk_option_menu_remove_menu (GtkOptionMenu * option_menu); " )
{
GtkOptionMenu *   option_menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_option_menu_remove_menu (GtkOptionMenu * option_menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_option_menu_remove_menu "<<std::endl;
#endif /* DEBUG */
option_menu =( GtkOptionMenu * )args( 0 ).long_value();
gtk_option_menu_remove_menu ( option_menu);
return octave_value();
}
DEFUN_DLD( gtk_option_menu_get_history , args , , " gint gtk_option_menu_get_history (GtkOptionMenu * option_menu); " )
{
GtkOptionMenu *   option_menu ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_option_menu_get_history (GtkOptionMenu * option_menu); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_option_menu_get_history "<<std::endl;
#endif /* DEBUG */
option_menu =( GtkOptionMenu * )args( 0 ).long_value();
long int ret_type=(long int) gtk_option_menu_get_history ( option_menu);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_option_menu_set_history , args , , " void gtk_option_menu_set_history (GtkOptionMenu * option_menu,guint index_); " )
{
GtkOptionMenu *   option_menu ;
guint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_option_menu_set_history (GtkOptionMenu * option_menu,guint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_option_menu_set_history "<<std::endl;
#endif /* DEBUG */
option_menu =( GtkOptionMenu * )args( 0 ).long_value();
index_ = (  guint  ) args( 1 ).int_value();
gtk_option_menu_set_history ( option_menu,index_);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_paned_get_type , args , , " GType gtk_paned_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_paned_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_paned_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_paned_add1 , args , , " void gtk_paned_add1 (GtkPaned * paned,GtkWidget * child); " )
{
GtkPaned *   paned ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_paned_add1 (GtkPaned * paned,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paned_add1 "<<std::endl;
#endif /* DEBUG */
paned =( GtkPaned * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
gtk_paned_add1 ( paned,child);
return octave_value();
}
DEFUN_DLD( gtk_paned_add2 , args , , " void gtk_paned_add2 (GtkPaned * paned,GtkWidget * child); " )
{
GtkPaned *   paned ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_paned_add2 (GtkPaned * paned,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paned_add2 "<<std::endl;
#endif /* DEBUG */
paned =( GtkPaned * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
gtk_paned_add2 ( paned,child);
return octave_value();
}
DEFUN_DLD( gtk_paned_pack1 , args , , " void gtk_paned_pack1 (GtkPaned * paned,GtkWidget * child,gboolean resize,gboolean shrink); " )
{
GtkPaned *   paned ;
GtkWidget *   child ;
gboolean   resize ;
gboolean   shrink ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_paned_pack1 (GtkPaned * paned,GtkWidget * child,gboolean resize,gboolean shrink); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paned_pack1 "<<std::endl;
#endif /* DEBUG */
paned =( GtkPaned * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
resize = (  gboolean  ) args( 2 ).long_value();
shrink = (  gboolean  ) args( 3 ).long_value();
gtk_paned_pack1 ( paned,child,resize,shrink);
return octave_value();
}
DEFUN_DLD( gtk_paned_pack2 , args , , " void gtk_paned_pack2 (GtkPaned * paned,GtkWidget * child,gboolean resize,gboolean shrink); " )
{
GtkPaned *   paned ;
GtkWidget *   child ;
gboolean   resize ;
gboolean   shrink ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_paned_pack2 (GtkPaned * paned,GtkWidget * child,gboolean resize,gboolean shrink); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paned_pack2 "<<std::endl;
#endif /* DEBUG */
paned =( GtkPaned * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
resize = (  gboolean  ) args( 2 ).long_value();
shrink = (  gboolean  ) args( 3 ).long_value();
gtk_paned_pack2 ( paned,child,resize,shrink);
return octave_value();
}
DEFUN_DLD( gtk_paned_get_position , args , , " gint gtk_paned_get_position (GtkPaned * paned); " )
{
GtkPaned *   paned ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_paned_get_position (GtkPaned * paned); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paned_get_position "<<std::endl;
#endif /* DEBUG */
paned =( GtkPaned * )args( 0 ).long_value();
long int ret_type=(long int) gtk_paned_get_position ( paned);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_paned_set_position , args , , " void gtk_paned_set_position (GtkPaned * paned,gint position); " )
{
GtkPaned *   paned ;
gint   position ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_paned_set_position (GtkPaned * paned,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paned_set_position "<<std::endl;
#endif /* DEBUG */
paned =( GtkPaned * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
gtk_paned_set_position ( paned,position);
return octave_value();
}
DEFUN_DLD( gtk_paned_compute_position , args , , " void gtk_paned_compute_position (GtkPaned * paned,gint allocation,gint child1_req,gint child2_req); " )
{
GtkPaned *   paned ;
gint   allocation ;
gint   child1_req ;
gint   child2_req ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_paned_compute_position (GtkPaned * paned,gint allocation,gint child1_req,gint child2_req); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paned_compute_position "<<std::endl;
#endif /* DEBUG */
paned =( GtkPaned * )args( 0 ).long_value();
allocation = (  gint  ) args( 1 ).int_value();
child1_req = (  gint  ) args( 2 ).int_value();
child2_req = (  gint  ) args( 3 ).int_value();
gtk_paned_compute_position ( paned,allocation,child1_req,child2_req);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_pixmap_get_type , args , , " GtkType gtk_pixmap_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_pixmap_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_pixmap_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_pixmap_new , args , , " GtkWidget* gtk_pixmap_new (GdkPixmap * pixmap,GdkBitmap * mask); " )
{
GdkPixmap *   pixmap ;
GdkBitmap *   mask ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_pixmap_new (GdkPixmap * pixmap,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_pixmap_new "<<std::endl;
#endif /* DEBUG */
pixmap =( GdkPixmap * )args( 0 ).long_value();
mask =( GdkBitmap * )args( 1 ).long_value();
long int ret_type= (long int) gtk_pixmap_new ( pixmap,mask);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_pixmap_set , args , , " void gtk_pixmap_set (GtkPixmap * pixmap,GdkPixmap * val,GdkBitmap * mask); " )
{
GtkPixmap *   pixmap ;
GdkPixmap *   val ;
GdkBitmap *   mask ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_pixmap_set (GtkPixmap * pixmap,GdkPixmap * val,GdkBitmap * mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_pixmap_set "<<std::endl;
#endif /* DEBUG */
pixmap =( GtkPixmap * )args( 0 ).long_value();
val =( GdkPixmap * )args( 1 ).long_value();
mask =( GdkBitmap * )args( 2 ).long_value();
gtk_pixmap_set ( pixmap,val,mask);
return octave_value();
}
/* overriden: gtk_pixmap_get  */
DEFUN_DLD( gtk_pixmap_set_build_insensitive , args , , " void gtk_pixmap_set_build_insensitive (GtkPixmap * pixmap,gboolean build); " )
{
GtkPixmap *   pixmap ;
gboolean   build ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_pixmap_set_build_insensitive (GtkPixmap * pixmap,gboolean build); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_pixmap_set_build_insensitive "<<std::endl;
#endif /* DEBUG */
pixmap =( GtkPixmap * )args( 0 ).long_value();
build = (  gboolean  ) args( 1 ).long_value();
gtk_pixmap_set_build_insensitive ( pixmap,build);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_plug_get_type , args , , " GType gtk_plug_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_plug_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_plug_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_plug_construct , args , , " void gtk_plug_construct (GtkPlug * plug,GdkNativeWindow socket_id); " )
{
GtkPlug *   plug ;
GdkNativeWindow   socket_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_plug_construct (GtkPlug * plug,GdkNativeWindow socket_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_plug_construct "<<std::endl;
#endif /* DEBUG */
plug =( GtkPlug * )args( 0 ).long_value();
socket_id = (  GdkNativeWindow  ) args( 1 ).long_value();
gtk_plug_construct ( plug,socket_id);
return octave_value();
}
DEFUN_DLD( gtk_plug_new , args , , " GtkWidget* gtk_plug_new (GdkNativeWindow socket_id); " )
{
GdkNativeWindow   socket_id ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_plug_new (GdkNativeWindow socket_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_plug_new "<<std::endl;
#endif /* DEBUG */
socket_id = (  GdkNativeWindow  ) args( 0 ).long_value();
long int ret_type= (long int) gtk_plug_new ( socket_id);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_plug_construct_for_display , args , , " void gtk_plug_construct_for_display (GtkPlug * plug,GdkDisplay * display,GdkNativeWindow socket_id); " )
{
GtkPlug *   plug ;
GdkDisplay *   display ;
GdkNativeWindow   socket_id ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_plug_construct_for_display (GtkPlug * plug,GdkDisplay * display,GdkNativeWindow socket_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_plug_construct_for_display "<<std::endl;
#endif /* DEBUG */
plug =( GtkPlug * )args( 0 ).long_value();
display =( GdkDisplay * )args( 1 ).long_value();
socket_id = (  GdkNativeWindow  ) args( 2 ).long_value();
gtk_plug_construct_for_display ( plug,display,socket_id);
return octave_value();
}
DEFUN_DLD( gtk_plug_new_for_display , args , , " GtkWidget* gtk_plug_new_for_display (GdkDisplay * display,GdkNativeWindow socket_id); " )
{
GdkDisplay *   display ;
GdkNativeWindow   socket_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_plug_new_for_display (GdkDisplay * display,GdkNativeWindow socket_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_plug_new_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
socket_id = (  GdkNativeWindow  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_plug_new_for_display ( display,socket_id);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_plug_get_id , args , , " GdkNativeWindow gtk_plug_get_id (GtkPlug * plug); " )
{
GtkPlug *   plug ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkNativeWindow gtk_plug_get_id (GtkPlug * plug); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_plug_get_id "<<std::endl;
#endif /* DEBUG */
plug =( GtkPlug * )args( 0 ).long_value();
long int ret_type=(long int) gtk_plug_get_id ( plug);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_preview_get_type , args , , " GtkType gtk_preview_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_preview_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_preview_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_preview_uninit , args , , " void gtk_preview_uninit (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_preview_uninit "<<std::endl;
#endif /* DEBUG */
gtk_preview_uninit ( );
return octave_value();
}
DEFUN_DLD( gtk_preview_new , args , , " GtkWidget* gtk_preview_new (GtkPreviewType type); " )
{
GtkPreviewType   type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_preview_new (GtkPreviewType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_new "<<std::endl;
#endif /* DEBUG */
type = (  GtkPreviewType  ) args( 0 ).long_value();
long int ret_type= (long int) gtk_preview_new ( type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_preview_size , args , , " void gtk_preview_size (GtkPreview * preview,gint width,gint height); " )
{
GtkPreview *   preview ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_preview_size (GtkPreview * preview,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_size "<<std::endl;
#endif /* DEBUG */
preview =( GtkPreview * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
gtk_preview_size ( preview,width,height);
return octave_value();
}
DEFUN_DLD( gtk_preview_put , args , , " void gtk_preview_put (GtkPreview * preview,GdkWindow * window,GdkGC * gc,gint srcx,gint srcy,gint destx,gint desty,gint width,gint height); " )
{
GtkPreview *   preview ;
GdkWindow *   window ;
GdkGC *   gc ;
gint   srcx ;
gint   srcy ;
gint   destx ;
gint   desty ;
gint   width ;
gint   height ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_preview_put (GtkPreview * preview,GdkWindow * window,GdkGC * gc,gint srcx,gint srcy,gint destx,gint desty,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_put "<<std::endl;
#endif /* DEBUG */
preview =( GtkPreview * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
gc =( GdkGC * )args( 2 ).long_value();
srcx = (  gint  ) args( 3 ).int_value();
srcy = (  gint  ) args( 4 ).int_value();
destx = (  gint  ) args( 5 ).int_value();
desty = (  gint  ) args( 6 ).int_value();
width = (  gint  ) args( 7 ).int_value();
height = (  gint  ) args( 8 ).int_value();
gtk_preview_put ( preview,window,gc,srcx,srcy,destx,desty,width,height);
return octave_value();
}
DEFUN_DLD( gtk_preview_draw_row , args , , " void gtk_preview_draw_row (GtkPreview * preview,guchar * data,gint x,gint y,gint w); " )
{
GtkPreview *   preview ;
guchar *   data ;
gint   x ;
gint   y ;
gint   w ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_preview_draw_row (GtkPreview * preview,guchar * data,gint x,gint y,gint w); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_draw_row "<<std::endl;
#endif /* DEBUG */
preview =( GtkPreview * )args( 0 ).long_value();
data = new  guchar   [args( 1 ).string_value ().length()];
strcpy( (char *) data ,args( 1 ).string_value().c_str());
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
w = (  gint  ) args( 4 ).int_value();
gtk_preview_draw_row ( preview,data,x,y,w);
return octave_value();
}
DEFUN_DLD( gtk_preview_set_expand , args , , " void gtk_preview_set_expand (GtkPreview * preview,gboolean expand); " )
{
GtkPreview *   preview ;
gboolean   expand ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_preview_set_expand (GtkPreview * preview,gboolean expand); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_set_expand "<<std::endl;
#endif /* DEBUG */
preview =( GtkPreview * )args( 0 ).long_value();
expand = (  gboolean  ) args( 1 ).long_value();
gtk_preview_set_expand ( preview,expand);
return octave_value();
}
DEFUN_DLD( gtk_preview_set_gamma , args , , " void gtk_preview_set_gamma (double gamma_); " )
{
double   gamma_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_preview_set_gamma (double gamma_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_set_gamma "<<std::endl;
#endif /* DEBUG */
gamma_ = (  double  ) args( 0 ).double_value();
gtk_preview_set_gamma ( gamma_);
return octave_value();
}
DEFUN_DLD( gtk_preview_set_color_cube , args , , " void gtk_preview_set_color_cube (guint nred_shades,guint ngreen_shades,guint nblue_shades,guint ngray_shades); " )
{
guint   nred_shades ;
guint   ngreen_shades ;
guint   nblue_shades ;
guint   ngray_shades ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_preview_set_color_cube (guint nred_shades,guint ngreen_shades,guint nblue_shades,guint ngray_shades); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_set_color_cube "<<std::endl;
#endif /* DEBUG */
nred_shades = (  guint  ) args( 0 ).int_value();
ngreen_shades = (  guint  ) args( 1 ).int_value();
nblue_shades = (  guint  ) args( 2 ).int_value();
ngray_shades = (  guint  ) args( 3 ).int_value();
gtk_preview_set_color_cube ( nred_shades,ngreen_shades,nblue_shades,ngray_shades);
return octave_value();
}
DEFUN_DLD( gtk_preview_set_install_cmap , args , , " void gtk_preview_set_install_cmap (gint install_cmap); " )
{
gint   install_cmap ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_preview_set_install_cmap (gint install_cmap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_set_install_cmap "<<std::endl;
#endif /* DEBUG */
install_cmap = (  gint  ) args( 0 ).int_value();
gtk_preview_set_install_cmap ( install_cmap);
return octave_value();
}
DEFUN_DLD( gtk_preview_set_reserved , args , , " void gtk_preview_set_reserved (gint nreserved); " )
{
gint   nreserved ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_preview_set_reserved (gint nreserved); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_set_reserved "<<std::endl;
#endif /* DEBUG */
nreserved = (  gint  ) args( 0 ).int_value();
gtk_preview_set_reserved ( nreserved);
return octave_value();
}
DEFUN_DLD( gtk_preview_set_dither , args , , " void gtk_preview_set_dither (GtkPreview * preview,GdkRgbDither dither); " )
{
GtkPreview *   preview ;
GdkRgbDither   dither ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_preview_set_dither (GtkPreview * preview,GdkRgbDither dither); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_preview_set_dither "<<std::endl;
#endif /* DEBUG */
preview =( GtkPreview * )args( 0 ).long_value();
dither = (  GdkRgbDither  ) args( 1 ).long_value();
gtk_preview_set_dither ( preview,dither);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_preview_get_visual , args , , " GdkVisual* gtk_preview_get_visual (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_preview_get_visual "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_preview_get_visual ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_preview_get_cmap , args , , " GdkColormap* gtk_preview_get_cmap (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_preview_get_cmap "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_preview_get_cmap ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_preview_get_info , args , , " GtkPreviewInfo* gtk_preview_get_info (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_preview_get_info "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_preview_get_info ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_preview_reset , args , , " void gtk_preview_reset (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_preview_reset "<<std::endl;
#endif /* DEBUG */
gtk_preview_reset ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_progress_bar_get_type , args , , " GType gtk_progress_bar_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_progress_bar_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_progress_bar_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_progress_bar_new , args , , " GtkWidget* gtk_progress_bar_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_progress_bar_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_progress_bar_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_bar_pulse , args , , " void gtk_progress_bar_pulse (GtkProgressBar * pbar); " )
{
GtkProgressBar *   pbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_progress_bar_pulse (GtkProgressBar * pbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_pulse "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
gtk_progress_bar_pulse ( pbar);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_set_text , args , , " void gtk_progress_bar_set_text (GtkProgressBar * pbar,gchar * text); " )
{
GtkProgressBar *   pbar ;
gchar *   text ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_set_text (GtkProgressBar * pbar,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_set_text "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
gtk_progress_bar_set_text ( pbar,text);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_set_fraction , args , , " void gtk_progress_bar_set_fraction (GtkProgressBar * pbar,gdouble fraction); " )
{
GtkProgressBar *   pbar ;
gdouble   fraction ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_set_fraction (GtkProgressBar * pbar,gdouble fraction); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_set_fraction "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
fraction = (  gdouble  ) args( 1 ).double_value();
gtk_progress_bar_set_fraction ( pbar,fraction);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_set_pulse_step , args , , " void gtk_progress_bar_set_pulse_step (GtkProgressBar * pbar,gdouble fraction); " )
{
GtkProgressBar *   pbar ;
gdouble   fraction ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_set_pulse_step (GtkProgressBar * pbar,gdouble fraction); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_set_pulse_step "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
fraction = (  gdouble  ) args( 1 ).double_value();
gtk_progress_bar_set_pulse_step ( pbar,fraction);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_set_orientation , args , , " void gtk_progress_bar_set_orientation (GtkProgressBar * pbar,GtkProgressBarOrientation orientation); " )
{
GtkProgressBar *   pbar ;
GtkProgressBarOrientation   orientation ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_set_orientation (GtkProgressBar * pbar,GtkProgressBarOrientation orientation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_set_orientation "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
orientation = (  GtkProgressBarOrientation  ) args( 1 ).long_value();
gtk_progress_bar_set_orientation ( pbar,orientation);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_get_text , args , , " gchar* gtk_progress_bar_get_text (GtkProgressBar * pbar); " )
{
GtkProgressBar *   pbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_progress_bar_get_text (GtkProgressBar * pbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_get_text "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
string  ret_type( gtk_progress_bar_get_text ( pbar));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_bar_get_fraction , args , , " gdouble gtk_progress_bar_get_fraction (GtkProgressBar * pbar); " )
{
GtkProgressBar *   pbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gdouble gtk_progress_bar_get_fraction (GtkProgressBar * pbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_get_fraction "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
long int ret_type=(long int) gtk_progress_bar_get_fraction ( pbar);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_bar_get_pulse_step , args , , " gdouble gtk_progress_bar_get_pulse_step (GtkProgressBar * pbar); " )
{
GtkProgressBar *   pbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gdouble gtk_progress_bar_get_pulse_step (GtkProgressBar * pbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_get_pulse_step "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
long int ret_type=(long int) gtk_progress_bar_get_pulse_step ( pbar);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_bar_get_orientation , args , , " GtkProgressBarOrientation gtk_progress_bar_get_orientation (GtkProgressBar * pbar); " )
{
GtkProgressBar *   pbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkProgressBarOrientation gtk_progress_bar_get_orientation (GtkProgressBar * pbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_get_orientation "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
long int ret_type=(long int) gtk_progress_bar_get_orientation ( pbar);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_bar_new_with_adjustment , args , , " GtkWidget* gtk_progress_bar_new_with_adjustment (GtkAdjustment * adjustment); " )
{
GtkAdjustment *   adjustment ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_progress_bar_new_with_adjustment (GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_new_with_adjustment "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
long int ret_type= (long int) gtk_progress_bar_new_with_adjustment ( adjustment);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_bar_set_bar_style , args , , " void gtk_progress_bar_set_bar_style (GtkProgressBar * pbar,GtkProgressBarStyle style); " )
{
GtkProgressBar *   pbar ;
GtkProgressBarStyle   style ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_set_bar_style (GtkProgressBar * pbar,GtkProgressBarStyle style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_set_bar_style "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
style = (  GtkProgressBarStyle  ) args( 1 ).long_value();
gtk_progress_bar_set_bar_style ( pbar,style);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_set_discrete_blocks , args , , " void gtk_progress_bar_set_discrete_blocks (GtkProgressBar * pbar,guint blocks); " )
{
GtkProgressBar *   pbar ;
guint   blocks ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_set_discrete_blocks (GtkProgressBar * pbar,guint blocks); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_set_discrete_blocks "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
blocks = (  guint  ) args( 1 ).int_value();
gtk_progress_bar_set_discrete_blocks ( pbar,blocks);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_set_activity_step , args , , " void gtk_progress_bar_set_activity_step (GtkProgressBar * pbar,guint step); " )
{
GtkProgressBar *   pbar ;
guint   step ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_set_activity_step (GtkProgressBar * pbar,guint step); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_set_activity_step "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
step = (  guint  ) args( 1 ).int_value();
gtk_progress_bar_set_activity_step ( pbar,step);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_set_activity_blocks , args , , " void gtk_progress_bar_set_activity_blocks (GtkProgressBar * pbar,guint blocks); " )
{
GtkProgressBar *   pbar ;
guint   blocks ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_set_activity_blocks (GtkProgressBar * pbar,guint blocks); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_set_activity_blocks "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
blocks = (  guint  ) args( 1 ).int_value();
gtk_progress_bar_set_activity_blocks ( pbar,blocks);
return octave_value();
}
DEFUN_DLD( gtk_progress_bar_update , args , , " void gtk_progress_bar_update (GtkProgressBar * pbar,gdouble percentage); " )
{
GtkProgressBar *   pbar ;
gdouble   percentage ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_bar_update (GtkProgressBar * pbar,gdouble percentage); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_bar_update "<<std::endl;
#endif /* DEBUG */
pbar =( GtkProgressBar * )args( 0 ).long_value();
percentage = (  gdouble  ) args( 1 ).double_value();
gtk_progress_bar_update ( pbar,percentage);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_progress_get_type , args , , " GType gtk_progress_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_progress_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_progress_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_set_show_text , args , , " void gtk_progress_set_show_text (GtkProgress * progress,gboolean show_text); " )
{
GtkProgress *   progress ;
gboolean   show_text ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_set_show_text (GtkProgress * progress,gboolean show_text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_set_show_text "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
show_text = (  gboolean  ) args( 1 ).long_value();
gtk_progress_set_show_text ( progress,show_text);
return octave_value();
}
DEFUN_DLD( gtk_progress_set_text_alignment , args , , " void gtk_progress_set_text_alignment (GtkProgress * progress,gfloat x_align,gfloat y_align); " )
{
GtkProgress *   progress ;
gfloat   x_align ;
gfloat   y_align ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_progress_set_text_alignment (GtkProgress * progress,gfloat x_align,gfloat y_align); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_set_text_alignment "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
x_align = (  gfloat  ) args( 1 ).double_value();
y_align = (  gfloat  ) args( 2 ).double_value();
gtk_progress_set_text_alignment ( progress,x_align,y_align);
return octave_value();
}
DEFUN_DLD( gtk_progress_set_format_string , args , , " void gtk_progress_set_format_string (GtkProgress * progress,gchar * format); " )
{
GtkProgress *   progress ;
gchar *   format ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_set_format_string (GtkProgress * progress,gchar * format); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_set_format_string "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
format = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) format ,args( 1 ).string_value().c_str());
gtk_progress_set_format_string ( progress,format);
return octave_value();
}
DEFUN_DLD( gtk_progress_set_adjustment , args , , " void gtk_progress_set_adjustment (GtkProgress * progress,GtkAdjustment * adjustment); " )
{
GtkProgress *   progress ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_set_adjustment (GtkProgress * progress,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_set_adjustment "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_progress_set_adjustment ( progress,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_progress_configure , args , , " void gtk_progress_configure (GtkProgress * progress,gdouble value,gdouble min,gdouble max); " )
{
GtkProgress *   progress ;
gdouble   value ;
gdouble   min ;
gdouble   max ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_progress_configure (GtkProgress * progress,gdouble value,gdouble min,gdouble max); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_configure "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
value = (  gdouble  ) args( 1 ).double_value();
min = (  gdouble  ) args( 2 ).double_value();
max = (  gdouble  ) args( 3 ).double_value();
gtk_progress_configure ( progress,value,min,max);
return octave_value();
}
DEFUN_DLD( gtk_progress_set_percentage , args , , " void gtk_progress_set_percentage (GtkProgress * progress,gdouble percentage); " )
{
GtkProgress *   progress ;
gdouble   percentage ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_set_percentage (GtkProgress * progress,gdouble percentage); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_set_percentage "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
percentage = (  gdouble  ) args( 1 ).double_value();
gtk_progress_set_percentage ( progress,percentage);
return octave_value();
}
DEFUN_DLD( gtk_progress_set_value , args , , " void gtk_progress_set_value (GtkProgress * progress,gdouble value); " )
{
GtkProgress *   progress ;
gdouble   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_set_value (GtkProgress * progress,gdouble value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_set_value "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
value = (  gdouble  ) args( 1 ).double_value();
gtk_progress_set_value ( progress,value);
return octave_value();
}
DEFUN_DLD( gtk_progress_get_value , args , , " gdouble gtk_progress_get_value (GtkProgress * progress); " )
{
GtkProgress *   progress ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gdouble gtk_progress_get_value (GtkProgress * progress); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_get_value "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
long int ret_type=(long int) gtk_progress_get_value ( progress);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_set_activity_mode , args , , " void gtk_progress_set_activity_mode (GtkProgress * progress,gboolean activity_mode); " )
{
GtkProgress *   progress ;
gboolean   activity_mode ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_progress_set_activity_mode (GtkProgress * progress,gboolean activity_mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_set_activity_mode "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
activity_mode = (  gboolean  ) args( 1 ).long_value();
gtk_progress_set_activity_mode ( progress,activity_mode);
return octave_value();
}
DEFUN_DLD( gtk_progress_get_current_text , args , , " gchar* gtk_progress_get_current_text (GtkProgress * progress); " )
{
GtkProgress *   progress ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_progress_get_current_text (GtkProgress * progress); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_get_current_text "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
string  ret_type( gtk_progress_get_current_text ( progress));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_get_text_from_value , args , , " gchar* gtk_progress_get_text_from_value (GtkProgress * progress,gdouble value); " )
{
GtkProgress *   progress ;
gdouble   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar* gtk_progress_get_text_from_value (GtkProgress * progress,gdouble value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_get_text_from_value "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
value = (  gdouble  ) args( 1 ).double_value();
string  ret_type( gtk_progress_get_text_from_value ( progress,value));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_get_current_percentage , args , , " gdouble gtk_progress_get_current_percentage (GtkProgress * progress); " )
{
GtkProgress *   progress ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gdouble gtk_progress_get_current_percentage (GtkProgress * progress); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_get_current_percentage "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
long int ret_type=(long int) gtk_progress_get_current_percentage ( progress);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_progress_get_percentage_from_value , args , , " gdouble gtk_progress_get_percentage_from_value (GtkProgress * progress,gdouble value); " )
{
GtkProgress *   progress ;
gdouble   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gdouble gtk_progress_get_percentage_from_value (GtkProgress * progress,gdouble value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_progress_get_percentage_from_value "<<std::endl;
#endif /* DEBUG */
progress =( GtkProgress * )args( 0 ).long_value();
value = (  gdouble  ) args( 1 ).double_value();
long int ret_type=(long int) gtk_progress_get_percentage_from_value ( progress,value);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_radio_button_get_type , args , , " GType gtk_radio_button_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_radio_button_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_radio_button_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_button_new , args , , " GtkWidget* gtk_radio_button_new (GSList * group); " )
{
GSList *   group ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_button_new (GSList * group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_button_new "<<std::endl;
#endif /* DEBUG */
group =( GSList * )args( 0 ).long_value();
long int ret_type= (long int) gtk_radio_button_new ( group);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_button_new_from_widget , args , , " GtkWidget* gtk_radio_button_new_from_widget (GtkRadioButton * group); " )
{
GtkRadioButton *   group ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_button_new_from_widget (GtkRadioButton * group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_button_new_from_widget "<<std::endl;
#endif /* DEBUG */
group =( GtkRadioButton * )args( 0 ).long_value();
long int ret_type= (long int) gtk_radio_button_new_from_widget ( group);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_button_new_with_label , args , , " GtkWidget* gtk_radio_button_new_with_label (GSList * group,gchar * label); " )
{
GSList *   group ;
gchar *   label ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_button_new_with_label (GSList * group,gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_button_new_with_label "<<std::endl;
#endif /* DEBUG */
group =( GSList * )args( 0 ).long_value();
label = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_radio_button_new_with_label ( group,label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_button_new_with_label_from_widget , args , , " GtkWidget* gtk_radio_button_new_with_label_from_widget (GtkRadioButton * group,gchar * label); " )
{
GtkRadioButton *   group ;
gchar *   label ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_button_new_with_label_from_widget (GtkRadioButton * group,gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_button_new_with_label_from_widget "<<std::endl;
#endif /* DEBUG */
group =( GtkRadioButton * )args( 0 ).long_value();
label = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_radio_button_new_with_label_from_widget ( group,label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_button_new_with_mnemonic , args , , " GtkWidget* gtk_radio_button_new_with_mnemonic (GSList * group,gchar * label); " )
{
GSList *   group ;
gchar *   label ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_button_new_with_mnemonic (GSList * group,gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_button_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
group =( GSList * )args( 0 ).long_value();
label = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_radio_button_new_with_mnemonic ( group,label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_button_new_with_mnemonic_from_widget , args , , " GtkWidget* gtk_radio_button_new_with_mnemonic_from_widget (GtkRadioButton * group,gchar * label); " )
{
GtkRadioButton *   group ;
gchar *   label ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_button_new_with_mnemonic_from_widget (GtkRadioButton * group,gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_button_new_with_mnemonic_from_widget "<<std::endl;
#endif /* DEBUG */
group =( GtkRadioButton * )args( 0 ).long_value();
label = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_radio_button_new_with_mnemonic_from_widget ( group,label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_button_get_group , args , , " GSList* gtk_radio_button_get_group (GtkRadioButton * radio_button); " )
{
GtkRadioButton *   radio_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList* gtk_radio_button_get_group (GtkRadioButton * radio_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_button_get_group "<<std::endl;
#endif /* DEBUG */
radio_button =( GtkRadioButton * )args( 0 ).long_value();
long int ret_type= (long int) gtk_radio_button_get_group ( radio_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_button_set_group , args , , " void gtk_radio_button_set_group (GtkRadioButton * radio_button,GSList * group); " )
{
GtkRadioButton *   radio_button ;
GSList *   group ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_radio_button_set_group (GtkRadioButton * radio_button,GSList * group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_button_set_group "<<std::endl;
#endif /* DEBUG */
radio_button =( GtkRadioButton * )args( 0 ).long_value();
group =( GSList * )args( 1 ).long_value();
gtk_radio_button_set_group ( radio_button,group);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_radio_menu_item_get_type , args , , " GType gtk_radio_menu_item_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_radio_menu_item_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_radio_menu_item_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_menu_item_new , args , , " GtkWidget* gtk_radio_menu_item_new (GSList * group); " )
{
GSList *   group ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_menu_item_new (GSList * group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_menu_item_new "<<std::endl;
#endif /* DEBUG */
group =( GSList * )args( 0 ).long_value();
long int ret_type= (long int) gtk_radio_menu_item_new ( group);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_menu_item_new_with_label , args , , " GtkWidget* gtk_radio_menu_item_new_with_label (GSList * group,gchar * label); " )
{
GSList *   group ;
gchar *   label ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_menu_item_new_with_label (GSList * group,gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_menu_item_new_with_label "<<std::endl;
#endif /* DEBUG */
group =( GSList * )args( 0 ).long_value();
label = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_radio_menu_item_new_with_label ( group,label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_menu_item_new_with_mnemonic , args , , " GtkWidget* gtk_radio_menu_item_new_with_mnemonic (GSList * group,gchar * label); " )
{
GSList *   group ;
gchar *   label ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_radio_menu_item_new_with_mnemonic (GSList * group,gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_menu_item_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
group =( GSList * )args( 0 ).long_value();
label = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_radio_menu_item_new_with_mnemonic ( group,label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_menu_item_get_group , args , , " GSList* gtk_radio_menu_item_get_group (GtkRadioMenuItem * radio_menu_item); " )
{
GtkRadioMenuItem *   radio_menu_item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList* gtk_radio_menu_item_get_group (GtkRadioMenuItem * radio_menu_item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_menu_item_get_group "<<std::endl;
#endif /* DEBUG */
radio_menu_item =( GtkRadioMenuItem * )args( 0 ).long_value();
long int ret_type= (long int) gtk_radio_menu_item_get_group ( radio_menu_item);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_radio_menu_item_set_group , args , , " void gtk_radio_menu_item_set_group (GtkRadioMenuItem * radio_menu_item,GSList * group); " )
{
GtkRadioMenuItem *   radio_menu_item ;
GSList *   group ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_radio_menu_item_set_group (GtkRadioMenuItem * radio_menu_item,GSList * group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_radio_menu_item_set_group "<<std::endl;
#endif /* DEBUG */
radio_menu_item =( GtkRadioMenuItem * )args( 0 ).long_value();
group =( GSList * )args( 1 ).long_value();
gtk_radio_menu_item_set_group ( radio_menu_item,group);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_range_get_type , args , , " GType gtk_range_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_range_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_range_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_range_set_update_policy , args , , " void gtk_range_set_update_policy (GtkRange * range,GtkUpdateType policy); " )
{
GtkRange *   range ;
GtkUpdateType   policy ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_range_set_update_policy (GtkRange * range,GtkUpdateType policy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_set_update_policy "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
policy = (  GtkUpdateType  ) args( 1 ).long_value();
gtk_range_set_update_policy ( range,policy);
return octave_value();
}
DEFUN_DLD( gtk_range_get_update_policy , args , , " GtkUpdateType gtk_range_get_update_policy (GtkRange * range); " )
{
GtkRange *   range ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkUpdateType gtk_range_get_update_policy (GtkRange * range); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_get_update_policy "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
long int ret_type=(long int) gtk_range_get_update_policy ( range);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_range_set_adjustment , args , , " void gtk_range_set_adjustment (GtkRange * range,GtkAdjustment * adjustment); " )
{
GtkRange *   range ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_range_set_adjustment (GtkRange * range,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_set_adjustment "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_range_set_adjustment ( range,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_range_get_adjustment , args , , " GtkAdjustment* gtk_range_get_adjustment (GtkRange * range); " )
{
GtkRange *   range ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_range_get_adjustment (GtkRange * range); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_get_adjustment "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
long int ret_type= (long int) gtk_range_get_adjustment ( range);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_range_set_inverted , args , , " void gtk_range_set_inverted (GtkRange * range,gboolean setting); " )
{
GtkRange *   range ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_range_set_inverted (GtkRange * range,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_set_inverted "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_range_set_inverted ( range,setting);
return octave_value();
}
DEFUN_DLD( gtk_range_get_inverted , args , , " gboolean gtk_range_get_inverted (GtkRange * range); " )
{
GtkRange *   range ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_range_get_inverted (GtkRange * range); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_get_inverted "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
long int ret_type=(long int) gtk_range_get_inverted ( range);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_range_set_increments , args , , " void gtk_range_set_increments (GtkRange * range,gdouble step,gdouble page); " )
{
GtkRange *   range ;
gdouble   step ;
gdouble   page ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_range_set_increments (GtkRange * range,gdouble step,gdouble page); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_set_increments "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
step = (  gdouble  ) args( 1 ).double_value();
page = (  gdouble  ) args( 2 ).double_value();
gtk_range_set_increments ( range,step,page);
return octave_value();
}
DEFUN_DLD( gtk_range_set_range , args , , " void gtk_range_set_range (GtkRange * range,gdouble min,gdouble max); " )
{
GtkRange *   range ;
gdouble   min ;
gdouble   max ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_range_set_range (GtkRange * range,gdouble min,gdouble max); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_set_range "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
min = (  gdouble  ) args( 1 ).double_value();
max = (  gdouble  ) args( 2 ).double_value();
gtk_range_set_range ( range,min,max);
return octave_value();
}
DEFUN_DLD( gtk_range_set_value , args , , " void gtk_range_set_value (GtkRange * range,gdouble value); " )
{
GtkRange *   range ;
gdouble   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_range_set_value (GtkRange * range,gdouble value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_set_value "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
value = (  gdouble  ) args( 1 ).double_value();
gtk_range_set_value ( range,value);
return octave_value();
}
DEFUN_DLD( gtk_range_get_value , args , , " gdouble gtk_range_get_value (GtkRange * range); " )
{
GtkRange *   range ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gdouble gtk_range_get_value (GtkRange * range); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_range_get_value "<<std::endl;
#endif /* DEBUG */
range =( GtkRange * )args( 0 ).long_value();
long int ret_type=(long int) gtk_range_get_value ( range);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_add_default_file , args , , " void gtk_rc_add_default_file (gchar * filename); " )
{
gchar *   filename ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_rc_add_default_file (gchar * filename); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_add_default_file "<<std::endl;
#endif /* DEBUG */
filename = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) filename ,args( 0 ).string_value().c_str());
gtk_rc_add_default_file ( filename);
return octave_value();
}
/* overriden: gtk_rc_set_default_files  */
/* overriden: gtk_rc_get_default_files  */
DEFUN_DLD( gtk_rc_get_style , args , , " GtkStyle* gtk_rc_get_style (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkStyle* gtk_rc_get_style (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_get_style "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_rc_get_style ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_get_style_by_paths , args , , " GtkStyle* gtk_rc_get_style_by_paths (GtkSettings * settings,char * widget_path,char * class_path,GType type); " )
{
GtkSettings *   settings ;
char *   widget_path ;
char *   class_path ;
GType   type ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GtkStyle* gtk_rc_get_style_by_paths (GtkSettings * settings,char * widget_path,char * class_path,GType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_get_style_by_paths "<<std::endl;
#endif /* DEBUG */
settings =( GtkSettings * )args( 0 ).long_value();
widget_path = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) widget_path ,args( 1 ).string_value().c_str());
class_path = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) class_path ,args( 2 ).string_value().c_str());
type = (  GType  ) args( 3 ).long_value();
long int ret_type= (long int) gtk_rc_get_style_by_paths ( settings,widget_path,class_path,type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_reparse_all_for_settings , args , , " gboolean gtk_rc_reparse_all_for_settings (GtkSettings * settings,gboolean force_load); " )
{
GtkSettings *   settings ;
gboolean   force_load ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_rc_reparse_all_for_settings (GtkSettings * settings,gboolean force_load); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_reparse_all_for_settings "<<std::endl;
#endif /* DEBUG */
settings =( GtkSettings * )args( 0 ).long_value();
force_load = (  gboolean  ) args( 1 ).long_value();
long int ret_type=(long int) gtk_rc_reparse_all_for_settings ( settings,force_load);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_find_pixmap_in_path , args , , " gchar* gtk_rc_find_pixmap_in_path (GtkSettings * settings,GScanner * scanner,gchar * pixmap_file); " )
{
GtkSettings *   settings ;
GScanner *   scanner ;
gchar *   pixmap_file ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gchar* gtk_rc_find_pixmap_in_path (GtkSettings * settings,GScanner * scanner,gchar * pixmap_file); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_find_pixmap_in_path "<<std::endl;
#endif /* DEBUG */
settings =( GtkSettings * )args( 0 ).long_value();
scanner =( GScanner * )args( 1 ).long_value();
pixmap_file = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) pixmap_file ,args( 2 ).string_value().c_str());
string  ret_type( gtk_rc_find_pixmap_in_path ( settings,scanner,pixmap_file));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_parse , args , , " void gtk_rc_parse (gchar * filename); " )
{
gchar *   filename ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_rc_parse (gchar * filename); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_parse "<<std::endl;
#endif /* DEBUG */
filename = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) filename ,args( 0 ).string_value().c_str());
gtk_rc_parse ( filename);
return octave_value();
}
DEFUN_DLD( gtk_rc_parse_string , args , , " void gtk_rc_parse_string (gchar * rc_string); " )
{
gchar *   rc_string ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_rc_parse_string (gchar * rc_string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_parse_string "<<std::endl;
#endif /* DEBUG */
rc_string = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) rc_string ,args( 0 ).string_value().c_str());
gtk_rc_parse_string ( rc_string);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_reparse_all , args , , " gboolean gtk_rc_reparse_all (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_reparse_all "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_rc_reparse_all ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_add_widget_name_style , args , , " void gtk_rc_add_widget_name_style (GtkRcStyle * rc_style,gchar * pattern); " )
{
GtkRcStyle *   rc_style ;
gchar *   pattern ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_rc_add_widget_name_style (GtkRcStyle * rc_style,gchar * pattern); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_add_widget_name_style "<<std::endl;
#endif /* DEBUG */
rc_style =( GtkRcStyle * )args( 0 ).long_value();
pattern = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) pattern ,args( 1 ).string_value().c_str());
gtk_rc_add_widget_name_style ( rc_style,pattern);
return octave_value();
}
DEFUN_DLD( gtk_rc_add_widget_class_style , args , , " void gtk_rc_add_widget_class_style (GtkRcStyle * rc_style,gchar * pattern); " )
{
GtkRcStyle *   rc_style ;
gchar *   pattern ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_rc_add_widget_class_style (GtkRcStyle * rc_style,gchar * pattern); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_add_widget_class_style "<<std::endl;
#endif /* DEBUG */
rc_style =( GtkRcStyle * )args( 0 ).long_value();
pattern = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) pattern ,args( 1 ).string_value().c_str());
gtk_rc_add_widget_class_style ( rc_style,pattern);
return octave_value();
}
DEFUN_DLD( gtk_rc_add_class_style , args , , " void gtk_rc_add_class_style (GtkRcStyle * rc_style,gchar * pattern); " )
{
GtkRcStyle *   rc_style ;
gchar *   pattern ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_rc_add_class_style (GtkRcStyle * rc_style,gchar * pattern); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_add_class_style "<<std::endl;
#endif /* DEBUG */
rc_style =( GtkRcStyle * )args( 0 ).long_value();
pattern = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) pattern ,args( 1 ).string_value().c_str());
gtk_rc_add_class_style ( rc_style,pattern);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_style_get_type , args , , " GType gtk_rc_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_rc_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_style_new , args , , " GtkRcStyle* gtk_rc_style_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_style_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_rc_style_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_style_copy , args , , " GtkRcStyle* gtk_rc_style_copy (GtkRcStyle * orig); " )
{
GtkRcStyle *   orig ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkRcStyle* gtk_rc_style_copy (GtkRcStyle * orig); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_style_copy "<<std::endl;
#endif /* DEBUG */
orig =( GtkRcStyle * )args( 0 ).long_value();
long int ret_type= (long int) gtk_rc_style_copy ( orig);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_style_ref , args , , " void gtk_rc_style_ref (GtkRcStyle * rc_style); " )
{
GtkRcStyle *   rc_style ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_rc_style_ref (GtkRcStyle * rc_style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_style_ref "<<std::endl;
#endif /* DEBUG */
rc_style =( GtkRcStyle * )args( 0 ).long_value();
gtk_rc_style_ref ( rc_style);
return octave_value();
}
DEFUN_DLD( gtk_rc_style_unref , args , , " void gtk_rc_style_unref (GtkRcStyle * rc_style); " )
{
GtkRcStyle *   rc_style ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_rc_style_unref (GtkRcStyle * rc_style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_style_unref "<<std::endl;
#endif /* DEBUG */
rc_style =( GtkRcStyle * )args( 0 ).long_value();
gtk_rc_style_unref ( rc_style);
return octave_value();
}
DEFUN_DLD( gtk_rc_find_module_in_path , args , , " gchar* gtk_rc_find_module_in_path (gchar * module_file); " )
{
gchar *   module_file ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_rc_find_module_in_path (gchar * module_file); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_find_module_in_path "<<std::endl;
#endif /* DEBUG */
module_file = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) module_file ,args( 0 ).string_value().c_str());
string  ret_type( gtk_rc_find_module_in_path ( module_file));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_get_theme_dir , args , , " gchar* gtk_rc_get_theme_dir (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_get_theme_dir "<<std::endl;
#endif /* DEBUG */
string  ret_type( gtk_rc_get_theme_dir ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_get_module_dir , args , , " gchar* gtk_rc_get_module_dir (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_get_module_dir "<<std::endl;
#endif /* DEBUG */
string  ret_type( gtk_rc_get_module_dir ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_get_im_module_path , args , , " gchar* gtk_rc_get_im_module_path (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_get_im_module_path "<<std::endl;
#endif /* DEBUG */
string  ret_type( gtk_rc_get_im_module_path ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_get_im_module_file , args , , " gchar* gtk_rc_get_im_module_file (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_get_im_module_file "<<std::endl;
#endif /* DEBUG */
string  ret_type( gtk_rc_get_im_module_file ( ));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_ruler_get_type , args , , " GType gtk_ruler_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_ruler_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_ruler_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ruler_set_metric , args , , " void gtk_ruler_set_metric (GtkRuler * ruler,GtkMetricType metric); " )
{
GtkRuler *   ruler ;
GtkMetricType   metric ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_ruler_set_metric (GtkRuler * ruler,GtkMetricType metric); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ruler_set_metric "<<std::endl;
#endif /* DEBUG */
ruler =( GtkRuler * )args( 0 ).long_value();
metric = (  GtkMetricType  ) args( 1 ).long_value();
gtk_ruler_set_metric ( ruler,metric);
return octave_value();
}
DEFUN_DLD( gtk_ruler_set_range , args , , " void gtk_ruler_set_range (GtkRuler * ruler,gdouble lower,gdouble upper,gdouble position,gdouble max_size); " )
{
GtkRuler *   ruler ;
gdouble   lower ;
gdouble   upper ;
gdouble   position ;
gdouble   max_size ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_ruler_set_range (GtkRuler * ruler,gdouble lower,gdouble upper,gdouble position,gdouble max_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ruler_set_range "<<std::endl;
#endif /* DEBUG */
ruler =( GtkRuler * )args( 0 ).long_value();
lower = (  gdouble  ) args( 1 ).double_value();
upper = (  gdouble  ) args( 2 ).double_value();
position = (  gdouble  ) args( 3 ).double_value();
max_size = (  gdouble  ) args( 4 ).double_value();
gtk_ruler_set_range ( ruler,lower,upper,position,max_size);
return octave_value();
}
DEFUN_DLD( gtk_ruler_draw_ticks , args , , " void gtk_ruler_draw_ticks (GtkRuler * ruler); " )
{
GtkRuler *   ruler ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_ruler_draw_ticks (GtkRuler * ruler); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ruler_draw_ticks "<<std::endl;
#endif /* DEBUG */
ruler =( GtkRuler * )args( 0 ).long_value();
gtk_ruler_draw_ticks ( ruler);
return octave_value();
}
DEFUN_DLD( gtk_ruler_draw_pos , args , , " void gtk_ruler_draw_pos (GtkRuler * ruler); " )
{
GtkRuler *   ruler ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_ruler_draw_pos (GtkRuler * ruler); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ruler_draw_pos "<<std::endl;
#endif /* DEBUG */
ruler =( GtkRuler * )args( 0 ).long_value();
gtk_ruler_draw_pos ( ruler);
return octave_value();
}
DEFUN_DLD( gtk_ruler_get_metric , args , , " GtkMetricType gtk_ruler_get_metric (GtkRuler * ruler); " )
{
GtkRuler *   ruler ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkMetricType gtk_ruler_get_metric (GtkRuler * ruler); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ruler_get_metric "<<std::endl;
#endif /* DEBUG */
ruler =( GtkRuler * )args( 0 ).long_value();
long int ret_type=(long int) gtk_ruler_get_metric ( ruler);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_ruler_get_range , args , , " void gtk_ruler_get_range (GtkRuler * ruler,gdouble * lower,gdouble * upper,gdouble * position,gdouble * max_size); " )
{
GtkRuler *   ruler ;
gdouble *   lower ;
gdouble *   upper ;
gdouble *   position ;
gdouble *   max_size ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_ruler_get_range (GtkRuler * ruler,gdouble * lower,gdouble * upper,gdouble * position,gdouble * max_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_ruler_get_range "<<std::endl;
#endif /* DEBUG */
ruler =( GtkRuler * )args( 0 ).long_value();
lower =( gdouble * )args( 1 ).long_value();
upper =( gdouble * )args( 2 ).long_value();
position =( gdouble * )args( 3 ).long_value();
max_size =( gdouble * )args( 4 ).long_value();
gtk_ruler_get_range ( ruler,lower,upper,position,max_size);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_scale_get_type , args , , " GType gtk_scale_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_scale_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_scale_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scale_set_digits , args , , " void gtk_scale_set_digits (GtkScale * scale,gint digits); " )
{
GtkScale *   scale ;
gint   digits ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_scale_set_digits (GtkScale * scale,gint digits); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scale_set_digits "<<std::endl;
#endif /* DEBUG */
scale =( GtkScale * )args( 0 ).long_value();
digits = (  gint  ) args( 1 ).int_value();
gtk_scale_set_digits ( scale,digits);
return octave_value();
}
DEFUN_DLD( gtk_scale_get_digits , args , , " gint gtk_scale_get_digits (GtkScale * scale); " )
{
GtkScale *   scale ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_scale_get_digits (GtkScale * scale); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scale_get_digits "<<std::endl;
#endif /* DEBUG */
scale =( GtkScale * )args( 0 ).long_value();
long int ret_type=(long int) gtk_scale_get_digits ( scale);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scale_set_draw_value , args , , " void gtk_scale_set_draw_value (GtkScale * scale,gboolean draw_value); " )
{
GtkScale *   scale ;
gboolean   draw_value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_scale_set_draw_value (GtkScale * scale,gboolean draw_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scale_set_draw_value "<<std::endl;
#endif /* DEBUG */
scale =( GtkScale * )args( 0 ).long_value();
draw_value = (  gboolean  ) args( 1 ).long_value();
gtk_scale_set_draw_value ( scale,draw_value);
return octave_value();
}
DEFUN_DLD( gtk_scale_get_draw_value , args , , " gboolean gtk_scale_get_draw_value (GtkScale * scale); " )
{
GtkScale *   scale ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_scale_get_draw_value (GtkScale * scale); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scale_get_draw_value "<<std::endl;
#endif /* DEBUG */
scale =( GtkScale * )args( 0 ).long_value();
long int ret_type=(long int) gtk_scale_get_draw_value ( scale);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scale_set_value_pos , args , , " void gtk_scale_set_value_pos (GtkScale * scale,GtkPositionType pos); " )
{
GtkScale *   scale ;
GtkPositionType   pos ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_scale_set_value_pos (GtkScale * scale,GtkPositionType pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scale_set_value_pos "<<std::endl;
#endif /* DEBUG */
scale =( GtkScale * )args( 0 ).long_value();
pos = (  GtkPositionType  ) args( 1 ).long_value();
gtk_scale_set_value_pos ( scale,pos);
return octave_value();
}
DEFUN_DLD( gtk_scale_get_value_pos , args , , " GtkPositionType gtk_scale_get_value_pos (GtkScale * scale); " )
{
GtkScale *   scale ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkPositionType gtk_scale_get_value_pos (GtkScale * scale); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scale_get_value_pos "<<std::endl;
#endif /* DEBUG */
scale =( GtkScale * )args( 0 ).long_value();
long int ret_type=(long int) gtk_scale_get_value_pos ( scale);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_scrollbar_get_type , args , , " GType gtk_scrollbar_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_scrollbar_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_scrollbar_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_scrolled_window_get_type , args , , " GType gtk_scrolled_window_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_scrolled_window_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scrolled_window_new , args , , " GtkWidget* gtk_scrolled_window_new (GtkAdjustment * hadjustment,GtkAdjustment * vadjustment); " )
{
GtkAdjustment *   hadjustment ;
GtkAdjustment *   vadjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_scrolled_window_new (GtkAdjustment * hadjustment,GtkAdjustment * vadjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_new "<<std::endl;
#endif /* DEBUG */
hadjustment =( GtkAdjustment * )args( 0 ).long_value();
vadjustment =( GtkAdjustment * )args( 1 ).long_value();
long int ret_type= (long int) gtk_scrolled_window_new ( hadjustment,vadjustment);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scrolled_window_set_hadjustment , args , , " void gtk_scrolled_window_set_hadjustment (GtkScrolledWindow * scrolled_window,GtkAdjustment * hadjustment); " )
{
GtkScrolledWindow *   scrolled_window ;
GtkAdjustment *   hadjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_scrolled_window_set_hadjustment (GtkScrolledWindow * scrolled_window,GtkAdjustment * hadjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_set_hadjustment "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
hadjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_scrolled_window_set_hadjustment ( scrolled_window,hadjustment);
return octave_value();
}
DEFUN_DLD( gtk_scrolled_window_set_vadjustment , args , , " void gtk_scrolled_window_set_vadjustment (GtkScrolledWindow * scrolled_window,GtkAdjustment * hadjustment); " )
{
GtkScrolledWindow *   scrolled_window ;
GtkAdjustment *   hadjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_scrolled_window_set_vadjustment (GtkScrolledWindow * scrolled_window,GtkAdjustment * hadjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_set_vadjustment "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
hadjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_scrolled_window_set_vadjustment ( scrolled_window,hadjustment);
return octave_value();
}
DEFUN_DLD( gtk_scrolled_window_get_hadjustment , args , , " GtkAdjustment* gtk_scrolled_window_get_hadjustment (GtkScrolledWindow * scrolled_window); " )
{
GtkScrolledWindow *   scrolled_window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_scrolled_window_get_hadjustment (GtkScrolledWindow * scrolled_window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_get_hadjustment "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
long int ret_type= (long int) gtk_scrolled_window_get_hadjustment ( scrolled_window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scrolled_window_get_vadjustment , args , , " GtkAdjustment* gtk_scrolled_window_get_vadjustment (GtkScrolledWindow * scrolled_window); " )
{
GtkScrolledWindow *   scrolled_window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_scrolled_window_get_vadjustment (GtkScrolledWindow * scrolled_window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_get_vadjustment "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
long int ret_type= (long int) gtk_scrolled_window_get_vadjustment ( scrolled_window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scrolled_window_set_policy , args , , " void gtk_scrolled_window_set_policy (GtkScrolledWindow * scrolled_window,GtkPolicyType hscrollbar_policy,GtkPolicyType vscrollbar_policy); " )
{
GtkScrolledWindow *   scrolled_window ;
GtkPolicyType   hscrollbar_policy ;
GtkPolicyType   vscrollbar_policy ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_scrolled_window_set_policy (GtkScrolledWindow * scrolled_window,GtkPolicyType hscrollbar_policy,GtkPolicyType vscrollbar_policy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_set_policy "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
hscrollbar_policy = (  GtkPolicyType  ) args( 1 ).long_value();
vscrollbar_policy = (  GtkPolicyType  ) args( 2 ).long_value();
gtk_scrolled_window_set_policy ( scrolled_window,hscrollbar_policy,vscrollbar_policy);
return octave_value();
}
DEFUN_DLD( gtk_scrolled_window_get_policy , args , , " void gtk_scrolled_window_get_policy (GtkScrolledWindow * scrolled_window,GtkPolicyType * hscrollbar_policy,GtkPolicyType * vscrollbar_policy); " )
{
GtkScrolledWindow *   scrolled_window ;
GtkPolicyType *   hscrollbar_policy ;
GtkPolicyType *   vscrollbar_policy ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_scrolled_window_get_policy (GtkScrolledWindow * scrolled_window,GtkPolicyType * hscrollbar_policy,GtkPolicyType * vscrollbar_policy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_get_policy "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
hscrollbar_policy =( GtkPolicyType * )args( 1 ).long_value();
vscrollbar_policy =( GtkPolicyType * )args( 2 ).long_value();
gtk_scrolled_window_get_policy ( scrolled_window,hscrollbar_policy,vscrollbar_policy);
return octave_value();
}
DEFUN_DLD( gtk_scrolled_window_set_placement , args , , " void gtk_scrolled_window_set_placement (GtkScrolledWindow * scrolled_window,GtkCornerType window_placement); " )
{
GtkScrolledWindow *   scrolled_window ;
GtkCornerType   window_placement ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_scrolled_window_set_placement (GtkScrolledWindow * scrolled_window,GtkCornerType window_placement); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_set_placement "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
window_placement = (  GtkCornerType  ) args( 1 ).long_value();
gtk_scrolled_window_set_placement ( scrolled_window,window_placement);
return octave_value();
}
DEFUN_DLD( gtk_scrolled_window_get_placement , args , , " GtkCornerType gtk_scrolled_window_get_placement (GtkScrolledWindow * scrolled_window); " )
{
GtkScrolledWindow *   scrolled_window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkCornerType gtk_scrolled_window_get_placement (GtkScrolledWindow * scrolled_window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_get_placement "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_scrolled_window_get_placement ( scrolled_window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scrolled_window_set_shadow_type , args , , " void gtk_scrolled_window_set_shadow_type (GtkScrolledWindow * scrolled_window,GtkShadowType type); " )
{
GtkScrolledWindow *   scrolled_window ;
GtkShadowType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_scrolled_window_set_shadow_type (GtkScrolledWindow * scrolled_window,GtkShadowType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_set_shadow_type "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
type = (  GtkShadowType  ) args( 1 ).long_value();
gtk_scrolled_window_set_shadow_type ( scrolled_window,type);
return octave_value();
}
DEFUN_DLD( gtk_scrolled_window_get_shadow_type , args , , " GtkShadowType gtk_scrolled_window_get_shadow_type (GtkScrolledWindow * scrolled_window); " )
{
GtkScrolledWindow *   scrolled_window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkShadowType gtk_scrolled_window_get_shadow_type (GtkScrolledWindow * scrolled_window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_get_shadow_type "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_scrolled_window_get_shadow_type ( scrolled_window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_scrolled_window_add_with_viewport , args , , " void gtk_scrolled_window_add_with_viewport (GtkScrolledWindow * scrolled_window,GtkWidget * child); " )
{
GtkScrolledWindow *   scrolled_window ;
GtkWidget *   child ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_scrolled_window_add_with_viewport (GtkScrolledWindow * scrolled_window,GtkWidget * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_scrolled_window_add_with_viewport "<<std::endl;
#endif /* DEBUG */
scrolled_window =( GtkScrolledWindow * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
gtk_scrolled_window_add_with_viewport ( scrolled_window,child);
return octave_value();
}
DEFUN_DLD( gtk_target_list_new , args , , " GtkTargetList * gtk_target_list_new (GtkTargetEntry * targets,guint ntargets); " )
{
GtkTargetEntry *   targets ;
guint   ntargets ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTargetList * gtk_target_list_new (GtkTargetEntry * targets,guint ntargets); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_target_list_new "<<std::endl;
#endif /* DEBUG */
targets =( GtkTargetEntry * )args( 0 ).long_value();
ntargets = (  guint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_target_list_new ( targets,ntargets);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_target_list_ref , args , , " void gtk_target_list_ref (GtkTargetList * list); " )
{
GtkTargetList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_target_list_ref (GtkTargetList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_target_list_ref "<<std::endl;
#endif /* DEBUG */
list =( GtkTargetList * )args( 0 ).long_value();
gtk_target_list_ref ( list);
return octave_value();
}
DEFUN_DLD( gtk_target_list_unref , args , , " void gtk_target_list_unref (GtkTargetList * list); " )
{
GtkTargetList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_target_list_unref (GtkTargetList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_target_list_unref "<<std::endl;
#endif /* DEBUG */
list =( GtkTargetList * )args( 0 ).long_value();
gtk_target_list_unref ( list);
return octave_value();
}
DEFUN_DLD( gtk_target_list_add , args , , " void gtk_target_list_add (GtkTargetList * list,GdkAtom target,guint flags,guint info); " )
{
GtkTargetList *   list ;
GdkAtom   target ;
guint   flags ;
guint   info ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_target_list_add (GtkTargetList * list,GdkAtom target,guint flags,guint info); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_target_list_add "<<std::endl;
#endif /* DEBUG */
list =( GtkTargetList * )args( 0 ).long_value();
target = (  GdkAtom  ) args( 1 ).long_value();
flags = (  guint  ) args( 2 ).int_value();
info = (  guint  ) args( 3 ).int_value();
gtk_target_list_add ( list,target,flags,info);
return octave_value();
}
DEFUN_DLD( gtk_target_list_add_table , args , , " void gtk_target_list_add_table (GtkTargetList * list,GtkTargetEntry * targets,guint ntargets); " )
{
GtkTargetList *   list ;
GtkTargetEntry *   targets ;
guint   ntargets ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_target_list_add_table (GtkTargetList * list,GtkTargetEntry * targets,guint ntargets); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_target_list_add_table "<<std::endl;
#endif /* DEBUG */
list =( GtkTargetList * )args( 0 ).long_value();
targets =( GtkTargetEntry * )args( 1 ).long_value();
ntargets = (  guint  ) args( 2 ).int_value();
gtk_target_list_add_table ( list,targets,ntargets);
return octave_value();
}
DEFUN_DLD( gtk_target_list_remove , args , , " void gtk_target_list_remove (GtkTargetList * list,GdkAtom target); " )
{
GtkTargetList *   list ;
GdkAtom   target ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_target_list_remove (GtkTargetList * list,GdkAtom target); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_target_list_remove "<<std::endl;
#endif /* DEBUG */
list =( GtkTargetList * )args( 0 ).long_value();
target = (  GdkAtom  ) args( 1 ).long_value();
gtk_target_list_remove ( list,target);
return octave_value();
}
DEFUN_DLD( gtk_target_list_find , args , , " gboolean gtk_target_list_find (GtkTargetList * list,GdkAtom target,guint * info); " )
{
GtkTargetList *   list ;
GdkAtom   target ;
guint *   info ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_target_list_find (GtkTargetList * list,GdkAtom target,guint * info); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_target_list_find "<<std::endl;
#endif /* DEBUG */
list =( GtkTargetList * )args( 0 ).long_value();
target = (  GdkAtom  ) args( 1 ).long_value();
info =( guint * )args( 2 ).long_value();
long int ret_type=(long int) gtk_target_list_find ( list,target,info);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_selection_owner_set , args , , " gboolean gtk_selection_owner_set (GtkWidget * widget,GdkAtom selection,guint32 time_); " )
{
GtkWidget *   widget ;
GdkAtom   selection ;
guint32   time_ ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_selection_owner_set (GtkWidget * widget,GdkAtom selection,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_owner_set "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
time_ = (  guint32  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_selection_owner_set ( widget,selection,time_);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_selection_owner_set_for_display , args , , " gboolean gtk_selection_owner_set_for_display (GdkDisplay * display,GtkWidget * widget,GdkAtom selection,guint32 time_); " )
{
GdkDisplay *   display ;
GtkWidget *   widget ;
GdkAtom   selection ;
guint32   time_ ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_selection_owner_set_for_display (GdkDisplay * display,GtkWidget * widget,GdkAtom selection,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_owner_set_for_display "<<std::endl;
#endif /* DEBUG */
display =( GdkDisplay * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
selection = (  GdkAtom  ) args( 2 ).long_value();
time_ = (  guint32  ) args( 3 ).int_value();
long int ret_type=(long int) gtk_selection_owner_set_for_display ( display,widget,selection,time_);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_selection_add_target , args , , " void gtk_selection_add_target (GtkWidget * widget,GdkAtom selection,GdkAtom target,guint info); " )
{
GtkWidget *   widget ;
GdkAtom   selection ;
GdkAtom   target ;
guint   info ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_selection_add_target (GtkWidget * widget,GdkAtom selection,GdkAtom target,guint info); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_add_target "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
target = (  GdkAtom  ) args( 2 ).long_value();
info = (  guint  ) args( 3 ).int_value();
gtk_selection_add_target ( widget,selection,target,info);
return octave_value();
}
DEFUN_DLD( gtk_selection_add_targets , args , , " void gtk_selection_add_targets (GtkWidget * widget,GdkAtom selection,GtkTargetEntry * targets,guint ntargets); " )
{
GtkWidget *   widget ;
GdkAtom   selection ;
GtkTargetEntry *   targets ;
guint   ntargets ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_selection_add_targets (GtkWidget * widget,GdkAtom selection,GtkTargetEntry * targets,guint ntargets); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_add_targets "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
targets =( GtkTargetEntry * )args( 2 ).long_value();
ntargets = (  guint  ) args( 3 ).int_value();
gtk_selection_add_targets ( widget,selection,targets,ntargets);
return octave_value();
}
DEFUN_DLD( gtk_selection_clear_targets , args , , " void gtk_selection_clear_targets (GtkWidget * widget,GdkAtom selection); " )
{
GtkWidget *   widget ;
GdkAtom   selection ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_selection_clear_targets (GtkWidget * widget,GdkAtom selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_clear_targets "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
gtk_selection_clear_targets ( widget,selection);
return octave_value();
}
DEFUN_DLD( gtk_selection_convert , args , , " gboolean gtk_selection_convert (GtkWidget * widget,GdkAtom selection,GdkAtom target,guint32 time_); " )
{
GtkWidget *   widget ;
GdkAtom   selection ;
GdkAtom   target ;
guint32   time_ ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_selection_convert (GtkWidget * widget,GdkAtom selection,GdkAtom target,guint32 time_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_convert "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
target = (  GdkAtom  ) args( 2 ).long_value();
time_ = (  guint32  ) args( 3 ).int_value();
long int ret_type=(long int) gtk_selection_convert ( widget,selection,target,time_);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_selection_data_set , args , , " void gtk_selection_data_set (GtkSelectionData * selection_data,GdkAtom type,gint format,guchar * data,gint length); " )
{
GtkSelectionData *   selection_data ;
GdkAtom   type ;
gint   format ;
guchar *   data ;
gint   length ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_selection_data_set (GtkSelectionData * selection_data,GdkAtom type,gint format,guchar * data,gint length); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_data_set "<<std::endl;
#endif /* DEBUG */
selection_data =( GtkSelectionData * )args( 0 ).long_value();
type = (  GdkAtom  ) args( 1 ).long_value();
format = (  gint  ) args( 2 ).int_value();
data = new  guchar   [args( 3 ).string_value ().length()];
strcpy( (char *) data ,args( 3 ).string_value().c_str());
length = (  gint  ) args( 4 ).int_value();
gtk_selection_data_set ( selection_data,type,format,data,length);
return octave_value();
}
DEFUN_DLD( gtk_selection_data_set_text , args , , " gboolean gtk_selection_data_set_text (GtkSelectionData * selection_data,gchar * str,gint len); " )
{
GtkSelectionData *   selection_data ;
gchar *   str ;
gint   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_selection_data_set_text (GtkSelectionData * selection_data,gchar * str,gint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_data_set_text "<<std::endl;
#endif /* DEBUG */
selection_data =( GtkSelectionData * )args( 0 ).long_value();
str = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
len = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_selection_data_set_text ( selection_data,str,len);
return octave_value(ret_type);
}
/* overriden: gtk_selection_data_get_text  */
/* overriden: gtk_selection_data_get_targets  */
DEFUN_DLD( gtk_selection_data_targets_include_text , args , , " gboolean gtk_selection_data_targets_include_text (GtkSelectionData * selection_data); " )
{
GtkSelectionData *   selection_data ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_selection_data_targets_include_text (GtkSelectionData * selection_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_data_targets_include_text "<<std::endl;
#endif /* DEBUG */
selection_data =( GtkSelectionData * )args( 0 ).long_value();
long int ret_type=(long int) gtk_selection_data_targets_include_text ( selection_data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_selection_remove_all , args , , " void gtk_selection_remove_all (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_selection_remove_all (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_remove_all "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_selection_remove_all ( widget);
return octave_value();
}
DEFUN_DLD( gtk_selection_clear , args , , " gboolean gtk_selection_clear (GtkWidget * widget,GdkEventSelection * event); " )
{
GtkWidget *   widget ;
GdkEventSelection *   event ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_selection_clear (GtkWidget * widget,GdkEventSelection * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_clear "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
event =( GdkEventSelection * )args( 1 ).long_value();
long int ret_type=(long int) gtk_selection_clear ( widget,event);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_selection_data_get_type , args , , " GType gtk_selection_data_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_selection_data_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_selection_data_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_selection_data_copy , args , , " GtkSelectionData * gtk_selection_data_copy (GtkSelectionData * data); " )
{
GtkSelectionData *   data ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkSelectionData * gtk_selection_data_copy (GtkSelectionData * data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_data_copy "<<std::endl;
#endif /* DEBUG */
data =( GtkSelectionData * )args( 0 ).long_value();
long int ret_type= (long int) gtk_selection_data_copy ( data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_selection_data_free , args , , " void gtk_selection_data_free (GtkSelectionData * data); " )
{
GtkSelectionData *   data ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_selection_data_free (GtkSelectionData * data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_selection_data_free "<<std::endl;
#endif /* DEBUG */
data =( GtkSelectionData * )args( 0 ).long_value();
gtk_selection_data_free ( data);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_separator_get_type , args , , " GType gtk_separator_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_separator_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_separator_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_separator_menu_item_get_type , args , , " GType gtk_separator_menu_item_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_separator_menu_item_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_separator_menu_item_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_separator_menu_item_new , args , , " GtkWidget* gtk_separator_menu_item_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_separator_menu_item_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_separator_menu_item_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_settings_get_type , args , , " GType gtk_settings_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_settings_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_settings_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_settings_get_default , args , , " GtkSettings* gtk_settings_get_default (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_settings_get_default "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_settings_get_default ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_settings_get_for_screen , args , , " GtkSettings* gtk_settings_get_for_screen (GdkScreen * screen); " )
{
GdkScreen *   screen ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkSettings* gtk_settings_get_for_screen (GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_settings_get_for_screen "<<std::endl;
#endif /* DEBUG */
screen =( GdkScreen * )args( 0 ).long_value();
long int ret_type= (long int) gtk_settings_get_for_screen ( screen);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_settings_install_property , args , , " void gtk_settings_install_property (GParamSpec * pspec); " )
{
GParamSpec *   pspec ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_settings_install_property (GParamSpec * pspec); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_settings_install_property "<<std::endl;
#endif /* DEBUG */
pspec =( GParamSpec * )args( 0 ).long_value();
gtk_settings_install_property ( pspec);
return octave_value();
}
DEFUN_DLD( gtk_settings_install_property_parser , args , , " void gtk_settings_install_property_parser (GParamSpec * pspec,GtkRcPropertyParser parser); " )
{
GParamSpec *   pspec ;
GtkRcPropertyParser   parser ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_settings_install_property_parser (GParamSpec * pspec,GtkRcPropertyParser parser); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_settings_install_property_parser "<<std::endl;
#endif /* DEBUG */
pspec =( GParamSpec * )args( 0 ).long_value();
parser = (  GtkRcPropertyParser  ) args( 1 ).long_value();
gtk_settings_install_property_parser ( pspec,parser);
return octave_value();
}
DEFUN_DLD( gtk_rc_property_parse_color , args , , " gboolean gtk_rc_property_parse_color (GParamSpec * pspec,GString * gstring,GValue * property_value); " )
{
GParamSpec *   pspec ;
GString *   gstring ;
GValue *   property_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_rc_property_parse_color (GParamSpec * pspec,GString * gstring,GValue * property_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_property_parse_color "<<std::endl;
#endif /* DEBUG */
pspec =( GParamSpec * )args( 0 ).long_value();
gstring =( GString * )args( 1 ).long_value();
property_value =( GValue * )args( 2 ).long_value();
long int ret_type=(long int) gtk_rc_property_parse_color ( pspec,gstring,property_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_property_parse_enum , args , , " gboolean gtk_rc_property_parse_enum (GParamSpec * pspec,GString * gstring,GValue * property_value); " )
{
GParamSpec *   pspec ;
GString *   gstring ;
GValue *   property_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_rc_property_parse_enum (GParamSpec * pspec,GString * gstring,GValue * property_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_property_parse_enum "<<std::endl;
#endif /* DEBUG */
pspec =( GParamSpec * )args( 0 ).long_value();
gstring =( GString * )args( 1 ).long_value();
property_value =( GValue * )args( 2 ).long_value();
long int ret_type=(long int) gtk_rc_property_parse_enum ( pspec,gstring,property_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_property_parse_flags , args , , " gboolean gtk_rc_property_parse_flags (GParamSpec * pspec,GString * gstring,GValue * property_value); " )
{
GParamSpec *   pspec ;
GString *   gstring ;
GValue *   property_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_rc_property_parse_flags (GParamSpec * pspec,GString * gstring,GValue * property_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_property_parse_flags "<<std::endl;
#endif /* DEBUG */
pspec =( GParamSpec * )args( 0 ).long_value();
gstring =( GString * )args( 1 ).long_value();
property_value =( GValue * )args( 2 ).long_value();
long int ret_type=(long int) gtk_rc_property_parse_flags ( pspec,gstring,property_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_property_parse_requisition , args , , " gboolean gtk_rc_property_parse_requisition (GParamSpec * pspec,GString * gstring,GValue * property_value); " )
{
GParamSpec *   pspec ;
GString *   gstring ;
GValue *   property_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_rc_property_parse_requisition (GParamSpec * pspec,GString * gstring,GValue * property_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_property_parse_requisition "<<std::endl;
#endif /* DEBUG */
pspec =( GParamSpec * )args( 0 ).long_value();
gstring =( GString * )args( 1 ).long_value();
property_value =( GValue * )args( 2 ).long_value();
long int ret_type=(long int) gtk_rc_property_parse_requisition ( pspec,gstring,property_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_rc_property_parse_border , args , , " gboolean gtk_rc_property_parse_border (GParamSpec * pspec,GString * gstring,GValue * property_value); " )
{
GParamSpec *   pspec ;
GString *   gstring ;
GValue *   property_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_rc_property_parse_border (GParamSpec * pspec,GString * gstring,GValue * property_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_rc_property_parse_border "<<std::endl;
#endif /* DEBUG */
pspec =( GParamSpec * )args( 0 ).long_value();
gstring =( GString * )args( 1 ).long_value();
property_value =( GValue * )args( 2 ).long_value();
long int ret_type=(long int) gtk_rc_property_parse_border ( pspec,gstring,property_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_settings_set_property_value , args , , " void gtk_settings_set_property_value (GtkSettings * settings,gchar * name,GtkSettingsValue * svalue); " )
{
GtkSettings *   settings ;
gchar *   name ;
GtkSettingsValue *   svalue ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_settings_set_property_value (GtkSettings * settings,gchar * name,GtkSettingsValue * svalue); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_settings_set_property_value "<<std::endl;
#endif /* DEBUG */
settings =( GtkSettings * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
svalue =( GtkSettingsValue * )args( 2 ).long_value();
gtk_settings_set_property_value ( settings,name,svalue);
return octave_value();
}
DEFUN_DLD( gtk_settings_set_string_property , args , , " void gtk_settings_set_string_property (GtkSettings * settings,gchar * name,gchar * v_string,gchar * origin); " )
{
GtkSettings *   settings ;
gchar *   name ;
gchar *   v_string ;
gchar *   origin ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_settings_set_string_property (GtkSettings * settings,gchar * name,gchar * v_string,gchar * origin); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_settings_set_string_property "<<std::endl;
#endif /* DEBUG */
settings =( GtkSettings * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
v_string = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) v_string ,args( 2 ).string_value().c_str());
origin = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) origin ,args( 3 ).string_value().c_str());
gtk_settings_set_string_property ( settings,name,v_string,origin);
return octave_value();
}
DEFUN_DLD( gtk_settings_set_long_property , args , , " void gtk_settings_set_long_property (GtkSettings * settings,gchar * name,glong v_long,gchar * origin); " )
{
GtkSettings *   settings ;
gchar *   name ;
glong   v_long ;
gchar *   origin ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_settings_set_long_property (GtkSettings * settings,gchar * name,glong v_long,gchar * origin); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_settings_set_long_property "<<std::endl;
#endif /* DEBUG */
settings =( GtkSettings * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
v_long = (  glong  ) args( 2 ).long_value();
origin = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) origin ,args( 3 ).string_value().c_str());
gtk_settings_set_long_property ( settings,name,v_long,origin);
return octave_value();
}
DEFUN_DLD( gtk_settings_set_double_property , args , , " void gtk_settings_set_double_property (GtkSettings * settings,gchar * name,gdouble v_double,gchar * origin); " )
{
GtkSettings *   settings ;
gchar *   name ;
gdouble   v_double ;
gchar *   origin ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_settings_set_double_property (GtkSettings * settings,gchar * name,gdouble v_double,gchar * origin); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_settings_set_double_property "<<std::endl;
#endif /* DEBUG */
settings =( GtkSettings * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
v_double = (  gdouble  ) args( 2 ).double_value();
origin = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) origin ,args( 3 ).string_value().c_str());
gtk_settings_set_double_property ( settings,name,v_double,origin);
return octave_value();
}
/* overriden: gtk_signal_newv  */
DEFUN_DLD( gtk_signal_new , args , , " guint gtk_signal_new (gchar * name,GtkSignalRunType signal_flags,GtkType object_type,guint function_offset,GtkSignalMarshaller marshaller,GtkType return_val,guint n_args,char * varargs_value); " )
{
gchar *   name ;
GtkSignalRunType   signal_flags ;
GtkType   object_type ;
guint   function_offset ;
GtkSignalMarshaller   marshaller ;
GtkType   return_val ;
guint   n_args ;
char *   varargs_value ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  guint gtk_signal_new (gchar * name,GtkSignalRunType signal_flags,GtkType object_type,guint function_offset,GtkSignalMarshaller marshaller,GtkType return_val,guint n_args,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_signal_new "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
signal_flags = (  GtkSignalRunType  ) args( 1 ).long_value();
object_type = (  GtkType  ) args( 2 ).long_value();
function_offset = (  guint  ) args( 3 ).int_value();
marshaller = (  GtkSignalMarshaller  ) args( 4 ).long_value();
return_val = (  GtkType  ) args( 5 ).long_value();
n_args = (  guint  ) args( 6 ).int_value();
varargs_value = new  char   [args( 7 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 7 ).string_value().c_str());
long int ret_type=(long int) gtk_signal_new ( name,signal_flags,object_type,function_offset,marshaller,return_val,n_args,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_signal_emit_stop_by_name , args , , " void gtk_signal_emit_stop_by_name (GtkObject * object,gchar * name); " )
{
GtkObject *   object ;
gchar *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_signal_emit_stop_by_name (GtkObject * object,gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_signal_emit_stop_by_name "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
gtk_signal_emit_stop_by_name ( object,name);
return octave_value();
}
DEFUN_DLD( gtk_signal_connect_object_while_alive , args , , " void gtk_signal_connect_object_while_alive (GtkObject * object,gchar * name,GtkSignalFunc func,GtkObject * alive_object); " )
{
GtkObject *   object ;
gchar *   name ;
string   func ; 
GtkObject *   alive_object ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_signal_connect_object_while_alive (GtkObject * object,gchar * name,GtkSignalFunc func,GtkObject * alive_object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_signal_connect_object_while_alive "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
string callback_fcn =args( 2 ).string_value();
g_object_set_data(G_OBJECT( object ), name,(void *)callback_fcn.c_str());

alive_object =( GtkObject * )args( 3 ).long_value();
gtk_signal_connect_object_while_alive ( object,name,octave_gtk_signal_function,alive_object);
return octave_value();
}
DEFUN_DLD( gtk_signal_connect_while_alive , args , , " void gtk_signal_connect_while_alive (GtkObject * object,gchar * name,GtkSignalFunc func,gpointer func_data,GtkObject * alive_object); " )
{
GtkObject *   object ;
gchar *   name ;
string   func ; 
gpointer   func_data ;
GtkObject *   alive_object ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_signal_connect_while_alive (GtkObject * object,gchar * name,GtkSignalFunc func,gpointer func_data,GtkObject * alive_object); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_signal_connect_while_alive "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
string callback_fcn =args( 2 ).string_value();
g_object_set_data(G_OBJECT( object ), name,(void *)callback_fcn.c_str());

func_data =( gpointer )args( 3 ).long_value();
alive_object =( GtkObject * )args( 4 ).long_value();
gtk_signal_connect_while_alive ( object,name,octave_gtk_signal_function,func_data,alive_object);
return octave_value();
}
DEFUN_DLD( gtk_signal_connect_full , args , , " gulong gtk_signal_connect_full (GtkObject * object,gchar * name,GtkSignalFunc func,GtkCallbackMarshal unsupported,gpointer data,GtkDestroyNotify destroy_func,gint object_signal,gint after); " )
{
GtkObject *   object ;
gchar *   name ;
string   func ; 
GtkCallbackMarshal   unsupported ;
gpointer   data ;
GtkDestroyNotify   destroy_func ;
gint   object_signal ;
gint   after ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  gulong gtk_signal_connect_full (GtkObject * object,gchar * name,GtkSignalFunc func,GtkCallbackMarshal unsupported,gpointer data,GtkDestroyNotify destroy_func,gint object_signal,gint after); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_signal_connect_full "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
string callback_fcn =args( 2 ).string_value();
g_object_set_data(G_OBJECT( object ), name,(void *)callback_fcn.c_str());

unsupported = (  GtkCallbackMarshal  ) args( 3 ).long_value();
data =( gpointer )args( 4 ).long_value();
destroy_func = (  GtkDestroyNotify  ) args( 5 ).long_value();
object_signal = (  gint  ) args( 6 ).int_value();
after = (  gint  ) args( 7 ).int_value();
long int ret_type=(long int) gtk_signal_connect_full ( object,name,octave_gtk_signal_function,unsupported,data,destroy_func,object_signal,after);
return octave_value(ret_type);
}
/* overriden: gtk_signal_emitv  */
DEFUN_DLD( gtk_signal_emit , args , , " void gtk_signal_emit (GtkObject * object,guint signal_id,char * varargs_value); " )
{
GtkObject *   object ;
guint   signal_id ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_signal_emit (GtkObject * object,guint signal_id,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_signal_emit "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
signal_id = (  guint  ) args( 1 ).int_value();
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_signal_emit ( object,signal_id,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_signal_emit_by_name , args , , " void gtk_signal_emit_by_name (GtkObject * object,gchar * name,char * varargs_value); " )
{
GtkObject *   object ;
gchar *   name ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_signal_emit_by_name (GtkObject * object,gchar * name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_signal_emit_by_name "<<std::endl;
#endif /* DEBUG */
object =( GtkObject * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_signal_emit_by_name ( object,name,varargs_value);
return octave_value();
}
/* overriden: gtk_signal_emitv_by_name  */
/* overriden: gtk_signal_compat_matched  */
/* void: zero arguments taken */
DEFUN_DLD( gtk_socket_get_type , args , , " GType gtk_socket_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_socket_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_socket_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_socket_new , args , , " GtkWidget* gtk_socket_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_socket_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_socket_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_socket_add_id , args , , " void gtk_socket_add_id (GtkSocket * socket_,GdkNativeWindow window_id); " )
{
GtkSocket *   socket_ ;
GdkNativeWindow   window_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_socket_add_id (GtkSocket * socket_,GdkNativeWindow window_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_socket_add_id "<<std::endl;
#endif /* DEBUG */
socket_ =( GtkSocket * )args( 0 ).long_value();
window_id = (  GdkNativeWindow  ) args( 1 ).long_value();
gtk_socket_add_id ( socket_,window_id);
return octave_value();
}
DEFUN_DLD( gtk_socket_get_id , args , , " GdkNativeWindow gtk_socket_get_id (GtkSocket * socket_); " )
{
GtkSocket *   socket_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkNativeWindow gtk_socket_get_id (GtkSocket * socket_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_socket_get_id "<<std::endl;
#endif /* DEBUG */
socket_ =( GtkSocket * )args( 0 ).long_value();
long int ret_type=(long int) gtk_socket_get_id ( socket_);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_socket_steal , args , , " void gtk_socket_steal (GtkSocket * socket_,GdkNativeWindow wid); " )
{
GtkSocket *   socket_ ;
GdkNativeWindow   wid ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_socket_steal (GtkSocket * socket_,GdkNativeWindow wid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_socket_steal "<<std::endl;
#endif /* DEBUG */
socket_ =( GtkSocket * )args( 0 ).long_value();
wid = (  GdkNativeWindow  ) args( 1 ).long_value();
gtk_socket_steal ( socket_,wid);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_spin_button_get_type , args , , " GType gtk_spin_button_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_spin_button_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_configure , args , , " void gtk_spin_button_configure (GtkSpinButton * spin_button,GtkAdjustment * adjustment,gdouble climb_rate,guint digits); " )
{
GtkSpinButton *   spin_button ;
GtkAdjustment *   adjustment ;
gdouble   climb_rate ;
guint   digits ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_spin_button_configure (GtkSpinButton * spin_button,GtkAdjustment * adjustment,gdouble climb_rate,guint digits); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_configure "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
climb_rate = (  gdouble  ) args( 2 ).double_value();
digits = (  guint  ) args( 3 ).int_value();
gtk_spin_button_configure ( spin_button,adjustment,climb_rate,digits);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_new , args , , " GtkWidget* gtk_spin_button_new (GtkAdjustment * adjustment,gdouble climb_rate,guint digits); " )
{
GtkAdjustment *   adjustment ;
gdouble   climb_rate ;
guint   digits ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkWidget* gtk_spin_button_new (GtkAdjustment * adjustment,gdouble climb_rate,guint digits); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_new "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
climb_rate = (  gdouble  ) args( 1 ).double_value();
digits = (  guint  ) args( 2 ).int_value();
long int ret_type= (long int) gtk_spin_button_new ( adjustment,climb_rate,digits);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_new_with_range , args , , " GtkWidget* gtk_spin_button_new_with_range (gdouble min,gdouble max,gdouble step); " )
{
gdouble   min ;
gdouble   max ;
gdouble   step ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkWidget* gtk_spin_button_new_with_range (gdouble min,gdouble max,gdouble step); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_new_with_range "<<std::endl;
#endif /* DEBUG */
min = (  gdouble  ) args( 0 ).double_value();
max = (  gdouble  ) args( 1 ).double_value();
step = (  gdouble  ) args( 2 ).double_value();
long int ret_type= (long int) gtk_spin_button_new_with_range ( min,max,step);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_set_adjustment , args , , " void gtk_spin_button_set_adjustment (GtkSpinButton * spin_button,GtkAdjustment * adjustment); " )
{
GtkSpinButton *   spin_button ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_adjustment (GtkSpinButton * spin_button,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_adjustment "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_spin_button_set_adjustment ( spin_button,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_adjustment , args , , " GtkAdjustment* gtk_spin_button_get_adjustment (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_spin_button_get_adjustment (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_adjustment "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
long int ret_type= (long int) gtk_spin_button_get_adjustment ( spin_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_set_digits , args , , " void gtk_spin_button_set_digits (GtkSpinButton * spin_button,guint digits); " )
{
GtkSpinButton *   spin_button ;
guint   digits ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_digits (GtkSpinButton * spin_button,guint digits); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_digits "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
digits = (  guint  ) args( 1 ).int_value();
gtk_spin_button_set_digits ( spin_button,digits);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_digits , args , , " guint gtk_spin_button_get_digits (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gtk_spin_button_get_digits (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_digits "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_spin_button_get_digits ( spin_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_set_increments , args , , " void gtk_spin_button_set_increments (GtkSpinButton * spin_button,gdouble step,gdouble page); " )
{
GtkSpinButton *   spin_button ;
gdouble   step ;
gdouble   page ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_increments (GtkSpinButton * spin_button,gdouble step,gdouble page); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_increments "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
step = (  gdouble  ) args( 1 ).double_value();
page = (  gdouble  ) args( 2 ).double_value();
gtk_spin_button_set_increments ( spin_button,step,page);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_increments , args , , " void gtk_spin_button_get_increments (GtkSpinButton * spin_button,gdouble * step,gdouble * page); " )
{
GtkSpinButton *   spin_button ;
gdouble *   step ;
gdouble *   page ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_spin_button_get_increments (GtkSpinButton * spin_button,gdouble * step,gdouble * page); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_increments "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
step =( gdouble * )args( 1 ).long_value();
page =( gdouble * )args( 2 ).long_value();
gtk_spin_button_get_increments ( spin_button,step,page);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_set_range , args , , " void gtk_spin_button_set_range (GtkSpinButton * spin_button,gdouble min,gdouble max); " )
{
GtkSpinButton *   spin_button ;
gdouble   min ;
gdouble   max ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_range (GtkSpinButton * spin_button,gdouble min,gdouble max); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_range "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
min = (  gdouble  ) args( 1 ).double_value();
max = (  gdouble  ) args( 2 ).double_value();
gtk_spin_button_set_range ( spin_button,min,max);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_range , args , , " void gtk_spin_button_get_range (GtkSpinButton * spin_button,gdouble * min,gdouble * max); " )
{
GtkSpinButton *   spin_button ;
gdouble *   min ;
gdouble *   max ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_spin_button_get_range (GtkSpinButton * spin_button,gdouble * min,gdouble * max); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_range "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
min =( gdouble * )args( 1 ).long_value();
max =( gdouble * )args( 2 ).long_value();
gtk_spin_button_get_range ( spin_button,min,max);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_value , args , , " gdouble gtk_spin_button_get_value (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gdouble gtk_spin_button_get_value (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_value "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_spin_button_get_value ( spin_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_get_value_as_int , args , , " gint gtk_spin_button_get_value_as_int (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_spin_button_get_value_as_int (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_value_as_int "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_spin_button_get_value_as_int ( spin_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_set_value , args , , " void gtk_spin_button_set_value (GtkSpinButton * spin_button,gdouble value); " )
{
GtkSpinButton *   spin_button ;
gdouble   value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_value (GtkSpinButton * spin_button,gdouble value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_value "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
value = (  gdouble  ) args( 1 ).double_value();
gtk_spin_button_set_value ( spin_button,value);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_set_update_policy , args , , " void gtk_spin_button_set_update_policy (GtkSpinButton * spin_button,GtkSpinButtonUpdatePolicy policy); " )
{
GtkSpinButton *   spin_button ;
GtkSpinButtonUpdatePolicy   policy ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_update_policy (GtkSpinButton * spin_button,GtkSpinButtonUpdatePolicy policy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_update_policy "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
policy = (  GtkSpinButtonUpdatePolicy  ) args( 1 ).long_value();
gtk_spin_button_set_update_policy ( spin_button,policy);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_update_policy , args , , " GtkSpinButtonUpdatePolicy gtk_spin_button_get_update_policy (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkSpinButtonUpdatePolicy gtk_spin_button_get_update_policy (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_update_policy "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_spin_button_get_update_policy ( spin_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_set_numeric , args , , " void gtk_spin_button_set_numeric (GtkSpinButton * spin_button,gboolean numeric); " )
{
GtkSpinButton *   spin_button ;
gboolean   numeric ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_numeric (GtkSpinButton * spin_button,gboolean numeric); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_numeric "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
numeric = (  gboolean  ) args( 1 ).long_value();
gtk_spin_button_set_numeric ( spin_button,numeric);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_numeric , args , , " gboolean gtk_spin_button_get_numeric (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_spin_button_get_numeric (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_numeric "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_spin_button_get_numeric ( spin_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_spin , args , , " void gtk_spin_button_spin (GtkSpinButton * spin_button,GtkSpinType direction,gdouble increment); " )
{
GtkSpinButton *   spin_button ;
GtkSpinType   direction ;
gdouble   increment ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_spin_button_spin (GtkSpinButton * spin_button,GtkSpinType direction,gdouble increment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_spin "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
direction = (  GtkSpinType  ) args( 1 ).long_value();
increment = (  gdouble  ) args( 2 ).double_value();
gtk_spin_button_spin ( spin_button,direction,increment);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_set_wrap , args , , " void gtk_spin_button_set_wrap (GtkSpinButton * spin_button,gboolean wrap); " )
{
GtkSpinButton *   spin_button ;
gboolean   wrap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_wrap (GtkSpinButton * spin_button,gboolean wrap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_wrap "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
wrap = (  gboolean  ) args( 1 ).long_value();
gtk_spin_button_set_wrap ( spin_button,wrap);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_wrap , args , , " gboolean gtk_spin_button_get_wrap (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_spin_button_get_wrap (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_wrap "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_spin_button_get_wrap ( spin_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_set_snap_to_ticks , args , , " void gtk_spin_button_set_snap_to_ticks (GtkSpinButton * spin_button,gboolean snap_to_ticks); " )
{
GtkSpinButton *   spin_button ;
gboolean   snap_to_ticks ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_spin_button_set_snap_to_ticks (GtkSpinButton * spin_button,gboolean snap_to_ticks); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_set_snap_to_ticks "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
snap_to_ticks = (  gboolean  ) args( 1 ).long_value();
gtk_spin_button_set_snap_to_ticks ( spin_button,snap_to_ticks);
return octave_value();
}
DEFUN_DLD( gtk_spin_button_get_snap_to_ticks , args , , " gboolean gtk_spin_button_get_snap_to_ticks (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_spin_button_get_snap_to_ticks (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_get_snap_to_ticks "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_spin_button_get_snap_to_ticks ( spin_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_spin_button_update , args , , " void gtk_spin_button_update (GtkSpinButton * spin_button); " )
{
GtkSpinButton *   spin_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_spin_button_update (GtkSpinButton * spin_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_spin_button_update "<<std::endl;
#endif /* DEBUG */
spin_button =( GtkSpinButton * )args( 0 ).long_value();
gtk_spin_button_update ( spin_button);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_statusbar_get_type , args , , " GType gtk_statusbar_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_statusbar_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_statusbar_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_statusbar_new , args , , " GtkWidget* gtk_statusbar_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_statusbar_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_statusbar_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_statusbar_get_context_id , args , , " guint gtk_statusbar_get_context_id (GtkStatusbar * statusbar,gchar * context_description); " )
{
GtkStatusbar *   statusbar ;
gchar *   context_description ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint gtk_statusbar_get_context_id (GtkStatusbar * statusbar,gchar * context_description); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_statusbar_get_context_id "<<std::endl;
#endif /* DEBUG */
statusbar =( GtkStatusbar * )args( 0 ).long_value();
context_description = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) context_description ,args( 1 ).string_value().c_str());
long int ret_type=(long int) gtk_statusbar_get_context_id ( statusbar,context_description);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_statusbar_push , args , , " guint gtk_statusbar_push (GtkStatusbar * statusbar,guint context_id,gchar * text); " )
{
GtkStatusbar *   statusbar ;
guint   context_id ;
gchar *   text ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  guint gtk_statusbar_push (GtkStatusbar * statusbar,guint context_id,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_statusbar_push "<<std::endl;
#endif /* DEBUG */
statusbar =( GtkStatusbar * )args( 0 ).long_value();
context_id = (  guint  ) args( 1 ).int_value();
text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) text ,args( 2 ).string_value().c_str());
long int ret_type=(long int) gtk_statusbar_push ( statusbar,context_id,text);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_statusbar_pop , args , , " void gtk_statusbar_pop (GtkStatusbar * statusbar,guint context_id); " )
{
GtkStatusbar *   statusbar ;
guint   context_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_statusbar_pop (GtkStatusbar * statusbar,guint context_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_statusbar_pop "<<std::endl;
#endif /* DEBUG */
statusbar =( GtkStatusbar * )args( 0 ).long_value();
context_id = (  guint  ) args( 1 ).int_value();
gtk_statusbar_pop ( statusbar,context_id);
return octave_value();
}
DEFUN_DLD( gtk_statusbar_remove , args , , " void gtk_statusbar_remove (GtkStatusbar * statusbar,guint context_id,guint message_id); " )
{
GtkStatusbar *   statusbar ;
guint   context_id ;
guint   message_id ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_statusbar_remove (GtkStatusbar * statusbar,guint context_id,guint message_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_statusbar_remove "<<std::endl;
#endif /* DEBUG */
statusbar =( GtkStatusbar * )args( 0 ).long_value();
context_id = (  guint  ) args( 1 ).int_value();
message_id = (  guint  ) args( 2 ).int_value();
gtk_statusbar_remove ( statusbar,context_id,message_id);
return octave_value();
}
DEFUN_DLD( gtk_statusbar_set_has_resize_grip , args , , " void gtk_statusbar_set_has_resize_grip (GtkStatusbar * statusbar,gboolean setting); " )
{
GtkStatusbar *   statusbar ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_statusbar_set_has_resize_grip (GtkStatusbar * statusbar,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_statusbar_set_has_resize_grip "<<std::endl;
#endif /* DEBUG */
statusbar =( GtkStatusbar * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_statusbar_set_has_resize_grip ( statusbar,setting);
return octave_value();
}
DEFUN_DLD( gtk_statusbar_get_has_resize_grip , args , , " gboolean gtk_statusbar_get_has_resize_grip (GtkStatusbar * statusbar); " )
{
GtkStatusbar *   statusbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_statusbar_get_has_resize_grip (GtkStatusbar * statusbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_statusbar_get_has_resize_grip "<<std::endl;
#endif /* DEBUG */
statusbar =( GtkStatusbar * )args( 0 ).long_value();
long int ret_type=(long int) gtk_statusbar_get_has_resize_grip ( statusbar);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_stock_add , args , , " void gtk_stock_add (GtkStockItem * items,guint n_items); " )
{
GtkStockItem *   items ;
guint   n_items ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_stock_add (GtkStockItem * items,guint n_items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_stock_add "<<std::endl;
#endif /* DEBUG */
items =( GtkStockItem * )args( 0 ).long_value();
n_items = (  guint  ) args( 1 ).int_value();
gtk_stock_add ( items,n_items);
return octave_value();
}
DEFUN_DLD( gtk_stock_add_static , args , , " void gtk_stock_add_static (GtkStockItem * items,guint n_items); " )
{
GtkStockItem *   items ;
guint   n_items ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_stock_add_static (GtkStockItem * items,guint n_items); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_stock_add_static "<<std::endl;
#endif /* DEBUG */
items =( GtkStockItem * )args( 0 ).long_value();
n_items = (  guint  ) args( 1 ).int_value();
gtk_stock_add_static ( items,n_items);
return octave_value();
}
DEFUN_DLD( gtk_stock_lookup , args , , " gboolean gtk_stock_lookup (gchar * stock_id,GtkStockItem * item); " )
{
gchar *   stock_id ;
GtkStockItem *   item ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_stock_lookup (gchar * stock_id,GtkStockItem * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_stock_lookup "<<std::endl;
#endif /* DEBUG */
stock_id = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 0 ).string_value().c_str());
item =( GtkStockItem * )args( 1 ).long_value();
long int ret_type=(long int) gtk_stock_lookup ( stock_id,item);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_stock_list_ids , args , , " GSList* gtk_stock_list_ids (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_stock_list_ids "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_stock_list_ids ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_stock_item_copy , args , , " GtkStockItem * gtk_stock_item_copy (GtkStockItem * item); " )
{
GtkStockItem *   item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkStockItem * gtk_stock_item_copy (GtkStockItem * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_stock_item_copy "<<std::endl;
#endif /* DEBUG */
item =( GtkStockItem * )args( 0 ).long_value();
long int ret_type= (long int) gtk_stock_item_copy ( item);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_stock_item_free , args , , " void gtk_stock_item_free (GtkStockItem * item); " )
{
GtkStockItem *   item ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_stock_item_free (GtkStockItem * item); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_stock_item_free "<<std::endl;
#endif /* DEBUG */
item =( GtkStockItem * )args( 0 ).long_value();
gtk_stock_item_free ( item);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_style_get_type , args , , " GType gtk_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_style_new , args , , " GtkStyle* gtk_style_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_style_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_style_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_style_copy , args , , " GtkStyle* gtk_style_copy (GtkStyle * style); " )
{
GtkStyle *   style ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkStyle* gtk_style_copy (GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_copy "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
long int ret_type= (long int) gtk_style_copy ( style);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_style_attach , args , , " GtkStyle* gtk_style_attach (GtkStyle * style,GdkWindow * window); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkStyle* gtk_style_attach (GtkStyle * style,GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_attach "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
long int ret_type= (long int) gtk_style_attach ( style,window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_style_detach , args , , " void gtk_style_detach (GtkStyle * style); " )
{
GtkStyle *   style ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_style_detach (GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_detach "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
gtk_style_detach ( style);
return octave_value();
}
DEFUN_DLD( gtk_style_ref , args , , " GtkStyle* gtk_style_ref (GtkStyle * style); " )
{
GtkStyle *   style ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkStyle* gtk_style_ref (GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_ref "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
long int ret_type= (long int) gtk_style_ref ( style);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_style_unref , args , , " void gtk_style_unref (GtkStyle * style); " )
{
GtkStyle *   style ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_style_unref (GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_unref "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
gtk_style_unref ( style);
return octave_value();
}
DEFUN_DLD( gtk_style_get_font , args , , " GdkFont * gtk_style_get_font (GtkStyle * style); " )
{
GtkStyle *   style ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkFont * gtk_style_get_font (GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_get_font "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
long int ret_type= (long int) gtk_style_get_font ( style);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_style_set_font , args , , " void gtk_style_set_font (GtkStyle * style,GdkFont * font); " )
{
GtkStyle *   style ;
GdkFont *   font ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_style_set_font (GtkStyle * style,GdkFont * font); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_set_font "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
font =( GdkFont * )args( 1 ).long_value();
gtk_style_set_font ( style,font);
return octave_value();
}
DEFUN_DLD( gtk_style_set_background , args , , " void gtk_style_set_background (GtkStyle * style,GdkWindow * window,GtkStateType state_type); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_style_set_background (GtkStyle * style,GdkWindow * window,GtkStateType state_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_set_background "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
gtk_style_set_background ( style,window,state_type);
return octave_value();
}
DEFUN_DLD( gtk_style_apply_default_background , args , , " void gtk_style_apply_default_background (GtkStyle * style,GdkWindow * window,gboolean set_bg,GtkStateType state_type,GdkRectangle * area,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
gboolean   set_bg ;
GtkStateType   state_type ;
GdkRectangle *   area ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_style_apply_default_background (GtkStyle * style,GdkWindow * window,gboolean set_bg,GtkStateType state_type,GdkRectangle * area,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_apply_default_background "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
set_bg = (  gboolean  ) args( 2 ).long_value();
state_type = (  GtkStateType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
x = (  gint  ) args( 5 ).int_value();
y = (  gint  ) args( 6 ).int_value();
width = (  gint  ) args( 7 ).int_value();
height = (  gint  ) args( 8 ).int_value();
gtk_style_apply_default_background ( style,window,set_bg,state_type,area,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_style_lookup_icon_set , args , , " GtkIconSet* gtk_style_lookup_icon_set (GtkStyle * style,gchar * stock_id); " )
{
GtkStyle *   style ;
gchar *   stock_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkIconSet* gtk_style_lookup_icon_set (GtkStyle * style,gchar * stock_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_lookup_icon_set "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
stock_id = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_style_lookup_icon_set ( style,stock_id);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_style_render_icon , args , , " GdkPixbuf* gtk_style_render_icon (GtkStyle * style,GtkIconSource * source,GtkTextDirection direction,GtkStateType state,GtkIconSize size,GtkWidget * widget,gchar * detail); " )
{
GtkStyle *   style ;
GtkIconSource *   source ;
GtkTextDirection   direction ;
GtkStateType   state ;
GtkIconSize   size ;
GtkWidget *   widget ;
gchar *   detail ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  GdkPixbuf* gtk_style_render_icon (GtkStyle * style,GtkIconSource * source,GtkTextDirection direction,GtkStateType state,GtkIconSize size,GtkWidget * widget,gchar * detail); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_style_render_icon "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
source =( GtkIconSource * )args( 1 ).long_value();
direction = (  GtkTextDirection  ) args( 2 ).long_value();
state = (  GtkStateType  ) args( 3 ).long_value();
size = (  GtkIconSize  ) args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
long int ret_type= (long int) gtk_style_render_icon ( style,source,direction,state,size,widget,detail);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_draw_hline , args , , " void gtk_draw_hline (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gint x1,gint x2,gint y); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
gint   x1 ;
gint   x2 ;
gint   y ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_draw_hline (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gint x1,gint x2,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_hline "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
x1 = (  gint  ) args( 3 ).int_value();
x2 = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
gtk_draw_hline ( style,window,state_type,x1,x2,y);
return octave_value();
}
DEFUN_DLD( gtk_draw_vline , args , , " void gtk_draw_vline (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gint y1_,gint y2_,gint x); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
gint   y1_ ;
gint   y2_ ;
gint   x ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_draw_vline (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gint y1_,gint y2_,gint x); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_vline "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
y1_ = (  gint  ) args( 3 ).int_value();
y2_ = (  gint  ) args( 4 ).int_value();
x = (  gint  ) args( 5 ).int_value();
gtk_draw_vline ( style,window,state_type,y1_,y2_,x);
return octave_value();
}
DEFUN_DLD( gtk_draw_shadow , args , , " void gtk_draw_shadow (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gtk_draw_shadow (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_shadow "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gtk_draw_shadow ( style,window,state_type,shadow_type,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_polygon , args , , " void gtk_draw_polygon (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkPoint * points,gint npoints,gboolean fill); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkPoint *   points ;
gint   npoints ;
gboolean   fill ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gtk_draw_polygon (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkPoint * points,gint npoints,gboolean fill); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_polygon "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
points =( GdkPoint * )args( 4 ).long_value();
npoints = (  gint  ) args( 5 ).int_value();
fill = (  gboolean  ) args( 6 ).long_value();
gtk_draw_polygon ( style,window,state_type,shadow_type,points,npoints,fill);
return octave_value();
}
DEFUN_DLD( gtk_draw_arrow , args , , " void gtk_draw_arrow (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GtkArrowType arrow_type,gboolean fill,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GtkArrowType   arrow_type ;
gboolean   fill ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 10 )
  {
   std::cout<< "eg:  void gtk_draw_arrow (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GtkArrowType arrow_type,gboolean fill,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_arrow "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
arrow_type = (  GtkArrowType  ) args( 4 ).long_value();
fill = (  gboolean  ) args( 5 ).long_value();
x = (  gint  ) args( 6 ).int_value();
y = (  gint  ) args( 7 ).int_value();
width = (  gint  ) args( 8 ).int_value();
height = (  gint  ) args( 9 ).int_value();
gtk_draw_arrow ( style,window,state_type,shadow_type,arrow_type,fill,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_diamond , args , , " void gtk_draw_diamond (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gtk_draw_diamond (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_diamond "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gtk_draw_diamond ( style,window,state_type,shadow_type,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_box , args , , " void gtk_draw_box (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gtk_draw_box (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_box "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gtk_draw_box ( style,window,state_type,shadow_type,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_flat_box , args , , " void gtk_draw_flat_box (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gtk_draw_flat_box (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_flat_box "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gtk_draw_flat_box ( style,window,state_type,shadow_type,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_check , args , , " void gtk_draw_check (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gtk_draw_check (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_check "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gtk_draw_check ( style,window,state_type,shadow_type,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_option , args , , " void gtk_draw_option (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gtk_draw_option (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_option "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gtk_draw_option ( style,window,state_type,shadow_type,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_tab , args , , " void gtk_draw_tab (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gtk_draw_tab (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_tab "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gtk_draw_tab ( style,window,state_type,shadow_type,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_shadow_gap , args , , " void gtk_draw_shadow_gap (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkPositionType gap_side,gint gap_x,gint gap_width); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkPositionType   gap_side ;
gint   gap_x ;
gint   gap_width ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_draw_shadow_gap (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkPositionType gap_side,gint gap_x,gint gap_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_shadow_gap "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gap_side = (  GtkPositionType  ) args( 8 ).long_value();
gap_x = (  gint  ) args( 9 ).int_value();
gap_width = (  gint  ) args( 10 ).int_value();
gtk_draw_shadow_gap ( style,window,state_type,shadow_type,x,y,width,height,gap_side,gap_x,gap_width);
return octave_value();
}
DEFUN_DLD( gtk_draw_box_gap , args , , " void gtk_draw_box_gap (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkPositionType gap_side,gint gap_x,gint gap_width); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkPositionType   gap_side ;
gint   gap_x ;
gint   gap_width ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_draw_box_gap (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkPositionType gap_side,gint gap_x,gint gap_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_box_gap "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gap_side = (  GtkPositionType  ) args( 8 ).long_value();
gap_x = (  gint  ) args( 9 ).int_value();
gap_width = (  gint  ) args( 10 ).int_value();
gtk_draw_box_gap ( style,window,state_type,shadow_type,x,y,width,height,gap_side,gap_x,gap_width);
return octave_value();
}
DEFUN_DLD( gtk_draw_extension , args , , " void gtk_draw_extension (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkPositionType gap_side); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkPositionType   gap_side ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_draw_extension (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkPositionType gap_side); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_extension "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gap_side = (  GtkPositionType  ) args( 8 ).long_value();
gtk_draw_extension ( style,window,state_type,shadow_type,x,y,width,height,gap_side);
return octave_value();
}
DEFUN_DLD( gtk_draw_focus , args , , " void gtk_draw_focus (GtkStyle * style,GdkWindow * window,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_draw_focus (GtkStyle * style,GdkWindow * window,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_focus "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
width = (  gint  ) args( 4 ).int_value();
height = (  gint  ) args( 5 ).int_value();
gtk_draw_focus ( style,window,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_draw_slider , args , , " void gtk_draw_slider (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkOrientation orientation); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkOrientation   orientation ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_draw_slider (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkOrientation orientation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_slider "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
orientation = (  GtkOrientation  ) args( 8 ).long_value();
gtk_draw_slider ( style,window,state_type,shadow_type,x,y,width,height,orientation);
return octave_value();
}
DEFUN_DLD( gtk_draw_handle , args , , " void gtk_draw_handle (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkOrientation orientation); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkOrientation   orientation ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_draw_handle (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,gint x,gint y,gint width,gint height,GtkOrientation orientation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_handle "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
orientation = (  GtkOrientation  ) args( 8 ).long_value();
gtk_draw_handle ( style,window,state_type,shadow_type,x,y,width,height,orientation);
return octave_value();
}
DEFUN_DLD( gtk_draw_expander , args , , " void gtk_draw_expander (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gint x,gint y,GtkExpanderStyle expander_style); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
gint   x ;
gint   y ;
GtkExpanderStyle   expander_style ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_draw_expander (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gint x,gint y,GtkExpanderStyle expander_style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_expander "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
x = (  gint  ) args( 3 ).int_value();
y = (  gint  ) args( 4 ).int_value();
expander_style = (  GtkExpanderStyle  ) args( 5 ).long_value();
gtk_draw_expander ( style,window,state_type,x,y,expander_style);
return octave_value();
}
DEFUN_DLD( gtk_draw_layout , args , , " void gtk_draw_layout (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gboolean use_text,gint x,gint y,PangoLayout * layout); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
gboolean   use_text ;
gint   x ;
gint   y ;
PangoLayout *   layout ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  void gtk_draw_layout (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gboolean use_text,gint x,gint y,PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_layout "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
use_text = (  gboolean  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
layout =( PangoLayout * )args( 6 ).long_value();
gtk_draw_layout ( style,window,state_type,use_text,x,y,layout);
return octave_value();
}
DEFUN_DLD( gtk_draw_resize_grip , args , , " void gtk_draw_resize_grip (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkWindowEdge edge,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GdkWindowEdge   edge ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  void gtk_draw_resize_grip (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkWindowEdge edge,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_resize_grip "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
edge = (  GdkWindowEdge  ) args( 3 ).long_value();
x = (  gint  ) args( 4 ).int_value();
y = (  gint  ) args( 5 ).int_value();
width = (  gint  ) args( 6 ).int_value();
height = (  gint  ) args( 7 ).int_value();
gtk_draw_resize_grip ( style,window,state_type,edge,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_hline , args , , " void gtk_paint_hline (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x1,gint x2,gint y); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x1 ;
gint   x2 ;
gint   y ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_paint_hline (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x1,gint x2,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_hline "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
area =( GdkRectangle * )args( 3 ).long_value();
widget =( GtkWidget * )args( 4 ).long_value();
detail = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) detail ,args( 5 ).string_value().c_str());
x1 = (  gint  ) args( 6 ).int_value();
x2 = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
gtk_paint_hline ( style,window,state_type,area,widget,detail,x1,x2,y);
return octave_value();
}
DEFUN_DLD( gtk_paint_vline , args , , " void gtk_paint_vline (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint y1_,gint y2_,gint x); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   y1_ ;
gint   y2_ ;
gint   x ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_paint_vline (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint y1_,gint y2_,gint x); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_vline "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
area =( GdkRectangle * )args( 3 ).long_value();
widget =( GtkWidget * )args( 4 ).long_value();
detail = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) detail ,args( 5 ).string_value().c_str());
y1_ = (  gint  ) args( 6 ).int_value();
y2_ = (  gint  ) args( 7 ).int_value();
x = (  gint  ) args( 8 ).int_value();
gtk_paint_vline ( style,window,state_type,area,widget,detail,y1_,y2_,x);
return octave_value();
}
DEFUN_DLD( gtk_paint_shadow , args , , " void gtk_paint_shadow (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_paint_shadow (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_shadow "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gtk_paint_shadow ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_polygon , args , , " void gtk_paint_polygon (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,GdkPoint * points,gint npoints,gboolean fill); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
GdkPoint *   points ;
gint   npoints ;
gboolean   fill ;
 if(args.length()!= 10 )
  {
   std::cout<< "eg:  void gtk_paint_polygon (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,GdkPoint * points,gint npoints,gboolean fill); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_polygon "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
points =( GdkPoint * )args( 7 ).long_value();
npoints = (  gint  ) args( 8 ).int_value();
fill = (  gboolean  ) args( 9 ).long_value();
gtk_paint_polygon ( style,window,state_type,shadow_type,area,widget,detail,points,npoints,fill);
return octave_value();
}
DEFUN_DLD( gtk_paint_arrow , args , , " void gtk_paint_arrow (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,GtkArrowType arrow_type,gboolean fill,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
GtkArrowType   arrow_type ;
gboolean   fill ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 13 )
  {
   std::cout<< "eg:  void gtk_paint_arrow (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,GtkArrowType arrow_type,gboolean fill,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_arrow "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
arrow_type = (  GtkArrowType  ) args( 7 ).long_value();
fill = (  gboolean  ) args( 8 ).long_value();
x = (  gint  ) args( 9 ).int_value();
y = (  gint  ) args( 10 ).int_value();
width = (  gint  ) args( 11 ).int_value();
height = (  gint  ) args( 12 ).int_value();
gtk_paint_arrow ( style,window,state_type,shadow_type,area,widget,detail,arrow_type,fill,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_diamond , args , , " void gtk_paint_diamond (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_paint_diamond (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_diamond "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gtk_paint_diamond ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_box , args , , " void gtk_paint_box (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_paint_box (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_box "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gtk_paint_box ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_flat_box , args , , " void gtk_paint_flat_box (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_paint_flat_box (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_flat_box "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gtk_paint_flat_box ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_check , args , , " void gtk_paint_check (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_paint_check (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_check "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gtk_paint_check ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_option , args , , " void gtk_paint_option (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_paint_option (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_option "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gtk_paint_option ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_tab , args , , " void gtk_paint_tab (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_paint_tab (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_tab "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gtk_paint_tab ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_shadow_gap , args , , " void gtk_paint_shadow_gap (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkPositionType gap_side,gint gap_x,gint gap_width); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkPositionType   gap_side ;
gint   gap_x ;
gint   gap_width ;
 if(args.length()!= 14 )
  {
   std::cout<< "eg:  void gtk_paint_shadow_gap (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkPositionType gap_side,gint gap_x,gint gap_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_shadow_gap "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gap_side = (  GtkPositionType  ) args( 11 ).long_value();
gap_x = (  gint  ) args( 12 ).int_value();
gap_width = (  gint  ) args( 13 ).int_value();
gtk_paint_shadow_gap ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height,gap_side,gap_x,gap_width);
return octave_value();
}
DEFUN_DLD( gtk_paint_box_gap , args , , " void gtk_paint_box_gap (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkPositionType gap_side,gint gap_x,gint gap_width); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkPositionType   gap_side ;
gint   gap_x ;
gint   gap_width ;
 if(args.length()!= 14 )
  {
   std::cout<< "eg:  void gtk_paint_box_gap (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkPositionType gap_side,gint gap_x,gint gap_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_box_gap "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gap_side = (  GtkPositionType  ) args( 11 ).long_value();
gap_x = (  gint  ) args( 12 ).int_value();
gap_width = (  gint  ) args( 13 ).int_value();
gtk_paint_box_gap ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height,gap_side,gap_x,gap_width);
return octave_value();
}
DEFUN_DLD( gtk_paint_extension , args , , " void gtk_paint_extension (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkPositionType gap_side); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkPositionType   gap_side ;
 if(args.length()!= 12 )
  {
   std::cout<< "eg:  void gtk_paint_extension (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkPositionType gap_side); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_extension "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gap_side = (  GtkPositionType  ) args( 11 ).long_value();
gtk_paint_extension ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height,gap_side);
return octave_value();
}
DEFUN_DLD( gtk_paint_focus , args , , " void gtk_paint_focus (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 10 )
  {
   std::cout<< "eg:  void gtk_paint_focus (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_focus "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
area =( GdkRectangle * )args( 3 ).long_value();
widget =( GtkWidget * )args( 4 ).long_value();
detail = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) detail ,args( 5 ).string_value().c_str());
x = (  gint  ) args( 6 ).int_value();
y = (  gint  ) args( 7 ).int_value();
width = (  gint  ) args( 8 ).int_value();
height = (  gint  ) args( 9 ).int_value();
gtk_paint_focus ( style,window,state_type,area,widget,detail,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_paint_slider , args , , " void gtk_paint_slider (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkOrientation orientation); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkOrientation   orientation ;
 if(args.length()!= 12 )
  {
   std::cout<< "eg:  void gtk_paint_slider (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkOrientation orientation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_slider "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
orientation = (  GtkOrientation  ) args( 11 ).long_value();
gtk_paint_slider ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height,orientation);
return octave_value();
}
DEFUN_DLD( gtk_paint_handle , args , , " void gtk_paint_handle (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkOrientation orientation); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GtkShadowType   shadow_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
GtkOrientation   orientation ;
 if(args.length()!= 12 )
  {
   std::cout<< "eg:  void gtk_paint_handle (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GtkShadowType shadow_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gint width,gint height,GtkOrientation orientation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_handle "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
shadow_type = (  GtkShadowType  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
orientation = (  GtkOrientation  ) args( 11 ).long_value();
gtk_paint_handle ( style,window,state_type,shadow_type,area,widget,detail,x,y,width,height,orientation);
return octave_value();
}
DEFUN_DLD( gtk_paint_expander , args , , " void gtk_paint_expander (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,GtkExpanderStyle expander_style); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
GtkExpanderStyle   expander_style ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_paint_expander (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,GtkExpanderStyle expander_style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_expander "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
area =( GdkRectangle * )args( 3 ).long_value();
widget =( GtkWidget * )args( 4 ).long_value();
detail = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) detail ,args( 5 ).string_value().c_str());
x = (  gint  ) args( 6 ).int_value();
y = (  gint  ) args( 7 ).int_value();
expander_style = (  GtkExpanderStyle  ) args( 8 ).long_value();
gtk_paint_expander ( style,window,state_type,area,widget,detail,x,y,expander_style);
return octave_value();
}
DEFUN_DLD( gtk_paint_layout , args , , " void gtk_paint_layout (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gboolean use_text,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,PangoLayout * layout); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
gboolean   use_text ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
PangoLayout *   layout ;
 if(args.length()!= 10 )
  {
   std::cout<< "eg:  void gtk_paint_layout (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gboolean use_text,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,PangoLayout * layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_layout "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
use_text = (  gboolean  ) args( 3 ).long_value();
area =( GdkRectangle * )args( 4 ).long_value();
widget =( GtkWidget * )args( 5 ).long_value();
detail = new  gchar   [args( 6 ).string_value ().length()];
strcpy( (char *) detail ,args( 6 ).string_value().c_str());
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
layout =( PangoLayout * )args( 9 ).long_value();
gtk_paint_layout ( style,window,state_type,use_text,area,widget,detail,x,y,layout);
return octave_value();
}
DEFUN_DLD( gtk_paint_resize_grip , args , , " void gtk_paint_resize_grip (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,GdkWindowEdge edge,gint x,gint y,gint width,gint height); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
GdkWindowEdge   edge ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 11 )
  {
   std::cout<< "eg:  void gtk_paint_resize_grip (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,GdkWindowEdge edge,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_resize_grip "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
area =( GdkRectangle * )args( 3 ).long_value();
widget =( GtkWidget * )args( 4 ).long_value();
detail = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) detail ,args( 5 ).string_value().c_str());
edge = (  GdkWindowEdge  ) args( 6 ).long_value();
x = (  gint  ) args( 7 ).int_value();
y = (  gint  ) args( 8 ).int_value();
width = (  gint  ) args( 9 ).int_value();
height = (  gint  ) args( 10 ).int_value();
gtk_paint_resize_grip ( style,window,state_type,area,widget,detail,edge,x,y,width,height);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_border_get_type , args , , " GType gtk_border_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_border_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_border_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_border_copy , args , , " GtkBorder * gtk_border_copy (GtkBorder * border_); " )
{
GtkBorder *   border_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkBorder * gtk_border_copy (GtkBorder * border_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_border_copy "<<std::endl;
#endif /* DEBUG */
border_ =( GtkBorder * )args( 0 ).long_value();
long int ret_type= (long int) gtk_border_copy ( border_);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_border_free , args , , " void gtk_border_free (GtkBorder * border_); " )
{
GtkBorder *   border_ ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_border_free (GtkBorder * border_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_border_free "<<std::endl;
#endif /* DEBUG */
border_ =( GtkBorder * )args( 0 ).long_value();
gtk_border_free ( border_);
return octave_value();
}
DEFUN_DLD( gtk_draw_string , args , , " void gtk_draw_string (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gint x,gint y,gchar * string); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
gint   x ;
gint   y ;
gchar *   string ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_draw_string (GtkStyle * style,GdkWindow * window,GtkStateType state_type,gint x,gint y,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_draw_string "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
x = (  gint  ) args( 3 ).int_value();
y = (  gint  ) args( 4 ).int_value();
string = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) string ,args( 5 ).string_value().c_str());
gtk_draw_string ( style,window,state_type,x,y,string);
return octave_value();
}
DEFUN_DLD( gtk_paint_string , args , , " void gtk_paint_string (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gchar * string); " )
{
GtkStyle *   style ;
GdkWindow *   window ;
GtkStateType   state_type ;
GdkRectangle *   area ;
GtkWidget *   widget ;
gchar *   detail ;
gint   x ;
gint   y ;
gchar *   string ;
 if(args.length()!= 9 )
  {
   std::cout<< "eg:  void gtk_paint_string (GtkStyle * style,GdkWindow * window,GtkStateType state_type,GdkRectangle * area,GtkWidget * widget,gchar * detail,gint x,gint y,gchar * string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_paint_string "<<std::endl;
#endif /* DEBUG */
style =( GtkStyle * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
state_type = (  GtkStateType  ) args( 2 ).long_value();
area =( GdkRectangle * )args( 3 ).long_value();
widget =( GtkWidget * )args( 4 ).long_value();
detail = new  gchar   [args( 5 ).string_value ().length()];
strcpy( (char *) detail ,args( 5 ).string_value().c_str());
x = (  gint  ) args( 6 ).int_value();
y = (  gint  ) args( 7 ).int_value();
string = new  gchar   [args( 8 ).string_value ().length()];
strcpy( (char *) string ,args( 8 ).string_value().c_str());
gtk_paint_string ( style,window,state_type,area,widget,detail,x,y,string);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_table_get_type , args , , " GType gtk_table_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_table_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_table_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_table_new , args , , " GtkWidget* gtk_table_new (guint rows,guint columns,gboolean homogeneous); " )
{
guint   rows ;
guint   columns ;
gboolean   homogeneous ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkWidget* gtk_table_new (guint rows,guint columns,gboolean homogeneous); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_new "<<std::endl;
#endif /* DEBUG */
rows = (  guint  ) args( 0 ).int_value();
columns = (  guint  ) args( 1 ).int_value();
homogeneous = (  gboolean  ) args( 2 ).long_value();
long int ret_type= (long int) gtk_table_new ( rows,columns,homogeneous);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_table_resize , args , , " void gtk_table_resize (GtkTable * table,guint rows,guint columns); " )
{
GtkTable *   table ;
guint   rows ;
guint   columns ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_table_resize (GtkTable * table,guint rows,guint columns); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_resize "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
rows = (  guint  ) args( 1 ).int_value();
columns = (  guint  ) args( 2 ).int_value();
gtk_table_resize ( table,rows,columns);
return octave_value();
}
DEFUN_DLD( gtk_table_attach , args , , " void gtk_table_attach (GtkTable * table,GtkWidget * child,guint left_attach,guint right_attach,guint top_attach,guint bottom_attach,GtkAttachOptions xoptions,GtkAttachOptions yoptions,guint xpadding,guint ypadding); " )
{
GtkTable *   table ;
GtkWidget *   child ;
guint   left_attach ;
guint   right_attach ;
guint   top_attach ;
guint   bottom_attach ;
GtkAttachOptions   xoptions ;
GtkAttachOptions   yoptions ;
guint   xpadding ;
guint   ypadding ;
 if(args.length()!= 10 )
  {
   std::cout<< "eg:  void gtk_table_attach (GtkTable * table,GtkWidget * child,guint left_attach,guint right_attach,guint top_attach,guint bottom_attach,GtkAttachOptions xoptions,GtkAttachOptions yoptions,guint xpadding,guint ypadding); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_attach "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
left_attach = (  guint  ) args( 2 ).int_value();
right_attach = (  guint  ) args( 3 ).int_value();
top_attach = (  guint  ) args( 4 ).int_value();
bottom_attach = (  guint  ) args( 5 ).int_value();
xoptions = (  GtkAttachOptions  ) args( 6 ).long_value();
yoptions = (  GtkAttachOptions  ) args( 7 ).long_value();
xpadding = (  guint  ) args( 8 ).int_value();
ypadding = (  guint  ) args( 9 ).int_value();
gtk_table_attach ( table,child,left_attach,right_attach,top_attach,bottom_attach,xoptions,yoptions,xpadding,ypadding);
return octave_value();
}
DEFUN_DLD( gtk_table_attach_defaults , args , , " void gtk_table_attach_defaults (GtkTable * table,GtkWidget * widget,guint left_attach,guint right_attach,guint top_attach,guint bottom_attach); " )
{
GtkTable *   table ;
GtkWidget *   widget ;
guint   left_attach ;
guint   right_attach ;
guint   top_attach ;
guint   bottom_attach ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_table_attach_defaults (GtkTable * table,GtkWidget * widget,guint left_attach,guint right_attach,guint top_attach,guint bottom_attach); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_attach_defaults "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
left_attach = (  guint  ) args( 2 ).int_value();
right_attach = (  guint  ) args( 3 ).int_value();
top_attach = (  guint  ) args( 4 ).int_value();
bottom_attach = (  guint  ) args( 5 ).int_value();
gtk_table_attach_defaults ( table,widget,left_attach,right_attach,top_attach,bottom_attach);
return octave_value();
}
DEFUN_DLD( gtk_table_set_row_spacing , args , , " void gtk_table_set_row_spacing (GtkTable * table,guint row,guint spacing); " )
{
GtkTable *   table ;
guint   row ;
guint   spacing ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_table_set_row_spacing (GtkTable * table,guint row,guint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_set_row_spacing "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
row = (  guint  ) args( 1 ).int_value();
spacing = (  guint  ) args( 2 ).int_value();
gtk_table_set_row_spacing ( table,row,spacing);
return octave_value();
}
DEFUN_DLD( gtk_table_get_row_spacing , args , , " guint gtk_table_get_row_spacing (GtkTable * table,guint row); " )
{
GtkTable *   table ;
guint   row ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint gtk_table_get_row_spacing (GtkTable * table,guint row); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_get_row_spacing "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
row = (  guint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_table_get_row_spacing ( table,row);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_table_set_col_spacing , args , , " void gtk_table_set_col_spacing (GtkTable * table,guint column,guint spacing); " )
{
GtkTable *   table ;
guint   column ;
guint   spacing ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_table_set_col_spacing (GtkTable * table,guint column,guint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_set_col_spacing "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
column = (  guint  ) args( 1 ).int_value();
spacing = (  guint  ) args( 2 ).int_value();
gtk_table_set_col_spacing ( table,column,spacing);
return octave_value();
}
DEFUN_DLD( gtk_table_get_col_spacing , args , , " guint gtk_table_get_col_spacing (GtkTable * table,guint column); " )
{
GtkTable *   table ;
guint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  guint gtk_table_get_col_spacing (GtkTable * table,guint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_get_col_spacing "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
column = (  guint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_table_get_col_spacing ( table,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_table_set_row_spacings , args , , " void gtk_table_set_row_spacings (GtkTable * table,guint spacing); " )
{
GtkTable *   table ;
guint   spacing ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_table_set_row_spacings (GtkTable * table,guint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_set_row_spacings "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
spacing = (  guint  ) args( 1 ).int_value();
gtk_table_set_row_spacings ( table,spacing);
return octave_value();
}
DEFUN_DLD( gtk_table_get_default_row_spacing , args , , " guint gtk_table_get_default_row_spacing (GtkTable * table); " )
{
GtkTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gtk_table_get_default_row_spacing (GtkTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_get_default_row_spacing "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
long int ret_type=(long int) gtk_table_get_default_row_spacing ( table);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_table_set_col_spacings , args , , " void gtk_table_set_col_spacings (GtkTable * table,guint spacing); " )
{
GtkTable *   table ;
guint   spacing ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_table_set_col_spacings (GtkTable * table,guint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_set_col_spacings "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
spacing = (  guint  ) args( 1 ).int_value();
gtk_table_set_col_spacings ( table,spacing);
return octave_value();
}
DEFUN_DLD( gtk_table_get_default_col_spacing , args , , " guint gtk_table_get_default_col_spacing (GtkTable * table); " )
{
GtkTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  guint gtk_table_get_default_col_spacing (GtkTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_get_default_col_spacing "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
long int ret_type=(long int) gtk_table_get_default_col_spacing ( table);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_table_set_homogeneous , args , , " void gtk_table_set_homogeneous (GtkTable * table,gboolean homogeneous); " )
{
GtkTable *   table ;
gboolean   homogeneous ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_table_set_homogeneous (GtkTable * table,gboolean homogeneous); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_set_homogeneous "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
homogeneous = (  gboolean  ) args( 1 ).long_value();
gtk_table_set_homogeneous ( table,homogeneous);
return octave_value();
}
DEFUN_DLD( gtk_table_get_homogeneous , args , , " gboolean gtk_table_get_homogeneous (GtkTable * table); " )
{
GtkTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_table_get_homogeneous (GtkTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_table_get_homogeneous "<<std::endl;
#endif /* DEBUG */
table =( GtkTable * )args( 0 ).long_value();
long int ret_type=(long int) gtk_table_get_homogeneous ( table);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tearoff_menu_item_get_type , args , , " GType gtk_tearoff_menu_item_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tearoff_menu_item_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tearoff_menu_item_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tearoff_menu_item_new , args , , " GtkWidget* gtk_tearoff_menu_item_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tearoff_menu_item_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_tearoff_menu_item_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_buffer_get_type , args , , " GType gtk_text_buffer_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_buffer_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_new , args , , " GtkTextBuffer * gtk_text_buffer_new (GtkTextTagTable * table); " )
{
GtkTextTagTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextBuffer * gtk_text_buffer_new (GtkTextTagTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_new "<<std::endl;
#endif /* DEBUG */
table =( GtkTextTagTable * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_buffer_new ( table);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_get_line_count , args , , " gint gtk_text_buffer_get_line_count (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_buffer_get_line_count (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_line_count "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_buffer_get_line_count ( buffer);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_get_char_count , args , , " gint gtk_text_buffer_get_char_count (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_buffer_get_char_count (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_char_count "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_buffer_get_char_count ( buffer);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_get_tag_table , args , , " GtkTextTagTable* gtk_text_buffer_get_tag_table (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextTagTable* gtk_text_buffer_get_tag_table (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_tag_table "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_buffer_get_tag_table ( buffer);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_set_text , args , , " void gtk_text_buffer_set_text (GtkTextBuffer * buffer,gchar * text,gint len); " )
{
GtkTextBuffer *   buffer ;
gchar *   text ;
gint   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_set_text (GtkTextBuffer * buffer,gchar * text,gint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_set_text "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
len = (  gint  ) args( 2 ).int_value();
gtk_text_buffer_set_text ( buffer,text,len);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_insert , args , , " void gtk_text_buffer_insert (GtkTextBuffer * buffer,GtkTextIter * iter,gchar * text,gint len); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
gchar *   text ;
gint   len ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_insert (GtkTextBuffer * buffer,GtkTextIter * iter,gchar * text,gint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) text ,args( 2 ).string_value().c_str());
len = (  gint  ) args( 3 ).int_value();
gtk_text_buffer_insert ( buffer,iter,text,len);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_insert_at_cursor , args , , " void gtk_text_buffer_insert_at_cursor (GtkTextBuffer * buffer,gchar * text,gint len); " )
{
GtkTextBuffer *   buffer ;
gchar *   text ;
gint   len ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_insert_at_cursor (GtkTextBuffer * buffer,gchar * text,gint len); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_at_cursor "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
len = (  gint  ) args( 2 ).int_value();
gtk_text_buffer_insert_at_cursor ( buffer,text,len);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_insert_interactive , args , , " gboolean gtk_text_buffer_insert_interactive (GtkTextBuffer * buffer,GtkTextIter * iter,gchar * text,gint len,gboolean default_editable); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
gchar *   text ;
gint   len ;
gboolean   default_editable ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gboolean gtk_text_buffer_insert_interactive (GtkTextBuffer * buffer,GtkTextIter * iter,gchar * text,gint len,gboolean default_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_interactive "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) text ,args( 2 ).string_value().c_str());
len = (  gint  ) args( 3 ).int_value();
default_editable = (  gboolean  ) args( 4 ).long_value();
long int ret_type=(long int) gtk_text_buffer_insert_interactive ( buffer,iter,text,len,default_editable);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_insert_interactive_at_cursor , args , , " gboolean gtk_text_buffer_insert_interactive_at_cursor (GtkTextBuffer * buffer,gchar * text,gint len,gboolean default_editable); " )
{
GtkTextBuffer *   buffer ;
gchar *   text ;
gint   len ;
gboolean   default_editable ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_text_buffer_insert_interactive_at_cursor (GtkTextBuffer * buffer,gchar * text,gint len,gboolean default_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_interactive_at_cursor "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
len = (  gint  ) args( 2 ).int_value();
default_editable = (  gboolean  ) args( 3 ).long_value();
long int ret_type=(long int) gtk_text_buffer_insert_interactive_at_cursor ( buffer,text,len,default_editable);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_insert_range , args , , " void gtk_text_buffer_insert_range (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_insert_range (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_range "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
start =( GtkTextIter * )args( 2 ).long_value();
end =( GtkTextIter * )args( 3 ).long_value();
gtk_text_buffer_insert_range ( buffer,iter,start,end);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_insert_range_interactive , args , , " gboolean gtk_text_buffer_insert_range_interactive (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextIter * start,GtkTextIter * end,gboolean default_editable); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
GtkTextIter *   start ;
GtkTextIter *   end ;
gboolean   default_editable ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gboolean gtk_text_buffer_insert_range_interactive (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextIter * start,GtkTextIter * end,gboolean default_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_range_interactive "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
start =( GtkTextIter * )args( 2 ).long_value();
end =( GtkTextIter * )args( 3 ).long_value();
default_editable = (  gboolean  ) args( 4 ).long_value();
long int ret_type=(long int) gtk_text_buffer_insert_range_interactive ( buffer,iter,start,end,default_editable);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_insert_with_tags , args , , " void gtk_text_buffer_insert_with_tags (GtkTextBuffer * buffer,GtkTextIter * iter,gchar * text,gint len,GtkTextTag * first_tag,char * varargs_value); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
gchar *   text ;
gint   len ;
GtkTextTag *   first_tag ;
char *   varargs_value ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_text_buffer_insert_with_tags (GtkTextBuffer * buffer,GtkTextIter * iter,gchar * text,gint len,GtkTextTag * first_tag,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_with_tags "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) text ,args( 2 ).string_value().c_str());
len = (  gint  ) args( 3 ).int_value();
first_tag =( GtkTextTag * )args( 4 ).long_value();
varargs_value = new  char   [args( 5 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 5 ).string_value().c_str());
gtk_text_buffer_insert_with_tags ( buffer,iter,text,len,first_tag,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_insert_with_tags_by_name , args , , " void gtk_text_buffer_insert_with_tags_by_name (GtkTextBuffer * buffer,GtkTextIter * iter,gchar * text,gint len,gchar * first_tag_name,char * varargs_value); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
gchar *   text ;
gint   len ;
gchar *   first_tag_name ;
char *   varargs_value ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_text_buffer_insert_with_tags_by_name (GtkTextBuffer * buffer,GtkTextIter * iter,gchar * text,gint len,gchar * first_tag_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_with_tags_by_name "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) text ,args( 2 ).string_value().c_str());
len = (  gint  ) args( 3 ).int_value();
first_tag_name = new  gchar   [args( 4 ).string_value ().length()];
strcpy( (char *) first_tag_name ,args( 4 ).string_value().c_str());
varargs_value = new  char   [args( 5 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 5 ).string_value().c_str());
gtk_text_buffer_insert_with_tags_by_name ( buffer,iter,text,len,first_tag_name,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_delete , args , , " void gtk_text_buffer_delete (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_delete (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_delete "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
start =( GtkTextIter * )args( 1 ).long_value();
end =( GtkTextIter * )args( 2 ).long_value();
gtk_text_buffer_delete ( buffer,start,end);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_delete_interactive , args , , " gboolean gtk_text_buffer_delete_interactive (GtkTextBuffer * buffer,GtkTextIter * start_iter,GtkTextIter * end_iter,gboolean default_editable); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   start_iter ;
GtkTextIter *   end_iter ;
gboolean   default_editable ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_text_buffer_delete_interactive (GtkTextBuffer * buffer,GtkTextIter * start_iter,GtkTextIter * end_iter,gboolean default_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_delete_interactive "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
start_iter =( GtkTextIter * )args( 1 ).long_value();
end_iter =( GtkTextIter * )args( 2 ).long_value();
default_editable = (  gboolean  ) args( 3 ).long_value();
long int ret_type=(long int) gtk_text_buffer_delete_interactive ( buffer,start_iter,end_iter,default_editable);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_get_text , args , , " gchar * gtk_text_buffer_get_text (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end,gboolean include_hidden_chars); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   start ;
GtkTextIter *   end ;
gboolean   include_hidden_chars ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gchar * gtk_text_buffer_get_text (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end,gboolean include_hidden_chars); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_text "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
start =( GtkTextIter * )args( 1 ).long_value();
end =( GtkTextIter * )args( 2 ).long_value();
include_hidden_chars = (  gboolean  ) args( 3 ).long_value();
string  ret_type( gtk_text_buffer_get_text ( buffer,start,end,include_hidden_chars));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_get_slice , args , , " gchar * gtk_text_buffer_get_slice (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end,gboolean include_hidden_chars); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   start ;
GtkTextIter *   end ;
gboolean   include_hidden_chars ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gchar * gtk_text_buffer_get_slice (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end,gboolean include_hidden_chars); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_slice "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
start =( GtkTextIter * )args( 1 ).long_value();
end =( GtkTextIter * )args( 2 ).long_value();
include_hidden_chars = (  gboolean  ) args( 3 ).long_value();
string  ret_type( gtk_text_buffer_get_slice ( buffer,start,end,include_hidden_chars));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_insert_pixbuf , args , , " void gtk_text_buffer_insert_pixbuf (GtkTextBuffer * buffer,GtkTextIter * iter,GdkPixbuf * pixbuf); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
GdkPixbuf *   pixbuf ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_insert_pixbuf (GtkTextBuffer * buffer,GtkTextIter * iter,GdkPixbuf * pixbuf); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_pixbuf "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
pixbuf =( GdkPixbuf * )args( 2 ).long_value();
gtk_text_buffer_insert_pixbuf ( buffer,iter,pixbuf);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_insert_child_anchor , args , , " void gtk_text_buffer_insert_child_anchor (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextChildAnchor * anchor); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
GtkTextChildAnchor *   anchor ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_insert_child_anchor (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextChildAnchor * anchor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_insert_child_anchor "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
anchor =( GtkTextChildAnchor * )args( 2 ).long_value();
gtk_text_buffer_insert_child_anchor ( buffer,iter,anchor);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_create_child_anchor , args , , " GtkTextChildAnchor * gtk_text_buffer_create_child_anchor (GtkTextBuffer * buffer,GtkTextIter * iter); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTextChildAnchor * gtk_text_buffer_create_child_anchor (GtkTextBuffer * buffer,GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_create_child_anchor "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
long int ret_type= (long int) gtk_text_buffer_create_child_anchor ( buffer,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_create_mark , args , , " GtkTextMark * gtk_text_buffer_create_mark (GtkTextBuffer * buffer,gchar * mark_name,GtkTextIter * where,gboolean left_gravity); " )
{
GtkTextBuffer *   buffer ;
gchar *   mark_name ;
GtkTextIter *   where ;
gboolean   left_gravity ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GtkTextMark * gtk_text_buffer_create_mark (GtkTextBuffer * buffer,gchar * mark_name,GtkTextIter * where,gboolean left_gravity); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_create_mark "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
mark_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) mark_name ,args( 1 ).string_value().c_str());
where =( GtkTextIter * )args( 2 ).long_value();
left_gravity = (  gboolean  ) args( 3 ).long_value();
long int ret_type= (long int) gtk_text_buffer_create_mark ( buffer,mark_name,where,left_gravity);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_move_mark , args , , " void gtk_text_buffer_move_mark (GtkTextBuffer * buffer,GtkTextMark * mark,GtkTextIter * where); " )
{
GtkTextBuffer *   buffer ;
GtkTextMark *   mark ;
GtkTextIter *   where ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_move_mark (GtkTextBuffer * buffer,GtkTextMark * mark,GtkTextIter * where); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_move_mark "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
mark =( GtkTextMark * )args( 1 ).long_value();
where =( GtkTextIter * )args( 2 ).long_value();
gtk_text_buffer_move_mark ( buffer,mark,where);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_delete_mark , args , , " void gtk_text_buffer_delete_mark (GtkTextBuffer * buffer,GtkTextMark * mark); " )
{
GtkTextBuffer *   buffer ;
GtkTextMark *   mark ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_buffer_delete_mark (GtkTextBuffer * buffer,GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_delete_mark "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
mark =( GtkTextMark * )args( 1 ).long_value();
gtk_text_buffer_delete_mark ( buffer,mark);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_mark , args , , " GtkTextMark* gtk_text_buffer_get_mark (GtkTextBuffer * buffer,gchar * name); " )
{
GtkTextBuffer *   buffer ;
gchar *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTextMark* gtk_text_buffer_get_mark (GtkTextBuffer * buffer,gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_mark "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_text_buffer_get_mark ( buffer,name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_move_mark_by_name , args , , " void gtk_text_buffer_move_mark_by_name (GtkTextBuffer * buffer,gchar * name,GtkTextIter * where); " )
{
GtkTextBuffer *   buffer ;
gchar *   name ;
GtkTextIter *   where ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_move_mark_by_name (GtkTextBuffer * buffer,gchar * name,GtkTextIter * where); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_move_mark_by_name "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
where =( GtkTextIter * )args( 2 ).long_value();
gtk_text_buffer_move_mark_by_name ( buffer,name,where);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_delete_mark_by_name , args , , " void gtk_text_buffer_delete_mark_by_name (GtkTextBuffer * buffer,gchar * name); " )
{
GtkTextBuffer *   buffer ;
gchar *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_buffer_delete_mark_by_name (GtkTextBuffer * buffer,gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_delete_mark_by_name "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
gtk_text_buffer_delete_mark_by_name ( buffer,name);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_insert , args , , " GtkTextMark* gtk_text_buffer_get_insert (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextMark* gtk_text_buffer_get_insert (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_insert "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_buffer_get_insert ( buffer);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_get_selection_bound , args , , " GtkTextMark* gtk_text_buffer_get_selection_bound (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextMark* gtk_text_buffer_get_selection_bound (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_selection_bound "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_buffer_get_selection_bound ( buffer);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_place_cursor , args , , " void gtk_text_buffer_place_cursor (GtkTextBuffer * buffer,GtkTextIter * where); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   where ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_buffer_place_cursor (GtkTextBuffer * buffer,GtkTextIter * where); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_place_cursor "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
where =( GtkTextIter * )args( 1 ).long_value();
gtk_text_buffer_place_cursor ( buffer,where);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_apply_tag , args , , " void gtk_text_buffer_apply_tag (GtkTextBuffer * buffer,GtkTextTag * tag,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
GtkTextTag *   tag ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_apply_tag (GtkTextBuffer * buffer,GtkTextTag * tag,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_apply_tag "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
start =( GtkTextIter * )args( 2 ).long_value();
end =( GtkTextIter * )args( 3 ).long_value();
gtk_text_buffer_apply_tag ( buffer,tag,start,end);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_remove_tag , args , , " void gtk_text_buffer_remove_tag (GtkTextBuffer * buffer,GtkTextTag * tag,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
GtkTextTag *   tag ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_remove_tag (GtkTextBuffer * buffer,GtkTextTag * tag,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_remove_tag "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
start =( GtkTextIter * )args( 2 ).long_value();
end =( GtkTextIter * )args( 3 ).long_value();
gtk_text_buffer_remove_tag ( buffer,tag,start,end);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_apply_tag_by_name , args , , " void gtk_text_buffer_apply_tag_by_name (GtkTextBuffer * buffer,gchar * name,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
gchar *   name ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_apply_tag_by_name (GtkTextBuffer * buffer,gchar * name,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_apply_tag_by_name "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
start =( GtkTextIter * )args( 2 ).long_value();
end =( GtkTextIter * )args( 3 ).long_value();
gtk_text_buffer_apply_tag_by_name ( buffer,name,start,end);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_remove_tag_by_name , args , , " void gtk_text_buffer_remove_tag_by_name (GtkTextBuffer * buffer,gchar * name,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
gchar *   name ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_remove_tag_by_name (GtkTextBuffer * buffer,gchar * name,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_remove_tag_by_name "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
start =( GtkTextIter * )args( 2 ).long_value();
end =( GtkTextIter * )args( 3 ).long_value();
gtk_text_buffer_remove_tag_by_name ( buffer,name,start,end);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_remove_all_tags , args , , " void gtk_text_buffer_remove_all_tags (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_remove_all_tags (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_remove_all_tags "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
start =( GtkTextIter * )args( 1 ).long_value();
end =( GtkTextIter * )args( 2 ).long_value();
gtk_text_buffer_remove_all_tags ( buffer,start,end);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_create_tag , args , , " GtkTextTag * gtk_text_buffer_create_tag (GtkTextBuffer * buffer,gchar * tag_name,gchar * first_property_name,char * varargs_value); " )
{
GtkTextBuffer *   buffer ;
gchar *   tag_name ;
gchar *   first_property_name ;
char *   varargs_value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GtkTextTag * gtk_text_buffer_create_tag (GtkTextBuffer * buffer,gchar * tag_name,gchar * first_property_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_create_tag "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
tag_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) tag_name ,args( 1 ).string_value().c_str());
first_property_name = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) first_property_name ,args( 2 ).string_value().c_str());
varargs_value = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 3 ).string_value().c_str());
long int ret_type= (long int) gtk_text_buffer_create_tag ( buffer,tag_name,first_property_name,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_get_iter_at_line_offset , args , , " void gtk_text_buffer_get_iter_at_line_offset (GtkTextBuffer * buffer,GtkTextIter * iter,gint line_number,gint char_offset); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
gint   line_number ;
gint   char_offset ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_get_iter_at_line_offset (GtkTextBuffer * buffer,GtkTextIter * iter,gint line_number,gint char_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_iter_at_line_offset "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
line_number = (  gint  ) args( 2 ).int_value();
char_offset = (  gint  ) args( 3 ).int_value();
gtk_text_buffer_get_iter_at_line_offset ( buffer,iter,line_number,char_offset);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_iter_at_line_index , args , , " void gtk_text_buffer_get_iter_at_line_index (GtkTextBuffer * buffer,GtkTextIter * iter,gint line_number,gint byte_index); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
gint   line_number ;
gint   byte_index ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_get_iter_at_line_index (GtkTextBuffer * buffer,GtkTextIter * iter,gint line_number,gint byte_index); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_iter_at_line_index "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
line_number = (  gint  ) args( 2 ).int_value();
byte_index = (  gint  ) args( 3 ).int_value();
gtk_text_buffer_get_iter_at_line_index ( buffer,iter,line_number,byte_index);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_iter_at_offset , args , , " void gtk_text_buffer_get_iter_at_offset (GtkTextBuffer * buffer,GtkTextIter * iter,gint char_offset); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
gint   char_offset ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_get_iter_at_offset (GtkTextBuffer * buffer,GtkTextIter * iter,gint char_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_iter_at_offset "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
char_offset = (  gint  ) args( 2 ).int_value();
gtk_text_buffer_get_iter_at_offset ( buffer,iter,char_offset);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_iter_at_line , args , , " void gtk_text_buffer_get_iter_at_line (GtkTextBuffer * buffer,GtkTextIter * iter,gint line_number); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
gint   line_number ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_get_iter_at_line (GtkTextBuffer * buffer,GtkTextIter * iter,gint line_number); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_iter_at_line "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
line_number = (  gint  ) args( 2 ).int_value();
gtk_text_buffer_get_iter_at_line ( buffer,iter,line_number);
return octave_value();
}
/* overriden: gtk_text_buffer_get_start_iter  */
/* overriden: gtk_text_buffer_get_end_iter  */
DEFUN_DLD( gtk_text_buffer_get_bounds , args , , " void gtk_text_buffer_get_bounds (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_get_bounds (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_bounds "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
start =( GtkTextIter * )args( 1 ).long_value();
end =( GtkTextIter * )args( 2 ).long_value();
gtk_text_buffer_get_bounds ( buffer,start,end);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_iter_at_mark , args , , " void gtk_text_buffer_get_iter_at_mark (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextMark * mark); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
GtkTextMark *   mark ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_get_iter_at_mark (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_iter_at_mark "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
mark =( GtkTextMark * )args( 2 ).long_value();
gtk_text_buffer_get_iter_at_mark ( buffer,iter,mark);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_iter_at_child_anchor , args , , " void gtk_text_buffer_get_iter_at_child_anchor (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextChildAnchor * anchor); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   iter ;
GtkTextChildAnchor *   anchor ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_get_iter_at_child_anchor (GtkTextBuffer * buffer,GtkTextIter * iter,GtkTextChildAnchor * anchor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_iter_at_child_anchor "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
anchor =( GtkTextChildAnchor * )args( 2 ).long_value();
gtk_text_buffer_get_iter_at_child_anchor ( buffer,iter,anchor);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_modified , args , , " gboolean gtk_text_buffer_get_modified (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_buffer_get_modified (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_modified "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_buffer_get_modified ( buffer);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_set_modified , args , , " void gtk_text_buffer_set_modified (GtkTextBuffer * buffer,gboolean setting); " )
{
GtkTextBuffer *   buffer ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_buffer_set_modified (GtkTextBuffer * buffer,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_set_modified "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_text_buffer_set_modified ( buffer,setting);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_add_selection_clipboard , args , , " void gtk_text_buffer_add_selection_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard); " )
{
GtkTextBuffer *   buffer ;
GtkClipboard *   clipboard ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_buffer_add_selection_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_add_selection_clipboard "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
clipboard =( GtkClipboard * )args( 1 ).long_value();
gtk_text_buffer_add_selection_clipboard ( buffer,clipboard);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_remove_selection_clipboard , args , , " void gtk_text_buffer_remove_selection_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard); " )
{
GtkTextBuffer *   buffer ;
GtkClipboard *   clipboard ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_buffer_remove_selection_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_remove_selection_clipboard "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
clipboard =( GtkClipboard * )args( 1 ).long_value();
gtk_text_buffer_remove_selection_clipboard ( buffer,clipboard);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_cut_clipboard , args , , " void gtk_text_buffer_cut_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard,gboolean default_editable); " )
{
GtkTextBuffer *   buffer ;
GtkClipboard *   clipboard ;
gboolean   default_editable ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_buffer_cut_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard,gboolean default_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_cut_clipboard "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
clipboard =( GtkClipboard * )args( 1 ).long_value();
default_editable = (  gboolean  ) args( 2 ).long_value();
gtk_text_buffer_cut_clipboard ( buffer,clipboard,default_editable);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_copy_clipboard , args , , " void gtk_text_buffer_copy_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard); " )
{
GtkTextBuffer *   buffer ;
GtkClipboard *   clipboard ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_buffer_copy_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_copy_clipboard "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
clipboard =( GtkClipboard * )args( 1 ).long_value();
gtk_text_buffer_copy_clipboard ( buffer,clipboard);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_paste_clipboard , args , , " void gtk_text_buffer_paste_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard,GtkTextIter * override_location,gboolean default_editable); " )
{
GtkTextBuffer *   buffer ;
GtkClipboard *   clipboard ;
GtkTextIter *   override_location ;
gboolean   default_editable ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_buffer_paste_clipboard (GtkTextBuffer * buffer,GtkClipboard * clipboard,GtkTextIter * override_location,gboolean default_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_paste_clipboard "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
clipboard =( GtkClipboard * )args( 1 ).long_value();
override_location =( GtkTextIter * )args( 2 ).long_value();
default_editable = (  gboolean  ) args( 3 ).long_value();
gtk_text_buffer_paste_clipboard ( buffer,clipboard,override_location,default_editable);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_get_selection_bounds , args , , " gboolean gtk_text_buffer_get_selection_bounds (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextBuffer *   buffer ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_text_buffer_get_selection_bounds (GtkTextBuffer * buffer,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_get_selection_bounds "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
start =( GtkTextIter * )args( 1 ).long_value();
end =( GtkTextIter * )args( 2 ).long_value();
long int ret_type=(long int) gtk_text_buffer_get_selection_bounds ( buffer,start,end);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_delete_selection , args , , " gboolean gtk_text_buffer_delete_selection (GtkTextBuffer * buffer,gboolean interactive,gboolean default_editable); " )
{
GtkTextBuffer *   buffer ;
gboolean   interactive ;
gboolean   default_editable ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_text_buffer_delete_selection (GtkTextBuffer * buffer,gboolean interactive,gboolean default_editable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_delete_selection "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
interactive = (  gboolean  ) args( 1 ).long_value();
default_editable = (  gboolean  ) args( 2 ).long_value();
long int ret_type=(long int) gtk_text_buffer_delete_selection ( buffer,interactive,default_editable);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_buffer_begin_user_action , args , , " void gtk_text_buffer_begin_user_action (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_text_buffer_begin_user_action (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_begin_user_action "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
gtk_text_buffer_begin_user_action ( buffer);
return octave_value();
}
DEFUN_DLD( gtk_text_buffer_end_user_action , args , , " void gtk_text_buffer_end_user_action (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_text_buffer_end_user_action (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_buffer_end_user_action "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
gtk_text_buffer_end_user_action ( buffer);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_child_anchor_get_type , args , , " GType gtk_text_child_anchor_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_child_anchor_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_child_anchor_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_child_anchor_new , args , , " GtkTextChildAnchor* gtk_text_child_anchor_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_child_anchor_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_text_child_anchor_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_child_anchor_get_widgets , args , , " GList* gtk_text_child_anchor_get_widgets (GtkTextChildAnchor * anchor); " )
{
GtkTextChildAnchor *   anchor ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* gtk_text_child_anchor_get_widgets (GtkTextChildAnchor * anchor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_child_anchor_get_widgets "<<std::endl;
#endif /* DEBUG */
anchor =( GtkTextChildAnchor * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_child_anchor_get_widgets ( anchor);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_child_anchor_get_deleted , args , , " gboolean gtk_text_child_anchor_get_deleted (GtkTextChildAnchor * anchor); " )
{
GtkTextChildAnchor *   anchor ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_child_anchor_get_deleted (GtkTextChildAnchor * anchor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_child_anchor_get_deleted "<<std::endl;
#endif /* DEBUG */
anchor =( GtkTextChildAnchor * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_child_anchor_get_deleted ( anchor);
return octave_value(ret_type);
}
/* overriden: gtk_text_layout_draw  */
DEFUN_DLD( gtk_text_iter_get_buffer , args , , " GtkTextBuffer * gtk_text_iter_get_buffer (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextBuffer * gtk_text_iter_get_buffer (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_buffer "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_iter_get_buffer ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_copy , args , , " GtkTextIter * gtk_text_iter_copy (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextIter * gtk_text_iter_copy (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_copy "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_iter_copy ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_free , args , , " void gtk_text_iter_free (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_text_iter_free (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_free "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
gtk_text_iter_free ( iter);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_iter_get_type , args , , " GType gtk_text_iter_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_iter_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_offset , args , , " gint gtk_text_iter_get_offset (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_iter_get_offset (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_offset "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_offset ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_line , args , , " gint gtk_text_iter_get_line (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_iter_get_line (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_line "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_line_offset , args , , " gint gtk_text_iter_get_line_offset (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_iter_get_line_offset (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_line_offset "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_line_offset ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_line_index , args , , " gint gtk_text_iter_get_line_index (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_iter_get_line_index (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_line_index "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_line_index ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_visible_line_offset , args , , " gint gtk_text_iter_get_visible_line_offset (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_iter_get_visible_line_offset (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_visible_line_offset "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_visible_line_offset ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_visible_line_index , args , , " gint gtk_text_iter_get_visible_line_index (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_iter_get_visible_line_index (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_visible_line_index "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_visible_line_index ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_char , args , , " gunichar gtk_text_iter_get_char (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gunichar gtk_text_iter_get_char (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_char "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_char ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_slice , args , , " gchar * gtk_text_iter_get_slice (GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * gtk_text_iter_get_slice (GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_slice "<<std::endl;
#endif /* DEBUG */
start =( GtkTextIter * )args( 0 ).long_value();
end =( GtkTextIter * )args( 1 ).long_value();
string  ret_type( gtk_text_iter_get_slice ( start,end));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_text , args , , " gchar * gtk_text_iter_get_text (GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * gtk_text_iter_get_text (GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_text "<<std::endl;
#endif /* DEBUG */
start =( GtkTextIter * )args( 0 ).long_value();
end =( GtkTextIter * )args( 1 ).long_value();
string  ret_type( gtk_text_iter_get_text ( start,end));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_visible_slice , args , , " gchar * gtk_text_iter_get_visible_slice (GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * gtk_text_iter_get_visible_slice (GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_visible_slice "<<std::endl;
#endif /* DEBUG */
start =( GtkTextIter * )args( 0 ).long_value();
end =( GtkTextIter * )args( 1 ).long_value();
string  ret_type( gtk_text_iter_get_visible_slice ( start,end));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_visible_text , args , , " gchar * gtk_text_iter_get_visible_text (GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * gtk_text_iter_get_visible_text (GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_visible_text "<<std::endl;
#endif /* DEBUG */
start =( GtkTextIter * )args( 0 ).long_value();
end =( GtkTextIter * )args( 1 ).long_value();
string  ret_type( gtk_text_iter_get_visible_text ( start,end));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_pixbuf , args , , " GdkPixbuf* gtk_text_iter_get_pixbuf (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkPixbuf* gtk_text_iter_get_pixbuf (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_pixbuf "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_iter_get_pixbuf ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_marks , args , , " GSList * gtk_text_iter_get_marks (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList * gtk_text_iter_get_marks (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_marks "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_iter_get_marks ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_child_anchor , args , , " GtkTextChildAnchor* gtk_text_iter_get_child_anchor (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextChildAnchor* gtk_text_iter_get_child_anchor (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_child_anchor "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_iter_get_child_anchor ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_toggled_tags , args , , " GSList * gtk_text_iter_get_toggled_tags (GtkTextIter * iter,gboolean toggled_on); " )
{
GtkTextIter *   iter ;
gboolean   toggled_on ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GSList * gtk_text_iter_get_toggled_tags (GtkTextIter * iter,gboolean toggled_on); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_toggled_tags "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
toggled_on = (  gboolean  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_text_iter_get_toggled_tags ( iter,toggled_on);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_begins_tag , args , , " gboolean gtk_text_iter_begins_tag (GtkTextIter * iter,GtkTextTag * tag); " )
{
GtkTextIter *   iter ;
GtkTextTag *   tag ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_begins_tag (GtkTextIter * iter,GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_begins_tag "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_begins_tag ( iter,tag);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_ends_tag , args , , " gboolean gtk_text_iter_ends_tag (GtkTextIter * iter,GtkTextTag * tag); " )
{
GtkTextIter *   iter ;
GtkTextTag *   tag ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_ends_tag (GtkTextIter * iter,GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_ends_tag "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_ends_tag ( iter,tag);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_toggles_tag , args , , " gboolean gtk_text_iter_toggles_tag (GtkTextIter * iter,GtkTextTag * tag); " )
{
GtkTextIter *   iter ;
GtkTextTag *   tag ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_toggles_tag (GtkTextIter * iter,GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_toggles_tag "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_toggles_tag ( iter,tag);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_has_tag , args , , " gboolean gtk_text_iter_has_tag (GtkTextIter * iter,GtkTextTag * tag); " )
{
GtkTextIter *   iter ;
GtkTextTag *   tag ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_has_tag (GtkTextIter * iter,GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_has_tag "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_has_tag ( iter,tag);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_tags , args , , " GSList * gtk_text_iter_get_tags (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GSList * gtk_text_iter_get_tags (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_tags "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_iter_get_tags ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_editable , args , , " gboolean gtk_text_iter_editable (GtkTextIter * iter,gboolean default_setting); " )
{
GtkTextIter *   iter ;
gboolean   default_setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_editable (GtkTextIter * iter,gboolean default_setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_editable "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
default_setting = (  gboolean  ) args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_editable ( iter,default_setting);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_can_insert , args , , " gboolean gtk_text_iter_can_insert (GtkTextIter * iter,gboolean default_editability); " )
{
GtkTextIter *   iter ;
gboolean   default_editability ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_can_insert (GtkTextIter * iter,gboolean default_editability); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_can_insert "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
default_editability = (  gboolean  ) args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_can_insert ( iter,default_editability);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_starts_word , args , , " gboolean gtk_text_iter_starts_word (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_starts_word (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_starts_word "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_starts_word ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_ends_word , args , , " gboolean gtk_text_iter_ends_word (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_ends_word (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_ends_word "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_ends_word ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_inside_word , args , , " gboolean gtk_text_iter_inside_word (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_inside_word (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_inside_word "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_inside_word ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_starts_sentence , args , , " gboolean gtk_text_iter_starts_sentence (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_starts_sentence (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_starts_sentence "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_starts_sentence ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_ends_sentence , args , , " gboolean gtk_text_iter_ends_sentence (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_ends_sentence (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_ends_sentence "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_ends_sentence ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_inside_sentence , args , , " gboolean gtk_text_iter_inside_sentence (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_inside_sentence (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_inside_sentence "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_inside_sentence ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_starts_line , args , , " gboolean gtk_text_iter_starts_line (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_starts_line (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_starts_line "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_starts_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_ends_line , args , , " gboolean gtk_text_iter_ends_line (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_ends_line (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_ends_line "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_ends_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_is_cursor_position , args , , " gboolean gtk_text_iter_is_cursor_position (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_is_cursor_position (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_is_cursor_position "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_is_cursor_position ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_chars_in_line , args , , " gint gtk_text_iter_get_chars_in_line (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_iter_get_chars_in_line (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_chars_in_line "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_chars_in_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_bytes_in_line , args , , " gint gtk_text_iter_get_bytes_in_line (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_iter_get_bytes_in_line (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_bytes_in_line "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_bytes_in_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_attributes , args , , " gboolean gtk_text_iter_get_attributes (GtkTextIter * iter,GtkTextAttributes * values); " )
{
GtkTextIter *   iter ;
GtkTextAttributes *   values ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_get_attributes (GtkTextIter * iter,GtkTextAttributes * values); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_attributes "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
values =( GtkTextAttributes * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_get_attributes ( iter,values);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_get_language , args , , " PangoLanguage* gtk_text_iter_get_language (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoLanguage* gtk_text_iter_get_language (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_get_language "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_iter_get_language ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_is_end , args , , " gboolean gtk_text_iter_is_end (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_is_end (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_is_end "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_is_end ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_is_start , args , , " gboolean gtk_text_iter_is_start (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_is_start (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_is_start "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_is_start ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_char , args , , " gboolean gtk_text_iter_forward_char (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_char (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_char "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_char ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_char , args , , " gboolean gtk_text_iter_backward_char (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_char (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_char "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_backward_char ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_chars , args , , " gboolean gtk_text_iter_forward_chars (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_chars (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_chars "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_forward_chars ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_chars , args , , " gboolean gtk_text_iter_backward_chars (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_chars (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_chars "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_backward_chars ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_line , args , , " gboolean gtk_text_iter_forward_line (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_line (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_line "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_line , args , , " gboolean gtk_text_iter_backward_line (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_line (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_line "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_backward_line ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_lines , args , , " gboolean gtk_text_iter_forward_lines (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_lines (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_lines "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_forward_lines ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_lines , args , , " gboolean gtk_text_iter_backward_lines (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_lines (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_lines "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_backward_lines ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_word_end , args , , " gboolean gtk_text_iter_forward_word_end (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_word_end (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_word_end "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_word_end ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_word_start , args , , " gboolean gtk_text_iter_backward_word_start (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_word_start (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_word_start "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_backward_word_start ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_word_ends , args , , " gboolean gtk_text_iter_forward_word_ends (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_word_ends (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_word_ends "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_forward_word_ends ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_word_starts , args , , " gboolean gtk_text_iter_backward_word_starts (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_word_starts (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_word_starts "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_backward_word_starts ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_sentence_end , args , , " gboolean gtk_text_iter_forward_sentence_end (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_sentence_end (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_sentence_end "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_sentence_end ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_sentence_start , args , , " gboolean gtk_text_iter_backward_sentence_start (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_sentence_start (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_sentence_start "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_backward_sentence_start ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_sentence_ends , args , , " gboolean gtk_text_iter_forward_sentence_ends (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_sentence_ends (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_sentence_ends "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_forward_sentence_ends ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_sentence_starts , args , , " gboolean gtk_text_iter_backward_sentence_starts (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_sentence_starts (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_sentence_starts "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_backward_sentence_starts ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_cursor_position , args , , " gboolean gtk_text_iter_forward_cursor_position (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_cursor_position (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_cursor_position "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_cursor_position ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_cursor_position , args , , " gboolean gtk_text_iter_backward_cursor_position (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_cursor_position (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_cursor_position "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_backward_cursor_position ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_cursor_positions , args , , " gboolean gtk_text_iter_forward_cursor_positions (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_cursor_positions (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_cursor_positions "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_forward_cursor_positions ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_cursor_positions , args , , " gboolean gtk_text_iter_backward_cursor_positions (GtkTextIter * iter,gint count); " )
{
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_cursor_positions (GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_cursor_positions "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
count = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_text_iter_backward_cursor_positions ( iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_set_offset , args , , " void gtk_text_iter_set_offset (GtkTextIter * iter,gint char_offset); " )
{
GtkTextIter *   iter ;
gint   char_offset ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_iter_set_offset (GtkTextIter * iter,gint char_offset); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_set_offset "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
char_offset = (  gint  ) args( 1 ).int_value();
gtk_text_iter_set_offset ( iter,char_offset);
return octave_value();
}
DEFUN_DLD( gtk_text_iter_set_line , args , , " void gtk_text_iter_set_line (GtkTextIter * iter,gint line_number); " )
{
GtkTextIter *   iter ;
gint   line_number ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_iter_set_line (GtkTextIter * iter,gint line_number); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_set_line "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
line_number = (  gint  ) args( 1 ).int_value();
gtk_text_iter_set_line ( iter,line_number);
return octave_value();
}
DEFUN_DLD( gtk_text_iter_set_line_offset , args , , " void gtk_text_iter_set_line_offset (GtkTextIter * iter,gint char_on_line); " )
{
GtkTextIter *   iter ;
gint   char_on_line ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_iter_set_line_offset (GtkTextIter * iter,gint char_on_line); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_set_line_offset "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
char_on_line = (  gint  ) args( 1 ).int_value();
gtk_text_iter_set_line_offset ( iter,char_on_line);
return octave_value();
}
DEFUN_DLD( gtk_text_iter_set_line_index , args , , " void gtk_text_iter_set_line_index (GtkTextIter * iter,gint byte_on_line); " )
{
GtkTextIter *   iter ;
gint   byte_on_line ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_iter_set_line_index (GtkTextIter * iter,gint byte_on_line); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_set_line_index "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
byte_on_line = (  gint  ) args( 1 ).int_value();
gtk_text_iter_set_line_index ( iter,byte_on_line);
return octave_value();
}
DEFUN_DLD( gtk_text_iter_forward_to_end , args , , " void gtk_text_iter_forward_to_end (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_text_iter_forward_to_end (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_to_end "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
gtk_text_iter_forward_to_end ( iter);
return octave_value();
}
DEFUN_DLD( gtk_text_iter_forward_to_line_end , args , , " gboolean gtk_text_iter_forward_to_line_end (GtkTextIter * iter); " )
{
GtkTextIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_to_line_end (GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_to_line_end "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_to_line_end ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_set_visible_line_offset , args , , " void gtk_text_iter_set_visible_line_offset (GtkTextIter * iter,gint char_on_line); " )
{
GtkTextIter *   iter ;
gint   char_on_line ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_iter_set_visible_line_offset (GtkTextIter * iter,gint char_on_line); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_set_visible_line_offset "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
char_on_line = (  gint  ) args( 1 ).int_value();
gtk_text_iter_set_visible_line_offset ( iter,char_on_line);
return octave_value();
}
DEFUN_DLD( gtk_text_iter_set_visible_line_index , args , , " void gtk_text_iter_set_visible_line_index (GtkTextIter * iter,gint byte_on_line); " )
{
GtkTextIter *   iter ;
gint   byte_on_line ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_iter_set_visible_line_index (GtkTextIter * iter,gint byte_on_line); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_set_visible_line_index "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
byte_on_line = (  gint  ) args( 1 ).int_value();
gtk_text_iter_set_visible_line_index ( iter,byte_on_line);
return octave_value();
}
DEFUN_DLD( gtk_text_iter_forward_to_tag_toggle , args , , " gboolean gtk_text_iter_forward_to_tag_toggle (GtkTextIter * iter,GtkTextTag * tag); " )
{
GtkTextIter *   iter ;
GtkTextTag *   tag ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_to_tag_toggle (GtkTextIter * iter,GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_to_tag_toggle "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_to_tag_toggle ( iter,tag);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_to_tag_toggle , args , , " gboolean gtk_text_iter_backward_to_tag_toggle (GtkTextIter * iter,GtkTextTag * tag); " )
{
GtkTextIter *   iter ;
GtkTextTag *   tag ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_to_tag_toggle (GtkTextIter * iter,GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_to_tag_toggle "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_backward_to_tag_toggle ( iter,tag);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_find_char , args , , " gboolean gtk_text_iter_forward_find_char (GtkTextIter * iter,GtkTextCharPredicate pred,gpointer user_data,GtkTextIter * limit); " )
{
GtkTextIter *   iter ;
GtkTextCharPredicate   pred ;
gpointer   user_data ;
GtkTextIter *   limit ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_find_char (GtkTextIter * iter,GtkTextCharPredicate pred,gpointer user_data,GtkTextIter * limit); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_find_char "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
pred = (  GtkTextCharPredicate  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
limit =( GtkTextIter * )args( 3 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_find_char ( iter,pred,user_data,limit);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_find_char , args , , " gboolean gtk_text_iter_backward_find_char (GtkTextIter * iter,GtkTextCharPredicate pred,gpointer user_data,GtkTextIter * limit); " )
{
GtkTextIter *   iter ;
GtkTextCharPredicate   pred ;
gpointer   user_data ;
GtkTextIter *   limit ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_find_char (GtkTextIter * iter,GtkTextCharPredicate pred,gpointer user_data,GtkTextIter * limit); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_find_char "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
pred = (  GtkTextCharPredicate  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
limit =( GtkTextIter * )args( 3 ).long_value();
long int ret_type=(long int) gtk_text_iter_backward_find_char ( iter,pred,user_data,limit);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_forward_search , args , , " gboolean gtk_text_iter_forward_search (GtkTextIter * iter,gchar * str,GtkTextSearchFlags flags,GtkTextIter * match_start,GtkTextIter * match_end,GtkTextIter * limit); " )
{
GtkTextIter *   iter ;
gchar *   str ;
GtkTextSearchFlags   flags ;
GtkTextIter *   match_start ;
GtkTextIter *   match_end ;
GtkTextIter *   limit ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_forward_search (GtkTextIter * iter,gchar * str,GtkTextSearchFlags flags,GtkTextIter * match_start,GtkTextIter * match_end,GtkTextIter * limit); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_forward_search "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
str = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
flags = (  GtkTextSearchFlags  ) args( 2 ).long_value();
match_start =( GtkTextIter * )args( 3 ).long_value();
match_end =( GtkTextIter * )args( 4 ).long_value();
limit =( GtkTextIter * )args( 5 ).long_value();
long int ret_type=(long int) gtk_text_iter_forward_search ( iter,str,flags,match_start,match_end,limit);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_backward_search , args , , " gboolean gtk_text_iter_backward_search (GtkTextIter * iter,gchar * str,GtkTextSearchFlags flags,GtkTextIter * match_start,GtkTextIter * match_end,GtkTextIter * limit); " )
{
GtkTextIter *   iter ;
gchar *   str ;
GtkTextSearchFlags   flags ;
GtkTextIter *   match_start ;
GtkTextIter *   match_end ;
GtkTextIter *   limit ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_backward_search (GtkTextIter * iter,gchar * str,GtkTextSearchFlags flags,GtkTextIter * match_start,GtkTextIter * match_end,GtkTextIter * limit); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_backward_search "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
str = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) str ,args( 1 ).string_value().c_str());
flags = (  GtkTextSearchFlags  ) args( 2 ).long_value();
match_start =( GtkTextIter * )args( 3 ).long_value();
match_end =( GtkTextIter * )args( 4 ).long_value();
limit =( GtkTextIter * )args( 5 ).long_value();
long int ret_type=(long int) gtk_text_iter_backward_search ( iter,str,flags,match_start,match_end,limit);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_equal , args , , " gboolean gtk_text_iter_equal (GtkTextIter * lhs,GtkTextIter * rhs); " )
{
GtkTextIter *   lhs ;
GtkTextIter *   rhs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_equal (GtkTextIter * lhs,GtkTextIter * rhs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_equal "<<std::endl;
#endif /* DEBUG */
lhs =( GtkTextIter * )args( 0 ).long_value();
rhs =( GtkTextIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_equal ( lhs,rhs);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_compare , args , , " gint gtk_text_iter_compare (GtkTextIter * lhs,GtkTextIter * rhs); " )
{
GtkTextIter *   lhs ;
GtkTextIter *   rhs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_text_iter_compare (GtkTextIter * lhs,GtkTextIter * rhs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_compare "<<std::endl;
#endif /* DEBUG */
lhs =( GtkTextIter * )args( 0 ).long_value();
rhs =( GtkTextIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_iter_compare ( lhs,rhs);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_in_range , args , , " gboolean gtk_text_iter_in_range (GtkTextIter * iter,GtkTextIter * start,GtkTextIter * end); " )
{
GtkTextIter *   iter ;
GtkTextIter *   start ;
GtkTextIter *   end ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_text_iter_in_range (GtkTextIter * iter,GtkTextIter * start,GtkTextIter * end); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_in_range "<<std::endl;
#endif /* DEBUG */
iter =( GtkTextIter * )args( 0 ).long_value();
start =( GtkTextIter * )args( 1 ).long_value();
end =( GtkTextIter * )args( 2 ).long_value();
long int ret_type=(long int) gtk_text_iter_in_range ( iter,start,end);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_iter_order , args , , " void gtk_text_iter_order (GtkTextIter * first,GtkTextIter * second); " )
{
GtkTextIter *   first ;
GtkTextIter *   second ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_iter_order (GtkTextIter * first,GtkTextIter * second); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_iter_order "<<std::endl;
#endif /* DEBUG */
first =( GtkTextIter * )args( 0 ).long_value();
second =( GtkTextIter * )args( 1 ).long_value();
gtk_text_iter_order ( first,second);
return octave_value();
}
/* overriden: gtk_text_layout_get_type  */
/* overriden: gtk_text_layout_new  */
/* overriden: gtk_text_layout_set_buffer  */
/* overriden: gtk_text_layout_get_buffer  */
/* overriden: gtk_text_layout_set_default_style  */
/* overriden: gtk_text_layout_set_contexts  */
/* overriden: gtk_text_layout_set_cursor_direction  */
/* overriden: gtk_text_layout_default_style_changed  */
/* overriden: gtk_text_layout_set_screen_width  */
/* overriden: gtk_text_layout_set_preedit_string  */
/* overriden: gtk_text_layout_set_cursor_visible  */
/* overriden: gtk_text_layout_get_cursor_visible  */
/* overriden: gtk_text_layout_get_size  */
/* overriden: gtk_text_layout_get_lines  */
/* overriden: gtk_text_layout_wrap_loop_start  */
/* overriden: gtk_text_layout_wrap_loop_end  */
/* overriden: gtk_text_layout_get_line_display  */
/* overriden: gtk_text_layout_free_line_display  */
/* overriden: gtk_text_layout_get_line_at_y  */
/* overriden: gtk_text_layout_get_iter_at_pixel  */
/* overriden: gtk_text_layout_invalidate  */
/* overriden: gtk_text_layout_free_line_data  */
/* overriden: gtk_text_layout_is_valid  */
/* overriden: gtk_text_layout_validate_yrange  */
/* overriden: gtk_text_layout_validate  */
/* overriden: gtk_text_layout_wrap  */
/* overriden: gtk_text_layout_changed  */
/* overriden: gtk_text_layout_get_iter_location  */
/* overriden: gtk_text_layout_get_line_yrange  */
/* overriden: gtk_text_layout_get_cursor_locations  */
/* overriden: gtk_text_layout_clamp_iter_to_vrange  */
/* overriden: gtk_text_layout_move_iter_to_line_end  */
/* overriden: gtk_text_layout_move_iter_to_previous_line  */
/* overriden: gtk_text_layout_move_iter_to_next_line  */
/* overriden: gtk_text_layout_move_iter_to_x  */
/* overriden: gtk_text_layout_move_iter_visually  */
/* overriden: gtk_text_layout_iter_starts_line  */
/* overriden: gtk_text_layout_get_iter_at_line  */
/* overriden: gtk_text_child_anchor_register_child  */
/* overriden: gtk_text_child_anchor_unregister_child  */
/* overriden: gtk_text_child_anchor_queue_resize  */
/* overriden: gtk_text_anchored_child_set_layout  */
/* overriden: gtk_text_layout_spew  */
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_mark_get_type , args , , " GType gtk_text_mark_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_mark_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_mark_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_mark_set_visible , args , , " void gtk_text_mark_set_visible (GtkTextMark * mark,gboolean setting); " )
{
GtkTextMark *   mark ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_mark_set_visible (GtkTextMark * mark,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_mark_set_visible "<<std::endl;
#endif /* DEBUG */
mark =( GtkTextMark * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_text_mark_set_visible ( mark,setting);
return octave_value();
}
DEFUN_DLD( gtk_text_mark_get_visible , args , , " gboolean gtk_text_mark_get_visible (GtkTextMark * mark); " )
{
GtkTextMark *   mark ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_mark_get_visible (GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_mark_get_visible "<<std::endl;
#endif /* DEBUG */
mark =( GtkTextMark * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_mark_get_visible ( mark);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_mark_get_name , args , , " gchar* gtk_text_mark_get_name (GtkTextMark * mark); " )
{
GtkTextMark *   mark ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_text_mark_get_name (GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_mark_get_name "<<std::endl;
#endif /* DEBUG */
mark =( GtkTextMark * )args( 0 ).long_value();
string  ret_type( gtk_text_mark_get_name ( mark));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_mark_get_deleted , args , , " gboolean gtk_text_mark_get_deleted (GtkTextMark * mark); " )
{
GtkTextMark *   mark ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_mark_get_deleted (GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_mark_get_deleted "<<std::endl;
#endif /* DEBUG */
mark =( GtkTextMark * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_mark_get_deleted ( mark);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_mark_get_buffer , args , , " GtkTextBuffer* gtk_text_mark_get_buffer (GtkTextMark * mark); " )
{
GtkTextMark *   mark ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextBuffer* gtk_text_mark_get_buffer (GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_mark_get_buffer "<<std::endl;
#endif /* DEBUG */
mark =( GtkTextMark * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_mark_get_buffer ( mark);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_mark_get_left_gravity , args , , " gboolean gtk_text_mark_get_left_gravity (GtkTextMark * mark); " )
{
GtkTextMark *   mark ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_mark_get_left_gravity (GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_mark_get_left_gravity "<<std::endl;
#endif /* DEBUG */
mark =( GtkTextMark * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_mark_get_left_gravity ( mark);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_tag_get_type , args , , " GType gtk_text_tag_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_tag_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_tag_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_tag_new , args , , " GtkTextTag * gtk_text_tag_new (gchar * name); " )
{
gchar *   name ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextTag * gtk_text_tag_new (gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_new "<<std::endl;
#endif /* DEBUG */
name = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) name ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_text_tag_new ( name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_tag_get_priority , args , , " gint gtk_text_tag_get_priority (GtkTextTag * tag); " )
{
GtkTextTag *   tag ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_tag_get_priority (GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_get_priority "<<std::endl;
#endif /* DEBUG */
tag =( GtkTextTag * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_tag_get_priority ( tag);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_tag_set_priority , args , , " void gtk_text_tag_set_priority (GtkTextTag * tag,gint priority); " )
{
GtkTextTag *   tag ;
gint   priority ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_tag_set_priority (GtkTextTag * tag,gint priority); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_set_priority "<<std::endl;
#endif /* DEBUG */
tag =( GtkTextTag * )args( 0 ).long_value();
priority = (  gint  ) args( 1 ).int_value();
gtk_text_tag_set_priority ( tag,priority);
return octave_value();
}
DEFUN_DLD( gtk_text_tag_event , args , , " gboolean gtk_text_tag_event (GtkTextTag * tag,GObject * event_object,GdkEvent * event,GtkTextIter * iter); " )
{
GtkTextTag *   tag ;
GObject *   event_object ;
GdkEvent *   event ;
GtkTextIter *   iter ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_text_tag_event (GtkTextTag * tag,GObject * event_object,GdkEvent * event,GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_event "<<std::endl;
#endif /* DEBUG */
tag =( GtkTextTag * )args( 0 ).long_value();
event_object =( GObject * )args( 1 ).long_value();
event =( GdkEvent * )args( 2 ).long_value();
iter =( GtkTextIter * )args( 3 ).long_value();
long int ret_type=(long int) gtk_text_tag_event ( tag,event_object,event,iter);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_attributes_new , args , , " GtkTextAttributes* gtk_text_attributes_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_attributes_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_text_attributes_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_attributes_copy , args , , " GtkTextAttributes* gtk_text_attributes_copy (GtkTextAttributes * src); " )
{
GtkTextAttributes *   src ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextAttributes* gtk_text_attributes_copy (GtkTextAttributes * src); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_attributes_copy "<<std::endl;
#endif /* DEBUG */
src =( GtkTextAttributes * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_attributes_copy ( src);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_attributes_copy_values , args , , " void gtk_text_attributes_copy_values (GtkTextAttributes * src,GtkTextAttributes * dest); " )
{
GtkTextAttributes *   src ;
GtkTextAttributes *   dest ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_attributes_copy_values (GtkTextAttributes * src,GtkTextAttributes * dest); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_attributes_copy_values "<<std::endl;
#endif /* DEBUG */
src =( GtkTextAttributes * )args( 0 ).long_value();
dest =( GtkTextAttributes * )args( 1 ).long_value();
gtk_text_attributes_copy_values ( src,dest);
return octave_value();
}
DEFUN_DLD( gtk_text_attributes_unref , args , , " void gtk_text_attributes_unref (GtkTextAttributes * values); " )
{
GtkTextAttributes *   values ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_text_attributes_unref (GtkTextAttributes * values); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_attributes_unref "<<std::endl;
#endif /* DEBUG */
values =( GtkTextAttributes * )args( 0 ).long_value();
gtk_text_attributes_unref ( values);
return octave_value();
}
DEFUN_DLD( gtk_text_attributes_ref , args , , " void gtk_text_attributes_ref (GtkTextAttributes * values); " )
{
GtkTextAttributes *   values ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_text_attributes_ref (GtkTextAttributes * values); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_attributes_ref "<<std::endl;
#endif /* DEBUG */
values =( GtkTextAttributes * )args( 0 ).long_value();
gtk_text_attributes_ref ( values);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_attributes_get_type , args , , " GType gtk_text_attributes_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_attributes_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_attributes_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_tag_table_get_type , args , , " GType gtk_text_tag_table_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_tag_table_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_tag_table_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_tag_table_new , args , , " GtkTextTagTable * gtk_text_tag_table_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_tag_table_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_text_tag_table_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_tag_table_add , args , , " void gtk_text_tag_table_add (GtkTextTagTable * table,GtkTextTag * tag); " )
{
GtkTextTagTable *   table ;
GtkTextTag *   tag ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_tag_table_add (GtkTextTagTable * table,GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_table_add "<<std::endl;
#endif /* DEBUG */
table =( GtkTextTagTable * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
gtk_text_tag_table_add ( table,tag);
return octave_value();
}
DEFUN_DLD( gtk_text_tag_table_remove , args , , " void gtk_text_tag_table_remove (GtkTextTagTable * table,GtkTextTag * tag); " )
{
GtkTextTagTable *   table ;
GtkTextTag *   tag ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_tag_table_remove (GtkTextTagTable * table,GtkTextTag * tag); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_table_remove "<<std::endl;
#endif /* DEBUG */
table =( GtkTextTagTable * )args( 0 ).long_value();
tag =( GtkTextTag * )args( 1 ).long_value();
gtk_text_tag_table_remove ( table,tag);
return octave_value();
}
DEFUN_DLD( gtk_text_tag_table_lookup , args , , " GtkTextTag * gtk_text_tag_table_lookup (GtkTextTagTable * table,gchar * name); " )
{
GtkTextTagTable *   table ;
gchar *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTextTag * gtk_text_tag_table_lookup (GtkTextTagTable * table,gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_table_lookup "<<std::endl;
#endif /* DEBUG */
table =( GtkTextTagTable * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_text_tag_table_lookup ( table,name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_tag_table_foreach , args , , " void gtk_text_tag_table_foreach (GtkTextTagTable * table,GtkTextTagTableForeach func,gpointer data); " )
{
GtkTextTagTable *   table ;
GtkTextTagTableForeach   func ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_tag_table_foreach (GtkTextTagTable * table,GtkTextTagTableForeach func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_table_foreach "<<std::endl;
#endif /* DEBUG */
table =( GtkTextTagTable * )args( 0 ).long_value();
func = (  GtkTextTagTableForeach  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gtk_text_tag_table_foreach ( table,func,data);
return octave_value();
}
DEFUN_DLD( gtk_text_tag_table_get_size , args , , " gint gtk_text_tag_table_get_size (GtkTextTagTable * table); " )
{
GtkTextTagTable *   table ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_tag_table_get_size (GtkTextTagTable * table); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_tag_table_get_size "<<std::endl;
#endif /* DEBUG */
table =( GtkTextTagTable * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_tag_table_get_size ( table);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_view_get_type , args , , " GType gtk_text_view_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_view_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_view_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_view_new , args , , " GtkWidget * gtk_text_view_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_view_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_text_view_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_new_with_buffer , args , , " GtkWidget * gtk_text_view_new_with_buffer (GtkTextBuffer * buffer); " )
{
GtkTextBuffer *   buffer ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget * gtk_text_view_new_with_buffer (GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_new_with_buffer "<<std::endl;
#endif /* DEBUG */
buffer =( GtkTextBuffer * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_view_new_with_buffer ( buffer);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_buffer , args , , " void gtk_text_view_set_buffer (GtkTextView * text_view,GtkTextBuffer * buffer); " )
{
GtkTextView *   text_view ;
GtkTextBuffer *   buffer ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_buffer (GtkTextView * text_view,GtkTextBuffer * buffer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_buffer "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
buffer =( GtkTextBuffer * )args( 1 ).long_value();
gtk_text_view_set_buffer ( text_view,buffer);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_buffer , args , , " GtkTextBuffer * gtk_text_view_get_buffer (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextBuffer * gtk_text_view_get_buffer (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_buffer "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_view_get_buffer ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_scroll_to_iter , args , , " gboolean gtk_text_view_scroll_to_iter (GtkTextView * text_view,GtkTextIter * iter,gdouble within_margin,gboolean use_align,gdouble xalign,gdouble yalign); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
gdouble   within_margin ;
gboolean   use_align ;
gdouble   xalign ;
gdouble   yalign ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_scroll_to_iter (GtkTextView * text_view,GtkTextIter * iter,gdouble within_margin,gboolean use_align,gdouble xalign,gdouble yalign); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_scroll_to_iter "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
within_margin = (  gdouble  ) args( 2 ).double_value();
use_align = (  gboolean  ) args( 3 ).long_value();
xalign = (  gdouble  ) args( 4 ).double_value();
yalign = (  gdouble  ) args( 5 ).double_value();
long int ret_type=(long int) gtk_text_view_scroll_to_iter ( text_view,iter,within_margin,use_align,xalign,yalign);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_scroll_to_mark , args , , " void gtk_text_view_scroll_to_mark (GtkTextView * text_view,GtkTextMark * mark,gdouble within_margin,gboolean use_align,gdouble xalign,gdouble yalign); " )
{
GtkTextView *   text_view ;
GtkTextMark *   mark ;
gdouble   within_margin ;
gboolean   use_align ;
gdouble   xalign ;
gdouble   yalign ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_text_view_scroll_to_mark (GtkTextView * text_view,GtkTextMark * mark,gdouble within_margin,gboolean use_align,gdouble xalign,gdouble yalign); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_scroll_to_mark "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
mark =( GtkTextMark * )args( 1 ).long_value();
within_margin = (  gdouble  ) args( 2 ).double_value();
use_align = (  gboolean  ) args( 3 ).long_value();
xalign = (  gdouble  ) args( 4 ).double_value();
yalign = (  gdouble  ) args( 5 ).double_value();
gtk_text_view_scroll_to_mark ( text_view,mark,within_margin,use_align,xalign,yalign);
return octave_value();
}
DEFUN_DLD( gtk_text_view_scroll_mark_onscreen , args , , " void gtk_text_view_scroll_mark_onscreen (GtkTextView * text_view,GtkTextMark * mark); " )
{
GtkTextView *   text_view ;
GtkTextMark *   mark ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_scroll_mark_onscreen (GtkTextView * text_view,GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_scroll_mark_onscreen "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
mark =( GtkTextMark * )args( 1 ).long_value();
gtk_text_view_scroll_mark_onscreen ( text_view,mark);
return octave_value();
}
DEFUN_DLD( gtk_text_view_move_mark_onscreen , args , , " gboolean gtk_text_view_move_mark_onscreen (GtkTextView * text_view,GtkTextMark * mark); " )
{
GtkTextView *   text_view ;
GtkTextMark *   mark ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_move_mark_onscreen (GtkTextView * text_view,GtkTextMark * mark); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_move_mark_onscreen "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
mark =( GtkTextMark * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_view_move_mark_onscreen ( text_view,mark);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_place_cursor_onscreen , args , , " gboolean gtk_text_view_place_cursor_onscreen (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_place_cursor_onscreen (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_place_cursor_onscreen "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_place_cursor_onscreen ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_get_visible_rect , args , , " void gtk_text_view_get_visible_rect (GtkTextView * text_view,GdkRectangle * visible_rect); " )
{
GtkTextView *   text_view ;
GdkRectangle *   visible_rect ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_get_visible_rect (GtkTextView * text_view,GdkRectangle * visible_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_visible_rect "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
visible_rect =( GdkRectangle * )args( 1 ).long_value();
gtk_text_view_get_visible_rect ( text_view,visible_rect);
return octave_value();
}
DEFUN_DLD( gtk_text_view_set_cursor_visible , args , , " void gtk_text_view_set_cursor_visible (GtkTextView * text_view,gboolean setting); " )
{
GtkTextView *   text_view ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_cursor_visible (GtkTextView * text_view,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_cursor_visible "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_text_view_set_cursor_visible ( text_view,setting);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_cursor_visible , args , , " gboolean gtk_text_view_get_cursor_visible (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_get_cursor_visible (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_cursor_visible "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_cursor_visible ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_get_iter_location , args , , " void gtk_text_view_get_iter_location (GtkTextView * text_view,GtkTextIter * iter,GdkRectangle * location); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
GdkRectangle *   location ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_view_get_iter_location (GtkTextView * text_view,GtkTextIter * iter,GdkRectangle * location); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_iter_location "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
location =( GdkRectangle * )args( 2 ).long_value();
gtk_text_view_get_iter_location ( text_view,iter,location);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_iter_at_location , args , , " void gtk_text_view_get_iter_at_location (GtkTextView * text_view,GtkTextIter * iter,gint x,gint y); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
gint   x ;
gint   y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_view_get_iter_at_location (GtkTextView * text_view,GtkTextIter * iter,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_iter_at_location "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
x = (  gint  ) args( 2 ).int_value();
y = (  gint  ) args( 3 ).int_value();
gtk_text_view_get_iter_at_location ( text_view,iter,x,y);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_line_yrange , args , , " void gtk_text_view_get_line_yrange (GtkTextView * text_view,GtkTextIter * iter,gint * y,gint * height); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
gint *   y ;
gint *   height ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_view_get_line_yrange (GtkTextView * text_view,GtkTextIter * iter,gint * y,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_line_yrange "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
height =( gint * )args( 3 ).long_value();
gtk_text_view_get_line_yrange ( text_view,iter,y,height);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_line_at_y , args , , " void gtk_text_view_get_line_at_y (GtkTextView * text_view,GtkTextIter * target_iter,gint y,gint * line_top); " )
{
GtkTextView *   text_view ;
GtkTextIter *   target_iter ;
gint   y ;
gint *   line_top ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_view_get_line_at_y (GtkTextView * text_view,GtkTextIter * target_iter,gint y,gint * line_top); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_line_at_y "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
target_iter =( GtkTextIter * )args( 1 ).long_value();
y = (  gint  ) args( 2 ).int_value();
line_top =( gint * )args( 3 ).long_value();
gtk_text_view_get_line_at_y ( text_view,target_iter,y,line_top);
return octave_value();
}
DEFUN_DLD( gtk_text_view_buffer_to_window_coords , args , , " void gtk_text_view_buffer_to_window_coords (GtkTextView * text_view,GtkTextWindowType win,gint buffer_x,gint buffer_y,gint * window_x,gint * window_y); " )
{
GtkTextView *   text_view ;
GtkTextWindowType   win ;
gint   buffer_x ;
gint   buffer_y ;
gint *   window_x ;
gint *   window_y ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_text_view_buffer_to_window_coords (GtkTextView * text_view,GtkTextWindowType win,gint buffer_x,gint buffer_y,gint * window_x,gint * window_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_buffer_to_window_coords "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
win = (  GtkTextWindowType  ) args( 1 ).long_value();
buffer_x = (  gint  ) args( 2 ).int_value();
buffer_y = (  gint  ) args( 3 ).int_value();
window_x =( gint * )args( 4 ).long_value();
window_y =( gint * )args( 5 ).long_value();
gtk_text_view_buffer_to_window_coords ( text_view,win,buffer_x,buffer_y,window_x,window_y);
return octave_value();
}
DEFUN_DLD( gtk_text_view_window_to_buffer_coords , args , , " void gtk_text_view_window_to_buffer_coords (GtkTextView * text_view,GtkTextWindowType win,gint window_x,gint window_y,gint * buffer_x,gint * buffer_y); " )
{
GtkTextView *   text_view ;
GtkTextWindowType   win ;
gint   window_x ;
gint   window_y ;
gint *   buffer_x ;
gint *   buffer_y ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_text_view_window_to_buffer_coords (GtkTextView * text_view,GtkTextWindowType win,gint window_x,gint window_y,gint * buffer_x,gint * buffer_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_window_to_buffer_coords "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
win = (  GtkTextWindowType  ) args( 1 ).long_value();
window_x = (  gint  ) args( 2 ).int_value();
window_y = (  gint  ) args( 3 ).int_value();
buffer_x =( gint * )args( 4 ).long_value();
buffer_y =( gint * )args( 5 ).long_value();
gtk_text_view_window_to_buffer_coords ( text_view,win,window_x,window_y,buffer_x,buffer_y);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_window , args , , " GdkWindow* gtk_text_view_get_window (GtkTextView * text_view,GtkTextWindowType win); " )
{
GtkTextView *   text_view ;
GtkTextWindowType   win ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkWindow* gtk_text_view_get_window (GtkTextView * text_view,GtkTextWindowType win); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_window "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
win = (  GtkTextWindowType  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_text_view_get_window ( text_view,win);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_get_window_type , args , , " GtkTextWindowType gtk_text_view_get_window_type (GtkTextView * text_view,GdkWindow * window); " )
{
GtkTextView *   text_view ;
GdkWindow *   window ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTextWindowType gtk_text_view_get_window_type (GtkTextView * text_view,GdkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_window_type "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
window =( GdkWindow * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_view_get_window_type ( text_view,window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_border_window_size , args , , " void gtk_text_view_set_border_window_size (GtkTextView * text_view,GtkTextWindowType type,gint size); " )
{
GtkTextView *   text_view ;
GtkTextWindowType   type ;
gint   size ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_view_set_border_window_size (GtkTextView * text_view,GtkTextWindowType type,gint size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_border_window_size "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
type = (  GtkTextWindowType  ) args( 1 ).long_value();
size = (  gint  ) args( 2 ).int_value();
gtk_text_view_set_border_window_size ( text_view,type,size);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_border_window_size , args , , " gint gtk_text_view_get_border_window_size (GtkTextView * text_view,GtkTextWindowType type); " )
{
GtkTextView *   text_view ;
GtkTextWindowType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_text_view_get_border_window_size (GtkTextView * text_view,GtkTextWindowType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_border_window_size "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
type = (  GtkTextWindowType  ) args( 1 ).long_value();
long int ret_type=(long int) gtk_text_view_get_border_window_size ( text_view,type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_forward_display_line , args , , " gboolean gtk_text_view_forward_display_line (GtkTextView * text_view,GtkTextIter * iter); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_forward_display_line (GtkTextView * text_view,GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_forward_display_line "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_view_forward_display_line ( text_view,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_backward_display_line , args , , " gboolean gtk_text_view_backward_display_line (GtkTextView * text_view,GtkTextIter * iter); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_backward_display_line (GtkTextView * text_view,GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_backward_display_line "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_view_backward_display_line ( text_view,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_forward_display_line_end , args , , " gboolean gtk_text_view_forward_display_line_end (GtkTextView * text_view,GtkTextIter * iter); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_forward_display_line_end (GtkTextView * text_view,GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_forward_display_line_end "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_view_forward_display_line_end ( text_view,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_backward_display_line_start , args , , " gboolean gtk_text_view_backward_display_line_start (GtkTextView * text_view,GtkTextIter * iter); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_backward_display_line_start (GtkTextView * text_view,GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_backward_display_line_start "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_view_backward_display_line_start ( text_view,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_starts_display_line , args , , " gboolean gtk_text_view_starts_display_line (GtkTextView * text_view,GtkTextIter * iter); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_starts_display_line (GtkTextView * text_view,GtkTextIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_starts_display_line "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_text_view_starts_display_line ( text_view,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_move_visually , args , , " gboolean gtk_text_view_move_visually (GtkTextView * text_view,GtkTextIter * iter,gint count); " )
{
GtkTextView *   text_view ;
GtkTextIter *   iter ;
gint   count ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_move_visually (GtkTextView * text_view,GtkTextIter * iter,gint count); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_move_visually "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
iter =( GtkTextIter * )args( 1 ).long_value();
count = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_text_view_move_visually ( text_view,iter,count);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_add_child_at_anchor , args , , " void gtk_text_view_add_child_at_anchor (GtkTextView * text_view,GtkWidget * child,GtkTextChildAnchor * anchor); " )
{
GtkTextView *   text_view ;
GtkWidget *   child ;
GtkTextChildAnchor *   anchor ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_text_view_add_child_at_anchor (GtkTextView * text_view,GtkWidget * child,GtkTextChildAnchor * anchor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_add_child_at_anchor "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
anchor =( GtkTextChildAnchor * )args( 2 ).long_value();
gtk_text_view_add_child_at_anchor ( text_view,child,anchor);
return octave_value();
}
DEFUN_DLD( gtk_text_view_add_child_in_window , args , , " void gtk_text_view_add_child_in_window (GtkTextView * text_view,GtkWidget * child,GtkTextWindowType which_window,gint xpos,gint ypos); " )
{
GtkTextView *   text_view ;
GtkWidget *   child ;
GtkTextWindowType   which_window ;
gint   xpos ;
gint   ypos ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_text_view_add_child_in_window (GtkTextView * text_view,GtkWidget * child,GtkTextWindowType which_window,gint xpos,gint ypos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_add_child_in_window "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
which_window = (  GtkTextWindowType  ) args( 2 ).long_value();
xpos = (  gint  ) args( 3 ).int_value();
ypos = (  gint  ) args( 4 ).int_value();
gtk_text_view_add_child_in_window ( text_view,child,which_window,xpos,ypos);
return octave_value();
}
DEFUN_DLD( gtk_text_view_move_child , args , , " void gtk_text_view_move_child (GtkTextView * text_view,GtkWidget * child,gint xpos,gint ypos); " )
{
GtkTextView *   text_view ;
GtkWidget *   child ;
gint   xpos ;
gint   ypos ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_text_view_move_child (GtkTextView * text_view,GtkWidget * child,gint xpos,gint ypos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_move_child "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
child =( GtkWidget * )args( 1 ).long_value();
xpos = (  gint  ) args( 2 ).int_value();
ypos = (  gint  ) args( 3 ).int_value();
gtk_text_view_move_child ( text_view,child,xpos,ypos);
return octave_value();
}
DEFUN_DLD( gtk_text_view_set_wrap_mode , args , , " void gtk_text_view_set_wrap_mode (GtkTextView * text_view,GtkWrapMode wrap_mode); " )
{
GtkTextView *   text_view ;
GtkWrapMode   wrap_mode ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_wrap_mode (GtkTextView * text_view,GtkWrapMode wrap_mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_wrap_mode "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
wrap_mode = (  GtkWrapMode  ) args( 1 ).long_value();
gtk_text_view_set_wrap_mode ( text_view,wrap_mode);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_wrap_mode , args , , " GtkWrapMode gtk_text_view_get_wrap_mode (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWrapMode gtk_text_view_get_wrap_mode (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_wrap_mode "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_wrap_mode ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_editable , args , , " void gtk_text_view_set_editable (GtkTextView * text_view,gboolean setting); " )
{
GtkTextView *   text_view ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_editable (GtkTextView * text_view,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_editable "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_text_view_set_editable ( text_view,setting);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_editable , args , , " gboolean gtk_text_view_get_editable (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_text_view_get_editable (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_editable "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_editable ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_pixels_above_lines , args , , " void gtk_text_view_set_pixels_above_lines (GtkTextView * text_view,gint pixels_above_lines); " )
{
GtkTextView *   text_view ;
gint   pixels_above_lines ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_pixels_above_lines (GtkTextView * text_view,gint pixels_above_lines); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_pixels_above_lines "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
pixels_above_lines = (  gint  ) args( 1 ).int_value();
gtk_text_view_set_pixels_above_lines ( text_view,pixels_above_lines);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_pixels_above_lines , args , , " gint gtk_text_view_get_pixels_above_lines (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_view_get_pixels_above_lines (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_pixels_above_lines "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_pixels_above_lines ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_pixels_below_lines , args , , " void gtk_text_view_set_pixels_below_lines (GtkTextView * text_view,gint pixels_below_lines); " )
{
GtkTextView *   text_view ;
gint   pixels_below_lines ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_pixels_below_lines (GtkTextView * text_view,gint pixels_below_lines); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_pixels_below_lines "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
pixels_below_lines = (  gint  ) args( 1 ).int_value();
gtk_text_view_set_pixels_below_lines ( text_view,pixels_below_lines);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_pixels_below_lines , args , , " gint gtk_text_view_get_pixels_below_lines (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_view_get_pixels_below_lines (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_pixels_below_lines "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_pixels_below_lines ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_pixels_inside_wrap , args , , " void gtk_text_view_set_pixels_inside_wrap (GtkTextView * text_view,gint pixels_inside_wrap); " )
{
GtkTextView *   text_view ;
gint   pixels_inside_wrap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_pixels_inside_wrap (GtkTextView * text_view,gint pixels_inside_wrap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_pixels_inside_wrap "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
pixels_inside_wrap = (  gint  ) args( 1 ).int_value();
gtk_text_view_set_pixels_inside_wrap ( text_view,pixels_inside_wrap);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_pixels_inside_wrap , args , , " gint gtk_text_view_get_pixels_inside_wrap (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_view_get_pixels_inside_wrap (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_pixels_inside_wrap "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_pixels_inside_wrap ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_justification , args , , " void gtk_text_view_set_justification (GtkTextView * text_view,GtkJustification justification); " )
{
GtkTextView *   text_view ;
GtkJustification   justification ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_justification (GtkTextView * text_view,GtkJustification justification); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_justification "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
justification = (  GtkJustification  ) args( 1 ).long_value();
gtk_text_view_set_justification ( text_view,justification);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_justification , args , , " GtkJustification gtk_text_view_get_justification (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkJustification gtk_text_view_get_justification (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_justification "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_justification ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_left_margin , args , , " void gtk_text_view_set_left_margin (GtkTextView * text_view,gint left_margin); " )
{
GtkTextView *   text_view ;
gint   left_margin ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_left_margin (GtkTextView * text_view,gint left_margin); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_left_margin "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
left_margin = (  gint  ) args( 1 ).int_value();
gtk_text_view_set_left_margin ( text_view,left_margin);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_left_margin , args , , " gint gtk_text_view_get_left_margin (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_view_get_left_margin (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_left_margin "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_left_margin ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_right_margin , args , , " void gtk_text_view_set_right_margin (GtkTextView * text_view,gint right_margin); " )
{
GtkTextView *   text_view ;
gint   right_margin ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_right_margin (GtkTextView * text_view,gint right_margin); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_right_margin "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
right_margin = (  gint  ) args( 1 ).int_value();
gtk_text_view_set_right_margin ( text_view,right_margin);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_right_margin , args , , " gint gtk_text_view_get_right_margin (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_view_get_right_margin (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_right_margin "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_right_margin ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_indent , args , , " void gtk_text_view_set_indent (GtkTextView * text_view,gint indent); " )
{
GtkTextView *   text_view ;
gint   indent ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_indent (GtkTextView * text_view,gint indent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_indent "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
indent = (  gint  ) args( 1 ).int_value();
gtk_text_view_set_indent ( text_view,indent);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_indent , args , , " gint gtk_text_view_get_indent (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_text_view_get_indent (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_indent "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_text_view_get_indent ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_set_tabs , args , , " void gtk_text_view_set_tabs (GtkTextView * text_view,PangoTabArray * tabs); " )
{
GtkTextView *   text_view ;
PangoTabArray *   tabs ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_text_view_set_tabs (GtkTextView * text_view,PangoTabArray * tabs); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_set_tabs "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
tabs =( PangoTabArray * )args( 1 ).long_value();
gtk_text_view_set_tabs ( text_view,tabs);
return octave_value();
}
DEFUN_DLD( gtk_text_view_get_tabs , args , , " PangoTabArray* gtk_text_view_get_tabs (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoTabArray* gtk_text_view_get_tabs (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_tabs "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_view_get_tabs ( text_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_text_view_get_default_attributes , args , , " GtkTextAttributes* gtk_text_view_get_default_attributes (GtkTextView * text_view); " )
{
GtkTextView *   text_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextAttributes* gtk_text_view_get_default_attributes (GtkTextView * text_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_text_view_get_default_attributes "<<std::endl;
#endif /* DEBUG */
text_view =( GtkTextView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_text_view_get_default_attributes ( text_view);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tips_query_get_type , args , , " GtkType gtk_tips_query_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tips_query_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tips_query_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tips_query_new , args , , " GtkWidget* gtk_tips_query_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tips_query_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_tips_query_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tips_query_start_query , args , , " void gtk_tips_query_start_query (GtkTipsQuery * tips_query); " )
{
GtkTipsQuery *   tips_query ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tips_query_start_query (GtkTipsQuery * tips_query); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tips_query_start_query "<<std::endl;
#endif /* DEBUG */
tips_query =( GtkTipsQuery * )args( 0 ).long_value();
gtk_tips_query_start_query ( tips_query);
return octave_value();
}
DEFUN_DLD( gtk_tips_query_stop_query , args , , " void gtk_tips_query_stop_query (GtkTipsQuery * tips_query); " )
{
GtkTipsQuery *   tips_query ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tips_query_stop_query (GtkTipsQuery * tips_query); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tips_query_stop_query "<<std::endl;
#endif /* DEBUG */
tips_query =( GtkTipsQuery * )args( 0 ).long_value();
gtk_tips_query_stop_query ( tips_query);
return octave_value();
}
DEFUN_DLD( gtk_tips_query_set_caller , args , , " void gtk_tips_query_set_caller (GtkTipsQuery * tips_query,GtkWidget * caller); " )
{
GtkTipsQuery *   tips_query ;
GtkWidget *   caller ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tips_query_set_caller (GtkTipsQuery * tips_query,GtkWidget * caller); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tips_query_set_caller "<<std::endl;
#endif /* DEBUG */
tips_query =( GtkTipsQuery * )args( 0 ).long_value();
caller =( GtkWidget * )args( 1 ).long_value();
gtk_tips_query_set_caller ( tips_query,caller);
return octave_value();
}
DEFUN_DLD( gtk_tips_query_set_labels , args , , " void gtk_tips_query_set_labels (GtkTipsQuery * tips_query,gchar * label_inactive,gchar * label_no_tip); " )
{
GtkTipsQuery *   tips_query ;
gchar *   label_inactive ;
gchar *   label_no_tip ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tips_query_set_labels (GtkTipsQuery * tips_query,gchar * label_inactive,gchar * label_no_tip); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tips_query_set_labels "<<std::endl;
#endif /* DEBUG */
tips_query =( GtkTipsQuery * )args( 0 ).long_value();
label_inactive = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) label_inactive ,args( 1 ).string_value().c_str());
label_no_tip = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) label_no_tip ,args( 2 ).string_value().c_str());
gtk_tips_query_set_labels ( tips_query,label_inactive,label_no_tip);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_toggle_button_get_type , args , , " GType gtk_toggle_button_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_toggle_button_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_toggle_button_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_toggle_button_new , args , , " GtkWidget* gtk_toggle_button_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_toggle_button_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_toggle_button_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toggle_button_new_with_label , args , , " GtkWidget* gtk_toggle_button_new_with_label (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_toggle_button_new_with_label (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_new_with_label "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_toggle_button_new_with_label ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toggle_button_new_with_mnemonic , args , , " GtkWidget* gtk_toggle_button_new_with_mnemonic (gchar * label); " )
{
gchar *   label ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_toggle_button_new_with_mnemonic (gchar * label); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_new_with_mnemonic "<<std::endl;
#endif /* DEBUG */
label = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) label ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_toggle_button_new_with_mnemonic ( label);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toggle_button_set_mode , args , , " void gtk_toggle_button_set_mode (GtkToggleButton * toggle_button,gboolean draw_indicator); " )
{
GtkToggleButton *   toggle_button ;
gboolean   draw_indicator ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toggle_button_set_mode (GtkToggleButton * toggle_button,gboolean draw_indicator); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_set_mode "<<std::endl;
#endif /* DEBUG */
toggle_button =( GtkToggleButton * )args( 0 ).long_value();
draw_indicator = (  gboolean  ) args( 1 ).long_value();
gtk_toggle_button_set_mode ( toggle_button,draw_indicator);
return octave_value();
}
DEFUN_DLD( gtk_toggle_button_get_mode , args , , " gboolean gtk_toggle_button_get_mode (GtkToggleButton * toggle_button); " )
{
GtkToggleButton *   toggle_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_toggle_button_get_mode (GtkToggleButton * toggle_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_get_mode "<<std::endl;
#endif /* DEBUG */
toggle_button =( GtkToggleButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_toggle_button_get_mode ( toggle_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toggle_button_set_active , args , , " void gtk_toggle_button_set_active (GtkToggleButton * toggle_button,gboolean is_active); " )
{
GtkToggleButton *   toggle_button ;
gboolean   is_active ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toggle_button_set_active (GtkToggleButton * toggle_button,gboolean is_active); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_set_active "<<std::endl;
#endif /* DEBUG */
toggle_button =( GtkToggleButton * )args( 0 ).long_value();
is_active = (  gboolean  ) args( 1 ).long_value();
gtk_toggle_button_set_active ( toggle_button,is_active);
return octave_value();
}
DEFUN_DLD( gtk_toggle_button_get_active , args , , " gboolean gtk_toggle_button_get_active (GtkToggleButton * toggle_button); " )
{
GtkToggleButton *   toggle_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_toggle_button_get_active (GtkToggleButton * toggle_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_get_active "<<std::endl;
#endif /* DEBUG */
toggle_button =( GtkToggleButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_toggle_button_get_active ( toggle_button);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toggle_button_toggled , args , , " void gtk_toggle_button_toggled (GtkToggleButton * toggle_button); " )
{
GtkToggleButton *   toggle_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_toggle_button_toggled (GtkToggleButton * toggle_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_toggled "<<std::endl;
#endif /* DEBUG */
toggle_button =( GtkToggleButton * )args( 0 ).long_value();
gtk_toggle_button_toggled ( toggle_button);
return octave_value();
}
DEFUN_DLD( gtk_toggle_button_set_inconsistent , args , , " void gtk_toggle_button_set_inconsistent (GtkToggleButton * toggle_button,gboolean setting); " )
{
GtkToggleButton *   toggle_button ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toggle_button_set_inconsistent (GtkToggleButton * toggle_button,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_set_inconsistent "<<std::endl;
#endif /* DEBUG */
toggle_button =( GtkToggleButton * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_toggle_button_set_inconsistent ( toggle_button,setting);
return octave_value();
}
DEFUN_DLD( gtk_toggle_button_get_inconsistent , args , , " gboolean gtk_toggle_button_get_inconsistent (GtkToggleButton * toggle_button); " )
{
GtkToggleButton *   toggle_button ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_toggle_button_get_inconsistent (GtkToggleButton * toggle_button); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toggle_button_get_inconsistent "<<std::endl;
#endif /* DEBUG */
toggle_button =( GtkToggleButton * )args( 0 ).long_value();
long int ret_type=(long int) gtk_toggle_button_get_inconsistent ( toggle_button);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_toolbar_get_type , args , , " GType gtk_toolbar_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_toolbar_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_toolbar_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_toolbar_new , args , , " GtkWidget* gtk_toolbar_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_toolbar_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_toolbar_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toolbar_append_item , args , , " GtkWidget* gtk_toolbar_append_item (GtkToolbar * toolbar,char * text,char * tooltip_text,char * tooltip_private_text,GtkWidget * icon,GtkSignalFunc callback,gpointer user_data); " )
{
GtkToolbar *   toolbar ;
char *   text ;
char *   tooltip_text ;
char *   tooltip_private_text ;
GtkWidget *   icon ;
string   callback ; 
gpointer   user_data ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  GtkWidget* gtk_toolbar_append_item (GtkToolbar * toolbar,char * text,char * tooltip_text,char * tooltip_private_text,GtkWidget * icon,GtkSignalFunc callback,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_append_item "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
tooltip_text = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) tooltip_text ,args( 2 ).string_value().c_str());
tooltip_private_text = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) tooltip_private_text ,args( 3 ).string_value().c_str());
icon =( GtkWidget * )args( 4 ).long_value();
string callback_fcn =args( 5 ).string_value();
g_object_set_data(G_OBJECT( toolbar ), text,(void *)callback_fcn.c_str());

user_data =( gpointer )args( 6 ).long_value();
long int ret_type= (long int) gtk_toolbar_append_item ( toolbar,text,tooltip_text,tooltip_private_text,icon,octave_gtk_signal_function,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toolbar_prepend_item , args , , " GtkWidget* gtk_toolbar_prepend_item (GtkToolbar * toolbar,char * text,char * tooltip_text,char * tooltip_private_text,GtkWidget * icon,GtkSignalFunc callback,gpointer user_data); " )
{
GtkToolbar *   toolbar ;
char *   text ;
char *   tooltip_text ;
char *   tooltip_private_text ;
GtkWidget *   icon ;
string   callback ; 
gpointer   user_data ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  GtkWidget* gtk_toolbar_prepend_item (GtkToolbar * toolbar,char * text,char * tooltip_text,char * tooltip_private_text,GtkWidget * icon,GtkSignalFunc callback,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_prepend_item "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
tooltip_text = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) tooltip_text ,args( 2 ).string_value().c_str());
tooltip_private_text = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) tooltip_private_text ,args( 3 ).string_value().c_str());
icon =( GtkWidget * )args( 4 ).long_value();
string callback_fcn =args( 5 ).string_value();
g_object_set_data(G_OBJECT( toolbar ), text,(void *)callback_fcn.c_str());

user_data =( gpointer )args( 6 ).long_value();
long int ret_type= (long int) gtk_toolbar_prepend_item ( toolbar,text,tooltip_text,tooltip_private_text,icon,octave_gtk_signal_function,user_data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toolbar_insert_item , args , , " GtkWidget* gtk_toolbar_insert_item (GtkToolbar * toolbar,char * text,char * tooltip_text,char * tooltip_private_text,GtkWidget * icon,GtkSignalFunc callback,gpointer user_data,gint position); " )
{
GtkToolbar *   toolbar ;
char *   text ;
char *   tooltip_text ;
char *   tooltip_private_text ;
GtkWidget *   icon ;
string   callback ; 
gpointer   user_data ;
gint   position ;
 if(args.length()!= 8 )
  {
   std::cout<< "eg:  GtkWidget* gtk_toolbar_insert_item (GtkToolbar * toolbar,char * text,char * tooltip_text,char * tooltip_private_text,GtkWidget * icon,GtkSignalFunc callback,gpointer user_data,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_insert_item "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
text = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
tooltip_text = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) tooltip_text ,args( 2 ).string_value().c_str());
tooltip_private_text = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) tooltip_private_text ,args( 3 ).string_value().c_str());
icon =( GtkWidget * )args( 4 ).long_value();
string callback_fcn =args( 5 ).string_value();
g_object_set_data(G_OBJECT( toolbar ), text,(void *)callback_fcn.c_str());

user_data =( gpointer )args( 6 ).long_value();
position = (  gint  ) args( 7 ).int_value();
long int ret_type= (long int) gtk_toolbar_insert_item ( toolbar,text,tooltip_text,tooltip_private_text,icon,octave_gtk_signal_function,user_data,position);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toolbar_insert_stock , args , , " GtkWidget* gtk_toolbar_insert_stock (GtkToolbar * toolbar,gchar * stock_id,char * tooltip_text,char * tooltip_private_text,GtkSignalFunc callback,gpointer user_data,gint position); " )
{
GtkToolbar *   toolbar ;
gchar *   stock_id ;
char *   tooltip_text ;
char *   tooltip_private_text ;
string   callback ; 
gpointer   user_data ;
gint   position ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  GtkWidget* gtk_toolbar_insert_stock (GtkToolbar * toolbar,gchar * stock_id,char * tooltip_text,char * tooltip_private_text,GtkSignalFunc callback,gpointer user_data,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_insert_stock "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
stock_id = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 1 ).string_value().c_str());
tooltip_text = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) tooltip_text ,args( 2 ).string_value().c_str());
tooltip_private_text = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) tooltip_private_text ,args( 3 ).string_value().c_str());
string callback_fcn =args( 4 ).string_value();
g_object_set_data(G_OBJECT( toolbar ), stock_id,(void *)callback_fcn.c_str());

user_data =( gpointer )args( 5 ).long_value();
position = (  gint  ) args( 6 ).int_value();
long int ret_type= (long int) gtk_toolbar_insert_stock ( toolbar,stock_id,tooltip_text,tooltip_private_text,octave_gtk_signal_function,user_data,position);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toolbar_append_space , args , , " void gtk_toolbar_append_space (GtkToolbar * toolbar); " )
{
GtkToolbar *   toolbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_toolbar_append_space (GtkToolbar * toolbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_append_space "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
gtk_toolbar_append_space ( toolbar);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_prepend_space , args , , " void gtk_toolbar_prepend_space (GtkToolbar * toolbar); " )
{
GtkToolbar *   toolbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_toolbar_prepend_space (GtkToolbar * toolbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_prepend_space "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
gtk_toolbar_prepend_space ( toolbar);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_insert_space , args , , " void gtk_toolbar_insert_space (GtkToolbar * toolbar,gint position); " )
{
GtkToolbar *   toolbar ;
gint   position ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toolbar_insert_space (GtkToolbar * toolbar,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_insert_space "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
gtk_toolbar_insert_space ( toolbar,position);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_remove_space , args , , " void gtk_toolbar_remove_space (GtkToolbar * toolbar,gint position); " )
{
GtkToolbar *   toolbar ;
gint   position ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toolbar_remove_space (GtkToolbar * toolbar,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_remove_space "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
gtk_toolbar_remove_space ( toolbar,position);
return octave_value();
}
/* overriden: gtk_toolbar_append_element  */
/* overriden: gtk_toolbar_prepend_element  */
/* overriden: gtk_toolbar_insert_element  */
DEFUN_DLD( gtk_toolbar_append_widget , args , , " void gtk_toolbar_append_widget (GtkToolbar * toolbar,GtkWidget * widget,char * tooltip_text,char * tooltip_private_text); " )
{
GtkToolbar *   toolbar ;
GtkWidget *   widget ;
char *   tooltip_text ;
char *   tooltip_private_text ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_toolbar_append_widget (GtkToolbar * toolbar,GtkWidget * widget,char * tooltip_text,char * tooltip_private_text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_append_widget "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
tooltip_text = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) tooltip_text ,args( 2 ).string_value().c_str());
tooltip_private_text = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) tooltip_private_text ,args( 3 ).string_value().c_str());
gtk_toolbar_append_widget ( toolbar,widget,tooltip_text,tooltip_private_text);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_prepend_widget , args , , " void gtk_toolbar_prepend_widget (GtkToolbar * toolbar,GtkWidget * widget,char * tooltip_text,char * tooltip_private_text); " )
{
GtkToolbar *   toolbar ;
GtkWidget *   widget ;
char *   tooltip_text ;
char *   tooltip_private_text ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_toolbar_prepend_widget (GtkToolbar * toolbar,GtkWidget * widget,char * tooltip_text,char * tooltip_private_text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_prepend_widget "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
tooltip_text = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) tooltip_text ,args( 2 ).string_value().c_str());
tooltip_private_text = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) tooltip_private_text ,args( 3 ).string_value().c_str());
gtk_toolbar_prepend_widget ( toolbar,widget,tooltip_text,tooltip_private_text);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_insert_widget , args , , " void gtk_toolbar_insert_widget (GtkToolbar * toolbar,GtkWidget * widget,char * tooltip_text,char * tooltip_private_text,gint position); " )
{
GtkToolbar *   toolbar ;
GtkWidget *   widget ;
char *   tooltip_text ;
char *   tooltip_private_text ;
gint   position ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_toolbar_insert_widget (GtkToolbar * toolbar,GtkWidget * widget,char * tooltip_text,char * tooltip_private_text,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_insert_widget "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
tooltip_text = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) tooltip_text ,args( 2 ).string_value().c_str());
tooltip_private_text = new  char   [args( 3 ).string_value ().length()];
strcpy( (char *) tooltip_private_text ,args( 3 ).string_value().c_str());
position = (  gint  ) args( 4 ).int_value();
gtk_toolbar_insert_widget ( toolbar,widget,tooltip_text,tooltip_private_text,position);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_set_orientation , args , , " void gtk_toolbar_set_orientation (GtkToolbar * toolbar,GtkOrientation orientation); " )
{
GtkToolbar *   toolbar ;
GtkOrientation   orientation ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toolbar_set_orientation (GtkToolbar * toolbar,GtkOrientation orientation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_set_orientation "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
orientation = (  GtkOrientation  ) args( 1 ).long_value();
gtk_toolbar_set_orientation ( toolbar,orientation);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_set_style , args , , " void gtk_toolbar_set_style (GtkToolbar * toolbar,GtkToolbarStyle style); " )
{
GtkToolbar *   toolbar ;
GtkToolbarStyle   style ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toolbar_set_style (GtkToolbar * toolbar,GtkToolbarStyle style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_set_style "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
style = (  GtkToolbarStyle  ) args( 1 ).long_value();
gtk_toolbar_set_style ( toolbar,style);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_set_icon_size , args , , " void gtk_toolbar_set_icon_size (GtkToolbar * toolbar,GtkIconSize icon_size); " )
{
GtkToolbar *   toolbar ;
GtkIconSize   icon_size ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toolbar_set_icon_size (GtkToolbar * toolbar,GtkIconSize icon_size); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_set_icon_size "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
icon_size = (  GtkIconSize  ) args( 1 ).long_value();
gtk_toolbar_set_icon_size ( toolbar,icon_size);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_set_tooltips , args , , " void gtk_toolbar_set_tooltips (GtkToolbar * toolbar,gboolean enable); " )
{
GtkToolbar *   toolbar ;
gboolean   enable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_toolbar_set_tooltips (GtkToolbar * toolbar,gboolean enable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_set_tooltips "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
enable = (  gboolean  ) args( 1 ).long_value();
gtk_toolbar_set_tooltips ( toolbar,enable);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_unset_style , args , , " void gtk_toolbar_unset_style (GtkToolbar * toolbar); " )
{
GtkToolbar *   toolbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_toolbar_unset_style (GtkToolbar * toolbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_unset_style "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
gtk_toolbar_unset_style ( toolbar);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_unset_icon_size , args , , " void gtk_toolbar_unset_icon_size (GtkToolbar * toolbar); " )
{
GtkToolbar *   toolbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_toolbar_unset_icon_size (GtkToolbar * toolbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_unset_icon_size "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
gtk_toolbar_unset_icon_size ( toolbar);
return octave_value();
}
DEFUN_DLD( gtk_toolbar_get_orientation , args , , " GtkOrientation gtk_toolbar_get_orientation (GtkToolbar * toolbar); " )
{
GtkToolbar *   toolbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkOrientation gtk_toolbar_get_orientation (GtkToolbar * toolbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_get_orientation "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
long int ret_type=(long int) gtk_toolbar_get_orientation ( toolbar);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toolbar_get_style , args , , " GtkToolbarStyle gtk_toolbar_get_style (GtkToolbar * toolbar); " )
{
GtkToolbar *   toolbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkToolbarStyle gtk_toolbar_get_style (GtkToolbar * toolbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_get_style "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
long int ret_type=(long int) gtk_toolbar_get_style ( toolbar);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toolbar_get_icon_size , args , , " GtkIconSize gtk_toolbar_get_icon_size (GtkToolbar * toolbar); " )
{
GtkToolbar *   toolbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkIconSize gtk_toolbar_get_icon_size (GtkToolbar * toolbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_get_icon_size "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
long int ret_type=(long int) gtk_toolbar_get_icon_size ( toolbar);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_toolbar_get_tooltips , args , , " gboolean gtk_toolbar_get_tooltips (GtkToolbar * toolbar); " )
{
GtkToolbar *   toolbar ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_toolbar_get_tooltips (GtkToolbar * toolbar); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_toolbar_get_tooltips "<<std::endl;
#endif /* DEBUG */
toolbar =( GtkToolbar * )args( 0 ).long_value();
long int ret_type=(long int) gtk_toolbar_get_tooltips ( toolbar);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tooltips_get_type , args , , " GType gtk_tooltips_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tooltips_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tooltips_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tooltips_new , args , , " GtkTooltips* gtk_tooltips_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tooltips_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_tooltips_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tooltips_enable , args , , " void gtk_tooltips_enable (GtkTooltips * tooltips); " )
{
GtkTooltips *   tooltips ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tooltips_enable (GtkTooltips * tooltips); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tooltips_enable "<<std::endl;
#endif /* DEBUG */
tooltips =( GtkTooltips * )args( 0 ).long_value();
gtk_tooltips_enable ( tooltips);
return octave_value();
}
DEFUN_DLD( gtk_tooltips_disable , args , , " void gtk_tooltips_disable (GtkTooltips * tooltips); " )
{
GtkTooltips *   tooltips ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tooltips_disable (GtkTooltips * tooltips); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tooltips_disable "<<std::endl;
#endif /* DEBUG */
tooltips =( GtkTooltips * )args( 0 ).long_value();
gtk_tooltips_disable ( tooltips);
return octave_value();
}
DEFUN_DLD( gtk_tooltips_set_delay , args , , " void gtk_tooltips_set_delay (GtkTooltips * tooltips,guint delay); " )
{
GtkTooltips *   tooltips ;
guint   delay ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tooltips_set_delay (GtkTooltips * tooltips,guint delay); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tooltips_set_delay "<<std::endl;
#endif /* DEBUG */
tooltips =( GtkTooltips * )args( 0 ).long_value();
delay = (  guint  ) args( 1 ).int_value();
gtk_tooltips_set_delay ( tooltips,delay);
return octave_value();
}
DEFUN_DLD( gtk_tooltips_set_tip , args , , " void gtk_tooltips_set_tip (GtkTooltips * tooltips,GtkWidget * widget,gchar * tip_text,gchar * tip_private); " )
{
GtkTooltips *   tooltips ;
GtkWidget *   widget ;
gchar *   tip_text ;
gchar *   tip_private ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tooltips_set_tip (GtkTooltips * tooltips,GtkWidget * widget,gchar * tip_text,gchar * tip_private); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tooltips_set_tip "<<std::endl;
#endif /* DEBUG */
tooltips =( GtkTooltips * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
tip_text = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) tip_text ,args( 2 ).string_value().c_str());
tip_private = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) tip_private ,args( 3 ).string_value().c_str());
gtk_tooltips_set_tip ( tooltips,widget,tip_text,tip_private);
return octave_value();
}
DEFUN_DLD( gtk_tooltips_data_get , args , , " GtkTooltipsData* gtk_tooltips_data_get (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTooltipsData* gtk_tooltips_data_get (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tooltips_data_get "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tooltips_data_get ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tooltips_force_window , args , , " void gtk_tooltips_force_window (GtkTooltips * tooltips); " )
{
GtkTooltips *   tooltips ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tooltips_force_window (GtkTooltips * tooltips); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tooltips_force_window "<<std::endl;
#endif /* DEBUG */
tooltips =( GtkTooltips * )args( 0 ).long_value();
gtk_tooltips_force_window ( tooltips);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_drag_source_get_type , args , , " GType gtk_tree_drag_source_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_drag_source_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_drag_source_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_drag_source_row_draggable , args , , " gboolean gtk_tree_drag_source_row_draggable (GtkTreeDragSource * drag_source,GtkTreePath * path); " )
{
GtkTreeDragSource *   drag_source ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_drag_source_row_draggable (GtkTreeDragSource * drag_source,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_drag_source_row_draggable "<<std::endl;
#endif /* DEBUG */
drag_source =( GtkTreeDragSource * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_drag_source_row_draggable ( drag_source,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_drag_source_drag_data_delete , args , , " gboolean gtk_tree_drag_source_drag_data_delete (GtkTreeDragSource * drag_source,GtkTreePath * path); " )
{
GtkTreeDragSource *   drag_source ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_drag_source_drag_data_delete (GtkTreeDragSource * drag_source,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_drag_source_drag_data_delete "<<std::endl;
#endif /* DEBUG */
drag_source =( GtkTreeDragSource * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_drag_source_drag_data_delete ( drag_source,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_drag_source_drag_data_get , args , , " gboolean gtk_tree_drag_source_drag_data_get (GtkTreeDragSource * drag_source,GtkTreePath * path,GtkSelectionData * selection_data); " )
{
GtkTreeDragSource *   drag_source ;
GtkTreePath *   path ;
GtkSelectionData *   selection_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_drag_source_drag_data_get (GtkTreeDragSource * drag_source,GtkTreePath * path,GtkSelectionData * selection_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_drag_source_drag_data_get "<<std::endl;
#endif /* DEBUG */
drag_source =( GtkTreeDragSource * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
selection_data =( GtkSelectionData * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_drag_source_drag_data_get ( drag_source,path,selection_data);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_drag_dest_get_type , args , , " GType gtk_tree_drag_dest_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_drag_dest_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_drag_dest_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_drag_dest_drag_data_received , args , , " gboolean gtk_tree_drag_dest_drag_data_received (GtkTreeDragDest * drag_dest,GtkTreePath * dest,GtkSelectionData * selection_data); " )
{
GtkTreeDragDest *   drag_dest ;
GtkTreePath *   dest ;
GtkSelectionData *   selection_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_drag_dest_drag_data_received (GtkTreeDragDest * drag_dest,GtkTreePath * dest,GtkSelectionData * selection_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_drag_dest_drag_data_received "<<std::endl;
#endif /* DEBUG */
drag_dest =( GtkTreeDragDest * )args( 0 ).long_value();
dest =( GtkTreePath * )args( 1 ).long_value();
selection_data =( GtkSelectionData * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_drag_dest_drag_data_received ( drag_dest,dest,selection_data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_drag_dest_row_drop_possible , args , , " gboolean gtk_tree_drag_dest_row_drop_possible (GtkTreeDragDest * drag_dest,GtkTreePath * dest_path,GtkSelectionData * selection_data); " )
{
GtkTreeDragDest *   drag_dest ;
GtkTreePath *   dest_path ;
GtkSelectionData *   selection_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_drag_dest_row_drop_possible (GtkTreeDragDest * drag_dest,GtkTreePath * dest_path,GtkSelectionData * selection_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_drag_dest_row_drop_possible "<<std::endl;
#endif /* DEBUG */
drag_dest =( GtkTreeDragDest * )args( 0 ).long_value();
dest_path =( GtkTreePath * )args( 1 ).long_value();
selection_data =( GtkSelectionData * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_drag_dest_row_drop_possible ( drag_dest,dest_path,selection_data);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_set_row_drag_data , args , , " gboolean gtk_tree_set_row_drag_data (GtkSelectionData * selection_data,GtkTreeModel * tree_model,GtkTreePath * path); " )
{
GtkSelectionData *   selection_data ;
GtkTreeModel *   tree_model ;
GtkTreePath *   path ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_set_row_drag_data (GtkSelectionData * selection_data,GtkTreeModel * tree_model,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_set_row_drag_data "<<std::endl;
#endif /* DEBUG */
selection_data =( GtkSelectionData * )args( 0 ).long_value();
tree_model =( GtkTreeModel * )args( 1 ).long_value();
path =( GtkTreePath * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_set_row_drag_data ( selection_data,tree_model,path);
return octave_value(ret_type);
}
/* overriden: gtk_tree_get_row_drag_data  */
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_path_new , args , , " GtkTreePath * gtk_tree_path_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_path_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_tree_path_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_new_from_string , args , , " GtkTreePath * gtk_tree_path_new_from_string (gchar * path); " )
{
gchar *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreePath * gtk_tree_path_new_from_string (gchar * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_new_from_string "<<std::endl;
#endif /* DEBUG */
path = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) path ,args( 0 ).string_value().c_str());
long int ret_type= (long int) gtk_tree_path_new_from_string ( path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_new_from_indices , args , , " GtkTreePath * gtk_tree_path_new_from_indices (gint first_index,char * varargs_value); " )
{
gint   first_index ;
char *   varargs_value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTreePath * gtk_tree_path_new_from_indices (gint first_index,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_new_from_indices "<<std::endl;
#endif /* DEBUG */
first_index = (  gint  ) args( 0 ).int_value();
varargs_value = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_tree_path_new_from_indices ( first_index,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_to_string , args , , " gchar * gtk_tree_path_to_string (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_tree_path_to_string (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_to_string "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
string  ret_type( gtk_tree_path_to_string ( path));
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_path_new_first , args , , " GtkTreePath * gtk_tree_path_new_first (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_path_new_first "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_tree_path_new_first ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_append_index , args , , " void gtk_tree_path_append_index (GtkTreePath * path,gint index_); " )
{
GtkTreePath *   path ;
gint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_path_append_index (GtkTreePath * path,gint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_append_index "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
index_ = (  gint  ) args( 1 ).int_value();
gtk_tree_path_append_index ( path,index_);
return octave_value();
}
DEFUN_DLD( gtk_tree_path_prepend_index , args , , " void gtk_tree_path_prepend_index (GtkTreePath * path,gint index_); " )
{
GtkTreePath *   path ;
gint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_path_prepend_index (GtkTreePath * path,gint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_prepend_index "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
index_ = (  gint  ) args( 1 ).int_value();
gtk_tree_path_prepend_index ( path,index_);
return octave_value();
}
DEFUN_DLD( gtk_tree_path_get_depth , args , , " gint gtk_tree_path_get_depth (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_path_get_depth (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_get_depth "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_path_get_depth ( path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_get_indices , args , , " gint * gtk_tree_path_get_indices (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint * gtk_tree_path_get_indices (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_get_indices "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_path_get_indices ( path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_free , args , , " void gtk_tree_path_free (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_path_free (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_free "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
gtk_tree_path_free ( path);
return octave_value();
}
DEFUN_DLD( gtk_tree_path_copy , args , , " GtkTreePath * gtk_tree_path_copy (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreePath * gtk_tree_path_copy (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_copy "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_path_copy ( path);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_path_get_type , args , , " GType gtk_tree_path_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_path_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_path_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_compare , args , , " gint gtk_tree_path_compare (GtkTreePath * a,GtkTreePath * b); " )
{
GtkTreePath *   a ;
GtkTreePath *   b ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_tree_path_compare (GtkTreePath * a,GtkTreePath * b); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_compare "<<std::endl;
#endif /* DEBUG */
a =( GtkTreePath * )args( 0 ).long_value();
b =( GtkTreePath * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_path_compare ( a,b);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_next , args , , " void gtk_tree_path_next (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_path_next (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_next "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
gtk_tree_path_next ( path);
return octave_value();
}
DEFUN_DLD( gtk_tree_path_prev , args , , " gboolean gtk_tree_path_prev (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_path_prev (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_prev "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_path_prev ( path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_up , args , , " gboolean gtk_tree_path_up (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_path_up (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_up "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_path_up ( path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_down , args , , " void gtk_tree_path_down (GtkTreePath * path); " )
{
GtkTreePath *   path ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_path_down (GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_down "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
gtk_tree_path_down ( path);
return octave_value();
}
DEFUN_DLD( gtk_tree_path_is_ancestor , args , , " gboolean gtk_tree_path_is_ancestor (GtkTreePath * path,GtkTreePath * descendant); " )
{
GtkTreePath *   path ;
GtkTreePath *   descendant ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_path_is_ancestor (GtkTreePath * path,GtkTreePath * descendant); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_is_ancestor "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
descendant =( GtkTreePath * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_path_is_ancestor ( path,descendant);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_path_is_descendant , args , , " gboolean gtk_tree_path_is_descendant (GtkTreePath * path,GtkTreePath * ancestor); " )
{
GtkTreePath *   path ;
GtkTreePath *   ancestor ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_path_is_descendant (GtkTreePath * path,GtkTreePath * ancestor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_path_is_descendant "<<std::endl;
#endif /* DEBUG */
path =( GtkTreePath * )args( 0 ).long_value();
ancestor =( GtkTreePath * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_path_is_descendant ( path,ancestor);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_row_reference_get_type , args , , " GType gtk_tree_row_reference_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_row_reference_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_row_reference_new , args , , " GtkTreeRowReference * gtk_tree_row_reference_new (GtkTreeModel * model,GtkTreePath * path); " )
{
GtkTreeModel *   model ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTreeRowReference * gtk_tree_row_reference_new (GtkTreeModel * model,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_new "<<std::endl;
#endif /* DEBUG */
model =( GtkTreeModel * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type= (long int) gtk_tree_row_reference_new ( model,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_row_reference_new_proxy , args , , " GtkTreeRowReference * gtk_tree_row_reference_new_proxy (GObject * proxy,GtkTreeModel * model,GtkTreePath * path); " )
{
GObject *   proxy ;
GtkTreeModel *   model ;
GtkTreePath *   path ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkTreeRowReference * gtk_tree_row_reference_new_proxy (GObject * proxy,GtkTreeModel * model,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_new_proxy "<<std::endl;
#endif /* DEBUG */
proxy =( GObject * )args( 0 ).long_value();
model =( GtkTreeModel * )args( 1 ).long_value();
path =( GtkTreePath * )args( 2 ).long_value();
long int ret_type= (long int) gtk_tree_row_reference_new_proxy ( proxy,model,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_row_reference_get_path , args , , " GtkTreePath * gtk_tree_row_reference_get_path (GtkTreeRowReference * reference); " )
{
GtkTreeRowReference *   reference ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreePath * gtk_tree_row_reference_get_path (GtkTreeRowReference * reference); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_get_path "<<std::endl;
#endif /* DEBUG */
reference =( GtkTreeRowReference * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_row_reference_get_path ( reference);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_row_reference_valid , args , , " gboolean gtk_tree_row_reference_valid (GtkTreeRowReference * reference); " )
{
GtkTreeRowReference *   reference ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_row_reference_valid (GtkTreeRowReference * reference); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_valid "<<std::endl;
#endif /* DEBUG */
reference =( GtkTreeRowReference * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_row_reference_valid ( reference);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_row_reference_copy , args , , " GtkTreeRowReference * gtk_tree_row_reference_copy (GtkTreeRowReference * reference); " )
{
GtkTreeRowReference *   reference ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeRowReference * gtk_tree_row_reference_copy (GtkTreeRowReference * reference); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_copy "<<std::endl;
#endif /* DEBUG */
reference =( GtkTreeRowReference * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_row_reference_copy ( reference);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_row_reference_free , args , , " void gtk_tree_row_reference_free (GtkTreeRowReference * reference); " )
{
GtkTreeRowReference *   reference ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_row_reference_free (GtkTreeRowReference * reference); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_free "<<std::endl;
#endif /* DEBUG */
reference =( GtkTreeRowReference * )args( 0 ).long_value();
gtk_tree_row_reference_free ( reference);
return octave_value();
}
DEFUN_DLD( gtk_tree_row_reference_inserted , args , , " void gtk_tree_row_reference_inserted (GObject * proxy,GtkTreePath * path); " )
{
GObject *   proxy ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_row_reference_inserted (GObject * proxy,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_inserted "<<std::endl;
#endif /* DEBUG */
proxy =( GObject * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
gtk_tree_row_reference_inserted ( proxy,path);
return octave_value();
}
DEFUN_DLD( gtk_tree_row_reference_deleted , args , , " void gtk_tree_row_reference_deleted (GObject * proxy,GtkTreePath * path); " )
{
GObject *   proxy ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_row_reference_deleted (GObject * proxy,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_deleted "<<std::endl;
#endif /* DEBUG */
proxy =( GObject * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
gtk_tree_row_reference_deleted ( proxy,path);
return octave_value();
}
DEFUN_DLD( gtk_tree_row_reference_reordered , args , , " void gtk_tree_row_reference_reordered (GObject * proxy,GtkTreePath * path,GtkTreeIter * iter,gint * new_order); " )
{
GObject *   proxy ;
GtkTreePath *   path ;
GtkTreeIter *   iter ;
gint *   new_order ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_row_reference_reordered (GObject * proxy,GtkTreePath * path,GtkTreeIter * iter,gint * new_order); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_row_reference_reordered "<<std::endl;
#endif /* DEBUG */
proxy =( GObject * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
iter =( GtkTreeIter * )args( 2 ).long_value();
new_order =( gint * )args( 3 ).long_value();
gtk_tree_row_reference_reordered ( proxy,path,iter,new_order);
return octave_value();
}
DEFUN_DLD( gtk_tree_iter_copy , args , , " GtkTreeIter * gtk_tree_iter_copy (GtkTreeIter * iter); " )
{
GtkTreeIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeIter * gtk_tree_iter_copy (GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_iter_copy "<<std::endl;
#endif /* DEBUG */
iter =( GtkTreeIter * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_iter_copy ( iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_iter_free , args , , " void gtk_tree_iter_free (GtkTreeIter * iter); " )
{
GtkTreeIter *   iter ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_iter_free (GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_iter_free "<<std::endl;
#endif /* DEBUG */
iter =( GtkTreeIter * )args( 0 ).long_value();
gtk_tree_iter_free ( iter);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_iter_get_type , args , , " GType gtk_tree_iter_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_iter_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_iter_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_model_get_type , args , , " GType gtk_tree_model_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_model_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_flags , args , , " GtkTreeModelFlags gtk_tree_model_get_flags (GtkTreeModel * tree_model); " )
{
GtkTreeModel *   tree_model ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeModelFlags gtk_tree_model_get_flags (GtkTreeModel * tree_model); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_flags "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_model_get_flags ( tree_model);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_n_columns , args , , " gint gtk_tree_model_get_n_columns (GtkTreeModel * tree_model); " )
{
GtkTreeModel *   tree_model ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_model_get_n_columns (GtkTreeModel * tree_model); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_n_columns "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_model_get_n_columns ( tree_model);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_column_type , args , , " GType gtk_tree_model_get_column_type (GtkTreeModel * tree_model,gint index_); " )
{
GtkTreeModel *   tree_model ;
gint   index_ ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GType gtk_tree_model_get_column_type (GtkTreeModel * tree_model,gint index_); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_column_type "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
index_ = (  gint  ) args( 1 ).int_value();
long int ret_type=(long int) gtk_tree_model_get_column_type ( tree_model,index_);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_iter , args , , " gboolean gtk_tree_model_get_iter (GtkTreeModel * tree_model,GtkTreeIter * iter,GtkTreePath * path); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
GtkTreePath *   path ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_get_iter (GtkTreeModel * tree_model,GtkTreeIter * iter,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_iter "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
path =( GtkTreePath * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_model_get_iter ( tree_model,iter,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_iter_from_string , args , , " gboolean gtk_tree_model_get_iter_from_string (GtkTreeModel * tree_model,GtkTreeIter * iter,gchar * path_string); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
gchar *   path_string ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_get_iter_from_string (GtkTreeModel * tree_model,GtkTreeIter * iter,gchar * path_string); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_iter_from_string "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
path_string = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) path_string ,args( 2 ).string_value().c_str());
long int ret_type=(long int) gtk_tree_model_get_iter_from_string ( tree_model,iter,path_string);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_string_from_iter , args , , " gchar * gtk_tree_model_get_string_from_iter (GtkTreeModel * tree_model,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gchar * gtk_tree_model_get_string_from_iter (GtkTreeModel * tree_model,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_string_from_iter "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
string  ret_type( gtk_tree_model_get_string_from_iter ( tree_model,iter));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_iter_first , args , , " gboolean gtk_tree_model_get_iter_first (GtkTreeModel * tree_model,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_get_iter_first (GtkTreeModel * tree_model,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_iter_first "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_model_get_iter_first ( tree_model,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_path , args , , " GtkTreePath * gtk_tree_model_get_path (GtkTreeModel * tree_model,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTreePath * gtk_tree_model_get_path (GtkTreeModel * tree_model,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_path "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type= (long int) gtk_tree_model_get_path ( tree_model,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_get_value , args , , " void gtk_tree_model_get_value (GtkTreeModel * tree_model,GtkTreeIter * iter,gint column,GValue * value); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
gint   column ;
GValue *   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_model_get_value (GtkTreeModel * tree_model,GtkTreeIter * iter,gint column,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_value "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
value =( GValue * )args( 3 ).long_value();
gtk_tree_model_get_value ( tree_model,iter,column,value);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_iter_next , args , , " gboolean gtk_tree_model_iter_next (GtkTreeModel * tree_model,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_iter_next (GtkTreeModel * tree_model,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_iter_next "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_model_iter_next ( tree_model,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_iter_children , args , , " gboolean gtk_tree_model_iter_children (GtkTreeModel * tree_model,GtkTreeIter * iter,GtkTreeIter * parent); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
GtkTreeIter *   parent ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_iter_children (GtkTreeModel * tree_model,GtkTreeIter * iter,GtkTreeIter * parent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_iter_children "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
parent =( GtkTreeIter * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_model_iter_children ( tree_model,iter,parent);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_iter_has_child , args , , " gboolean gtk_tree_model_iter_has_child (GtkTreeModel * tree_model,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_iter_has_child (GtkTreeModel * tree_model,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_iter_has_child "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_model_iter_has_child ( tree_model,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_iter_n_children , args , , " gint gtk_tree_model_iter_n_children (GtkTreeModel * tree_model,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_tree_model_iter_n_children (GtkTreeModel * tree_model,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_iter_n_children "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_model_iter_n_children ( tree_model,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_iter_nth_child , args , , " gboolean gtk_tree_model_iter_nth_child (GtkTreeModel * tree_model,GtkTreeIter * iter,GtkTreeIter * parent,gint n); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
GtkTreeIter *   parent ;
gint   n ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_iter_nth_child (GtkTreeModel * tree_model,GtkTreeIter * iter,GtkTreeIter * parent,gint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_iter_nth_child "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
parent =( GtkTreeIter * )args( 2 ).long_value();
n = (  gint  ) args( 3 ).int_value();
long int ret_type=(long int) gtk_tree_model_iter_nth_child ( tree_model,iter,parent,n);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_iter_parent , args , , " gboolean gtk_tree_model_iter_parent (GtkTreeModel * tree_model,GtkTreeIter * iter,GtkTreeIter * child); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
GtkTreeIter *   child ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_iter_parent (GtkTreeModel * tree_model,GtkTreeIter * iter,GtkTreeIter * child); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_iter_parent "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
child =( GtkTreeIter * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_model_iter_parent ( tree_model,iter,child);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_ref_node , args , , " void gtk_tree_model_ref_node (GtkTreeModel * tree_model,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_model_ref_node (GtkTreeModel * tree_model,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_ref_node "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
gtk_tree_model_ref_node ( tree_model,iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_unref_node , args , , " void gtk_tree_model_unref_node (GtkTreeModel * tree_model,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_model_unref_node (GtkTreeModel * tree_model,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_unref_node "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
gtk_tree_model_unref_node ( tree_model,iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_get , args , , " void gtk_tree_model_get (GtkTreeModel * tree_model,GtkTreeIter * iter,char * varargs_value); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_model_get (GtkTreeModel * tree_model,GtkTreeIter * iter,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_tree_model_get ( tree_model,iter,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_get_valist , args , , " void gtk_tree_model_get_valist (GtkTreeModel * tree_model,GtkTreeIter * iter,va_list var_args); " )
{
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
va_list   var_args ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_model_get_valist (GtkTreeModel * tree_model,GtkTreeIter * iter,va_list var_args); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_get_valist "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
var_args = (  va_list  ) args( 2 ).long_value();
gtk_tree_model_get_valist ( tree_model,iter,var_args);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_foreach , args , , " void gtk_tree_model_foreach (GtkTreeModel * model,GtkTreeModelForeachFunc func,gpointer user_data); " )
{
GtkTreeModel *   model ;
GtkTreeModelForeachFunc   func ;
gpointer   user_data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_model_foreach (GtkTreeModel * model,GtkTreeModelForeachFunc func,gpointer user_data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_foreach "<<std::endl;
#endif /* DEBUG */
model =( GtkTreeModel * )args( 0 ).long_value();
func = (  GtkTreeModelForeachFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
gtk_tree_model_foreach ( model,func,user_data);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_row_changed , args , , " void gtk_tree_model_row_changed (GtkTreeModel * tree_model,GtkTreePath * path,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreePath *   path ;
GtkTreeIter *   iter ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_model_row_changed (GtkTreeModel * tree_model,GtkTreePath * path,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_row_changed "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
iter =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_model_row_changed ( tree_model,path,iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_row_inserted , args , , " void gtk_tree_model_row_inserted (GtkTreeModel * tree_model,GtkTreePath * path,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreePath *   path ;
GtkTreeIter *   iter ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_model_row_inserted (GtkTreeModel * tree_model,GtkTreePath * path,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_row_inserted "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
iter =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_model_row_inserted ( tree_model,path,iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_row_has_child_toggled , args , , " void gtk_tree_model_row_has_child_toggled (GtkTreeModel * tree_model,GtkTreePath * path,GtkTreeIter * iter); " )
{
GtkTreeModel *   tree_model ;
GtkTreePath *   path ;
GtkTreeIter *   iter ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_model_row_has_child_toggled (GtkTreeModel * tree_model,GtkTreePath * path,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_row_has_child_toggled "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
iter =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_model_row_has_child_toggled ( tree_model,path,iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_row_deleted , args , , " void gtk_tree_model_row_deleted (GtkTreeModel * tree_model,GtkTreePath * path); " )
{
GtkTreeModel *   tree_model ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_model_row_deleted (GtkTreeModel * tree_model,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_row_deleted "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
gtk_tree_model_row_deleted ( tree_model,path);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_rows_reordered , args , , " void gtk_tree_model_rows_reordered (GtkTreeModel * tree_model,GtkTreePath * path,GtkTreeIter * iter,gint * new_order); " )
{
GtkTreeModel *   tree_model ;
GtkTreePath *   path ;
GtkTreeIter *   iter ;
gint *   new_order ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_model_rows_reordered (GtkTreeModel * tree_model,GtkTreePath * path,GtkTreeIter * iter,gint * new_order); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_rows_reordered "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModel * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
iter =( GtkTreeIter * )args( 2 ).long_value();
new_order =( gint * )args( 3 ).long_value();
gtk_tree_model_rows_reordered ( tree_model,path,iter,new_order);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_model_sort_get_type , args , , " GType gtk_tree_model_sort_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_model_sort_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_sort_new_with_model , args , , " GtkTreeModel * gtk_tree_model_sort_new_with_model (GtkTreeModel * child_model); " )
{
GtkTreeModel *   child_model ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeModel * gtk_tree_model_sort_new_with_model (GtkTreeModel * child_model); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_new_with_model "<<std::endl;
#endif /* DEBUG */
child_model =( GtkTreeModel * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_model_sort_new_with_model ( child_model);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_sort_get_model , args , , " GtkTreeModel * gtk_tree_model_sort_get_model (GtkTreeModelSort * tree_model); " )
{
GtkTreeModelSort *   tree_model ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeModel * gtk_tree_model_sort_get_model (GtkTreeModelSort * tree_model); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_get_model "<<std::endl;
#endif /* DEBUG */
tree_model =( GtkTreeModelSort * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_model_sort_get_model ( tree_model);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_sort_convert_child_path_to_path , args , , " GtkTreePath * gtk_tree_model_sort_convert_child_path_to_path (GtkTreeModelSort * tree_model_sort,GtkTreePath * child_path); " )
{
GtkTreeModelSort *   tree_model_sort ;
GtkTreePath *   child_path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTreePath * gtk_tree_model_sort_convert_child_path_to_path (GtkTreeModelSort * tree_model_sort,GtkTreePath * child_path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_convert_child_path_to_path "<<std::endl;
#endif /* DEBUG */
tree_model_sort =( GtkTreeModelSort * )args( 0 ).long_value();
child_path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type= (long int) gtk_tree_model_sort_convert_child_path_to_path ( tree_model_sort,child_path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_sort_convert_child_iter_to_iter , args , , " void gtk_tree_model_sort_convert_child_iter_to_iter (GtkTreeModelSort * tree_model_sort,GtkTreeIter * sort_iter,GtkTreeIter * child_iter); " )
{
GtkTreeModelSort *   tree_model_sort ;
GtkTreeIter *   sort_iter ;
GtkTreeIter *   child_iter ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_model_sort_convert_child_iter_to_iter (GtkTreeModelSort * tree_model_sort,GtkTreeIter * sort_iter,GtkTreeIter * child_iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_convert_child_iter_to_iter "<<std::endl;
#endif /* DEBUG */
tree_model_sort =( GtkTreeModelSort * )args( 0 ).long_value();
sort_iter =( GtkTreeIter * )args( 1 ).long_value();
child_iter =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_model_sort_convert_child_iter_to_iter ( tree_model_sort,sort_iter,child_iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_sort_convert_path_to_child_path , args , , " GtkTreePath * gtk_tree_model_sort_convert_path_to_child_path (GtkTreeModelSort * tree_model_sort,GtkTreePath * sorted_path); " )
{
GtkTreeModelSort *   tree_model_sort ;
GtkTreePath *   sorted_path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTreePath * gtk_tree_model_sort_convert_path_to_child_path (GtkTreeModelSort * tree_model_sort,GtkTreePath * sorted_path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_convert_path_to_child_path "<<std::endl;
#endif /* DEBUG */
tree_model_sort =( GtkTreeModelSort * )args( 0 ).long_value();
sorted_path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type= (long int) gtk_tree_model_sort_convert_path_to_child_path ( tree_model_sort,sorted_path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_model_sort_convert_iter_to_child_iter , args , , " void gtk_tree_model_sort_convert_iter_to_child_iter (GtkTreeModelSort * tree_model_sort,GtkTreeIter * child_iter,GtkTreeIter * sorted_iter); " )
{
GtkTreeModelSort *   tree_model_sort ;
GtkTreeIter *   child_iter ;
GtkTreeIter *   sorted_iter ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_model_sort_convert_iter_to_child_iter (GtkTreeModelSort * tree_model_sort,GtkTreeIter * child_iter,GtkTreeIter * sorted_iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_convert_iter_to_child_iter "<<std::endl;
#endif /* DEBUG */
tree_model_sort =( GtkTreeModelSort * )args( 0 ).long_value();
child_iter =( GtkTreeIter * )args( 1 ).long_value();
sorted_iter =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_model_sort_convert_iter_to_child_iter ( tree_model_sort,child_iter,sorted_iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_sort_reset_default_sort_func , args , , " void gtk_tree_model_sort_reset_default_sort_func (GtkTreeModelSort * tree_model_sort); " )
{
GtkTreeModelSort *   tree_model_sort ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_model_sort_reset_default_sort_func (GtkTreeModelSort * tree_model_sort); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_reset_default_sort_func "<<std::endl;
#endif /* DEBUG */
tree_model_sort =( GtkTreeModelSort * )args( 0 ).long_value();
gtk_tree_model_sort_reset_default_sort_func ( tree_model_sort);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_sort_clear_cache , args , , " void gtk_tree_model_sort_clear_cache (GtkTreeModelSort * tree_model_sort); " )
{
GtkTreeModelSort *   tree_model_sort ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_model_sort_clear_cache (GtkTreeModelSort * tree_model_sort); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_clear_cache "<<std::endl;
#endif /* DEBUG */
tree_model_sort =( GtkTreeModelSort * )args( 0 ).long_value();
gtk_tree_model_sort_clear_cache ( tree_model_sort);
return octave_value();
}
DEFUN_DLD( gtk_tree_model_sort_iter_is_valid , args , , " gboolean gtk_tree_model_sort_iter_is_valid (GtkTreeModelSort * tree_model_sort,GtkTreeIter * iter); " )
{
GtkTreeModelSort *   tree_model_sort ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_model_sort_iter_is_valid (GtkTreeModelSort * tree_model_sort,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_model_sort_iter_is_valid "<<std::endl;
#endif /* DEBUG */
tree_model_sort =( GtkTreeModelSort * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_model_sort_iter_is_valid ( tree_model_sort,iter);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_selection_get_type , args , , " GType gtk_tree_selection_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_selection_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_selection_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_selection_set_mode , args , , " void gtk_tree_selection_set_mode (GtkTreeSelection * selection,GtkSelectionMode type); " )
{
GtkTreeSelection *   selection ;
GtkSelectionMode   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_selection_set_mode (GtkTreeSelection * selection,GtkSelectionMode type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_set_mode "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
type = (  GtkSelectionMode  ) args( 1 ).long_value();
gtk_tree_selection_set_mode ( selection,type);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_get_mode , args , , " GtkSelectionMode gtk_tree_selection_get_mode (GtkTreeSelection * selection); " )
{
GtkTreeSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkSelectionMode gtk_tree_selection_get_mode (GtkTreeSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_get_mode "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_selection_get_mode ( selection);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_selection_set_select_function , args , , " void gtk_tree_selection_set_select_function (GtkTreeSelection * selection,GtkTreeSelectionFunc func,gpointer data,GtkDestroyNotify destroy); " )
{
GtkTreeSelection *   selection ;
GtkTreeSelectionFunc   func ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_selection_set_select_function (GtkTreeSelection * selection,GtkTreeSelectionFunc func,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_set_select_function "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
func = (  GtkTreeSelectionFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_tree_selection_set_select_function ( selection,func,data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_get_user_data , args , , " gpointer gtk_tree_selection_get_user_data (GtkTreeSelection * selection); " )
{
GtkTreeSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer gtk_tree_selection_get_user_data (GtkTreeSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_get_user_data "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_selection_get_user_data ( selection);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_selection_get_tree_view , args , , " GtkTreeView* gtk_tree_selection_get_tree_view (GtkTreeSelection * selection); " )
{
GtkTreeSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeView* gtk_tree_selection_get_tree_view (GtkTreeSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_get_tree_view "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_selection_get_tree_view ( selection);
return octave_value(ret_type);
}
/* overriden: gtk_tree_selection_get_selected  */
/* overriden: gtk_tree_selection_get_selected_rows  */
DEFUN_DLD( gtk_tree_selection_count_selected_rows , args , , " gint gtk_tree_selection_count_selected_rows (GtkTreeSelection * selection); " )
{
GtkTreeSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_selection_count_selected_rows (GtkTreeSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_count_selected_rows "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_selection_count_selected_rows ( selection);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_selection_selected_foreach , args , , " void gtk_tree_selection_selected_foreach (GtkTreeSelection * selection,GtkTreeSelectionForeachFunc func,gpointer data); " )
{
GtkTreeSelection *   selection ;
GtkTreeSelectionForeachFunc   func ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_selection_selected_foreach (GtkTreeSelection * selection,GtkTreeSelectionForeachFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_selected_foreach "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
func = (  GtkTreeSelectionForeachFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gtk_tree_selection_selected_foreach ( selection,func,data);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_select_path , args , , " void gtk_tree_selection_select_path (GtkTreeSelection * selection,GtkTreePath * path); " )
{
GtkTreeSelection *   selection ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_selection_select_path (GtkTreeSelection * selection,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_select_path "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
gtk_tree_selection_select_path ( selection,path);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_unselect_path , args , , " void gtk_tree_selection_unselect_path (GtkTreeSelection * selection,GtkTreePath * path); " )
{
GtkTreeSelection *   selection ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_selection_unselect_path (GtkTreeSelection * selection,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_unselect_path "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
gtk_tree_selection_unselect_path ( selection,path);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_select_iter , args , , " void gtk_tree_selection_select_iter (GtkTreeSelection * selection,GtkTreeIter * iter); " )
{
GtkTreeSelection *   selection ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_selection_select_iter (GtkTreeSelection * selection,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_select_iter "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
gtk_tree_selection_select_iter ( selection,iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_unselect_iter , args , , " void gtk_tree_selection_unselect_iter (GtkTreeSelection * selection,GtkTreeIter * iter); " )
{
GtkTreeSelection *   selection ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_selection_unselect_iter (GtkTreeSelection * selection,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_unselect_iter "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
gtk_tree_selection_unselect_iter ( selection,iter);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_path_is_selected , args , , " gboolean gtk_tree_selection_path_is_selected (GtkTreeSelection * selection,GtkTreePath * path); " )
{
GtkTreeSelection *   selection ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_selection_path_is_selected (GtkTreeSelection * selection,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_path_is_selected "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_selection_path_is_selected ( selection,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_selection_iter_is_selected , args , , " gboolean gtk_tree_selection_iter_is_selected (GtkTreeSelection * selection,GtkTreeIter * iter); " )
{
GtkTreeSelection *   selection ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_selection_iter_is_selected (GtkTreeSelection * selection,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_iter_is_selected "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_selection_iter_is_selected ( selection,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_selection_select_all , args , , " void gtk_tree_selection_select_all (GtkTreeSelection * selection); " )
{
GtkTreeSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_selection_select_all (GtkTreeSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_select_all "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
gtk_tree_selection_select_all ( selection);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_unselect_all , args , , " void gtk_tree_selection_unselect_all (GtkTreeSelection * selection); " )
{
GtkTreeSelection *   selection ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_selection_unselect_all (GtkTreeSelection * selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_unselect_all "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
gtk_tree_selection_unselect_all ( selection);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_select_range , args , , " void gtk_tree_selection_select_range (GtkTreeSelection * selection,GtkTreePath * start_path,GtkTreePath * end_path); " )
{
GtkTreeSelection *   selection ;
GtkTreePath *   start_path ;
GtkTreePath *   end_path ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_selection_select_range (GtkTreeSelection * selection,GtkTreePath * start_path,GtkTreePath * end_path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_select_range "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
start_path =( GtkTreePath * )args( 1 ).long_value();
end_path =( GtkTreePath * )args( 2 ).long_value();
gtk_tree_selection_select_range ( selection,start_path,end_path);
return octave_value();
}
DEFUN_DLD( gtk_tree_selection_unselect_range , args , , " void gtk_tree_selection_unselect_range (GtkTreeSelection * selection,GtkTreePath * start_path,GtkTreePath * end_path); " )
{
GtkTreeSelection *   selection ;
GtkTreePath *   start_path ;
GtkTreePath *   end_path ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_selection_unselect_range (GtkTreeSelection * selection,GtkTreePath * start_path,GtkTreePath * end_path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_selection_unselect_range "<<std::endl;
#endif /* DEBUG */
selection =( GtkTreeSelection * )args( 0 ).long_value();
start_path =( GtkTreePath * )args( 1 ).long_value();
end_path =( GtkTreePath * )args( 2 ).long_value();
gtk_tree_selection_unselect_range ( selection,start_path,end_path);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_sortable_get_type , args , , " GType gtk_tree_sortable_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_sortable_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_sortable_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_sortable_sort_column_changed , args , , " void gtk_tree_sortable_sort_column_changed (GtkTreeSortable * sortable); " )
{
GtkTreeSortable *   sortable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_sortable_sort_column_changed (GtkTreeSortable * sortable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_sortable_sort_column_changed "<<std::endl;
#endif /* DEBUG */
sortable =( GtkTreeSortable * )args( 0 ).long_value();
gtk_tree_sortable_sort_column_changed ( sortable);
return octave_value();
}
DEFUN_DLD( gtk_tree_sortable_get_sort_column_id , args , , " gboolean gtk_tree_sortable_get_sort_column_id (GtkTreeSortable * sortable,gint * sort_column_id,GtkSortType * order); " )
{
GtkTreeSortable *   sortable ;
gint *   sort_column_id ;
GtkSortType *   order ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_sortable_get_sort_column_id (GtkTreeSortable * sortable,gint * sort_column_id,GtkSortType * order); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_sortable_get_sort_column_id "<<std::endl;
#endif /* DEBUG */
sortable =( GtkTreeSortable * )args( 0 ).long_value();
sort_column_id =( gint * )args( 1 ).long_value();
order =( GtkSortType * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_sortable_get_sort_column_id ( sortable,sort_column_id,order);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_sortable_set_sort_column_id , args , , " void gtk_tree_sortable_set_sort_column_id (GtkTreeSortable * sortable,gint sort_column_id,GtkSortType order); " )
{
GtkTreeSortable *   sortable ;
gint   sort_column_id ;
GtkSortType   order ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_sortable_set_sort_column_id (GtkTreeSortable * sortable,gint sort_column_id,GtkSortType order); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_sortable_set_sort_column_id "<<std::endl;
#endif /* DEBUG */
sortable =( GtkTreeSortable * )args( 0 ).long_value();
sort_column_id = (  gint  ) args( 1 ).int_value();
order = (  GtkSortType  ) args( 2 ).long_value();
gtk_tree_sortable_set_sort_column_id ( sortable,sort_column_id,order);
return octave_value();
}
DEFUN_DLD( gtk_tree_sortable_set_sort_func , args , , " void gtk_tree_sortable_set_sort_func (GtkTreeSortable * sortable,gint sort_column_id,GtkTreeIterCompareFunc sort_func,gpointer user_data,GtkDestroyNotify destroy); " )
{
GtkTreeSortable *   sortable ;
gint   sort_column_id ;
GtkTreeIterCompareFunc   sort_func ;
gpointer   user_data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_tree_sortable_set_sort_func (GtkTreeSortable * sortable,gint sort_column_id,GtkTreeIterCompareFunc sort_func,gpointer user_data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_sortable_set_sort_func "<<std::endl;
#endif /* DEBUG */
sortable =( GtkTreeSortable * )args( 0 ).long_value();
sort_column_id = (  gint  ) args( 1 ).int_value();
sort_func = (  GtkTreeIterCompareFunc  ) args( 2 ).long_value();
user_data =( gpointer )args( 3 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 4 ).long_value();
gtk_tree_sortable_set_sort_func ( sortable,sort_column_id,sort_func,user_data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_tree_sortable_set_default_sort_func , args , , " void gtk_tree_sortable_set_default_sort_func (GtkTreeSortable * sortable,GtkTreeIterCompareFunc sort_func,gpointer user_data,GtkDestroyNotify destroy); " )
{
GtkTreeSortable *   sortable ;
GtkTreeIterCompareFunc   sort_func ;
gpointer   user_data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_sortable_set_default_sort_func (GtkTreeSortable * sortable,GtkTreeIterCompareFunc sort_func,gpointer user_data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_sortable_set_default_sort_func "<<std::endl;
#endif /* DEBUG */
sortable =( GtkTreeSortable * )args( 0 ).long_value();
sort_func = (  GtkTreeIterCompareFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_tree_sortable_set_default_sort_func ( sortable,sort_func,user_data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_tree_sortable_has_default_sort_func , args , , " gboolean gtk_tree_sortable_has_default_sort_func (GtkTreeSortable * sortable); " )
{
GtkTreeSortable *   sortable ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_sortable_has_default_sort_func (GtkTreeSortable * sortable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_sortable_has_default_sort_func "<<std::endl;
#endif /* DEBUG */
sortable =( GtkTreeSortable * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_sortable_has_default_sort_func ( sortable);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_store_get_type , args , , " GType gtk_tree_store_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_store_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_store_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_store_new , args , , " GtkTreeStore * gtk_tree_store_new (gint n_columns,char * varargs_value); " )
{
gint   n_columns ;
char *   varargs_value ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTreeStore * gtk_tree_store_new (gint n_columns,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_new "<<std::endl;
#endif /* DEBUG */
n_columns = (  gint  ) args( 0 ).int_value();
varargs_value = new  char   [args( 1 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_tree_store_new ( n_columns,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_store_newv , args , , " GtkTreeStore * gtk_tree_store_newv (gint n_columns,GType * types); " )
{
gint   n_columns ;
GType *   types ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTreeStore * gtk_tree_store_newv (gint n_columns,GType * types); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_newv "<<std::endl;
#endif /* DEBUG */
n_columns = (  gint  ) args( 0 ).int_value();
types =( GType * )args( 1 ).long_value();
long int ret_type= (long int) gtk_tree_store_newv ( n_columns,types);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_store_set_column_types , args , , " void gtk_tree_store_set_column_types (GtkTreeStore * tree_store,gint n_columns,GType * types); " )
{
GtkTreeStore *   tree_store ;
gint   n_columns ;
GType *   types ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_set_column_types (GtkTreeStore * tree_store,gint n_columns,GType * types); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_set_column_types "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
n_columns = (  gint  ) args( 1 ).int_value();
types =( GType * )args( 2 ).long_value();
gtk_tree_store_set_column_types ( tree_store,n_columns,types);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_set_value , args , , " void gtk_tree_store_set_value (GtkTreeStore * tree_store,GtkTreeIter * iter,gint column,GValue * value); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
gint   column ;
GValue *   value ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_store_set_value (GtkTreeStore * tree_store,GtkTreeIter * iter,gint column,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_set_value "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
column = (  gint  ) args( 2 ).int_value();
value =( GValue * )args( 3 ).long_value();
gtk_tree_store_set_value ( tree_store,iter,column,value);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_set , args , , " void gtk_tree_store_set (GtkTreeStore * tree_store,GtkTreeIter * iter,char * varargs_value); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_set (GtkTreeStore * tree_store,GtkTreeIter * iter,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_set "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_tree_store_set ( tree_store,iter,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_set_valist , args , , " void gtk_tree_store_set_valist (GtkTreeStore * tree_store,GtkTreeIter * iter,va_list var_args); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
va_list   var_args ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_set_valist (GtkTreeStore * tree_store,GtkTreeIter * iter,va_list var_args); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_set_valist "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
var_args = (  va_list  ) args( 2 ).long_value();
gtk_tree_store_set_valist ( tree_store,iter,var_args);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_remove , args , , " gboolean gtk_tree_store_remove (GtkTreeStore * tree_store,GtkTreeIter * iter); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_store_remove (GtkTreeStore * tree_store,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_remove "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_store_remove ( tree_store,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_store_insert , args , , " void gtk_tree_store_insert (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent,gint position); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   parent ;
gint   position ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_store_insert (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_insert "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
parent =( GtkTreeIter * )args( 2 ).long_value();
position = (  gint  ) args( 3 ).int_value();
gtk_tree_store_insert ( tree_store,iter,parent,position);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_insert_before , args , , " void gtk_tree_store_insert_before (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent,GtkTreeIter * sibling); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   parent ;
GtkTreeIter *   sibling ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_store_insert_before (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent,GtkTreeIter * sibling); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_insert_before "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
parent =( GtkTreeIter * )args( 2 ).long_value();
sibling =( GtkTreeIter * )args( 3 ).long_value();
gtk_tree_store_insert_before ( tree_store,iter,parent,sibling);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_insert_after , args , , " void gtk_tree_store_insert_after (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent,GtkTreeIter * sibling); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   parent ;
GtkTreeIter *   sibling ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_store_insert_after (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent,GtkTreeIter * sibling); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_insert_after "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
parent =( GtkTreeIter * )args( 2 ).long_value();
sibling =( GtkTreeIter * )args( 3 ).long_value();
gtk_tree_store_insert_after ( tree_store,iter,parent,sibling);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_prepend , args , , " void gtk_tree_store_prepend (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   parent ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_prepend (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_prepend "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
parent =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_store_prepend ( tree_store,iter,parent);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_append , args , , " void gtk_tree_store_append (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   parent ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_append (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * parent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_append "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
parent =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_store_append ( tree_store,iter,parent);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_is_ancestor , args , , " gboolean gtk_tree_store_is_ancestor (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * descendant); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   descendant ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_store_is_ancestor (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * descendant); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_is_ancestor "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
descendant =( GtkTreeIter * )args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_store_is_ancestor ( tree_store,iter,descendant);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_store_iter_depth , args , , " gint gtk_tree_store_iter_depth (GtkTreeStore * tree_store,GtkTreeIter * iter); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_tree_store_iter_depth (GtkTreeStore * tree_store,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_iter_depth "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_store_iter_depth ( tree_store,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_store_clear , args , , " void gtk_tree_store_clear (GtkTreeStore * tree_store); " )
{
GtkTreeStore *   tree_store ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_store_clear (GtkTreeStore * tree_store); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_clear "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
gtk_tree_store_clear ( tree_store);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_iter_is_valid , args , , " gboolean gtk_tree_store_iter_is_valid (GtkTreeStore * tree_store,GtkTreeIter * iter); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_store_iter_is_valid (GtkTreeStore * tree_store,GtkTreeIter * iter); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_iter_is_valid "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_store_iter_is_valid ( tree_store,iter);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_store_reorder , args , , " void gtk_tree_store_reorder (GtkTreeStore * tree_store,GtkTreeIter * parent,gint * new_order); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   parent ;
gint *   new_order ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_reorder (GtkTreeStore * tree_store,GtkTreeIter * parent,gint * new_order); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_reorder "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
parent =( GtkTreeIter * )args( 1 ).long_value();
new_order =( gint * )args( 2 ).long_value();
gtk_tree_store_reorder ( tree_store,parent,new_order);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_swap , args , , " void gtk_tree_store_swap (GtkTreeStore * tree_store,GtkTreeIter * a,GtkTreeIter * b); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   a ;
GtkTreeIter *   b ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_swap (GtkTreeStore * tree_store,GtkTreeIter * a,GtkTreeIter * b); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_swap "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
a =( GtkTreeIter * )args( 1 ).long_value();
b =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_store_swap ( tree_store,a,b);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_move_before , args , , " void gtk_tree_store_move_before (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * position); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_move_before (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_move_before "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
position =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_store_move_before ( tree_store,iter,position);
return octave_value();
}
DEFUN_DLD( gtk_tree_store_move_after , args , , " void gtk_tree_store_move_after (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * position); " )
{
GtkTreeStore *   tree_store ;
GtkTreeIter *   iter ;
GtkTreeIter *   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_store_move_after (GtkTreeStore * tree_store,GtkTreeIter * iter,GtkTreeIter * position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_store_move_after "<<std::endl;
#endif /* DEBUG */
tree_store =( GtkTreeStore * )args( 0 ).long_value();
iter =( GtkTreeIter * )args( 1 ).long_value();
position =( GtkTreeIter * )args( 2 ).long_value();
gtk_tree_store_move_after ( tree_store,iter,position);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_view_column_get_type , args , , " GType gtk_tree_view_column_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_view_column_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_view_column_new , args , , " GtkTreeViewColumn * gtk_tree_view_column_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_tree_view_column_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_new_with_attributes , args , , " GtkTreeViewColumn * gtk_tree_view_column_new_with_attributes (gchar * title,GtkCellRenderer * cell,char * varargs_value); " )
{
gchar *   title ;
GtkCellRenderer *   cell ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkTreeViewColumn * gtk_tree_view_column_new_with_attributes (gchar * title,GtkCellRenderer * cell,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_new_with_attributes "<<std::endl;
#endif /* DEBUG */
title = new  gchar   [args( 0 ).string_value ().length()];
strcpy( (char *) title ,args( 0 ).string_value().c_str());
cell =( GtkCellRenderer * )args( 1 ).long_value();
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
long int ret_type= (long int) gtk_tree_view_column_new_with_attributes ( title,cell,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_pack_start , args , , " void gtk_tree_view_column_pack_start (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell,gboolean expand); " )
{
GtkTreeViewColumn *   tree_column ;
GtkCellRenderer *   cell ;
gboolean   expand ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_pack_start (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell,gboolean expand); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_pack_start "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell =( GtkCellRenderer * )args( 1 ).long_value();
expand = (  gboolean  ) args( 2 ).long_value();
gtk_tree_view_column_pack_start ( tree_column,cell,expand);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_pack_end , args , , " void gtk_tree_view_column_pack_end (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell,gboolean expand); " )
{
GtkTreeViewColumn *   tree_column ;
GtkCellRenderer *   cell ;
gboolean   expand ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_pack_end (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell,gboolean expand); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_pack_end "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell =( GtkCellRenderer * )args( 1 ).long_value();
expand = (  gboolean  ) args( 2 ).long_value();
gtk_tree_view_column_pack_end ( tree_column,cell,expand);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_clear , args , , " void gtk_tree_view_column_clear (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_clear (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_clear "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
gtk_tree_view_column_clear ( tree_column);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_cell_renderers , args , , " GList * gtk_tree_view_column_get_cell_renderers (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList * gtk_tree_view_column_get_cell_renderers (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_cell_renderers "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_column_get_cell_renderers ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_add_attribute , args , , " void gtk_tree_view_column_add_attribute (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer,gchar * attribute,gint column); " )
{
GtkTreeViewColumn *   tree_column ;
GtkCellRenderer *   cell_renderer ;
gchar *   attribute ;
gint   column ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_add_attribute (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer,gchar * attribute,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_add_attribute "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell_renderer =( GtkCellRenderer * )args( 1 ).long_value();
attribute = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) attribute ,args( 2 ).string_value().c_str());
column = (  gint  ) args( 3 ).int_value();
gtk_tree_view_column_add_attribute ( tree_column,cell_renderer,attribute,column);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_set_attributes , args , , " void gtk_tree_view_column_set_attributes (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer,char * varargs_value); " )
{
GtkTreeViewColumn *   tree_column ;
GtkCellRenderer *   cell_renderer ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_attributes (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_attributes "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell_renderer =( GtkCellRenderer * )args( 1 ).long_value();
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_tree_view_column_set_attributes ( tree_column,cell_renderer,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_set_cell_data_func , args , , " void gtk_tree_view_column_set_cell_data_func (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer,GtkTreeCellDataFunc func,gpointer func_data,GtkDestroyNotify destroy); " )
{
GtkTreeViewColumn *   tree_column ;
GtkCellRenderer *   cell_renderer ;
GtkTreeCellDataFunc   func ;
gpointer   func_data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_cell_data_func (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer,GtkTreeCellDataFunc func,gpointer func_data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_cell_data_func "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell_renderer =( GtkCellRenderer * )args( 1 ).long_value();
func = (  GtkTreeCellDataFunc  ) args( 2 ).long_value();
func_data =( gpointer )args( 3 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 4 ).long_value();
gtk_tree_view_column_set_cell_data_func ( tree_column,cell_renderer,func,func_data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_clear_attributes , args , , " void gtk_tree_view_column_clear_attributes (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer); " )
{
GtkTreeViewColumn *   tree_column ;
GtkCellRenderer *   cell_renderer ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_clear_attributes (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_clear_attributes "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell_renderer =( GtkCellRenderer * )args( 1 ).long_value();
gtk_tree_view_column_clear_attributes ( tree_column,cell_renderer);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_set_spacing , args , , " void gtk_tree_view_column_set_spacing (GtkTreeViewColumn * tree_column,gint spacing); " )
{
GtkTreeViewColumn *   tree_column ;
gint   spacing ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_spacing (GtkTreeViewColumn * tree_column,gint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_spacing "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
spacing = (  gint  ) args( 1 ).int_value();
gtk_tree_view_column_set_spacing ( tree_column,spacing);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_spacing , args , , " gint gtk_tree_view_column_get_spacing (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_view_column_get_spacing (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_spacing "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_spacing ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_visible , args , , " void gtk_tree_view_column_set_visible (GtkTreeViewColumn * tree_column,gboolean visible); " )
{
GtkTreeViewColumn *   tree_column ;
gboolean   visible ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_visible (GtkTreeViewColumn * tree_column,gboolean visible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_visible "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
visible = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_column_set_visible ( tree_column,visible);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_visible , args , , " gboolean gtk_tree_view_column_get_visible (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_column_get_visible (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_visible "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_visible ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_resizable , args , , " void gtk_tree_view_column_set_resizable (GtkTreeViewColumn * tree_column,gboolean resizable); " )
{
GtkTreeViewColumn *   tree_column ;
gboolean   resizable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_resizable (GtkTreeViewColumn * tree_column,gboolean resizable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_resizable "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
resizable = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_column_set_resizable ( tree_column,resizable);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_resizable , args , , " gboolean gtk_tree_view_column_get_resizable (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_column_get_resizable (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_resizable "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_resizable ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_sizing , args , , " void gtk_tree_view_column_set_sizing (GtkTreeViewColumn * tree_column,GtkTreeViewColumnSizing type); " )
{
GtkTreeViewColumn *   tree_column ;
GtkTreeViewColumnSizing   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_sizing (GtkTreeViewColumn * tree_column,GtkTreeViewColumnSizing type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_sizing "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
type = (  GtkTreeViewColumnSizing  ) args( 1 ).long_value();
gtk_tree_view_column_set_sizing ( tree_column,type);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_sizing , args , , " GtkTreeViewColumnSizing gtk_tree_view_column_get_sizing (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeViewColumnSizing gtk_tree_view_column_get_sizing (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_sizing "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_sizing ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_get_width , args , , " gint gtk_tree_view_column_get_width (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_view_column_get_width (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_width "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_width ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_get_fixed_width , args , , " gint gtk_tree_view_column_get_fixed_width (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_view_column_get_fixed_width (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_fixed_width "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_fixed_width ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_fixed_width , args , , " void gtk_tree_view_column_set_fixed_width (GtkTreeViewColumn * tree_column,gint fixed_width); " )
{
GtkTreeViewColumn *   tree_column ;
gint   fixed_width ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_fixed_width (GtkTreeViewColumn * tree_column,gint fixed_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_fixed_width "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
fixed_width = (  gint  ) args( 1 ).int_value();
gtk_tree_view_column_set_fixed_width ( tree_column,fixed_width);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_set_min_width , args , , " void gtk_tree_view_column_set_min_width (GtkTreeViewColumn * tree_column,gint min_width); " )
{
GtkTreeViewColumn *   tree_column ;
gint   min_width ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_min_width (GtkTreeViewColumn * tree_column,gint min_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_min_width "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
min_width = (  gint  ) args( 1 ).int_value();
gtk_tree_view_column_set_min_width ( tree_column,min_width);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_min_width , args , , " gint gtk_tree_view_column_get_min_width (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_view_column_get_min_width (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_min_width "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_min_width ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_max_width , args , , " void gtk_tree_view_column_set_max_width (GtkTreeViewColumn * tree_column,gint max_width); " )
{
GtkTreeViewColumn *   tree_column ;
gint   max_width ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_max_width (GtkTreeViewColumn * tree_column,gint max_width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_max_width "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
max_width = (  gint  ) args( 1 ).int_value();
gtk_tree_view_column_set_max_width ( tree_column,max_width);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_max_width , args , , " gint gtk_tree_view_column_get_max_width (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_view_column_get_max_width (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_max_width "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_max_width ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_clicked , args , , " void gtk_tree_view_column_clicked (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_clicked (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_clicked "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
gtk_tree_view_column_clicked ( tree_column);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_set_title , args , , " void gtk_tree_view_column_set_title (GtkTreeViewColumn * tree_column,gchar * title); " )
{
GtkTreeViewColumn *   tree_column ;
gchar *   title ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_title (GtkTreeViewColumn * tree_column,gchar * title); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_title "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
title = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) title ,args( 1 ).string_value().c_str());
gtk_tree_view_column_set_title ( tree_column,title);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_title , args , , " gchar * gtk_tree_view_column_get_title (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_tree_view_column_get_title (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_title "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
string  ret_type( gtk_tree_view_column_get_title ( tree_column));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_clickable , args , , " void gtk_tree_view_column_set_clickable (GtkTreeViewColumn * tree_column,gboolean clickable); " )
{
GtkTreeViewColumn *   tree_column ;
gboolean   clickable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_clickable (GtkTreeViewColumn * tree_column,gboolean clickable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_clickable "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
clickable = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_column_set_clickable ( tree_column,clickable);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_clickable , args , , " gboolean gtk_tree_view_column_get_clickable (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_column_get_clickable (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_clickable "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_clickable ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_widget , args , , " void gtk_tree_view_column_set_widget (GtkTreeViewColumn * tree_column,GtkWidget * widget); " )
{
GtkTreeViewColumn *   tree_column ;
GtkWidget *   widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_widget (GtkTreeViewColumn * tree_column,GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_widget "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
widget =( GtkWidget * )args( 1 ).long_value();
gtk_tree_view_column_set_widget ( tree_column,widget);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_widget , args , , " GtkWidget * gtk_tree_view_column_get_widget (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget * gtk_tree_view_column_get_widget (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_widget "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_column_get_widget ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_alignment , args , , " void gtk_tree_view_column_set_alignment (GtkTreeViewColumn * tree_column,gfloat xalign); " )
{
GtkTreeViewColumn *   tree_column ;
gfloat   xalign ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_alignment (GtkTreeViewColumn * tree_column,gfloat xalign); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_alignment "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
xalign = (  gfloat  ) args( 1 ).double_value();
gtk_tree_view_column_set_alignment ( tree_column,xalign);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_alignment , args , , " gfloat gtk_tree_view_column_get_alignment (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gfloat gtk_tree_view_column_get_alignment (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_alignment "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_alignment ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_reorderable , args , , " void gtk_tree_view_column_set_reorderable (GtkTreeViewColumn * tree_column,gboolean reorderable); " )
{
GtkTreeViewColumn *   tree_column ;
gboolean   reorderable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_reorderable (GtkTreeViewColumn * tree_column,gboolean reorderable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_reorderable "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
reorderable = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_column_set_reorderable ( tree_column,reorderable);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_reorderable , args , , " gboolean gtk_tree_view_column_get_reorderable (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_column_get_reorderable (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_reorderable "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_reorderable ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_sort_column_id , args , , " void gtk_tree_view_column_set_sort_column_id (GtkTreeViewColumn * tree_column,gint sort_column_id); " )
{
GtkTreeViewColumn *   tree_column ;
gint   sort_column_id ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_sort_column_id (GtkTreeViewColumn * tree_column,gint sort_column_id); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_sort_column_id "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
sort_column_id = (  gint  ) args( 1 ).int_value();
gtk_tree_view_column_set_sort_column_id ( tree_column,sort_column_id);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_sort_column_id , args , , " gint gtk_tree_view_column_get_sort_column_id (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_view_column_get_sort_column_id (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_sort_column_id "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_sort_column_id ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_sort_indicator , args , , " void gtk_tree_view_column_set_sort_indicator (GtkTreeViewColumn * tree_column,gboolean setting); " )
{
GtkTreeViewColumn *   tree_column ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_sort_indicator (GtkTreeViewColumn * tree_column,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_sort_indicator "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_column_set_sort_indicator ( tree_column,setting);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_sort_indicator , args , , " gboolean gtk_tree_view_column_get_sort_indicator (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_column_get_sort_indicator (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_sort_indicator "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_sort_indicator ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_set_sort_order , args , , " void gtk_tree_view_column_set_sort_order (GtkTreeViewColumn * tree_column,GtkSortType order); " )
{
GtkTreeViewColumn *   tree_column ;
GtkSortType   order ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_set_sort_order (GtkTreeViewColumn * tree_column,GtkSortType order); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_set_sort_order "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
order = (  GtkSortType  ) args( 1 ).long_value();
gtk_tree_view_column_set_sort_order ( tree_column,order);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_get_sort_order , args , , " GtkSortType gtk_tree_view_column_get_sort_order (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkSortType gtk_tree_view_column_get_sort_order (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_get_sort_order "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_get_sort_order ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_cell_set_cell_data , args , , " void gtk_tree_view_column_cell_set_cell_data (GtkTreeViewColumn * tree_column,GtkTreeModel * tree_model,GtkTreeIter * iter,gboolean is_expander,gboolean is_expanded); " )
{
GtkTreeViewColumn *   tree_column ;
GtkTreeModel *   tree_model ;
GtkTreeIter *   iter ;
gboolean   is_expander ;
gboolean   is_expanded ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_cell_set_cell_data (GtkTreeViewColumn * tree_column,GtkTreeModel * tree_model,GtkTreeIter * iter,gboolean is_expander,gboolean is_expanded); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_cell_set_cell_data "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
tree_model =( GtkTreeModel * )args( 1 ).long_value();
iter =( GtkTreeIter * )args( 2 ).long_value();
is_expander = (  gboolean  ) args( 3 ).long_value();
is_expanded = (  gboolean  ) args( 4 ).long_value();
gtk_tree_view_column_cell_set_cell_data ( tree_column,tree_model,iter,is_expander,is_expanded);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_cell_get_size , args , , " void gtk_tree_view_column_cell_get_size (GtkTreeViewColumn * tree_column,GdkRectangle * cell_area,gint * x_offset,gint * y_offset,gint * width,gint * height); " )
{
GtkTreeViewColumn *   tree_column ;
GdkRectangle *   cell_area ;
gint *   x_offset ;
gint *   y_offset ;
gint *   width ;
gint *   height ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_cell_get_size (GtkTreeViewColumn * tree_column,GdkRectangle * cell_area,gint * x_offset,gint * y_offset,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_cell_get_size "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell_area =( GdkRectangle * )args( 1 ).long_value();
x_offset =( gint * )args( 2 ).long_value();
y_offset =( gint * )args( 3 ).long_value();
width =( gint * )args( 4 ).long_value();
height =( gint * )args( 5 ).long_value();
gtk_tree_view_column_cell_get_size ( tree_column,cell_area,x_offset,y_offset,width,height);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_cell_is_visible , args , , " gboolean gtk_tree_view_column_cell_is_visible (GtkTreeViewColumn * tree_column); " )
{
GtkTreeViewColumn *   tree_column ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_column_cell_is_visible (GtkTreeViewColumn * tree_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_cell_is_visible "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_cell_is_visible ( tree_column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_column_focus_cell , args , , " void gtk_tree_view_column_focus_cell (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell); " )
{
GtkTreeViewColumn *   tree_column ;
GtkCellRenderer *   cell ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_column_focus_cell (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_focus_cell "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell =( GtkCellRenderer * )args( 1 ).long_value();
gtk_tree_view_column_focus_cell ( tree_column,cell);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_column_cell_get_position , args , , " gboolean gtk_tree_view_column_cell_get_position (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer,gint * start_pos,gint * width); " )
{
GtkTreeViewColumn *   tree_column ;
GtkCellRenderer *   cell_renderer ;
gint *   start_pos ;
gint *   width ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_column_cell_get_position (GtkTreeViewColumn * tree_column,GtkCellRenderer * cell_renderer,gint * start_pos,gint * width); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_cell_get_position "<<std::endl;
#endif /* DEBUG */
tree_column =( GtkTreeViewColumn * )args( 0 ).long_value();
cell_renderer =( GtkCellRenderer * )args( 1 ).long_value();
start_pos =( gint * )args( 2 ).long_value();
width =( gint * )args( 3 ).long_value();
long int ret_type=(long int) gtk_tree_view_column_cell_get_position ( tree_column,cell_renderer,start_pos,width);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_view_get_type , args , , " GType gtk_tree_view_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_view_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_view_new , args , , " GtkWidget * gtk_tree_view_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_view_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_tree_view_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_new_with_model , args , , " GtkWidget * gtk_tree_view_new_with_model (GtkTreeModel * model); " )
{
GtkTreeModel *   model ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget * gtk_tree_view_new_with_model (GtkTreeModel * model); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_new_with_model "<<std::endl;
#endif /* DEBUG */
model =( GtkTreeModel * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_new_with_model ( model);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_get_model , args , , " GtkTreeModel * gtk_tree_view_get_model (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeModel * gtk_tree_view_get_model (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_model "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_get_model ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_model , args , , " void gtk_tree_view_set_model (GtkTreeView * tree_view,GtkTreeModel * model); " )
{
GtkTreeView *   tree_view ;
GtkTreeModel *   model ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_model (GtkTreeView * tree_view,GtkTreeModel * model); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_model "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
model =( GtkTreeModel * )args( 1 ).long_value();
gtk_tree_view_set_model ( tree_view,model);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_selection , args , , " GtkTreeSelection * gtk_tree_view_get_selection (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeSelection * gtk_tree_view_get_selection (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_selection "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_get_selection ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_get_hadjustment , args , , " GtkAdjustment * gtk_tree_view_get_hadjustment (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment * gtk_tree_view_get_hadjustment (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_hadjustment "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_get_hadjustment ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_hadjustment , args , , " void gtk_tree_view_set_hadjustment (GtkTreeView * tree_view,GtkAdjustment * adjustment); " )
{
GtkTreeView *   tree_view ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_hadjustment (GtkTreeView * tree_view,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_hadjustment "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_tree_view_set_hadjustment ( tree_view,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_vadjustment , args , , " GtkAdjustment * gtk_tree_view_get_vadjustment (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment * gtk_tree_view_get_vadjustment (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_vadjustment "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_get_vadjustment ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_vadjustment , args , , " void gtk_tree_view_set_vadjustment (GtkTreeView * tree_view,GtkAdjustment * adjustment); " )
{
GtkTreeView *   tree_view ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_vadjustment (GtkTreeView * tree_view,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_vadjustment "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_tree_view_set_vadjustment ( tree_view,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_headers_visible , args , , " gboolean gtk_tree_view_get_headers_visible (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_get_headers_visible (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_headers_visible "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_get_headers_visible ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_headers_visible , args , , " void gtk_tree_view_set_headers_visible (GtkTreeView * tree_view,gboolean headers_visible); " )
{
GtkTreeView *   tree_view ;
gboolean   headers_visible ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_headers_visible (GtkTreeView * tree_view,gboolean headers_visible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_headers_visible "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
headers_visible = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_set_headers_visible ( tree_view,headers_visible);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_columns_autosize , args , , " void gtk_tree_view_columns_autosize (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_view_columns_autosize (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_columns_autosize "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
gtk_tree_view_columns_autosize ( tree_view);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_set_headers_clickable , args , , " void gtk_tree_view_set_headers_clickable (GtkTreeView * tree_view,gboolean setting); " )
{
GtkTreeView *   tree_view ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_headers_clickable (GtkTreeView * tree_view,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_headers_clickable "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_set_headers_clickable ( tree_view,setting);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_set_rules_hint , args , , " void gtk_tree_view_set_rules_hint (GtkTreeView * tree_view,gboolean setting); " )
{
GtkTreeView *   tree_view ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_rules_hint (GtkTreeView * tree_view,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_rules_hint "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_set_rules_hint ( tree_view,setting);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_rules_hint , args , , " gboolean gtk_tree_view_get_rules_hint (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_get_rules_hint (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_rules_hint "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_get_rules_hint ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_append_column , args , , " gint gtk_tree_view_append_column (GtkTreeView * tree_view,GtkTreeViewColumn * column); " )
{
GtkTreeView *   tree_view ;
GtkTreeViewColumn *   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_tree_view_append_column (GtkTreeView * tree_view,GtkTreeViewColumn * column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_append_column "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
column =( GtkTreeViewColumn * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_view_append_column ( tree_view,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_remove_column , args , , " gint gtk_tree_view_remove_column (GtkTreeView * tree_view,GtkTreeViewColumn * column); " )
{
GtkTreeView *   tree_view ;
GtkTreeViewColumn *   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_tree_view_remove_column (GtkTreeView * tree_view,GtkTreeViewColumn * column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_remove_column "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
column =( GtkTreeViewColumn * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_view_remove_column ( tree_view,column);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_insert_column , args , , " gint gtk_tree_view_insert_column (GtkTreeView * tree_view,GtkTreeViewColumn * column,gint position); " )
{
GtkTreeView *   tree_view ;
GtkTreeViewColumn *   column ;
gint   position ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gint gtk_tree_view_insert_column (GtkTreeView * tree_view,GtkTreeViewColumn * column,gint position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_insert_column "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
column =( GtkTreeViewColumn * )args( 1 ).long_value();
position = (  gint  ) args( 2 ).int_value();
long int ret_type=(long int) gtk_tree_view_insert_column ( tree_view,column,position);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_insert_column_with_attributes , args , , " gint gtk_tree_view_insert_column_with_attributes (GtkTreeView * tree_view,gint position,gchar * title,GtkCellRenderer * cell,char * varargs_value); " )
{
GtkTreeView *   tree_view ;
gint   position ;
gchar *   title ;
GtkCellRenderer *   cell ;
char *   varargs_value ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  gint gtk_tree_view_insert_column_with_attributes (GtkTreeView * tree_view,gint position,gchar * title,GtkCellRenderer * cell,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_insert_column_with_attributes "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
title = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) title ,args( 2 ).string_value().c_str());
cell =( GtkCellRenderer * )args( 3 ).long_value();
varargs_value = new  char   [args( 4 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 4 ).string_value().c_str());
long int ret_type=(long int) gtk_tree_view_insert_column_with_attributes ( tree_view,position,title,cell,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_insert_column_with_data_func , args , , " gint gtk_tree_view_insert_column_with_data_func (GtkTreeView * tree_view,gint position,gchar * title,GtkCellRenderer * cell,GtkTreeCellDataFunc func,gpointer data,GDestroyNotify dnotify); " )
{
GtkTreeView *   tree_view ;
gint   position ;
gchar *   title ;
GtkCellRenderer *   cell ;
GtkTreeCellDataFunc   func ;
gpointer   data ;
GDestroyNotify   dnotify ;
 if(args.length()!= 7 )
  {
   std::cout<< "eg:  gint gtk_tree_view_insert_column_with_data_func (GtkTreeView * tree_view,gint position,gchar * title,GtkCellRenderer * cell,GtkTreeCellDataFunc func,gpointer data,GDestroyNotify dnotify); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_insert_column_with_data_func "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
position = (  gint  ) args( 1 ).int_value();
title = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) title ,args( 2 ).string_value().c_str());
cell =( GtkCellRenderer * )args( 3 ).long_value();
func = (  GtkTreeCellDataFunc  ) args( 4 ).long_value();
data =( gpointer )args( 5 ).long_value();
dnotify = (  GDestroyNotify  ) args( 6 ).long_value();
long int ret_type=(long int) gtk_tree_view_insert_column_with_data_func ( tree_view,position,title,cell,func,data,dnotify);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_get_column , args , , " GtkTreeViewColumn * gtk_tree_view_get_column (GtkTreeView * tree_view,gint n); " )
{
GtkTreeView *   tree_view ;
gint   n ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkTreeViewColumn * gtk_tree_view_get_column (GtkTreeView * tree_view,gint n); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_column "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
n = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_tree_view_get_column ( tree_view,n);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_get_columns , args , , " GList * gtk_tree_view_get_columns (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList * gtk_tree_view_get_columns (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_columns "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_get_columns ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_move_column_after , args , , " void gtk_tree_view_move_column_after (GtkTreeView * tree_view,GtkTreeViewColumn * column,GtkTreeViewColumn * base_column); " )
{
GtkTreeView *   tree_view ;
GtkTreeViewColumn *   column ;
GtkTreeViewColumn *   base_column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_view_move_column_after (GtkTreeView * tree_view,GtkTreeViewColumn * column,GtkTreeViewColumn * base_column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_move_column_after "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
column =( GtkTreeViewColumn * )args( 1 ).long_value();
base_column =( GtkTreeViewColumn * )args( 2 ).long_value();
gtk_tree_view_move_column_after ( tree_view,column,base_column);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_set_expander_column , args , , " void gtk_tree_view_set_expander_column (GtkTreeView * tree_view,GtkTreeViewColumn * column); " )
{
GtkTreeView *   tree_view ;
GtkTreeViewColumn *   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_expander_column (GtkTreeView * tree_view,GtkTreeViewColumn * column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_expander_column "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
column =( GtkTreeViewColumn * )args( 1 ).long_value();
gtk_tree_view_set_expander_column ( tree_view,column);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_expander_column , args , , " GtkTreeViewColumn * gtk_tree_view_get_expander_column (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeViewColumn * gtk_tree_view_get_expander_column (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_expander_column "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_get_expander_column ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_column_drag_function , args , , " void gtk_tree_view_set_column_drag_function (GtkTreeView * tree_view,GtkTreeViewColumnDropFunc func,gpointer user_data,GtkDestroyNotify destroy); " )
{
GtkTreeView *   tree_view ;
GtkTreeViewColumnDropFunc   func ;
gpointer   user_data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_column_drag_function (GtkTreeView * tree_view,GtkTreeViewColumnDropFunc func,gpointer user_data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_column_drag_function "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
func = (  GtkTreeViewColumnDropFunc  ) args( 1 ).long_value();
user_data =( gpointer )args( 2 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_tree_view_set_column_drag_function ( tree_view,func,user_data,destroy);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_scroll_to_point , args , , " void gtk_tree_view_scroll_to_point (GtkTreeView * tree_view,gint tree_x,gint tree_y); " )
{
GtkTreeView *   tree_view ;
gint   tree_x ;
gint   tree_y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_view_scroll_to_point (GtkTreeView * tree_view,gint tree_x,gint tree_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_scroll_to_point "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
tree_x = (  gint  ) args( 1 ).int_value();
tree_y = (  gint  ) args( 2 ).int_value();
gtk_tree_view_scroll_to_point ( tree_view,tree_x,tree_y);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_scroll_to_cell , args , , " void gtk_tree_view_scroll_to_cell (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * column,gboolean use_align,gfloat row_align,gfloat col_align); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
GtkTreeViewColumn *   column ;
gboolean   use_align ;
gfloat   row_align ;
gfloat   col_align ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_tree_view_scroll_to_cell (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * column,gboolean use_align,gfloat row_align,gfloat col_align); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_scroll_to_cell "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
column =( GtkTreeViewColumn * )args( 2 ).long_value();
use_align = (  gboolean  ) args( 3 ).long_value();
row_align = (  gfloat  ) args( 4 ).double_value();
col_align = (  gfloat  ) args( 5 ).double_value();
gtk_tree_view_scroll_to_cell ( tree_view,path,column,use_align,row_align,col_align);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_row_activated , args , , " void gtk_tree_view_row_activated (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * column); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
GtkTreeViewColumn *   column ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_view_row_activated (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_row_activated "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
column =( GtkTreeViewColumn * )args( 2 ).long_value();
gtk_tree_view_row_activated ( tree_view,path,column);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_expand_all , args , , " void gtk_tree_view_expand_all (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_view_expand_all (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_expand_all "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
gtk_tree_view_expand_all ( tree_view);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_collapse_all , args , , " void gtk_tree_view_collapse_all (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_view_collapse_all (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_collapse_all "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
gtk_tree_view_collapse_all ( tree_view);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_expand_to_path , args , , " void gtk_tree_view_expand_to_path (GtkTreeView * tree_view,GtkTreePath * path); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_expand_to_path (GtkTreeView * tree_view,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_expand_to_path "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
gtk_tree_view_expand_to_path ( tree_view,path);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_expand_row , args , , " gboolean gtk_tree_view_expand_row (GtkTreeView * tree_view,GtkTreePath * path,gboolean open_all); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
gboolean   open_all ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_expand_row (GtkTreeView * tree_view,GtkTreePath * path,gboolean open_all); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_expand_row "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
open_all = (  gboolean  ) args( 2 ).long_value();
long int ret_type=(long int) gtk_tree_view_expand_row ( tree_view,path,open_all);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_collapse_row , args , , " gboolean gtk_tree_view_collapse_row (GtkTreeView * tree_view,GtkTreePath * path); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_collapse_row (GtkTreeView * tree_view,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_collapse_row "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_view_collapse_row ( tree_view,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_map_expanded_rows , args , , " void gtk_tree_view_map_expanded_rows (GtkTreeView * tree_view,GtkTreeViewMappingFunc func,gpointer data); " )
{
GtkTreeView *   tree_view ;
GtkTreeViewMappingFunc   func ;
gpointer   data ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_view_map_expanded_rows (GtkTreeView * tree_view,GtkTreeViewMappingFunc func,gpointer data); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_map_expanded_rows "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
func = (  GtkTreeViewMappingFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
gtk_tree_view_map_expanded_rows ( tree_view,func,data);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_row_expanded , args , , " gboolean gtk_tree_view_row_expanded (GtkTreeView * tree_view,GtkTreePath * path); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_row_expanded (GtkTreeView * tree_view,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_row_expanded "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type=(long int) gtk_tree_view_row_expanded ( tree_view,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_reorderable , args , , " void gtk_tree_view_set_reorderable (GtkTreeView * tree_view,gboolean reorderable); " )
{
GtkTreeView *   tree_view ;
gboolean   reorderable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_reorderable (GtkTreeView * tree_view,gboolean reorderable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_reorderable "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
reorderable = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_set_reorderable ( tree_view,reorderable);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_reorderable , args , , " gboolean gtk_tree_view_get_reorderable (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_get_reorderable (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_reorderable "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_get_reorderable ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_cursor , args , , " void gtk_tree_view_set_cursor (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * focus_column,gboolean start_editing); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
GtkTreeViewColumn *   focus_column ;
gboolean   start_editing ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_cursor (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * focus_column,gboolean start_editing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_cursor "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
focus_column =( GtkTreeViewColumn * )args( 2 ).long_value();
start_editing = (  gboolean  ) args( 3 ).long_value();
gtk_tree_view_set_cursor ( tree_view,path,focus_column,start_editing);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_set_cursor_on_cell , args , , " void gtk_tree_view_set_cursor_on_cell (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * focus_column,GtkCellRenderer * focus_cell,gboolean start_editing); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
GtkTreeViewColumn *   focus_column ;
GtkCellRenderer *   focus_cell ;
gboolean   start_editing ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_cursor_on_cell (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * focus_column,GtkCellRenderer * focus_cell,gboolean start_editing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_cursor_on_cell "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
focus_column =( GtkTreeViewColumn * )args( 2 ).long_value();
focus_cell =( GtkCellRenderer * )args( 3 ).long_value();
start_editing = (  gboolean  ) args( 4 ).long_value();
gtk_tree_view_set_cursor_on_cell ( tree_view,path,focus_column,focus_cell,start_editing);
return octave_value();
}
/* overriden: gtk_tree_view_get_cursor  */
DEFUN_DLD( gtk_tree_view_get_bin_window , args , , " GdkWindow * gtk_tree_view_get_bin_window (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow * gtk_tree_view_get_bin_window (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_bin_window "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type= (long int) gtk_tree_view_get_bin_window ( tree_view);
return octave_value(ret_type);
}
/* overriden: gtk_tree_view_get_path_at_pos  */
DEFUN_DLD( gtk_tree_view_get_cell_area , args , , " void gtk_tree_view_get_cell_area (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * column,GdkRectangle * rect); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
GtkTreeViewColumn *   column ;
GdkRectangle *   rect ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_view_get_cell_area (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * column,GdkRectangle * rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_cell_area "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
column =( GtkTreeViewColumn * )args( 2 ).long_value();
rect =( GdkRectangle * )args( 3 ).long_value();
gtk_tree_view_get_cell_area ( tree_view,path,column,rect);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_background_area , args , , " void gtk_tree_view_get_background_area (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * column,GdkRectangle * rect); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
GtkTreeViewColumn *   column ;
GdkRectangle *   rect ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_view_get_background_area (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewColumn * column,GdkRectangle * rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_background_area "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
column =( GtkTreeViewColumn * )args( 2 ).long_value();
rect =( GdkRectangle * )args( 3 ).long_value();
gtk_tree_view_get_background_area ( tree_view,path,column,rect);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_visible_rect , args , , " void gtk_tree_view_get_visible_rect (GtkTreeView * tree_view,GdkRectangle * visible_rect); " )
{
GtkTreeView *   tree_view ;
GdkRectangle *   visible_rect ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_get_visible_rect (GtkTreeView * tree_view,GdkRectangle * visible_rect); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_visible_rect "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
visible_rect =( GdkRectangle * )args( 1 ).long_value();
gtk_tree_view_get_visible_rect ( tree_view,visible_rect);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_widget_to_tree_coords , args , , " void gtk_tree_view_widget_to_tree_coords (GtkTreeView * tree_view,gint wx,gint wy,gint * tx,gint * ty); " )
{
GtkTreeView *   tree_view ;
gint   wx ;
gint   wy ;
gint *   tx ;
gint *   ty ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_tree_view_widget_to_tree_coords (GtkTreeView * tree_view,gint wx,gint wy,gint * tx,gint * ty); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_widget_to_tree_coords "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
wx = (  gint  ) args( 1 ).int_value();
wy = (  gint  ) args( 2 ).int_value();
tx =( gint * )args( 3 ).long_value();
ty =( gint * )args( 4 ).long_value();
gtk_tree_view_widget_to_tree_coords ( tree_view,wx,wy,tx,ty);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_tree_to_widget_coords , args , , " void gtk_tree_view_tree_to_widget_coords (GtkTreeView * tree_view,gint tx,gint ty,gint * wx,gint * wy); " )
{
GtkTreeView *   tree_view ;
gint   tx ;
gint   ty ;
gint *   wx ;
gint *   wy ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_tree_view_tree_to_widget_coords (GtkTreeView * tree_view,gint tx,gint ty,gint * wx,gint * wy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_tree_to_widget_coords "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
tx = (  gint  ) args( 1 ).int_value();
ty = (  gint  ) args( 2 ).int_value();
wx =( gint * )args( 3 ).long_value();
wy =( gint * )args( 4 ).long_value();
gtk_tree_view_tree_to_widget_coords ( tree_view,tx,ty,wx,wy);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_enable_model_drag_source , args , , " void gtk_tree_view_enable_model_drag_source (GtkTreeView * tree_view,GdkModifierType start_button_mask,GtkTargetEntry * targets,gint n_targets,GdkDragAction actions); " )
{
GtkTreeView *   tree_view ;
GdkModifierType   start_button_mask ;
GtkTargetEntry *   targets ;
gint   n_targets ;
GdkDragAction   actions ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_tree_view_enable_model_drag_source (GtkTreeView * tree_view,GdkModifierType start_button_mask,GtkTargetEntry * targets,gint n_targets,GdkDragAction actions); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_enable_model_drag_source "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
start_button_mask = (  GdkModifierType  ) args( 1 ).long_value();
targets =( GtkTargetEntry * )args( 2 ).long_value();
n_targets = (  gint  ) args( 3 ).int_value();
actions = (  GdkDragAction  ) args( 4 ).long_value();
gtk_tree_view_enable_model_drag_source ( tree_view,start_button_mask,targets,n_targets,actions);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_enable_model_drag_dest , args , , " void gtk_tree_view_enable_model_drag_dest (GtkTreeView * tree_view,GtkTargetEntry * targets,gint n_targets,GdkDragAction actions); " )
{
GtkTreeView *   tree_view ;
GtkTargetEntry *   targets ;
gint   n_targets ;
GdkDragAction   actions ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_view_enable_model_drag_dest (GtkTreeView * tree_view,GtkTargetEntry * targets,gint n_targets,GdkDragAction actions); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_enable_model_drag_dest "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
targets =( GtkTargetEntry * )args( 1 ).long_value();
n_targets = (  gint  ) args( 2 ).int_value();
actions = (  GdkDragAction  ) args( 3 ).long_value();
gtk_tree_view_enable_model_drag_dest ( tree_view,targets,n_targets,actions);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_unset_rows_drag_source , args , , " void gtk_tree_view_unset_rows_drag_source (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_view_unset_rows_drag_source (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_unset_rows_drag_source "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
gtk_tree_view_unset_rows_drag_source ( tree_view);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_unset_rows_drag_dest , args , , " void gtk_tree_view_unset_rows_drag_dest (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_tree_view_unset_rows_drag_dest (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_unset_rows_drag_dest "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
gtk_tree_view_unset_rows_drag_dest ( tree_view);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_set_drag_dest_row , args , , " void gtk_tree_view_set_drag_dest_row (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewDropPosition pos); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
GtkTreeViewDropPosition   pos ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_drag_dest_row (GtkTreeView * tree_view,GtkTreePath * path,GtkTreeViewDropPosition pos); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_drag_dest_row "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
pos = (  GtkTreeViewDropPosition  ) args( 2 ).long_value();
gtk_tree_view_set_drag_dest_row ( tree_view,path,pos);
return octave_value();
}
/* overriden: gtk_tree_view_get_drag_dest_row  */
/* overriden: gtk_tree_view_get_dest_row_at_pos  */
DEFUN_DLD( gtk_tree_view_create_row_drag_icon , args , , " GdkPixmap * gtk_tree_view_create_row_drag_icon (GtkTreeView * tree_view,GtkTreePath * path); " )
{
GtkTreeView *   tree_view ;
GtkTreePath *   path ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkPixmap * gtk_tree_view_create_row_drag_icon (GtkTreeView * tree_view,GtkTreePath * path); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_create_row_drag_icon "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
path =( GtkTreePath * )args( 1 ).long_value();
long int ret_type= (long int) gtk_tree_view_create_row_drag_icon ( tree_view,path);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_enable_search , args , , " void gtk_tree_view_set_enable_search (GtkTreeView * tree_view,gboolean enable_search); " )
{
GtkTreeView *   tree_view ;
gboolean   enable_search ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_enable_search (GtkTreeView * tree_view,gboolean enable_search); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_enable_search "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
enable_search = (  gboolean  ) args( 1 ).long_value();
gtk_tree_view_set_enable_search ( tree_view,enable_search);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_enable_search , args , , " gboolean gtk_tree_view_get_enable_search (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_tree_view_get_enable_search (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_enable_search "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_get_enable_search ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_get_search_column , args , , " gint gtk_tree_view_get_search_column (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_tree_view_get_search_column (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_search_column "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_get_search_column ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_search_column , args , , " void gtk_tree_view_set_search_column (GtkTreeView * tree_view,gint column); " )
{
GtkTreeView *   tree_view ;
gint   column ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_search_column (GtkTreeView * tree_view,gint column); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_search_column "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
column = (  gint  ) args( 1 ).int_value();
gtk_tree_view_set_search_column ( tree_view,column);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_get_search_equal_func , args , , " GtkTreeViewSearchEqualFunc gtk_tree_view_get_search_equal_func (GtkTreeView * tree_view); " )
{
GtkTreeView *   tree_view ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTreeViewSearchEqualFunc gtk_tree_view_get_search_equal_func (GtkTreeView * tree_view); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_get_search_equal_func "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
long int ret_type=(long int) gtk_tree_view_get_search_equal_func ( tree_view);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_tree_view_set_search_equal_func , args , , " void gtk_tree_view_set_search_equal_func (GtkTreeView * tree_view,GtkTreeViewSearchEqualFunc search_equal_func,gpointer search_user_data,GtkDestroyNotify search_destroy); " )
{
GtkTreeView *   tree_view ;
GtkTreeViewSearchEqualFunc   search_equal_func ;
gpointer   search_user_data ;
GtkDestroyNotify   search_destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_search_equal_func (GtkTreeView * tree_view,GtkTreeViewSearchEqualFunc search_equal_func,gpointer search_user_data,GtkDestroyNotify search_destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_search_equal_func "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
search_equal_func = (  GtkTreeViewSearchEqualFunc  ) args( 1 ).long_value();
search_user_data =( gpointer )args( 2 ).long_value();
search_destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_tree_view_set_search_equal_func ( tree_view,search_equal_func,search_user_data,search_destroy);
return octave_value();
}
DEFUN_DLD( gtk_tree_view_set_destroy_count_func , args , , " void gtk_tree_view_set_destroy_count_func (GtkTreeView * tree_view,GtkTreeDestroyCountFunc func,gpointer data,GtkDestroyNotify destroy); " )
{
GtkTreeView *   tree_view ;
GtkTreeDestroyCountFunc   func ;
gpointer   data ;
GtkDestroyNotify   destroy ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_tree_view_set_destroy_count_func (GtkTreeView * tree_view,GtkTreeDestroyCountFunc func,gpointer data,GtkDestroyNotify destroy); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_tree_view_set_destroy_count_func "<<std::endl;
#endif /* DEBUG */
tree_view =( GtkTreeView * )args( 0 ).long_value();
func = (  GtkTreeDestroyCountFunc  ) args( 1 ).long_value();
data =( gpointer )args( 2 ).long_value();
destroy = (  GtkDestroyNotify  ) args( 3 ).long_value();
gtk_tree_view_set_destroy_count_func ( tree_view,func,data,destroy);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_accel_flags_get_type , args , , " GType gtk_accel_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_accel_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_accel_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_calendar_display_options_get_type , args , , " GType gtk_calendar_display_options_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_calendar_display_options_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_calendar_display_options_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_type_get_type , args , , " GType gtk_cell_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_cell_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_clist_drag_pos_get_type , args , , " GType gtk_clist_drag_pos_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_clist_drag_pos_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_clist_drag_pos_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_button_action_get_type , args , , " GType gtk_button_action_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_button_action_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_button_action_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_ctree_pos_get_type , args , , " GType gtk_ctree_pos_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_ctree_pos_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_ctree_pos_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_ctree_line_style_get_type , args , , " GType gtk_ctree_line_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_ctree_line_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_ctree_line_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_ctree_expander_style_get_type , args , , " GType gtk_ctree_expander_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_ctree_expander_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_ctree_expander_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_ctree_expansion_type_get_type , args , , " GType gtk_ctree_expansion_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_ctree_expansion_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_ctree_expansion_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_state_get_type , args , , " GType gtk_cell_renderer_state_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_state_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_cell_renderer_state_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_cell_renderer_mode_get_type , args , , " GType gtk_cell_renderer_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_cell_renderer_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_cell_renderer_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_debug_flag_get_type , args , , " GType gtk_debug_flag_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_debug_flag_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_debug_flag_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_dialog_flags_get_type , args , , " GType gtk_dialog_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_dialog_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_dialog_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_response_type_get_type , args , , " GType gtk_response_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_response_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_response_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_dest_defaults_get_type , args , , " GType gtk_dest_defaults_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_dest_defaults_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_dest_defaults_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_target_flags_get_type , args , , " GType gtk_target_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_target_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_target_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_anchor_type_get_type , args , , " GType gtk_anchor_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_anchor_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_anchor_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_arrow_type_get_type , args , , " GType gtk_arrow_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_arrow_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_arrow_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_attach_options_get_type , args , , " GType gtk_attach_options_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_attach_options_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_attach_options_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_button_box_style_get_type , args , , " GType gtk_button_box_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_button_box_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_button_box_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_curve_type_get_type , args , , " GType gtk_curve_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_curve_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_curve_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_delete_type_get_type , args , , " GType gtk_delete_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_delete_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_delete_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_direction_type_get_type , args , , " GType gtk_direction_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_direction_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_direction_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_expander_style_get_type , args , , " GType gtk_expander_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_expander_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_expander_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_icon_size_get_type , args , , " GType gtk_icon_size_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_icon_size_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_icon_size_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_side_type_get_type , args , , " GType gtk_side_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_side_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_side_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_direction_get_type , args , , " GType gtk_text_direction_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_direction_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_direction_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_justification_get_type , args , , " GType gtk_justification_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_justification_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_justification_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_match_type_get_type , args , , " GType gtk_match_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_match_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_match_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_menu_direction_type_get_type , args , , " GType gtk_menu_direction_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_menu_direction_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_menu_direction_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_metric_type_get_type , args , , " GType gtk_metric_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_metric_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_metric_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_movement_step_get_type , args , , " GType gtk_movement_step_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_movement_step_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_movement_step_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_orientation_get_type , args , , " GType gtk_orientation_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_orientation_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_orientation_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_corner_type_get_type , args , , " GType gtk_corner_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_corner_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_corner_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_pack_type_get_type , args , , " GType gtk_pack_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_pack_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_pack_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_path_priority_type_get_type , args , , " GType gtk_path_priority_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_path_priority_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_path_priority_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_path_type_get_type , args , , " GType gtk_path_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_path_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_path_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_policy_type_get_type , args , , " GType gtk_policy_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_policy_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_policy_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_position_type_get_type , args , , " GType gtk_position_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_position_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_position_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_preview_type_get_type , args , , " GType gtk_preview_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_preview_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_preview_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_relief_style_get_type , args , , " GType gtk_relief_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_relief_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_relief_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_resize_mode_get_type , args , , " GType gtk_resize_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_resize_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_resize_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_signal_run_type_get_type , args , , " GType gtk_signal_run_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_signal_run_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_signal_run_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_scroll_type_get_type , args , , " GType gtk_scroll_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_scroll_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_scroll_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_selection_mode_get_type , args , , " GType gtk_selection_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_selection_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_selection_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_shadow_type_get_type , args , , " GType gtk_shadow_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_shadow_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_shadow_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_state_type_get_type , args , , " GType gtk_state_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_state_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_state_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_submenu_direction_get_type , args , , " GType gtk_submenu_direction_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_submenu_direction_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_submenu_direction_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_submenu_placement_get_type , args , , " GType gtk_submenu_placement_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_submenu_placement_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_submenu_placement_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_toolbar_style_get_type , args , , " GType gtk_toolbar_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_toolbar_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_toolbar_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_update_type_get_type , args , , " GType gtk_update_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_update_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_update_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_visibility_get_type , args , , " GType gtk_visibility_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_visibility_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_visibility_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_window_position_get_type , args , , " GType gtk_window_position_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_window_position_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_window_position_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_window_type_get_type , args , , " GType gtk_window_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_window_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_window_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_wrap_mode_get_type , args , , " GType gtk_wrap_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_wrap_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_wrap_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_sort_type_get_type , args , , " GType gtk_sort_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_sort_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_sort_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_im_preedit_style_get_type , args , , " GType gtk_im_preedit_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_im_preedit_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_im_preedit_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_im_status_style_get_type , args , , " GType gtk_im_status_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_im_status_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_im_status_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_image_type_get_type , args , , " GType gtk_image_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_image_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_image_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_message_type_get_type , args , , " GType gtk_message_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_message_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_message_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_buttons_type_get_type , args , , " GType gtk_buttons_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_buttons_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_buttons_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_notebook_tab_get_type , args , , " GType gtk_notebook_tab_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_notebook_tab_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_notebook_tab_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_object_flags_get_type , args , , " GType gtk_object_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_object_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_object_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_arg_flags_get_type , args , , " GType gtk_arg_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_arg_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_arg_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_private_flags_get_type , args , , " GType gtk_private_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_private_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_private_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_progress_bar_style_get_type , args , , " GType gtk_progress_bar_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_progress_bar_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_progress_bar_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_progress_bar_orientation_get_type , args , , " GType gtk_progress_bar_orientation_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_progress_bar_orientation_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_progress_bar_orientation_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_flags_get_type , args , , " GType gtk_rc_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_rc_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_rc_token_type_get_type , args , , " GType gtk_rc_token_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_rc_token_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_rc_token_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_size_group_mode_get_type , args , , " GType gtk_size_group_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_size_group_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_size_group_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_spin_button_update_policy_get_type , args , , " GType gtk_spin_button_update_policy_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_spin_button_update_policy_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_spin_button_update_policy_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_spin_type_get_type , args , , " GType gtk_spin_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_spin_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_spin_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_search_flags_get_type , args , , " GType gtk_text_search_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_search_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_search_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_text_window_type_get_type , args , , " GType gtk_text_window_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_text_window_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_text_window_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_toolbar_child_type_get_type , args , , " GType gtk_toolbar_child_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_toolbar_child_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_toolbar_child_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_toolbar_space_style_get_type , args , , " GType gtk_toolbar_space_style_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_toolbar_space_style_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_toolbar_space_style_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_view_mode_get_type , args , , " GType gtk_tree_view_mode_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_view_mode_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_view_mode_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_model_flags_get_type , args , , " GType gtk_tree_model_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_model_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_model_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_view_drop_position_get_type , args , , " GType gtk_tree_view_drop_position_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_view_drop_position_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_view_drop_position_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_tree_view_column_sizing_get_type , args , , " GType gtk_tree_view_column_sizing_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_tree_view_column_sizing_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_tree_view_column_sizing_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_flags_get_type , args , , " GType gtk_widget_flags_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_flags_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_widget_flags_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_help_type_get_type , args , , " GType gtk_widget_help_type_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_help_type_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_widget_help_type_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_identifier_get_type , args , , " GType gtk_identifier_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_identifier_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_identifier_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_type_class , args , , " gpointer gtk_type_class (GtkType type); " )
{
GtkType   type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer gtk_type_class (GtkType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_type_class "<<std::endl;
#endif /* DEBUG */
type = (  GtkType  ) args( 0 ).long_value();
long int ret_type= (long int) gtk_type_class ( type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_type_unique , args , , " GtkType gtk_type_unique (GtkType parent_type,GtkTypeInfo * gtkinfo); " )
{
GtkType   parent_type ;
GtkTypeInfo *   gtkinfo ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkType gtk_type_unique (GtkType parent_type,GtkTypeInfo * gtkinfo); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_type_unique "<<std::endl;
#endif /* DEBUG */
parent_type = (  GtkType  ) args( 0 ).long_value();
gtkinfo =( GtkTypeInfo * )args( 1 ).long_value();
long int ret_type=(long int) gtk_type_unique ( parent_type,gtkinfo);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_type_new , args , , " gpointer gtk_type_new (GtkType type); " )
{
GtkType   type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gpointer gtk_type_new (GtkType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_type_new "<<std::endl;
#endif /* DEBUG */
type = (  GtkType  ) args( 0 ).long_value();
long int ret_type= (long int) gtk_type_new ( type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_type_enum_get_values , args , , " GtkEnumValue* gtk_type_enum_get_values (GtkType enum_type); " )
{
GtkType   enum_type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkEnumValue* gtk_type_enum_get_values (GtkType enum_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_type_enum_get_values "<<std::endl;
#endif /* DEBUG */
enum_type = (  GtkType  ) args( 0 ).long_value();
long int ret_type= (long int) gtk_type_enum_get_values ( enum_type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_type_flags_get_values , args , , " GtkFlagValue* gtk_type_flags_get_values (GtkType flags_type); " )
{
GtkType   flags_type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkFlagValue* gtk_type_flags_get_values (GtkType flags_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_type_flags_get_values "<<std::endl;
#endif /* DEBUG */
flags_type = (  GtkType  ) args( 0 ).long_value();
long int ret_type= (long int) gtk_type_flags_get_values ( flags_type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_type_enum_find_value , args , , " GtkEnumValue* gtk_type_enum_find_value (GtkType enum_type,gchar * value_name); " )
{
GtkType   enum_type ;
gchar *   value_name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkEnumValue* gtk_type_enum_find_value (GtkType enum_type,gchar * value_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_type_enum_find_value "<<std::endl;
#endif /* DEBUG */
enum_type = (  GtkType  ) args( 0 ).long_value();
value_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) value_name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_type_enum_find_value ( enum_type,value_name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_type_flags_find_value , args , , " GtkFlagValue* gtk_type_flags_find_value (GtkType flags_type,gchar * value_name); " )
{
GtkType   flags_type ;
gchar *   value_name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkFlagValue* gtk_type_flags_find_value (GtkType flags_type,gchar * value_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_type_flags_find_value "<<std::endl;
#endif /* DEBUG */
flags_type = (  GtkType  ) args( 0 ).long_value();
value_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) value_name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_type_flags_find_value ( flags_type,value_name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_type_init , args , , " void gtk_type_init (GTypeDebugFlags debug_flags); " )
{
GTypeDebugFlags   debug_flags ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_type_init (GTypeDebugFlags debug_flags); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_type_init "<<std::endl;
#endif /* DEBUG */
debug_flags = (  GTypeDebugFlags  ) args( 0 ).long_value();
gtk_type_init ( debug_flags);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vbutton_box_get_type , args , , " GType gtk_vbutton_box_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vbutton_box_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vbutton_box_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vbutton_box_new , args , , " GtkWidget * gtk_vbutton_box_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vbutton_box_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_vbutton_box_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vbutton_box_get_spacing_default , args , , " gint gtk_vbutton_box_get_spacing_default (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vbutton_box_get_spacing_default "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vbutton_box_get_spacing_default ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_vbutton_box_set_spacing_default , args , , " void gtk_vbutton_box_set_spacing_default (gint spacing); " )
{
gint   spacing ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_vbutton_box_set_spacing_default (gint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_vbutton_box_set_spacing_default "<<std::endl;
#endif /* DEBUG */
spacing = (  gint  ) args( 0 ).int_value();
gtk_vbutton_box_set_spacing_default ( spacing);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vbutton_box_get_layout_default , args , , " GtkButtonBoxStyle gtk_vbutton_box_get_layout_default (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vbutton_box_get_layout_default "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vbutton_box_get_layout_default ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_vbutton_box_set_layout_default , args , , " void gtk_vbutton_box_set_layout_default (GtkButtonBoxStyle layout); " )
{
GtkButtonBoxStyle   layout ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_vbutton_box_set_layout_default (GtkButtonBoxStyle layout); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_vbutton_box_set_layout_default "<<std::endl;
#endif /* DEBUG */
layout = (  GtkButtonBoxStyle  ) args( 0 ).long_value();
gtk_vbutton_box_set_layout_default ( layout);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vbox_get_type , args , , " GType gtk_vbox_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vbox_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vbox_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_vbox_new , args , , " GtkWidget* gtk_vbox_new (gboolean homogeneous,gint spacing); " )
{
gboolean   homogeneous ;
gint   spacing ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_vbox_new (gboolean homogeneous,gint spacing); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_vbox_new "<<std::endl;
#endif /* DEBUG */
homogeneous = (  gboolean  ) args( 0 ).long_value();
spacing = (  gint  ) args( 1 ).int_value();
long int ret_type= (long int) gtk_vbox_new ( homogeneous,spacing);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_viewport_get_type , args , , " GType gtk_viewport_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_viewport_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_viewport_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_viewport_new , args , , " GtkWidget* gtk_viewport_new (GtkAdjustment * hadjustment,GtkAdjustment * vadjustment); " )
{
GtkAdjustment *   hadjustment ;
GtkAdjustment *   vadjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_viewport_new (GtkAdjustment * hadjustment,GtkAdjustment * vadjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_viewport_new "<<std::endl;
#endif /* DEBUG */
hadjustment =( GtkAdjustment * )args( 0 ).long_value();
vadjustment =( GtkAdjustment * )args( 1 ).long_value();
long int ret_type= (long int) gtk_viewport_new ( hadjustment,vadjustment);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_viewport_get_hadjustment , args , , " GtkAdjustment* gtk_viewport_get_hadjustment (GtkViewport * viewport); " )
{
GtkViewport *   viewport ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_viewport_get_hadjustment (GtkViewport * viewport); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_viewport_get_hadjustment "<<std::endl;
#endif /* DEBUG */
viewport =( GtkViewport * )args( 0 ).long_value();
long int ret_type= (long int) gtk_viewport_get_hadjustment ( viewport);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_viewport_get_vadjustment , args , , " GtkAdjustment* gtk_viewport_get_vadjustment (GtkViewport * viewport); " )
{
GtkViewport *   viewport ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkAdjustment* gtk_viewport_get_vadjustment (GtkViewport * viewport); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_viewport_get_vadjustment "<<std::endl;
#endif /* DEBUG */
viewport =( GtkViewport * )args( 0 ).long_value();
long int ret_type= (long int) gtk_viewport_get_vadjustment ( viewport);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_viewport_set_hadjustment , args , , " void gtk_viewport_set_hadjustment (GtkViewport * viewport,GtkAdjustment * adjustment); " )
{
GtkViewport *   viewport ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_viewport_set_hadjustment (GtkViewport * viewport,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_viewport_set_hadjustment "<<std::endl;
#endif /* DEBUG */
viewport =( GtkViewport * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_viewport_set_hadjustment ( viewport,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_viewport_set_vadjustment , args , , " void gtk_viewport_set_vadjustment (GtkViewport * viewport,GtkAdjustment * adjustment); " )
{
GtkViewport *   viewport ;
GtkAdjustment *   adjustment ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_viewport_set_vadjustment (GtkViewport * viewport,GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_viewport_set_vadjustment "<<std::endl;
#endif /* DEBUG */
viewport =( GtkViewport * )args( 0 ).long_value();
adjustment =( GtkAdjustment * )args( 1 ).long_value();
gtk_viewport_set_vadjustment ( viewport,adjustment);
return octave_value();
}
DEFUN_DLD( gtk_viewport_set_shadow_type , args , , " void gtk_viewport_set_shadow_type (GtkViewport * viewport,GtkShadowType type); " )
{
GtkViewport *   viewport ;
GtkShadowType   type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_viewport_set_shadow_type (GtkViewport * viewport,GtkShadowType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_viewport_set_shadow_type "<<std::endl;
#endif /* DEBUG */
viewport =( GtkViewport * )args( 0 ).long_value();
type = (  GtkShadowType  ) args( 1 ).long_value();
gtk_viewport_set_shadow_type ( viewport,type);
return octave_value();
}
DEFUN_DLD( gtk_viewport_get_shadow_type , args , , " GtkShadowType gtk_viewport_get_shadow_type (GtkViewport * viewport); " )
{
GtkViewport *   viewport ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkShadowType gtk_viewport_get_shadow_type (GtkViewport * viewport); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_viewport_get_shadow_type "<<std::endl;
#endif /* DEBUG */
viewport =( GtkViewport * )args( 0 ).long_value();
long int ret_type=(long int) gtk_viewport_get_shadow_type ( viewport);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vpaned_get_type , args , , " GType gtk_vpaned_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vpaned_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vpaned_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vpaned_new , args , , " GtkWidget * gtk_vpaned_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vpaned_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_vpaned_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vruler_get_type , args , , " GType gtk_vruler_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vruler_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vruler_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vruler_new , args , , " GtkWidget* gtk_vruler_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vruler_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_vruler_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vscale_get_type , args , , " GType gtk_vscale_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vscale_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vscale_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_vscale_new , args , , " GtkWidget* gtk_vscale_new (GtkAdjustment * adjustment); " )
{
GtkAdjustment *   adjustment ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_vscale_new (GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_vscale_new "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
long int ret_type= (long int) gtk_vscale_new ( adjustment);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_vscale_new_with_range , args , , " GtkWidget* gtk_vscale_new_with_range (gdouble min,gdouble max,gdouble step); " )
{
gdouble   min ;
gdouble   max ;
gdouble   step ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkWidget* gtk_vscale_new_with_range (gdouble min,gdouble max,gdouble step); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_vscale_new_with_range "<<std::endl;
#endif /* DEBUG */
min = (  gdouble  ) args( 0 ).double_value();
max = (  gdouble  ) args( 1 ).double_value();
step = (  gdouble  ) args( 2 ).double_value();
long int ret_type= (long int) gtk_vscale_new_with_range ( min,max,step);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vscrollbar_get_type , args , , " GType gtk_vscrollbar_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vscrollbar_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vscrollbar_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_vscrollbar_new , args , , " GtkWidget* gtk_vscrollbar_new (GtkAdjustment * adjustment); " )
{
GtkAdjustment *   adjustment ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_vscrollbar_new (GtkAdjustment * adjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_vscrollbar_new "<<std::endl;
#endif /* DEBUG */
adjustment =( GtkAdjustment * )args( 0 ).long_value();
long int ret_type= (long int) gtk_vscrollbar_new ( adjustment);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vseparator_get_type , args , , " GType gtk_vseparator_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vseparator_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_vseparator_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_vseparator_new , args , , " GtkWidget* gtk_vseparator_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_vseparator_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_vseparator_new ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_get_type , args , , " GType gtk_widget_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_widget_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_new , args , , " GtkWidget* gtk_widget_new (GType type,gchar * first_property_name,char * varargs_value); " )
{
GType   type ;
gchar *   first_property_name ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  GtkWidget* gtk_widget_new (GType type,gchar * first_property_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_new "<<std::endl;
#endif /* DEBUG */
type = (  GType  ) args( 0 ).long_value();
first_property_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) first_property_name ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
long int ret_type= (long int) gtk_widget_new ( type,first_property_name,varargs_value);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_ref , args , , " GtkWidget* gtk_widget_ref (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_widget_ref (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_ref "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_ref ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_unref , args , , " void gtk_widget_unref (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_unref (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_unref "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_unref ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_destroy , args , , " void gtk_widget_destroy (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_destroy (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_destroy "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_destroy ( widget);
return octave_value();
}
/* overriden: gtk_widget_destroyed  */
DEFUN_DLD( gtk_widget_set , args , , " void gtk_widget_set (GtkWidget * widget,gchar * first_property_name,char * varargs_value); " )
{
GtkWidget *   widget ;
gchar *   first_property_name ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_set (GtkWidget * widget,gchar * first_property_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
first_property_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) first_property_name ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_widget_set ( widget,first_property_name,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_widget_unparent , args , , " void gtk_widget_unparent (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_unparent (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_unparent "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_unparent ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_show , args , , " void gtk_widget_show (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_show (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_show "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_show ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_show_now , args , , " void gtk_widget_show_now (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_show_now (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_show_now "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_show_now ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_hide , args , , " void gtk_widget_hide (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_hide (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_hide "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_hide ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_show_all , args , , " void gtk_widget_show_all (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_show_all (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_show_all "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_show_all ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_hide_all , args , , " void gtk_widget_hide_all (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_hide_all (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_hide_all "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_hide_all ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_map , args , , " void gtk_widget_map (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_map (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_map "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_map ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_unmap , args , , " void gtk_widget_unmap (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_unmap (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_unmap "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_unmap ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_realize , args , , " void gtk_widget_realize (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_realize (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_realize "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_realize ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_unrealize , args , , " void gtk_widget_unrealize (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_unrealize (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_unrealize "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_unrealize ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_queue_draw , args , , " void gtk_widget_queue_draw (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_queue_draw (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_queue_draw "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_queue_draw ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_queue_draw_area , args , , " void gtk_widget_queue_draw_area (GtkWidget * widget,gint x,gint y,gint width,gint height); " )
{
GtkWidget *   widget ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_widget_queue_draw_area (GtkWidget * widget,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_queue_draw_area "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
width = (  gint  ) args( 3 ).int_value();
height = (  gint  ) args( 4 ).int_value();
gtk_widget_queue_draw_area ( widget,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_widget_queue_clear , args , , " void gtk_widget_queue_clear (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_queue_clear (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_queue_clear "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_queue_clear ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_queue_clear_area , args , , " void gtk_widget_queue_clear_area (GtkWidget * widget,gint x,gint y,gint width,gint height); " )
{
GtkWidget *   widget ;
gint   x ;
gint   y ;
gint   width ;
gint   height ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_widget_queue_clear_area (GtkWidget * widget,gint x,gint y,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_queue_clear_area "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
width = (  gint  ) args( 3 ).int_value();
height = (  gint  ) args( 4 ).int_value();
gtk_widget_queue_clear_area ( widget,x,y,width,height);
return octave_value();
}
DEFUN_DLD( gtk_widget_queue_resize , args , , " void gtk_widget_queue_resize (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_queue_resize (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_queue_resize "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_queue_resize ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_draw , args , , " void gtk_widget_draw (GtkWidget * widget,GdkRectangle * area); " )
{
GtkWidget *   widget ;
GdkRectangle *   area ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_draw (GtkWidget * widget,GdkRectangle * area); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_draw "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
area =( GdkRectangle * )args( 1 ).long_value();
gtk_widget_draw ( widget,area);
return octave_value();
}
DEFUN_DLD( gtk_widget_size_request , args , , " void gtk_widget_size_request (GtkWidget * widget,GtkRequisition * requisition); " )
{
GtkWidget *   widget ;
GtkRequisition *   requisition ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_size_request (GtkWidget * widget,GtkRequisition * requisition); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_size_request "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
requisition =( GtkRequisition * )args( 1 ).long_value();
gtk_widget_size_request ( widget,requisition);
return octave_value();
}
DEFUN_DLD( gtk_widget_size_allocate , args , , " void gtk_widget_size_allocate (GtkWidget * widget,GtkAllocation * allocation); " )
{
GtkWidget *   widget ;
GtkAllocation *   allocation ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_size_allocate (GtkWidget * widget,GtkAllocation * allocation); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_size_allocate "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
allocation =( GtkAllocation * )args( 1 ).long_value();
gtk_widget_size_allocate ( widget,allocation);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_child_requisition , args , , " void gtk_widget_get_child_requisition (GtkWidget * widget,GtkRequisition * requisition); " )
{
GtkWidget *   widget ;
GtkRequisition *   requisition ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_get_child_requisition (GtkWidget * widget,GtkRequisition * requisition); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_child_requisition "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
requisition =( GtkRequisition * )args( 1 ).long_value();
gtk_widget_get_child_requisition ( widget,requisition);
return octave_value();
}
DEFUN_DLD( gtk_widget_add_accelerator , args , , " void gtk_widget_add_accelerator (GtkWidget * widget,gchar * accel_signal,GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods,GtkAccelFlags accel_flags); " )
{
GtkWidget *   widget ;
gchar *   accel_signal ;
GtkAccelGroup *   accel_group ;
guint   accel_key ;
GdkModifierType   accel_mods ;
GtkAccelFlags   accel_flags ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_widget_add_accelerator (GtkWidget * widget,gchar * accel_signal,GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods,GtkAccelFlags accel_flags); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_add_accelerator "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
accel_signal = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) accel_signal ,args( 1 ).string_value().c_str());
accel_group =( GtkAccelGroup * )args( 2 ).long_value();
accel_key = (  guint  ) args( 3 ).int_value();
accel_mods = (  GdkModifierType  ) args( 4 ).long_value();
accel_flags = (  GtkAccelFlags  ) args( 5 ).long_value();
gtk_widget_add_accelerator ( widget,accel_signal,accel_group,accel_key,accel_mods,accel_flags);
return octave_value();
}
DEFUN_DLD( gtk_widget_remove_accelerator , args , , " gboolean gtk_widget_remove_accelerator (GtkWidget * widget,GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods); " )
{
GtkWidget *   widget ;
GtkAccelGroup *   accel_group ;
guint   accel_key ;
GdkModifierType   accel_mods ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  gboolean gtk_widget_remove_accelerator (GtkWidget * widget,GtkAccelGroup * accel_group,guint accel_key,GdkModifierType accel_mods); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_remove_accelerator "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
accel_group =( GtkAccelGroup * )args( 1 ).long_value();
accel_key = (  guint  ) args( 2 ).int_value();
accel_mods = (  GdkModifierType  ) args( 3 ).long_value();
long int ret_type=(long int) gtk_widget_remove_accelerator ( widget,accel_group,accel_key,accel_mods);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_accel_path , args , , " void gtk_widget_set_accel_path (GtkWidget * widget,gchar * accel_path,GtkAccelGroup * accel_group); " )
{
GtkWidget *   widget ;
gchar *   accel_path ;
GtkAccelGroup *   accel_group ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_set_accel_path (GtkWidget * widget,gchar * accel_path,GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_accel_path "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
accel_path = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) accel_path ,args( 1 ).string_value().c_str());
accel_group =( GtkAccelGroup * )args( 2 ).long_value();
gtk_widget_set_accel_path ( widget,accel_path,accel_group);
return octave_value();
}
DEFUN_DLD( gtk_widget_list_accel_closures , args , , " GList* gtk_widget_list_accel_closures (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* gtk_widget_list_accel_closures (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_list_accel_closures "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_list_accel_closures ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_mnemonic_activate , args , , " gboolean gtk_widget_mnemonic_activate (GtkWidget * widget,gboolean group_cycling); " )
{
GtkWidget *   widget ;
gboolean   group_cycling ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_widget_mnemonic_activate (GtkWidget * widget,gboolean group_cycling); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_mnemonic_activate "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
group_cycling = (  gboolean  ) args( 1 ).long_value();
long int ret_type=(long int) gtk_widget_mnemonic_activate ( widget,group_cycling);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_event , args , , " gboolean gtk_widget_event (GtkWidget * widget,GdkEvent * event); " )
{
GtkWidget *   widget ;
GdkEvent *   event ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_widget_event (GtkWidget * widget,GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_event "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
long int ret_type=(long int) gtk_widget_event ( widget,event);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_send_expose , args , , " gint gtk_widget_send_expose (GtkWidget * widget,GdkEvent * event); " )
{
GtkWidget *   widget ;
GdkEvent *   event ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gint gtk_widget_send_expose (GtkWidget * widget,GdkEvent * event); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_send_expose "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
event =( GdkEvent * )args( 1 ).long_value();
long int ret_type=(long int) gtk_widget_send_expose ( widget,event);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_activate , args , , " gboolean gtk_widget_activate (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_widget_activate (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_activate "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type=(long int) gtk_widget_activate ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_scroll_adjustments , args , , " gboolean gtk_widget_set_scroll_adjustments (GtkWidget * widget,GtkAdjustment * hadjustment,GtkAdjustment * vadjustment); " )
{
GtkWidget *   widget ;
GtkAdjustment *   hadjustment ;
GtkAdjustment *   vadjustment ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_widget_set_scroll_adjustments (GtkWidget * widget,GtkAdjustment * hadjustment,GtkAdjustment * vadjustment); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_scroll_adjustments "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
hadjustment =( GtkAdjustment * )args( 1 ).long_value();
vadjustment =( GtkAdjustment * )args( 2 ).long_value();
long int ret_type=(long int) gtk_widget_set_scroll_adjustments ( widget,hadjustment,vadjustment);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_reparent , args , , " void gtk_widget_reparent (GtkWidget * widget,GtkWidget * new_parent); " )
{
GtkWidget *   widget ;
GtkWidget *   new_parent ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_reparent (GtkWidget * widget,GtkWidget * new_parent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_reparent "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
new_parent =( GtkWidget * )args( 1 ).long_value();
gtk_widget_reparent ( widget,new_parent);
return octave_value();
}
DEFUN_DLD( gtk_widget_intersect , args , , " gboolean gtk_widget_intersect (GtkWidget * widget,GdkRectangle * area,GdkRectangle * intersection); " )
{
GtkWidget *   widget ;
GdkRectangle *   area ;
GdkRectangle *   intersection ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_widget_intersect (GtkWidget * widget,GdkRectangle * area,GdkRectangle * intersection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_intersect "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
area =( GdkRectangle * )args( 1 ).long_value();
intersection =( GdkRectangle * )args( 2 ).long_value();
long int ret_type=(long int) gtk_widget_intersect ( widget,area,intersection);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_region_intersect , args , , " GdkRegion * gtk_widget_region_intersect (GtkWidget * widget,GdkRegion * region); " )
{
GtkWidget *   widget ;
GdkRegion *   region ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GdkRegion * gtk_widget_region_intersect (GtkWidget * widget,GdkRegion * region); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_region_intersect "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
region =( GdkRegion * )args( 1 ).long_value();
long int ret_type= (long int) gtk_widget_region_intersect ( widget,region);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_freeze_child_notify , args , , " void gtk_widget_freeze_child_notify (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_freeze_child_notify (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_freeze_child_notify "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_freeze_child_notify ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_child_notify , args , , " void gtk_widget_child_notify (GtkWidget * widget,gchar * child_property); " )
{
GtkWidget *   widget ;
gchar *   child_property ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_child_notify (GtkWidget * widget,gchar * child_property); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_child_notify "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
child_property = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) child_property ,args( 1 ).string_value().c_str());
gtk_widget_child_notify ( widget,child_property);
return octave_value();
}
DEFUN_DLD( gtk_widget_thaw_child_notify , args , , " void gtk_widget_thaw_child_notify (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_thaw_child_notify (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_thaw_child_notify "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_thaw_child_notify ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_is_focus , args , , " gboolean gtk_widget_is_focus (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_widget_is_focus (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_is_focus "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type=(long int) gtk_widget_is_focus ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_grab_focus , args , , " void gtk_widget_grab_focus (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_grab_focus (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_grab_focus "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_grab_focus ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_grab_default , args , , " void gtk_widget_grab_default (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_grab_default (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_grab_default "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_grab_default ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_name , args , , " void gtk_widget_set_name (GtkWidget * widget,gchar * name); " )
{
GtkWidget *   widget ;
gchar *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_name (GtkWidget * widget,gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_name "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
gtk_widget_set_name ( widget,name);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_name , args , , " gchar* gtk_widget_get_name (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_widget_get_name (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_name "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
string  ret_type( gtk_widget_get_name ( widget));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_state , args , , " void gtk_widget_set_state (GtkWidget * widget,GtkStateType state); " )
{
GtkWidget *   widget ;
GtkStateType   state ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_state (GtkWidget * widget,GtkStateType state); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_state "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
state = (  GtkStateType  ) args( 1 ).long_value();
gtk_widget_set_state ( widget,state);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_sensitive , args , , " void gtk_widget_set_sensitive (GtkWidget * widget,gboolean sensitive); " )
{
GtkWidget *   widget ;
gboolean   sensitive ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_sensitive (GtkWidget * widget,gboolean sensitive); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_sensitive "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
sensitive = (  gboolean  ) args( 1 ).long_value();
gtk_widget_set_sensitive ( widget,sensitive);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_app_paintable , args , , " void gtk_widget_set_app_paintable (GtkWidget * widget,gboolean app_paintable); " )
{
GtkWidget *   widget ;
gboolean   app_paintable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_app_paintable (GtkWidget * widget,gboolean app_paintable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_app_paintable "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
app_paintable = (  gboolean  ) args( 1 ).long_value();
gtk_widget_set_app_paintable ( widget,app_paintable);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_double_buffered , args , , " void gtk_widget_set_double_buffered (GtkWidget * widget,gboolean double_buffered); " )
{
GtkWidget *   widget ;
gboolean   double_buffered ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_double_buffered (GtkWidget * widget,gboolean double_buffered); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_double_buffered "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
double_buffered = (  gboolean  ) args( 1 ).long_value();
gtk_widget_set_double_buffered ( widget,double_buffered);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_redraw_on_allocate , args , , " void gtk_widget_set_redraw_on_allocate (GtkWidget * widget,gboolean redraw_on_allocate); " )
{
GtkWidget *   widget ;
gboolean   redraw_on_allocate ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_redraw_on_allocate (GtkWidget * widget,gboolean redraw_on_allocate); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_redraw_on_allocate "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
redraw_on_allocate = (  gboolean  ) args( 1 ).long_value();
gtk_widget_set_redraw_on_allocate ( widget,redraw_on_allocate);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_parent , args , , " void gtk_widget_set_parent (GtkWidget * widget,GtkWidget * parent); " )
{
GtkWidget *   widget ;
GtkWidget *   parent ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_parent (GtkWidget * widget,GtkWidget * parent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_parent "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
parent =( GtkWidget * )args( 1 ).long_value();
gtk_widget_set_parent ( widget,parent);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_parent_window , args , , " void gtk_widget_set_parent_window (GtkWidget * widget,GdkWindow * parent_window); " )
{
GtkWidget *   widget ;
GdkWindow *   parent_window ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_parent_window (GtkWidget * widget,GdkWindow * parent_window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_parent_window "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
parent_window =( GdkWindow * )args( 1 ).long_value();
gtk_widget_set_parent_window ( widget,parent_window);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_child_visible , args , , " void gtk_widget_set_child_visible (GtkWidget * widget,gboolean is_visible); " )
{
GtkWidget *   widget ;
gboolean   is_visible ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_child_visible (GtkWidget * widget,gboolean is_visible); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_child_visible "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
is_visible = (  gboolean  ) args( 1 ).long_value();
gtk_widget_set_child_visible ( widget,is_visible);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_child_visible , args , , " gboolean gtk_widget_get_child_visible (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_widget_get_child_visible (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_child_visible "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type=(long int) gtk_widget_get_child_visible ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_parent , args , , " GtkWidget * gtk_widget_get_parent (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget * gtk_widget_get_parent (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_parent "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_parent ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_parent_window , args , , " GdkWindow * gtk_widget_get_parent_window (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow * gtk_widget_get_parent_window (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_parent_window "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_parent_window ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_child_focus , args , , " gboolean gtk_widget_child_focus (GtkWidget * widget,GtkDirectionType direction); " )
{
GtkWidget *   widget ;
GtkDirectionType   direction ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_widget_child_focus (GtkWidget * widget,GtkDirectionType direction); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_child_focus "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
direction = (  GtkDirectionType  ) args( 1 ).long_value();
long int ret_type=(long int) gtk_widget_child_focus ( widget,direction);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_size_request , args , , " void gtk_widget_set_size_request (GtkWidget * widget,gint width,gint height); " )
{
GtkWidget *   widget ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_set_size_request (GtkWidget * widget,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_size_request "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
gtk_widget_set_size_request ( widget,width,height);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_size_request , args , , " void gtk_widget_get_size_request (GtkWidget * widget,gint * width,gint * height); " )
{
GtkWidget *   widget ;
gint *   width ;
gint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_get_size_request (GtkWidget * widget,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_size_request "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
width =( gint * )args( 1 ).long_value();
height =( gint * )args( 2 ).long_value();
gtk_widget_get_size_request ( widget,width,height);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_uposition , args , , " void gtk_widget_set_uposition (GtkWidget * widget,gint x,gint y); " )
{
GtkWidget *   widget ;
gint   x ;
gint   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_set_uposition (GtkWidget * widget,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_uposition "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
gtk_widget_set_uposition ( widget,x,y);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_usize , args , , " void gtk_widget_set_usize (GtkWidget * widget,gint width,gint height); " )
{
GtkWidget *   widget ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_set_usize (GtkWidget * widget,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_usize "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
gtk_widget_set_usize ( widget,width,height);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_events , args , , " void gtk_widget_set_events (GtkWidget * widget,gint events); " )
{
GtkWidget *   widget ;
gint   events ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_events (GtkWidget * widget,gint events); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_events "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
events = (  gint  ) args( 1 ).int_value();
gtk_widget_set_events ( widget,events);
return octave_value();
}
DEFUN_DLD( gtk_widget_add_events , args , , " void gtk_widget_add_events (GtkWidget * widget,gint events); " )
{
GtkWidget *   widget ;
gint   events ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_add_events (GtkWidget * widget,gint events); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_add_events "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
events = (  gint  ) args( 1 ).int_value();
gtk_widget_add_events ( widget,events);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_extension_events , args , , " void gtk_widget_set_extension_events (GtkWidget * widget,GdkExtensionMode mode); " )
{
GtkWidget *   widget ;
GdkExtensionMode   mode ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_extension_events (GtkWidget * widget,GdkExtensionMode mode); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_extension_events "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
mode = (  GdkExtensionMode  ) args( 1 ).long_value();
gtk_widget_set_extension_events ( widget,mode);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_extension_events , args , , " GdkExtensionMode gtk_widget_get_extension_events (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkExtensionMode gtk_widget_get_extension_events (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_extension_events "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type=(long int) gtk_widget_get_extension_events ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_toplevel , args , , " GtkWidget* gtk_widget_get_toplevel (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_widget_get_toplevel (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_toplevel "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_toplevel ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_ancestor , args , , " GtkWidget* gtk_widget_get_ancestor (GtkWidget * widget,GType widget_type); " )
{
GtkWidget *   widget ;
GType   widget_type ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkWidget* gtk_widget_get_ancestor (GtkWidget * widget,GType widget_type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_ancestor "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
widget_type = (  GType  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_widget_get_ancestor ( widget,widget_type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_colormap , args , , " GdkColormap* gtk_widget_get_colormap (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkColormap* gtk_widget_get_colormap (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_colormap "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_colormap ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_visual , args , , " GdkVisual* gtk_widget_get_visual (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkVisual* gtk_widget_get_visual (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_visual "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_visual ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_screen , args , , " GdkScreen * gtk_widget_get_screen (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen * gtk_widget_get_screen (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_screen "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_screen ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_has_screen , args , , " gboolean gtk_widget_has_screen (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_widget_has_screen (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_has_screen "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type=(long int) gtk_widget_has_screen ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_display , args , , " GdkDisplay * gtk_widget_get_display (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkDisplay * gtk_widget_get_display (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_display "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_display ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_root_window , args , , " GdkWindow * gtk_widget_get_root_window (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindow * gtk_widget_get_root_window (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_root_window "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_root_window ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_settings , args , , " GtkSettings* gtk_widget_get_settings (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkSettings* gtk_widget_get_settings (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_settings "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_settings ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_clipboard , args , , " GtkClipboard * gtk_widget_get_clipboard (GtkWidget * widget,GdkAtom selection); " )
{
GtkWidget *   widget ;
GdkAtom   selection ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GtkClipboard * gtk_widget_get_clipboard (GtkWidget * widget,GdkAtom selection); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_clipboard "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
selection = (  GdkAtom  ) args( 1 ).long_value();
long int ret_type= (long int) gtk_widget_get_clipboard ( widget,selection);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_accessible , args , , " AtkObject* gtk_widget_get_accessible (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  AtkObject* gtk_widget_get_accessible (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_accessible "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_accessible ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_colormap , args , , " void gtk_widget_set_colormap (GtkWidget * widget,GdkColormap * colormap); " )
{
GtkWidget *   widget ;
GdkColormap *   colormap ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_colormap (GtkWidget * widget,GdkColormap * colormap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_colormap "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
colormap =( GdkColormap * )args( 1 ).long_value();
gtk_widget_set_colormap ( widget,colormap);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_events , args , , " gint gtk_widget_get_events (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gint gtk_widget_get_events (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_events "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type=(long int) gtk_widget_get_events ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_pointer , args , , " void gtk_widget_get_pointer (GtkWidget * widget,gint * x,gint * y); " )
{
GtkWidget *   widget ;
gint *   x ;
gint *   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_get_pointer (GtkWidget * widget,gint * x,gint * y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_pointer "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
x =( gint * )args( 1 ).long_value();
y =( gint * )args( 2 ).long_value();
gtk_widget_get_pointer ( widget,x,y);
return octave_value();
}
DEFUN_DLD( gtk_widget_is_ancestor , args , , " gboolean gtk_widget_is_ancestor (GtkWidget * widget,GtkWidget * ancestor); " )
{
GtkWidget *   widget ;
GtkWidget *   ancestor ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_widget_is_ancestor (GtkWidget * widget,GtkWidget * ancestor); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_is_ancestor "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
ancestor =( GtkWidget * )args( 1 ).long_value();
long int ret_type=(long int) gtk_widget_is_ancestor ( widget,ancestor);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_translate_coordinates , args , , " gboolean gtk_widget_translate_coordinates (GtkWidget * src_widget,GtkWidget * dest_widget,gint src_x,gint src_y,gint * dest_x,gint * dest_y); " )
{
GtkWidget *   src_widget ;
GtkWidget *   dest_widget ;
gint   src_x ;
gint   src_y ;
gint *   dest_x ;
gint *   dest_y ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  gboolean gtk_widget_translate_coordinates (GtkWidget * src_widget,GtkWidget * dest_widget,gint src_x,gint src_y,gint * dest_x,gint * dest_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_translate_coordinates "<<std::endl;
#endif /* DEBUG */
src_widget =( GtkWidget * )args( 0 ).long_value();
dest_widget =( GtkWidget * )args( 1 ).long_value();
src_x = (  gint  ) args( 2 ).int_value();
src_y = (  gint  ) args( 3 ).int_value();
dest_x =( gint * )args( 4 ).long_value();
dest_y =( gint * )args( 5 ).long_value();
long int ret_type=(long int) gtk_widget_translate_coordinates ( src_widget,dest_widget,src_x,src_y,dest_x,dest_y);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_hide_on_delete , args , , " gboolean gtk_widget_hide_on_delete (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_widget_hide_on_delete (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_hide_on_delete "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type=(long int) gtk_widget_hide_on_delete ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_style , args , , " void gtk_widget_set_style (GtkWidget * widget,GtkStyle * style); " )
{
GtkWidget *   widget ;
GtkStyle *   style ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_style (GtkWidget * widget,GtkStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_style "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
style =( GtkStyle * )args( 1 ).long_value();
gtk_widget_set_style ( widget,style);
return octave_value();
}
DEFUN_DLD( gtk_widget_ensure_style , args , , " void gtk_widget_ensure_style (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_ensure_style (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_ensure_style "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_ensure_style ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_style , args , , " GtkStyle* gtk_widget_get_style (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkStyle* gtk_widget_get_style (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_style "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_style ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_modify_style , args , , " void gtk_widget_modify_style (GtkWidget * widget,GtkRcStyle * style); " )
{
GtkWidget *   widget ;
GtkRcStyle *   style ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_modify_style (GtkWidget * widget,GtkRcStyle * style); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_modify_style "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
style =( GtkRcStyle * )args( 1 ).long_value();
gtk_widget_modify_style ( widget,style);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_modifier_style , args , , " GtkRcStyle * gtk_widget_get_modifier_style (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkRcStyle * gtk_widget_get_modifier_style (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_modifier_style "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_modifier_style ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_modify_fg , args , , " void gtk_widget_modify_fg (GtkWidget * widget,GtkStateType state,GdkColor * color); " )
{
GtkWidget *   widget ;
GtkStateType   state ;
GdkColor *   color ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_modify_fg (GtkWidget * widget,GtkStateType state,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_modify_fg "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
state = (  GtkStateType  ) args( 1 ).long_value();
color =( GdkColor * )args( 2 ).long_value();
gtk_widget_modify_fg ( widget,state,color);
return octave_value();
}
DEFUN_DLD( gtk_widget_modify_bg , args , , " void gtk_widget_modify_bg (GtkWidget * widget,GtkStateType state,GdkColor * color); " )
{
GtkWidget *   widget ;
GtkStateType   state ;
GdkColor *   color ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_modify_bg (GtkWidget * widget,GtkStateType state,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_modify_bg "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
state = (  GtkStateType  ) args( 1 ).long_value();
color =( GdkColor * )args( 2 ).long_value();
gtk_widget_modify_bg ( widget,state,color);
return octave_value();
}
DEFUN_DLD( gtk_widget_modify_text , args , , " void gtk_widget_modify_text (GtkWidget * widget,GtkStateType state,GdkColor * color); " )
{
GtkWidget *   widget ;
GtkStateType   state ;
GdkColor *   color ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_modify_text (GtkWidget * widget,GtkStateType state,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_modify_text "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
state = (  GtkStateType  ) args( 1 ).long_value();
color =( GdkColor * )args( 2 ).long_value();
gtk_widget_modify_text ( widget,state,color);
return octave_value();
}
DEFUN_DLD( gtk_widget_modify_base , args , , " void gtk_widget_modify_base (GtkWidget * widget,GtkStateType state,GdkColor * color); " )
{
GtkWidget *   widget ;
GtkStateType   state ;
GdkColor *   color ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_modify_base (GtkWidget * widget,GtkStateType state,GdkColor * color); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_modify_base "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
state = (  GtkStateType  ) args( 1 ).long_value();
color =( GdkColor * )args( 2 ).long_value();
gtk_widget_modify_base ( widget,state,color);
return octave_value();
}
DEFUN_DLD( gtk_widget_modify_font , args , , " void gtk_widget_modify_font (GtkWidget * widget,PangoFontDescription * font_desc); " )
{
GtkWidget *   widget ;
PangoFontDescription *   font_desc ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_modify_font (GtkWidget * widget,PangoFontDescription * font_desc); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_modify_font "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
font_desc =( PangoFontDescription * )args( 1 ).long_value();
gtk_widget_modify_font ( widget,font_desc);
return octave_value();
}
DEFUN_DLD( gtk_widget_create_pango_context , args , , " PangoContext * gtk_widget_create_pango_context (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoContext * gtk_widget_create_pango_context (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_create_pango_context "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_create_pango_context ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_get_pango_context , args , , " PangoContext * gtk_widget_get_pango_context (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  PangoContext * gtk_widget_get_pango_context (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_pango_context "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type= (long int) gtk_widget_get_pango_context ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_create_pango_layout , args , , " PangoLayout * gtk_widget_create_pango_layout (GtkWidget * widget,gchar * text); " )
{
GtkWidget *   widget ;
gchar *   text ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  PangoLayout * gtk_widget_create_pango_layout (GtkWidget * widget,gchar * text); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_create_pango_layout "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
text = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) text ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_widget_create_pango_layout ( widget,text);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_render_icon , args , , " GdkPixbuf * gtk_widget_render_icon (GtkWidget * widget,gchar * stock_id,GtkIconSize size,gchar * detail); " )
{
GtkWidget *   widget ;
gchar *   stock_id ;
GtkIconSize   size ;
gchar *   detail ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  GdkPixbuf * gtk_widget_render_icon (GtkWidget * widget,gchar * stock_id,GtkIconSize size,gchar * detail); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_render_icon "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
stock_id = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) stock_id ,args( 1 ).string_value().c_str());
size = (  GtkIconSize  ) args( 2 ).long_value();
detail = new  gchar   [args( 3 ).string_value ().length()];
strcpy( (char *) detail ,args( 3 ).string_value().c_str());
long int ret_type= (long int) gtk_widget_render_icon ( widget,stock_id,size,detail);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_composite_name , args , , " void gtk_widget_set_composite_name (GtkWidget * widget,gchar * name); " )
{
GtkWidget *   widget ;
gchar *   name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_composite_name (GtkWidget * widget,gchar * name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_composite_name "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) name ,args( 1 ).string_value().c_str());
gtk_widget_set_composite_name ( widget,name);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_composite_name , args , , " gchar* gtk_widget_get_composite_name (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar* gtk_widget_get_composite_name (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_composite_name "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
string  ret_type( gtk_widget_get_composite_name ( widget));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_reset_rc_styles , args , , " void gtk_widget_reset_rc_styles (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_reset_rc_styles (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_reset_rc_styles "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_reset_rc_styles ( widget);
return octave_value();
}
DEFUN_DLD( gtk_widget_push_colormap , args , , " void gtk_widget_push_colormap (GdkColormap * cmap); " )
{
GdkColormap *   cmap ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_push_colormap (GdkColormap * cmap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_push_colormap "<<std::endl;
#endif /* DEBUG */
cmap =( GdkColormap * )args( 0 ).long_value();
gtk_widget_push_colormap ( cmap);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_push_composite_child , args , , " void gtk_widget_push_composite_child (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_push_composite_child "<<std::endl;
#endif /* DEBUG */
gtk_widget_push_composite_child ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_pop_composite_child , args , , " void gtk_widget_pop_composite_child (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_pop_composite_child "<<std::endl;
#endif /* DEBUG */
gtk_widget_pop_composite_child ( );
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_pop_colormap , args , , " void gtk_widget_pop_colormap (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_pop_colormap "<<std::endl;
#endif /* DEBUG */
gtk_widget_pop_colormap ( );
return octave_value();
}
DEFUN_DLD( gtk_widget_class_install_style_property , args , , " void gtk_widget_class_install_style_property (GtkWidgetClass * klass,GParamSpec * pspec); " )
{
GtkWidgetClass *   klass ;
GParamSpec *   pspec ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_class_install_style_property (GtkWidgetClass * klass,GParamSpec * pspec); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_class_install_style_property "<<std::endl;
#endif /* DEBUG */
klass =( GtkWidgetClass * )args( 0 ).long_value();
pspec =( GParamSpec * )args( 1 ).long_value();
gtk_widget_class_install_style_property ( klass,pspec);
return octave_value();
}
DEFUN_DLD( gtk_widget_class_install_style_property_parser , args , , " void gtk_widget_class_install_style_property_parser (GtkWidgetClass * klass,GParamSpec * pspec,GtkRcPropertyParser parser); " )
{
GtkWidgetClass *   klass ;
GParamSpec *   pspec ;
GtkRcPropertyParser   parser ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_class_install_style_property_parser (GtkWidgetClass * klass,GParamSpec * pspec,GtkRcPropertyParser parser); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_class_install_style_property_parser "<<std::endl;
#endif /* DEBUG */
klass =( GtkWidgetClass * )args( 0 ).long_value();
pspec =( GParamSpec * )args( 1 ).long_value();
parser = (  GtkRcPropertyParser  ) args( 2 ).long_value();
gtk_widget_class_install_style_property_parser ( klass,pspec,parser);
return octave_value();
}
DEFUN_DLD( gtk_widget_class_find_style_property , args , , " GParamSpec* gtk_widget_class_find_style_property (GtkWidgetClass * klass,gchar * property_name); " )
{
GtkWidgetClass *   klass ;
gchar *   property_name ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GParamSpec* gtk_widget_class_find_style_property (GtkWidgetClass * klass,gchar * property_name); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_class_find_style_property "<<std::endl;
#endif /* DEBUG */
klass =( GtkWidgetClass * )args( 0 ).long_value();
property_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) property_name ,args( 1 ).string_value().c_str());
long int ret_type= (long int) gtk_widget_class_find_style_property ( klass,property_name);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_class_list_style_properties , args , , " GParamSpec** gtk_widget_class_list_style_properties (GtkWidgetClass * klass,guint * n_properties); " )
{
GtkWidgetClass *   klass ;
guint *   n_properties ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  GParamSpec** gtk_widget_class_list_style_properties (GtkWidgetClass * klass,guint * n_properties); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_class_list_style_properties "<<std::endl;
#endif /* DEBUG */
klass =( GtkWidgetClass * )args( 0 ).long_value();
n_properties =( guint * )args( 1 ).long_value();
long int ret_type= (long int) gtk_widget_class_list_style_properties ( klass,n_properties);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_style_get_property , args , , " void gtk_widget_style_get_property (GtkWidget * widget,gchar * property_name,GValue * value); " )
{
GtkWidget *   widget ;
gchar *   property_name ;
GValue *   value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_style_get_property (GtkWidget * widget,gchar * property_name,GValue * value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_style_get_property "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
property_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) property_name ,args( 1 ).string_value().c_str());
value =( GValue * )args( 2 ).long_value();
gtk_widget_style_get_property ( widget,property_name,value);
return octave_value();
}
DEFUN_DLD( gtk_widget_style_get_valist , args , , " void gtk_widget_style_get_valist (GtkWidget * widget,gchar * first_property_name,va_list var_args); " )
{
GtkWidget *   widget ;
gchar *   first_property_name ;
va_list   var_args ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_style_get_valist (GtkWidget * widget,gchar * first_property_name,va_list var_args); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_style_get_valist "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
first_property_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) first_property_name ,args( 1 ).string_value().c_str());
var_args = (  va_list  ) args( 2 ).long_value();
gtk_widget_style_get_valist ( widget,first_property_name,var_args);
return octave_value();
}
DEFUN_DLD( gtk_widget_style_get , args , , " void gtk_widget_style_get (GtkWidget * widget,gchar * first_property_name,char * varargs_value); " )
{
GtkWidget *   widget ;
gchar *   first_property_name ;
char *   varargs_value ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_widget_style_get (GtkWidget * widget,gchar * first_property_name,char * varargs_value); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_style_get "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
first_property_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) first_property_name ,args( 1 ).string_value().c_str());
varargs_value = new  char   [args( 2 ).string_value ().length()];
strcpy( (char *) varargs_value ,args( 2 ).string_value().c_str());
gtk_widget_style_get ( widget,first_property_name,varargs_value);
return octave_value();
}
DEFUN_DLD( gtk_widget_set_default_colormap , args , , " void gtk_widget_set_default_colormap (GdkColormap * colormap); " )
{
GdkColormap *   colormap ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_set_default_colormap (GdkColormap * colormap); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_default_colormap "<<std::endl;
#endif /* DEBUG */
colormap =( GdkColormap * )args( 0 ).long_value();
gtk_widget_set_default_colormap ( colormap);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_get_default_style , args , , " GtkStyle* gtk_widget_get_default_style (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_get_default_style "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_widget_get_default_style ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_get_default_colormap , args , , " GdkColormap* gtk_widget_get_default_colormap (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_get_default_colormap "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_widget_get_default_colormap ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_get_default_visual , args , , " GdkVisual* gtk_widget_get_default_visual (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_get_default_visual "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_widget_get_default_visual ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_direction , args , , " void gtk_widget_set_direction (GtkWidget * widget,GtkTextDirection dir); " )
{
GtkWidget *   widget ;
GtkTextDirection   dir ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_widget_set_direction (GtkWidget * widget,GtkTextDirection dir); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_direction "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
dir = (  GtkTextDirection  ) args( 1 ).long_value();
gtk_widget_set_direction ( widget,dir);
return octave_value();
}
DEFUN_DLD( gtk_widget_get_direction , args , , " GtkTextDirection gtk_widget_get_direction (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkTextDirection gtk_widget_get_direction (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_get_direction "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
long int ret_type=(long int) gtk_widget_get_direction ( widget);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_set_default_direction , args , , " void gtk_widget_set_default_direction (GtkTextDirection dir); " )
{
GtkTextDirection   dir ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_set_default_direction (GtkTextDirection dir); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_set_default_direction "<<std::endl;
#endif /* DEBUG */
dir = (  GtkTextDirection  ) args( 0 ).long_value();
gtk_widget_set_default_direction ( dir);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_widget_get_default_direction , args , , " GtkTextDirection gtk_widget_get_default_direction (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_widget_get_default_direction "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_widget_get_default_direction ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_widget_shape_combine_mask , args , , " void gtk_widget_shape_combine_mask (GtkWidget * widget,GdkBitmap * shape_mask,gint offset_x,gint offset_y); " )
{
GtkWidget *   widget ;
GdkBitmap *   shape_mask ;
gint   offset_x ;
gint   offset_y ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_widget_shape_combine_mask (GtkWidget * widget,GdkBitmap * shape_mask,gint offset_x,gint offset_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_shape_combine_mask "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
shape_mask =( GdkBitmap * )args( 1 ).long_value();
offset_x = (  gint  ) args( 2 ).int_value();
offset_y = (  gint  ) args( 3 ).int_value();
gtk_widget_shape_combine_mask ( widget,shape_mask,offset_x,offset_y);
return octave_value();
}
DEFUN_DLD( gtk_widget_reset_shapes , args , , " void gtk_widget_reset_shapes (GtkWidget * widget); " )
{
GtkWidget *   widget ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_widget_reset_shapes (GtkWidget * widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_widget_reset_shapes "<<std::endl;
#endif /* DEBUG */
widget =( GtkWidget * )args( 0 ).long_value();
gtk_widget_reset_shapes ( widget);
return octave_value();
}
/* overriden: gtk_widget_path  */
/* overriden: gtk_widget_class_path  */
/* void: zero arguments taken */
DEFUN_DLD( gtk_requisition_get_type , args , , " GType gtk_requisition_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_requisition_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_requisition_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_requisition_copy , args , , " GtkRequisition * gtk_requisition_copy (GtkRequisition * requisition); " )
{
GtkRequisition *   requisition ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkRequisition * gtk_requisition_copy (GtkRequisition * requisition); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_requisition_copy "<<std::endl;
#endif /* DEBUG */
requisition =( GtkRequisition * )args( 0 ).long_value();
long int ret_type= (long int) gtk_requisition_copy ( requisition);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_requisition_free , args , , " void gtk_requisition_free (GtkRequisition * requisition); " )
{
GtkRequisition *   requisition ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_requisition_free (GtkRequisition * requisition); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_requisition_free "<<std::endl;
#endif /* DEBUG */
requisition =( GtkRequisition * )args( 0 ).long_value();
gtk_requisition_free ( requisition);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_window_get_type , args , , " GType gtk_window_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_window_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_window_get_type ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_new , args , , " GtkWidget* gtk_window_new (GtkWindowType type); " )
{
GtkWindowType   type ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget* gtk_window_new (GtkWindowType type); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_new "<<std::endl;
#endif /* DEBUG */
type = (  GtkWindowType  ) args( 0 ).long_value();
long int ret_type= (long int) gtk_window_new ( type);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_title , args , , " void gtk_window_set_title (GtkWindow * window,gchar * title); " )
{
GtkWindow *   window ;
gchar *   title ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_title (GtkWindow * window,gchar * title); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_title "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
title = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) title ,args( 1 ).string_value().c_str());
gtk_window_set_title ( window,title);
return octave_value();
}
DEFUN_DLD( gtk_window_get_title , args , , " gchar * gtk_window_get_title (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_window_get_title (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_title "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
string  ret_type( gtk_window_get_title ( window));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_wmclass , args , , " void gtk_window_set_wmclass (GtkWindow * window,gchar * wmclass_name,gchar * wmclass_class); " )
{
GtkWindow *   window ;
gchar *   wmclass_name ;
gchar *   wmclass_class ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_set_wmclass (GtkWindow * window,gchar * wmclass_name,gchar * wmclass_class); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_wmclass "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
wmclass_name = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) wmclass_name ,args( 1 ).string_value().c_str());
wmclass_class = new  gchar   [args( 2 ).string_value ().length()];
strcpy( (char *) wmclass_class ,args( 2 ).string_value().c_str());
gtk_window_set_wmclass ( window,wmclass_name,wmclass_class);
return octave_value();
}
DEFUN_DLD( gtk_window_set_role , args , , " void gtk_window_set_role (GtkWindow * window,gchar * role); " )
{
GtkWindow *   window ;
gchar *   role ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_role (GtkWindow * window,gchar * role); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_role "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
role = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) role ,args( 1 ).string_value().c_str());
gtk_window_set_role ( window,role);
return octave_value();
}
DEFUN_DLD( gtk_window_get_role , args , , " gchar * gtk_window_get_role (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gchar * gtk_window_get_role (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_role "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
string  ret_type( gtk_window_get_role ( window));
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_add_accel_group , args , , " void gtk_window_add_accel_group (GtkWindow * window,GtkAccelGroup * accel_group); " )
{
GtkWindow *   window ;
GtkAccelGroup *   accel_group ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_add_accel_group (GtkWindow * window,GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_add_accel_group "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
accel_group =( GtkAccelGroup * )args( 1 ).long_value();
gtk_window_add_accel_group ( window,accel_group);
return octave_value();
}
DEFUN_DLD( gtk_window_remove_accel_group , args , , " void gtk_window_remove_accel_group (GtkWindow * window,GtkAccelGroup * accel_group); " )
{
GtkWindow *   window ;
GtkAccelGroup *   accel_group ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_remove_accel_group (GtkWindow * window,GtkAccelGroup * accel_group); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_remove_accel_group "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
accel_group =( GtkAccelGroup * )args( 1 ).long_value();
gtk_window_remove_accel_group ( window,accel_group);
return octave_value();
}
DEFUN_DLD( gtk_window_set_position , args , , " void gtk_window_set_position (GtkWindow * window,GtkWindowPosition position); " )
{
GtkWindow *   window ;
GtkWindowPosition   position ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_position (GtkWindow * window,GtkWindowPosition position); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_position "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
position = (  GtkWindowPosition  ) args( 1 ).long_value();
gtk_window_set_position ( window,position);
return octave_value();
}
DEFUN_DLD( gtk_window_activate_focus , args , , " gboolean gtk_window_activate_focus (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_activate_focus (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_activate_focus "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_activate_focus ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_focus , args , , " void gtk_window_set_focus (GtkWindow * window,GtkWidget * focus); " )
{
GtkWindow *   window ;
GtkWidget *   focus ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_focus (GtkWindow * window,GtkWidget * focus); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_focus "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
focus =( GtkWidget * )args( 1 ).long_value();
gtk_window_set_focus ( window,focus);
return octave_value();
}
DEFUN_DLD( gtk_window_get_focus , args , , " GtkWidget * gtk_window_get_focus (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWidget * gtk_window_get_focus (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_focus "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gtk_window_get_focus ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_default , args , , " void gtk_window_set_default (GtkWindow * window,GtkWidget * default_widget); " )
{
GtkWindow *   window ;
GtkWidget *   default_widget ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_default (GtkWindow * window,GtkWidget * default_widget); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_default "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
default_widget =( GtkWidget * )args( 1 ).long_value();
gtk_window_set_default ( window,default_widget);
return octave_value();
}
DEFUN_DLD( gtk_window_activate_default , args , , " gboolean gtk_window_activate_default (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_activate_default (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_activate_default "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_activate_default ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_transient_for , args , , " void gtk_window_set_transient_for (GtkWindow * window,GtkWindow * parent); " )
{
GtkWindow *   window ;
GtkWindow *   parent ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_transient_for (GtkWindow * window,GtkWindow * parent); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_transient_for "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
parent =( GtkWindow * )args( 1 ).long_value();
gtk_window_set_transient_for ( window,parent);
return octave_value();
}
DEFUN_DLD( gtk_window_get_transient_for , args , , " GtkWindow * gtk_window_get_transient_for (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GtkWindow * gtk_window_get_transient_for (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_transient_for "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gtk_window_get_transient_for ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_type_hint , args , , " void gtk_window_set_type_hint (GtkWindow * window,GdkWindowTypeHint hint); " )
{
GtkWindow *   window ;
GdkWindowTypeHint   hint ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_type_hint (GtkWindow * window,GdkWindowTypeHint hint); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_type_hint "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
hint = (  GdkWindowTypeHint  ) args( 1 ).int_value();
gtk_window_set_type_hint ( window,hint);
return octave_value();
}
DEFUN_DLD( gtk_window_get_type_hint , args , , " GdkWindowTypeHint gtk_window_get_type_hint (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkWindowTypeHint gtk_window_get_type_hint (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_type_hint "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_type_hint ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_skip_taskbar_hint , args , , " void gtk_window_set_skip_taskbar_hint (GtkWindow * window,gboolean setting); " )
{
GtkWindow *   window ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_skip_taskbar_hint (GtkWindow * window,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_skip_taskbar_hint "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_window_set_skip_taskbar_hint ( window,setting);
return octave_value();
}
DEFUN_DLD( gtk_window_get_skip_taskbar_hint , args , , " gboolean gtk_window_get_skip_taskbar_hint (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_get_skip_taskbar_hint (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_skip_taskbar_hint "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_skip_taskbar_hint ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_skip_pager_hint , args , , " void gtk_window_set_skip_pager_hint (GtkWindow * window,gboolean setting); " )
{
GtkWindow *   window ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_skip_pager_hint (GtkWindow * window,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_skip_pager_hint "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_window_set_skip_pager_hint ( window,setting);
return octave_value();
}
DEFUN_DLD( gtk_window_get_skip_pager_hint , args , , " gboolean gtk_window_get_skip_pager_hint (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_get_skip_pager_hint (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_skip_pager_hint "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_skip_pager_hint ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_destroy_with_parent , args , , " void gtk_window_set_destroy_with_parent (GtkWindow * window,gboolean setting); " )
{
GtkWindow *   window ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_destroy_with_parent (GtkWindow * window,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_destroy_with_parent "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_window_set_destroy_with_parent ( window,setting);
return octave_value();
}
DEFUN_DLD( gtk_window_get_destroy_with_parent , args , , " gboolean gtk_window_get_destroy_with_parent (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_get_destroy_with_parent (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_destroy_with_parent "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_destroy_with_parent ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_resizable , args , , " void gtk_window_set_resizable (GtkWindow * window,gboolean resizable); " )
{
GtkWindow *   window ;
gboolean   resizable ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_resizable (GtkWindow * window,gboolean resizable); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_resizable "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
resizable = (  gboolean  ) args( 1 ).long_value();
gtk_window_set_resizable ( window,resizable);
return octave_value();
}
DEFUN_DLD( gtk_window_get_resizable , args , , " gboolean gtk_window_get_resizable (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_get_resizable (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_resizable "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_resizable ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_gravity , args , , " void gtk_window_set_gravity (GtkWindow * window,GdkGravity gravity); " )
{
GtkWindow *   window ;
GdkGravity   gravity ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_gravity (GtkWindow * window,GdkGravity gravity); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_gravity "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gravity = (  GdkGravity  ) args( 1 ).long_value();
gtk_window_set_gravity ( window,gravity);
return octave_value();
}
DEFUN_DLD( gtk_window_get_gravity , args , , " GdkGravity gtk_window_get_gravity (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkGravity gtk_window_get_gravity (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_gravity "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_gravity ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_geometry_hints , args , , " void gtk_window_set_geometry_hints (GtkWindow * window,GtkWidget * geometry_widget,GdkGeometry * geometry,GdkWindowHints geom_mask); " )
{
GtkWindow *   window ;
GtkWidget *   geometry_widget ;
GdkGeometry *   geometry ;
GdkWindowHints   geom_mask ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_window_set_geometry_hints (GtkWindow * window,GtkWidget * geometry_widget,GdkGeometry * geometry,GdkWindowHints geom_mask); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_geometry_hints "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
geometry_widget =( GtkWidget * )args( 1 ).long_value();
geometry =( GdkGeometry * )args( 2 ).long_value();
geom_mask = (  GdkWindowHints  ) args( 3 ).int_value();
gtk_window_set_geometry_hints ( window,geometry_widget,geometry,geom_mask);
return octave_value();
}
DEFUN_DLD( gtk_window_set_screen , args , , " void gtk_window_set_screen (GtkWindow * window,GdkScreen * screen); " )
{
GtkWindow *   window ;
GdkScreen *   screen ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_screen (GtkWindow * window,GdkScreen * screen); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_screen "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
screen =( GdkScreen * )args( 1 ).long_value();
gtk_window_set_screen ( window,screen);
return octave_value();
}
DEFUN_DLD( gtk_window_get_screen , args , , " GdkScreen* gtk_window_get_screen (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkScreen* gtk_window_get_screen (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_screen "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gtk_window_get_screen ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_has_frame , args , , " void gtk_window_set_has_frame (GtkWindow * window,gboolean setting); " )
{
GtkWindow *   window ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_has_frame (GtkWindow * window,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_has_frame "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_window_set_has_frame ( window,setting);
return octave_value();
}
DEFUN_DLD( gtk_window_get_has_frame , args , , " gboolean gtk_window_get_has_frame (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_get_has_frame (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_has_frame "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_has_frame ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_frame_dimensions , args , , " void gtk_window_set_frame_dimensions (GtkWindow * window,gint left,gint top,gint right,gint bottom); " )
{
GtkWindow *   window ;
gint   left ;
gint   top ;
gint   right ;
gint   bottom ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_window_set_frame_dimensions (GtkWindow * window,gint left,gint top,gint right,gint bottom); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_frame_dimensions "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
left = (  gint  ) args( 1 ).int_value();
top = (  gint  ) args( 2 ).int_value();
right = (  gint  ) args( 3 ).int_value();
bottom = (  gint  ) args( 4 ).int_value();
gtk_window_set_frame_dimensions ( window,left,top,right,bottom);
return octave_value();
}
DEFUN_DLD( gtk_window_get_frame_dimensions , args , , " void gtk_window_get_frame_dimensions (GtkWindow * window,gint * left,gint * top,gint * right,gint * bottom); " )
{
GtkWindow *   window ;
gint *   left ;
gint *   top ;
gint *   right ;
gint *   bottom ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_window_get_frame_dimensions (GtkWindow * window,gint * left,gint * top,gint * right,gint * bottom); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_frame_dimensions "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
left =( gint * )args( 1 ).long_value();
top =( gint * )args( 2 ).long_value();
right =( gint * )args( 3 ).long_value();
bottom =( gint * )args( 4 ).long_value();
gtk_window_get_frame_dimensions ( window,left,top,right,bottom);
return octave_value();
}
DEFUN_DLD( gtk_window_set_decorated , args , , " void gtk_window_set_decorated (GtkWindow * window,gboolean setting); " )
{
GtkWindow *   window ;
gboolean   setting ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_decorated (GtkWindow * window,gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_decorated "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
setting = (  gboolean  ) args( 1 ).long_value();
gtk_window_set_decorated ( window,setting);
return octave_value();
}
DEFUN_DLD( gtk_window_get_decorated , args , , " gboolean gtk_window_get_decorated (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_get_decorated (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_decorated "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_decorated ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_icon_list , args , , " void gtk_window_set_icon_list (GtkWindow * window,GList * list); " )
{
GtkWindow *   window ;
GList *   list ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_icon_list (GtkWindow * window,GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_icon_list "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
list =( GList * )args( 1 ).long_value();
gtk_window_set_icon_list ( window,list);
return octave_value();
}
DEFUN_DLD( gtk_window_get_icon_list , args , , " GList* gtk_window_get_icon_list (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GList* gtk_window_get_icon_list (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_icon_list "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gtk_window_get_icon_list ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_icon , args , , " void gtk_window_set_icon (GtkWindow * window,GdkPixbuf * icon); " )
{
GtkWindow *   window ;
GdkPixbuf *   icon ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_icon (GtkWindow * window,GdkPixbuf * icon); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_icon "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
icon =( GdkPixbuf * )args( 1 ).long_value();
gtk_window_set_icon ( window,icon);
return octave_value();
}
/* overriden: gtk_window_set_icon_from_file  */
DEFUN_DLD( gtk_window_get_icon , args , , " GdkPixbuf* gtk_window_get_icon (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkPixbuf* gtk_window_get_icon (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_icon "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type= (long int) gtk_window_get_icon ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_default_icon_list , args , , " void gtk_window_set_default_icon_list (GList * list); " )
{
GList *   list ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_set_default_icon_list (GList * list); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_default_icon_list "<<std::endl;
#endif /* DEBUG */
list =( GList * )args( 0 ).long_value();
gtk_window_set_default_icon_list ( list);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_window_get_default_icon_list , args , , " GList* gtk_window_get_default_icon_list (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_window_get_default_icon_list "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_window_get_default_icon_list ( );
return octave_value(ret_type);
}
/* overriden: gtk_window_set_default_icon_from_file  */
DEFUN_DLD( gtk_window_set_auto_startup_notification , args , , " void gtk_window_set_auto_startup_notification (gboolean setting); " )
{
gboolean   setting ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_set_auto_startup_notification (gboolean setting); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_auto_startup_notification "<<std::endl;
#endif /* DEBUG */
setting = (  gboolean  ) args( 0 ).long_value();
gtk_window_set_auto_startup_notification ( setting);
return octave_value();
}
DEFUN_DLD( gtk_window_set_modal , args , , " void gtk_window_set_modal (GtkWindow * window,gboolean modal); " )
{
GtkWindow *   window ;
gboolean   modal ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_modal (GtkWindow * window,gboolean modal); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_modal "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
modal = (  gboolean  ) args( 1 ).long_value();
gtk_window_set_modal ( window,modal);
return octave_value();
}
DEFUN_DLD( gtk_window_get_modal , args , , " gboolean gtk_window_get_modal (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  gboolean gtk_window_get_modal (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_modal "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_modal ( window);
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_window_list_toplevels , args , , " GList* gtk_window_list_toplevels (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_window_list_toplevels "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_window_list_toplevels ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_add_mnemonic , args , , " void gtk_window_add_mnemonic (GtkWindow * window,guint keyval,GtkWidget * target); " )
{
GtkWindow *   window ;
guint   keyval ;
GtkWidget *   target ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_add_mnemonic (GtkWindow * window,guint keyval,GtkWidget * target); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_add_mnemonic "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
target =( GtkWidget * )args( 2 ).long_value();
gtk_window_add_mnemonic ( window,keyval,target);
return octave_value();
}
DEFUN_DLD( gtk_window_remove_mnemonic , args , , " void gtk_window_remove_mnemonic (GtkWindow * window,guint keyval,GtkWidget * target); " )
{
GtkWindow *   window ;
guint   keyval ;
GtkWidget *   target ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_remove_mnemonic (GtkWindow * window,guint keyval,GtkWidget * target); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_remove_mnemonic "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
target =( GtkWidget * )args( 2 ).long_value();
gtk_window_remove_mnemonic ( window,keyval,target);
return octave_value();
}
DEFUN_DLD( gtk_window_mnemonic_activate , args , , " gboolean gtk_window_mnemonic_activate (GtkWindow * window,guint keyval,GdkModifierType modifier); " )
{
GtkWindow *   window ;
guint   keyval ;
GdkModifierType   modifier ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  gboolean gtk_window_mnemonic_activate (GtkWindow * window,guint keyval,GdkModifierType modifier); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_mnemonic_activate "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
keyval = (  guint  ) args( 1 ).int_value();
modifier = (  GdkModifierType  ) args( 2 ).long_value();
long int ret_type=(long int) gtk_window_mnemonic_activate ( window,keyval,modifier);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_set_mnemonic_modifier , args , , " void gtk_window_set_mnemonic_modifier (GtkWindow * window,GdkModifierType modifier); " )
{
GtkWindow *   window ;
GdkModifierType   modifier ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_set_mnemonic_modifier (GtkWindow * window,GdkModifierType modifier); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_mnemonic_modifier "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
modifier = (  GdkModifierType  ) args( 1 ).long_value();
gtk_window_set_mnemonic_modifier ( window,modifier);
return octave_value();
}
DEFUN_DLD( gtk_window_get_mnemonic_modifier , args , , " GdkModifierType gtk_window_get_mnemonic_modifier (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  GdkModifierType gtk_window_get_mnemonic_modifier (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_mnemonic_modifier "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
long int ret_type=(long int) gtk_window_get_mnemonic_modifier ( window);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_present , args , , " void gtk_window_present (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_present (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_present "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_present ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_iconify , args , , " void gtk_window_iconify (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_iconify (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_iconify "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_iconify ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_deiconify , args , , " void gtk_window_deiconify (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_deiconify (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_deiconify "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_deiconify ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_stick , args , , " void gtk_window_stick (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_stick (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_stick "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_stick ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_unstick , args , , " void gtk_window_unstick (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_unstick (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_unstick "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_unstick ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_maximize , args , , " void gtk_window_maximize (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_maximize (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_maximize "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_maximize ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_unmaximize , args , , " void gtk_window_unmaximize (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_unmaximize (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_unmaximize "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_unmaximize ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_fullscreen , args , , " void gtk_window_fullscreen (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_fullscreen (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_fullscreen "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_fullscreen ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_unfullscreen , args , , " void gtk_window_unfullscreen (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_unfullscreen (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_unfullscreen "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_unfullscreen ( window);
return octave_value();
}
DEFUN_DLD( gtk_window_begin_resize_drag , args , , " void gtk_window_begin_resize_drag (GtkWindow * window,GdkWindowEdge edge,gint button,gint root_x,gint root_y,guint32 timestamp); " )
{
GtkWindow *   window ;
GdkWindowEdge   edge ;
gint   button ;
gint   root_x ;
gint   root_y ;
guint32   timestamp ;
 if(args.length()!= 6 )
  {
   std::cout<< "eg:  void gtk_window_begin_resize_drag (GtkWindow * window,GdkWindowEdge edge,gint button,gint root_x,gint root_y,guint32 timestamp); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_begin_resize_drag "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
edge = (  GdkWindowEdge  ) args( 1 ).long_value();
button = (  gint  ) args( 2 ).int_value();
root_x = (  gint  ) args( 3 ).int_value();
root_y = (  gint  ) args( 4 ).int_value();
timestamp = (  guint32  ) args( 5 ).int_value();
gtk_window_begin_resize_drag ( window,edge,button,root_x,root_y,timestamp);
return octave_value();
}
DEFUN_DLD( gtk_window_begin_move_drag , args , , " void gtk_window_begin_move_drag (GtkWindow * window,gint button,gint root_x,gint root_y,guint32 timestamp); " )
{
GtkWindow *   window ;
gint   button ;
gint   root_x ;
gint   root_y ;
guint32   timestamp ;
 if(args.length()!= 5 )
  {
   std::cout<< "eg:  void gtk_window_begin_move_drag (GtkWindow * window,gint button,gint root_x,gint root_y,guint32 timestamp); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_begin_move_drag "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
button = (  gint  ) args( 1 ).int_value();
root_x = (  gint  ) args( 2 ).int_value();
root_y = (  gint  ) args( 3 ).int_value();
timestamp = (  guint32  ) args( 4 ).int_value();
gtk_window_begin_move_drag ( window,button,root_x,root_y,timestamp);
return octave_value();
}
DEFUN_DLD( gtk_window_set_policy , args , , " void gtk_window_set_policy (GtkWindow * window,gint allow_shrink,gint allow_grow,gint auto_shrink); " )
{
GtkWindow *   window ;
gint   allow_shrink ;
gint   allow_grow ;
gint   auto_shrink ;
 if(args.length()!= 4 )
  {
   std::cout<< "eg:  void gtk_window_set_policy (GtkWindow * window,gint allow_shrink,gint allow_grow,gint auto_shrink); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_policy "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
allow_shrink = (  gint  ) args( 1 ).int_value();
allow_grow = (  gint  ) args( 2 ).int_value();
auto_shrink = (  gint  ) args( 3 ).int_value();
gtk_window_set_policy ( window,allow_shrink,allow_grow,auto_shrink);
return octave_value();
}
DEFUN_DLD( gtk_window_set_default_size , args , , " void gtk_window_set_default_size (GtkWindow * window,gint width,gint height); " )
{
GtkWindow *   window ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_set_default_size (GtkWindow * window,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_set_default_size "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
gtk_window_set_default_size ( window,width,height);
return octave_value();
}
DEFUN_DLD( gtk_window_get_default_size , args , , " void gtk_window_get_default_size (GtkWindow * window,gint * width,gint * height); " )
{
GtkWindow *   window ;
gint *   width ;
gint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_get_default_size (GtkWindow * window,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_default_size "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
width =( gint * )args( 1 ).long_value();
height =( gint * )args( 2 ).long_value();
gtk_window_get_default_size ( window,width,height);
return octave_value();
}
DEFUN_DLD( gtk_window_resize , args , , " void gtk_window_resize (GtkWindow * window,gint width,gint height); " )
{
GtkWindow *   window ;
gint   width ;
gint   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_resize (GtkWindow * window,gint width,gint height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_resize "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
width = (  gint  ) args( 1 ).int_value();
height = (  gint  ) args( 2 ).int_value();
gtk_window_resize ( window,width,height);
return octave_value();
}
DEFUN_DLD( gtk_window_get_size , args , , " void gtk_window_get_size (GtkWindow * window,gint * width,gint * height); " )
{
GtkWindow *   window ;
gint *   width ;
gint *   height ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_get_size (GtkWindow * window,gint * width,gint * height); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_size "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
width =( gint * )args( 1 ).long_value();
height =( gint * )args( 2 ).long_value();
gtk_window_get_size ( window,width,height);
return octave_value();
}
DEFUN_DLD( gtk_window_move , args , , " void gtk_window_move (GtkWindow * window,gint x,gint y); " )
{
GtkWindow *   window ;
gint   x ;
gint   y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_move (GtkWindow * window,gint x,gint y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_move "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
x = (  gint  ) args( 1 ).int_value();
y = (  gint  ) args( 2 ).int_value();
gtk_window_move ( window,x,y);
return octave_value();
}
DEFUN_DLD( gtk_window_get_position , args , , " void gtk_window_get_position (GtkWindow * window,gint * root_x,gint * root_y); " )
{
GtkWindow *   window ;
gint *   root_x ;
gint *   root_y ;
 if(args.length()!= 3 )
  {
   std::cout<< "eg:  void gtk_window_get_position (GtkWindow * window,gint * root_x,gint * root_y); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_get_position "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
root_x =( gint * )args( 1 ).long_value();
root_y =( gint * )args( 2 ).long_value();
gtk_window_get_position ( window,root_x,root_y);
return octave_value();
}
DEFUN_DLD( gtk_window_parse_geometry , args , , " gboolean gtk_window_parse_geometry (GtkWindow * window,gchar * geometry); " )
{
GtkWindow *   window ;
gchar *   geometry ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  gboolean gtk_window_parse_geometry (GtkWindow * window,gchar * geometry); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_parse_geometry "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
geometry = new  gchar   [args( 1 ).string_value ().length()];
strcpy( (char *) geometry ,args( 1 ).string_value().c_str());
long int ret_type=(long int) gtk_window_parse_geometry ( window,geometry);
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_reshow_with_initial_size , args , , " void gtk_window_reshow_with_initial_size (GtkWindow * window); " )
{
GtkWindow *   window ;
 if(args.length()!= 1 )
  {
   std::cout<< "eg:  void gtk_window_reshow_with_initial_size (GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_reshow_with_initial_size "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
gtk_window_reshow_with_initial_size ( window);
return octave_value();
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_window_group_get_type , args , , " GType gtk_window_group_get_type (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_window_group_get_type "<<std::endl;
#endif /* DEBUG */
long int ret_type=(long int) gtk_window_group_get_type ( );
return octave_value(ret_type);
}
/* void: zero arguments taken */
DEFUN_DLD( gtk_window_group_new , args , , " GtkWindowGroup * gtk_window_group_new (void); " )
{
#ifdef DEBUG
std::cout<<" gtk_window_group_new "<<std::endl;
#endif /* DEBUG */
long int ret_type= (long int) gtk_window_group_new ( );
return octave_value(ret_type);
}
DEFUN_DLD( gtk_window_group_add_window , args , , " void gtk_window_group_add_window (GtkWindowGroup * window_group,GtkWindow * window); " )
{
GtkWindowGroup *   window_group ;
GtkWindow *   window ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_group_add_window (GtkWindowGroup * window_group,GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_group_add_window "<<std::endl;
#endif /* DEBUG */
window_group =( GtkWindowGroup * )args( 0 ).long_value();
window =( GtkWindow * )args( 1 ).long_value();
gtk_window_group_add_window ( window_group,window);
return octave_value();
}
DEFUN_DLD( gtk_window_group_remove_window , args , , " void gtk_window_group_remove_window (GtkWindowGroup * window_group,GtkWindow * window); " )
{
GtkWindowGroup *   window_group ;
GtkWindow *   window ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_group_remove_window (GtkWindowGroup * window_group,GtkWindow * window); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_group_remove_window "<<std::endl;
#endif /* DEBUG */
window_group =( GtkWindowGroup * )args( 0 ).long_value();
window =( GtkWindow * )args( 1 ).long_value();
gtk_window_group_remove_window ( window_group,window);
return octave_value();
}
DEFUN_DLD( gtk_window_remove_embedded_xid , args , , " void gtk_window_remove_embedded_xid (GtkWindow * window,guint xid); " )
{
GtkWindow *   window ;
guint   xid ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_remove_embedded_xid (GtkWindow * window,guint xid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_remove_embedded_xid "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
xid = (  guint  ) args( 1 ).int_value();
gtk_window_remove_embedded_xid ( window,xid);
return octave_value();
}
DEFUN_DLD( gtk_window_add_embedded_xid , args , , " void gtk_window_add_embedded_xid (GtkWindow * window,guint xid); " )
{
GtkWindow *   window ;
guint   xid ;
 if(args.length()!= 2 )
  {
   std::cout<< "eg:  void gtk_window_add_embedded_xid (GtkWindow * window,guint xid); " <<std::endl;
   return octave_value(-1);
  }
#ifdef DEBUG
std::cout<<" gtk_window_add_embedded_xid "<<std::endl;
#endif /* DEBUG */
window =( GtkWindow * )args( 0 ).long_value();
xid = (  guint  ) args( 1 ).int_value();
gtk_window_add_embedded_xid ( window,xid);
return octave_value();
}
/* Overridden functions */
/* Linked Separately */
DEFUN_DLD( gtk , args , , " void gtk(void); " )
{
DEFCONST_INTERNAL(TRUE,1,"");
DEFCONST_INTERNAL(FALSE,0,"");
DEFCONST_INTERNAL(NULL,0,"");

DEFCONST_INTERNAL(GTK_ANCHOR_CENTER,0,"");
DEFCONST_INTERNAL(GTK_ANCHOR_NORTH,1,"");
DEFCONST_INTERNAL(GTK_ANCHOR_NORTH_WEST,2,"");
DEFCONST_INTERNAL(GTK_ANCHOR_NORTH_EAST,3,"");
DEFCONST_INTERNAL(GTK_ANCHOR_SOUTH,4,"");
DEFCONST_INTERNAL(GTK_ANCHOR_SOUTH_WEST,5,"");
DEFCONST_INTERNAL(GTK_ANCHOR_SOUTH_EAST,6,"");
DEFCONST_INTERNAL(GTK_ANCHOR_WEST,7,"");
DEFCONST_INTERNAL(GTK_ANCHOR_EAST,8,"");
DEFCONST_INTERNAL(GTK_ANCHOR_N ,1,"");
DEFCONST_INTERNAL(GTK_ANCHOR_NW,2,"");
DEFCONST_INTERNAL(GTK_ANCHOR_NE,3,"");
DEFCONST_INTERNAL(GTK_ANCHOR_S ,4,"");
DEFCONST_INTERNAL(GTK_ANCHOR_SW,5,"");
DEFCONST_INTERNAL(GTK_ANCHOR_SE,6,"");
DEFCONST_INTERNAL(GTK_ANCHOR_W ,7,"");
DEFCONST_INTERNAL(GTK_ANCHOR_E ,8,"");


DEFCONST_INTERNAL(GTK_ARROW_UP,0,"");
DEFCONST_INTERNAL(GTK_ARROW_DOWN,1,"");
DEFCONST_INTERNAL(GTK_ARROW_LEFT,2,"");
DEFCONST_INTERNAL(GTK_ARROW_RIGHT,3,"");


DEFCONST_INTERNAL(GTK_EXPAND ,1,"");
DEFCONST_INTERNAL(GTK_SHRINK ,2,"");
DEFCONST_INTERNAL(GTK_FILL ,4,"");


DEFCONST_INTERNAL(GTK_BUTTONBOX_DEFAULT_STYLE,0,"");
DEFCONST_INTERNAL(GTK_BUTTONBOX_SPREAD,1,"");
DEFCONST_INTERNAL(GTK_BUTTONBOX_EDGE,2,"");
DEFCONST_INTERNAL(GTK_BUTTONBOX_START,3,"");
DEFCONST_INTERNAL(GTK_BUTTONBOX_END,4,"");


DEFCONST_INTERNAL(GTK_CURVE_TYPE_LINEAR,0,"");
DEFCONST_INTERNAL(GTK_CURVE_TYPE_SPLINE,1,"");
DEFCONST_INTERNAL(GTK_CURVE_TYPE_FREE,2,"");


DEFCONST_INTERNAL(GTK_DELETE_CHARS,0,"");
DEFCONST_INTERNAL(GTK_DELETE_WORD_ENDS,1,"");
DEFCONST_INTERNAL(GTK_DELETE_WORDS,2,"");
DEFCONST_INTERNAL(GTK_DELETE_DISPLAY_LINES,3,"");
DEFCONST_INTERNAL(GTK_DELETE_DISPLAY_LINE_ENDS,4,"");
DEFCONST_INTERNAL(GTK_DELETE_PARAGRAPH_ENDS,5,"");
DEFCONST_INTERNAL(GTK_DELETE_PARAGRAPHS,6,"");
DEFCONST_INTERNAL(GTK_DELETE_WHITESPACE,7,"");


DEFCONST_INTERNAL(GTK_DIR_TAB_FORWARD,0,"");
DEFCONST_INTERNAL(GTK_DIR_TAB_BACKWARD,1,"");
DEFCONST_INTERNAL(GTK_DIR_UP,2,"");
DEFCONST_INTERNAL(GTK_DIR_DOWN,3,"");
DEFCONST_INTERNAL(GTK_DIR_LEFT,4,"");
DEFCONST_INTERNAL(GTK_DIR_RIGHT,5,"");


DEFCONST_INTERNAL(GTK_EXPANDER_COLLAPSED,0,"");
DEFCONST_INTERNAL(GTK_EXPANDER_SEMI_COLLAPSED,1,"");
DEFCONST_INTERNAL(GTK_EXPANDER_SEMI_EXPANDED,2,"");
DEFCONST_INTERNAL(GTK_EXPANDER_EXPANDED,3,"");


DEFCONST_INTERNAL(GTK_ICON_SIZE_INVALID,0,"");
DEFCONST_INTERNAL(GTK_ICON_SIZE_MENU,1,"");
DEFCONST_INTERNAL(GTK_ICON_SIZE_SMALL_TOOLBAR,2,"");
DEFCONST_INTERNAL(GTK_ICON_SIZE_LARGE_TOOLBAR,3,"");
DEFCONST_INTERNAL(GTK_ICON_SIZE_BUTTON,4,"");
DEFCONST_INTERNAL(GTK_ICON_SIZE_DND,5,"");
DEFCONST_INTERNAL(GTK_ICON_SIZE_DIALOG,6,"");


DEFCONST_INTERNAL(GTK_SIDE_TOP,0,"");
DEFCONST_INTERNAL(GTK_SIDE_BOTTOM,1,"");
DEFCONST_INTERNAL(GTK_SIDE_LEFT,2,"");
DEFCONST_INTERNAL(GTK_SIDE_RIGHT,3,"");


DEFCONST_INTERNAL(GTK_TEXT_DIR_NONE,0,"");
DEFCONST_INTERNAL(GTK_TEXT_DIR_LTR,1,"");
DEFCONST_INTERNAL(GTK_TEXT_DIR_RTL,2,"");


DEFCONST_INTERNAL(GTK_JUSTIFY_LEFT,0,"");
DEFCONST_INTERNAL(GTK_JUSTIFY_RIGHT,1,"");
DEFCONST_INTERNAL(GTK_JUSTIFY_CENTER,2,"");
DEFCONST_INTERNAL(GTK_JUSTIFY_FILL,3,"");


DEFCONST_INTERNAL(GTK_MATCH_ALL,0,"");
DEFCONST_INTERNAL(GTK_MATCH_ALL_TAIL,1,"");
DEFCONST_INTERNAL(GTK_MATCH_HEAD,2,"");
DEFCONST_INTERNAL(GTK_MATCH_TAIL,3,"");
DEFCONST_INTERNAL(GTK_MATCH_EXACT,4,"");
DEFCONST_INTERNAL(GTK_MATCH_LAST,5,"");


DEFCONST_INTERNAL(GTK_MENU_DIR_PARENT,0,"");
DEFCONST_INTERNAL(GTK_MENU_DIR_CHILD,1,"");
DEFCONST_INTERNAL(GTK_MENU_DIR_NEXT,2,"");
DEFCONST_INTERNAL(GTK_MENU_DIR_PREV,3,"");


DEFCONST_INTERNAL(GTK_PIXELS,0,"");
DEFCONST_INTERNAL(GTK_INCHES,1,"");
DEFCONST_INTERNAL(GTK_CENTIMETERS,2,"");


DEFCONST_INTERNAL(GTK_MOVEMENT_LOGICAL_POSITIONS,0,"");
DEFCONST_INTERNAL(GTK_MOVEMENT_VISUAL_POSITIONS,1,"");
DEFCONST_INTERNAL(GTK_MOVEMENT_WORDS,2,"");
DEFCONST_INTERNAL(GTK_MOVEMENT_DISPLAY_LINES,3,"");
DEFCONST_INTERNAL(GTK_MOVEMENT_DISPLAY_LINE_ENDS,4,"");
DEFCONST_INTERNAL(GTK_MOVEMENT_PARAGRAPHS,5,"");
DEFCONST_INTERNAL(GTK_MOVEMENT_PARAGRAPH_ENDS,6,"");
DEFCONST_INTERNAL(GTK_MOVEMENT_PAGES,7,"");
DEFCONST_INTERNAL(GTK_MOVEMENT_BUFFER_ENDS,8,"");


DEFCONST_INTERNAL(GTK_ORIENTATION_HORIZONTAL,0,"");
DEFCONST_INTERNAL(GTK_ORIENTATION_VERTICAL,1,"");


DEFCONST_INTERNAL(GTK_CORNER_TOP_LEFT,0,"");
DEFCONST_INTERNAL(GTK_CORNER_BOTTOM_LEFT,1,"");
DEFCONST_INTERNAL(GTK_CORNER_TOP_RIGHT,2,"");
DEFCONST_INTERNAL(GTK_CORNER_BOTTOM_RIGHT,3,"");


DEFCONST_INTERNAL(GTK_PACK_START,0,"");
DEFCONST_INTERNAL(GTK_PACK_END,1,"");


DEFCONST_INTERNAL(GTK_PATH_PRIO_LOWEST ,0,"");
DEFCONST_INTERNAL(GTK_PATH_PRIO_GTK ,4,"");
DEFCONST_INTERNAL(GTK_PATH_PRIO_APPLICATION,8,"");
DEFCONST_INTERNAL(GTK_PATH_PRIO_THEME,10,"");
DEFCONST_INTERNAL(GTK_PATH_PRIO_RC,12,"");
DEFCONST_INTERNAL(GTK_PATH_PRIO_HIGHEST,15,"");


DEFCONST_INTERNAL(GTK_PATH_WIDGET,0,"");
DEFCONST_INTERNAL(GTK_PATH_WIDGET_CLASS,1,"");
DEFCONST_INTERNAL(GTK_PATH_CLASS,2,"");


DEFCONST_INTERNAL(GTK_POLICY_ALWAYS,0,"");
DEFCONST_INTERNAL(GTK_POLICY_AUTOMATIC,1,"");
DEFCONST_INTERNAL(GTK_POLICY_NEVER,2,"");


DEFCONST_INTERNAL(GTK_POS_LEFT,0,"");
DEFCONST_INTERNAL(GTK_POS_RIGHT,1,"");
DEFCONST_INTERNAL(GTK_POS_TOP,2,"");
DEFCONST_INTERNAL(GTK_POS_BOTTOM,3,"");


DEFCONST_INTERNAL(GTK_PREVIEW_COLOR,0,"");
DEFCONST_INTERNAL(GTK_PREVIEW_GRAYSCALE,1,"");


DEFCONST_INTERNAL(GTK_RELIEF_NORMAL,0,"");
DEFCONST_INTERNAL(GTK_RELIEF_HALF,1,"");
DEFCONST_INTERNAL(GTK_RELIEF_NONE,2,"");


DEFCONST_INTERNAL(GTK_RESIZE_PARENT,0,"");
DEFCONST_INTERNAL(GTK_RESIZE_QUEUE,1,"");
DEFCONST_INTERNAL(GTK_RESIZE_IMMEDIATE,2,"");


DEFCONST_INTERNAL(GTK_RUN_FIRST,1,"");
DEFCONST_INTERNAL(GTK_RUN_LAST ,2,"");
DEFCONST_INTERNAL(GTK_RUN_BOTH ,4,"");
DEFCONST_INTERNAL(GTK_RUN_NO_RECURSE ,8,"");
DEFCONST_INTERNAL(GTK_RUN_ACTION ,16,"");
DEFCONST_INTERNAL(GTK_RUN_NO_HOOKS ,32,"");


DEFCONST_INTERNAL(GTK_SCROLL_NONE,0,"");
DEFCONST_INTERNAL(GTK_SCROLL_JUMP,1,"");
DEFCONST_INTERNAL(GTK_SCROLL_STEP_BACKWARD,2,"");
DEFCONST_INTERNAL(GTK_SCROLL_STEP_FORWARD,3,"");
DEFCONST_INTERNAL(GTK_SCROLL_PAGE_BACKWARD,4,"");
DEFCONST_INTERNAL(GTK_SCROLL_PAGE_FORWARD,5,"");
DEFCONST_INTERNAL(GTK_SCROLL_STEP_UP,6,"");
DEFCONST_INTERNAL(GTK_SCROLL_STEP_DOWN,7,"");
DEFCONST_INTERNAL(GTK_SCROLL_PAGE_UP,8,"");
DEFCONST_INTERNAL(GTK_SCROLL_PAGE_DOWN,9,"");
DEFCONST_INTERNAL(GTK_SCROLL_STEP_LEFT,10,"");
DEFCONST_INTERNAL(GTK_SCROLL_STEP_RIGHT,11,"");
DEFCONST_INTERNAL(GTK_SCROLL_PAGE_LEFT,12,"");
DEFCONST_INTERNAL(GTK_SCROLL_PAGE_RIGHT,13,"");
DEFCONST_INTERNAL(GTK_SCROLL_START,14,"");
DEFCONST_INTERNAL(GTK_SCROLL_END,15,"");


DEFCONST_INTERNAL(GTK_SELECTION_NONE,0,"");
DEFCONST_INTERNAL(GTK_SELECTION_SINGLE,1,"");
DEFCONST_INTERNAL(GTK_SELECTION_BROWSE,2,"");
DEFCONST_INTERNAL(GTK_SELECTION_MULTIPLE,3,"");
DEFCONST_INTERNAL(GTK_SELECTION_EXTENDED ,3,"");


DEFCONST_INTERNAL(GTK_SHADOW_NONE,0,"");
DEFCONST_INTERNAL(GTK_SHADOW_IN,1,"");
DEFCONST_INTERNAL(GTK_SHADOW_OUT,2,"");
DEFCONST_INTERNAL(GTK_SHADOW_ETCHED_IN,3,"");
DEFCONST_INTERNAL(GTK_SHADOW_ETCHED_OUT,4,"");


DEFCONST_INTERNAL(GTK_STATE_NORMAL,0,"");
DEFCONST_INTERNAL(GTK_STATE_ACTIVE,1,"");
DEFCONST_INTERNAL(GTK_STATE_PRELIGHT,2,"");
DEFCONST_INTERNAL(GTK_STATE_SELECTED,3,"");
DEFCONST_INTERNAL(GTK_STATE_INSENSITIVE,4,"");


DEFCONST_INTERNAL(GTK_DIRECTION_LEFT,0,"");
DEFCONST_INTERNAL(GTK_DIRECTION_RIGHT,1,"");


DEFCONST_INTERNAL(GTK_TOP_BOTTOM,0,"");
DEFCONST_INTERNAL(GTK_LEFT_RIGHT,1,"");


DEFCONST_INTERNAL(GTK_TOOLBAR_ICONS,0,"");
DEFCONST_INTERNAL(GTK_TOOLBAR_TEXT,1,"");
DEFCONST_INTERNAL(GTK_TOOLBAR_BOTH,2,"");
DEFCONST_INTERNAL(GTK_TOOLBAR_BOTH_HORIZ,3,"");


DEFCONST_INTERNAL(GTK_UPDATE_CONTINUOUS,0,"");
DEFCONST_INTERNAL(GTK_UPDATE_DISCONTINUOUS,1,"");
DEFCONST_INTERNAL(GTK_UPDATE_DELAYED,2,"");


DEFCONST_INTERNAL(GTK_VISIBILITY_NONE,0,"");
DEFCONST_INTERNAL(GTK_VISIBILITY_PARTIAL,1,"");
DEFCONST_INTERNAL(GTK_VISIBILITY_FULL,2,"");


DEFCONST_INTERNAL(GTK_WIN_POS_NONE,0,"");
DEFCONST_INTERNAL(GTK_WIN_POS_CENTER,1,"");
DEFCONST_INTERNAL(GTK_WIN_POS_MOUSE,2,"");
DEFCONST_INTERNAL(GTK_WIN_POS_CENTER_ALWAYS,3,"");
DEFCONST_INTERNAL(GTK_WIN_POS_CENTER_ON_PARENT,4,"");


DEFCONST_INTERNAL(GTK_WINDOW_TOPLEVEL,0,"");
DEFCONST_INTERNAL(GTK_WINDOW_POPUP,1,"");


DEFCONST_INTERNAL(GTK_WRAP_NONE,0,"");
DEFCONST_INTERNAL(GTK_WRAP_CHAR,1,"");
DEFCONST_INTERNAL(GTK_WRAP_WORD,2,"");


DEFCONST_INTERNAL(GTK_SORT_ASCENDING,0,"");
DEFCONST_INTERNAL(GTK_SORT_DESCENDING,1,"");


DEFCONST_INTERNAL(GTK_IM_PREEDIT_NOTHING,0,"");
DEFCONST_INTERNAL(GTK_IM_PREEDIT_CALLBACK,1,"");


DEFCONST_INTERNAL(GTK_IM_STATUS_NOTHING,0,"");
DEFCONST_INTERNAL(GTK_IM_STATUS_CALLBACK,1,"");

DEFCONST_INTERNAL(GTK_MESSAGE_INFO,0,"");
DEFCONST_INTERNAL(GTK_MESSAGE_WARNING,1,"");
DEFCONST_INTERNAL(GTK_MESSAGE_QUESTION,2,"");
DEFCONST_INTERNAL(GTK_MESSAGE_ERROR,3,"");

DEFCONST_INTERNAL(GTK_BUTTONS_NONE,0,"");
DEFCONST_INTERNAL(GTK_BUTTONS_OK,1,"");
DEFCONST_INTERNAL(GTK_BUTTONS_CLOSE,2,"");
DEFCONST_INTERNAL(GTK_BUTTONS_CANCEL,3,"");
DEFCONST_INTERNAL(GTK_BUTTONS_YES_NO,4,"");
DEFCONST_INTERNAL(GTK_BUTTONS_OK_CANCEL,5,"");

DEFCONST_INTERNAL(GTK_DIALOG_MODAL,1,"");
DEFCONST_INTERNAL(GTK_DIALOG_DESTROY_WITH_PARENT,2,"");
DEFCONST_INTERNAL(GTK_DIALOG_NO_SEPARATOR,4,"");

DEFCONST_INTERNAL(GTK_RESPONSE_NONE,-1,"");
DEFCONST_INTERNAL(GTK_RESPONSE_REJECT,-2,"");
DEFCONST_INTERNAL(GTK_RESPONSE_ACCEPT,-3,"");
DEFCONST_INTERNAL(GTK_RESPONSE_DELETE_EVENT,-4,"");
DEFCONST_INTERNAL(GTK_RESPONSE_OK     , -5,"");
DEFCONST_INTERNAL(GTK_RESPONSE_CANCEL , -6,"");
DEFCONST_INTERNAL(GTK_RESPONSE_CLOSE  , -7,"");
DEFCONST_INTERNAL(GTK_RESPONSE_YES    , -8,"");
DEFCONST_INTERNAL(GTK_RESPONSE_NO     , -9,"");
DEFCONST_INTERNAL(GTK_RESPONSE_APPLY  , -10,"");
DEFCONST_INTERNAL(GTK_RESPONSE_HELP   , -11,"");
DEFVAR_INTERNAL("GTK_STOCK_DIALOG_INFO","GTK_STOCK_DIALOG_INFO","gtk-dialog-info" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_DIALOG_WARNING","GTK_STOCK_DIALOG_WARNING","gtk-dialog-warning" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_DIALOG_ERROR","GTK_STOCK_DIALOG_ERROR","gtk-dialog-error" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_DIALOG_QUESTION","GTK_STOCK_DIALOG_QUESTION","gtk-dialog-question" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_DND","GTK_STOCK_DND","gtk-dnd" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_DND_MULTIPLE","GTK_STOCK_DND_MULTIPLE","gtk-dnd-multiple" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_ADD","GTK_STOCK_ADD","gtk-add" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_APPLY","GTK_STOCK_APPLY","gtk-apply" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_BOLD","GTK_STOCK_BOLD","gtk-bold" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_CANCEL","GTK_STOCK_CANCEL","gtk-cancel" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_CDROM","GTK_STOCK_CDROM","gtk-cdrom" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_CLEAR","GTK_STOCK_CLEAR","gtk-clear" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_CLOSE","GTK_STOCK_CLOSE","gtk-close" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_COLOR_PICKER","GTK_STOCK_COLOR_PICKER","gtk-color-picker" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_CONVERT","GTK_STOCK_CONVERT","gtk-convert" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_COPY","GTK_STOCK_COPY","gtk-copy" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_CUT","GTK_STOCK_CUT","gtk-cut" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_DELETE","GTK_STOCK_DELETE","gtk-delete" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_EXECUTE","GTK_STOCK_EXECUTE","gtk-execute" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_FIND","GTK_STOCK_FIND","gtk-find" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_FIND_AND_REPLACE","GTK_STOCK_FIND_AND_REPLACE","gtk-find-and-replace" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_FLOPPY","GTK_STOCK_FLOPPY","gtk-floppy" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_GOTO_BOTTOM","GTK_STOCK_GOTO_BOTTOM","gtk-goto-bottom" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_GOTO_FIRST","GTK_STOCK_GOTO_FIRST","gtk-goto-first" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_GOTO_LAST","GTK_STOCK_GOTO_LAST","gtk-goto-last" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_GOTO_TOP","GTK_STOCK_GOTO_TOP","gtk-goto-top" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_GO_BACK","GTK_STOCK_GO_BACK","gtk-go-back" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_GO_DOWN","GTK_STOCK_GO_DOWN","gtk-go-down" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_GO_FORWARD","GTK_STOCK_GO_FORWARD","gtk-go-forward" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_GO_UP","GTK_STOCK_GO_UP","gtk-go-up" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_HELP","GTK_STOCK_HELP","gtk-help" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_HOME","GTK_STOCK_HOME","gtk-home" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_INDEX","GTK_STOCK_INDEX","gtk-index" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_ITALIC","GTK_STOCK_ITALIC","gtk-italic" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_JUMP_TO","GTK_STOCK_JUMP_TO","gtk-jump-to" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_JUSTIFY_CENTER","GTK_STOCK_JUSTIFY_CENTER","gtk-justify-center" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_JUSTIFY_FILL","GTK_STOCK_JUSTIFY_FILL","gtk-justify-fill" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_JUSTIFY_LEFT","GTK_STOCK_JUSTIFY_LEFT","gtk-justify-left" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_JUSTIFY_RIGHT","GTK_STOCK_JUSTIFY_RIGHT","gtk-justify-right" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_MISSING_IMAGE","GTK_STOCK_MISSING_IMAGE","gtk-missing-image" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_NEW","GTK_STOCK_NEW","gtk-new" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_NO","GTK_STOCK_NO","gtk-no" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_OK","GTK_STOCK_OK","gtk-ok" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_OPEN","GTK_STOCK_OPEN","gtk-open" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_PASTE","GTK_STOCK_PASTE","gtk-paste" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_PREFERENCES","GTK_STOCK_PREFERENCES","gtk-preferences" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_PRINT","GTK_STOCK_PRINT","gtk-print" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_PRINT_PREVIEW","GTK_STOCK_PRINT_PREVIEW","gtk-print-preview" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_PROPERTIES","GTK_STOCK_PROPERTIES","gtk-properties" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_QUIT","GTK_STOCK_QUIT","gtk-quit" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_REDO","GTK_STOCK_REDO","gtk-redo" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_REFRESH","GTK_STOCK_REFRESH","gtk-refresh" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_REMOVE","GTK_STOCK_REMOVE","gtk-remove" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_REVERT_TO_SAVED","GTK_STOCK_REVERT_TO_SAVED","gtk-revert-to-saved" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_SAVE","GTK_STOCK_SAVE","gtk-save" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_SAVE_AS","GTK_STOCK_SAVE_AS","gtk-save-as" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_SELECT_COLOR","GTK_STOCK_SELECT_COLOR","gtk-select-color" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_SELECT_FONT","GTK_STOCK_SELECT_FONT","gtk-select-font" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_SORT_ASCENDING","GTK_STOCK_SORT_ASCENDING","gtk-sort-ascending" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_SORT_DESCENDING","GTK_STOCK_SORT_DESCENDING","gtk-sort-descending" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_SPELL_CHECK","GTK_STOCK_SPELL_CHECK","gtk-spell-check" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_STOP","GTK_STOCK_STOP","gtk-stop" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_STRIKETHROUGH","GTK_STOCK_STRIKETHROUGH","gtk-strikethrough" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_UNDELETE","GTK_STOCK_UNDELETE","gtk-undelete" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_UNDERLINE","GTK_STOCK_UNDERLINE","gtk-underline" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_UNDO","GTK_STOCK_UNDO","gtk-undo" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_YES","GTK_STOCK_YES","gtk-yes" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_ZOOM_100","GTK_STOCK_ZOOM_100","gtk-zoom-100" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_ZOOM_FIT","GTK_STOCK_ZOOM_FIT","gtk-zoom-fit" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_ZOOM_IN","GTK_STOCK_ZOOM_IN","gtk-zoom-in" ,false,0,"GTK-STOCK-Type");

DEFVAR_INTERNAL("GTK_STOCK_ZOOM_OUT","GTK_STOCK_ZOOM_OUT","gtk-zoom-out" ,false,0,"GTK-STOCK-Type");

octave_dynamic_loader::load("gtk_accel_group_get_type" ,"");
octave_dynamic_loader::load("gtk_accel_group_new" ,"");
octave_dynamic_loader::load("gtk_accel_group_lock" ,"");
octave_dynamic_loader::load("gtk_accel_group_unlock" ,"");
octave_dynamic_loader::load("gtk_accel_group_connect" ,"");
octave_dynamic_loader::load("gtk_accel_group_connect_by_path" ,"");
octave_dynamic_loader::load("gtk_accel_group_disconnect" ,"");
octave_dynamic_loader::load("gtk_accel_group_disconnect_key" ,"");
octave_dynamic_loader::load("gtk_accel_groups_activate" ,"");
octave_dynamic_loader::load("gtk_accel_groups_from_object" ,"");
octave_dynamic_loader::load("gtk_accel_group_find" ,"");
octave_dynamic_loader::load("gtk_accel_group_from_accel_closure" ,"");
octave_dynamic_loader::load("gtk_accelerator_valid" ,"");
octave_dynamic_loader::load("gtk_accelerator_parse" ,"");
octave_dynamic_loader::load("gtk_accelerator_name" ,"");
octave_dynamic_loader::load("gtk_accelerator_set_default_mod_mask" ,"");
octave_dynamic_loader::load("gtk_accelerator_get_default_mod_mask" ,"");
octave_dynamic_loader::load("gtk_accel_group_query" ,"");
octave_dynamic_loader::load("gtk_accel_label_get_type" ,"");
octave_dynamic_loader::load("gtk_accel_label_new" ,"");
octave_dynamic_loader::load("gtk_accel_label_get_accel_widget" ,"");
octave_dynamic_loader::load("gtk_accel_label_get_accel_width" ,"");
octave_dynamic_loader::load("gtk_accel_label_set_accel_widget" ,"");
octave_dynamic_loader::load("gtk_accel_label_set_accel_closure" ,"");
octave_dynamic_loader::load("gtk_accel_label_refetch" ,"");
octave_dynamic_loader::load("gtk_accel_map_add_entry" ,"");
octave_dynamic_loader::load("gtk_accel_map_lookup_entry" ,"");
octave_dynamic_loader::load("gtk_accel_map_change_entry" ,"");
octave_dynamic_loader::load("gtk_accel_map_load" ,"");
octave_dynamic_loader::load("gtk_accel_map_save" ,"");
octave_dynamic_loader::load("gtk_accel_map_foreach" ,"");
octave_dynamic_loader::load("gtk_accel_map_load_fd" ,"");
octave_dynamic_loader::load("gtk_accel_map_load_scanner" ,"");
octave_dynamic_loader::load("gtk_accel_map_save_fd" ,"");
octave_dynamic_loader::load("gtk_accel_map_add_filter" ,"");
octave_dynamic_loader::load("gtk_accel_map_foreach_unfiltered" ,"");
octave_dynamic_loader::load("gtk_accessible_get_type" ,"");
octave_dynamic_loader::load("gtk_accessible_connect_widget_destroyed" ,"");
octave_dynamic_loader::load("gtk_adjustment_get_type" ,"");
octave_dynamic_loader::load("gtk_adjustment_new" ,"");
octave_dynamic_loader::load("gtk_adjustment_changed" ,"");
octave_dynamic_loader::load("gtk_adjustment_value_changed" ,"");
octave_dynamic_loader::load("gtk_adjustment_clamp_page" ,"");
octave_dynamic_loader::load("gtk_adjustment_get_value" ,"");
octave_dynamic_loader::load("gtk_adjustment_set_value" ,"");
octave_dynamic_loader::load("gtk_alignment_get_type" ,"");
octave_dynamic_loader::load("gtk_alignment_new" ,"");
octave_dynamic_loader::load("gtk_alignment_set" ,"");
octave_dynamic_loader::load("gtk_arrow_get_type" ,"");
octave_dynamic_loader::load("gtk_arrow_new" ,"");
octave_dynamic_loader::load("gtk_arrow_set" ,"");
octave_dynamic_loader::load("gtk_aspect_frame_get_type" ,"");
octave_dynamic_loader::load("gtk_aspect_frame_new" ,"");
octave_dynamic_loader::load("gtk_aspect_frame_set" ,"");
octave_dynamic_loader::load("gtk_button_box_get_type" ,"");
octave_dynamic_loader::load("gtk_button_box_get_layout" ,"");
octave_dynamic_loader::load("gtk_button_box_set_layout" ,"");
octave_dynamic_loader::load("gtk_button_box_set_child_secondary" ,"");
octave_dynamic_loader::load("gtk_button_box_set_child_size" ,"");
octave_dynamic_loader::load("gtk_button_box_set_child_ipadding" ,"");
octave_dynamic_loader::load("gtk_button_box_get_child_size" ,"");
octave_dynamic_loader::load("gtk_button_box_get_child_ipadding" ,"");
octave_dynamic_loader::load("gtk_binding_set_new" ,"");
octave_dynamic_loader::load("gtk_binding_set_by_class" ,"");
octave_dynamic_loader::load("gtk_binding_set_find" ,"");
octave_dynamic_loader::load("gtk_bindings_activate" ,"");
octave_dynamic_loader::load("gtk_binding_set_activate" ,"");
octave_dynamic_loader::load("gtk_binding_entry_clear" ,"");
octave_dynamic_loader::load("gtk_binding_entry_add_signal" ,"");
octave_dynamic_loader::load("gtk_binding_set_add_path" ,"");
octave_dynamic_loader::load("gtk_binding_entry_remove" ,"");
octave_dynamic_loader::load("gtk_binding_entry_add_signall" ,"");
octave_dynamic_loader::load("gtk_binding_parse_binding" ,"");
octave_dynamic_loader::load("gtk_bin_get_type" ,"");
octave_dynamic_loader::load("gtk_bin_get_child" ,"");
octave_dynamic_loader::load("gtk_box_get_type" ,"");
octave_dynamic_loader::load("gtk_box_pack_start" ,"");
octave_dynamic_loader::load("gtk_box_pack_end" ,"");
octave_dynamic_loader::load("gtk_box_pack_start_defaults" ,"");
octave_dynamic_loader::load("gtk_box_pack_end_defaults" ,"");
octave_dynamic_loader::load("gtk_box_set_homogeneous" ,"");
octave_dynamic_loader::load("gtk_box_get_homogeneous" ,"");
octave_dynamic_loader::load("gtk_box_set_spacing" ,"");
octave_dynamic_loader::load("gtk_box_get_spacing" ,"");
octave_dynamic_loader::load("gtk_box_reorder_child" ,"");
octave_dynamic_loader::load("gtk_box_query_child_packing" ,"");
octave_dynamic_loader::load("gtk_box_set_child_packing" ,"");
octave_dynamic_loader::load("gtk_button_get_type" ,"");
octave_dynamic_loader::load("gtk_button_new" ,"");
octave_dynamic_loader::load("gtk_button_new_with_label" ,"");
octave_dynamic_loader::load("gtk_button_new_from_stock" ,"");
octave_dynamic_loader::load("gtk_button_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_button_pressed" ,"");
octave_dynamic_loader::load("gtk_button_released" ,"");
octave_dynamic_loader::load("gtk_button_clicked" ,"");
octave_dynamic_loader::load("gtk_button_enter" ,"");
octave_dynamic_loader::load("gtk_button_leave" ,"");
octave_dynamic_loader::load("gtk_button_set_relief" ,"");
octave_dynamic_loader::load("gtk_button_get_relief" ,"");
octave_dynamic_loader::load("gtk_button_set_label" ,"");
octave_dynamic_loader::load("gtk_button_get_label" ,"");
octave_dynamic_loader::load("gtk_button_set_use_underline" ,"");
octave_dynamic_loader::load("gtk_button_get_use_underline" ,"");
octave_dynamic_loader::load("gtk_button_set_use_stock" ,"");
octave_dynamic_loader::load("gtk_button_get_use_stock" ,"");
octave_dynamic_loader::load("gtk_calendar_get_type" ,"");
octave_dynamic_loader::load("gtk_calendar_new" ,"");
octave_dynamic_loader::load("gtk_calendar_select_month" ,"");
octave_dynamic_loader::load("gtk_calendar_select_day" ,"");
octave_dynamic_loader::load("gtk_calendar_mark_day" ,"");
octave_dynamic_loader::load("gtk_calendar_unmark_day" ,"");
octave_dynamic_loader::load("gtk_calendar_clear_marks" ,"");
octave_dynamic_loader::load("gtk_calendar_display_options" ,"");
octave_dynamic_loader::load("gtk_calendar_get_date" ,"");
octave_dynamic_loader::load("gtk_calendar_freeze" ,"");
octave_dynamic_loader::load("gtk_calendar_thaw" ,"");
octave_dynamic_loader::load("gtk_cell_editable_get_type" ,"");
octave_dynamic_loader::load("gtk_cell_editable_start_editing" ,"");
octave_dynamic_loader::load("gtk_cell_editable_editing_done" ,"");
octave_dynamic_loader::load("gtk_cell_editable_remove_widget" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_get_type" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_get_size" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_render" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_activate" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_start_editing" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_set_fixed_size" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_get_fixed_size" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_pixbuf_get_type" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_pixbuf_new" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_text_get_type" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_text_new" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_text_set_fixed_height_from_font" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_toggle_get_type" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_toggle_new" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_toggle_get_radio" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_toggle_set_radio" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_toggle_get_active" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_toggle_set_active" ,"");
octave_dynamic_loader::load("gtk_check_button_get_type" ,"");
octave_dynamic_loader::load("gtk_check_button_new" ,"");
octave_dynamic_loader::load("gtk_check_button_new_with_label" ,"");
octave_dynamic_loader::load("gtk_check_button_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_get_type" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_new" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_new_with_label" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_set_active" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_get_active" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_toggled" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_set_inconsistent" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_get_inconsistent" ,"");
octave_dynamic_loader::load("gtk_check_menu_item_set_show_toggle" ,"");
octave_dynamic_loader::load("gtk_clipboard_get_type" ,"");
octave_dynamic_loader::load("gtk_clipboard_get_for_display" ,"");
octave_dynamic_loader::load("gtk_clipboard_get" ,"");
octave_dynamic_loader::load("gtk_clipboard_get_display" ,"");
octave_dynamic_loader::load("gtk_clipboard_set_with_data" ,"");
octave_dynamic_loader::load("gtk_clipboard_set_with_owner" ,"");
octave_dynamic_loader::load("gtk_clipboard_get_owner" ,"");
octave_dynamic_loader::load("gtk_clipboard_clear" ,"");
octave_dynamic_loader::load("gtk_clipboard_set_text" ,"");
octave_dynamic_loader::load("gtk_clipboard_request_contents" ,"");
octave_dynamic_loader::load("gtk_clipboard_request_text" ,"");
octave_dynamic_loader::load("gtk_clipboard_wait_for_contents" ,"");
octave_dynamic_loader::load("gtk_clipboard_wait_for_text" ,"");
octave_dynamic_loader::load("gtk_clipboard_wait_is_text_available" ,"");
octave_dynamic_loader::load("gtk_clist_get_type" ,"");
octave_dynamic_loader::load("gtk_clist_new" ,"");
octave_dynamic_loader::load("gtk_clist_new_with_titles" ,"");
octave_dynamic_loader::load("gtk_clist_set_hadjustment" ,"");
octave_dynamic_loader::load("gtk_clist_set_vadjustment" ,"");
octave_dynamic_loader::load("gtk_clist_get_hadjustment" ,"");
octave_dynamic_loader::load("gtk_clist_get_vadjustment" ,"");
octave_dynamic_loader::load("gtk_clist_set_shadow_type" ,"");
octave_dynamic_loader::load("gtk_clist_set_selection_mode" ,"");
octave_dynamic_loader::load("gtk_clist_set_reorderable" ,"");
octave_dynamic_loader::load("gtk_clist_set_use_drag_icons" ,"");
octave_dynamic_loader::load("gtk_clist_set_button_actions" ,"");
octave_dynamic_loader::load("gtk_clist_freeze" ,"");
octave_dynamic_loader::load("gtk_clist_thaw" ,"");
octave_dynamic_loader::load("gtk_clist_column_titles_show" ,"");
octave_dynamic_loader::load("gtk_clist_column_titles_hide" ,"");
octave_dynamic_loader::load("gtk_clist_column_title_active" ,"");
octave_dynamic_loader::load("gtk_clist_column_title_passive" ,"");
octave_dynamic_loader::load("gtk_clist_column_titles_active" ,"");
octave_dynamic_loader::load("gtk_clist_column_titles_passive" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_title" ,"");
octave_dynamic_loader::load("gtk_clist_get_column_title" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_widget" ,"");
octave_dynamic_loader::load("gtk_clist_get_column_widget" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_justification" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_visibility" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_resizeable" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_auto_resize" ,"");
octave_dynamic_loader::load("gtk_clist_columns_autosize" ,"");
octave_dynamic_loader::load("gtk_clist_optimal_column_width" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_width" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_min_width" ,"");
octave_dynamic_loader::load("gtk_clist_set_column_max_width" ,"");
octave_dynamic_loader::load("gtk_clist_set_row_height" ,"");
octave_dynamic_loader::load("gtk_clist_moveto" ,"");
octave_dynamic_loader::load("gtk_clist_row_is_visible" ,"");
octave_dynamic_loader::load("gtk_clist_get_cell_type" ,"");
octave_dynamic_loader::load("gtk_clist_set_text" ,"");
octave_dynamic_loader::load("gtk_clist_get_text" ,"");
octave_dynamic_loader::load("gtk_clist_set_pixmap" ,"");
octave_dynamic_loader::load("gtk_clist_get_pixmap" ,"");
octave_dynamic_loader::load("gtk_clist_set_pixtext" ,"");
octave_dynamic_loader::load("gtk_clist_get_pixtext" ,"");
octave_dynamic_loader::load("gtk_clist_set_foreground" ,"");
octave_dynamic_loader::load("gtk_clist_set_background" ,"");
octave_dynamic_loader::load("gtk_clist_set_cell_style" ,"");
octave_dynamic_loader::load("gtk_clist_get_cell_style" ,"");
octave_dynamic_loader::load("gtk_clist_set_row_style" ,"");
octave_dynamic_loader::load("gtk_clist_get_row_style" ,"");
octave_dynamic_loader::load("gtk_clist_set_shift" ,"");
octave_dynamic_loader::load("gtk_clist_set_selectable" ,"");
octave_dynamic_loader::load("gtk_clist_get_selectable" ,"");
octave_dynamic_loader::load("gtk_clist_prepend" ,"");
octave_dynamic_loader::load("gtk_clist_append" ,"");
octave_dynamic_loader::load("gtk_clist_insert" ,"");
octave_dynamic_loader::load("gtk_clist_remove" ,"");
octave_dynamic_loader::load("gtk_clist_set_row_data" ,"");
octave_dynamic_loader::load("gtk_clist_set_row_data_full" ,"");
octave_dynamic_loader::load("gtk_clist_get_row_data" ,"");
octave_dynamic_loader::load("gtk_clist_find_row_from_data" ,"");
octave_dynamic_loader::load("gtk_clist_select_row" ,"");
octave_dynamic_loader::load("gtk_clist_unselect_row" ,"");
octave_dynamic_loader::load("gtk_clist_undo_selection" ,"");
octave_dynamic_loader::load("gtk_clist_clear" ,"");
octave_dynamic_loader::load("gtk_clist_get_selection_info" ,"");
octave_dynamic_loader::load("gtk_clist_select_all" ,"");
octave_dynamic_loader::load("gtk_clist_unselect_all" ,"");
octave_dynamic_loader::load("gtk_clist_swap_rows" ,"");
octave_dynamic_loader::load("gtk_clist_row_move" ,"");
octave_dynamic_loader::load("gtk_clist_set_compare_func" ,"");
octave_dynamic_loader::load("gtk_clist_set_sort_column" ,"");
octave_dynamic_loader::load("gtk_clist_set_sort_type" ,"");
octave_dynamic_loader::load("gtk_clist_sort" ,"");
octave_dynamic_loader::load("gtk_clist_set_auto_sort" ,"");
octave_dynamic_loader::load("gtk_color_selection_dialog_get_type" ,"");
octave_dynamic_loader::load("gtk_color_selection_dialog_new" ,"");
octave_dynamic_loader::load("gtk_color_selection_get_type" ,"");
octave_dynamic_loader::load("gtk_color_selection_new" ,"");
octave_dynamic_loader::load("gtk_color_selection_get_has_opacity_control" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_has_opacity_control" ,"");
octave_dynamic_loader::load("gtk_color_selection_get_has_palette" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_has_palette" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_current_color" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_current_alpha" ,"");
octave_dynamic_loader::load("gtk_color_selection_get_current_color" ,"");
octave_dynamic_loader::load("gtk_color_selection_get_current_alpha" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_previous_color" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_previous_alpha" ,"");
octave_dynamic_loader::load("gtk_color_selection_get_previous_color" ,"");
octave_dynamic_loader::load("gtk_color_selection_get_previous_alpha" ,"");
octave_dynamic_loader::load("gtk_color_selection_is_adjusting" ,"");
octave_dynamic_loader::load("gtk_color_selection_palette_from_string" ,"");
octave_dynamic_loader::load("gtk_color_selection_palette_to_string" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_change_palette_hook" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_change_palette_with_screen_hook" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_color" ,"");
octave_dynamic_loader::load("gtk_color_selection_get_color" ,"");
octave_dynamic_loader::load("gtk_color_selection_set_update_policy" ,"");
octave_dynamic_loader::load("gtk_combo_get_type" ,"");
octave_dynamic_loader::load("gtk_combo_new" ,"");
octave_dynamic_loader::load("gtk_combo_set_value_in_list" ,"");
octave_dynamic_loader::load("gtk_combo_set_use_arrows" ,"");
octave_dynamic_loader::load("gtk_combo_set_use_arrows_always" ,"");
octave_dynamic_loader::load("gtk_combo_set_case_sensitive" ,"");
octave_dynamic_loader::load("gtk_combo_set_item_string" ,"");
octave_dynamic_loader::load("gtk_combo_set_popdown_strings" ,"");
octave_dynamic_loader::load("gtk_combo_disable_activate" ,"");
octave_dynamic_loader::load("gtk_container_get_type" ,"");
octave_dynamic_loader::load("gtk_container_set_border_width" ,"");
octave_dynamic_loader::load("gtk_container_get_border_width" ,"");
octave_dynamic_loader::load("gtk_container_add" ,"");
octave_dynamic_loader::load("gtk_container_remove" ,"");
octave_dynamic_loader::load("gtk_container_set_resize_mode" ,"");
octave_dynamic_loader::load("gtk_container_get_resize_mode" ,"");
octave_dynamic_loader::load("gtk_container_check_resize" ,"");
octave_dynamic_loader::load("gtk_container_foreach" ,"");
octave_dynamic_loader::load("gtk_container_foreach_full" ,"");
octave_dynamic_loader::load("gtk_container_get_children" ,"");
octave_dynamic_loader::load("gtk_container_propagate_expose" ,"");
octave_dynamic_loader::load("gtk_container_set_focus_chain" ,"");
octave_dynamic_loader::load("gtk_container_get_focus_chain" ,"");
octave_dynamic_loader::load("gtk_container_unset_focus_chain" ,"");
octave_dynamic_loader::load("gtk_container_set_reallocate_redraws" ,"");
octave_dynamic_loader::load("gtk_container_set_focus_child" ,"");
octave_dynamic_loader::load("gtk_container_set_focus_vadjustment" ,"");
octave_dynamic_loader::load("gtk_container_get_focus_vadjustment" ,"");
octave_dynamic_loader::load("gtk_container_set_focus_hadjustment" ,"");
octave_dynamic_loader::load("gtk_container_get_focus_hadjustment" ,"");
octave_dynamic_loader::load("gtk_container_resize_children" ,"");
octave_dynamic_loader::load("gtk_container_child_type" ,"");
octave_dynamic_loader::load("gtk_container_class_install_child_property" ,"");
octave_dynamic_loader::load("gtk_container_class_find_child_property" ,"");
octave_dynamic_loader::load("gtk_container_class_list_child_properties" ,"");
octave_dynamic_loader::load("gtk_container_add_with_properties" ,"");
octave_dynamic_loader::load("gtk_container_child_set" ,"");
octave_dynamic_loader::load("gtk_container_child_get" ,"");
octave_dynamic_loader::load("gtk_container_child_set_valist" ,"");
octave_dynamic_loader::load("gtk_container_child_get_valist" ,"");
octave_dynamic_loader::load("gtk_container_child_set_property" ,"");
octave_dynamic_loader::load("gtk_container_child_get_property" ,"");
octave_dynamic_loader::load("gtk_container_forall" ,"");
octave_dynamic_loader::load("gtk_ctree_get_type" ,"");
octave_dynamic_loader::load("gtk_ctree_new_with_titles" ,"");
octave_dynamic_loader::load("gtk_ctree_new" ,"");
octave_dynamic_loader::load("gtk_ctree_insert_node" ,"");
octave_dynamic_loader::load("gtk_ctree_remove_node" ,"");
octave_dynamic_loader::load("gtk_ctree_insert_gnode" ,"");
octave_dynamic_loader::load("gtk_ctree_export_to_gnode" ,"");
octave_dynamic_loader::load("gtk_ctree_post_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_post_recursive_to_depth" ,"");
octave_dynamic_loader::load("gtk_ctree_pre_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_pre_recursive_to_depth" ,"");
octave_dynamic_loader::load("gtk_ctree_is_viewable" ,"");
octave_dynamic_loader::load("gtk_ctree_last" ,"");
octave_dynamic_loader::load("gtk_ctree_find_node_ptr" ,"");
octave_dynamic_loader::load("gtk_ctree_node_nth" ,"");
octave_dynamic_loader::load("gtk_ctree_find" ,"");
octave_dynamic_loader::load("gtk_ctree_is_ancestor" ,"");
octave_dynamic_loader::load("gtk_ctree_find_by_row_data" ,"");
octave_dynamic_loader::load("gtk_ctree_find_all_by_row_data" ,"");
octave_dynamic_loader::load("gtk_ctree_find_by_row_data_custom" ,"");
octave_dynamic_loader::load("gtk_ctree_find_all_by_row_data_custom" ,"");
octave_dynamic_loader::load("gtk_ctree_is_hot_spot" ,"");
octave_dynamic_loader::load("gtk_ctree_move" ,"");
octave_dynamic_loader::load("gtk_ctree_expand" ,"");
octave_dynamic_loader::load("gtk_ctree_expand_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_expand_to_depth" ,"");
octave_dynamic_loader::load("gtk_ctree_collapse" ,"");
octave_dynamic_loader::load("gtk_ctree_collapse_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_collapse_to_depth" ,"");
octave_dynamic_loader::load("gtk_ctree_toggle_expansion" ,"");
octave_dynamic_loader::load("gtk_ctree_toggle_expansion_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_select" ,"");
octave_dynamic_loader::load("gtk_ctree_select_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_unselect" ,"");
octave_dynamic_loader::load("gtk_ctree_unselect_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_real_select_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_text" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_pixmap" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_pixtext" ,"");
octave_dynamic_loader::load("gtk_ctree_set_node_info" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_shift" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_selectable" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_selectable" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_cell_type" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_text" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_pixmap" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_pixtext" ,"");
octave_dynamic_loader::load("gtk_ctree_get_node_info" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_row_style" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_row_style" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_cell_style" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_cell_style" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_foreground" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_background" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_row_data" ,"");
octave_dynamic_loader::load("gtk_ctree_node_set_row_data_full" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_row_data" ,"");
octave_dynamic_loader::load("gtk_ctree_node_moveto" ,"");
octave_dynamic_loader::load("gtk_ctree_node_is_visible" ,"");
octave_dynamic_loader::load("gtk_ctree_set_indent" ,"");
octave_dynamic_loader::load("gtk_ctree_set_spacing" ,"");
octave_dynamic_loader::load("gtk_ctree_set_show_stub" ,"");
octave_dynamic_loader::load("gtk_ctree_set_line_style" ,"");
octave_dynamic_loader::load("gtk_ctree_set_expander_style" ,"");
octave_dynamic_loader::load("gtk_ctree_set_drag_compare_func" ,"");
octave_dynamic_loader::load("gtk_ctree_sort_node" ,"");
octave_dynamic_loader::load("gtk_ctree_sort_recursive" ,"");
octave_dynamic_loader::load("gtk_ctree_node_get_type" ,"");
octave_dynamic_loader::load("gtk_curve_get_type" ,"");
octave_dynamic_loader::load("gtk_curve_new" ,"");
octave_dynamic_loader::load("gtk_curve_reset" ,"");
octave_dynamic_loader::load("gtk_curve_set_gamma" ,"");
octave_dynamic_loader::load("gtk_curve_set_range" ,"");
octave_dynamic_loader::load("gtk_curve_get_vector" ,"");
octave_dynamic_loader::load("gtk_curve_set_vector" ,"");
octave_dynamic_loader::load("gtk_curve_set_curve_type" ,"");
octave_dynamic_loader::load("gtk_dialog_get_type" ,"");
octave_dynamic_loader::load("gtk_dialog_new" ,"");
octave_dynamic_loader::load("gtk_dialog_new_with_buttons" ,"");
octave_dynamic_loader::load("gtk_dialog_add_action_widget" ,"");
octave_dynamic_loader::load("gtk_dialog_add_button" ,"");
octave_dynamic_loader::load("gtk_dialog_add_buttons" ,"");
octave_dynamic_loader::load("gtk_dialog_set_response_sensitive" ,"");
octave_dynamic_loader::load("gtk_dialog_set_default_response" ,"");
octave_dynamic_loader::load("gtk_dialog_set_has_separator" ,"");
octave_dynamic_loader::load("gtk_dialog_get_has_separator" ,"");
octave_dynamic_loader::load("gtk_dialog_response" ,"");
octave_dynamic_loader::load("gtk_dialog_run" ,"");
octave_dynamic_loader::load("gtk_drawing_area_get_type" ,"");
octave_dynamic_loader::load("gtk_drawing_area_new" ,"");
octave_dynamic_loader::load("gtk_drawing_area_size" ,"");
octave_dynamic_loader::load("gtk_editable_get_type" ,"");
octave_dynamic_loader::load("gtk_editable_select_region" ,"");
octave_dynamic_loader::load("gtk_editable_get_selection_bounds" ,"");
octave_dynamic_loader::load("gtk_editable_insert_text" ,"");
octave_dynamic_loader::load("gtk_editable_delete_text" ,"");
octave_dynamic_loader::load("gtk_editable_get_chars" ,"");
octave_dynamic_loader::load("gtk_editable_cut_clipboard" ,"");
octave_dynamic_loader::load("gtk_editable_copy_clipboard" ,"");
octave_dynamic_loader::load("gtk_editable_paste_clipboard" ,"");
octave_dynamic_loader::load("gtk_editable_delete_selection" ,"");
octave_dynamic_loader::load("gtk_editable_set_position" ,"");
octave_dynamic_loader::load("gtk_editable_get_position" ,"");
octave_dynamic_loader::load("gtk_editable_set_editable" ,"");
octave_dynamic_loader::load("gtk_editable_get_editable" ,"");
octave_dynamic_loader::load("gtk_entry_get_type" ,"");
octave_dynamic_loader::load("gtk_entry_new" ,"");
octave_dynamic_loader::load("gtk_entry_set_visibility" ,"");
octave_dynamic_loader::load("gtk_entry_get_visibility" ,"");
octave_dynamic_loader::load("gtk_entry_set_invisible_char" ,"");
octave_dynamic_loader::load("gtk_entry_get_invisible_char" ,"");
octave_dynamic_loader::load("gtk_entry_set_has_frame" ,"");
octave_dynamic_loader::load("gtk_entry_get_has_frame" ,"");
octave_dynamic_loader::load("gtk_entry_set_max_length" ,"");
octave_dynamic_loader::load("gtk_entry_get_max_length" ,"");
octave_dynamic_loader::load("gtk_entry_set_activates_default" ,"");
octave_dynamic_loader::load("gtk_entry_get_activates_default" ,"");
octave_dynamic_loader::load("gtk_entry_set_width_chars" ,"");
octave_dynamic_loader::load("gtk_entry_get_width_chars" ,"");
octave_dynamic_loader::load("gtk_entry_set_text" ,"");
octave_dynamic_loader::load("gtk_entry_get_text" ,"");
octave_dynamic_loader::load("gtk_entry_get_layout" ,"");
octave_dynamic_loader::load("gtk_entry_get_layout_offsets" ,"");
octave_dynamic_loader::load("gtk_entry_new_with_max_length" ,"");
octave_dynamic_loader::load("gtk_entry_append_text" ,"");
octave_dynamic_loader::load("gtk_entry_prepend_text" ,"");
octave_dynamic_loader::load("gtk_entry_set_position" ,"");
octave_dynamic_loader::load("gtk_entry_select_region" ,"");
octave_dynamic_loader::load("gtk_entry_set_editable" ,"");
octave_dynamic_loader::load("gtk_event_box_get_type" ,"");
octave_dynamic_loader::load("gtk_event_box_new" ,"");
octave_dynamic_loader::load("gtk_file_selection_get_type" ,"");
octave_dynamic_loader::load("gtk_file_selection_new" ,"");
octave_dynamic_loader::load("gtk_file_selection_set_filename" ,"");
octave_dynamic_loader::load("gtk_file_selection_get_filename" ,"");
octave_dynamic_loader::load("gtk_file_selection_complete" ,"");
octave_dynamic_loader::load("gtk_file_selection_show_fileop_buttons" ,"");
octave_dynamic_loader::load("gtk_file_selection_hide_fileop_buttons" ,"");
octave_dynamic_loader::load("gtk_file_selection_get_selections" ,"");
octave_dynamic_loader::load("gtk_file_selection_set_select_multiple" ,"");
octave_dynamic_loader::load("gtk_file_selection_get_select_multiple" ,"");
octave_dynamic_loader::load("gtk_fixed_get_type" ,"");
octave_dynamic_loader::load("gtk_fixed_new" ,"");
octave_dynamic_loader::load("gtk_fixed_put" ,"");
octave_dynamic_loader::load("gtk_fixed_move" ,"");
octave_dynamic_loader::load("gtk_fixed_set_has_window" ,"");
octave_dynamic_loader::load("gtk_fixed_get_has_window" ,"");
octave_dynamic_loader::load("gtk_font_selection_get_type" ,"");
octave_dynamic_loader::load("gtk_font_selection_new" ,"");
octave_dynamic_loader::load("gtk_font_selection_get_font_name" ,"");
octave_dynamic_loader::load("gtk_font_selection_get_font" ,"");
octave_dynamic_loader::load("gtk_font_selection_set_font_name" ,"");
octave_dynamic_loader::load("gtk_font_selection_get_preview_text" ,"");
octave_dynamic_loader::load("gtk_font_selection_set_preview_text" ,"");
octave_dynamic_loader::load("gtk_font_selection_dialog_get_type" ,"");
octave_dynamic_loader::load("gtk_font_selection_dialog_new" ,"");
octave_dynamic_loader::load("gtk_font_selection_dialog_get_font_name" ,"");
octave_dynamic_loader::load("gtk_font_selection_dialog_get_font" ,"");
octave_dynamic_loader::load("gtk_font_selection_dialog_set_font_name" ,"");
octave_dynamic_loader::load("gtk_font_selection_dialog_get_preview_text" ,"");
octave_dynamic_loader::load("gtk_font_selection_dialog_set_preview_text" ,"");
octave_dynamic_loader::load("gtk_frame_get_type" ,"");
octave_dynamic_loader::load("gtk_frame_new" ,"");
octave_dynamic_loader::load("gtk_frame_set_label" ,"");
octave_dynamic_loader::load("gtk_frame_get_label" ,"");
octave_dynamic_loader::load("gtk_frame_set_label_widget" ,"");
octave_dynamic_loader::load("gtk_frame_get_label_widget" ,"");
octave_dynamic_loader::load("gtk_frame_set_label_align" ,"");
octave_dynamic_loader::load("gtk_frame_get_label_align" ,"");
octave_dynamic_loader::load("gtk_frame_set_shadow_type" ,"");
octave_dynamic_loader::load("gtk_frame_get_shadow_type" ,"");
octave_dynamic_loader::load("gtk_gamma_curve_get_type" ,"");
octave_dynamic_loader::load("gtk_gamma_curve_new" ,"");
octave_dynamic_loader::load("gtk_gc_get" ,"");
octave_dynamic_loader::load("gtk_gc_release" ,"");
octave_dynamic_loader::load("gtk_handle_box_get_type" ,"");
octave_dynamic_loader::load("gtk_handle_box_new" ,"");
octave_dynamic_loader::load("gtk_handle_box_set_shadow_type" ,"");
octave_dynamic_loader::load("gtk_handle_box_get_shadow_type" ,"");
octave_dynamic_loader::load("gtk_handle_box_set_handle_position" ,"");
octave_dynamic_loader::load("gtk_handle_box_get_handle_position" ,"");
octave_dynamic_loader::load("gtk_handle_box_set_snap_edge" ,"");
octave_dynamic_loader::load("gtk_handle_box_get_snap_edge" ,"");
octave_dynamic_loader::load("gtk_hbutton_box_get_type" ,"");
octave_dynamic_loader::load("gtk_hbutton_box_new" ,"");
octave_dynamic_loader::load("gtk_hbutton_box_get_spacing_default" ,"");
octave_dynamic_loader::load("gtk_hbutton_box_get_layout_default" ,"");
octave_dynamic_loader::load("gtk_hbutton_box_set_spacing_default" ,"");
octave_dynamic_loader::load("gtk_hbutton_box_set_layout_default" ,"");
octave_dynamic_loader::load("gtk_hbox_get_type" ,"");
octave_dynamic_loader::load("gtk_hbox_new" ,"");
octave_dynamic_loader::load("gtk_hpaned_get_type" ,"");
octave_dynamic_loader::load("gtk_hpaned_new" ,"");
octave_dynamic_loader::load("gtk_hruler_get_type" ,"");
octave_dynamic_loader::load("gtk_hruler_new" ,"");
octave_dynamic_loader::load("gtk_hscale_get_type" ,"");
octave_dynamic_loader::load("gtk_hscale_new" ,"");
octave_dynamic_loader::load("gtk_hscale_new_with_range" ,"");
octave_dynamic_loader::load("gtk_hscrollbar_get_type" ,"");
octave_dynamic_loader::load("gtk_hscrollbar_new" ,"");
octave_dynamic_loader::load("gtk_hseparator_get_type" ,"");
octave_dynamic_loader::load("gtk_hseparator_new" ,"");
octave_dynamic_loader::load("gtk_icon_factory_get_type" ,"");
octave_dynamic_loader::load("gtk_icon_factory_new" ,"");
octave_dynamic_loader::load("gtk_icon_factory_add" ,"");
octave_dynamic_loader::load("gtk_icon_factory_lookup" ,"");
octave_dynamic_loader::load("gtk_icon_factory_add_default" ,"");
octave_dynamic_loader::load("gtk_icon_factory_remove_default" ,"");
octave_dynamic_loader::load("gtk_icon_factory_lookup_default" ,"");
octave_dynamic_loader::load("gtk_icon_size_lookup" ,"");
octave_dynamic_loader::load("gtk_icon_size_lookup_for_settings" ,"");
octave_dynamic_loader::load("gtk_icon_size_register" ,"");
octave_dynamic_loader::load("gtk_icon_size_register_alias" ,"");
octave_dynamic_loader::load("gtk_icon_size_from_name" ,"");
octave_dynamic_loader::load("gtk_icon_size_get_name" ,"");
octave_dynamic_loader::load("gtk_icon_set_get_type" ,"");
octave_dynamic_loader::load("gtk_icon_set_new" ,"");
octave_dynamic_loader::load("gtk_icon_set_new_from_pixbuf" ,"");
octave_dynamic_loader::load("gtk_icon_set_ref" ,"");
octave_dynamic_loader::load("gtk_icon_set_unref" ,"");
octave_dynamic_loader::load("gtk_icon_set_copy" ,"");
octave_dynamic_loader::load("gtk_icon_set_render_icon" ,"");
octave_dynamic_loader::load("gtk_icon_set_add_source" ,"");
octave_dynamic_loader::load("gtk_icon_set_get_sizes" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_type" ,"");
octave_dynamic_loader::load("gtk_icon_source_new" ,"");
octave_dynamic_loader::load("gtk_icon_source_copy" ,"");
octave_dynamic_loader::load("gtk_icon_source_free" ,"");
octave_dynamic_loader::load("gtk_icon_source_set_filename" ,"");
octave_dynamic_loader::load("gtk_icon_source_set_pixbuf" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_filename" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_pixbuf" ,"");
octave_dynamic_loader::load("gtk_icon_source_set_direction_wildcarded" ,"");
octave_dynamic_loader::load("gtk_icon_source_set_state_wildcarded" ,"");
octave_dynamic_loader::load("gtk_icon_source_set_size_wildcarded" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_size_wildcarded" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_state_wildcarded" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_direction_wildcarded" ,"");
octave_dynamic_loader::load("gtk_icon_source_set_direction" ,"");
octave_dynamic_loader::load("gtk_icon_source_set_state" ,"");
octave_dynamic_loader::load("gtk_icon_source_set_size" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_direction" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_state" ,"");
octave_dynamic_loader::load("gtk_icon_source_get_size" ,"");
octave_dynamic_loader::load("gtk_image_get_type" ,"");
octave_dynamic_loader::load("gtk_image_new" ,"");
octave_dynamic_loader::load("gtk_image_new_from_pixmap" ,"");
octave_dynamic_loader::load("gtk_image_new_from_image" ,"");
octave_dynamic_loader::load("gtk_image_new_from_file" ,"");
octave_dynamic_loader::load("gtk_image_new_from_pixbuf" ,"");
octave_dynamic_loader::load("gtk_image_new_from_stock" ,"");
octave_dynamic_loader::load("gtk_image_new_from_icon_set" ,"");
octave_dynamic_loader::load("gtk_image_new_from_animation" ,"");
octave_dynamic_loader::load("gtk_image_set_from_pixmap" ,"");
octave_dynamic_loader::load("gtk_image_set_from_image" ,"");
octave_dynamic_loader::load("gtk_image_set_from_file" ,"");
octave_dynamic_loader::load("gtk_image_set_from_pixbuf" ,"");
octave_dynamic_loader::load("gtk_image_set_from_stock" ,"");
octave_dynamic_loader::load("gtk_image_set_from_icon_set" ,"");
octave_dynamic_loader::load("gtk_image_set_from_animation" ,"");
octave_dynamic_loader::load("gtk_image_get_storage_type" ,"");
octave_dynamic_loader::load("gtk_image_get_pixmap" ,"");
octave_dynamic_loader::load("gtk_image_get_image" ,"");
octave_dynamic_loader::load("gtk_image_get_pixbuf" ,"");
octave_dynamic_loader::load("gtk_image_get_stock" ,"");
octave_dynamic_loader::load("gtk_image_get_icon_set" ,"");
octave_dynamic_loader::load("gtk_image_get_animation" ,"");
octave_dynamic_loader::load("gtk_image_set" ,"");
octave_dynamic_loader::load("gtk_image_get" ,"");
octave_dynamic_loader::load("gtk_image_menu_item_get_type" ,"");
octave_dynamic_loader::load("gtk_image_menu_item_new" ,"");
octave_dynamic_loader::load("gtk_image_menu_item_new_with_label" ,"");
octave_dynamic_loader::load("gtk_image_menu_item_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_image_menu_item_new_from_stock" ,"");
octave_dynamic_loader::load("gtk_image_menu_item_set_image" ,"");
octave_dynamic_loader::load("gtk_image_menu_item_get_image" ,"");
octave_dynamic_loader::load("gtk_im_context_get_type" ,"");
octave_dynamic_loader::load("gtk_im_context_set_client_window" ,"");
octave_dynamic_loader::load("gtk_im_context_get_preedit_string" ,"");
octave_dynamic_loader::load("gtk_im_context_filter_keypress" ,"");
octave_dynamic_loader::load("gtk_im_context_focus_in" ,"");
octave_dynamic_loader::load("gtk_im_context_focus_out" ,"");
octave_dynamic_loader::load("gtk_im_context_reset" ,"");
octave_dynamic_loader::load("gtk_im_context_set_cursor_location" ,"");
octave_dynamic_loader::load("gtk_im_context_set_use_preedit" ,"");
octave_dynamic_loader::load("gtk_im_context_set_surrounding" ,"");
octave_dynamic_loader::load("gtk_im_context_get_surrounding" ,"");
octave_dynamic_loader::load("gtk_im_context_delete_surrounding" ,"");
octave_dynamic_loader::load("gtk_im_context_simple_get_type" ,"");
octave_dynamic_loader::load("gtk_im_context_simple_new" ,"");
octave_dynamic_loader::load("gtk_im_context_simple_add_table" ,"");
octave_dynamic_loader::load("gtk_im_multicontext_get_type" ,"");
octave_dynamic_loader::load("gtk_im_multicontext_new" ,"");
octave_dynamic_loader::load("gtk_im_multicontext_append_menuitems" ,"");
octave_dynamic_loader::load("gtk_input_dialog_get_type" ,"");
octave_dynamic_loader::load("gtk_input_dialog_new" ,"");
octave_dynamic_loader::load("gtk_invisible_get_type" ,"");
octave_dynamic_loader::load("gtk_invisible_new" ,"");
octave_dynamic_loader::load("gtk_invisible_new_for_screen" ,"");
octave_dynamic_loader::load("gtk_invisible_set_screen" ,"");
octave_dynamic_loader::load("gtk_invisible_get_screen" ,"");
octave_dynamic_loader::load("gtk_item_factory_get_type" ,"");
octave_dynamic_loader::load("gtk_item_factory_new" ,"");
octave_dynamic_loader::load("gtk_item_factory_construct" ,"");
octave_dynamic_loader::load("gtk_item_factory_add_foreign" ,"");
octave_dynamic_loader::load("gtk_item_factory_from_widget" ,"");
octave_dynamic_loader::load("gtk_item_factory_path_from_widget" ,"");
octave_dynamic_loader::load("gtk_item_factory_get_item" ,"");
octave_dynamic_loader::load("gtk_item_factory_get_widget" ,"");
octave_dynamic_loader::load("gtk_item_factory_get_widget_by_action" ,"");
octave_dynamic_loader::load("gtk_item_factory_get_item_by_action" ,"");
octave_dynamic_loader::load("gtk_item_factory_create_item" ,"");
octave_dynamic_loader::load("gtk_item_factory_create_items" ,"");
octave_dynamic_loader::load("gtk_item_factory_delete_item" ,"");
octave_dynamic_loader::load("gtk_item_factory_delete_entry" ,"");
octave_dynamic_loader::load("gtk_item_factory_delete_entries" ,"");
octave_dynamic_loader::load("gtk_item_factory_popup" ,"");
octave_dynamic_loader::load("gtk_item_factory_popup_with_data" ,"");
octave_dynamic_loader::load("gtk_item_factory_popup_data" ,"");
octave_dynamic_loader::load("gtk_item_factory_popup_data_from_widget" ,"");
octave_dynamic_loader::load("gtk_item_factory_set_translate_func" ,"");
octave_dynamic_loader::load("gtk_item_get_type" ,"");
octave_dynamic_loader::load("gtk_item_select" ,"");
octave_dynamic_loader::load("gtk_item_deselect" ,"");
octave_dynamic_loader::load("gtk_item_toggle" ,"");
octave_dynamic_loader::load("gtk_label_get_type" ,"");
octave_dynamic_loader::load("gtk_label_new" ,"");
octave_dynamic_loader::load("gtk_label_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_label_set_text" ,"");
octave_dynamic_loader::load("gtk_label_get_text" ,"");
octave_dynamic_loader::load("gtk_label_set_attributes" ,"");
octave_dynamic_loader::load("gtk_label_get_attributes" ,"");
octave_dynamic_loader::load("gtk_label_set_label" ,"");
octave_dynamic_loader::load("gtk_label_get_label" ,"");
octave_dynamic_loader::load("gtk_label_set_markup" ,"");
octave_dynamic_loader::load("gtk_label_set_use_markup" ,"");
octave_dynamic_loader::load("gtk_label_get_use_markup" ,"");
octave_dynamic_loader::load("gtk_label_set_use_underline" ,"");
octave_dynamic_loader::load("gtk_label_get_use_underline" ,"");
octave_dynamic_loader::load("gtk_label_set_markup_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_label_get_mnemonic_keyval" ,"");
octave_dynamic_loader::load("gtk_label_set_mnemonic_widget" ,"");
octave_dynamic_loader::load("gtk_label_get_mnemonic_widget" ,"");
octave_dynamic_loader::load("gtk_label_set_text_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_label_set_justify" ,"");
octave_dynamic_loader::load("gtk_label_get_justify" ,"");
octave_dynamic_loader::load("gtk_label_set_pattern" ,"");
octave_dynamic_loader::load("gtk_label_set_line_wrap" ,"");
octave_dynamic_loader::load("gtk_label_get_line_wrap" ,"");
octave_dynamic_loader::load("gtk_label_set_selectable" ,"");
octave_dynamic_loader::load("gtk_label_get_selectable" ,"");
octave_dynamic_loader::load("gtk_label_select_region" ,"");
octave_dynamic_loader::load("gtk_label_get_selection_bounds" ,"");
octave_dynamic_loader::load("gtk_label_get_layout" ,"");
octave_dynamic_loader::load("gtk_label_get_layout_offsets" ,"");
octave_dynamic_loader::load("gtk_label_get" ,"");
octave_dynamic_loader::load("gtk_label_parse_uline" ,"");
octave_dynamic_loader::load("gtk_layout_get_type" ,"");
octave_dynamic_loader::load("gtk_layout_new" ,"");
octave_dynamic_loader::load("gtk_layout_put" ,"");
octave_dynamic_loader::load("gtk_layout_move" ,"");
octave_dynamic_loader::load("gtk_layout_set_size" ,"");
octave_dynamic_loader::load("gtk_layout_get_size" ,"");
octave_dynamic_loader::load("gtk_layout_get_hadjustment" ,"");
octave_dynamic_loader::load("gtk_layout_get_vadjustment" ,"");
octave_dynamic_loader::load("gtk_layout_set_hadjustment" ,"");
octave_dynamic_loader::load("gtk_layout_set_vadjustment" ,"");
octave_dynamic_loader::load("gtk_layout_freeze" ,"");
octave_dynamic_loader::load("gtk_layout_thaw" ,"");
octave_dynamic_loader::load("gtk_list_get_type" ,"");
octave_dynamic_loader::load("gtk_list_new" ,"");
octave_dynamic_loader::load("gtk_list_insert_items" ,"");
octave_dynamic_loader::load("gtk_list_append_items" ,"");
octave_dynamic_loader::load("gtk_list_prepend_items" ,"");
octave_dynamic_loader::load("gtk_list_remove_items" ,"");
octave_dynamic_loader::load("gtk_list_remove_items_no_unref" ,"");
octave_dynamic_loader::load("gtk_list_clear_items" ,"");
octave_dynamic_loader::load("gtk_list_select_item" ,"");
octave_dynamic_loader::load("gtk_list_unselect_item" ,"");
octave_dynamic_loader::load("gtk_list_select_child" ,"");
octave_dynamic_loader::load("gtk_list_unselect_child" ,"");
octave_dynamic_loader::load("gtk_list_child_position" ,"");
octave_dynamic_loader::load("gtk_list_set_selection_mode" ,"");
octave_dynamic_loader::load("gtk_list_extend_selection" ,"");
octave_dynamic_loader::load("gtk_list_start_selection" ,"");
octave_dynamic_loader::load("gtk_list_end_selection" ,"");
octave_dynamic_loader::load("gtk_list_select_all" ,"");
octave_dynamic_loader::load("gtk_list_unselect_all" ,"");
octave_dynamic_loader::load("gtk_list_scroll_horizontal" ,"");
octave_dynamic_loader::load("gtk_list_scroll_vertical" ,"");
octave_dynamic_loader::load("gtk_list_toggle_add_mode" ,"");
octave_dynamic_loader::load("gtk_list_toggle_focus_row" ,"");
octave_dynamic_loader::load("gtk_list_toggle_row" ,"");
octave_dynamic_loader::load("gtk_list_undo_selection" ,"");
octave_dynamic_loader::load("gtk_list_end_drag_selection" ,"");
octave_dynamic_loader::load("gtk_list_item_get_type" ,"");
octave_dynamic_loader::load("gtk_list_item_new" ,"");
octave_dynamic_loader::load("gtk_list_item_new_with_label" ,"");
octave_dynamic_loader::load("gtk_list_item_select" ,"");
octave_dynamic_loader::load("gtk_list_item_deselect" ,"");
octave_dynamic_loader::load("gtk_list_store_get_type" ,"");
octave_dynamic_loader::load("gtk_list_store_new" ,"");
octave_dynamic_loader::load("gtk_list_store_newv" ,"");
octave_dynamic_loader::load("gtk_list_store_set_column_types" ,"");
octave_dynamic_loader::load("gtk_list_store_set_value" ,"");
octave_dynamic_loader::load("gtk_list_store_set" ,"");
octave_dynamic_loader::load("gtk_list_store_set_valist" ,"");
octave_dynamic_loader::load("gtk_list_store_remove" ,"");
octave_dynamic_loader::load("gtk_list_store_insert" ,"");
octave_dynamic_loader::load("gtk_list_store_insert_before" ,"");
octave_dynamic_loader::load("gtk_list_store_insert_after" ,"");
octave_dynamic_loader::load("gtk_list_store_prepend" ,"");
octave_dynamic_loader::load("gtk_list_store_append" ,"");
octave_dynamic_loader::load("gtk_list_store_clear" ,"");
octave_dynamic_loader::load("gtk_list_store_iter_is_valid" ,"");
octave_dynamic_loader::load("gtk_list_store_reorder" ,"");
octave_dynamic_loader::load("gtk_list_store_swap" ,"");
octave_dynamic_loader::load("gtk_list_store_move_after" ,"");
octave_dynamic_loader::load("gtk_list_store_move_before" ,"");
octave_dynamic_loader::load("gtk_check_version" ,"");
octave_dynamic_loader::load("gtk_init" ,"");
octave_dynamic_loader::load("gtk_init_check" ,"");
octave_dynamic_loader::load("gtk_exit" ,"");
octave_dynamic_loader::load("gtk_disable_setlocale" ,"");
octave_dynamic_loader::load("gtk_set_locale" ,"");
octave_dynamic_loader::load("gtk_get_default_language" ,"");
octave_dynamic_loader::load("gtk_events_pending" ,"");
octave_dynamic_loader::load("gtk_main_do_event" ,"");
octave_dynamic_loader::load("gtk_main" ,"");
octave_dynamic_loader::load("gtk_main_level" ,"");
octave_dynamic_loader::load("gtk_main_quit" ,"");
octave_dynamic_loader::load("gtk_main_iteration" ,"");
octave_dynamic_loader::load("gtk_main_iteration_do" ,"");
octave_dynamic_loader::load("gtk_true" ,"");
octave_dynamic_loader::load("gtk_false" ,"");
octave_dynamic_loader::load("gtk_grab_add" ,"");
octave_dynamic_loader::load("gtk_grab_get_current" ,"");
octave_dynamic_loader::load("gtk_grab_remove" ,"");
octave_dynamic_loader::load("gtk_init_add" ,"");
octave_dynamic_loader::load("gtk_quit_add_destroy" ,"");
octave_dynamic_loader::load("gtk_quit_add" ,"");
octave_dynamic_loader::load("gtk_quit_add_full" ,"");
octave_dynamic_loader::load("gtk_quit_remove" ,"");
octave_dynamic_loader::load("gtk_quit_remove_by_data" ,"");
octave_dynamic_loader::load("gtk_timeout_add" ,"");
octave_dynamic_loader::load("gtk_timeout_add_full" ,"");
octave_dynamic_loader::load("gtk_timeout_remove" ,"");
octave_dynamic_loader::load("gtk_idle_add" ,"");
octave_dynamic_loader::load("gtk_idle_add_priority" ,"");
octave_dynamic_loader::load("gtk_idle_add_full" ,"");
octave_dynamic_loader::load("gtk_idle_remove" ,"");
octave_dynamic_loader::load("gtk_idle_remove_by_data" ,"");
octave_dynamic_loader::load("gtk_input_add_full" ,"");
octave_dynamic_loader::load("gtk_input_remove" ,"");
octave_dynamic_loader::load("gtk_key_snooper_install" ,"");
octave_dynamic_loader::load("gtk_key_snooper_remove" ,"");
octave_dynamic_loader::load("gtk_get_current_event" ,"");
octave_dynamic_loader::load("gtk_get_current_event_time" ,"");
octave_dynamic_loader::load("gtk_get_current_event_state" ,"");
octave_dynamic_loader::load("gtk_get_event_widget" ,"");
octave_dynamic_loader::load("gtk_propagate_event" ,"");
octave_dynamic_loader::load("gtk_menu_bar_get_type" ,"");
octave_dynamic_loader::load("gtk_menu_bar_new" ,"");
octave_dynamic_loader::load("gtk_menu_get_type" ,"");
octave_dynamic_loader::load("gtk_menu_new" ,"");
octave_dynamic_loader::load("gtk_menu_popup" ,"");
octave_dynamic_loader::load("gtk_menu_reposition" ,"");
octave_dynamic_loader::load("gtk_menu_popdown" ,"");
octave_dynamic_loader::load("gtk_menu_get_active" ,"");
octave_dynamic_loader::load("gtk_menu_set_active" ,"");
octave_dynamic_loader::load("gtk_menu_set_accel_group" ,"");
octave_dynamic_loader::load("gtk_menu_get_accel_group" ,"");
octave_dynamic_loader::load("gtk_menu_set_accel_path" ,"");
octave_dynamic_loader::load("gtk_menu_attach_to_widget" ,"");
octave_dynamic_loader::load("gtk_menu_detach" ,"");
octave_dynamic_loader::load("gtk_menu_get_attach_widget" ,"");
octave_dynamic_loader::load("gtk_menu_set_tearoff_state" ,"");
octave_dynamic_loader::load("gtk_menu_get_tearoff_state" ,"");
octave_dynamic_loader::load("gtk_menu_set_title" ,"");
octave_dynamic_loader::load("gtk_menu_get_title" ,"");
octave_dynamic_loader::load("gtk_menu_reorder_child" ,"");
octave_dynamic_loader::load("gtk_menu_set_screen" ,"");
octave_dynamic_loader::load("gtk_menu_item_get_type" ,"");
octave_dynamic_loader::load("gtk_menu_item_new" ,"");
octave_dynamic_loader::load("gtk_menu_item_new_with_label" ,"");
octave_dynamic_loader::load("gtk_menu_item_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_menu_item_set_submenu" ,"");
octave_dynamic_loader::load("gtk_menu_item_get_submenu" ,"");
octave_dynamic_loader::load("gtk_menu_item_remove_submenu" ,"");
octave_dynamic_loader::load("gtk_menu_item_select" ,"");
octave_dynamic_loader::load("gtk_menu_item_deselect" ,"");
octave_dynamic_loader::load("gtk_menu_item_activate" ,"");
octave_dynamic_loader::load("gtk_menu_item_toggle_size_request" ,"");
octave_dynamic_loader::load("gtk_menu_item_toggle_size_allocate" ,"");
octave_dynamic_loader::load("gtk_menu_item_set_right_justified" ,"");
octave_dynamic_loader::load("gtk_menu_item_get_right_justified" ,"");
octave_dynamic_loader::load("gtk_menu_item_set_accel_path" ,"");
octave_dynamic_loader::load("gtk_menu_shell_get_type" ,"");
octave_dynamic_loader::load("gtk_menu_shell_append" ,"");
octave_dynamic_loader::load("gtk_menu_shell_prepend" ,"");
octave_dynamic_loader::load("gtk_menu_shell_insert" ,"");
octave_dynamic_loader::load("gtk_menu_shell_deactivate" ,"");
octave_dynamic_loader::load("gtk_menu_shell_select_item" ,"");
octave_dynamic_loader::load("gtk_menu_shell_deselect" ,"");
octave_dynamic_loader::load("gtk_menu_shell_activate_item" ,"");
octave_dynamic_loader::load("gtk_menu_shell_select_first" ,"");
octave_dynamic_loader::load("gtk_message_dialog_get_type" ,"");
octave_dynamic_loader::load("gtk_message_dialog_new" ,"");
octave_dynamic_loader::load("gtk_misc_get_type" ,"");
octave_dynamic_loader::load("gtk_misc_set_alignment" ,"");
octave_dynamic_loader::load("gtk_misc_get_alignment" ,"");
octave_dynamic_loader::load("gtk_misc_set_padding" ,"");
octave_dynamic_loader::load("gtk_misc_get_padding" ,"");
octave_dynamic_loader::load("gtk_notebook_get_type" ,"");
octave_dynamic_loader::load("gtk_notebook_new" ,"");
octave_dynamic_loader::load("gtk_notebook_append_page" ,"");
octave_dynamic_loader::load("gtk_notebook_append_page_menu" ,"");
octave_dynamic_loader::load("gtk_notebook_prepend_page" ,"");
octave_dynamic_loader::load("gtk_notebook_prepend_page_menu" ,"");
octave_dynamic_loader::load("gtk_notebook_insert_page" ,"");
octave_dynamic_loader::load("gtk_notebook_insert_page_menu" ,"");
octave_dynamic_loader::load("gtk_notebook_remove_page" ,"");
octave_dynamic_loader::load("gtk_notebook_get_current_page" ,"");
octave_dynamic_loader::load("gtk_notebook_get_nth_page" ,"");
octave_dynamic_loader::load("gtk_notebook_get_n_pages" ,"");
octave_dynamic_loader::load("gtk_notebook_page_num" ,"");
octave_dynamic_loader::load("gtk_notebook_set_current_page" ,"");
octave_dynamic_loader::load("gtk_notebook_next_page" ,"");
octave_dynamic_loader::load("gtk_notebook_prev_page" ,"");
octave_dynamic_loader::load("gtk_notebook_set_show_border" ,"");
octave_dynamic_loader::load("gtk_notebook_get_show_border" ,"");
octave_dynamic_loader::load("gtk_notebook_set_show_tabs" ,"");
octave_dynamic_loader::load("gtk_notebook_get_show_tabs" ,"");
octave_dynamic_loader::load("gtk_notebook_set_tab_pos" ,"");
octave_dynamic_loader::load("gtk_notebook_get_tab_pos" ,"");
octave_dynamic_loader::load("gtk_notebook_set_homogeneous_tabs" ,"");
octave_dynamic_loader::load("gtk_notebook_set_tab_border" ,"");
octave_dynamic_loader::load("gtk_notebook_set_tab_hborder" ,"");
octave_dynamic_loader::load("gtk_notebook_set_tab_vborder" ,"");
octave_dynamic_loader::load("gtk_notebook_set_scrollable" ,"");
octave_dynamic_loader::load("gtk_notebook_get_scrollable" ,"");
octave_dynamic_loader::load("gtk_notebook_popup_enable" ,"");
octave_dynamic_loader::load("gtk_notebook_popup_disable" ,"");
octave_dynamic_loader::load("gtk_notebook_get_tab_label" ,"");
octave_dynamic_loader::load("gtk_notebook_set_tab_label" ,"");
octave_dynamic_loader::load("gtk_notebook_set_tab_label_text" ,"");
octave_dynamic_loader::load("gtk_notebook_get_tab_label_text" ,"");
octave_dynamic_loader::load("gtk_notebook_get_menu_label" ,"");
octave_dynamic_loader::load("gtk_notebook_set_menu_label" ,"");
octave_dynamic_loader::load("gtk_notebook_set_menu_label_text" ,"");
octave_dynamic_loader::load("gtk_notebook_get_menu_label_text" ,"");
octave_dynamic_loader::load("gtk_notebook_query_tab_label_packing" ,"");
octave_dynamic_loader::load("gtk_notebook_set_tab_label_packing" ,"");
octave_dynamic_loader::load("gtk_notebook_reorder_child" ,"");
octave_dynamic_loader::load("gtk_object_get_type" ,"");
octave_dynamic_loader::load("gtk_object_new" ,"");
octave_dynamic_loader::load("gtk_object_sink" ,"");
octave_dynamic_loader::load("gtk_object_destroy" ,"");
octave_dynamic_loader::load("gtk_object_ref" ,"");
octave_dynamic_loader::load("gtk_object_unref" ,"");
octave_dynamic_loader::load("gtk_object_weakref" ,"");
octave_dynamic_loader::load("gtk_object_weakunref" ,"");
octave_dynamic_loader::load("gtk_object_set_data" ,"");
octave_dynamic_loader::load("gtk_object_set_data_full" ,"");
octave_dynamic_loader::load("gtk_object_remove_data" ,"");
octave_dynamic_loader::load("gtk_object_get_data" ,"");
octave_dynamic_loader::load("gtk_object_remove_no_notify" ,"");
octave_dynamic_loader::load("gtk_object_set_user_data" ,"");
octave_dynamic_loader::load("gtk_object_get_user_data" ,"");
octave_dynamic_loader::load("gtk_object_set_data_by_id" ,"");
octave_dynamic_loader::load("gtk_object_set_data_by_id_full" ,"");
octave_dynamic_loader::load("gtk_object_get_data_by_id" ,"");
octave_dynamic_loader::load("gtk_object_remove_data_by_id" ,"");
octave_dynamic_loader::load("gtk_object_remove_no_notify_by_id" ,"");
octave_dynamic_loader::load("gtk_old_editable_get_type" ,"");
octave_dynamic_loader::load("gtk_old_editable_claim_selection" ,"");
octave_dynamic_loader::load("gtk_old_editable_changed" ,"");
octave_dynamic_loader::load("gtk_option_menu_get_type" ,"");
octave_dynamic_loader::load("gtk_option_menu_new" ,"");
octave_dynamic_loader::load("gtk_option_menu_get_menu" ,"");
octave_dynamic_loader::load("gtk_option_menu_set_menu" ,"");
octave_dynamic_loader::load("gtk_option_menu_remove_menu" ,"");
octave_dynamic_loader::load("gtk_option_menu_get_history" ,"");
octave_dynamic_loader::load("gtk_option_menu_set_history" ,"");
octave_dynamic_loader::load("gtk_paned_get_type" ,"");
octave_dynamic_loader::load("gtk_paned_add1" ,"");
octave_dynamic_loader::load("gtk_paned_add2" ,"");
octave_dynamic_loader::load("gtk_paned_pack1" ,"");
octave_dynamic_loader::load("gtk_paned_pack2" ,"");
octave_dynamic_loader::load("gtk_paned_get_position" ,"");
octave_dynamic_loader::load("gtk_paned_set_position" ,"");
octave_dynamic_loader::load("gtk_paned_compute_position" ,"");
octave_dynamic_loader::load("gtk_pixmap_get_type" ,"");
octave_dynamic_loader::load("gtk_pixmap_new" ,"");
octave_dynamic_loader::load("gtk_pixmap_set" ,"");
octave_dynamic_loader::load("gtk_pixmap_get" ,"");
octave_dynamic_loader::load("gtk_pixmap_set_build_insensitive" ,"");
octave_dynamic_loader::load("gtk_plug_get_type" ,"");
octave_dynamic_loader::load("gtk_plug_construct" ,"");
octave_dynamic_loader::load("gtk_plug_new" ,"");
octave_dynamic_loader::load("gtk_plug_construct_for_display" ,"");
octave_dynamic_loader::load("gtk_plug_new_for_display" ,"");
octave_dynamic_loader::load("gtk_plug_get_id" ,"");
octave_dynamic_loader::load("gtk_preview_get_type" ,"");
octave_dynamic_loader::load("gtk_preview_uninit" ,"");
octave_dynamic_loader::load("gtk_preview_new" ,"");
octave_dynamic_loader::load("gtk_preview_size" ,"");
octave_dynamic_loader::load("gtk_preview_put" ,"");
octave_dynamic_loader::load("gtk_preview_draw_row" ,"");
octave_dynamic_loader::load("gtk_preview_set_expand" ,"");
octave_dynamic_loader::load("gtk_preview_set_gamma" ,"");
octave_dynamic_loader::load("gtk_preview_set_color_cube" ,"");
octave_dynamic_loader::load("gtk_preview_set_install_cmap" ,"");
octave_dynamic_loader::load("gtk_preview_set_reserved" ,"");
octave_dynamic_loader::load("gtk_preview_set_dither" ,"");
octave_dynamic_loader::load("gtk_preview_get_visual" ,"");
octave_dynamic_loader::load("gtk_preview_get_cmap" ,"");
octave_dynamic_loader::load("gtk_preview_get_info" ,"");
octave_dynamic_loader::load("gtk_preview_reset" ,"");
octave_dynamic_loader::load("gtk_progress_bar_get_type" ,"");
octave_dynamic_loader::load("gtk_progress_bar_new" ,"");
octave_dynamic_loader::load("gtk_progress_bar_pulse" ,"");
octave_dynamic_loader::load("gtk_progress_bar_set_text" ,"");
octave_dynamic_loader::load("gtk_progress_bar_set_fraction" ,"");
octave_dynamic_loader::load("gtk_progress_bar_set_pulse_step" ,"");
octave_dynamic_loader::load("gtk_progress_bar_set_orientation" ,"");
octave_dynamic_loader::load("gtk_progress_bar_get_text" ,"");
octave_dynamic_loader::load("gtk_progress_bar_get_fraction" ,"");
octave_dynamic_loader::load("gtk_progress_bar_get_pulse_step" ,"");
octave_dynamic_loader::load("gtk_progress_bar_get_orientation" ,"");
octave_dynamic_loader::load("gtk_progress_bar_new_with_adjustment" ,"");
octave_dynamic_loader::load("gtk_progress_bar_set_bar_style" ,"");
octave_dynamic_loader::load("gtk_progress_bar_set_discrete_blocks" ,"");
octave_dynamic_loader::load("gtk_progress_bar_set_activity_step" ,"");
octave_dynamic_loader::load("gtk_progress_bar_set_activity_blocks" ,"");
octave_dynamic_loader::load("gtk_progress_bar_update" ,"");
octave_dynamic_loader::load("gtk_progress_get_type" ,"");
octave_dynamic_loader::load("gtk_progress_set_show_text" ,"");
octave_dynamic_loader::load("gtk_progress_set_text_alignment" ,"");
octave_dynamic_loader::load("gtk_progress_set_format_string" ,"");
octave_dynamic_loader::load("gtk_progress_set_adjustment" ,"");
octave_dynamic_loader::load("gtk_progress_configure" ,"");
octave_dynamic_loader::load("gtk_progress_set_percentage" ,"");
octave_dynamic_loader::load("gtk_progress_set_value" ,"");
octave_dynamic_loader::load("gtk_progress_get_value" ,"");
octave_dynamic_loader::load("gtk_progress_set_activity_mode" ,"");
octave_dynamic_loader::load("gtk_progress_get_current_text" ,"");
octave_dynamic_loader::load("gtk_progress_get_text_from_value" ,"");
octave_dynamic_loader::load("gtk_progress_get_current_percentage" ,"");
octave_dynamic_loader::load("gtk_progress_get_percentage_from_value" ,"");
octave_dynamic_loader::load("gtk_radio_button_get_type" ,"");
octave_dynamic_loader::load("gtk_radio_button_new" ,"");
octave_dynamic_loader::load("gtk_radio_button_new_from_widget" ,"");
octave_dynamic_loader::load("gtk_radio_button_new_with_label" ,"");
octave_dynamic_loader::load("gtk_radio_button_new_with_label_from_widget" ,"");
octave_dynamic_loader::load("gtk_radio_button_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_radio_button_new_with_mnemonic_from_widget" ,"");
octave_dynamic_loader::load("gtk_radio_button_get_group" ,"");
octave_dynamic_loader::load("gtk_radio_button_set_group" ,"");
octave_dynamic_loader::load("gtk_radio_menu_item_get_type" ,"");
octave_dynamic_loader::load("gtk_radio_menu_item_new" ,"");
octave_dynamic_loader::load("gtk_radio_menu_item_new_with_label" ,"");
octave_dynamic_loader::load("gtk_radio_menu_item_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_radio_menu_item_get_group" ,"");
octave_dynamic_loader::load("gtk_radio_menu_item_set_group" ,"");
octave_dynamic_loader::load("gtk_range_get_type" ,"");
octave_dynamic_loader::load("gtk_range_set_update_policy" ,"");
octave_dynamic_loader::load("gtk_range_get_update_policy" ,"");
octave_dynamic_loader::load("gtk_range_set_adjustment" ,"");
octave_dynamic_loader::load("gtk_range_get_adjustment" ,"");
octave_dynamic_loader::load("gtk_range_set_inverted" ,"");
octave_dynamic_loader::load("gtk_range_get_inverted" ,"");
octave_dynamic_loader::load("gtk_range_set_increments" ,"");
octave_dynamic_loader::load("gtk_range_set_range" ,"");
octave_dynamic_loader::load("gtk_range_set_value" ,"");
octave_dynamic_loader::load("gtk_range_get_value" ,"");
octave_dynamic_loader::load("gtk_rc_add_default_file" ,"");
octave_dynamic_loader::load("gtk_rc_set_default_files" ,"");
octave_dynamic_loader::load("gtk_rc_get_default_files" ,"");
octave_dynamic_loader::load("gtk_rc_get_style" ,"");
octave_dynamic_loader::load("gtk_rc_get_style_by_paths" ,"");
octave_dynamic_loader::load("gtk_rc_reparse_all_for_settings" ,"");
octave_dynamic_loader::load("gtk_rc_find_pixmap_in_path" ,"");
octave_dynamic_loader::load("gtk_rc_parse" ,"");
octave_dynamic_loader::load("gtk_rc_parse_string" ,"");
octave_dynamic_loader::load("gtk_rc_reparse_all" ,"");
octave_dynamic_loader::load("gtk_rc_add_widget_name_style" ,"");
octave_dynamic_loader::load("gtk_rc_add_widget_class_style" ,"");
octave_dynamic_loader::load("gtk_rc_add_class_style" ,"");
octave_dynamic_loader::load("gtk_rc_style_get_type" ,"");
octave_dynamic_loader::load("gtk_rc_style_new" ,"");
octave_dynamic_loader::load("gtk_rc_style_copy" ,"");
octave_dynamic_loader::load("gtk_rc_style_ref" ,"");
octave_dynamic_loader::load("gtk_rc_style_unref" ,"");
octave_dynamic_loader::load("gtk_rc_find_module_in_path" ,"");
octave_dynamic_loader::load("gtk_rc_get_theme_dir" ,"");
octave_dynamic_loader::load("gtk_rc_get_module_dir" ,"");
octave_dynamic_loader::load("gtk_rc_get_im_module_path" ,"");
octave_dynamic_loader::load("gtk_rc_get_im_module_file" ,"");
octave_dynamic_loader::load("gtk_ruler_get_type" ,"");
octave_dynamic_loader::load("gtk_ruler_set_metric" ,"");
octave_dynamic_loader::load("gtk_ruler_set_range" ,"");
octave_dynamic_loader::load("gtk_ruler_draw_ticks" ,"");
octave_dynamic_loader::load("gtk_ruler_draw_pos" ,"");
octave_dynamic_loader::load("gtk_ruler_get_metric" ,"");
octave_dynamic_loader::load("gtk_ruler_get_range" ,"");
octave_dynamic_loader::load("gtk_scale_get_type" ,"");
octave_dynamic_loader::load("gtk_scale_set_digits" ,"");
octave_dynamic_loader::load("gtk_scale_get_digits" ,"");
octave_dynamic_loader::load("gtk_scale_set_draw_value" ,"");
octave_dynamic_loader::load("gtk_scale_get_draw_value" ,"");
octave_dynamic_loader::load("gtk_scale_set_value_pos" ,"");
octave_dynamic_loader::load("gtk_scale_get_value_pos" ,"");
octave_dynamic_loader::load("gtk_scrollbar_get_type" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_get_type" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_new" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_set_hadjustment" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_set_vadjustment" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_get_hadjustment" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_get_vadjustment" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_set_policy" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_get_policy" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_set_placement" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_get_placement" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_set_shadow_type" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_get_shadow_type" ,"");
octave_dynamic_loader::load("gtk_scrolled_window_add_with_viewport" ,"");
octave_dynamic_loader::load("gtk_target_list_new" ,"");
octave_dynamic_loader::load("gtk_target_list_ref" ,"");
octave_dynamic_loader::load("gtk_target_list_unref" ,"");
octave_dynamic_loader::load("gtk_target_list_add" ,"");
octave_dynamic_loader::load("gtk_target_list_add_table" ,"");
octave_dynamic_loader::load("gtk_target_list_remove" ,"");
octave_dynamic_loader::load("gtk_target_list_find" ,"");
octave_dynamic_loader::load("gtk_selection_owner_set" ,"");
octave_dynamic_loader::load("gtk_selection_owner_set_for_display" ,"");
octave_dynamic_loader::load("gtk_selection_add_target" ,"");
octave_dynamic_loader::load("gtk_selection_add_targets" ,"");
octave_dynamic_loader::load("gtk_selection_clear_targets" ,"");
octave_dynamic_loader::load("gtk_selection_convert" ,"");
octave_dynamic_loader::load("gtk_selection_data_set" ,"");
octave_dynamic_loader::load("gtk_selection_data_set_text" ,"");
octave_dynamic_loader::load("gtk_selection_data_get_text" ,"");
octave_dynamic_loader::load("gtk_selection_data_get_targets" ,"");
octave_dynamic_loader::load("gtk_selection_data_targets_include_text" ,"");
octave_dynamic_loader::load("gtk_selection_remove_all" ,"");
octave_dynamic_loader::load("gtk_selection_clear" ,"");
octave_dynamic_loader::load("gtk_selection_data_get_type" ,"");
octave_dynamic_loader::load("gtk_selection_data_copy" ,"");
octave_dynamic_loader::load("gtk_selection_data_free" ,"");
octave_dynamic_loader::load("gtk_separator_get_type" ,"");
octave_dynamic_loader::load("gtk_separator_menu_item_get_type" ,"");
octave_dynamic_loader::load("gtk_separator_menu_item_new" ,"");
octave_dynamic_loader::load("gtk_settings_get_type" ,"");
octave_dynamic_loader::load("gtk_settings_get_default" ,"");
octave_dynamic_loader::load("gtk_settings_get_for_screen" ,"");
octave_dynamic_loader::load("gtk_settings_install_property" ,"");
octave_dynamic_loader::load("gtk_settings_install_property_parser" ,"");
octave_dynamic_loader::load("gtk_rc_property_parse_color" ,"");
octave_dynamic_loader::load("gtk_rc_property_parse_enum" ,"");
octave_dynamic_loader::load("gtk_rc_property_parse_flags" ,"");
octave_dynamic_loader::load("gtk_rc_property_parse_requisition" ,"");
octave_dynamic_loader::load("gtk_rc_property_parse_border" ,"");
octave_dynamic_loader::load("gtk_settings_set_property_value" ,"");
octave_dynamic_loader::load("gtk_settings_set_string_property" ,"");
octave_dynamic_loader::load("gtk_settings_set_long_property" ,"");
octave_dynamic_loader::load("gtk_settings_set_double_property" ,"");
octave_dynamic_loader::load("gtk_signal_newv" ,"");
octave_dynamic_loader::load("gtk_signal_new" ,"");
octave_dynamic_loader::load("gtk_signal_emit_stop_by_name" ,"");
octave_dynamic_loader::load("gtk_signal_connect_object_while_alive" ,"");
octave_dynamic_loader::load("gtk_signal_connect_while_alive" ,"");
octave_dynamic_loader::load("gtk_signal_connect_full" ,"");
octave_dynamic_loader::load("gtk_signal_emitv" ,"");
octave_dynamic_loader::load("gtk_signal_emit" ,"");
octave_dynamic_loader::load("gtk_signal_emit_by_name" ,"");
octave_dynamic_loader::load("gtk_signal_emitv_by_name" ,"");
octave_dynamic_loader::load("gtk_signal_compat_matched" ,"");
octave_dynamic_loader::load("gtk_socket_get_type" ,"");
octave_dynamic_loader::load("gtk_socket_new" ,"");
octave_dynamic_loader::load("gtk_socket_add_id" ,"");
octave_dynamic_loader::load("gtk_socket_get_id" ,"");
octave_dynamic_loader::load("gtk_socket_steal" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_type" ,"");
octave_dynamic_loader::load("gtk_spin_button_configure" ,"");
octave_dynamic_loader::load("gtk_spin_button_new" ,"");
octave_dynamic_loader::load("gtk_spin_button_new_with_range" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_adjustment" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_adjustment" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_digits" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_digits" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_increments" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_increments" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_range" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_range" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_value" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_value_as_int" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_value" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_update_policy" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_update_policy" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_numeric" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_numeric" ,"");
octave_dynamic_loader::load("gtk_spin_button_spin" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_wrap" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_wrap" ,"");
octave_dynamic_loader::load("gtk_spin_button_set_snap_to_ticks" ,"");
octave_dynamic_loader::load("gtk_spin_button_get_snap_to_ticks" ,"");
octave_dynamic_loader::load("gtk_spin_button_update" ,"");
octave_dynamic_loader::load("gtk_statusbar_get_type" ,"");
octave_dynamic_loader::load("gtk_statusbar_new" ,"");
octave_dynamic_loader::load("gtk_statusbar_get_context_id" ,"");
octave_dynamic_loader::load("gtk_statusbar_push" ,"");
octave_dynamic_loader::load("gtk_statusbar_pop" ,"");
octave_dynamic_loader::load("gtk_statusbar_remove" ,"");
octave_dynamic_loader::load("gtk_statusbar_set_has_resize_grip" ,"");
octave_dynamic_loader::load("gtk_statusbar_get_has_resize_grip" ,"");
octave_dynamic_loader::load("gtk_stock_add" ,"");
octave_dynamic_loader::load("gtk_stock_add_static" ,"");
octave_dynamic_loader::load("gtk_stock_lookup" ,"");
octave_dynamic_loader::load("gtk_stock_list_ids" ,"");
octave_dynamic_loader::load("gtk_stock_item_copy" ,"");
octave_dynamic_loader::load("gtk_stock_item_free" ,"");
octave_dynamic_loader::load("gtk_style_get_type" ,"");
octave_dynamic_loader::load("gtk_style_new" ,"");
octave_dynamic_loader::load("gtk_style_copy" ,"");
octave_dynamic_loader::load("gtk_style_attach" ,"");
octave_dynamic_loader::load("gtk_style_detach" ,"");
octave_dynamic_loader::load("gtk_style_ref" ,"");
octave_dynamic_loader::load("gtk_style_unref" ,"");
octave_dynamic_loader::load("gtk_style_get_font" ,"");
octave_dynamic_loader::load("gtk_style_set_font" ,"");
octave_dynamic_loader::load("gtk_style_set_background" ,"");
octave_dynamic_loader::load("gtk_style_apply_default_background" ,"");
octave_dynamic_loader::load("gtk_style_lookup_icon_set" ,"");
octave_dynamic_loader::load("gtk_style_render_icon" ,"");
octave_dynamic_loader::load("gtk_draw_hline" ,"");
octave_dynamic_loader::load("gtk_draw_vline" ,"");
octave_dynamic_loader::load("gtk_draw_shadow" ,"");
octave_dynamic_loader::load("gtk_draw_polygon" ,"");
octave_dynamic_loader::load("gtk_draw_arrow" ,"");
octave_dynamic_loader::load("gtk_draw_diamond" ,"");
octave_dynamic_loader::load("gtk_draw_box" ,"");
octave_dynamic_loader::load("gtk_draw_flat_box" ,"");
octave_dynamic_loader::load("gtk_draw_check" ,"");
octave_dynamic_loader::load("gtk_draw_option" ,"");
octave_dynamic_loader::load("gtk_draw_tab" ,"");
octave_dynamic_loader::load("gtk_draw_shadow_gap" ,"");
octave_dynamic_loader::load("gtk_draw_box_gap" ,"");
octave_dynamic_loader::load("gtk_draw_extension" ,"");
octave_dynamic_loader::load("gtk_draw_focus" ,"");
octave_dynamic_loader::load("gtk_draw_slider" ,"");
octave_dynamic_loader::load("gtk_draw_handle" ,"");
octave_dynamic_loader::load("gtk_draw_expander" ,"");
octave_dynamic_loader::load("gtk_draw_layout" ,"");
octave_dynamic_loader::load("gtk_draw_resize_grip" ,"");
octave_dynamic_loader::load("gtk_paint_hline" ,"");
octave_dynamic_loader::load("gtk_paint_vline" ,"");
octave_dynamic_loader::load("gtk_paint_shadow" ,"");
octave_dynamic_loader::load("gtk_paint_polygon" ,"");
octave_dynamic_loader::load("gtk_paint_arrow" ,"");
octave_dynamic_loader::load("gtk_paint_diamond" ,"");
octave_dynamic_loader::load("gtk_paint_box" ,"");
octave_dynamic_loader::load("gtk_paint_flat_box" ,"");
octave_dynamic_loader::load("gtk_paint_check" ,"");
octave_dynamic_loader::load("gtk_paint_option" ,"");
octave_dynamic_loader::load("gtk_paint_tab" ,"");
octave_dynamic_loader::load("gtk_paint_shadow_gap" ,"");
octave_dynamic_loader::load("gtk_paint_box_gap" ,"");
octave_dynamic_loader::load("gtk_paint_extension" ,"");
octave_dynamic_loader::load("gtk_paint_focus" ,"");
octave_dynamic_loader::load("gtk_paint_slider" ,"");
octave_dynamic_loader::load("gtk_paint_handle" ,"");
octave_dynamic_loader::load("gtk_paint_expander" ,"");
octave_dynamic_loader::load("gtk_paint_layout" ,"");
octave_dynamic_loader::load("gtk_paint_resize_grip" ,"");
octave_dynamic_loader::load("gtk_border_get_type" ,"");
octave_dynamic_loader::load("gtk_border_copy" ,"");
octave_dynamic_loader::load("gtk_border_free" ,"");
octave_dynamic_loader::load("gtk_draw_string" ,"");
octave_dynamic_loader::load("gtk_paint_string" ,"");
octave_dynamic_loader::load("gtk_table_get_type" ,"");
octave_dynamic_loader::load("gtk_table_new" ,"");
octave_dynamic_loader::load("gtk_table_resize" ,"");
octave_dynamic_loader::load("gtk_table_attach" ,"");
octave_dynamic_loader::load("gtk_table_attach_defaults" ,"");
octave_dynamic_loader::load("gtk_table_set_row_spacing" ,"");
octave_dynamic_loader::load("gtk_table_get_row_spacing" ,"");
octave_dynamic_loader::load("gtk_table_set_col_spacing" ,"");
octave_dynamic_loader::load("gtk_table_get_col_spacing" ,"");
octave_dynamic_loader::load("gtk_table_set_row_spacings" ,"");
octave_dynamic_loader::load("gtk_table_get_default_row_spacing" ,"");
octave_dynamic_loader::load("gtk_table_set_col_spacings" ,"");
octave_dynamic_loader::load("gtk_table_get_default_col_spacing" ,"");
octave_dynamic_loader::load("gtk_table_set_homogeneous" ,"");
octave_dynamic_loader::load("gtk_table_get_homogeneous" ,"");
octave_dynamic_loader::load("gtk_tearoff_menu_item_get_type" ,"");
octave_dynamic_loader::load("gtk_tearoff_menu_item_new" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_type" ,"");
octave_dynamic_loader::load("gtk_text_buffer_new" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_line_count" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_char_count" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_tag_table" ,"");
octave_dynamic_loader::load("gtk_text_buffer_set_text" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_at_cursor" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_interactive" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_interactive_at_cursor" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_range" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_range_interactive" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_with_tags" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_with_tags_by_name" ,"");
octave_dynamic_loader::load("gtk_text_buffer_delete" ,"");
octave_dynamic_loader::load("gtk_text_buffer_delete_interactive" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_text" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_slice" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_pixbuf" ,"");
octave_dynamic_loader::load("gtk_text_buffer_insert_child_anchor" ,"");
octave_dynamic_loader::load("gtk_text_buffer_create_child_anchor" ,"");
octave_dynamic_loader::load("gtk_text_buffer_create_mark" ,"");
octave_dynamic_loader::load("gtk_text_buffer_move_mark" ,"");
octave_dynamic_loader::load("gtk_text_buffer_delete_mark" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_mark" ,"");
octave_dynamic_loader::load("gtk_text_buffer_move_mark_by_name" ,"");
octave_dynamic_loader::load("gtk_text_buffer_delete_mark_by_name" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_insert" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_selection_bound" ,"");
octave_dynamic_loader::load("gtk_text_buffer_place_cursor" ,"");
octave_dynamic_loader::load("gtk_text_buffer_apply_tag" ,"");
octave_dynamic_loader::load("gtk_text_buffer_remove_tag" ,"");
octave_dynamic_loader::load("gtk_text_buffer_apply_tag_by_name" ,"");
octave_dynamic_loader::load("gtk_text_buffer_remove_tag_by_name" ,"");
octave_dynamic_loader::load("gtk_text_buffer_remove_all_tags" ,"");
octave_dynamic_loader::load("gtk_text_buffer_create_tag" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_iter_at_line_offset" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_iter_at_line_index" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_iter_at_offset" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_iter_at_line" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_start_iter" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_end_iter" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_bounds" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_iter_at_mark" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_iter_at_child_anchor" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_modified" ,"");
octave_dynamic_loader::load("gtk_text_buffer_set_modified" ,"");
octave_dynamic_loader::load("gtk_text_buffer_add_selection_clipboard" ,"");
octave_dynamic_loader::load("gtk_text_buffer_remove_selection_clipboard" ,"");
octave_dynamic_loader::load("gtk_text_buffer_cut_clipboard" ,"");
octave_dynamic_loader::load("gtk_text_buffer_copy_clipboard" ,"");
octave_dynamic_loader::load("gtk_text_buffer_paste_clipboard" ,"");
octave_dynamic_loader::load("gtk_text_buffer_get_selection_bounds" ,"");
octave_dynamic_loader::load("gtk_text_buffer_delete_selection" ,"");
octave_dynamic_loader::load("gtk_text_buffer_begin_user_action" ,"");
octave_dynamic_loader::load("gtk_text_buffer_end_user_action" ,"");
octave_dynamic_loader::load("gtk_text_child_anchor_get_type" ,"");
octave_dynamic_loader::load("gtk_text_child_anchor_new" ,"");
octave_dynamic_loader::load("gtk_text_child_anchor_get_widgets" ,"");
octave_dynamic_loader::load("gtk_text_child_anchor_get_deleted" ,"");
octave_dynamic_loader::load("gtk_text_layout_draw" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_buffer" ,"");
octave_dynamic_loader::load("gtk_text_iter_copy" ,"");
octave_dynamic_loader::load("gtk_text_iter_free" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_type" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_offset" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_line" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_line_offset" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_line_index" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_visible_line_offset" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_visible_line_index" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_char" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_slice" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_text" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_visible_slice" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_visible_text" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_pixbuf" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_marks" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_child_anchor" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_toggled_tags" ,"");
octave_dynamic_loader::load("gtk_text_iter_begins_tag" ,"");
octave_dynamic_loader::load("gtk_text_iter_ends_tag" ,"");
octave_dynamic_loader::load("gtk_text_iter_toggles_tag" ,"");
octave_dynamic_loader::load("gtk_text_iter_has_tag" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_tags" ,"");
octave_dynamic_loader::load("gtk_text_iter_editable" ,"");
octave_dynamic_loader::load("gtk_text_iter_can_insert" ,"");
octave_dynamic_loader::load("gtk_text_iter_starts_word" ,"");
octave_dynamic_loader::load("gtk_text_iter_ends_word" ,"");
octave_dynamic_loader::load("gtk_text_iter_inside_word" ,"");
octave_dynamic_loader::load("gtk_text_iter_starts_sentence" ,"");
octave_dynamic_loader::load("gtk_text_iter_ends_sentence" ,"");
octave_dynamic_loader::load("gtk_text_iter_inside_sentence" ,"");
octave_dynamic_loader::load("gtk_text_iter_starts_line" ,"");
octave_dynamic_loader::load("gtk_text_iter_ends_line" ,"");
octave_dynamic_loader::load("gtk_text_iter_is_cursor_position" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_chars_in_line" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_bytes_in_line" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_attributes" ,"");
octave_dynamic_loader::load("gtk_text_iter_get_language" ,"");
octave_dynamic_loader::load("gtk_text_iter_is_end" ,"");
octave_dynamic_loader::load("gtk_text_iter_is_start" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_char" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_char" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_chars" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_chars" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_line" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_line" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_lines" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_lines" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_word_end" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_word_start" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_word_ends" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_word_starts" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_sentence_end" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_sentence_start" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_sentence_ends" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_sentence_starts" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_cursor_position" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_cursor_position" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_cursor_positions" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_cursor_positions" ,"");
octave_dynamic_loader::load("gtk_text_iter_set_offset" ,"");
octave_dynamic_loader::load("gtk_text_iter_set_line" ,"");
octave_dynamic_loader::load("gtk_text_iter_set_line_offset" ,"");
octave_dynamic_loader::load("gtk_text_iter_set_line_index" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_to_end" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_to_line_end" ,"");
octave_dynamic_loader::load("gtk_text_iter_set_visible_line_offset" ,"");
octave_dynamic_loader::load("gtk_text_iter_set_visible_line_index" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_to_tag_toggle" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_to_tag_toggle" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_find_char" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_find_char" ,"");
octave_dynamic_loader::load("gtk_text_iter_forward_search" ,"");
octave_dynamic_loader::load("gtk_text_iter_backward_search" ,"");
octave_dynamic_loader::load("gtk_text_iter_equal" ,"");
octave_dynamic_loader::load("gtk_text_iter_compare" ,"");
octave_dynamic_loader::load("gtk_text_iter_in_range" ,"");
octave_dynamic_loader::load("gtk_text_iter_order" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_type" ,"");
octave_dynamic_loader::load("gtk_text_layout_new" ,"");
octave_dynamic_loader::load("gtk_text_layout_set_buffer" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_buffer" ,"");
octave_dynamic_loader::load("gtk_text_layout_set_default_style" ,"");
octave_dynamic_loader::load("gtk_text_layout_set_contexts" ,"");
octave_dynamic_loader::load("gtk_text_layout_set_cursor_direction" ,"");
octave_dynamic_loader::load("gtk_text_layout_default_style_changed" ,"");
octave_dynamic_loader::load("gtk_text_layout_set_screen_width" ,"");
octave_dynamic_loader::load("gtk_text_layout_set_preedit_string" ,"");
octave_dynamic_loader::load("gtk_text_layout_set_cursor_visible" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_cursor_visible" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_size" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_lines" ,"");
octave_dynamic_loader::load("gtk_text_layout_wrap_loop_start" ,"");
octave_dynamic_loader::load("gtk_text_layout_wrap_loop_end" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_line_display" ,"");
octave_dynamic_loader::load("gtk_text_layout_free_line_display" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_line_at_y" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_iter_at_pixel" ,"");
octave_dynamic_loader::load("gtk_text_layout_invalidate" ,"");
octave_dynamic_loader::load("gtk_text_layout_free_line_data" ,"");
octave_dynamic_loader::load("gtk_text_layout_is_valid" ,"");
octave_dynamic_loader::load("gtk_text_layout_validate_yrange" ,"");
octave_dynamic_loader::load("gtk_text_layout_validate" ,"");
octave_dynamic_loader::load("gtk_text_layout_wrap" ,"");
octave_dynamic_loader::load("gtk_text_layout_changed" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_iter_location" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_line_yrange" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_cursor_locations" ,"");
octave_dynamic_loader::load("gtk_text_layout_clamp_iter_to_vrange" ,"");
octave_dynamic_loader::load("gtk_text_layout_move_iter_to_line_end" ,"");
octave_dynamic_loader::load("gtk_text_layout_move_iter_to_previous_line" ,"");
octave_dynamic_loader::load("gtk_text_layout_move_iter_to_next_line" ,"");
octave_dynamic_loader::load("gtk_text_layout_move_iter_to_x" ,"");
octave_dynamic_loader::load("gtk_text_layout_move_iter_visually" ,"");
octave_dynamic_loader::load("gtk_text_layout_iter_starts_line" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_iter_at_line" ,"");
octave_dynamic_loader::load("gtk_text_child_anchor_register_child" ,"");
octave_dynamic_loader::load("gtk_text_child_anchor_unregister_child" ,"");
octave_dynamic_loader::load("gtk_text_child_anchor_queue_resize" ,"");
octave_dynamic_loader::load("gtk_text_anchored_child_set_layout" ,"");
octave_dynamic_loader::load("gtk_text_layout_spew" ,"");
octave_dynamic_loader::load("gtk_text_mark_get_type" ,"");
octave_dynamic_loader::load("gtk_text_mark_set_visible" ,"");
octave_dynamic_loader::load("gtk_text_mark_get_visible" ,"");
octave_dynamic_loader::load("gtk_text_mark_get_name" ,"");
octave_dynamic_loader::load("gtk_text_mark_get_deleted" ,"");
octave_dynamic_loader::load("gtk_text_mark_get_buffer" ,"");
octave_dynamic_loader::load("gtk_text_mark_get_left_gravity" ,"");
octave_dynamic_loader::load("gtk_text_tag_get_type" ,"");
octave_dynamic_loader::load("gtk_text_tag_new" ,"");
octave_dynamic_loader::load("gtk_text_tag_get_priority" ,"");
octave_dynamic_loader::load("gtk_text_tag_set_priority" ,"");
octave_dynamic_loader::load("gtk_text_tag_event" ,"");
octave_dynamic_loader::load("gtk_text_attributes_new" ,"");
octave_dynamic_loader::load("gtk_text_attributes_copy" ,"");
octave_dynamic_loader::load("gtk_text_attributes_copy_values" ,"");
octave_dynamic_loader::load("gtk_text_attributes_unref" ,"");
octave_dynamic_loader::load("gtk_text_attributes_ref" ,"");
octave_dynamic_loader::load("gtk_text_attributes_get_type" ,"");
octave_dynamic_loader::load("gtk_text_tag_table_get_type" ,"");
octave_dynamic_loader::load("gtk_text_tag_table_new" ,"");
octave_dynamic_loader::load("gtk_text_tag_table_add" ,"");
octave_dynamic_loader::load("gtk_text_tag_table_remove" ,"");
octave_dynamic_loader::load("gtk_text_tag_table_lookup" ,"");
octave_dynamic_loader::load("gtk_text_tag_table_foreach" ,"");
octave_dynamic_loader::load("gtk_text_tag_table_get_size" ,"");
octave_dynamic_loader::load("gtk_text_view_get_type" ,"");
octave_dynamic_loader::load("gtk_text_view_new" ,"");
octave_dynamic_loader::load("gtk_text_view_new_with_buffer" ,"");
octave_dynamic_loader::load("gtk_text_view_set_buffer" ,"");
octave_dynamic_loader::load("gtk_text_view_get_buffer" ,"");
octave_dynamic_loader::load("gtk_text_view_scroll_to_iter" ,"");
octave_dynamic_loader::load("gtk_text_view_scroll_to_mark" ,"");
octave_dynamic_loader::load("gtk_text_view_scroll_mark_onscreen" ,"");
octave_dynamic_loader::load("gtk_text_view_move_mark_onscreen" ,"");
octave_dynamic_loader::load("gtk_text_view_place_cursor_onscreen" ,"");
octave_dynamic_loader::load("gtk_text_view_get_visible_rect" ,"");
octave_dynamic_loader::load("gtk_text_view_set_cursor_visible" ,"");
octave_dynamic_loader::load("gtk_text_view_get_cursor_visible" ,"");
octave_dynamic_loader::load("gtk_text_view_get_iter_location" ,"");
octave_dynamic_loader::load("gtk_text_view_get_iter_at_location" ,"");
octave_dynamic_loader::load("gtk_text_view_get_line_yrange" ,"");
octave_dynamic_loader::load("gtk_text_view_get_line_at_y" ,"");
octave_dynamic_loader::load("gtk_text_view_buffer_to_window_coords" ,"");
octave_dynamic_loader::load("gtk_text_view_window_to_buffer_coords" ,"");
octave_dynamic_loader::load("gtk_text_view_get_window" ,"");
octave_dynamic_loader::load("gtk_text_view_get_window_type" ,"");
octave_dynamic_loader::load("gtk_text_view_set_border_window_size" ,"");
octave_dynamic_loader::load("gtk_text_view_get_border_window_size" ,"");
octave_dynamic_loader::load("gtk_text_view_forward_display_line" ,"");
octave_dynamic_loader::load("gtk_text_view_backward_display_line" ,"");
octave_dynamic_loader::load("gtk_text_view_forward_display_line_end" ,"");
octave_dynamic_loader::load("gtk_text_view_backward_display_line_start" ,"");
octave_dynamic_loader::load("gtk_text_view_starts_display_line" ,"");
octave_dynamic_loader::load("gtk_text_view_move_visually" ,"");
octave_dynamic_loader::load("gtk_text_view_add_child_at_anchor" ,"");
octave_dynamic_loader::load("gtk_text_view_add_child_in_window" ,"");
octave_dynamic_loader::load("gtk_text_view_move_child" ,"");
octave_dynamic_loader::load("gtk_text_view_set_wrap_mode" ,"");
octave_dynamic_loader::load("gtk_text_view_get_wrap_mode" ,"");
octave_dynamic_loader::load("gtk_text_view_set_editable" ,"");
octave_dynamic_loader::load("gtk_text_view_get_editable" ,"");
octave_dynamic_loader::load("gtk_text_view_set_pixels_above_lines" ,"");
octave_dynamic_loader::load("gtk_text_view_get_pixels_above_lines" ,"");
octave_dynamic_loader::load("gtk_text_view_set_pixels_below_lines" ,"");
octave_dynamic_loader::load("gtk_text_view_get_pixels_below_lines" ,"");
octave_dynamic_loader::load("gtk_text_view_set_pixels_inside_wrap" ,"");
octave_dynamic_loader::load("gtk_text_view_get_pixels_inside_wrap" ,"");
octave_dynamic_loader::load("gtk_text_view_set_justification" ,"");
octave_dynamic_loader::load("gtk_text_view_get_justification" ,"");
octave_dynamic_loader::load("gtk_text_view_set_left_margin" ,"");
octave_dynamic_loader::load("gtk_text_view_get_left_margin" ,"");
octave_dynamic_loader::load("gtk_text_view_set_right_margin" ,"");
octave_dynamic_loader::load("gtk_text_view_get_right_margin" ,"");
octave_dynamic_loader::load("gtk_text_view_set_indent" ,"");
octave_dynamic_loader::load("gtk_text_view_get_indent" ,"");
octave_dynamic_loader::load("gtk_text_view_set_tabs" ,"");
octave_dynamic_loader::load("gtk_text_view_get_tabs" ,"");
octave_dynamic_loader::load("gtk_text_view_get_default_attributes" ,"");
octave_dynamic_loader::load("gtk_tips_query_get_type" ,"");
octave_dynamic_loader::load("gtk_tips_query_new" ,"");
octave_dynamic_loader::load("gtk_tips_query_start_query" ,"");
octave_dynamic_loader::load("gtk_tips_query_stop_query" ,"");
octave_dynamic_loader::load("gtk_tips_query_set_caller" ,"");
octave_dynamic_loader::load("gtk_tips_query_set_labels" ,"");
octave_dynamic_loader::load("gtk_toggle_button_get_type" ,"");
octave_dynamic_loader::load("gtk_toggle_button_new" ,"");
octave_dynamic_loader::load("gtk_toggle_button_new_with_label" ,"");
octave_dynamic_loader::load("gtk_toggle_button_new_with_mnemonic" ,"");
octave_dynamic_loader::load("gtk_toggle_button_set_mode" ,"");
octave_dynamic_loader::load("gtk_toggle_button_get_mode" ,"");
octave_dynamic_loader::load("gtk_toggle_button_set_active" ,"");
octave_dynamic_loader::load("gtk_toggle_button_get_active" ,"");
octave_dynamic_loader::load("gtk_toggle_button_toggled" ,"");
octave_dynamic_loader::load("gtk_toggle_button_set_inconsistent" ,"");
octave_dynamic_loader::load("gtk_toggle_button_get_inconsistent" ,"");
octave_dynamic_loader::load("gtk_toolbar_get_type" ,"");
octave_dynamic_loader::load("gtk_toolbar_new" ,"");
octave_dynamic_loader::load("gtk_toolbar_append_item" ,"");
octave_dynamic_loader::load("gtk_toolbar_prepend_item" ,"");
octave_dynamic_loader::load("gtk_toolbar_insert_item" ,"");
octave_dynamic_loader::load("gtk_toolbar_insert_stock" ,"");
octave_dynamic_loader::load("gtk_toolbar_append_space" ,"");
octave_dynamic_loader::load("gtk_toolbar_prepend_space" ,"");
octave_dynamic_loader::load("gtk_toolbar_insert_space" ,"");
octave_dynamic_loader::load("gtk_toolbar_remove_space" ,"");
octave_dynamic_loader::load("gtk_toolbar_append_element" ,"");
octave_dynamic_loader::load("gtk_toolbar_prepend_element" ,"");
octave_dynamic_loader::load("gtk_toolbar_insert_element" ,"");
octave_dynamic_loader::load("gtk_toolbar_append_widget" ,"");
octave_dynamic_loader::load("gtk_toolbar_prepend_widget" ,"");
octave_dynamic_loader::load("gtk_toolbar_insert_widget" ,"");
octave_dynamic_loader::load("gtk_toolbar_set_orientation" ,"");
octave_dynamic_loader::load("gtk_toolbar_set_style" ,"");
octave_dynamic_loader::load("gtk_toolbar_set_icon_size" ,"");
octave_dynamic_loader::load("gtk_toolbar_set_tooltips" ,"");
octave_dynamic_loader::load("gtk_toolbar_unset_style" ,"");
octave_dynamic_loader::load("gtk_toolbar_unset_icon_size" ,"");
octave_dynamic_loader::load("gtk_toolbar_get_orientation" ,"");
octave_dynamic_loader::load("gtk_toolbar_get_style" ,"");
octave_dynamic_loader::load("gtk_toolbar_get_icon_size" ,"");
octave_dynamic_loader::load("gtk_toolbar_get_tooltips" ,"");
octave_dynamic_loader::load("gtk_tooltips_get_type" ,"");
octave_dynamic_loader::load("gtk_tooltips_new" ,"");
octave_dynamic_loader::load("gtk_tooltips_enable" ,"");
octave_dynamic_loader::load("gtk_tooltips_disable" ,"");
octave_dynamic_loader::load("gtk_tooltips_set_delay" ,"");
octave_dynamic_loader::load("gtk_tooltips_set_tip" ,"");
octave_dynamic_loader::load("gtk_tooltips_data_get" ,"");
octave_dynamic_loader::load("gtk_tooltips_force_window" ,"");
octave_dynamic_loader::load("gtk_tree_drag_source_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_drag_source_row_draggable" ,"");
octave_dynamic_loader::load("gtk_tree_drag_source_drag_data_delete" ,"");
octave_dynamic_loader::load("gtk_tree_drag_source_drag_data_get" ,"");
octave_dynamic_loader::load("gtk_tree_drag_dest_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_drag_dest_drag_data_received" ,"");
octave_dynamic_loader::load("gtk_tree_drag_dest_row_drop_possible" ,"");
octave_dynamic_loader::load("gtk_tree_set_row_drag_data" ,"");
octave_dynamic_loader::load("gtk_tree_get_row_drag_data" ,"");
octave_dynamic_loader::load("gtk_tree_path_new" ,"");
octave_dynamic_loader::load("gtk_tree_path_new_from_string" ,"");
octave_dynamic_loader::load("gtk_tree_path_new_from_indices" ,"");
octave_dynamic_loader::load("gtk_tree_path_to_string" ,"");
octave_dynamic_loader::load("gtk_tree_path_new_first" ,"");
octave_dynamic_loader::load("gtk_tree_path_append_index" ,"");
octave_dynamic_loader::load("gtk_tree_path_prepend_index" ,"");
octave_dynamic_loader::load("gtk_tree_path_get_depth" ,"");
octave_dynamic_loader::load("gtk_tree_path_get_indices" ,"");
octave_dynamic_loader::load("gtk_tree_path_free" ,"");
octave_dynamic_loader::load("gtk_tree_path_copy" ,"");
octave_dynamic_loader::load("gtk_tree_path_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_path_compare" ,"");
octave_dynamic_loader::load("gtk_tree_path_next" ,"");
octave_dynamic_loader::load("gtk_tree_path_prev" ,"");
octave_dynamic_loader::load("gtk_tree_path_up" ,"");
octave_dynamic_loader::load("gtk_tree_path_down" ,"");
octave_dynamic_loader::load("gtk_tree_path_is_ancestor" ,"");
octave_dynamic_loader::load("gtk_tree_path_is_descendant" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_new" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_new_proxy" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_get_path" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_valid" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_copy" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_free" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_inserted" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_deleted" ,"");
octave_dynamic_loader::load("gtk_tree_row_reference_reordered" ,"");
octave_dynamic_loader::load("gtk_tree_iter_copy" ,"");
octave_dynamic_loader::load("gtk_tree_iter_free" ,"");
octave_dynamic_loader::load("gtk_tree_iter_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_flags" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_n_columns" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_column_type" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_iter" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_iter_from_string" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_string_from_iter" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_iter_first" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_path" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_value" ,"");
octave_dynamic_loader::load("gtk_tree_model_iter_next" ,"");
octave_dynamic_loader::load("gtk_tree_model_iter_children" ,"");
octave_dynamic_loader::load("gtk_tree_model_iter_has_child" ,"");
octave_dynamic_loader::load("gtk_tree_model_iter_n_children" ,"");
octave_dynamic_loader::load("gtk_tree_model_iter_nth_child" ,"");
octave_dynamic_loader::load("gtk_tree_model_iter_parent" ,"");
octave_dynamic_loader::load("gtk_tree_model_ref_node" ,"");
octave_dynamic_loader::load("gtk_tree_model_unref_node" ,"");
octave_dynamic_loader::load("gtk_tree_model_get" ,"");
octave_dynamic_loader::load("gtk_tree_model_get_valist" ,"");
octave_dynamic_loader::load("gtk_tree_model_foreach" ,"");
octave_dynamic_loader::load("gtk_tree_model_row_changed" ,"");
octave_dynamic_loader::load("gtk_tree_model_row_inserted" ,"");
octave_dynamic_loader::load("gtk_tree_model_row_has_child_toggled" ,"");
octave_dynamic_loader::load("gtk_tree_model_row_deleted" ,"");
octave_dynamic_loader::load("gtk_tree_model_rows_reordered" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_new_with_model" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_get_model" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_convert_child_path_to_path" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_convert_child_iter_to_iter" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_convert_path_to_child_path" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_convert_iter_to_child_iter" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_reset_default_sort_func" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_clear_cache" ,"");
octave_dynamic_loader::load("gtk_tree_model_sort_iter_is_valid" ,"");
octave_dynamic_loader::load("gtk_tree_selection_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_selection_set_mode" ,"");
octave_dynamic_loader::load("gtk_tree_selection_get_mode" ,"");
octave_dynamic_loader::load("gtk_tree_selection_set_select_function" ,"");
octave_dynamic_loader::load("gtk_tree_selection_get_user_data" ,"");
octave_dynamic_loader::load("gtk_tree_selection_get_tree_view" ,"");
octave_dynamic_loader::load("gtk_tree_selection_get_selected" ,"");
octave_dynamic_loader::load("gtk_tree_selection_get_selected_rows" ,"");
octave_dynamic_loader::load("gtk_tree_selection_count_selected_rows" ,"");
octave_dynamic_loader::load("gtk_tree_selection_selected_foreach" ,"");
octave_dynamic_loader::load("gtk_tree_selection_select_path" ,"");
octave_dynamic_loader::load("gtk_tree_selection_unselect_path" ,"");
octave_dynamic_loader::load("gtk_tree_selection_select_iter" ,"");
octave_dynamic_loader::load("gtk_tree_selection_unselect_iter" ,"");
octave_dynamic_loader::load("gtk_tree_selection_path_is_selected" ,"");
octave_dynamic_loader::load("gtk_tree_selection_iter_is_selected" ,"");
octave_dynamic_loader::load("gtk_tree_selection_select_all" ,"");
octave_dynamic_loader::load("gtk_tree_selection_unselect_all" ,"");
octave_dynamic_loader::load("gtk_tree_selection_select_range" ,"");
octave_dynamic_loader::load("gtk_tree_selection_unselect_range" ,"");
octave_dynamic_loader::load("gtk_tree_sortable_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_sortable_sort_column_changed" ,"");
octave_dynamic_loader::load("gtk_tree_sortable_get_sort_column_id" ,"");
octave_dynamic_loader::load("gtk_tree_sortable_set_sort_column_id" ,"");
octave_dynamic_loader::load("gtk_tree_sortable_set_sort_func" ,"");
octave_dynamic_loader::load("gtk_tree_sortable_set_default_sort_func" ,"");
octave_dynamic_loader::load("gtk_tree_sortable_has_default_sort_func" ,"");
octave_dynamic_loader::load("gtk_tree_store_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_store_new" ,"");
octave_dynamic_loader::load("gtk_tree_store_newv" ,"");
octave_dynamic_loader::load("gtk_tree_store_set_column_types" ,"");
octave_dynamic_loader::load("gtk_tree_store_set_value" ,"");
octave_dynamic_loader::load("gtk_tree_store_set" ,"");
octave_dynamic_loader::load("gtk_tree_store_set_valist" ,"");
octave_dynamic_loader::load("gtk_tree_store_remove" ,"");
octave_dynamic_loader::load("gtk_tree_store_insert" ,"");
octave_dynamic_loader::load("gtk_tree_store_insert_before" ,"");
octave_dynamic_loader::load("gtk_tree_store_insert_after" ,"");
octave_dynamic_loader::load("gtk_tree_store_prepend" ,"");
octave_dynamic_loader::load("gtk_tree_store_append" ,"");
octave_dynamic_loader::load("gtk_tree_store_is_ancestor" ,"");
octave_dynamic_loader::load("gtk_tree_store_iter_depth" ,"");
octave_dynamic_loader::load("gtk_tree_store_clear" ,"");
octave_dynamic_loader::load("gtk_tree_store_iter_is_valid" ,"");
octave_dynamic_loader::load("gtk_tree_store_reorder" ,"");
octave_dynamic_loader::load("gtk_tree_store_swap" ,"");
octave_dynamic_loader::load("gtk_tree_store_move_before" ,"");
octave_dynamic_loader::load("gtk_tree_store_move_after" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_new" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_new_with_attributes" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_pack_start" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_pack_end" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_clear" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_cell_renderers" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_add_attribute" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_attributes" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_cell_data_func" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_clear_attributes" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_spacing" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_spacing" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_visible" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_visible" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_resizable" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_resizable" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_sizing" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_sizing" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_width" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_fixed_width" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_fixed_width" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_min_width" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_min_width" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_max_width" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_max_width" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_clicked" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_title" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_title" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_clickable" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_clickable" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_widget" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_widget" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_alignment" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_alignment" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_reorderable" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_reorderable" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_sort_column_id" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_sort_column_id" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_sort_indicator" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_sort_indicator" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_set_sort_order" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_get_sort_order" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_cell_set_cell_data" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_cell_get_size" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_cell_is_visible" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_focus_cell" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_cell_get_position" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_view_new" ,"");
octave_dynamic_loader::load("gtk_tree_view_new_with_model" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_model" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_model" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_selection" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_hadjustment" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_hadjustment" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_vadjustment" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_vadjustment" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_headers_visible" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_headers_visible" ,"");
octave_dynamic_loader::load("gtk_tree_view_columns_autosize" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_headers_clickable" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_rules_hint" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_rules_hint" ,"");
octave_dynamic_loader::load("gtk_tree_view_append_column" ,"");
octave_dynamic_loader::load("gtk_tree_view_remove_column" ,"");
octave_dynamic_loader::load("gtk_tree_view_insert_column" ,"");
octave_dynamic_loader::load("gtk_tree_view_insert_column_with_attributes" ,"");
octave_dynamic_loader::load("gtk_tree_view_insert_column_with_data_func" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_column" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_columns" ,"");
octave_dynamic_loader::load("gtk_tree_view_move_column_after" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_expander_column" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_expander_column" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_column_drag_function" ,"");
octave_dynamic_loader::load("gtk_tree_view_scroll_to_point" ,"");
octave_dynamic_loader::load("gtk_tree_view_scroll_to_cell" ,"");
octave_dynamic_loader::load("gtk_tree_view_row_activated" ,"");
octave_dynamic_loader::load("gtk_tree_view_expand_all" ,"");
octave_dynamic_loader::load("gtk_tree_view_collapse_all" ,"");
octave_dynamic_loader::load("gtk_tree_view_expand_to_path" ,"");
octave_dynamic_loader::load("gtk_tree_view_expand_row" ,"");
octave_dynamic_loader::load("gtk_tree_view_collapse_row" ,"");
octave_dynamic_loader::load("gtk_tree_view_map_expanded_rows" ,"");
octave_dynamic_loader::load("gtk_tree_view_row_expanded" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_reorderable" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_reorderable" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_cursor" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_cursor_on_cell" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_cursor" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_bin_window" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_path_at_pos" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_cell_area" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_background_area" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_visible_rect" ,"");
octave_dynamic_loader::load("gtk_tree_view_widget_to_tree_coords" ,"");
octave_dynamic_loader::load("gtk_tree_view_tree_to_widget_coords" ,"");
octave_dynamic_loader::load("gtk_tree_view_enable_model_drag_source" ,"");
octave_dynamic_loader::load("gtk_tree_view_enable_model_drag_dest" ,"");
octave_dynamic_loader::load("gtk_tree_view_unset_rows_drag_source" ,"");
octave_dynamic_loader::load("gtk_tree_view_unset_rows_drag_dest" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_drag_dest_row" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_drag_dest_row" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_dest_row_at_pos" ,"");
octave_dynamic_loader::load("gtk_tree_view_create_row_drag_icon" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_enable_search" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_enable_search" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_search_column" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_search_column" ,"");
octave_dynamic_loader::load("gtk_tree_view_get_search_equal_func" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_search_equal_func" ,"");
octave_dynamic_loader::load("gtk_tree_view_set_destroy_count_func" ,"");
octave_dynamic_loader::load("gtk_accel_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_calendar_display_options_get_type" ,"");
octave_dynamic_loader::load("gtk_cell_type_get_type" ,"");
octave_dynamic_loader::load("gtk_clist_drag_pos_get_type" ,"");
octave_dynamic_loader::load("gtk_button_action_get_type" ,"");
octave_dynamic_loader::load("gtk_ctree_pos_get_type" ,"");
octave_dynamic_loader::load("gtk_ctree_line_style_get_type" ,"");
octave_dynamic_loader::load("gtk_ctree_expander_style_get_type" ,"");
octave_dynamic_loader::load("gtk_ctree_expansion_type_get_type" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_state_get_type" ,"");
octave_dynamic_loader::load("gtk_cell_renderer_mode_get_type" ,"");
octave_dynamic_loader::load("gtk_debug_flag_get_type" ,"");
octave_dynamic_loader::load("gtk_dialog_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_response_type_get_type" ,"");
octave_dynamic_loader::load("gtk_dest_defaults_get_type" ,"");
octave_dynamic_loader::load("gtk_target_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_anchor_type_get_type" ,"");
octave_dynamic_loader::load("gtk_arrow_type_get_type" ,"");
octave_dynamic_loader::load("gtk_attach_options_get_type" ,"");
octave_dynamic_loader::load("gtk_button_box_style_get_type" ,"");
octave_dynamic_loader::load("gtk_curve_type_get_type" ,"");
octave_dynamic_loader::load("gtk_delete_type_get_type" ,"");
octave_dynamic_loader::load("gtk_direction_type_get_type" ,"");
octave_dynamic_loader::load("gtk_expander_style_get_type" ,"");
octave_dynamic_loader::load("gtk_icon_size_get_type" ,"");
octave_dynamic_loader::load("gtk_side_type_get_type" ,"");
octave_dynamic_loader::load("gtk_text_direction_get_type" ,"");
octave_dynamic_loader::load("gtk_justification_get_type" ,"");
octave_dynamic_loader::load("gtk_match_type_get_type" ,"");
octave_dynamic_loader::load("gtk_menu_direction_type_get_type" ,"");
octave_dynamic_loader::load("gtk_metric_type_get_type" ,"");
octave_dynamic_loader::load("gtk_movement_step_get_type" ,"");
octave_dynamic_loader::load("gtk_orientation_get_type" ,"");
octave_dynamic_loader::load("gtk_corner_type_get_type" ,"");
octave_dynamic_loader::load("gtk_pack_type_get_type" ,"");
octave_dynamic_loader::load("gtk_path_priority_type_get_type" ,"");
octave_dynamic_loader::load("gtk_path_type_get_type" ,"");
octave_dynamic_loader::load("gtk_policy_type_get_type" ,"");
octave_dynamic_loader::load("gtk_position_type_get_type" ,"");
octave_dynamic_loader::load("gtk_preview_type_get_type" ,"");
octave_dynamic_loader::load("gtk_relief_style_get_type" ,"");
octave_dynamic_loader::load("gtk_resize_mode_get_type" ,"");
octave_dynamic_loader::load("gtk_signal_run_type_get_type" ,"");
octave_dynamic_loader::load("gtk_scroll_type_get_type" ,"");
octave_dynamic_loader::load("gtk_selection_mode_get_type" ,"");
octave_dynamic_loader::load("gtk_shadow_type_get_type" ,"");
octave_dynamic_loader::load("gtk_state_type_get_type" ,"");
octave_dynamic_loader::load("gtk_submenu_direction_get_type" ,"");
octave_dynamic_loader::load("gtk_submenu_placement_get_type" ,"");
octave_dynamic_loader::load("gtk_toolbar_style_get_type" ,"");
octave_dynamic_loader::load("gtk_update_type_get_type" ,"");
octave_dynamic_loader::load("gtk_visibility_get_type" ,"");
octave_dynamic_loader::load("gtk_window_position_get_type" ,"");
octave_dynamic_loader::load("gtk_window_type_get_type" ,"");
octave_dynamic_loader::load("gtk_wrap_mode_get_type" ,"");
octave_dynamic_loader::load("gtk_sort_type_get_type" ,"");
octave_dynamic_loader::load("gtk_im_preedit_style_get_type" ,"");
octave_dynamic_loader::load("gtk_im_status_style_get_type" ,"");
octave_dynamic_loader::load("gtk_image_type_get_type" ,"");
octave_dynamic_loader::load("gtk_message_type_get_type" ,"");
octave_dynamic_loader::load("gtk_buttons_type_get_type" ,"");
octave_dynamic_loader::load("gtk_notebook_tab_get_type" ,"");
octave_dynamic_loader::load("gtk_object_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_arg_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_private_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_progress_bar_style_get_type" ,"");
octave_dynamic_loader::load("gtk_progress_bar_orientation_get_type" ,"");
octave_dynamic_loader::load("gtk_rc_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_rc_token_type_get_type" ,"");
octave_dynamic_loader::load("gtk_size_group_mode_get_type" ,"");
octave_dynamic_loader::load("gtk_spin_button_update_policy_get_type" ,"");
octave_dynamic_loader::load("gtk_spin_type_get_type" ,"");
octave_dynamic_loader::load("gtk_text_search_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_text_window_type_get_type" ,"");
octave_dynamic_loader::load("gtk_toolbar_child_type_get_type" ,"");
octave_dynamic_loader::load("gtk_toolbar_space_style_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_view_mode_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_model_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_view_drop_position_get_type" ,"");
octave_dynamic_loader::load("gtk_tree_view_column_sizing_get_type" ,"");
octave_dynamic_loader::load("gtk_widget_flags_get_type" ,"");
octave_dynamic_loader::load("gtk_widget_help_type_get_type" ,"");
octave_dynamic_loader::load("gtk_identifier_get_type" ,"");
octave_dynamic_loader::load("gtk_type_class" ,"");
octave_dynamic_loader::load("gtk_type_unique" ,"");
octave_dynamic_loader::load("gtk_type_new" ,"");
octave_dynamic_loader::load("gtk_type_enum_get_values" ,"");
octave_dynamic_loader::load("gtk_type_flags_get_values" ,"");
octave_dynamic_loader::load("gtk_type_enum_find_value" ,"");
octave_dynamic_loader::load("gtk_type_flags_find_value" ,"");
octave_dynamic_loader::load("gtk_type_init" ,"");
octave_dynamic_loader::load("gtk_vbutton_box_get_type" ,"");
octave_dynamic_loader::load("gtk_vbutton_box_new" ,"");
octave_dynamic_loader::load("gtk_vbutton_box_get_spacing_default" ,"");
octave_dynamic_loader::load("gtk_vbutton_box_set_spacing_default" ,"");
octave_dynamic_loader::load("gtk_vbutton_box_get_layout_default" ,"");
octave_dynamic_loader::load("gtk_vbutton_box_set_layout_default" ,"");
octave_dynamic_loader::load("gtk_vbox_get_type" ,"");
octave_dynamic_loader::load("gtk_vbox_new" ,"");
octave_dynamic_loader::load("gtk_viewport_get_type" ,"");
octave_dynamic_loader::load("gtk_viewport_new" ,"");
octave_dynamic_loader::load("gtk_viewport_get_hadjustment" ,"");
octave_dynamic_loader::load("gtk_viewport_get_vadjustment" ,"");
octave_dynamic_loader::load("gtk_viewport_set_hadjustment" ,"");
octave_dynamic_loader::load("gtk_viewport_set_vadjustment" ,"");
octave_dynamic_loader::load("gtk_viewport_set_shadow_type" ,"");
octave_dynamic_loader::load("gtk_viewport_get_shadow_type" ,"");
octave_dynamic_loader::load("gtk_vpaned_get_type" ,"");
octave_dynamic_loader::load("gtk_vpaned_new" ,"");
octave_dynamic_loader::load("gtk_vruler_get_type" ,"");
octave_dynamic_loader::load("gtk_vruler_new" ,"");
octave_dynamic_loader::load("gtk_vscale_get_type" ,"");
octave_dynamic_loader::load("gtk_vscale_new" ,"");
octave_dynamic_loader::load("gtk_vscale_new_with_range" ,"");
octave_dynamic_loader::load("gtk_vscrollbar_get_type" ,"");
octave_dynamic_loader::load("gtk_vscrollbar_new" ,"");
octave_dynamic_loader::load("gtk_vseparator_get_type" ,"");
octave_dynamic_loader::load("gtk_vseparator_new" ,"");
octave_dynamic_loader::load("gtk_widget_get_type" ,"");
octave_dynamic_loader::load("gtk_widget_new" ,"");
octave_dynamic_loader::load("gtk_widget_ref" ,"");
octave_dynamic_loader::load("gtk_widget_unref" ,"");
octave_dynamic_loader::load("gtk_widget_destroy" ,"");
octave_dynamic_loader::load("gtk_widget_destroyed" ,"");
octave_dynamic_loader::load("gtk_widget_set" ,"");
octave_dynamic_loader::load("gtk_widget_unparent" ,"");
octave_dynamic_loader::load("gtk_widget_show" ,"");
octave_dynamic_loader::load("gtk_widget_show_now" ,"");
octave_dynamic_loader::load("gtk_widget_hide" ,"");
octave_dynamic_loader::load("gtk_widget_show_all" ,"");
octave_dynamic_loader::load("gtk_widget_hide_all" ,"");
octave_dynamic_loader::load("gtk_widget_map" ,"");
octave_dynamic_loader::load("gtk_widget_unmap" ,"");
octave_dynamic_loader::load("gtk_widget_realize" ,"");
octave_dynamic_loader::load("gtk_widget_unrealize" ,"");
octave_dynamic_loader::load("gtk_widget_queue_draw" ,"");
octave_dynamic_loader::load("gtk_widget_queue_draw_area" ,"");
octave_dynamic_loader::load("gtk_widget_queue_clear" ,"");
octave_dynamic_loader::load("gtk_widget_queue_clear_area" ,"");
octave_dynamic_loader::load("gtk_widget_queue_resize" ,"");
octave_dynamic_loader::load("gtk_widget_draw" ,"");
octave_dynamic_loader::load("gtk_widget_size_request" ,"");
octave_dynamic_loader::load("gtk_widget_size_allocate" ,"");
octave_dynamic_loader::load("gtk_widget_get_child_requisition" ,"");
octave_dynamic_loader::load("gtk_widget_add_accelerator" ,"");
octave_dynamic_loader::load("gtk_widget_remove_accelerator" ,"");
octave_dynamic_loader::load("gtk_widget_set_accel_path" ,"");
octave_dynamic_loader::load("gtk_widget_list_accel_closures" ,"");
octave_dynamic_loader::load("gtk_widget_mnemonic_activate" ,"");
octave_dynamic_loader::load("gtk_widget_event" ,"");
octave_dynamic_loader::load("gtk_widget_send_expose" ,"");
octave_dynamic_loader::load("gtk_widget_activate" ,"");
octave_dynamic_loader::load("gtk_widget_set_scroll_adjustments" ,"");
octave_dynamic_loader::load("gtk_widget_reparent" ,"");
octave_dynamic_loader::load("gtk_widget_intersect" ,"");
octave_dynamic_loader::load("gtk_widget_region_intersect" ,"");
octave_dynamic_loader::load("gtk_widget_freeze_child_notify" ,"");
octave_dynamic_loader::load("gtk_widget_child_notify" ,"");
octave_dynamic_loader::load("gtk_widget_thaw_child_notify" ,"");
octave_dynamic_loader::load("gtk_widget_is_focus" ,"");
octave_dynamic_loader::load("gtk_widget_grab_focus" ,"");
octave_dynamic_loader::load("gtk_widget_grab_default" ,"");
octave_dynamic_loader::load("gtk_widget_set_name" ,"");
octave_dynamic_loader::load("gtk_widget_get_name" ,"");
octave_dynamic_loader::load("gtk_widget_set_state" ,"");
octave_dynamic_loader::load("gtk_widget_set_sensitive" ,"");
octave_dynamic_loader::load("gtk_widget_set_app_paintable" ,"");
octave_dynamic_loader::load("gtk_widget_set_double_buffered" ,"");
octave_dynamic_loader::load("gtk_widget_set_redraw_on_allocate" ,"");
octave_dynamic_loader::load("gtk_widget_set_parent" ,"");
octave_dynamic_loader::load("gtk_widget_set_parent_window" ,"");
octave_dynamic_loader::load("gtk_widget_set_child_visible" ,"");
octave_dynamic_loader::load("gtk_widget_get_child_visible" ,"");
octave_dynamic_loader::load("gtk_widget_get_parent" ,"");
octave_dynamic_loader::load("gtk_widget_get_parent_window" ,"");
octave_dynamic_loader::load("gtk_widget_child_focus" ,"");
octave_dynamic_loader::load("gtk_widget_set_size_request" ,"");
octave_dynamic_loader::load("gtk_widget_get_size_request" ,"");
octave_dynamic_loader::load("gtk_widget_set_uposition" ,"");
octave_dynamic_loader::load("gtk_widget_set_usize" ,"");
octave_dynamic_loader::load("gtk_widget_set_events" ,"");
octave_dynamic_loader::load("gtk_widget_add_events" ,"");
octave_dynamic_loader::load("gtk_widget_set_extension_events" ,"");
octave_dynamic_loader::load("gtk_widget_get_extension_events" ,"");
octave_dynamic_loader::load("gtk_widget_get_toplevel" ,"");
octave_dynamic_loader::load("gtk_widget_get_ancestor" ,"");
octave_dynamic_loader::load("gtk_widget_get_colormap" ,"");
octave_dynamic_loader::load("gtk_widget_get_visual" ,"");
octave_dynamic_loader::load("gtk_widget_get_screen" ,"");
octave_dynamic_loader::load("gtk_widget_has_screen" ,"");
octave_dynamic_loader::load("gtk_widget_get_display" ,"");
octave_dynamic_loader::load("gtk_widget_get_root_window" ,"");
octave_dynamic_loader::load("gtk_widget_get_settings" ,"");
octave_dynamic_loader::load("gtk_widget_get_clipboard" ,"");
octave_dynamic_loader::load("gtk_widget_get_accessible" ,"");
octave_dynamic_loader::load("gtk_widget_set_colormap" ,"");
octave_dynamic_loader::load("gtk_widget_get_events" ,"");
octave_dynamic_loader::load("gtk_widget_get_pointer" ,"");
octave_dynamic_loader::load("gtk_widget_is_ancestor" ,"");
octave_dynamic_loader::load("gtk_widget_translate_coordinates" ,"");
octave_dynamic_loader::load("gtk_widget_hide_on_delete" ,"");
octave_dynamic_loader::load("gtk_widget_set_style" ,"");
octave_dynamic_loader::load("gtk_widget_ensure_style" ,"");
octave_dynamic_loader::load("gtk_widget_get_style" ,"");
octave_dynamic_loader::load("gtk_widget_modify_style" ,"");
octave_dynamic_loader::load("gtk_widget_get_modifier_style" ,"");
octave_dynamic_loader::load("gtk_widget_modify_fg" ,"");
octave_dynamic_loader::load("gtk_widget_modify_bg" ,"");
octave_dynamic_loader::load("gtk_widget_modify_text" ,"");
octave_dynamic_loader::load("gtk_widget_modify_base" ,"");
octave_dynamic_loader::load("gtk_widget_modify_font" ,"");
octave_dynamic_loader::load("gtk_widget_create_pango_context" ,"");
octave_dynamic_loader::load("gtk_widget_get_pango_context" ,"");
octave_dynamic_loader::load("gtk_widget_create_pango_layout" ,"");
octave_dynamic_loader::load("gtk_widget_render_icon" ,"");
octave_dynamic_loader::load("gtk_widget_set_composite_name" ,"");
octave_dynamic_loader::load("gtk_widget_get_composite_name" ,"");
octave_dynamic_loader::load("gtk_widget_reset_rc_styles" ,"");
octave_dynamic_loader::load("gtk_widget_push_colormap" ,"");
octave_dynamic_loader::load("gtk_widget_push_composite_child" ,"");
octave_dynamic_loader::load("gtk_widget_pop_composite_child" ,"");
octave_dynamic_loader::load("gtk_widget_pop_colormap" ,"");
octave_dynamic_loader::load("gtk_widget_class_install_style_property" ,"");
octave_dynamic_loader::load("gtk_widget_class_install_style_property_parser" ,"");
octave_dynamic_loader::load("gtk_widget_class_find_style_property" ,"");
octave_dynamic_loader::load("gtk_widget_class_list_style_properties" ,"");
octave_dynamic_loader::load("gtk_widget_style_get_property" ,"");
octave_dynamic_loader::load("gtk_widget_style_get_valist" ,"");
octave_dynamic_loader::load("gtk_widget_style_get" ,"");
octave_dynamic_loader::load("gtk_widget_set_default_colormap" ,"");
octave_dynamic_loader::load("gtk_widget_get_default_style" ,"");
octave_dynamic_loader::load("gtk_widget_get_default_colormap" ,"");
octave_dynamic_loader::load("gtk_widget_get_default_visual" ,"");
octave_dynamic_loader::load("gtk_widget_set_direction" ,"");
octave_dynamic_loader::load("gtk_widget_get_direction" ,"");
octave_dynamic_loader::load("gtk_widget_set_default_direction" ,"");
octave_dynamic_loader::load("gtk_widget_get_default_direction" ,"");
octave_dynamic_loader::load("gtk_widget_shape_combine_mask" ,"");
octave_dynamic_loader::load("gtk_widget_reset_shapes" ,"");
octave_dynamic_loader::load("gtk_widget_path" ,"");
octave_dynamic_loader::load("gtk_widget_class_path" ,"");
octave_dynamic_loader::load("gtk_requisition_get_type" ,"");
octave_dynamic_loader::load("gtk_requisition_copy" ,"");
octave_dynamic_loader::load("gtk_requisition_free" ,"");
octave_dynamic_loader::load("gtk_window_get_type" ,"");
octave_dynamic_loader::load("gtk_window_new" ,"");
octave_dynamic_loader::load("gtk_window_set_title" ,"");
octave_dynamic_loader::load("gtk_window_get_title" ,"");
octave_dynamic_loader::load("gtk_window_set_wmclass" ,"");
octave_dynamic_loader::load("gtk_window_set_role" ,"");
octave_dynamic_loader::load("gtk_window_get_role" ,"");
octave_dynamic_loader::load("gtk_window_add_accel_group" ,"");
octave_dynamic_loader::load("gtk_window_remove_accel_group" ,"");
octave_dynamic_loader::load("gtk_window_set_position" ,"");
octave_dynamic_loader::load("gtk_window_activate_focus" ,"");
octave_dynamic_loader::load("gtk_window_set_focus" ,"");
octave_dynamic_loader::load("gtk_window_get_focus" ,"");
octave_dynamic_loader::load("gtk_window_set_default" ,"");
octave_dynamic_loader::load("gtk_window_activate_default" ,"");
octave_dynamic_loader::load("gtk_window_set_transient_for" ,"");
octave_dynamic_loader::load("gtk_window_get_transient_for" ,"");
octave_dynamic_loader::load("gtk_window_set_type_hint" ,"");
octave_dynamic_loader::load("gtk_window_get_type_hint" ,"");
octave_dynamic_loader::load("gtk_window_set_skip_taskbar_hint" ,"");
octave_dynamic_loader::load("gtk_window_get_skip_taskbar_hint" ,"");
octave_dynamic_loader::load("gtk_window_set_skip_pager_hint" ,"");
octave_dynamic_loader::load("gtk_window_get_skip_pager_hint" ,"");
octave_dynamic_loader::load("gtk_window_set_destroy_with_parent" ,"");
octave_dynamic_loader::load("gtk_window_get_destroy_with_parent" ,"");
octave_dynamic_loader::load("gtk_window_set_resizable" ,"");
octave_dynamic_loader::load("gtk_window_get_resizable" ,"");
octave_dynamic_loader::load("gtk_window_set_gravity" ,"");
octave_dynamic_loader::load("gtk_window_get_gravity" ,"");
octave_dynamic_loader::load("gtk_window_set_geometry_hints" ,"");
octave_dynamic_loader::load("gtk_window_set_screen" ,"");
octave_dynamic_loader::load("gtk_window_get_screen" ,"");
octave_dynamic_loader::load("gtk_window_set_has_frame" ,"");
octave_dynamic_loader::load("gtk_window_get_has_frame" ,"");
octave_dynamic_loader::load("gtk_window_set_frame_dimensions" ,"");
octave_dynamic_loader::load("gtk_window_get_frame_dimensions" ,"");
octave_dynamic_loader::load("gtk_window_set_decorated" ,"");
octave_dynamic_loader::load("gtk_window_get_decorated" ,"");
octave_dynamic_loader::load("gtk_window_set_icon_list" ,"");
octave_dynamic_loader::load("gtk_window_get_icon_list" ,"");
octave_dynamic_loader::load("gtk_window_set_icon" ,"");
octave_dynamic_loader::load("gtk_window_set_icon_from_file" ,"");
octave_dynamic_loader::load("gtk_window_get_icon" ,"");
octave_dynamic_loader::load("gtk_window_set_default_icon_list" ,"");
octave_dynamic_loader::load("gtk_window_get_default_icon_list" ,"");
octave_dynamic_loader::load("gtk_window_set_default_icon_from_file" ,"");
octave_dynamic_loader::load("gtk_window_set_auto_startup_notification" ,"");
octave_dynamic_loader::load("gtk_window_set_modal" ,"");
octave_dynamic_loader::load("gtk_window_get_modal" ,"");
octave_dynamic_loader::load("gtk_window_list_toplevels" ,"");
octave_dynamic_loader::load("gtk_window_add_mnemonic" ,"");
octave_dynamic_loader::load("gtk_window_remove_mnemonic" ,"");
octave_dynamic_loader::load("gtk_window_mnemonic_activate" ,"");
octave_dynamic_loader::load("gtk_window_set_mnemonic_modifier" ,"");
octave_dynamic_loader::load("gtk_window_get_mnemonic_modifier" ,"");
octave_dynamic_loader::load("gtk_window_present" ,"");
octave_dynamic_loader::load("gtk_window_iconify" ,"");
octave_dynamic_loader::load("gtk_window_deiconify" ,"");
octave_dynamic_loader::load("gtk_window_stick" ,"");
octave_dynamic_loader::load("gtk_window_unstick" ,"");
octave_dynamic_loader::load("gtk_window_maximize" ,"");
octave_dynamic_loader::load("gtk_window_unmaximize" ,"");
octave_dynamic_loader::load("gtk_window_fullscreen" ,"");
octave_dynamic_loader::load("gtk_window_unfullscreen" ,"");
octave_dynamic_loader::load("gtk_window_begin_resize_drag" ,"");
octave_dynamic_loader::load("gtk_window_begin_move_drag" ,"");
octave_dynamic_loader::load("gtk_window_set_policy" ,"");
octave_dynamic_loader::load("gtk_window_set_default_size" ,"");
octave_dynamic_loader::load("gtk_window_get_default_size" ,"");
octave_dynamic_loader::load("gtk_window_resize" ,"");
octave_dynamic_loader::load("gtk_window_get_size" ,"");
octave_dynamic_loader::load("gtk_window_move" ,"");
octave_dynamic_loader::load("gtk_window_get_position" ,"");
octave_dynamic_loader::load("gtk_window_parse_geometry" ,"");
octave_dynamic_loader::load("gtk_window_reshow_with_initial_size" ,"");
octave_dynamic_loader::load("gtk_window_group_get_type" ,"");
octave_dynamic_loader::load("gtk_window_group_new" ,"");
octave_dynamic_loader::load("gtk_window_group_add_window" ,"");
octave_dynamic_loader::load("gtk_window_group_remove_window" ,"");
octave_dynamic_loader::load("gtk_window_remove_embedded_xid" ,"");
octave_dynamic_loader::load("gtk_window_add_embedded_xid" ,"");
octave_dynamic_loader::load("octave_gtk_function" ,"");
octave_dynamic_loader::load("octave_gtk_signal_function" ,"");
octave_dynamic_loader::load("gtk_text_layout_move_iter_starts_line" ,"");
octave_dynamic_loader::load("gtk_text_layout_get_size" ,"");
octave_dynamic_loader::load("g_signal_connect" ,"");
octave_dynamic_loader::load("gtk_file_selection_get_widget" ,"");
octave_dynamic_loader::load("octave_gtk_main" ,"");
octave_dynamic_loader::load("gtk_file_system_get_type" ,"");
octave_dynamic_loader::load("gtk_file_system_list_volumes" ,"");
octave_dynamic_loader::load("gtk_file_system_get_volume_for_path" ,"");
octave_dynamic_loader::load("gtk_file_system_volume_free" ,"");
octave_dynamic_loader::load("gtk_file_system_volume_get_base_path" ,"");
octave_dynamic_loader::load("gtk_file_system_volume_get_is_mounted" ,"");
octave_dynamic_loader::load("gtk_file_system_volume_get_display_name" ,"");
octave_dynamic_loader::load("gtk_file_system_volume_get_display_name" ,"");
octave_dynamic_loader::load("gtk_file_system_path_to_uri" ,"");
octave_dynamic_loader::load("gtk_file_system_path_to_filename" ,"");
octave_dynamic_loader::load("gtk_file_system_path_to_filename" ,"");
octave_dynamic_loader::load("gtk_file_system_uri_to_path" ,"");
octave_dynamic_loader::load("gtk_file_system_filename_to_path" ,"");
octave_dynamic_loader::load("gtk_file_system_path_is_local" ,"");
octave_dynamic_loader::load("gtk_file_system_list_bookmarks" ,"");
octave_dynamic_loader::load("gtk_file_folder_get_type" ,"");
octave_dynamic_loader::load("gtk_file_folder_is_finished_loading" ,"");
octave_dynamic_loader::load("gtk_file_path_get_type" ,"");
octave_dynamic_loader::load("gtk_file_paths_sort" ,"");
octave_dynamic_loader::load("gtk_file_paths_copy" ,"");
octave_dynamic_loader::load("gtk_file_paths_free" ,"");
octave_dynamic_loader::load("gtk_parse_args" ,"");
octave_dynamic_loader::load("gtk_clipboard_wait_for_targets" ,"");
octave_dynamic_loader::load("gtk_file_system_volume_mount" ,"");
octave_dynamic_loader::load("gtk_file_system_volume_render_icon" ,"");
octave_dynamic_loader::load("gtk_file_system_get_parent" ,"");
octave_dynamic_loader::load("gtk_file_system_get_folder" ,"");
octave_dynamic_loader::load("gtk_file_system_create_folder" ,"");
octave_dynamic_loader::load("gtk_file_system_make_path" ,"");
octave_dynamic_loader::load("gtk_file_system_parse" ,"");
octave_dynamic_loader::load("gtk_file_system_render_icon" ,"");
octave_dynamic_loader::load("gtk_file_system_insert_bookmark" ,"");
octave_dynamic_loader::load("gtk_file_system_remove_bookmark" ,"");
octave_dynamic_loader::load("gtk_file_folder_list_children" ,"");
octave_dynamic_loader::load("gtk_file_folder_get_info" ,"");
octave_dynamic_loader::load("gtk_text_layout_set_keyboard_direction" ,"");
octave_dynamic_loader::load("gtk_tooltips_get_info_from_tip_window" ,"");
octave_dynamic_loader::load("" ,"");
return octave_value("Code generated onWed Mar 16 17:54:14 2005\n Compiled on " __DATE__  __TIME__ "\n loadedgtkLibrary!");
}

